<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Caixa extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_caixa';
    protected $primaryKey = 'CAIXA_id';
    public $timestamps = false;

    //campos
    public static $caixa_id = 'CAIXA_id';
    public static $turno = 'CAIXA_FK_TURNO_id';
    public static $usuario = 'CAIXA_FK_USUA_id';
    public static $data = 'CAIXA_data';
    public static $aberto = 'CAIXA_aberto';
    public static $guiche = 'CAIXA_guiche';
    public static $vlr_inicial = 'CAIXA_vlr_inicial';
    public static $vlr_especie = 'CAIXA_vlr_especie';
    public static $vlr_debito = 'CAIXA_vlr_debito';
    public static $vlr_credito = 'CAIXA_vlr_credito';
    public static $vlr_desconto = 'CAIXA_vlr_desconto';
    public static $vlr_subtotal = 'CAIXA_vlr_subtotal';
    public static $vlr_despesa = 'CAIXA_vlr_despesa';
    public static $vlr_total = 'CAIXA_vlr_total';
    public static $obs = 'CAIXA_obs';
    public static $unidade = 'CAIXA_FK_UNID_id';

    //relacionamentos
    //Public Function Caixa(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getCaixa_id(){return $this->attributes[Caixa::$caixa_id];}

    //Monta GET
    Public Function getTurno(){return $this->attributes[Caixa::$turno];}
    Public Function getUsuario(){return $this->attributes[Caixa::$usuario];}
    Public Function getData(){return $this->attributes[Caixa::$data];}
    Public Function getAberto(){return $this->attributes[Caixa::$aberto];}
    Public Function getGuiche(){return $this->attributes[Caixa::$guiche];}
    Public Function getVlr_inicial(){return $this->attributes[Caixa::$vlr_inicial];}
    Public Function getVlr_especie(){return $this->attributes[Caixa::$vlr_especie];}
    Public Function getVlr_debito(){return $this->attributes[Caixa::$vlr_debito];}
    Public Function getVlr_credito(){return $this->attributes[Caixa::$vlr_credito];}
    Public Function getVlr_desconto(){return $this->attributes[Caixa::$vlr_desconto];}
    Public Function getVlr_subtotal(){return $this->attributes[Caixa::$vlr_subtotal];}
    Public Function getVlr_despesa(){return $this->attributes[Caixa::$vlr_despesa];}
    Public Function getVlr_total(){return $this->attributes[Caixa::$vlr_total];}
    Public Function getObs(){return $this->attributes[Caixa::$obs];}
    Public Function getUnidade(){return $this->attributes[Caixa::$unidade];}

    //Monta SET
    public function setTurno($valor){$this->attributes[Caixa::$turno] = $valor;}
    public function setUsuario($valor){$this->attributes[Caixa::$usuario] = $valor;}
    public function setData($valor){$this->attributes[Caixa::$data] = $valor;}
    public function setAberto($valor){$this->attributes[Caixa::$aberto] = $valor;}
    public function setGuiche($valor){$this->attributes[Caixa::$guiche] = $valor;}
    public function setVlr_inicial($valor){$this->attributes[Caixa::$vlr_inicial] = $valor;}
    public function setVlr_especie($valor){$this->attributes[Caixa::$vlr_especie] = $valor;}
    public function setVlr_debito($valor){$this->attributes[Caixa::$vlr_debito] = $valor;}
    public function setVlr_credito($valor){$this->attributes[Caixa::$vlr_credito] = $valor;}
    public function setVlr_desconto($valor){$this->attributes[Caixa::$vlr_desconto] = $valor;}
    public function setVlr_subtotal($valor){$this->attributes[Caixa::$vlr_subtotal] = $valor;}
    public function setVlr_despesa($valor){$this->attributes[Caixa::$vlr_despesa] = $valor;}
    public function setVlr_total($valor){$this->attributes[Caixa::$vlr_total] = $valor;}
    public function setObs($valor){$this->attributes[Caixa::$obs] = $valor;}
    public function setUnidade($valor){$this->attributes[Caixa::$unidade] = $valor;}
    
}