<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Caixa_mov extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_caixa_mov';
    protected $primaryKey = 'CAIXAM_id';
    public $timestamps = false;

    //campos
    public static $id = 'CAIXAM_id';
    public static $caixa = 'CAIXAM_FK_CAIXA_id';
    public static $estadia = 'CAIXAM_FK_ESTA_id';
    public static $tempo = 'CAIXAM_tempo';
    public static $valor = 'CAIXAM_valor';
    public static $desconto = 'CAIXAM_desconto';
    public static $adicional = 'CAIXAM_adicional';
    public static $total = 'CAIXAM_total';
    public static $ticket = 'CAIXAM_ticket';
    public static $id_cancela = 'CAIXAM_id_cancela';

    //relacionamentos
    //Public Function Caixa_mov(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Caixa_mov::$id];}

    //Monta GET
    Public Function getCaixa(){return $this->attributes[Caixa_mov::$caixa];}
    Public Function getEstadia(){return $this->attributes[Caixa_mov::$estadia];}
    Public Function getTempo(){return $this->attributes[Caixa_mov::$tempo];}
    Public Function getValor(){return $this->attributes[Caixa_mov::$valor];}
    Public Function getDesconto(){return $this->attributes[Caixa_mov::$desconto];}
    Public Function getAdicional(){return $this->attributes[Caixa_mov::$adicional];}
    Public Function getTotal(){return $this->attributes[Caixa_mov::$total];}
    Public Function getTicket(){return $this->attributes[Caixa_mov::$ticket];}
    Public Function getId_cancela(){return $this->attributes[Caixa_mov::$id_cancela];}

    //Monta SET
    public function setCaixa($valor){$this->attributes[Caixa_mov::$caixa] = $valor;}
    public function setEstadia($valor){$this->attributes[Caixa_mov::$estadia] = $valor;}
    public function setTempo($valor){$this->attributes[Caixa_mov::$tempo] = $valor;}
    public function setValor($valor){$this->attributes[Caixa_mov::$valor] = $valor;}
    public function setDesconto($valor){$this->attributes[Caixa_mov::$desconto] = $valor;}
    public function setAdicional($valor){$this->attributes[Caixa_mov::$adicional] = $valor;}
    public function setTotal($valor){$this->attributes[Caixa_mov::$total] = $valor;}
    public function setTicket($valor){$this->attributes[Caixa_mov::$ticket] = $valor;}
    public function setId_cancela($valor){$this->attributes[Caixa_mov::$id_cancela] = $valor;}
}