<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Cliente extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_cliente';
    protected $primaryKey = 'CLIE_id';
    public $timestamps = false;

    //campos
    public static $id       = 'CLIE_id';
    public static $nome     = 'CLIE_nome';
    public static $codigo   = 'CLIE_codigo';
    public static $contato  = 'CLIE_contato';
    public static $celular  = 'CLIE_celular';
    public static $email    = 'CLIE_email';
    public static $ativo    = 'CLIE_ativo';
    public static $unidade  = 'CLIE_FK_UNID_id';
    public static $categoria = 'CLIE_FK_CATE_id';
    public static $inspecao = 'CLIE_inspecao';

    //relacionamentos
    //Public Function Cliente(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Cliente::$id];}

    //Monta GET
    Public Function getNome(){return $this->attributes[Cliente::$nome];}
    Public Function getCodigo(){return $this->attributes[Cliente::$codigo];}
    Public Function getContato(){return $this->attributes[Cliente::$contato];}
    Public Function getCelular(){return $this->attributes[Cliente::$celular];}
    Public Function getEmail(){return $this->attributes[Cliente::$email];}
    Public Function getAtivo(){return $this->attributes[Cliente::$ativo];}
    Public Function getUnidade(){return $this->attributes[Cliente::$unidade];}
    Public Function getCategoria(){return $this->attributes[Cliente::$categoria];}
    Public Function getInspecao(){return $this->attributes[Cliente::$inspecao];}

    //Monta SET
    public function setNome($valor){$this->attributes[Cliente::$nome] = $valor;}
    public function setCodigo($valor){$this->attributes[Cliente::$codigo] = $valor;}
    public function setContato($valor){$this->attributes[Cliente::$contato] = $valor;}
    public function setCelular($valor){$this->attributes[Cliente::$celular] = $valor;}
    public function setEmail($valor){$this->attributes[Cliente::$email] = $valor;}
    public function setAtivo($valor){$this->attributes[Cliente::$ativo] = $valor;}
    public function setUnidade($valor){$this->attributes[Cliente::$unidade] = $valor;}
    public function setCategoria($valor){$this->attributes[Cliente::$categoria] = $valor;}
    public function setInspecao($valor){$this->attributes[Cliente::$inspecao] = $valor;}
    
}