<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Conta_custo extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_conta_custo';
    protected $primaryKey = 'CONTAC_id';
    public $timestamps = false;

    //campos
    public static $id = 'CONTAC_id';
    public static $unidade = 'CONTAC_FK_UNID_id';
    public static $descricao = 'CONTAC_descricao';
    public static $subconta = 'CONTAC_subconta';
    public static $codigo = 'CONTAC_codigo';
    public static $classificacao = 'CONTAC_classificacao';
    public static $tipo = 'CONTAC_tipo';
    

    //relacionamentos
    //Public Function Conta_custo(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Conta_custo::$id];}

    //Monta GET
    Public Function getUnidade(){return $this->attributes[Conta_custo::$unidade];}
    Public Function getDescricao(){return $this->attributes[Conta_custo::$descricao];}
    Public Function getSubconta(){return $this->attributes[Conta_custo::$subconta];}
    Public Function getCodigo(){return $this->attributes[Conta_custo::$codigo];}
    Public Function getClassificacao(){return $this->attributes[Conta_custo::$classificacao];}
    Public Function getTipo(){return $this->attributes[Conta_custo::$tipo];}

    //Monta SET
    public function setUnidade($valor){$this->attributes[Conta_custo::$unidade] = $valor;}
    public function setDescricao($valor){$this->attributes[Conta_custo::$descricao] = $valor;}
    public function setSubconta($valor){$this->attributes[Conta_custo::$subconta] = $valor;}
    public function setCodigo($valor){$this->attributes[Conta_custo::$codigo] = $valor;}
    public function setClassificacao($valor){$this->attributes[Conta_custo::$classificacao] = $valor;}
    public function setTipo($valor){$this->attributes[Conta_custo::$tipo] = $valor;}
}