<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Redirect;
use App\Estadia;
use App\Inspecao;
use PDF;
use Carbon\Carbon;

class PdfController extends Controller
{
    public function gerarPdfEstadia()
    {
        $pdf = PDF::loadView('pdf.pdfestadia');

        return $pdf->setPaper('a4')->stream('Estadia.pdf');

        //$pdf = PDF::loadView('pdfview');
        //return $pdf->download('pdfview.pdf');
    }

   /*  public function gerarPdfTocantins($checklistpdf)
    {
        $checklist = ChkTocantins::find($checklistpdf);
        $data = Carbon::now();
        // $now = Carbon::now()->format('d/m/Y');
        // $email = Auth::user()->getEmail();
        // $nome = Auth::user()->getNome();
        $pdf = PDF::loadView('pdf.pdftocantins',['checklist'=>$checklist,'data'=>$data]);

        return $pdf->setPaper('a4')->stream('ChkTocantins.pdf');
    } */

/*     public function gerarPdfCaixa($caixapdf)
    {

        $nome = Auth::user()->getNome();
        $caixa = Caixa::find($caixapdf);
        $despesa = Despesa::Where('DESP_FK_CAIXA_id', '=', $caixa->getId())->get();
        $ticket = Ticket::Where('TICK_FK_CAIXA_id', '=', $caixa->getId())->Where('TICK_status', '=', 'R')->get();
        //$data = Carbon::now();
        $data = Carbon::now()->timezone('America/Fortaleza');
        $pdf = PDF::loadView('pdf.pdfcaixa',['caixa'=>$caixa,'data'=>$data,'nome'=>$nome,'despesa'=>$despesa,'ticket'=>$ticket]);

        return $pdf->setPaper('a4')->stream('Caixa.pdf');
    } */

    public function gerarPdfInsp($checklistpdf)
    {
        $checklist = Inspecao::find($checklistpdf);
        $data = Carbon::now();

        $pdf = PDF::loadView('pdf.pdfinsp',['checklist'=>$checklist,'data'=>$data]);

        return $pdf->setPaper('a4')->stream('inspecao.pdf');
    }

    public function gerarPdfInspbrasil($checklistpdf)
    {
        $checklist = Inspecao::find($checklistpdf);
        $data = Carbon::now();

        $pdf = PDF::loadView('pdf.pdfinspbrasil',['checklist'=>$checklist,'data'=>$data]);

        return $pdf->setPaper('a4')->stream('inspecao.pdf');
    }
    
    public function gerarPdfInspSoene($checklistpdf)
    {
        $checklist = Inspecao::find($checklistpdf);
        $data = Carbon::now();

        $pdf = PDF::loadView('pdf.pdfinspsoene',['checklist'=>$checklist,'data'=>$data]);

        return $pdf->setPaper('a4')->stream('inspecao.pdf');
    }

    public function gerarPdfInspFto($checklistpdf)
    {
        $checklist = Inspecao::find($checklistpdf);
        $data = Carbon::now();

        $pdf = PDF::loadView('pdf.pdfinspfto',['checklist'=>$checklist,'data'=>$data]);

        return $pdf->setPaper('a4')->stream('inspecao.pdf');
    }


}