<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Inspecao extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_inspecao';
    protected $primaryKey = 'INSP_id';
    public $timestamps = false;

    //campos
    public static $id = 'INSP_id';
    public static $estadia = 'INSP_FK_ESTA_id';
    public static $data = 'INSP_data';
    public static $tipocarga = 'INSP_tipocarga';
    public static $status = 'INSP_status';
    public static $inicio = 'INSP_inicio';
    public static $final = 'INSP_final';
    public static $obs = 'INSP_obs';
    public static $item01 = 'INSP_item01';
    public static $item02 = 'INSP_item02';
    public static $item03 = 'INSP_item03';
    public static $item04 = 'INSP_item04';
    public static $item05 = 'INSP_item05';
    public static $item06 = 'INSP_item06';
    public static $item07 = 'INSP_item07';
    public static $item08 = 'INSP_item08';
    public static $unidade = 'INSP_FK_UNID_id';
    public static $avaliador = 'INSP_avaliador';

    //relacionamentos
    public function Estadia()
    {
        return $this->belongsTo('App\Estadia',Inspecao::$estadia);
    }

    
    //atributos
    Public Function getId(){return $this->attributes[Inspecao::$id];}

    //Monta GET
    Public Function getEstadia(){return $this->attributes[Inspecao::$estadia];}
    Public Function getData(){return $this->attributes[Inspecao::$data];}
    Public Function getTipocarga(){return $this->attributes[Inspecao::$tipocarga];}
    Public Function getStatus(){return $this->attributes[Inspecao::$status];}
    Public Function getInicio(){return $this->attributes[Inspecao::$inicio];}
    Public Function getFinal(){return $this->attributes[Inspecao::$final];}
    Public Function getObs(){return $this->attributes[Inspecao::$obs];}
    Public Function getItem01(){return $this->attributes[Inspecao::$item01];}
    Public Function getItem02(){return $this->attributes[Inspecao::$item02];}
    Public Function getItem03(){return $this->attributes[Inspecao::$item03];}
    Public Function getItem04(){return $this->attributes[Inspecao::$item04];}
    Public Function getItem05(){return $this->attributes[Inspecao::$item05];}
    Public Function getItem06(){return $this->attributes[Inspecao::$item06];}
    Public Function getItem07(){return $this->attributes[Inspecao::$item07];}
    Public Function getItem08(){return $this->attributes[Inspecao::$item08];}
    Public Function getUnidade(){return $this->attributes[Inspecao::$unidade];}
    Public Function getAvaliador(){return $this->attributes[Inspecao::$avaliador];}

    //Monta SET
    public function setEstadia($valor){$this->attributes[Inspecao::$estadia] = $valor;}
    public function setData($valor){$this->attributes[Inspecao::$data] = $valor;}
    public function setTipocarga($valor){$this->attributes[Inspecao::$tipocarga] = $valor;}
    public function setStatus($valor){$this->attributes[Inspecao::$status] = $valor;}
    public function setInicio($valor){$this->attributes[Inspecao::$inicio] = $valor;}
    public function setFinal($valor){$this->attributes[Inspecao::$final] = $valor;}
    public function setObs($valor){$this->attributes[Inspecao::$obs] = $valor;}
    public function setItem01($valor){$this->attributes[Inspecao::$item01] = $valor;}
    public function setItem02($valor){$this->attributes[Inspecao::$item02] = $valor;}
    public function setItem03($valor){$this->attributes[Inspecao::$item03] = $valor;}
    public function setItem04($valor){$this->attributes[Inspecao::$item04] = $valor;}
    public function setItem05($valor){$this->attributes[Inspecao::$item05] = $valor;}
    public function setItem06($valor){$this->attributes[Inspecao::$item06] = $valor;}
    public function setItem07($valor){$this->attributes[Inspecao::$item07] = $valor;}
    public function setItem08($valor){$this->attributes[Inspecao::$item08] = $valor;}
    public function setUnidade($valor){$this->attributes[Inspecao::$unidade] = $valor;}
    public function setAvaliador($valor){$this->attributes[Inspecao::$avaliador] = $valor;}
    
}