<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Integracao extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_integracao';
    protected $primaryKey = 'INTE_id';
    public $timestamps = false;

    //campos
    public static $inte_id = 'INTE_id';
    public static $unidade = 'INTE_FK_UNID_id';
    public static $placa = 'INTE_placa';
    public static $data = 'INTE_data';
    public static $codigo = 'INTE_codigo';
    public static $status = 'INTE_status';

    //relacionamentos
    //Public Function Integracao(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getInte_id(){return $this->attributes[Integracao::$inte_id];}

    //Monta GET
    Public Function getUnidade(){return $this->attributes[Integracao::$unidade];}
    Public Function getPlaca(){return $this->attributes[Integracao::$placa];}
    Public Function getData(){return $this->attributes[Integracao::$data];}
    Public Function getCodigo(){return $this->attributes[Integracao::$codigo];}
    Public Function getStatus(){return $this->attributes[Integracao::$status];}

    //Monta SET
    public function setUnidade($valor){$this->attributes[Integracao::$unidade] = $valor;}
    public function setPlaca($valor){$this->attributes[Integracao::$placa] = $valor;}
    public function setData($valor){$this->attributes[Integracao::$data] = $valor;}
    public function setCodigo($valor){$this->attributes[Integracao::$codigo] = $valor;}
    public function setStatus($valor){$this->attributes[Integracao::$status] = $valor;}
    
}