<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class MtipoCacamba extends Model
{
    protected $connection = 'mysql';
    protected $table = 'MIN_tipo_cacamba';
    protected $primaryKey = 'TIPOC_id';
    public $timestamps = false;

    //campos
    public static $id = 'TIPOC_id';
    public static $descricao = 'TIPOC_descricao';
    public static $vol_estimado = 'TIPOC_vol_estimado';

    //relacionamentos
    //Public Function Tipo_cacamba(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[MtipoCacamba::$id];}

    //Monta GET
    Public Function getDescricao(){return $this->attributes[MtipoCacamba::$descricao];}
    Public Function getVol_estimado(){return $this->attributes[MtipoCacamba::$vol_estimado];}

    //Monta SET
    public function setDescricao($valor){$this->attributes[MtipoCacamba::$descricao] = $valor;}
    public function setVol_estimado($valor){$this->attributes[MtipoCacamba::$vol_estimado] = $valor;}
}