<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Ocorrencia extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_ocorrencia';
    protected $primaryKey = 'OCOR_id';
    public $timestamps = false;

    //campos
    public static $id = 'OCOR_id';
    public static $estadia = 'OCOR_FK_ESTA_id';
    public static $data = 'OCOR_data';
    public static $descricao = 'OCOR_descricao';
    public static $placa = 'OCOR_placa';
    public static $tipo = 'OCOR_tipo';

    //relacionamentos
    //Public Function Ocorrencia(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Ocorrencia::$id];}

    //Monta GET
    Public Function getEstadia(){return $this->attributes[Ocorrencia::$estadia];}
    Public Function getData(){return $this->attributes[Ocorrencia::$data];}
    Public Function getDescricao(){return $this->attributes[Ocorrencia::$descricao];}
    Public Function getPlaca(){return $this->attributes[Ocorrencia::$placa];}
    Public Function getTipo(){return $this->attributes[Ocorrencia::$tipo];}

    //Monta SET
    public function setEstadia($valor){$this->attributes[Ocorrencia::$estadia] = $valor;}
    public function setData($valor){$this->attributes[Ocorrencia::$data] = $valor;}
    public function setDescricao($valor){$this->attributes[Ocorrencia::$descricao] = $valor;}
    public function setPlaca($valor){$this->attributes[Ocorrencia::$placa] = $valor;}
    public function setTipo($valor){$this->attributes[Ocorrencia::$tipo] = $valor;}
    
}