<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Ocorrencia extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_colab_ocorrencia';
    protected $primaryKey = 'OCOR_id';
    public $timestamps = false;

    //campos
    public static $id = 'OCOR_id';
    public static $colaborador = 'OCOR_FK_COLAB_id';
    public static $data = 'OCOR_data';
    public static $descricao = 'OCOR_descricao';

    //relacionamentos
    //Public Function Ocorrencia(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Ocorrencia::$id];}

    //Monta GET
    Public Function getColaborador(){return $this->attributes[Ocorrencia::$colaborador];}
    Public Function getData(){return $this->attributes[Ocorrencia::$data];}
    Public Function getDescricao(){return $this->attributes[Ocorrencia::$descricao];}

    //Monta SET
    public function setColaborador($valor){$this->attributes[Ocorrencia::$colaborador] = $valor;}
    public function setData($valor){$this->attributes[Ocorrencia::$data] = $valor;}
    public function setDescricao($valor){$this->attributes[Ocorrencia::$descricao] = $valor;}
}