<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Operacao extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_operacao';
    protected $primaryKey = 'OPE_id';
    public $timestamps = false;

    //campos
    public static $id = 'OPE_id';
    public static $unidade = 'OPE_FK_UNID_id';
    public static $descricao = 'OPE_descricao';
    public static $ativo = 'OPE_ativo';

    //relacionamentos
    //Public Function Operacao(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Operacao::$id];}

    //Monta GET
    Public Function getUnidade(){return $this->attributes[Operacao::$unidade];}
    Public Function getDescricao(){return $this->attributes[Operacao::$descricao];}
    Public Function getAtivo(){return $this->attributes[Operacao::$ativo];}

    //Monta SET
    public function setUnidade($valor){$this->attributes[Operacao::$unidade] = $valor;}
    public function setDescricao($valor){$this->attributes[Operacao::$descricao] = $valor;}
    public function setAtivo($valor){$this->attributes[Operacao::$ativo] = $valor;}
}