<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Ordem_pgto extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_ordem_pgto';
    protected $primaryKey = 'ORDEMP_id';
    public $timestamps = false;

    //campos
    public static $id = 'ORDEMP_id';
    public static $parceiro = 'ORDEMP_FK_PARC_id';
    public static $unidade = 'ORDEMP_FK_UNID_id';
    public static $data = 'ORDEMP_data';
    public static $data_prev = 'ORDEMP_data_prev';
    public static $valor = 'ORDEMP_valor';
    public static $total = 'ORDEMP_total';
    public static $descricao = 'ORDEMP_descricao';
    public static $doc = 'ORDEMP_doc';
    public static $login = 'ORDEMP_login';
    public static $aprovado = 'ORDEMP_aprovado';
    public static $aprovado_por = 'ORDEMP_aprovado_por';
    public static $status = 'ORDEMP_status';
    public static $financeiro = 'ORDEMP_financeiro';
    public static $parcela = 'ORDEMP_parcela';
    public static $observacao = 'ORDEMP_observacao';
    public static $intervalo = 'ORDEMP_intervalo';
    public static $visto = 'ORDEMP_visto';
    public static $datafixa = 'ORDEMP_datafixa';


    //relacionamentos
    //Public Function Ordem_pgto(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Ordem_pgto::$id];}

    /*  idordem
    parceiro
    datamov
    dataprev
    valor
    total
    descricao
    doc
    autor
    aprovado
    status
    financeiro
    parcela
    obs
    intervalo
    visto
    datafixa */
    
    //Monta GET
    Public Function getParceiro(){return $this->attributes[Ordem_pgto::$parceiro];}
    Public Function getData(){return $this->attributes[Ordem_pgto::$data];}
    Public Function getData_prev(){return $this->attributes[Ordem_pgto::$data_prev];}
    Public Function getValor(){return $this->attributes[Ordem_pgto::$valor];}
    Public Function getDescricao(){return $this->attributes[Ordem_pgto::$descricao];}
    Public Function getDoc(){return $this->attributes[Ordem_pgto::$doc];}
    Public Function getLogin(){return $this->attributes[Ordem_pgto::$login];}
    Public Function getAprovado(){return $this->attributes[Ordem_pgto::$aprovado];}
    Public Function getAprovado_por(){return $this->attributes[Ordem_pgto::$aprovado_por];}
    Public Function getStatus(){return $this->attributes[Ordem_pgto::$status];}
    Public Function getFinanceiro(){return $this->attributes[Ordem_pgto::$financeiro];}
    Public Function getParcela(){return $this->attributes[Ordem_pgto::$parcela];}
    Public Function getObservacao(){return $this->attributes[Ordem_pgto::$observacao];}
    Public Function getTotal(){return $this->attributes[Ordem_pgto::$total];}
    Public Function getIntervalo(){return $this->attributes[Ordem_pgto::$intervalo];}
    Public Function getVisto(){return $this->attributes[Ordem_pgto::$visto];}
    Public Function getDatafixa(){return $this->attributes[Ordem_pgto::$datafixa];}
    Public Function getUnidade(){return $this->attributes[Ordem_pgto::$unidade];}

    //Monta SET
    public function setParceiro($valor){$this->attributes[Ordem_pgto::$parceiro] = $valor;}
    public function setData($valor){$this->attributes[Ordem_pgto::$data] = $valor;}
    public function setData_prev($valor){$this->attributes[Ordem_pgto::$data_prev] = $valor;}
    public function setValor($valor){$this->attributes[Ordem_pgto::$valor] = $valor;}
    public function setDescricao($valor){$this->attributes[Ordem_pgto::$descricao] = $valor;}
    public function setDoc($valor){$this->attributes[Ordem_pgto::$doc] = $valor;}
    public function setLogin($valor){$this->attributes[Ordem_pgto::$login] = $valor;}
    public function setAprovado($valor){$this->attributes[Ordem_pgto::$aprovado] = $valor;}
    public function setAprovado_por($valor){$this->attributes[Ordem_pgto::$aprovado_por] = $valor;}
    public function setStatus($valor){$this->attributes[Ordem_pgto::$status] = $valor;}
    public function setFinanceiro($valor){$this->attributes[Ordem_pgto::$financeiro] = $valor;}
    public function setParcela($valor){$this->attributes[Ordem_pgto::$parcela] = $valor;}
    public function setObservacao($valor){$this->attributes[Ordem_pgto::$observacao] = $valor;}
    public function setTotal($valor){$this->attributes[Ordem_pgto::$total] = $valor;}
    public function setIntervalo($valor){$this->attributes[Ordem_pgto::$intervalo] = $valor;}
    public function setVisto($valor){$this->attributes[Ordem_pgto::$visto] = $valor;}
    public function setDatafixa($valor){$this->attributes[Ordem_pgto::$datafixa] = $valor;}
    public function setUnidade($valor){$this->attributes[Ordem_pgto::$unidade] = $valor;}

}