<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Produtov extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_produtov';
    protected $primaryKey = 'PROD_id';
    public $timestamps = false;

    //campos
    public static $id = 'PROD_id';
    public static $unidade = 'PROD_FK_UNID_id';
    public static $grupo = 'PROD_FK_GRUPOP_id';
    public static $unidade_med = 'PROD_FK_UNIDM_id';
    public static $descricao = 'PROD_descricao';
    public static $referencia = 'PROD_referencia';
    public static $marca = 'PROD_marca';
    public static $obs = 'PROD_obs';
    public static $entradas = 'PROD_entradas';
    public static $saidas = 'PROD_saidas';
    public static $saldo = 'PROD_saldo';
    public static $preco_custo = 'PROD_preco_custo';


    //relacionamentos
    //Public Function Produto(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Produtov::$id];}

    //Monta GET
    Public Function getUnidade(){return $this->attributes[Produtov::$unidade];}
    Public Function getGrupo(){return $this->attributes[Produtov::$grupo];}
    Public Function getUnidade_med(){return $this->attributes[Produtov::$unidade_med];}
    Public Function getDescricao(){return $this->attributes[Produtov::$descricao];}
    Public Function getReferencia(){return $this->attributes[Produtov::$referencia];}
    Public Function getMarca(){return $this->attributes[Produtov::$marca];}
    Public Function getObs(){return $this->attributes[Produtov::$obs];}
    Public Function getEntradas(){return $this->attributes[Produtov::$entradas];}
    Public Function getSaidas(){return $this->attributes[Produtov::$saidas];}
    Public Function getSaldo(){return $this->attributes[Produtov::$saldo];}
    Public Function getPreco_custo(){return $this->attributes[Produtov::$preco_custo];}

    //Monta SET
    public function setUnidade($valor){$this->attributes[Produtov::$unidade] = $valor;}
    public function setGrupo($valor){$this->attributes[Produtov::$grupo] = $valor;}
    public function setUnidade_med($valor){$this->attributes[Produtov::$unidade_med] = $valor;}
    public function setDescricao($valor){$this->attributes[Produtov::$descricao] = $valor;}
    public function setReferencia($valor){$this->attributes[Produtov::$referencia] = $valor;}
    public function setMarca($valor){$this->attributes[Produtov::$marca] = $valor;}
    public function setObs($valor){$this->attributes[Produtov::$obs] = $valor;}
    public function setEntradas($valor){$this->attributes[Produtov::$entradas] = $valor;}
    public function setSaidas($valor){$this->attributes[Produtov::$saidas] = $valor;}
    public function setSaldo($valor){$this->attributes[Produtov::$saldo] = $valor;}
    public function setPreco_custo($valor){$this->attributes[Produtov::$preco_custo] = $valor;}
    
}