<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Saida extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_saida';
    protected $primaryKey = 'SAIDA_id';
    public $timestamps = false;

    //campos
    public static $id = 'SAIDA_id';
    public static $unidade = 'SAIDA_FK_UNID_id';
    public static $parceiro = 'SAIDA_FK_PARC_id';
    public static $saida_data = 'SAIDA_data';
    public static $tipo = 'SAIDA_tipo';
    public static $total_produto = 'SAIDA_total_produto';
    public static $desconto = 'SAIDA_desconto';
    public static $total = 'SAIDA_total';
    public static $obs = 'SAIDA_obs';
    public static $forma = 'SAIDA_forma_pgto';
    public static $requisitante = 'SAIDA_requisitante';
    public static $ajustador    = 'SAIDA_ajustado_por';
    public static $escola = 'SAIDA_FK_ESCO_id';

    //relacionamentos
    //Public Function Saida(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Saida::$id];}

    //Monta GET
    Public Function getUnidade(){return $this->attributes[Saida::$unidade];}
    Public Function getParceiro(){return $this->attributes[Saida::$parceiro];}
    Public Function getSaida_data(){return $this->attributes[Saida::$saida_data];}
    Public Function getTipo(){return $this->attributes[Saida::$tipo];}
    Public Function getTotal_produto(){return $this->attributes[Saida::$total_produto];}
    Public Function getDesconto(){return $this->attributes[Saida::$desconto];}
    Public Function getTotal(){return $this->attributes[Saida::$total];}
    Public Function getObs(){return $this->attributes[Saida::$obs];}
    Public Function getForma(){return $this->attributes[Saida::$forma];}
    Public Function getRequisitante(){return $this->attributes[Saida::$requisitante];}
    Public Function getAjustador(){return $this->attributes[Saida::$ajustador];}

    //Monta SET
    public function setUnidade($valor){$this->attributes[Saida::$unidade] = $valor;}
    public function setParceiro($valor){$this->attributes[Saida::$parceiro] = $valor;}
    public function setSaida_data($valor){$this->attributes[Saida::$saida_data] = $valor;}
    public function setTipo($valor){$this->attributes[Saida::$tipo] = $valor;}
    public function setTotal_produto($valor){$this->attributes[Saida::$total_produto] = $valor;}
    public function setDesconto($valor){$this->attributes[Saida::$desconto] = $valor;}
    public function setTotal($valor){$this->attributes[Saida::$total] = $valor;}
    public function setObs($valor){$this->attributes[Saida::$obs] = $valor;}
    public function setForma($valor){$this->attributes[Saida::$forma] = $valor;}
    public function setRequisitante($valor){$this->attributes[Saida::$requisitante] = $valor;}
    public function setAjustador($valor){$this->attributes[Saida::$ajustador] = $valor;}

}