<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Saida_item extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_saida_item';
    protected $primaryKey = 'SAIDAI_id';
    public $timestamps = false;

    //campos
    public static $id = 'SAIDAI_id';
    public static $saida = 'SAIDAI_FK_SAIDA_id';
    public static $produto = 'SAIDAI_FK_PROD_id';
    public static $qtde = 'SAIDAI_qtde';
    public static $valor_unit = 'SAIDAI_valor_unit';
    public static $valor_total = 'SAIDAI_valor_total';

    //relacionamentos
    //Public Function Saida_item(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Saida_item::$id];}

    //Monta GET
    Public Function getSaida(){return $this->attributes[Saida_item::$saida];}
    Public Function getProduto(){return $this->attributes[Saida_item::$produto];}
    Public Function getQtde(){return $this->attributes[Saida_item::$qtde];}
    Public Function getValor_unit(){return $this->attributes[Saida_item::$valor_unit];}
    Public Function getValor_total(){return $this->attributes[Saida_item::$valor_total];}

    //Monta SET
    public function setSaida($valor){$this->attributes[Saida_item::$saida] = $valor;}
    public function setProduto($valor){$this->attributes[Saida_item::$produto] = $valor;}
    public function setQtde($valor){$this->attributes[Saida_item::$qtde] = $valor;}
    public function setValor_unit($valor){$this->attributes[Saida_item::$valor_unit] = $valor;}
    public function setValor_total($valor){$this->attributes[Saida_item::$valor_total] = $valor;}
}
