<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Transportador extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_transportador';
    protected $primaryKey = 'TRAN_id';
    public $timestamps = false;

    //campos
    public static $id = 'TRAN_id';
    public static $nome = 'TRAN_nome';
    public static $codigo = 'TRAN_codigo';
    public static $contato = 'TRAN_contato';
    public static $celular = 'TRAN_celular';
    public static $email = 'TRAN_email';
    public static $ativo = 'TRAN_ativo';
    public static $unidade = 'TRAN_FK_UNID_id';

    //relacionamentos
    //Public Function Transportador(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Transportador::$id];}

    //Monta GET
    Public Function getNome(){return $this->attributes[Transportador::$nome];}
    Public Function getCodigo(){return $this->attributes[Transportador::$codigo];}
    Public Function getContato(){return $this->attributes[Transportador::$contato];}
    Public Function getCelular(){return $this->attributes[Transportador::$celular];}
    Public Function getEmail(){return $this->attributes[Transportador::$email];}
    Public Function getAtivo(){return $this->attributes[Transportador::$ativo];}
    Public Function getUnidade(){return $this->attributes[Transportador::$unidade];}
    
    //Monta SET
    public function setNome($valor){$this->attributes[Transportador::$nome] = $valor;}
    public function setCodigo($valor){$this->attributes[Transportador::$codigo] = $valor;}
    public function setContato($valor){$this->attributes[Transportador::$contato] = $valor;}
    public function setCelular($valor){$this->attributes[Transportador::$celular] = $valor;}
    public function setEmail($valor){$this->attributes[Transportador::$email] = $valor;}
    public function setAtivo($valor){$this->attributes[Transportador::$ativo] = $valor;}
    public function setUnidade($valor){$this->attributes[Transportador::$unidade] = $valor;}
    
}