<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Unidade extends Model
{
    protected $connection = 'mysql';
    protected $table = 'TBG_unidade';
    protected $primaryKey = 'UNID_id';
    public $timestamps = false;

    //campos
    public static $id = 'UNID_id';
    public static $cidade = 'UNID_FK_CIDA_id';
    public static $nome = 'UNID_nome';
    public static $contato = 'UNID_contato';
    public static $fone = 'UNID_fone';
    public static $email = 'UNID_email';
    public static $end_completo = 'UNID_end_completo';
    public static $logo = 'UNID_logo';
    public static $ativo = 'UNID_ativo';
    public static $titulo = 'UNID_titulo';

    //relacionamentos
    //Public Function Unidade(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Unidade::$id];}

    //Monta GET
    Public Function getCidade(){return $this->attributes[Unidade::$cidade];}
    Public Function getNome(){return $this->attributes[Unidade::$nome];}
    Public Function getContato(){return $this->attributes[Unidade::$contato];}
    Public Function getFone(){return $this->attributes[Unidade::$fone];}
    Public Function getEmail(){return $this->attributes[Unidade::$email];}
    Public Function getEnd_completo(){return $this->attributes[Unidade::$end_completo];}
    Public Function getLogo(){return $this->attributes[Unidade::$logo];}
    Public Function getAtivo(){return $this->attributes[Unidade::$ativo];}
    Public Function getTitulo(){return $this->attributes[Unidade::$titulo];}
    

    //Monta SET
    public function setCidade($valor){$this->attributes[Unidade::$cidade] = $valor;}
    public function setNome($valor){$this->attributes[Unidade::$nome] = $valor;}
    public function setContato($valor){$this->attributes[Unidade::$contato] = $valor;}
    public function setFone($valor){$this->attributes[Unidade::$fone] = $valor;}
    public function setEmail($valor){$this->attributes[Unidade::$email] = $valor;}
    public function setEnd_completo($valor){$this->attributes[Unidade::$end_completo] = $valor;}
    public function setLogo($valor){$this->attributes[Unidade::$logo] = $valor;}
    public function setAtivo($valor){$this->attributes[Unidade::$ativo] = $valor;}
    public function setTitulo($valor){$this->attributes[Unidade::$titulo] = $valor;}

}