<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Unidade_negocio extends Model
{
    protected $connection = 'mysql';
    protected $table = 'TBG_unidade';
    protected $primaryKey = 'UNID_id';
    public $timestamps = false;

    //campos
    public static $id = 'UNID_id';
    public static $cidade = 'UNID_FK_CIDA_id';
    public static $nome = 'UNID_nome';
    public static $endereco = 'UNID_endereco';
    public static $complemento = 'UNID_complemento';
    public static $nro = 'UNID_nro';
    public static $bairro = 'UNID_bairro';
    public static $cep = 'UNID_cep';
    public static $fone = 'UNID_fone';
    public static $celular = 'UNID_celular';
    public static $email = 'UNID_email';
    public static $ativo = 'UNID_ativo';
    public static $tipo = 'UNID_tipo';
    public static $titulo = 'UNID_titulo';

    //relacionamentos
    //Public Function Unidade_negocio(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Unidade_negocio::$id];}

    //Monta GET
    Public Function getCidade(){return $this->attributes[Unidade_negocio::$cidade];}
    Public Function getNome(){return $this->attributes[Unidade_negocio::$nome];}
    Public Function getEndereco(){return $this->attributes[Unidade_negocio::$endereco];}
    Public Function getComplemento(){return $this->attributes[Unidade_negocio::$complemento];}
    Public Function getNro(){return $this->attributes[Unidade_negocio::$nro];}
    Public Function getBairro(){return $this->attributes[Unidade_negocio::$bairro];}
    Public Function getCep(){return $this->attributes[Unidade_negocio::$cep];}
    Public Function getFone(){return $this->attributes[Unidade_negocio::$fone];}
    Public Function getCelular(){return $this->attributes[Unidade_negocio::$celular];}
    Public Function getEmail(){return $this->attributes[Unidade_negocio::$email];}
    Public Function getAtivo(){return $this->attributes[Unidade_negocio::$ativo];}
    Public Function getTipo(){return $this->attributes[Unidade_negocio::$tipo];}
    Public Function getTitulo(){return $this->attributes[Unidade_negocio::$titulo];}
    

    //Monta SET
    public function setCidade($valor){$this->attributes[Unidade_negocio::$cidade] = $valor;}
    public function setNome($valor){$this->attributes[Unidade_negocio::$nome] = $valor;}
    public function setEndereco($valor){$this->attributes[Unidade_negocio::$endereco] = $valor;}
    public function setComplemento($valor){$this->attributes[Unidade_negocio::$complemento] = $valor;}
    public function setNro($valor){$this->attributes[Unidade_negocio::$nro] = $valor;}
    public function setBairro($valor){$this->attributes[Unidade_negocio::$bairro] = $valor;}
    public function setCep($valor){$this->attributes[Unidade_negocio::$cep] = $valor;}
    public function setFone($valor){$this->attributes[Unidade_negocio::$fone] = $valor;}
    public function setCelular($valor){$this->attributes[Unidade_negocio::$celular] = $valor;}
    public function setEmail($valor){$this->attributes[Unidade_negocio::$email] = $valor;}
    public function setAtivo($valor){$this->attributes[Unidade_negocio::$ativo] = $valor;}
    public function setTipo($valor){$this->attributes[Unidade_negocio::$tipo] = $valor;}
    public function setTitulo($valor){$this->attributes[Unidade_negocio::$titulo] = $valor;}
    
}