<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Formula extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_formula';
    protected $primaryKey = 'FORM_id';
    public $timestamps = false;

    //campos
    public static $id = 'FORM_id';
    public static $unidade = 'FORM_FK_UNID_id';
    public static $cliente = 'FORM_FK_CLIE_id';
    public static $descricao = 'FORM_descricao';

    //relacionamentos
    //Public Function Formula(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Formula::$id];}

    //Monta GET
    Public Function getUnidade(){return $this->attributes[Formula::$unidade];}
    Public Function getCliente(){return $this->attributes[Formula::$cliente];}
    Public Function getDescricao(){return $this->attributes[Formula::$descricao];}

    //Monta SET
    public function setUnidade($valor){$this->attributes[Formula::$unidade] = $valor;}
    public function setCliente($valor){$this->attributes[Formula::$cliente] = $valor;}
    public function setDescricao($valor){$this->attributes[Formula::$descricao] = $valor;}
}