$(document).ready(function()
{
    $('#feedback-login').hide();
    $('#identificacao').hide();
    $('#senha').hide();
    $('#txtAdicional').hide();
    $('#contrato').show();          //desaparecer aqui depois dos testes
    $('#mensagem2').hide();
    $('#preco').hide();
    $('#empresa').hide();
    $('#cbQtde').val('1');
    $('#cbQtde').prop('disabled',true);
    $('#txtNomeIndicador').prop('disabled',true);
    $('#txtCodigo').prop('disabled',false);
    $('#valida_tipo').hide();
    $('#btnTentativa').hide();
    $('#ind1').hide();
    $('#ind2').hide();
    $('#cbIndicado').prop('checked',false);
    
    //CalculaValidade(90);

    var data = moment(new Date()).format("DD/MM/YYYY");
    var data2 = moment(new Date()).format("YYYY-MM-DD");
    
    $('#txtDataContrato').val(data);
    $('#hdnDataContrato').val(data2);

    var uf = '8';
    CarregaUF(uf);
    
});

$('#cbIndicado').change(function()
{
    var indicado   = document.getElementById("cbIndicado").checked;
    if(indicado==true)
    {
        $('#ind1').show();
        $('#ind2').show();
        $('#mensagem2').show();
    }
    else 
    {
        $('#ind1').hide();
        $('#ind2').hide();
        $('#mensagem2').hide();
    }
    //limpa dados do parceiro indicador
    $('#txtCodigo').val('');
    $('#txtNomeIndicador').val('');
    $('#cbTipo').val('');
    $('#txtAdicional').val('15.00');
    $('#txtModAdm').val('');
    $('#txtPreco').val('');
    $('#txtTempo').val('');
    $('#txtValorAnual').val('');
    $('#cbQtde').val('');
    $('#txtDataVencto').val('');
    //$('#cbQtde').prop('disabled',false);
    $('#hdnValor').val('');
    $('#cbTipo').val('');                   //limpa o tipo selecionado

    var data = moment(new Date()).format("DD/MM/YYYY");
    var data2 = moment(new Date()).format("YYYY-MM-DD");
    
    $('#txtDataContrato').val(data);
    $('#hdnDataContrato').val(data2);

});

$('#btnValidar1').click(function()      //clicou em validar o login
{
    var ok = 1;
    var login = $('#txtLogin').val();
    login = login.replace(/\s+/g, '');

    var y = login.length;                   //comprimento do login

    $('#txtLogin').val(login);
    
    if(y < 6)
    {
        ok = 0;
        MensagemBox('alerta','ATENÇÃO','Login deve ter mínimo de 6 dígitos !');
    }

    if($('#txtLogin').val()=='')
    {
        ok = 0;
        MensagemBox('alerta','ATENÇÃO','Login não pode ser vazio !');
    }


    if(ok==1)       //caso passe pela validação inicial
    {
        //valida o login aqui
        var login = $('#txtLogin').val();
        $('#hdnLogin').attr('data',login);
        //console.log('login: ' + login);

        $('#btnValidar2').hide();
        $('#identificacao').show();
        $('#senha').show();

        PesquisaLogin(login);
        
        $('#btnValidar1').hide();
        $('#txtLogin').prop('disabled',true);
    }
    
});

$('#btnTentativa').click(function() //clicou em nova tentativa
{
    $("#txtNome").prop('disabled',true);
    $('#btnValidar2').hide();

    $('#identificacao').hide();
    $('#senha').hide();
    $('#btnValidar1').show();
    $('#txtLogin').prop('disabled',false);
    $('#txtLogin').val('');
    $('#btnValidar1').show();
    $('#btnTentativa').hide();
});


$('#btnValidar3').click(function()
{
    var ok = true;
    var chave = $('#txtChave').val();

    if($('#txtChave').val()=='')
    {
        MensagemBox('alerta','ATENÇÃO','Chave Inválida !');
        ok = false;
    }

    //Validar a chave aqui

    if(ok==true)
    {
        //$('#valida_tipo').hide();
        //$('#empresa').show();
        PesquisaChave(chave);
    }
    //else 
    //{
    //    $('#valida_tipo').show();
    //    $('#empresa').hide();
    //}

});

$('#btnValidar2').click(function()
{
    var ok = true;
    var s = $('#txtSenha').val();
    var x = s.length;
    
    if($('#txtNome').val()=='')
    {
        MensagemBox('alerta','ATENÇÃO','Nome Inválido !');
        ok = false;
    }
    if($('#txtEmail').val()=='')
    {
        MensagemBox('alerta','ATENÇÃO','Email Inválido !');
        ok = false;
    }
	  
	var filter = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
	if ($("#txtEmail").val() != '' && !filter.test($('#txtEmail').val())) {
		MensagemBox('alerta','Atenção','O email não corresponde ao padrão');
		ok = false;
	}
    //console.log('tamanho da senha ' + x);
    if(x < 6)
    {
        MensagemBox('alerta','ATENÇÃO','Senhas devem ter mínimo de 6 caracteres ou letras !');
        ok = false;
    }
    if($('#txtSenha').val()=='')
    {
        MensagemBox('alerta','ATENÇÃO','Senha Inválida !');
        ok = false;
    }
    if($('#txtSenha').val()!=$('#txtConfirmacao').val())
    {
        MensagemBox('alerta','ATENÇÃO','Senhas estão divergindo !');
        ok = false;
    }
    
    if(ok==true)
    {
        //desabilita botões
        $('#hdnNome').attr('data',$('#txtNome').val());
        $('#hdnEmail').attr('data',$('#txtEmail').val());
        $('#hdnSenha').attr('data',$('#txtSenha').val());
        
        $('#txtNome').prop('disabled',true);
        $('#txtEmail').prop('disabled',true);
        $('#txtSenha').prop('disabled',true);
        $('#txtConfirmacao').prop('disabled',true);

        //exibe painel do contrato
        $('#contrato').show();
        $('#mensagem2').show();
        $('#btnValidar2').hide();
        $('#preco').show();
        //$('#empresa').show();

        //seta valores
        $('#txtModAdm').val('0,00');
        $('#txtMod2').val('0,00');

        var data = moment(new Date()).format("DD/MM/YYYY");
        var data2 = moment(new Date()).format("YYYY-MM-DD");
        
        $('#txtDataContrato').val(data);
        $('#txtAdicional').val('0.00');

        $('#hdnDataContrato').val(data2);

        $('#mensagem2').show();

    }
    else
    {

    }

});

$('#btnSalvar').click(function()
{
    //fazer as validações aqui
    var ok = true;
    var indicado   = document.getElementById("cbIndicado").checked;

    if(indicado==true && $('#txtNomeIndicador').val()=='')
    {
        MensagemBox('alerta','ATENÇÃO','Parceiro Inválido !');
        ok = false;
    }
    if($('#cbTipo').val()=='')
    {
        MensagemBox('alerta','ATENÇÃO','Tipo de Contrato da Conta Inválida !');
        ok = false;
    }
    if($('#txtUnidade').val()=='')
    {
        MensagemBox('alerta','ATENÇÃO','Nome da Conta Inválida !');
        ok = false;
    }
    if($('#cbTipoUnid').val()=='')
    {
        MensagemBox('alerta','ATENÇÃO','Tipo de unidade de negócio Inválida !');
        ok = false;
    }
    if($('#txtCelularUnid').val()=='')
    {
        MensagemBox('alerta','ATENÇÃO','Celular da Conta Inválida !');
        ok = false;
    }
    if($('#txtEmailUnid').val()=='')
    {
        MensagemBox('alerta','ATENÇÃO','Email da Conta Inválida !');
        ok = false;
    }
    if($('#cbUF').val()=='')
    {
        MensagemBox('alerta','ATENÇÃO','UF da Conta Inválida !');
        ok = false;
    }
    if($('#cbCidade').val()=='')
    {
        MensagemBox('alerta','ATENÇÃO','Cidade da Conta Inválida !');
        ok = false;
    }

    if(ok==true)
    {
        //dados da unidade de negocio
        var nomeunid=       $('#txtUnidade').val();
        var cidade=         $('#cbCidade').val();
        var celularunid=    $('#txtCelularUnid').val();
        var emailunid=      $('#txtEmailUnid').val();
        var enderecounid=   $('#txtEndereco').val();
        var nrounid=        $('#txtNro').val();
        var complementounid= $('#txtComplemento').val();
        var bairrounid=     $('#txtBairro').val();
        var cepunid=        $('#txtCep').val();
        //dados do contrato
        var tipocontrato=   $('#cbTipo').val();
        var datacontrato=   $('#hdnDataContrato').val();
        var datavalidade=   $('#hdnDataVencto').val();
        var valor=          $('#hdnValor').attr('data');
        //dados do usuario
        var login=          $('#hdnLogin').attr('data');
        var nome=           $('#hdnNome').attr('data');
        var email=          $('#hdnEmail').attr('data');
        var senha=          $('#hdnSenha').attr('data');
        var chave=          $('#hdnChave').attr('data');
        //tipo da unidade de negócio
        var tipo=           $('#cbTipoUnid').val();
        // CE -> CLINICA DE ESTÉTICA
        // SB -> SALÃO DE BELEZA
        // BA -> BARBEARIA
        var codigo=         $('#txtCodigo').val();

        console.log('nome unid: ' + nomeunid + ' cidade: ' + cidade + ' celular unid: ' +  celularunid + ' celular: ' +  emailunid + ' endereço: ' + enderecounid + ' nro unid: ' + nrounid + ' complemento: ' + complementounid + ' bairro: ' + bairrounid + ' cep: ' + cepunid + ' tipo contrato: ' + tipocontrato + ' data contrato: ' + datacontrato + ' data validade: ' + datavalidade + ' valor: ' + valor + ' login: ' + login + ' nome: ' + nome + ' email: ' + email + ' senha: ' + senha + ' chave: ' + chave + ' tipo unid: ' + tipo + ' cod parceiro: ' + codigo);
        
        SalvarConta(nomeunid, cidade, celularunid, emailunid, enderecounid, nrounid, complementounid, bairrounid, cepunid, tipocontrato, datacontrato, datavalidade, valor, login, nome, email, senha, chave, tipo, codigo);
        
        $('#btnSalvar').hide();
    }
});

$('#cbTipo').change(function()
{
    //limpaValores();
    var tipo = $('#cbTipo').val();
    SetaValores(tipo);

});

function SetaValores(tipo)
{
    $('#hdnChave').attr('data','');
    if(tipo=='1')           //Degustação
    {
        //$('#titulo-preco').text('Degustação');
        //$('#valor').text('R$ 0,00');
        //$('#tempo').text('3 meses');
        $('#txtAdicional').val('0.00');
        $('#txtModAdm').val('0.00');
        $('#txtTempo').val('3');
        $('#txtPreco').val('0.00');
        $('#txtValorAnual').val('0.00');
        $('#cbQtde').val('1');
        $('#cbQtde').prop('disabled',true);
        $('#hdnValor').val('0.00');
        CalculaValidade(90);
        $('#valida_tipo').hide();
        $('#empresa').show();
    }
    else if(tipo=='2')      //Particular
    {
        var indicado   = document.getElementById("cbIndicado").checked;
        if(indicado==true && $('#txtNomeIndicador').val()!='')
        {
            $('#txtModAdm').val('100.00');
            $('#txtPreco').val('100.00');
            $('#txtValorAnual').val('1200.00');
            $('#hdnValor').val('100.00');
        }
        else 
        {
            $('#txtModAdm').val('120.00');
            $('#txtPreco').val('120.00');
            $('#txtValorAnual').val('1440.00');
            $('#hdnValor').val('120.00');
   
        }

        $('#txtTempo').val('12');
        $('#txtAdicional').val('30.00');

        $('#cbQtde').val('1');
        $('#cbQtde').prop('disabled',false);
        CalculaValidade(365);
        $('#valida_tipo').hide();
        $('#empresa').show();
    }
    else if(tipo=='3')      //Convênio
    {
        $('#txtAdicional').val('15.00');
        $('#txtModAdm').val('50.00');
        $('#txtPreco').val('50.00');
        $('#txtTempo').val('12');
        $('#txtValorAnual').val('600.00');
        $('#cbQtde').val('1');
        $('#cbQtde').prop('disabled',false);
        $('#hdnValor').val('50.00');
        CalculaValidade(365);
        $('#valida_tipo').show();
        $('#empresa').hide();
    }
    else if(tipo=='1')
    {
        $('#valida_tipo').hide();
        $('#empresa').hide();
    }
    $('#titulo-preco').prop('font-bold');

}

/*   function calculaModulos()
  {
      var v1 = $('#txtModAdm').val();
      var v2 = $('#txtMod2').val();
      var v3 = $('#txtMod3').val();
      var v4 = $('#txtMod4').val();
      var v5 = $('#txtMod5').val();
      var v6 = $('#txtMod6').val();
      if(v1==''){v1= '0';}
      if(v2==''){v2= '0';}
      if(v3==''){v3= '0';}
      if(v4==''){v4= '0';}
      if(v5==''){v5= '0';}
      if(v6==''){v6= '0';}
      
      
      var modadm = parseInt(v1);
      var mod2   = parseInt(v2);
      var mod3   = parseInt(v3);
      var mod4   = parseInt(v4);
      var mod5   = parseInt(v5);
      var mod6   = parseInt(v6);
      
      var total = modadm + mod2 + mod3 + mod4 + mod5 + mod6;

      $('#valor').text('R$ ' + total.toFixed(2));
      $('#txtValorMensal').val(total.toFixed(2));
      
  }
 */
  function CalculaValidade(dias){

    var date = moment(new Date()).format("YYYY-MM-DD");
    //var days = dias;
  
    //console.log('data: ' + date);
    //console.log('days: ' + days);
  
    //var dias = days;
    var dataAtual = new Date();
    var previsao = dataAtual.setDate(dataAtual.getDate() + dias);  		

    var dia  = dataAtual.getDate().toString();
    var diaF = (dia.length == 1) ? '0'+dia : dia;
    var mes  = (dataAtual.getMonth()+1).toString(); //+1 pois no getMonth Janeiro começa com zero.
    var mesF = (mes.length == 1) ? '0'+mes : mes;
    var anoF = dataAtual.getFullYear();
    
    $("#txtDataVencto").val(diaF + '/' + mesF + '/' + anoF);
    $("#hdnDataVencto").val(anoF + '-' + mesF + '-' + diaF);
    
  };

  function CarregaUF(uf)
  {
        $.ajaxSetup(
        {
            headers:
            {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
  
      $.ajax(
      {
          url: "ajax-carrega-uf",
          method: 'get',
          data:
          {
              
          },
          beforeSend: function()
          {
              $("#cbUF option").remove();
              $("#cbCidade option").remove();
              $("#cbUF").prop('disabled',true);
              $("#cbCidade").prop('disabled',true);
              ModalAjaxCarregando(true,$("#dlgFormulario"),'Carregando...');
          },
          complete: function()
          {
            $("#cbUF").prop('disabled',false);
            $("#cbCidade").prop('disabled',false);
              ModalAjaxCarregando(false,$("#dlgFormulario"),null);
          },
          success: function(data)
          {
              data.consulta.forEach(item =>
              {
                  $("#cbUF").append('<option value="' + item.id + '">' + item.descricao + '</option>');
              });
              $("#cbUF").prop('disabled',false);
  
              if (uf != null)
              {
                  $("#cbUF").val(uf);
                  CarregaCidades(uf);
              }
          },
          error:function(error)
          {
              MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
          }
      });
  }

// ################################### Combo Cidade ################################### \\
$('#cbUF').change(function()
{
    var uf = $('#cbUF').val();
    CarregaCidades(uf);
});

  
  function CarregaCidades(id_uf)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-cidade-uf-c",
        method: 'post',
        data:
        {
            uf: id_uf
        },
        beforeSend: function()
        {
			$("#cbCidade option").remove();
            $("#cbCidade").prop('disabled',true);
        },
        complete: function()
        {
            //ModalAjaxCarregando(false,$("#dlgFormulario"),null);
        },
        success: function(data)
        {
            data.consulta.forEach(item =>
            {
                $("#cbCidade").append('<option value="' + item.id + '">' + item.descricao + '</option>');
            });
			$("#cbCidade").prop('disabled',false);
        },
        error:function(error)
        {
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function PesquisaLogin(login)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-usuario-login",
        method: 'post',
        data:
        {
            login:  login
        },
        beforeSend: function()
        {
            //LimpaCamposMotoristaGraos();
            $('#identificacao').hide();
            $('#senha').hide();

            ModalAjaxCarregando(true,$("#conteudoPagina"),'Carregando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            //console.log('data: ' + data.consulta);
            data.consulta.forEach(item =>
            {
                if(item.qtde!='0')
                {
                    MensagemBox('alerta','Busca Login','Login está em uso por outro usuário!');
                    //desabilita campos
                    $("#txtNome").prop('disabled',true);
                    $('#btnValidar2').hide();
                    
                    //$('#btnValidar1').show();
                    $('#txtLogin').prop('disabled',true);

                    $('#btnValidar1').hide();
                    $('#btnTentativa').show();
                    
                }
                else 
                {
                    $('#txtLogin').prop('disabled',true);
                    $("#txtNome").prop('disabled',false);
                    $('#mensagem').hide();
                    $('#btnValidar2').show();
                    $('#identificacao').show();
                    $('#senha').show();

                }
            });

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function SalvarConta(nomeunid, cidade, celularunid, emailunid, enderecounid, nrounid, complementounid, bairrounid, cepunid, tipocontrato, datacontrato, datavalidade, valor, login, nome, email, senha, chave, tipo, codigo)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-conta",
        method: 'post',
        data:
        {
            nomeunid:       nomeunid, 
            cidade:         cidade, 
            celularunid:    celularunid, 
            emailunid:      emailunid, 
            enderecounid:   enderecounid, 
            nrounid:        nrounid, 
            complementounid: complementounid, 
            bairrounid:     bairrounid, 
            cepunid:        cepunid, 
            tipocontrato:   tipocontrato, 
            datacontrato:   datacontrato, 
            datavalidade:   datavalidade, 
            valor:          valor, 
            login:          login, 
            nome:           nome, 
            email:          email, 
            senha:          senha, 
            chave:          chave, 
            tipo:           tipo, 
            codigo:         codigo           
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            //console.log('passei por aqui...');
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Conta incluída com sucesso!', 2000, 'Ok');
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function PesquisaChave(chave)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-chave",
        method: 'post',
        data:
        {
            chave:  chave
        },
        beforeSend: function()
        {
            //LimpaCamposMotoristaGraos();

            ModalAjaxCarregando(true,$("#conteudoPagina"),'Carregando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            data.consulta.forEach(item =>
            {
                //console.log('achou chave: ' + item.qtde);
                //console.log('chave: ' + chave);
                if(item.qtde!='1')
                {
                    MensagemBox('alerta','Busca Chave','Chave não está disponível ou não existe em nossa base de dados!');
                    $("#txtChave").prop('disabled',false);
                    $('#btnValidar3').show();
                    $('#empresa').hide();
                    $('#hdnChave').attr('data',chave);
                }
                else
                {
                    MensagemBox('sucesso','Busca Chave','Chave validada com sucesso!');
                    $("#txtChave").prop('disabled',true);
                    $('#btnValidar3').hide();
                    $('#empresa').show();
                    $('#hdnChave').attr('data',chave);
                }
            });

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function buscaCodigo()
{
    var login = $('#txtCodigo').val();
    PesquisaCodigoParceiro(login);
}


function PesquisaCodigoParceiro(login)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-codigo-parceiro",
        method: 'post',
        data:
        {
            login:  login
        },
        beforeSend: function()
        {
            //LimpaCamposMotoristaGraos();
            $('#txtNomeIndicador').val('');
            $("#txtCodigo").prop('disabled',true);
            //$('#cbTipo').val('');                   //limpa o tipo selecionado
             //limpa dados do parceiro indicador
            //$('#txtCodigo').val('');
            $('#txtNomeIndicador').val('');
            //$('#cbTipo').val('');
            //$('#txtAdicional').val('15.00');
            //$('#txtModAdm').val('');
            //$('#txtPreco').val('');
            //$('#txtTempo').val('');
            //$('#txtValorAnual').val('');
            //$('#cbQtde').val('');
            //$('#txtDataVencto').val('');
            
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Carregando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
            $("#txtCodigo").prop('disabled',false);
        },
        success: function(data)
        {
            //console.log('data: ' + data.consulta);

            if(data.consulta.length > 0)
            {
                data.consulta.forEach(item =>
                {
                    //if(item.nome=='')
                    //{
                        //MensagemBox('alerta','Busca Código','Código de parceiro não encontrado!');
                        //$('#txtNomeIndicador').val('');
                        //desabilita campos
                        //$("#txtNome").prop('disabled',true);
                        //$('#btnValidar2').hide();
                        
                        //$('#btnValidar1').show();
                        //$('#txtLogin').prop('disabled',true);

                        //$('#btnValidar1').hide();
                        //$('#btnTentativa').show();
                        
                    //}
                    //else 
                    //{
                        $('#txtNomeIndicador').val(item.nome);      //exibe o nome do parceiro
                        var tipo = $('#cbTipo').val();              
                        SetaValores(tipo);                          //redefine os valores

                    /*  $('#txtLogin').prop('disabled',true);
                        $("#txtNome").prop('disabled',false);
                        $('#mensagem').hide();
                        $('#btnValidar2').show();
                        $('#identificacao').show();
                        $('#senha').show(); */

                    //}
                });
            }
            else 
            {
                MensagemBox('alerta','Busca Código','Código de parceiro não encontrado!');
                $('#txtNomeIndicador').val('');
                $('#cbTipo').val('');                   //limpa o tipo selecionado
                //limpa dados do parceiro indicador
                //$('#txtCodigo').val('');
                $('#txtNomeIndicador').val('');
                $('#cbTipo').val('');
                $('#txtAdicional').val('15.00');
                $('#txtModAdm').val('');
                $('#txtPreco').val('');
                $('#txtTempo').val('');
                $('#txtValorAnual').val('');
                $('#cbQtde').val('');
                $('#txtDataVencto').val('');

                var tipo = $('#cbTipo').val();              
                SetaValores(tipo);                          //redefine os valores
            }

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


