$(document).ready(function()
{
    PesquisarUF();


});

$('#cbUFPesq').change(function()
{
    if($('#cbUFPesq').val() == '')
    {
        MensagemBox('alerta','ATENÇÃO','Necessário selecionar uma UF!');
    }
    else
    {
       
        PesquisarCidade($('#cbUFPesq').val());
    }
});

$("#tbCidade tbody").on("click","span[name=editBtn]",function()
{
    $('#titulo_form_modal').text("Atualizar Cidade");

    var id = $(this).attr("data");

    $('#id_form_modal').val(id);
    $('#txtNome').val($("#" + id + "_cidade").text());
    $('#cbEstado').val($("#" + id + "_uf").attr('data'));

    $("#dlgFormulario").modal({backdrop: "static"}).show();
});

function PesquisarCidade(uf)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-cidade",
        method: 'post',
        data:
        {
            uf: uf
        },
        beforeSend: function()
        {
            $('#tbCidade tbody tr').remove();

            $('#cbUFPesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#conteudoPagina"),'Pesquisando...');
        },
        complete: function()
        {
            $('#cbUFPesq').prop('disabled',false);

            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {

                data.consulta.forEach(item =>
                {
                   
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_cidade" data="' + item.id + '">'+ item.cidade +'</td>'
                            +      '<td id="'+ item.id +'_nomeuf" data="' + item.nomeuf + '">'+ item.nomeuf +'</td>'
                            +      '<td id="'+ item.id +'_uf" data="' + item.iduf + '">'+ item.uf +'</td>'
                            //+      '<td width="10%" class="text-center">'
                            //+         '<span name="editBtn" class="fas fa-pencil-alt fa-lg cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            //+      '</td>'
                            +   '</tr>';

                        $('#tbCidade tbody').append(linha);
                });
            }
            else
            {
                $('#tbCidade tbody').append(linhaNenhumResultado(3));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function PesquisarUF()
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-uf",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbUFPesq').empty();
            $('#cbUFPesq').append('<option value="">Carregando...</option>');
            $('#cbUFPesq').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbUFPesq').prop('disabled',false);
        },
        success: function(data)
        {
            
            if(data.consulta.length > 0)
            {
                $('#cbUFPesq').empty();
                $('#cbUFPesq').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbUFPesq').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });

            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}



