/* $('#txtDataInicioPesquisa').datetimepicker(
{
    locale: 'pt-br',
    format: 'DD/MM/YYYY',
    showTodayButton: true
});

$('#txtDataFimPesquisa').datetimepicker(
{
    locale: 'pt-br',
    format: 'DD/MM/YYYY',
    showTodayButton: true
}); */
    
$(document).ready(function()
{
    ListarUsuario();

    var data = new Date();
    //var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    //var hoje = dia + '/' + mes + '/' + ano
    //var hoje = ("0"+dia).slice(-2) + '/' + ("0"+mes).slice(-2) + '/' + ano;
    //var hoje2 = ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);

    mes = ("0"+mes).slice(-2);

    //Posiciona mes e ano corrente
    $("#cbMes").val(mes);
    $("#cbAno").val(ano);

});

const inputEle = document.getElementById('txtPalavra');
inputEle.addEventListener('keyup', function(e){
  var key = e.which || e.keyCode;
  if (key == 13) { // codigo da tecla enter
    // colocas aqui a tua função a rodar
    //alert('carregou enter o valor digitado foi: ' +this.value);
    var login = $('#cbUsuario').val();
    var palavra = $('#txtPalavra').val();
    var mes = $('#cbMes').val();
    var ano = $('#cbAno').val();
    if(ano!='')
    {
        PesquisarLog(login, mes, ano, palavra);
    }
  }
});

$("#btnPesquisaLog").click(function()
{
    var login = $('#cbUsuario').val();
    var palavra = $('#txtPalavra').val();
    var mes = $('#cbMes').val();
    var ano = $('#cbAno').val();
    
    console.log('login: ' + login + ' palavra: ' + palavra + ' mes: ' + mes + ' ano: ' + ano);

    if(ano!='')
    {
        PesquisarLog(login, mes, ano, palavra);
    }
    //console.log('login ' + login);
});

function PesquisarLog(usuario, mes, ano, palavra)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-log-pesquisa",
        method: 'post',
        data:
        {
            usuario:    usuario, 
            mes:        mes,
            ano:        ano,
            palavra:    palavra
        },
        beforeSend: function()
        {
            $('#tbLog tbody tr').remove();

            $('#cbUsuario').attr('disabled',true);
            //$('#txtDataInicioPesquisa').attr('disabled',true);
            //$('#txtDataFimPesquisa').attr('disabled',true);
            $('#btnPesquisaLog').attr('disabled',true);

            ModalAjaxCarregando(true,$("#conteudoPagina"),'Pesquisando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);

            $('#cbUsuario').attr('disabled',false);
            //$('#txtDataInicioPesquisa').attr('disabled',false);
            //$('#txtDataFimPesquisa').attr('disabled',false);
            $('#btnPesquisaLog').attr('disabled',false);

        },
        success: function(data)
        {
            console.log(data.consulta);

            if(data.consulta.length > 0)
            {

                data.consulta.forEach(item =>
                {
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_data">'+ item.datal +'</td>'
                            +      '<td id="'+ item.id +'_usuario">'+ item.login +'</td>'
                            +      '<td id="'+ item.id +'_descricao">'+ item.descricao +'</td>'
                            +   '</tr>';

                        $('#tbLog tbody').append(linha);
                });
            }
            else
            {
                $('#tbLog tbody').append(linhaNenhumResultado(3));
            }
        },
        error:function(error)
        {
            console.log('dados: ', error);
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function ListarUsuario()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-usuario-log",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbUsuario').empty();
            $('#cbUsuario').append('<option value="">Carregando...</option>');
            $('#cbUsuario').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbUsuario').prop('disabled',false);
        },
        success: function(data)
        {
            //console.log(data.consulta);

            if(data.consulta.length > 0)
            {
                $('#cbUsuario').empty();
                $('#cbUsuario').append('<option value="">Todos...</option>');
              
                data.consulta.forEach(item =>
                {
                    $('#cbUsuario').append('<option value="' + item.id + '">' + item.nome + ' - (' + item.login + ')</option>');
                    
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

} 


