$(document).ready(function()
{
    //ListaEmpresa();
    //PesquisarUsuario();
    //var unidade = $('#hdnUnidade').attr('data');
    var status = $('#cbStatus').val();
    
    $('#btnTentativa').hide();
    
    //ListarUnidades(unidade, status);
    ListarClasses();
    ListarCliente();
    ListarTransportador();
    ListarDestino();

    PesquisarUsuario(status, '', '');

});

$('#btnTentativa').click(function() //clicou em nova tentativa
{
    $("#txtNome").prop('disabled',false);
    $('#txtLogin').prop('disabled',false);
    $('#txtLogin').val('');
    $('#btnValidar1').show();
    $('#btnTentativa').hide();
});

$('#cbStatus').change(function()
{
    var status = $('#cbStatus').val();
    var cliente = $('#cbClienteSel').val();
    var palavra = $('#txtPalavra').val();
    PesquisarUsuario(status, cliente,palavra);
});

$('#cbClienteSel').change(function()
{
    var status = $('#cbStatus').val();
    var cliente = $('#cbClienteSel').val();
    var palavra = $('#txtPalavra').val();
    PesquisarUsuario(status, cliente,palavra);
});

$("#btnPesquisar").click(function()
{
    var status = $('#cbStatus').val();
    var cliente = $('#cbClienteSel').val();
    var palavra = $('#txtPalavra').val();
    PesquisarUsuario(status, cliente,palavra);
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#cadusuario').show();
    $('#btnSalvar').show();
    $('#btnSalvarB').show();
    $('#btnExcluir').show();
});

$('#btnVoltarB').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#cadusuario').show();
    $('#btnSalvar').show();
    $('#btnSalvarB').show();
    $('#btnExcluir').show();
});

$('#btnNovoUsuario').click(function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#cadusuario').hide();
    $('#btnSalvar').hide();
    $('#btnSalvarB').hide();
    $('#btnExcluir').hide();
    $('#btnValidar1').show();
    $("#txtLogin").prop('disabled',false);
    LimparCampos();
});

$('#btnSalvar').click(function()
{
    GravarDadosUsuario();
});

$('#btnSalvarB').click(function()
{
    GravarDadosUsuario();
});

function GravarDadosUsuario()
{
    /* $id         = $request->id;
    $login      = $request->login;
    $nome       = strtoupper($request->nome);
    $email      = strtolower($request->email);
    $celular    = Util::LimpaCelular($request->celular);
    $ativo      = $request->ativo;
     */
    var grava   = 1;
    var iduser  = $('#hdnId').attr('data');
    var nomex   = $('#txtNome').val();
    var login   = $('#txtLogin').val();
    var classe  = $('#cbClasse').val();
    var mail    = $('#txtEmail').val();
    var email   = mail.toLowerCase();
    var nome    = nomex.toUpperCase();
    var celular = $('#txtCelular').val();
    var cliente = '0';
    var transp  = '0';
    //var destino = '0';
    var senha   = $('#txtSenha').val();
    var confirma= $('#txtConfirmacao').val();

    var ativo     = document.getElementById("cbAtivo").checked;
    var aprovador = document.getElementById("cbAprovador").checked;
    var visto     = document.getElementById("cbVisto").checked;
    var status    = '';
    
    var texto = '';

    if($('#cbCliente').val()!='')
    {
        cliente = $('#cbCliente').val();
    }
    if($('#cbTransportador').val()!='')
    {
        transp = $('#cbTransportador').val();
    }
    if($('#cbDestino').val()!='')
    {
        destino = $('#cbDestino').val();
    }

    var ativo   = document.getElementById("cbAtivo").checked;
    if(ativo==true)
    {
        ativo='1';
        status = 'ATIVO';
    }
    else 
    {
        ativo='0';
        status = 'INATIVO';
    }

    if(aprovador==true)
    {
        aprovador='1';
    }
    else 
    {
        aprovador='0';
    }
    if(visto==true)
    {
        visto='1';
    }
    else 
    {
        visto='0';
    }

    texto = texto + nome + ' - Login: ' + login;
    texto = texto + ' - Classe: ' + $('#cbClasse').find(":selected").text();
    texto = texto + ' - Status: ' + status + ' Visto: ' + visto + ' Aprovador: ' + aprovador;


    var cancelar   = document.getElementById("cbCancelar").checked;
    if(cancelar==true)
    {
        cancelar='1';
    }
    else 
    {
        cancelar='0';
    }
    var bloquear   = document.getElementById("cbBloquear").checked;
    if(bloquear==true)
    {
        bloquear='1';
    }
    else 
    {
        bloquear='0';
    }
    var ocorrencia   = document.getElementById("cbOcorrencia").checked;
    if(ocorrencia==true)
    {
        ocorrencia='1';
    }
    else 
    {
        ocorrencia='0';
    }
    var prioridade   = document.getElementById("cbPrioridade").checked;
    if(prioridade==true)
    {
        prioridade='1';
    }
    else 
    {
        prioridade='0';
    }
    var destino   = document.getElementById("cbDestino").checked;
    if(destino==true)
    {
        destino='1';
    }
    else 
    {
        destino='0';
    }

    //console.log('senha: ' + senha);
    //console.log('confirmacao: ' + confirma);

    //console.log(' id: ' + iduser + ' nome: ' + nome + ' login: ' + login + ' email: ' + email + ' celular: ' + celular + ' ativo: ' + ativo + ' classe: ' + classe + ' senha: ' + senha);

    if(nome=='')
    {
        MensagemBox( 'erro','','Nome inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(classe=='' || classe==null)
    {
        MensagemBox( 'erro','','Nível de Acesso inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(email=='')
    {
        MensagemBox( 'erro','','Email inválido!', 2000, 'Ok');
        grava = 0;
    }
    //valida senha
    if(senha!='' && confirma!='')
    {
        var y = senha.length;                   //comprimento da senha
            
        if(y < 6)
        {
            grava = 0;
            MensagemBox('alerta','ATENÇÃO','Senha deve ter mínimo de 6 dígitos !');
        }

        if(senha != confirma)
        {
            grava = 0;
            MensagemBox('alerta','ATENÇÃO','Senha está divergindo com a confirmação !');
        }

    }


    if(grava==1)
    {
        SalvarUsuario(iduser, nome, login, email, celular, ativo, classe, senha, cliente, transp, destino, cancelar, bloquear, ocorrencia, prioridade, aprovador, visto, texto);
        $('#cadastro').hide();
        $('#lista').show();
    }
}


    $("#tbUsuarios tbody").on("click","span[name=editBtn]",function()
    {
        $('#cadastro').show();
        $('#lista').hide();
        $('#cadusuario').show();
        $('#btnValidar1').hide();
        $("#txtLogin").prop('disabled',true);

        LimparCampos();

        $('#titulo_form_modal').text("Atualizar Usuário");

        var id = $(this).attr("data");

        $('#hdnId').attr('data',id);
        $('#cbAtivo').prop('checked',($('#' + id + '_ativo').attr('data') == '1'));
        $('#cbAprovador').prop('checked',($('#' + id + '_aprovador').attr('data') == '1'));
        $('#cbVisto').prop('checked',($('#' + id + '_visto').attr('data') == '1'));
        $('#cbCancelar').prop('checked',($('#' + id + '_cancelar').attr('data') == '1'));
        $('#cbBloquear').prop('checked',($('#' + id + '_bloqueio').attr('data') == '1'));
        $('#cbOcorrencia').prop('checked',($('#' + id + '_ocorrencia').attr('data') == '1'));
        $('#cbPrioridade').prop('checked',($('#' + id + '_prioridade').attr('data') == '1'));
        
        //$('#txtCpf').val($(".mask_cpf").masked($("#" + id + "_cpf").attr('data')));
        //$('#txtCpf').val($("#" + id + "_cpf").attr('data'));
        $('#txtNome').val($("#" + id + "_nome").attr('data'));
        $('#txtEmail').val($("#" + id + "_email").attr('data'));
        $('#txtLogin').val($("#" + id + "_login").attr('data'));
        //$('#txtFone').val($("#" + id + "_fone").attr('data'));
        $('#txtCelular').val($("#" + id + "_celular").attr('data'));
        $('#cbCliente').val($("#" + id + "_cliente").attr('data'));
        $('#cbTransportador').val($("#" + id + "_transportador").attr('data'));
        //$('#cbDestino').val($("#" + id + "_destino").attr('data'));
        $('#cbDestino').prop('checked',($('#' + id + '_destino').attr('data') == '1'));

        //posiciona a classe do usuario
        PesquisaClasse(id);

    });


    $("#tbUsuarios tbody").on("click","span[name=delBtn]",function()
    {
        var id = $(this).attr("data");

        $('#id_delete_modal').val(id);
        $('#item_delete').text($("#" + id + "_nome").text());
        $("#dlgDelete").modal({backdrop: "static"}).show();
    });

function LimparCampos()
{
    $('#hdnId').attr('data','0');
    $('#cbAtivo').prop('checked',true);
    $('#txtLogin').val('');
    $('#txtNome').val('');
    $('#txtEmail').val('');
    $('#txtCelular').val('');
    $('#txtSenha').val('');
    $('#txtConfirmacao').val('');
    $('#cbClasse').val('');
    $('#cbCliente').val('');
    $('#cbTransportador').val('');
    $('#cbDestino').val('');
    $('#cbOcorrencia').prop('checked',false);
    $('#cbBloquear').prop('checked',false);
    $('#cbCancelar').prop('checked',false);
    $('#cbAprovador').prop('checked',false);
    $('#cbVisto').prop('checked',false);

    //$('#txtSenha').prop('required',true);
    //$('#txtConfirmSenha').prop('required',true);
}


function PesquisarUsuario(status, cliente, palavra)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-usuario",
        method: 'post',
        data:
        {
            status: status,
            cliente: cliente,
            palavra: palavra
        },
        beforeSend: function()
        {
            $('#tbUsuarios tbody tr').remove();
            $('#cbStatus').attr('disabled',true);
            
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Pesquisando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);

            $('#cbStatus').attr('disabled',false);
            
        },
        success: function(data)
        {
            //console.log(data);

            if(data.consulta.length > 0)
            {

                data.consulta.forEach(item =>
                {
                    var status = '';
                    var pula = '';
                    var ipula = 0;
                    if(item.ativo=='1')
                    {
                        status = '<span class="badge badge-success estilobag">ATIVO</span>';
                    }
                    else
                    {
                        status = '<span class="badge badge-danger estilobag">INATIVO</span>';
                    }
                    var bloquear = item.bloqueio;
                    if(bloquear!='0')
                    {
                        ipula = ipula + 1;
                        bloquear = '<span style="color: #008000;" title="bloqueio de veículos liberado"><i class="fas fa-lock fa-lg"></i></span> Bloquear veículo.&nbsp;&nbsp;';
                    }
                    else 
                    {
                        bloquear = '';
                    }
                    var cancelar = item.cancelar;
                    if(cancelar!='0')
                    {
                        ipula = ipula + 1;
                        cancelar = '<span style="color: #008000;" title="Cancelamento de estadia liberada"><i class="fas fa-ban fa-lg"></i></span> Cancelar estadia.&nbsp;&nbsp;';
                    }
                    else 
                    {
                        cancelar = '';
                    }
                    var ocorrencia = item.ocorrencia;
                    if(ocorrencia!='0')
                    {
                        ipula = ipula + 1;
                        ocorrencia = '<span style="color: #008000;" title="Cadastro de ocorrências liberada"><i class="far fa-comment-dots fa-lg"></i></span> Cadastrar ocorrência.&nbsp;&nbsp;';
                    }
                    else 
                    {
                        ocorrencia = '';
                    }

                    var prioridade = item.prioridade;
                    if(prioridade!='0')
                    {
                        ipula = ipula + 1;
                        prioridade = '<span style="color: #009933;" title="Cadastro de ocorrências liberada"><i class="far fa-star fa-lg"></i></span> Priorizar inspeção.&nbsp;&nbsp;';
                    }
                    else 
                    {
                        prioridade = '';
                    }

                    if(ipula > 0)
                    {
                        pula = '<br>&nbsp;&nbsp;&nbsp;&nbsp;Permissões extra: ';
                    }

                    var nome = item.nome;
                    if(item.ativo=='0')
                    {
                        nome = '<del>' + nome + '</del>';
                    }

                    var aprovador = item.aprovador;

                    if(aprovador=='1')
                    {
                        ipula = ipula + 1;
                        aprovador = '<span style="color: #009933;" title="Aprovador Ordem de Pgto"><i class="fas fa-lock fa-lg"></i></span> Aprovador Ordem Pgto.&nbsp;&nbsp;';
                    }
                    else 
                    {
                        aprovador = '';
                    }
                    var visto = item.visto;

                    if(visto=='1')
                    {
                        ipula = ipula + 1;
                        //visto = '<i class="fas fa-check fa-lg"></i>';
                        visto = '<span style="color: #009933;" title="Vistoriar Ordem de Pgto"><i class="fas fa-check fa-lg"></i></span> Aprovador Ordem Pgto.&nbsp;&nbsp;';
                    }
                    else 
                    {
                        visto = '';
                    }

                    var linha = '<tr>'
                            //+      '<td id="'+ item.id +'_nome" data="' + item.nome + '" >' + item.nome + '"><i class="fas fa-user"></i> '+ item.nome + ' (' + item.login + ') - <i class="fas fa-mobile-alt"></i> ' + item.celular + ' - <i class="fas fa-envelope"></i> ' + item.email + ' - ' + status + '</td>'
                            +      '<td id="'+ item.id +'_nome" data="' + item.nome + '" style="font-size: 11pt;"><i class="fas fa-user fa-2x"></i><b> '+ nome + '</b>&nbsp;&nbsp;' + pula + '&nbsp;' + bloquear + cancelar + ocorrencia + prioridade +  visto + aprovador + '<br>&nbsp;&nbsp;&nbsp;&nbsp;<i class="fas fa-key"></i> ' + item.login + ' - <i class="fas fa-mobile-alt"></i> ' + item.celular + ' - <i class="fas fa-envelope"></i> ' + item.email + ' - ' + status + ' '  + '</td>'

                            //campos invisíveis
                            +       '<input type="hidden" id="'+ item.id +'_login" data="'+ item.login +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_email" data="'+ item.email +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_celular" data="'+ item.celular +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_ativo" data="'+ item.ativo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_cliente" data="'+ item.cliente +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_transportador" data="'+ item.transportador +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_destino" data="'+ item.destino +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_aprovador" data="'+ item.aprovador +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_visto" data="'+ item.visto +'"/>'

                            +       '<input type="hidden" id="'+ item.id +'_bloqueio" data="'+ item.bloqueio +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_cancelar" data="'+ item.cancelar +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_ocorrencia" data="'+ item.ocorrencia +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_prioridade" data="'+ item.prioridade +'"/>'

                            +      '<td>'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #009933;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbUsuarios tbody').append(linha);
                });
            }
            else
            {
                $('#tbUsuarios tbody').append(linhaNenhumResultado(8));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function ListarCliente()
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-cliente",
        method: 'post',
        data:
        {
            
        },
        beforeSend: function()
        {
            $('#cbCliente').empty();
            $('#cbCliente').append('<option value="">Carregando...</option>');
            $('#cbCliente').prop('disabled',true);

            $('#cbClienteSel').empty();
            $('#cbClienteSel').append('<option value="">Carregando...</option>');
            $('#cbClienteSel').prop('disabled',true);

        },
        complete: function()
        {
            $('#cbCliente').prop('disabled',false);
            $('#cbClienteSel').prop('disabled',false);
            
        },
        success: function(data)
        {

            if(data.consulta != null && data.consulta.length > 0)
            {
                $('#cbCliente').empty();
                $('#cbCliente').append('<option value="">Selecione cliente</option>');

                $('#cbClienteSel').empty();
                $('#cbClienteSel').append('<option value="">Todos</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbCliente').append('<option value="' + item.id + '">' + item.nome + '</option>');
                    $('#cbClienteSel').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
            else
            {
                $('#cbCliente').empty();
                $('#cbCliente').append('<option value="">Nenhum cliente</option>');
                $('#cbClienteSel').empty();
                $('#cbClienteSel').append('<option value="">Nenhum cliente</option>');
            }

        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });

}

function ListarTransportador()
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-transportador",
        method: 'post',
        data:
        {
            
        },
        beforeSend: function()
        {
            $('#cbTransportador').empty();
            $('#cbTransportador').append('<option value="">Carregando...</option>');
            $('#cbTransportador').prop('disabled',true);

        },
        complete: function()
        {
            $('#cbTransportador').prop('disabled',false);
        },
        success: function(data)
        {

            if(data.consulta != null && data.consulta.length > 0)
            {
                $('#cbTransportador').empty();
                $('#cbTransportador').append('<option value="">Selecione transportador</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbTransportador').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
            else
            {
                $('#cbTransportador').empty();
                $('#cbTransportador').append('<option value="">Nenhum transportador</option>');
            }

        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });

}

function PesquisaClasse(usuario)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-classe-usuario",
        method: 'post',
        data:
        {
            usuario: usuario
        },
        beforeSend: function()
        {
            $('#cbClasse').prop('disabled',true);
            $('#btnSalvar').prop('disabled',true);
            $('#btnSalvarb').prop('disabled',true);
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Carregando...');
        },
        complete: function()
        {
            $('#cbClasse').prop('disabled',false);
            $('#btnSalvar').prop('disabled',false);
            $('#btnSalvarB').prop('disabled',false);
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {

            if(data.consulta.length > 0)
            {

                data.consulta.forEach(item =>
                {
                    var classe = '';

                    classe = item.classe;

                    $('#cbClasse').val(classe);
                });
            }
            else
            {
                MensagemBox('alerta','Busca Classe','Nível de Acesso não encontrado!');
            }
        },
        error:function(error)
        {
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function ListarClasses(unidade)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-classe",
        method: 'post',
        data:
        {
            
        },
        beforeSend: function()
        {
            $('#cbClasse').empty();
            $('#cbClasse').append('<option value="">Carregando...</option>');
            $('#cbClasse').prop('disabled',true);

        },
        complete: function()
        {
            $('#cbClasse').prop('disabled',false);
        },
        success: function(data)
        {
            
            if(data.consulta.length > 0)
            {
                $('#cbClasse').empty();
                $('#cbClasse').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbClasse').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });

            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

$('#btnValidar1').click(function()      //clicou em validar o login
{
    var ok = 1;
    var login = $('#txtLogin').val();
    login = login.replace(/\s+/g, '');

    var y = login.length;                   //comprimento do login

    $('#txtLogin').val(login);
    
    if(y < 6)
    {
        ok = 0;
        MensagemBox('alerta','ATENÇÃO','Login deve ter mínimo de 6 dígitos !');
    }

    if($('#txtLogin').val()=='')
    {
        ok = 0;
        MensagemBox('alerta','ATENÇÃO','Login não pode ser vazio !');
    }


    if(ok==1)       //caso passe pela validação inicial
    {
        //valida o login aqui
        var login = $('#txtLogin').val();
        $('#hdnLogin').attr('data',login);
        //console.log('login: ' + login);

        //$('#btnValidar2').hide();
        //$('#identificacao').show();
        //$('#senha').show();

        PesquisaLogin(login);
        
        $('#btnValidar1').hide();
        $('#txtLogin').prop('disabled',true);
    }
    
});

function PesquisaLogin(login)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-usuario-login",
        method: 'post',
        data:
        {
            login:  login
        },
        beforeSend: function()
        {
            //LimpaCamposMotoristaGraos();
            $('#cadusuario').hide();
            $('#btnSalvar').hide();
            $('#btnSalvarB').hide();

            ModalAjaxCarregando(true,$("#conteudoPagina"),'Carregando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            //console.log('data: ' + data.consulta);
            data.consulta.forEach(item =>
            {
                if(item.qtde!='0')
                {
                    MensagemBox('alerta','Busca Login','Login está em uso por outro usuário!');
                    //desabilita campos
                    $("#txtNome").prop('disabled',true);
                    $('#txtLogin').prop('disabled',true);
                    $('#btnSalvar').hide();
                    $('#btnSalvarB').hide();
                    $('#btnValidar1').hide();
                    $('#btnTentativa').show();
                    $('#cadusuario').hide();
                }
                else 
                {
                    //$('#txtLogin').prop('disabled',true);
                    //$("#txtNome").prop('disabled',false);
                    $('#cadusuario').show();
                    $('#btnTentativa').hide();
                    $('#btnSalvar').show();
                    $('#btnSalvarB').show();
                }
            });

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarUsuario(iduser, nome, login, email, celular, ativo, classe, senha, cliente, transp, destino, cancelar, bloquear, ocorrencia, prioridade, aprovador, visto, texto)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-usuario",
        method: 'post',
        data:
        {
            id:      iduser, 
            nome:    nome, 
            login:   login, 
            email:   email, 
            celular: celular, 
            ativo:   ativo, 
            classe:  classe, 
            senha:   senha,
            cliente: cliente,
            transp:  transp,
            destino: destino,
            cancelar: cancelar, 
            bloquear: bloquear, 
            ocorrencia: ocorrencia,
            prioridade: prioridade,
            aprovador:  aprovador,
            visto:      visto,
            texto:      texto
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            var status = $('#cbStatus').val();
            var cliente = $('#cbClienteSel').val();
            var palavra = $('#txtPalavra').val();
            PesquisarUsuario(status, cliente, palavra);
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function ListarDestino()
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-destino-usuario",
        method: 'post',
        data:
        {
            
        },
        beforeSend: function()
        {
            $('#cbDestino').empty();
            $('#cbDestino').append('<option value="">Carregando...</option>');
            $('#cbDestino').prop('disabled',true);

        },
        complete: function()
        {
            $('#cbDestino').prop('disabled',false);
        },
        success: function(data)
        {

            if(data.consulta != null && data.consulta.length > 0)
            {
                $('#cbDestino').empty();
                $('#cbDestino').append('<option value="">Selecione Destino</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbDestino').append('<option value="' + item.id + '">' + item.cliente + '- ' + item.descricao + '</option>');
                });
            }
            else
            {
                $('#cbDestino').empty();
                $('#cbDestino').append('<option value="">Nenhum Destino</option>');
            }

        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });

}


