$(document).ready(function()
{

    ListarUsuario();
    LimparCampos();

});

$('#btnNovo').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        LimparCampos();
    
        $('#cadastro').show();
        $('#lista').hide();
        $('#filtro').hide();
        $('#btnExcluir').hide();
    }
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var usuario = $('#cbUsuario').val();
    if(usuario=='' || usuario=='0')
    {
        MensagemBox( 'erro','','Usuário inválido!', 2000, 'Ok');
    }
    else 
    {
        PesquisarDestinoDisponivel(usuario);
        PesquisarDestino(usuario);
    }
});

$('#cbUsuario').change(function()
{
    var usuario = $('#cbUsuario').val();
    if(usuario=='' || usuario=='0')
    {
        MensagemBox( 'erro','','Usuário inválido!', 2000, 'Ok');
    }
    else 
    {
        PesquisarDestinoDisponivel(usuario);
        PesquisarDestino(usuario);
    }
});

/* $('#btnSalvar').click(function()
{
    var grava       = 1;
    var iddestino   = $('#hdnId').attr('data');
    var descricao   = $('#txtDescricao').val();
    var codigo      = $('#txtCodigo').val();
    var titulo      = $('#txtTitulo').val();
    var cliente     = $('#cbClientePesq').val();
    
    if(descricao=='')
    {
        MensagemBox( 'erro','','Nome do destino inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(grava==1)
    {
        SalvarDestino(iddestino, descricao, codigo, titulo, cliente);
        $('#cadastro').hide();
        $('#lista').show();
    }

}); */

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

$("#tbDisponivel tbody").on("click","span[name=editBtn]",function()
{
    var destino = $(this).attr("data");      //id do destino
    var usuario = $('#cbUsuario').val();

    //console.log('destino: ' + destino + '  usuario: ' + usuario);

    SalvarDestino(destino, usuario);
});


$("#tbDestino tbody").on("click","span[name=excluirBtn]",function()
{
    var id = $(this).attr("data");      //id do usuario x destino
    
    console.log('id: ' + id);

    ExcluirDestino(id);
});


function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtDescricao').val('');   
    $('#txtTitulo').val('');   
    $('#txtCodigo').val('');   
}

function PesquisarDestinoDisponivel(usuario)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-destino-disponivel",
        method: 'post',
        data:
        {
            usuario: usuario 
        },
        beforeSend: function()
        {
            $('#tbDisponivel tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-sign-out-alt"></i>&nbsp;';
                
                data.consulta.forEach(item =>
                {
                                        
                    var icodestino = '<i class="fas fa-map-marker-alt fa-lg"></i>&nbsp;';
                    //var ativo = ' style="font-color: #000;"';
                    //var nome = item.descricao;
                    if(item.ativo=='0')
                    {
                        ativo = ' style="color: #ff0000;"';
                        icodestino = '<i class="fas fa-map-marker-alt fa-lg"></i>&nbsp;';
                        //nome = '<del>' + nome + '</del>';
                    }
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.id + '" style="font-size: 12pt;">' + icodestino + '  ' + item.destino + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_codigo" data="'+ item.codigo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_titulo" data="'+ item.titulo +'"/>'
                           
                            +      '<td width="10%" class="text-center">'  
                            +         '<span name="editBtn" class="fas fa-arrow-right fa-lg cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #006600;" title="Incluir"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbDisponivel tbody').append(linha);
                });
            }
            else
            {
                $('#tbDisponivel tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function PesquisarDestino(usuario)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-usuario-destino",
        method: 'post',
        data:
        {
            usuario: usuario 
        },
        beforeSend: function()
        {
            $('#tbDestino tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-sign-out-alt"></i>&nbsp;';
                
                data.consulta.forEach(item =>
                {
                                        
                    var icodestino = '<i class="fas fa-map-marker-alt fa-lg"></i>&nbsp;';
                    //var ativo = ' style="font-color: #000;"';
                    //var nome = item.descricao;
                    if(item.ativo=='0')
                    {
                        ativo = ' style="color: #ff0000;"';
                        icodestino = '<i class="fas fa-map-marker-alt fa-lg"></i>&nbsp;';
                        //nome = '<del>' + nome + '</del>';
                    }
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.id + '" style="font-size: 12pt;">' + icodestino + '  '  + item.destino + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_codigo" data="'+ item.codigo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_titulo" data="'+ item.titulo +'"/>'
                           
                            +      '<td width="10%" class="text-center">'  
                            +         '<span name="excluirBtn" class="fas fa-trash fa-lg cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #ff0000;" title="Excluir"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbDestino tbody').append(linha);
                });
            }
            else
            {
                $('#tbDestino tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarDestino(destino, usuario)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-usuario-destino",
        method: 'post',
        data:
        {
            destino:  destino, 
            usuario:  usuario 
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            var usuario = $('#cbUsuario').val();
            PesquisarDestinoDisponivel(usuario);
            PesquisarDestino(usuario);
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function ExcluirDestino(id)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-usuario-destino",
        method: 'post',
        data:
        {
            id:  id 
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados excluidos com sucesso!', 2000, 'Ok');
            var usuario = $('#cbUsuario').val();
            PesquisarDestinoDisponivel(usuario);
            PesquisarDestino(usuario);
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ListarUsuario()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-usuario-destino",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbUsuario').empty();
            $('#cbUsuario').append('<option value="">Carregando...</option>');
            $('#cbUsuario').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbUsuario').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbUsuario').empty();
                $('#cbUsuario').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbUsuario').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}




