$(document).ready(function()
{

    PesquisarCategoria();
    LimparCampos();

});

$('#btnNovo').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        LimparCampos();
    
        $('#cadastro').show();
        $('#lista').hide();
        $('#filtro').hide();
        $('#btnExcluir').hide();
    }
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    PesquisarCategoria();
});

$('#btnSalvar').click(function()
{
    var grava           = 1;
    var idcategoria     = $('#hdnId').attr('data');
    var descricao       = $('#txtDescricao').val();
    var diaria          = $('#txtDiaria').val();
    var hora            = $('#txtHora').val();
    var marcacao        = $('#txtMarcacao').val();
    var marcacaodesc    = $('#txtMarcacaodesc').val();
    var horaadd         = $('#txtHoraadd').val();
    var ativo           = document.getElementById("cbAtivo").checked;
    if(ativo==true)
    {
        ativo='1';
    }
    else 
    {
        ativo='0';
    }
    var motora          = document.getElementById("cbMotora").checked;
    if(motora==true)
    {
        motora='1';
    }
    else 
    {
        motora='0';
    }

    //console.log('id: ' + idproduto + ' descricao: ' + descricao + ' formula: ' + formula + ' cliente: ' + cliente );

    if(descricao=='')
    {
        MensagemBox( 'erro','','Nome da categoria inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(diaria=='')
    {
        diaria = '0';
    }
    if(hora=='')
    {
        hora = '0';
    }
    if(horaadd=='')
    {
        horaadd = '0';
    }
    

    if(grava==1)
    {
        SalvarCategoria(idcategoria, descricao, diaria, hora, horaadd, ativo, motora, marcacao, marcacaodesc);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

$("#tbCategoria tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));
    $('#txtDiaria').val($("#" + id + "_diaria").attr('data'));
    $('#txtHora').val($("#" + id + "_hora").attr('data'));
    $('#txtHoraadd').val($("#" + id + "_horaadd").attr('data'));
    $('#txtMarcacao').val($("#" + id + "_marcacao").attr('data'));
    $('#txtMarcacaodesc').val($("#" + id + "_marcacaodesc").attr('data'));

});

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtDescricao').val('');   
    $('#txtDiaria').val(''); 
    $('#txtMarcacao').val('');  
    $('#txtMarcacaodesc').val('');   
    $('#txtHora').val('');  
    $('#txtHoraadd').val('');  
    $('#cbAtivo').prop('checked',true);
    $('#cbMotora').prop('checked',true);
}

function PesquisarCategoria(cliente)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-categoria",
        method: 'post',
        data:
        {
            cliente: cliente 
        },
        beforeSend: function()
        {
            $('#tbCategoria tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-sign-out-alt"></i>&nbsp;';
                
                data.consulta.forEach(item =>
                {
                                        
                    var icodestino = '<i class="fas fa-clock fa-lg"></i>&nbsp;';
                    var icopgto = '<i class="fas fa-file-invoice-dollar"></i>&nbsp;';
                    var ativo = ' style="font-color: #000;"';
                    var nome = item.descricao;
                    var status = '<span class="badge badge-success estilobag">ATIVO</span>';

                    if(item.ativo=='0')
                    {
                        ativo = ' style="color: #ff0000;"';
                        icodestino = '<i class="fas fa-clock" ' + ativo + '></i>&nbsp;';
                        nome = '<del>' + nome + '</del>';
                        status = '<span class="badge badge-danger estilobag">INATIVO</span>';
                    }
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.descricao + '" style="font-size: 12pt;">' + icodestino + '<b>' + nome + ' - ' + status + '</b><br>&nbsp;' + icopgto + ' Valor Diária: <b>' + item.diaria + '</b><br>&nbsp;' + icopgto + ' Valor Permanência (2h): <b>' + item.hora  + '</b> <br>&nbsp;' + icopgto + ' Valor Hora Adicional (após 2h): <b>' + item.horaadd + ' </b><br>&nbsp;' + icopgto + ' Valor Marcação Carregar: <b>' + item.marcacao + '</b><br>&nbsp;' + icopgto + ' Valor Marcação Descarregar: <b>' + item.marcacaodesc + '</b></td>'
                            +       '<input type="hidden" id="'+ item.id +'_diaria" data="'+ item.diaria +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_hora" data="'+ item.hora +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_marcacao" data="'+ item.marcacao +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_marcacaodesc" data="'+ item.marcacaodesc +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_horaadd" data="'+ item.horaadd +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_ativo" data="'+ item.ativo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_motora" data="'+ item.motora +'"/>'
                            
                           
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbCategoria tbody').append(linha);
                });
            }
            else
            {
                $('#tbCategoria tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarCategoria(idcategoria, descricao, diaria, hora, horaadd, ativo, motora, marcacao, marcacaodesc)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-categoria",
        method: 'post',
        data:
        { 
            idcategoria: idcategoria, 
            descricao: descricao, 
            diaria: diaria, 
            hora: hora, 
            horaadd: horaadd, 
            ativo: ativo, 
            motora: motora,
            marcacao: marcacao,
            marcacaodesc: marcacaodesc
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            PesquisarCategoria();
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirServico(idprof, unidade)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-servico",
        method: 'post',
        data:
        {
            id: idprof
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            PesquisarServico(unidade);

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}


function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbClientePesq').empty();
            $('#cbClientePesq').append('<option value="">Carregando...</option>');
            $('#cbClientePesq').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbClientePesq').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbClientePesq').empty();
                $('#cbClientePesq').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbClientePesq').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}




