$(document).ready(function()
{

    $('#cbCliente').prop('disabled',true);

    ListarCliente();
    //PesquisarDestino();
    LimparCampos();

});

$('#btnNovo').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        LimparCampos();
    
        $('#cadastro').show();
        $('#lista').hide();
        $('#filtro').hide();
        $('#btnExcluir').hide();
    }
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});


$('#btnPesquisar').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        PesquisarClienteCarga(cliente);
    } 
    
});

$('#cbClientePesq').change(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        PesquisarClienteCarga(cliente);
        $('#cbCliente').val(cliente);
    } 
    
});

$('#btnSalvar').click(function()
{
    var grava       = 1;
    var id   = $('#hdnId').attr('data');
    var descricao   = $('#txtDescricao').val();
    var cliente     = $('#cbCliente').val();
    
    if(cliente=='')
    {
        MensagemBox( 'erro','','Cliente não selecionado!', 2000, 'Ok');
        grava = 0;
    }

    if(descricao=='')
    {
        MensagemBox( 'erro','','Nome do destino inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(grava==1)
    {
        SalvarClienteCarga(id, descricao, cliente);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

$("#tbDestino tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));
    $('#txtCodigo').val($("#" + id + "_codigo").attr('data'));
    $('#txtTitulo').val($("#" + id + "_titulo").attr('data'));
   
});

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtDescricao').val('');   
    $('#txtTitulo').val('');   
    $('#txtCodigo').val('');   
}

function PesquisarClienteCarga(cliente)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-cliente-carga",
        method: 'post',
        data:
        {
            cliente: cliente 
        },
        beforeSend: function()
        {
            $('#tbDestino tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                data.consulta.forEach(item =>
                {
                                        
                    var icodestino = '<i class="fas fa-map-marker-alt fa-lg"></i>&nbsp;';
                    var nome = item.nome;
                    if(item.ativo=='0')
                    {
                        ativo = ' style="color: #ff0000;"';
                        
                        nome = '<del>' + nome + '</del>';
                    }
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.nome + '" style="font-size: 12pt;">' + icodestino + '<b>' + nome + '</b></td>'
                            +       '<input type="hidden" id="'+ item.id +'_cliente" data="'+ item.idcliente +'"/>'
                           
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbDestino tbody').append(linha);
                });
            }
            else
            {
                $('#tbDestino tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarClienteCarga(id, descricao, cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-cliente-carga",
        method: 'post',
        data:
        {
            id:  id, 
            descricao:  descricao,
            cliente: cliente
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            var cliente = $('#cbClientePesq').val();
            PesquisarClienteCarga(cliente);
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirServico(idprof, unidade)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-servico",
        method: 'post',
        data:
        {
            id: idprof
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            PesquisarServico(unidade);

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}

function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente-carga",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbClientePesq').empty();
            $('#cbClientePesq').append('<option value="">Carregando...</option>');
            $('#cbClientePesq').prop('disabled',true);

            $('#cbCliente').empty();
            $('#cbCliente').append('<option value="">Carregando...</option>');
            //$('#cbCliente').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbClientePesq').prop('disabled',false);
            //$('#cbCliente').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbClientePesq').empty();
                $('#cbClientePesq').append('<option value="">Selecione...</option>');

                $('#cbCliente').empty();
                $('#cbCliente').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbClientePesq').append('<option value="' + item.id + '">' + item.nome + '</option>');
                    $('#cbCliente').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


/* function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbClientePesq').empty();
            $('#cbClientePesq').append('<option value="">Carregando...</option>');
            $('#cbClientePesq').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbClientePesq').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbClientePesq').empty();
                $('#cbClientePesq').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbClientePesq').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

} */




