$(document).ready(function()
{

    PesquisarMensagem();

    LimparCampos();

});
/* 
$("#btnExcluir").click(function()
{
    var id = $('#hdnId').val();

    $('#id_delete_modal').val(id);

    $('#item_delete').text($("#txtDescricao").val());
    $("#dlgDelete").modal({backdrop: "static"}).show();
}); */

$('#btnNovo').click(function()
{
    LimparCampos();
    
    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    $('#btnExcluir').hide();
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var unidade = $('#hdnUnidade').attr('data');
    PesquisarProfissional(unidade);
});

$('#btnSalvar').click(function()
{
    var grava = 1;
    var id = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');
    var descricao = $('#txtDescricao').val();
    var ativo = document.getElementById("cbAtivo").checked;
    if(ativo==true)
    {
        ativo='1';
    }
    else 
    {
        ativo='0';
    }
    //console.log('id: ' + idtipo);

    if(descricao=='')
    {
        MensagemBox( 'erro','','Texto da mensagem inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(grava==1)
    {
        SalvarMensagem(id, descricao, ativo);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

$('#btnExcluir').click(function()
{
    var id = $('#hdnId').attr('data');
    
    ExcluirMensagem(id)

    $('#cadastro').hide();
    $('#lista').show();
});

$("#tbMensagem tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));
    $('#cbAtivo').prop('checked',($('#' + id + '_ativo').attr('data') == '1'));

});

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtDescricao').val('');   
    $('#txtPreco').val('');   
    $('#cbAtivo').prop('checked', 1);
}

function PesquisarMensagem()
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-mensagem",
        method: 'post',
        data:
        {
            
        },
        beforeSend: function()
        {
            $('#tbMensagem tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {

                data.consulta.forEach(item =>
                {
                    var texto = '';
                    if(item.ativo=='1')
                    {
                        texto = '<i class="fas fa-star fa-lg"></i>&nbsp;' +  item.texto
                    }
                    else if(item.ativo=='0')
                    {
                        texto = '<i class="fas fa-times fa-lg" style="color: red;"></i>&nbsp;<del>' +  item.texto + '</del>'
                    }
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.texto + '" style="font-size: 11pt;">'+ texto + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_preco" data="'+ item.preco +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_ativo" data="'+ item.ativo +'"/>'
                           
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbMensagem tbody').append(linha);
                });
            }
            else
            {
                $('#tbMensagem tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarMensagem(id, descricao, ativo)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-mensagem",
        method: 'post',
        data:
        {
            id:         id,
            descricao:  descricao,
            ativo:      ativo
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            PesquisarMensagem();
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirMensagem(id)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-mensagem",
        method: 'post',
        data:
        {
            id: id
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            PesquisarMensagem();

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}



