$(document).ready(function()
{
    //habilita o data picker
    $('#txtDataAgenda').attr('data-toggle','datetimepicker');
    $('#txtDataAgenda').attr('data-target','#txtDataAgenda');
    $('#txtDataAgenda').addClass("datetimepicker-input");
    $('#txtDataAgenda').attr('autocomplete','off'); 
    $('#btnExcluir').hide();

    //desabilita campos
    $('#txtTotal').prop('disabled',true);
    $('#txtStatus').prop('disabled',true);

    //var usua = $('#hdnUsuario').val();
    var status = $('#cbStatusPesq').val();
    var tipo   = $('#cbTipoPesq').val();
    var pessoa = $('#cbPessoaPesq').val();

    PesquisarParceiro('', status, tipo, pessoa);
    PesquisarUf();
    LimparCampos();

    //PesquisaCidadeDaUnidade();
    
});


$(function () 
{
    $('#txtDataAgenda').datetimepicker(
    {
        format:'D/M/YYYY'
    });
       
});


function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}


$("#cbUf").change(function()
{
    var uf = $('#cbUf').val();

   if(uf!='')
   {
    PesquisarCidade(uf, '')
   }
});


$('#btnNovo').click(function()
{
    NovoRegistro();
});

$('#btnNovo2').click(function()
{
    NovoRegistro();
});

$('#btnNovo3').click(function()
{
    NovoRegistro();
});

function NovoRegistro()
{
    LimparCampos();
    $('#hdnStatus').attr('data', 'P');
    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();

    var unidade = $('#hdnUnidade').attr('data');
    $('#hdnUnid').val(unidade);

     //posiciona UF/Cidade
     var cidade = $('#hdnCidade').attr('data');
     var uf = $('#hdnUf').attr('data');
     $('#cbUf').val(uf);
     //console.log('UF: ' + uf + '  Cidade: ' + cidade);
     if(uf!='')
     {
         PesquisarCidade(uf, cidade);
     }
}

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnVoltarB').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnVoltarA2').click(function()
{
    $('#cadastro').hide();
    $('#lista').hide();
    $('#filtro').hide();
    var pessoa = $('#hdnId').attr('data');
});

$('#btnVoltarA22').click(function()
{
    $('#cadastro').hide();
    $('#lista').hide();
    $('#filtro').hide();
});

$('#btnVoltarA1').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});


$('#btnNovoA1').click(function()
{
    LimparAgenda();
    $('#cadastro').hide();
    $('#lista').hide();
    $('#filtro').hide();
});

$('#btnNovoA2').click(function()
{
    LimparAgenda();
    $('#cadastro').hide();
    $('#lista').hide();
    $('#filtro').hide();
});

$('#btnNovoA22').click(function()
{
    LimparAgenda();
    $('#cadastro').hide();
    $('#lista').hide();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var palavra = $('#txtPalavra').val();
    var status = $('#cbStatusPesq').val();
    var tipo   = $('#cbTipoPesq').val();
    var pessoa = $('#cbPessoaPesq').val();
    PesquisarParceiro(palavra, status ,tipo, pessoa);
});

const inputEle = document.getElementById('txtPalavra');
inputEle.addEventListener('keyup', function(e){
  var key = e.which || e.keyCode;
  if (key == 13) { // codigo da tecla enter
    // colocas aqui a tua função a rodar
    //alert('carregou enter o valor digitado foi: ' +this.value);
    var palavra = $('#txtPalavra').val();
    var status = $('#cbStatusPesq').val();
    var tipo   = $('#cbTipoPesq').val();
    var pessoa = $('#cbPessoaPesq').val();
    PesquisarParceiro(palavra, status ,tipo, pessoa);
  }
});



$('#btnSalvar').click(function()
{
    SalvarPessoaJuridica();
});

$('#btnSalvarB').click(function()
{
    SalvarPessoaJuridica();
});

function SalvarPessoaJuridica()
{
    var grava = 1;
    var id = $('#hdnId').attr('data');
    //var id = sessionStorage.getItem('idpessoa');
    var nome = $('#txtNome').val();
    var ativo = document.getElementById("cbAtivo").checked;
    if(ativo==true)
    {
        ativo='1';
    }
    else 
    {
        ativo='0';
    }    
    var endereco = $('#txtEndereco').val();
    var complemento = $('#txtComplemento').val();
    var nro = $('#txtNro').val();
    var bairro = $('#txtBairro').val();
    var cep = $('#txtCep').val();
    var fone = $('#txtFone').val();
    var celular = $('#txtCelular').val();
    var email = $('#txtEmail').val();
    var obs = $('#txtObs').val();
    var cidade = $('#cbCidade').val();
    var tpessoa = $('#cbPessoa').val();
    var tipo = $('#cbTipo').val();
    var apelido = $('#txtApelido').val();
    var vendedor = $('#txtVendedor').val();

    //Valida cAmpos obrigatórios
    if(nome=='')
    {
        MensagemBox( 'erro','','Nome inválido!', 2000, 'Ok');
        grava = 0;
    }
    
    if(cidade=='' || cidade==null)
    {
        MensagemBox( 'erro','','Cidade inválida!', 2000, 'Ok');
        grava = 0;
    }
    
    if(tpessoa=='' || tpessoa==null)
    {
        tpessoa = 'J';      //pessoa Juridica
        //MensagemBox( 'erro','','Pessoa Física/Jurídica inválida!', 2000, 'Ok');
        //grava = 0;
    }

    //console.log(' id: ' + id +' unid: ' +  unidade + ' nome: ' +  nome + ' apelido: ' +  apelido + ' ativo: ' +  ativo + ' endereco: ' +  endereco + ' nro: ' +  nro + ' compl: ' +  complemento + ' bairro: ' +  bairro + ' cep: ' +  cep + ' fone: ' +  fone + ' celular: ' +  celular + ' email: ' +  email + ' obs: ' +  obs + ' cidade: ' +  cidade + ' pessoa: ' +  tpessoa + ' indic: ' +  indicacao);
    if(grava==1)
    {
        SalvarPessoa(id, nome, ativo, endereco, nro, complemento, bairro, cep, fone, celular, email, obs, cidade, tpessoa, tipo, apelido, vendedor);
        //PesquisarPessoa(unidade, '');
        if(id=='0')
        {
            $('#cadastro').hide();
            $('#lista').show();
        }
        else 
        {
            $('#cadastro').show();
            $('#lista').hide();
        }
    }

}


$("#tbAgenda tbody").on("click","span[name=editaragendaBtn]",function()
{
    LimparAgenda();
    var id = $(this).attr("data");
    var unidade = $('#hdnUnidade').attr('data');
    var status = $("#" + id + "_status").attr('data');
    $('#hdnStatus').attr('data', status);
    if(status=='P')
    {
        status = 'PENDENTE (andamento)';
    }
    else if(status=='R')
    {
        status = 'FINALIZADO (baixou)';
    }
    else if(status=='C')
    {
        status = 'CANCELADO';
    }
    
    //console.log('id agenda: ' + id);

    $('#hdnIdAgenda').attr('data',id);
    $('#txtDataAgenda').val($("#" + id + "_dataagenda").attr('data'));
    $('#cbHora').val($("#" + id + "_dataagenda").attr('data2'));
    $('#txtObsagenda').val($("#" + id + "_obs").attr('data'));
    $('#txtTempo').val($("#" + id + "_tempo").attr('data'));
    $('#txtStatus').val(status);

    $('#cadastro').hide();
    $('#lista').hide();
    //$('#btnExcluir').hide();
    $('#listaagenda').hide();
    $('#agenda').show();
    $('#btnExcluirA2').hide();
    $('#btnSalvarA2').show();

    //console.log('clicou no detalhe da agenda: ' + id);
    //carrega os procedimentos
    if(id=='0')
    {
        $('#procedimento').hide();
        $('#listaprocedimento').hide();
    }
    else 
    {
        $('#procedimento').show();
        $('#listaprocedimento').show();
    }
    PesquisarProcedimento(id);      //lista os procedimentos
    PesquisaTotal(id);             //exibe o valor total dos procedimentos

});

function LimparAgenda()
{
    $('#hdnIdAgenda').attr('data','0');
    $('#txtDataAgenda').val('');
    $('#txtTotal').val('');
    $('#cbHora').val('');
    $('#txtObsagenda').val('');
    
    //$('#txtTempo').val('');
}


$("#tbPessoa tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    //$('#btnExcluir').show();

    $('#listaagenda').hide();
    $('#agenda').hide();

    LimparCampos();

    var id = $(this).attr("data");
    //var unidade = '';   //$('#hdnUnidade').attr('data');
    //$('#hdnIdPessoa').attr('data',id);

    //seta valor para a avariavel de sessão
    //sessionStorage.setItem("idpessoa", id); 

    //var pessoa = $("#" + id + "_nome").attr('data');
    //sessionStorage.setItem("pessoa", pessoa);  

    $('#hdnId').attr('data',id);        //ID do Cliente
    $('#txtNome').val($("#" + id + "_nome").attr('data'));
    $('#txtApelido').val($("#" + id + "_apelido").attr('data'));
    $('#txtVendedor').val($("#" + id + "_vendedor").attr('data'));
    $('#cbAtivo').prop('checked',($('#' + id + '_ativo').attr('data') == '1'));
    //$('#cbPessoa').val($("#" + id + "_tpessoa").attr('data'));

    $('#txtEndereco').val($("#" + id + "_endereco").attr('data'));
    $('#txtNro').val($("#" + id + "_nro").attr('data'));
    $('#txtComplemento').val($("#" + id + "_complemento").attr('data'));
    $('#txtBairro').val($("#" + id + "_bairro").attr('data'));
    $('#txtCep').val($("#" + id + "_cep").attr('data'));
    $('#txtFone').val($("#" + id + "_fone").attr('data'));
    $('#txtCelular').val($("#" + id + "_celular").attr('data'));
    $('#txtEmail').val($("#" + id + "_email").attr('data'));
    $('#txtObs').val($("#" + id + "_obs").attr('data'));
    $('#txtIndicacao').val($("#" + id + "_indicacao").attr('data'));
    $('#cbPessoa').val($("#" + id + "_pessoa").attr('data'));
    $('#cbTipo').val($("#" + id + "_tipo").attr('data'));

    //posiciona UF/Cidade
    var cidade = $("#" + id + "_cidade").attr('data');
    var uf = $("#" + id + "_uf").attr('data');
    $('#cbUf').val(uf);
    if(uf!='')
    {
        PesquisarCidade(uf, cidade);
    }


    //var x = document.getElementById("cbAtivo").checked;
    //console.log('ativo: ' + x);

});

$("#tbPessoa tbody").on("click","span[name=agendaBtn]",function()
{
    var id = $(this).attr("data");
    //var unidade = $('#hdnUnidade').attr('data');
    var status = 'P';       //somente os pendentes

    $('#txtNome2').val($("#" + id + "_nome").attr('data'));
    $('#txtNome3').val($("#" + id + "_nome").attr('data'));
    
    //desaparece com outros controles
    $('#cadastro').hide();
    $('#lista').hide();
    //$('#btnExcluir').hide();
    //$('#listaagenda').show();
    //$('#agenda').hide();
    $('#btnExcluirA2').hide();
    $('#btnSalvarA2').show();

    $('#btnProced').show();
    $('#procedimento').show();

  
    $('#hdnId').attr('data',id);
    //sessionStorage.setItem('idpessoa',id);

    $('#txtNome2').val($("#" + id + "_nome").attr('data'));
    $('#txtNome2').prop('disabled',true);
    $('#txtNome3').prop('disabled',true);

    //lista agendas para a pessoa
    PesquisarAgenda(unidade, id, status);

});

function LimparCampos()
{
    $('#hdnId').attr('data','0');
    //sessionStorage.setItem('idpessoa','0');
    $('#txtNome').val('');
    $('#txtApelido').val('');
    $('#txtIndicacao').val('');
    $('#txtEndereco').val('');
    $('#txtComplemento').val('');
    $('#txtNro').val('');
    $('#txtBairro').val('');
    $('#txtCep').val('');
    $('#txtFone').val('');
    $('#txtCelular').val('');
    $('#txtEmail').val('');
    $('#txtObs').val('');
    $('#cbCidade').val('');
    $('#cbPessoa').val('');
    $('#cbTipo').val('');
    $('#cbAtivo').prop('checked', 1);
}


function PesquisarParceiro(palavra, status, tipo, pessoa)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-parceiro",
        method: 'post',
        data:
        {
            palavra: palavra,
            status: status,
            tipo: tipo,
            pessoa: pessoa
        },
        beforeSend: function()
        {
            $('#tbPessoa tbody tr').remove();
            $('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            $('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {

                data.consulta.forEach(item =>
                {
                    var texto = '';
                    var icone = '';
                    var apelido = item.apelido;
                    if(apelido!='')
                    {
                        apelido = ' - ' + apelido;
                    }

                    var pessoa = '';
                    if(item.tipo=='F')
                    {
                        pessoa = ' <span class="badge badge-primary estilobag">FORNECEDOR</span>';
                    }
                    else
                    {
                        pessoa = ' <span class="badge badge-success estilobag">CLIENTE</span>';
                    }

                    
                    if(item.tpessoa=='F')           //FISICA
                    {
                        icone='<i class="fas fa-user-tie fa-lg"></i>';
                        texto = icone + ' ' + item.nome + apelido + pessoa;
                        if(item.ativo=='0')
                        {
                            icone='<i class="fas fa-user-tie fa-lg" style="color: #ff1a1a;"></i>';
                            texto= icone + ' <del>' + item.nome + apelido + pessoa + '</del>';
                        }
                    }
                    else if(item.tpessoa=='J')      //JURIDICA
                    {
                        icone='<i class="fas fa-home fa-lg"></i>';
                        texto = icone + ' ' + item.nome + apelido  + pessoa ;
                        if(item.ativo=='0')
                        {
                            icone='<i class="fas fa-user-tie fa-lg" style="color: #ff1a1a;"></i>';
                            texto= icone + ' <del>' + item.nome + apelido + pessoa + '</del>';
                        }
                    }
                    
                    

                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.nome + '" style="font-size: 12pt;">'+ texto +'<br>&nbsp;&nbsp;&nbsp;<i class="fas fa-mobile-alt"></i> ' + item.celular + ' - <i class="fas fa-envelope"></i> ' + item.email +  '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_unidade" data="'+ item.idunidade +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_nome" data="'+ item.nome +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_apelido" data="'+ item.apelido +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_ativo" data="'+ item.ativo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_cidade" data="'+ item.idcidade +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_uf" data="'+ item.iduf +'"/>'
                            
                            +       '<input type="hidden" id="'+ item.id +'_endereco" data="'+ item.endereco +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_nro" data="'+ item.nro +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_complemento" data="'+ item.complemento +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_bairro" data="'+ item.bairro +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_cep" data="'+ item.cep +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_fone" data="'+ item.fone +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_celular" data="'+ item.celular +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_email" data="'+ item.email +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_obs" data="'+ item.obs +'"/>'
                            //+       '<input type="hidden" id="'+ item.id +'_indicacao" data="'+ item.indicacao +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_pessoa" data="'+ item.tpessoa +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_tipo" data="'+ item.tipo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_apelido" data="'+ item.apelido +'"/>'
                            //+       '<input type="hidden" id="'+ item.id +'_vendedor" data="'+ item.vendedor +'"/>'
                            
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            //+         '<span name="agendaBtn" class="fas fa-calendar-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #3385ff;" title="Agendar"></span>'
                            //+         '<span name="pedidoBtn" class="fas fa-search fa-lg cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #4d4dff;" title="Hist.Pedidos"></span>'
                            +      '</td>'
                            +   '</tr>';

                            
                        $('#tbPessoa tbody').append(linha);
                });
            }
            else
            {
                $('#tbPessoa tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarPessoa(id, nome, ativo, endereco, nro, complemento, bairro, cep, fone, celular, email, obs, cidade, tpessoa, tipo, apelido, vendedor)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-parceiro",
        method: 'post',
        data:
        {
            id:         id, 
            nome:       nome,
            ativo:      ativo, 
            endereco:   endereco, 
            nro:        nro, 
            complemento:complemento, 
            bairro:     bairro, 
            cep:        cep, 
            fone:       fone, 
            celular:    celular, 
            email:      email, 
            obs:        obs, 
            cidade:     cidade,
            pessoa:     tpessoa,
            tipo:       tipo,
            apelido:    apelido, 
            vendedor:   vendedor   
        },
        beforeSend: function()
        {
            $('#btnSalvar').prop('disabled',true);
            $('#btnSalvarB').prop('disabled',true);
        },
        complete: function()
        {
            $('#btnSalvar').prop('disabled',false);
            $('#btnSalvarB').prop('disabled',false);
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
        
            var status = $('#cbStatusPesq').val();
            var tipo   = $('#cbTipoPesq').val();
            var pessoa = $('#cbPessoaPesq').val();

            PesquisarParceiro('', status, tipo, pessoa);
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirTipo(idtipo)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-tipo",
        method: 'post',
        data:
        {
            idtipo: idtipo
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}

function PesquisarTipo()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-tipo-pessoa-cad",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbTipo').empty();
            $('#cbTipo').append('<option value="">Carregando...</option>');
            $('#cbTipo').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbTipo').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTipo').empty();
                $('#cbTipo').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbTipo').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function PesquisarUf()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-carrega-uf",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbUf').empty();
            $('#cbUf').append('<option value="">Carregando...</option>');
            $('#cbUf').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbUf').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbUf').empty();
                $('#cbUf').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbUf').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function PesquisarCidade(uf, cidade)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-carrega-cidade",
        method: 'post',
        data:
        {
           uf: uf
        },
        beforeSend: function()
        {
            $('#cbCidade').empty();
            $('#cbCidade').append('<option value="">Carregando...</option>');
            $('#cbCidade').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbCidade').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbCidade').empty();
                $('#cbCidade').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbCidade').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });

                if(cidade!='')
                {
                    $('#cbCidade').val(cidade);
                }
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function PesquisarAgenda(unidade, pessoa, status)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-agenda",
        method: 'post',
        data:
        {
            unidade:    unidade,
            pessoa:     pessoa,
            status:     status
        },
        beforeSend: function()
        {
            $('#tbAgenda tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#listaagenda"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#listaagenda"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {

                data.consulta.forEach(item =>
                {
                   
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_dataagenda" data="' + item.dataa + '" data2="' + item.hora + '" style="font-size: 11pt;"><i class="far fa-clock fa-lg"></i>&nbsp;<b>'+ item.dataa + ' ' + item.hora + '&nbsp;&nbsp;<i class="fas fa-search-dollar fa-lg"></i>&nbsp;R$ ' + item.total + '</b><br>&nbsp;&nbsp;&nbsp;&nbsp;' + item.obs + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_status" data="'+ item.status +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_obs" data="'+ item.obs +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_tempo" data="'+ item.tempo +'"/>'
                                                        
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editaragendaBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>&nbsp;&nbsp;'
                            +         '<span name="excluiragendaBtn" class="fas fa-trash-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #ff1a1a;" title="Excluir"></span>'
                            +      '</td>'
                            +   '</tr>';

                            
                        $('#tbAgenda tbody').append(linha);
                });
            }
            else
            {
                $('#tbAgenda tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function PesquisarProcedimentos()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-carrega-procedimento",
        method: 'post',
        data:
        {
           //unidade: unidade
        },
        beforeSend: function()
        {
            $('#cbProcedimento').empty();
            $('#cbProcedimento').append('<option value="">Carregando...</option>');
            $('#cbProcedimento').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbProcedimento').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbProcedimento').empty();
                $('#cbProcedimento').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbProcedimento').append('<option value="' + item.id + '">' + item.descricao + ' (' + item.preco + ')</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function PesquisarProfissional()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-carrega-profissional",
        method: 'post',
        data:
        {
           //unidade: unidade
        },
        beforeSend: function()
        {
            $('#cbProfissional').empty();
            $('#cbProfissional').append('<option value="">Carregando...</option>');
            $('#cbProfissional').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbProfissional').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbProfissional').empty();
                $('#cbProfissional').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbProfissional').append('<option value="' + item.id + '">' + item.nome + ' (' + item.funcao + ')</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function SalvarProcedimento(idagenda, servico, profissional, valor, comissao, status_comissao)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-procedimento",
        method: 'post',
        data:
        {
            id:             0,
            agenda:         idagenda,
            servico:        servico,
            profissional:   profissional,
            valor:          valor,
            comissao:       comissao,
            status_comissao:status_comissao   
        },
        beforeSend: function()
        {
            $('#btnIncluirProcedimento').prop('disabled',true);
        },
        complete: function()
        {
            
            $('#btnIncluirProcedimento').prop('disabled',false);
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            PesquisarProcedimento(idagenda);
            PesquisaTotal(idagenda);
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function PesquisarProcedimento(agenda)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-procedimento",
        method: 'post',
        data:
        {
            agenda:    agenda
        },
        beforeSend: function()
        {
            $('#tbProcedimento tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#listaprocedimento"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#listaprocedimento"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {

                data.consulta.forEach(item =>
                {
                   
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_procedimento" data="' + item.servico + '" style="font-size: 11pt;"><i class="far fa-lightbulb fa-lg"></i>&nbsp;<b>'+ item.servico + '</b> (' + item.preco + ')<br>&nbsp;&nbsp;&nbsp;&nbsp;' + item.profissional + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_servico" data="'+ item.idservico +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_profissional" data="'+ item.idprofissional +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_preco" data="'+ item.preco +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_agenda" data="'+ item.idagenda +'"/>'
                                                        
                            +      '<td width="10%" class="text-center">'
                            
                            +         '<span name="excluirprocedimentoBtn" class="fas fa-trash-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #ff1a1a;" title="Excluir"></span>'
                            +      '</td>'
                            +   '</tr>';

                            
                        $('#tbProcedimento tbody').append(linha);
                });
            }
            else
            {
                $('#tbProcedimento tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function ExcluirProcedimento(id, agenda)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-procedimento",
        method: 'post',
        data:
        {
            id:         id,
            agenda:     agenda
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            PesquisarProcedimento(agenda);
            PesquisaTotal(agenda); 
        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}


function PesquisaPreco(servico)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-preco",
        method: 'post',
        data:
        {
            servico:  servico
        },
        beforeSend: function()
        {
            $('#btnIncluirProcedimento').prop('disabled',true);
            $('#hdnPreco').attr('data',0);
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Pesquisando preço do procedimento...');
        },
        complete: function()
        {
            $('#btnIncluirProcedimento').prop('disabled',false);
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            //console.log('data: ' + data.consulta);
            data.consulta.forEach(item =>
            {
                $('#hdnPreco').attr('data',item.preco);
            });

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function PesquisaTotal(agenda)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-total",
        method: 'post',
        data:
        {
            agenda:  agenda
        },
        beforeSend: function()
        {
            //$('#identificacao').hide();
            //$('#senha').hide();
            $('#txtTotal').val('0.00');
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Pesquisando preço do procedimento...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            //console.log('data: ' + data.consulta);
            data.consulta.forEach(item =>
            {
                $('#txtTotal').val(item.total);
            });

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function PesquisaCidadeDaUnidade()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-cidade-unidade",
        method: 'post',
        data:
        {
            //unidade:  unidade
        },
        beforeSend: function()
        {
            $('#hdnCidade').attr('data',0);
            $('#hdnUf').attr('data',0);
            
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Pesquisando cidade da unidade de negócio...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            //console.log('data: ' + data.consulta);
            data.consulta.forEach(item =>
            {
                $('#hdnCidade').attr('data',item.idcidade);
                $('#hdnUf').attr('data',item.iduf);
            });

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function ExcluirAgenda(agenda, idpessoa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-agenda",
        method: 'post',
        data:
        {
            agenda: agenda
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados da agenda excluídos com sucesso!', 2000, 'Ok');
            PesquisarAgenda('', idpessoa, 'P');
        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}


/* $('#txtNome').keyup(function(event)
{
    var texto = $('#txtNome').val();

    texto = texto.toUpperCase();
    $('#txtNome').val(texto);

}); */






