$(document).ready(function()
{
    //desabilita campos
    $('#txtCliente').prop('disabled',true);

    ListarCliente();
    ListarTransp();
    LimparCampos();
    ListarProduto2();
    ListarDestino2();

    PesquisarPatio('D');    //DESCARREGAMENTO
    

    $('#txtData').attr('data-toggle','datetimepicker');
    $('#txtData').attr('data-target','#txtData');
    $('#txtData').addClass("datetimepicker-input");
    $('#txtData').attr('autocomplete','off'); 

});

function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}

/* $('#txtData').click(function()
{
    console.log(FormataStringData($('#txtData').val()));
}); */

$(function () 
{
    $('#txtData').datetimepicker(
    {
        format:'D/M/YYYY'
    });
       
});

$('#btnNovo').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        LimparCampos();
    
        $('#cadastro').show();
        $('#lista').hide();
        $('#filtro').hide();
        $('#btnExcluir').hide();
    }
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnVoltar2').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var cliente = $('#cbClientePesq').val();
    var destino = $('#cbDestinoPesq').val();
    
    //if(cliente=='' || cliente=='0')
    //{
    //    MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    //}
    //else 
    //{
        PesquisarPatio('D');
    //}
});

/* $('#cbClientePesq').change(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente!='')
    {
        BuscarCliente(cliente);
        ListarProduto(cliente);
        ListarDestino(cliente);
    }
}); */

$('#btnSalvar').click(function()
{
    //SalvarDadosEstadia();
});

$('#btnSalvar2').click(function()
{
    //SalvarDadosEstadia();
});

/* function SalvarDadosEstadia()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava        = 1;
    var idestadia    = $('#hdnId').attr('data');
    var chamada      = $('#hdnDataChamada').attr('data');

    
    //fazer as validações aqui

    if(idestadia=='')
    {
        MensagemBox( 'erro','','Veículo não selecionado!', 2000, 'Ok');
        grava = 0;
    }
    //console.log('id: ' + idestadia + ' placa: ' +  placa + ' placa carreta: ' +  placa_carreta + ' marca: ' +  marca + ' modelo: ' +  modelo + ' cpf: ' +  cpf + ' nome: ' +  nome + ' celular: ' +  celular + ' cnh: ' +  cnh + ' categ: ' +   categoria + ' cliente: ' +  cliente + ' prod: ' +  produto + ' qtde: ' +  qtde + ' pedido: ' +  pedido + ' tipo carga: ' +  tipo_carga + ' data: ' +  data + ' destino: ' +  destino + ' transp: ' +  transp + ' veic: ' +  veiculo + ' motora: ' +  motorista);

    if(grava==1)
    {
        SalvarEstadia(idestadia, chamada);
        $('#cadastro').hide();
        $('#lista').show();
    }
} */

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

$("#tbEstadia tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    //dados do veiculo
    $('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
    $('#txtPlaca').val($("#" + id + "_veiculo").attr('data2'));
    $('#txtPlaca_carreta').val($("#" + id + "_veiculo").attr('data3'));
    $('#txtMarca').val($("#" + id + "_veiculo").attr('data4'));
    $('#txtModelo').val($("#" + id + "_veiculo").attr('data5'));
    //dados do motorista
    $('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
    $('#txtCpf').val($("#" + id + "_motorista").attr('data2'));
    $('#txtNome').val($("#" + id + "_motorista").attr('data3'));
    $('#txtCelular').val($("#" + id + "_motorista").attr('data4'));
    $('#txtCnh').val($("#" + id + "_motorista").attr('data5'));
    $('#txtCategoria').val($("#" + id + "_motorista").attr('data6'));
    //dados da carga
    $('#txtData').val($("#" + id + "_data").attr('data'));
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
    $('#cbProduto').val($("#" + id + "_produto").attr('data'));
    $('#cbTransp').val($("#" + id + "_transportador").attr('data'));
    $('#cbDestino').val($("#" + id + "_destino").attr('data'));
    $('#cbTipocarga').val($("#" + id + "_tipocarga").attr('data'));
    $('#txtQtde').val($("#" + id + "_qtde").attr('data'));
    $('#txtPedido').val($("#" + id + "_pedido").attr('data'));
    $('#txtObs').val($("#" + id + "_obs").attr('data'));
    $('#txtCliente').val($("#" + id + "_cliente").attr('data2'));

    var cliente = $("#" + id + "_cliente").attr('data');

    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var agora = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
    $('#hdnDataChamada').attr('data', agora);

    //desabilita campos
    //$('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
    $('#txtCliente').prop('disabled',true);
    $('#txtPlaca').prop('disabled',true);
    $('#txtPlaca_carreta').prop('disabled',true);
    $('#txtMarca').prop('disabled',true);
    $('#txtModelo').prop('disabled',true);
    //dados do motorista
    //$('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
    $('#txtCpf').prop('disabled',true);
    $('#txtNome').prop('disabled',true);
    $('#txtCelular').prop('disabled',true);
    $('#txtCnh').prop('disabled',true);
    $('#txtCategoria').prop('disabled',true);
    //dados da carga
    $('#txtData').prop('disabled',true);
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
    $('#cbProduto').prop('disabled',true);
    $('#cbTransp').prop('disabled',true);
    $('#cbDestino').prop('disabled',true);
    $('#cbTipocarga').prop('disabled',true);
    $('#txtQtde').prop('disabled',true);
    $('#txtPedido').prop('disabled',true);
    $('#txtObs').prop('disabled',true);

    /*  id, 
        idcliente,
        idveiculo, 
        placa, 
        placa_carreta,
        idmotorista, 
        celular,
        idproduto,  
        idtransportador, 
        iddestino, 
        dataprev,
        datachamada, 
        datasaida, 
        foichamado,
        status,
        qtde,
        pedido,
        obs,
        tipocarga */
   
});

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtPlaca').val('');   
    $('#txtTitulo').val('');   
    $('#txtCodigo').val('');   

}

function PesquisarPatio(operacao)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-consulta-carga",
        method: 'post',
        data:
        {
            operacao: operacao
        },
        beforeSend: function()
        {
            $('#tbEstadia tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-parking"></i>&nbsp;';
                
                data.consulta.forEach(item =>
                {
                    var tipoveiculo = item.tipoveiculo;
                    var status = '';
                    var chamado = item.foichamado;
                    if(chamado=='1')
                    {
                        chamado = ' <span class="badge badge-success estilobag" style="color: #000;"><i class="fas fa-bullhorn fa-lg"></i>&nbsp;FOI CHAMADO</span> Chamado por: ' + item.chamadopor +  ' em: ' + item.datachamada + ' ';
                    }
                    else 
                    {
                        chamado = ' ';
                    }
                    if(tipoveiculo==' NÃO DEFINIDO')
                    {
                        tipoveiculo = '';
                    }
                    else
                    {
                        tipoveiculo = ' - ' + item.tipoveiculo;
                    }
                    if(item.status=='AG')
                    {
                        status = '<span class="badge badge-success estilobag">AGENDADO</span>';
                    }
                    else if(item.status=='ET')
                    {
                        status = '<span class="badge badge-info estilobag">EM TRÂNSITO</span>';
                    }
                    else if(item.status=='PA')
                    {
                        status = '<span class="badge badge-dark estilobag">NO PÁTIO</span>';
                    }
                    else if(item.status=='NF')
                    {
                        status = '<span class="badge badge-warning">NA FÁBRICA</span>';
                    }
                    else if(item.status=='RC')
                    {
                        status = '<span class="badge badge-warning">RECEBIDO CLIENTE</span>';
                    }
                    else if(item.status=='CL')
                    {
                        status = '<span class="badge badge-danger estilobag">CANCELADO</span>';
                    }
                    else if(item.status=='FN')
                    {
                        status = '<span class="badge badge-secondary">FINALIZADO</span>';
                    }
                    else
                    {
                        status = '<span class="badge badge-dark estilobag"></span>';
                    }

                    var icotruck = '<i class="fas fa-truck"></i>&nbsp;';
                    var icodata = '<i class="fas fa-clock fa-lg"></i>&nbsp;';
                    var icomotora = '<i class="fas fa-user-tie"></i>&nbsp;';
                    var icocarga = '<i class="fas fa-truck-loading"></i>&nbsp;';
                    var icodestino = '<i class="fas fa-map-marker-alt fa-lg"></i>&nbsp;';
                    var icocliente = '<i class="fas fa-home fa-lg"></i>&nbsp;';
                    
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_data" data="' + item.dataprev + ' ' + item.horaprev + '" style="font-size: 12pt;"><b>' + icodata + ' ' + item.dataprev + ' ' + item.horaprev + ' - ' + icotruck + ' ' + item.placa + ' - ' + item.placa_carreta + tipoveiculo + ' - ' + icomotora + ' ' + item.motorista + '</b> ' + status + ' ' + chamado + '<br>' + icocarga + item.produto + ' - ' + item.qtde + ' - ' + icodestino + item.cliente + '/' + item.destino + ' - ' + item.transportador + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_cliente" data="'+ item.idcliente +'" data2="'+ item.cliente +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_veiculo" data="'+ item.idveiculo +'" data2="'+ item.placa +'" data3="'+ item.placa_carreta + '" data4="'+ item.marca +'" data5="'+ item.modelo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_motorista" data="'+ item.idmotorista +'" data2="'+ item.motorista +'" data3="'+ item.cpf + '" data4="'+ item.celular +'" data5="'+ item.cnh +'"  data6="'+ item.categoria +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_produto" data="'+ item.idproduto +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_transportador" data="'+ item.idtransportador +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_destino" data="'+ item.iddestino +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_dataprev" data="'+ item.dataprev +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_datachamada" data="'+ item.datachamada +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_datasaida" data="'+ item.datasaida +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_foichamado" data="'+ item.foichamado +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_status" data="'+ item.status +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_qtde" data="'+ item.qtde +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_pedido" data="'+ item.pedido +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_obs" data="'+ item.obs +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_tipocarga" data="'+ item.tipocarga +'"/>'
                            
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-search fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbEstadia tbody').append(linha);
                });
            }
            else
            {
                $('#tbEstadia tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

/* 
function SalvarEstadia(idestadia, chamada)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-chamada",
        method: 'post',
        data:
        {
            idestadia: idestadia, 
            chamada: chamada 
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Veículo chamado para sair do pátio com sucesso!', 2000, 'Ok');
            var cliente = $('#cbClientePesq').val();
            PesquisarPatio(cliente);
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
} */

function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente-patio",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbClientePesq').empty();
            $('#cbClientePesq').append('<option value="">Carregando...</option>');
            $('#cbClientePesq').prop('disabled',true);
        },
        complete: function()
        {
            //$('#cbClientePesq').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbClientePesq').empty();
                $('#cbClientePesq').append('<option value="">Todos...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbClientePesq').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });

                var cliente = $('#hdnCliente').attr('data');
                if(cliente=='')
                {
                    cliente='0';
                }
                if(cliente!='0')
                {
                    $('#cbClientePesq').val(cliente);
                    $('#cbClientePesq').prop('disabled',true);
                }
                else 
                {
                    $('#cbClientePesq').prop('disabled',false);
                }
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarProduto2()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-produto-patio",
        method: 'post',
        data:
        {
           cliente: ''
        },
        beforeSend: function()
        {
            $('#cbProduto').empty();
            $('#cbProduto').append('<option value="">Carregando...</option>');
            $('#cbProduto').prop('disabled',true);
        },
        complete: function()
        {
            //$('#cbProduto').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbProduto').empty();
                $('#cbProduto').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    var produto = item.descricao;
                    if(item.formula!='')
                    {
                        produto = produto + ' - Formula: ' + item.formula;
                    }
                    $('#cbProduto').append('<option value="' + item.id + '">' + produto + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarDestino2()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-destino-patio",
        method: 'post',
        data:
        {
           //cliente: ''
        },
        beforeSend: function()
        {
            $('#cbDestino').empty();
            $('#cbDestino').append('<option value="">Carregando...</option>');
            $('#cbDestino').prop('disabled',true);
            $('#cbDestinoPesq').empty();
            $('#cbDestinoPesq').append('<option value="">Carregando...</option>');
            $('#cbDestinoPesq').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbDestino').prop('disabled',false);
            $('#cbDestinoPesq').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbDestino').empty();
                $('#cbDestino').append('<option value="">Todos...</option>');
                $('#cbDestinoPesq').empty();
                $('#cbDestinoPesq').append('<option value="">Todos...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbDestino').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                    $('#cbDestinoPesq').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarTransp()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-transp-patio",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbTransp').empty();
            $('#cbTransp').append('<option value="">Carregando...</option>');
            $('#cbTransp').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbTransp').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTransp').empty();
                $('#cbTransp').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    
                    $('#cbTransp').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function BuscarCliente(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-cliente",
        method: 'post',
        data:
        {
           idcliente: cliente
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtCliente').val(item.nome);
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}



function BuscarMotorista(cpf)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-motorista-cpf",
        method: 'post',
        data:
        {
           cpf: cpf
        },
        beforeSend: function()
        {
            $('#txtNome').val('');
            $('#txtCelular').val('');
            $('#txtCnh').val('');
            $('#txtCategoria').val('');
            $('#hdnMotorista').attr('data',0);

            $('#txtNome').prop('disabled',true);
            //$('#txtCelular').prop('disabled',true);
            $('#txtCnh').prop('disabled',true);
            $('#txtCategoria').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtNome').val(item.nome);
                    $('#txtCelular').val(item.celular);
                    $('#txtCnh').val(item.cnh);
                    $('#txtCategoria').val(item.categoria);
                    $('#hdnMotorista').attr('data',item.id);
                });
            }
            else 
            {
                MensagemBox('alerta','Busca Motorista','Motorista não encontrado!', 2000, 'Ok');
                $('#txtNome').prop('disabled',false);
                //$('#txtCelular').prop('disabled',false);
                $('#txtCnh').prop('disabled',false);
                $('#txtCategoria').prop('disabled',false);

                //MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

$('#txtCpf').keyup(function(event)
{
    var cpf = $('#txtCpf').val();
    var tamanho = cpf.length;

    //console.log('tamanho: ' + tamanho);
    if(tamanho==11)
    {
        BuscarMotorista(cpf)
    }
    else
    {
        LimpaCamposMotorista()
    }
});

function LimpaCamposMotorista()
{
    $('#txtNome').val('');
    $('#txtCelular').val('');
    $('#txtCnh').val('');
    $('#txtCategoria').val('');
    $('#hdnMotorista').attr('data',0);
}


function BuscarVeiculo(placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-veiculo-placa",
        method: 'post',
        data:
        {
           placa: placa
        },
        beforeSend: function()
        {
            $('#txtPlaca_carreta').val('');
            $('#txtMarca').val('');
            $('#txtmodelo').val('');
            $('#hdnVeiculo').attr('data',0);

            //$('#txtPlaca_carreta').prop('disabled',true);
            $('#txtMarca').prop('disabled',true);
            $('#txtModelo').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtPlaca_carreta').val(item.placa_carreta);
                    $('#txtMarca').val(item.marca);
                    $('#txtModelo').val(item.modelo);
                    $('#hdnVeiculo').attr('data',item.id);
                });
            }
            else 
            {
                MensagemBox('alerta','Busca Veículo','Veículo não encontrado!', 2000, 'Ok');
                //$('#txtPlaca_carreta').prop('disabled',false);
                $('#txtMarca').prop('disabled',false);
                $('#txtModelo').prop('disabled',false);
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


$('#txtPlaca').keyup(function(event)
{
    var placa = $('#txtPlaca').val();
    var tamanho = placa.length;

    placa = placa.toUpperCase();
    $('#txtPlaca').val(placa);

    //console.log('tamanho: ' + tamanho);
    if(tamanho==7)
    {
        BuscarVeiculo(placa)
    }
    else
    {
        LimpaCamposVeiculo()
    }
});

function LimpaCamposVeiculo()
{
    $('#txtPlaca_carreta').val('');
    $('#txtMarca').val('');
    $('#txtmodelo').val('');
    $('#hdnVeiculo').attr('data',0);
}





