$(document).ready(function()
{
    //desabilita campos
    $('#txtCliente').prop('disabled',true);
    $('#btnPdf').hide();


    //alert(localStorage.getItem('cliente'));

   var cliente = localStorage.getItem('vcliente');
   var dataini = localStorage.getItem('vdataini');
   var datafim = localStorage.getItem('vdatafim');
   var transp = localStorage.getItem('vtransp');
   var usuario = localStorage.getItem('vusuario');
   var categoria = localStorage.getItem('vcategoria');
   var forma = localStorage.getItem('vforma');

   var datanormalini = localStorage.getItem('vdatanormalini');
   var datanormalfim = localStorage.getItem('vdatanormalfim');

   $('#hdnDataNormalIni').attr('data', datanormalini);
   $('#hdnDataNormalFim').attr('data', datanormalfim);
   
   console.log('cliente global: ' + cliente);

    //PesquisarDados(vdataini, vdatafim, vcliente, vtransp);
    PesquisarDados(dataini,datafim,cliente,transp, usuario, categoria, forma);

});

function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}


$('#btnPesquisar').click(function()
{
    $('#hdnTransp').attr('data',$('#cbTransp').val());

    if($('#txtDataini').val()!='')
    {
        $('#hdnDataIni').attr('data',FormataStringData($('#txtDataini').val()));
        $('#hdnDataFim').attr('data',FormataStringData($('#txtDatafim').val()));
    }
    else 
    {
        $('#hdnDataIni').attr('data','');
        $('#hdnDataFim').attr('data','');    
    }    

    var url_atual = window.location.href;   

    $('#urlExcel').attr('href', url_atual + "/excel/" + $('#cbCliente').val() + '&' + $('#hdnDataIni').attr('data') + '&' + $('#hdnDataFim').attr('data') + '&' + $('#cbTransp').val());

    var cliente = $('#cbCliente').val();
    var transp  = $('#cbTransp').val();
    var dataini = $('#hdnDataIni').attr('data');
    var datafim = $('#hdnDataFim').attr('data');

   
    PesquisarDados(dataini, datafim, cliente, transp, usuario, categoria);

});

function criaBotao()
{
    var cliente = $('#cbCliente').val();
    var transp  = $('#cbTransp').val();
    var dataini = $('#hdnDataIni').attr('data');
    var datafim = $('#hdnDataFim').attr('data');



    $('#botao btnPdf').remove();       //limpa botão atual
    $('#botao a').remove(); 

    //constroi botão dinamicamente
    var linha = '';

    //<a href="{{ route('pdfestadia',['download'=>'pdf']) }}">Download PDF</a>

    //linha=linha + '<a id="alvo" target="_blank" href="/pdfestadia/cliente=' + cliente + '&transp=' + transp + '&dataini=' + dataini + '&datafim=' + datafim + '">'
    //<a href="{{route('home')}}"></a>
    linha=linha + '<a id="alvo" target="_blank" href="{{ route(pdf.pdfestadia)}}">'
    linha=linha + '<button id="btnPdf" type="button" class="btn btn-warning" aria-label="Left Align" >'
    linha=linha + '<i class="fas fa-file-pdf"></i> Imprimir</button></a>';
    
    $('#botao').append(linha);
}

/* $('#cbClientePesq').change(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente!='')
    {
        BuscarCliente(cliente);
        ListarProduto(cliente);
        ListarDestino(cliente);
    }
}); */

$('#btnSalvar').click(function()
{
    SalvarDadosEstadia();
});

$('#btnSalvar2').click(function()
{
    SalvarDadosEstadia();
});

function SalvarDadosEstadia()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava        = 1;
    var idestadia    = $('#hdnId').attr('data');
    var chamada      = $('#hdnDataChamada').attr('data');

    
    //fazer as validações aqui

    if(idestadia=='')
    {
        MensagemBox( 'erro','','Veículo não selecionado!', 2000, 'Ok');
        grava = 0;
    }
    //console.log('id: ' + idestadia + ' placa: ' +  placa + ' placa carreta: ' +  placa_carreta + ' marca: ' +  marca + ' modelo: ' +  modelo + ' cpf: ' +  cpf + ' nome: ' +  nome + ' celular: ' +  celular + ' cnh: ' +  cnh + ' categ: ' +   categoria + ' cliente: ' +  cliente + ' prod: ' +  produto + ' qtde: ' +  qtde + ' pedido: ' +  pedido + ' tipo carga: ' +  tipo_carga + ' data: ' +  data + ' destino: ' +  destino + ' transp: ' +  transp + ' veic: ' +  veiculo + ' motora: ' +  motorista);

    if(grava==1)
    {
        SalvarEstadia(idestadia, chamada);
        $('#cadastro').hide();
        $('#lista').show();
    }
}


function PesquisarDados(dataini, datafim, cliente, transp, usuario, categoria, forma, destino)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-consulta-estadia",
        method: 'post',
        data:
        {
            dataini: dataini, 
            datafim: datafim, 
            cliente: cliente, 
            transp: transp,
            usuario: usuario, 
            categoria: categoria,
            forma: forma,
            destino: destino
        },
        beforeSend: function()
        {
            $('#tbEstadia tbody tr').remove();
            

            //ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
           
            //ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
            //console.log('dados:' + data);

            var qtde = 0;

            if(data.consulta.length > 0)
            {
                
                //var icocodigo = '<i class="fas fa-parking"></i>&nbsp;';
                
                data.consulta.forEach(item =>
                {
                    qtde = qtde + 1;
                    var tempo = parseInt(item.tempo)
                    var ttempo = CalculaTempo(tempo);

                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_data1" data="' + item.placa + '" style="font-size: 10pt;">' + item.placa + '</td>'
                            +      '<td id="'+ item.id +'_data2" data="' + item.entrada + '" style="font-size: 10pt;">' + item.entrada + '</td>'
                            +      '<td id="'+ item.id +'_data3" data="' + item.saida + '" style="font-size: 10pt;">' + item.saida + '</td>'
                            +      '<td id="'+ item.id +'_data4" data="' + item.tempo + '" style="font-size: 10pt;">' + ttempo + '</td>'
                            +      '<td id="'+ item.id +'_data5" data="' + item.motorista + '" style="font-size: 10pt;">' + item.motorista + '</td>'
                            +      '<td id="'+ item.id +'_data6" data="' + item.cliente + '" style="font-size: 10pt;">' + item.cliente + '</td>'
                            +      '<td id="'+ item.id +'_data7" data="' + item.destino + '" style="font-size: 10pt;">' + item.destino + '</td>'
                            +      '<td id="'+ item.id +'_data8" data="' + item.transportador + '" style="font-size: 10pt;">' + item.transportador + '</td>'
                            +      '<td id="'+ item.id +'_data9" data="' + item.produto + '" style="font-size: 10pt;">' + item.produto + '</td>'
                            
                            //+      '<td width="10%" class="text-center">'
                            //+         '<span name="editBtn" class="fas fa-search fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span>'
                            //+      '</td>'
                            +   '</tr>';

                        $('#tbEstadia tbody').append(linha);
                });
                if(qtde > 0)
                {
                    $('#tbEstadia tbody').append('<br>Qtde de veículos: ' + qtde);
                }
                if( $('#hdnDataNormalIni').attr('data')!='')
                {
                    $('#periodo').show();
                    $('#periodo').append('Período de: ' + $('#hdnDataNormalIni').attr('data') + ' a ' + $('#hdnDataNormalFim').attr('data'));
                }
                else
                {
                    $('#periodo').hide();
                }
            }
            else
            {
                //$('#tbEstadia tbody').append(linhaNenhumResultado(9));
            }
        },
        error:function(error)
        {
            console.log(error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

/* 
function SalvarEstadia(idestadia, chamada)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-chamada",
        method: 'post',
        data:
        {
            idestadia: idestadia, 
            chamada: chamada 
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Veículo chamado para sair do pátio com sucesso!', 2000, 'Ok');
            var cliente = $('#cbClientePesq').val();
            PesquisarChamado(cliente);
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
} */

function ListarClienteConsulta()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente-chamado",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbCliente').empty();
            $('#cbCliente').append('<option value="">Carregando...</option>');
            $('#cbCliente').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbCliente').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbCliente').empty();
                $('#cbCliente').append('<option value="">Todos...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbCliente').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarProduto2()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-produto-chamado",
        method: 'post',
        data:
        {
           cliente: ''
        },
        beforeSend: function()
        {
            $('#cbProduto').empty();
            $('#cbProduto').append('<option value="">Carregando...</option>');
            $('#cbProduto').prop('disabled',true);
        },
        complete: function()
        {
            //$('#cbProduto').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbProduto').empty();
                $('#cbProduto').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    var produto = item.descricao;
                    if(item.formula!='')
                    {
                        produto = produto + ' - Formula: ' + item.formula;
                    }
                    $('#cbProduto').append('<option value="' + item.id + '">' + produto + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarDestino2()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-destino-chamado",
        method: 'post',
        data:
        {
           cliente: ''
        },
        beforeSend: function()
        {
            $('#cbDestino').empty();
            $('#cbDestino').append('<option value="">Carregando...</option>');
            $('#cbDestino').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbDestino').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbDestino').empty();
                $('#cbDestino').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbDestino').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarTranspConsulta()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-transp-chamado",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbTransp').empty();
            $('#cbTransp').append('<option value="">Carregando...</option>');
            $('#cbTransp').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbTransp').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTransp').empty();
                $('#cbTransp').append('<option value="">Todos...</option>');

                data.consulta.forEach(item =>
                {
                    
                    $('#cbTransp').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function BuscarCliente(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-cliente",
        method: 'post',
        data:
        {
           idcliente: cliente
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtCliente').val(item.nome);
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}




function BuscarMotorista(cpf)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-motorista-cpf",
        method: 'post',
        data:
        {
           cpf: cpf
        },
        beforeSend: function()
        {
            $('#txtNome').val('');
            $('#txtCelular').val('');
            $('#txtCnh').val('');
            $('#txtCategoria').val('');
            $('#hdnMotorista').attr('data',0);

            $('#txtNome').prop('disabled',true);
            //$('#txtCelular').prop('disabled',true);
            $('#txtCnh').prop('disabled',true);
            $('#txtCategoria').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtNome').val(item.nome);
                    $('#txtCelular').val(item.celular);
                    $('#txtCnh').val(item.cnh);
                    $('#txtCategoria').val(item.categoria);
                    $('#hdnMotorista').attr('data',item.id);
                });
            }
            else 
            {
                MensagemBox('alerta','Busca Motorista','Motorista não encontrado!', 2000, 'Ok');
                $('#txtNome').prop('disabled',false);
                //$('#txtCelular').prop('disabled',false);
                $('#txtCnh').prop('disabled',false);
                $('#txtCategoria').prop('disabled',false);

                //MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

$('#txtCpf').keyup(function(event)
{
    var cpf = $('#txtCpf').val();
    var tamanho = cpf.length;

    //console.log('tamanho: ' + tamanho);
    if(tamanho==11)
    {
        BuscarMotorista(cpf)
    }
    else
    {
        LimpaCamposMotorista()
    }
});

function LimpaCamposMotorista()
{
    $('#txtNome').val('');
    $('#txtCelular').val('');
    $('#txtCnh').val('');
    $('#txtCategoria').val('');
    $('#hdnMotorista').attr('data',0);
}


function BuscarVeiculo(placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-veiculo-placa",
        method: 'post',
        data:
        {
           placa: placa
        },
        beforeSend: function()
        {
            $('#txtPlaca_carreta').val('');
            $('#txtMarca').val('');
            $('#txtmodelo').val('');
            $('#hdnVeiculo').attr('data',0);

            //$('#txtPlaca_carreta').prop('disabled',true);
            $('#txtMarca').prop('disabled',true);
            $('#txtModelo').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtPlaca_carreta').val(item.placa_carreta);
                    $('#txtMarca').val(item.marca);
                    $('#txtModelo').val(item.modelo);
                    $('#hdnVeiculo').attr('data',item.id);
                });
            }
            else 
            {
                MensagemBox('alerta','Busca Veículo','Veículo não encontrado!', 2000, 'Ok');
                //$('#txtPlaca_carreta').prop('disabled',false);
                $('#txtMarca').prop('disabled',false);
                $('#txtModelo').prop('disabled',false);
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


$('#txtPlaca').keyup(function(event)
{
    var placa = $('#txtPlaca').val();
    var tamanho = placa.length;

    placa = placa.toUpperCase();
    $('#txtPlaca').val(placa);

    //console.log('tamanho: ' + tamanho);
    if(tamanho==7)
    {
        BuscarVeiculo(placa)
    }
    else
    {
        LimpaCamposVeiculo()
    }
});

function LimpaCamposVeiculo()
{
    $('#txtPlaca_carreta').val('');
    $('#txtMarca').val('');
    $('#txtmodelo').val('');
    $('#hdnVeiculo').attr('data',0);
}


function CalculaTempo(tempo)
{
    if(tempo < 60)
    {
        return  tempo + ' min'
    }
    else
    {
        //return tempo + ' ???'
        if(tempo == 60)
        {
            return '1 h';
        }
        else if(tempo > 60)
        {
            var t = (tempo / 60);
            var horas = Math.trunc(t);
            var fracao = Math.round((t - horas) * 60);
            return horas + 'h ' + fracao + 'min'
        }
    }
}





