var loopChamada = null;
var loopJanela = null;
var loopSoja = null;
$(document).ready(function(){
    //var cliente = '15';      //codigo do cliente selecionado FERTGROW
    
    PesquisaCliente();

   loopJanela = setInterval(function()
                { 
                    window.location.reload();
                },600000);

    loopChamada = setInterval(function()
                { 
                    $("#tbPainel_next").click();
                    
                },100000);

    
});




function linhaNenhumResultado(colunas,texto=null,tag='h6')
{
   return  '<tr>'
         +     '<td colspan="'+ colunas +'" class="text-center"><b>'
         +         '<'+ tag +' style="color: #999999; font-size: 20px"><br/>&nbsp;&nbsp;'+ ((texto != null) ? texto : 'Fila vazia' ) +'</'+ tag +'>'
         +     '</b></td>'
         + '</tr>';
}



function PesquisaCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-painel-fertgrow",
        method: 'post',
        data:
        {
            
        },
        beforeSend: function()
        {
            // $('#tbGlencore tbody tr').remove();

            // ModalAjaxCarregando(true,$("#conteudoPagina"),'Carregando...');
        },
        complete: function()
        {
            $('#tbPainel_paginate').hide();
            // ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {

            if(data.consulta != null && data.consulta.length > 0)
            {
                var posicao = 0;
                
                data.consulta.forEach(item =>
                {
                    posicao = posicao + 1;

                    if(item.chamado=='1')
                    {
                        //#262626 -> antigo fundo   #00cc66  -> antiga fonte
                        linha = '<tr style="background: #ffff00; color: #000; font-size: 30px; font-family: Courier; ">'
                        +      '<td id="'+ item.id +'_posicao"><b>'+ ("000" + posicao).slice(-3) +'</b></td>'
                        +      '<td id="'+ item.id +'_hora"><b>' + item.data + ' ' + item.hora + '</b></td>'
                        +      '<td id="'+ item.id +'_placa"><b>' + item.placa + '</b></td>'
                        +      '<td id="'+ item.id +'_motora"><b>' + item.motorista + '</b></td>'
                        +      '<td id="'+ item.id +'_produto"><b>' + item.produto + '</b></td>'
                        +      '<td id="'+ item.id +'_destino"><b>' + item.destino + '</b></td>'
                        +   '</tr>';
                    }
                    else 
                    {
                        linha = '<tr style="background: #008c4f; color: #ffffff; font-size: 26px; font-family: Courier;">'
                        +      '<td id="'+ item.id +'_posicao"><b>'+ ("000" + posicao).slice(-3) +'</b></td>'
                        +      '<td id="'+ item.id +'_hora"><b>' + item.data + ' ' + item.hora + '&nbsp;</b></td>'
                        +      '<td id="'+ item.id +'_placa"><b>' + item.placa + '&nbsp;</b></td>'
                        +      '<td id="'+ item.id +'_motora"><b>' + item.motorista + '</b></td>'
                        +      '<td id="'+ item.id +'_produto"><b>' + item.produto + '</b></td>'
                        +      '<td id="'+ item.id +'_destino"><b>' + item.destino + '</b></td>'
                        +   '</tr>';
                    }

                    $('#tbPainel tbody').append(linha);

                });
            }
            else
            {
                $('#tbPainel tbody').append(linhaNenhumResultado(6));
            }
            $('#tbPainel').DataTable(
            {
                "iDisplayLength": 12,
                pageLength: $("#hdnQtdRegistros").val(),
                lengthChange: false,
                tabIndex: 0,
                info: false,
                retrieve:true,
                searching: false,
                ordering:  false,
                language: 
                {
                    "sEmptyTable": "Nenhum registro encontrado",
                    "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
                    "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
                    "sInfoFiltered": "(Filtrados de _MAX_ registros)",
                    "sInfoPostFix": "",
                    "sInfoThousands": ".",
                    "sLengthMenu": "_MENU_ resultados por página",
                    "sLoadingRecords": "Carregando...",
                    "sProcessing": "Processando...",
                    "sZeroRecords": "Nenhum registro encontrado",
                    "sSearch": "Pesquisar",
                    "oPaginate": {
                        "sNext": "Próximo",
                        "sPrevious": "Anterior",
                        "sFirst": "Primeiro",
                        "sLast": "Último"
                    },
                    "oAria": {
                        "sSortAscending": ": Ordenar colunas de forma ascendente",
                        "sSortDescending": ": Ordenar colunas de forma descendente"
                    }
                }
            });
        },
        error:function(error)
        {
            // console.log(error);
            // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function PesquisaBr(cod_destino)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-painel",
        method: 'post',
        data:
        {
            destino: cod_destino,
        },
        beforeSend: function()
        {
            // $('#tbGlencore tbody tr').remove();

            // ModalAjaxCarregando(true,$("#conteudoPagina"),'Carregando...');
        },
        complete: function()
        {
            $('#tbBr_paginate').hide();
            // ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {

            if(data.consulta != null && data.consulta.length > 0)
            {
                var posicao = 0;
                
                data.consulta.forEach(item =>
                {
                    posicao = posicao + 1;

                    if(item.chamado=='1')
                    {
                        linha = '<tr style="background: #1a1a1a; color: #00cc66; font-size: 26px; font-family: Courier; ">'
                        +      '<td id="'+ item.id +'_posicao"><b>&nbsp;'+ ("000" + posicao).slice(-3) +'</b></td>'
                        +      '<td id="'+ item.id +'_placa"><b>&nbsp;' + item.placa + '</b></td>'
                        +   '</tr>';
                    }
                    else 
                    {
                        linha = '<tr style="background: #1a1a1a; color: #ffffff; font-size: 26px; font-family: Courier;">'
                        +      '<td id="'+ item.id +'_posicao"><b>&nbsp;'+ ("000" + posicao).slice(-3) +'</b></td>'
                        +      '<td id="'+ item.id +'_placa"><b>&nbsp;' + item.placa + '</b></td>'
                        +   '</tr>';
                    }

                    $('#tbBr tbody').append(linha);

                });
            }
            else
            {
                $('#tbBr tbody').append(linhaNenhumResultado(2));
            }
            $('#tbBr').DataTable(
            {
                "iDisplayLength": 10,
                pageLength: $("#hdnQtdRegistros").val(),
                lengthChange: false,
                tabIndex: 0,
                info: false,
                retrieve:true,
                searching: false,
                ordering:  false,
                language: 
                {
                    "sEmptyTable": "Nenhum registro encontrado",
                    "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
                    "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
                    "sInfoFiltered": "(Filtrados de _MAX_ registros)",
                    "sInfoPostFix": "",
                    "sInfoThousands": ".",
                    "sLengthMenu": "_MENU_ resultados por página",
                    "sLoadingRecords": "Carregando...",
                    "sProcessing": "Processando...",
                    "sZeroRecords": "Nenhum registro encontrado",
                    "sSearch": "Pesquisar",
                    "oPaginate": {
                        "sNext": "Próximo",
                        "sPrevious": "Anterior",
                        "sFirst": "Primeiro",
                        "sLast": "Último"
                    },
                    "oAria": {
                        "sSortAscending": ": Ordenar colunas de forma ascendente",
                        "sSortDescending": ": Ordenar colunas de forma descendente"
                    }
                }
            });
        },
        error:function(error)
        {
            // console.log(error);
            // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function PesquisaIpiranga(cod_destino)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-painel",
        method: 'post',
        data:
        {
            destino: cod_destino,
        },
        beforeSend: function()
        {
            // $('#tbGlencore tbody tr').remove();

            // ModalAjaxCarregando(true,$("#conteudoPagina"),'Carregando...');
        },
        complete: function()
        {
            $('#tbIpiranga_paginate').hide();
            // ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
         

            if(data.consulta != null && data.consulta.length > 0)
            {

                var posicao = 0;
                
                data.consulta.forEach(item =>
                {

                    posicao = posicao + 1;

                    if(item.chamado=='1')
                    {
                        linha = '<tr style="background: #1a1a1a; color: #00cc66; font-size: 26px; font-family: Courier; ">'
                        +      '<td id="'+ item.id +'_posicao"><b>&nbsp;'+ ("000" + posicao).slice(-3) +'</b></td>'
                        +      '<td id="'+ item.id +'_placa"><b>&nbsp;' + item.placa + '</b></td>'
                        +   '</tr>';
                    }
                    else 
                    {
                        linha = '<tr style="background: #1a1a1a; color: #ffffff; font-size: 26px; font-family: Courier;">'
                        +      '<td id="'+ item.id +'_posicao"><b>&nbsp;'+ ("000" + posicao).slice(-3) +'</b></td>'
                        +      '<td id="'+ item.id +'_placa"><b>&nbsp;' + item.placa + '</b></td>'
                        +   '</tr>';
                    }

                    $('#tbIpiranga tbody').append(linha);
                    

                });
            }
            else
            {
                $('#tbIpiranga tbody').append(linhaNenhumResultado(2));
            }
            $('#tbIpiranga').DataTable(
            {
                "iDisplayLength": 14,
                pageLength: $("#hdnQtdRegistros").val(),
                lengthChange: false,
                tabIndex: 0,
                info: false,
                retrieve:true,
                searching: false,
                ordering:  false,
                language: 
                {
                    "sEmptyTable": "Nenhum registro encontrado",
                    "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
                    "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
                    "sInfoFiltered": "(Filtrados de _MAX_ registros)",
                    "sInfoPostFix": "",
                    "sInfoThousands": ".",
                    "sLengthMenu": "_MENU_ resultados por página",
                    "sLoadingRecords": "Carregando...",
                    "sProcessing": "Processando...",
                    "sZeroRecords": "Nenhum registro encontrado",
                    "sSearch": "Pesquisar",
                    "oPaginate": {
                        "sNext": "Próximo",
                        "sPrevious": "Anterior",
                        "sFirst": "Primeiro",
                        "sLast": "Último"
                    },
                    "oAria": {
                        "sSortAscending": ": Ordenar colunas de forma ascendente",
                        "sSortDescending": ": Ordenar colunas de forma descendente"
                    }
                }
            });
        },
        error:function(error)
        {
            // console.log(error);
            // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente-painel",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbClientePesq').empty();
            $('#cbClientePesq').append('<option value="">Carregando...</option>');
            $('#cbClientePesq').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbClientePesq').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbClientePesq').empty();
                $('#cbClientePesq').append('<option value="">Todos...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbClientePesq').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}
