$(document).ready(function()
{
    $('#txtDatarec').attr('data-toggle','datetimepicker');
    $('#txtDatarec').attr('data-target','#txtDatarec');
    $('#txtDatarec').addClass("datetimepicker-input");
    $('#txtDatarec').attr('autocomplete','off'); 
    
    $('#txtDatamov').prop('disabled',true);

    $('#txtDescricao').prop('disabled',true);
    $('#txtDatarec').prop('disabled',true);
    //$('#cbStatus').prop('disabled',true);
    $('#cbPessoa').prop('disabled',true);
    $('#txtDoc').prop('disabled',true);
    $('#txtValor').prop('disabled',true);
    $('#txtJuros').prop('disabled',true);
    $('#txtMulta').prop('disabled',true);
    $('#txtDesconto').prop('disabled',true);
    $('#txtTotal').prop('disabled',true);
    $('#cbExcluido').prop('disabled',true);
    
    //tipo default
    $('#cbStatus').val('3');
 

    //Verifica variáveis da data
    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    //var hoje = dia + '/' + mes + '/' + ano
    var hoje = ("0"+dia).slice(-2) + '/' + ("0"+mes).slice(-2) + '/' + ano;
    var hoje2 = ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    //var status = '3';   //DEBITOS
    var status = $('#cbStatus').val();
    //carregaGraficoBarras(ano, status);

    //console.log('data: ' + hoje );

    //console.log('mês:' + mes);
    //console.log('ano:' + ano);

    //Posiciona mes e ano corrente
    $("#cbMes").val(mes);
    $("#cbAno").val(ano);
    //var palavra = $('#txtBusca').val();

    PesquisarPessoaMov();
    //PesquisarMovimento(ano, mes, '', palavra);
    PesquisarContaFinMov();
    PesquisarCentroCusto();

    //LimparCampos();

});

$(function () 
{
    $('#txtDatarec').datetimepicker(
    {
        format:'D/M/YYYY'
    });
       
});


function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}

$('#btnNovo').click(function()
{
    LimparCampos();
    
    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    //$('#btnExcluir').hide();
});

$('#btnNovoC').click(function()
{
    LimparCampos();
    
});

$('#btnNovoC2').click(function()
{
    LimparCampos();
    
});

$('#cbStatus').change(function()
{
    var tipo = $('#cbStatus').val();
    if(tipo=='1' || tipo=='2')
    {
        tipo = 'R';
    }
    else if(tipo=='3' || tipo=='4')
    {
        tipo = 'D';
    }
    PesquisarContaCusto(tipo, '');
});


$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnVoltar2').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var ano = $('#cbAno').val();
    var ok = '1';
    var status = $('#cbStatus').val();

    //console.log('ano: ' + ano + ' status: ' + status);

    if(status=='')
    {
        MensagemBox( 'erro','','Tipo inválido!', 2000, 'Ok');
        ok = '0';
    }
    if(ano=='')
    {
        MensagemBox( 'erro','','Ano inválido!', 2000, 'Ok');
        ok='0';
    }
    if(ok=='1')
    {
        carregaGraficoBarras(ano, status);
    }
});

$('#btnSalvar').click(function()
{
    SalvarDados();
});

$('#btnSalvar2').click(function()
{
    SalvarDados();
});

function SalvarDados()
{
    //corrige formatação da data
    $('#hdnDatarec').attr('data',FormataStringData($('#txtDatarec').val()));

    //Verifica variáveis da data
    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();

    //var hoje = dia + '/' + mes + '/' + ano
    var hoje = ("0"+dia).slice(-2) + '/' + ("0"+mes).slice(-2) + '/' + ano;
    var hoje2 = ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);

    //$('#txtDatarec').val(hoje);
    //$('#hdnDatarec').attr('data',hoje2);

    $('#txtDatarec').val(hoje);
    //$('#hdnDatamov').attr('data',hoje2);

    $('#hdnDatarec').attr('data',hoje2);

    var grava       = 1;
    var idmov       = $('#hdnId').attr('data');
    //var descricao   = $('#txtDescricao').val();
    //var datamov     = $('#hdnDatamov').attr('data');
    var datarec     = $('#hdnDatarec').attr('data');
    var status      = $('#cbStatus').val();
    var contafin    = $('#cbContafin').val();
    var contacusto  = $('#cbConta').val();
    var centrocusto = $('#cbCCusto').val();
    //var doc         = $('#txtDoc').val();
    //var valor       = $('#txtValor').val();
    //var juros       = $('#txtJuros').val();
    //var desconto    = $('#txtDesconto').val();
    //var multa       = $('#txtMulta').val();
    //var total       = $('#txtTotal').val();
    var forma       = $('#cbForma').val();
    //var pessoa      = $('#cbPessoa').val();
    var obs         = $('#txtObs').val();
    //var excluido = document.getElementById("cbExcluido").checked;

   /*  if(excluido==true)
    {
        excluido='1';
    }
    else 
    {
        excluido='0';
    } */
    //console.log('id: ' + idtipo);

    /* if(descricao=='')
    {
        MensagemBox( 'erro','','Descrição inválida!', 2000, 'Ok');
        grava = 0;
    } */
    /* if(datarec=='')
    {
        MensagemBox( 'erro','','Data Pag/Rec inválida!', 2000, 'Ok');
        grava = 0;
    } */
    /* if(status=='')
    {
        MensagemBox( 'erro','','Status inválido!', 2000, 'Ok');
        grava = 0;
    } */
    if(contacusto=='')
    {
        MensagemBox( 'erro','','Conta Custo inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(centrocusto=='')
    {
        MensagemBox( 'erro','','Centro de Custo inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(contafin=='')
    {
        MensagemBox( 'erro','','Conta Financeira inválida!', 2000, 'Ok');
        grava = 0;
    }
    /* if(valor=='')
    {
        MensagemBox( 'erro','','Valor inválido!', 2000, 'Ok');
        grava = 0;
    } */
    if(forma=='')
    {
        MensagemBox( 'erro','','Forma Pgto inválido!', 2000, 'Ok');
        grava = 0;
    }
    /* if(pessoa=='' || pessoa=='null')
    {
        MensagemBox( 'erro','','Cliente/Fornecedor inválido!', 2000, 'Ok');
        grava = 0;
    } */
    
    //console.log('id: ' + idmov + ' desc: ' +  descricao + ' data mov: ' +  datamov + ' data rec: ' +  datarec + ' status: ' +  status + ' conta fin: ' +  contafin + ' doc: ' +  doc + ' valor: ' +  valor + ' juros: ' +  juros + ' desconto: ' +  desconto + ' multa: ' +  multa + ' total: ' +  total + ' forma: ' +  forma + ' pessoa: ' +  pessoa + ' obs: ' +  obs + ' excluido: ' +  excluido + ' conta custo: ' + contacusto + ' centro custo: ' + centrocusto);
    
    if(grava==1)
    {
        SalvarMovimento(idmov,  datarec, status, contafin, forma, obs, contacusto, centrocusto);
        //$('#cadastro').hide();
        //$('#lista').show();
    }
    
}

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirMovimento(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

$("#tbMov tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    //$('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");
    var idcontacusto = $("#" + id + "_contacusto").attr('data');
    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));
    $('#txtDatamov').val($("#" + id + "_datamov").attr('data'));
    $('#txtDatarec').val($("#" + id + "_datarec").attr('data'));
    $('#cbStatus').val($("#" + id + "_status").attr('data'));
    $('#cbContafin').val($("#" + id + "_contafin").attr('data'));
    $('#txtDoc').val($("#" + id + "_doc").attr('data'));
    $('#txtValor').val($("#" + id + "_valor").attr('data'));
    $('#txtJuros').val($("#" + id + "_juros").attr('data'));
    $('#txtDesconto').val($("#" + id + "_desconto").attr('data'));
    $('#txtMulta').val($("#" + id + "_multa").attr('data'));
    $('#txtTotal').val($("#" + id + "_total").attr('data'));
    $('#cbForma').val($("#" + id + "_formapgto").attr('data'));
    $('#cbPessoa').val($("#" + id + "_pessoa").attr('data'));
    $('#txtObs').val($("#" + id + "_obs").attr('data'));
    $('#cbCCusto').val($("#" + id + "_centrocusto").attr('data'));

    $('#cbExcluido').prop('checked',($('#' + id + '_excluido').attr('data') == '1'));

    var tipo = $("#" + id + "_status").attr('data');
    var status = tipo;

    if(tipo=='2')
    {
        tipo = 'R';
    }
    else if(tipo=='4')
    {
        tipo = 'D';
    }

    if(status=='2')
    {
        $('#cbStatus').val('1');
    }
    else if(status=='4')
    {
        $('#cbStatus').val('3');
    } 


    PesquisarContaCusto(tipo, idcontacusto);


});

function LimparCampos()
{
    //Verifica variáveis da data
    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    //var hoje = dia + '/' + mes + '/' + ano
    var hoje = ("0"+dia).slice(-2) + '/' + ("0"+mes).slice(-2) + '/' + ano;
    var hoje2 = ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);

    //console.log('data: ' + hoje + '  ' + hoje2);

    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');  
    $('#cbExcluido').prop('checked', 0);

    $('#txtDescricao').val('');
    $('#txtDatamov').val(hoje);
    $('#hdnDatamov').attr('data',hoje2);
    $('#txtDatarec').val('');
    $('#cbStatus').val('');
    $('#cbContafin').val('');
    $('#txtDoc').val('');
    $('#txtValor').val('');
    $('#txtJuros').val('');
    $('#txtDesconto').val('');
    $('#txtMulta').val('');
    $('#txtTotal').val('');
    $('#cbForma').val('');
    $('#cbPessoa').val('');
    $('#txtObs').val('');
    $('#cbCCusto').val('');

    PesquisarContaCusto('X');

}

//ajax-pesquisa-grafico1

function PesquisarMovimento(ano, mes, status, palavra)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-sumariocusto",
        method: 'post',
        data:
        {
            ano:        ano, 
            mes:        mes, 
            status:     status, 
            palavra:    palavra
        },
        beforeSend: function()
        {
            $('#tbMov tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
            //console.log(data);

            if(data.consulta.length > 0)
            {
                
                var texto = '';
                var doc = '';
                var ttotal = 0;
                //var tsaida = 0;
                //var entrada='';
                //var saida='';
                var total = 0;

                data.consulta.forEach(item =>
                {
                    var pessoa = item.pessoa;
                    var tipopessoa = item.tipopessoa;
                    doc = item.doc;
                    
                    //console.log('doc: ' + doc);

                    if(doc!='')
                    {
                        doc =  doc + ' - ';
                    }

                    pessoa = ' - <i class="fas fa-user-tie fa-lg"></i> ' + pessoa;


                    if(tipopessoa=='F')
                    {
                        pessoa = pessoa + ' (FORNECEDOR)';
                    }

                    //console.log('pessoa: ' + pessoa + ' tipo: ' + tipopessoa);

                    var status = '';
                    if(item.statusm=='2')      //a receber
                    {
                        status = '<span class="badge badge-info estilobag">A RECEBER</span>';
                    }
                    else if(item.statusm=='4')      //a pagar
                    {
                        status = '<span class="badge badge-warning">A PAGAR</span>';
                    }

                    if(item.excluido=='1')
                    {
                        texto = '<i class="fas fa-comment-dollar fa-lg" style="color: #ff0000;"></i><del><b> ' + item.datarec + ' - R$ ' + item.total + ' ' + pessoa + '</b><br>' + status + ' - ' + doc + item.conta + '</del>' ;
                    }
                    else 
                    {
                        if(item.tipo=='D')
                        {
                            texto = '<i class="fas fa-comment-dollar fa-2x" style="color: #ff8080"></i><b> ' + item.conta + ' - ' + item.subconta;    
                        }
                        else 
                        {
                            texto = '<i class="fas fa-comment-dollar fa-2x" style="color: #00e64d"></i><b> ' + item.conta + ' - ' + item.subconta;    
                        }
                        //texto = '<i class="fas fa-comment-dollar fa-2x"></i><b> ' + item.datarec + ' - R$ ' + item.total + ' ' + pessoa + '</b><br>' + status + ' - ' + item.descricao;
                    }

                    total = item.total;
                    //if(item.tipo=='D')
                    //{
                        //saida = total;
                        //saida = numberToReal(saida);
                        //saida = saida.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'});
                        //entrada = '';
                        ttotal = ttotal + parseFloat(total);
                        //console.log('formatado: ' + saida.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'}));
                    //}
                    //else
                    //{
                        //saida = '';
                        //entrada = total;
                        //entrada = numberToReal(entrada);
                        //tentrada = tentrada + parseFloat(total);
                    //}

/*                     $sql = "SELECT  CONTAC_tipo as tipo, 
                    CONTAC_descricao as conta, 
                    SUM(MOV_valor_total) as total
                    FROM    NUTRI_movimento, NUTRI_conta_custo
                    WHERE   MOV_FK_CONTAC_id=CONTAC_id "; */

                    var linha = '<tr>'
                            +      '<td style="font-size: 11pt;">' + texto + '</td>'
                            +      '<td style="font-size: 11pt; text-align: right;">' + total + '</td>'
                            
                            +   '</tr>';

                        $('#tbMov tbody').append(linha);
                });

/*                 var linha2 = '<tr>'
                            +      '<td  style="font-size: 11pt;"><i class="fas fa-calculator fa-lg"></i><b> TOTAL</b></td>'
                            +      '<td  style="font-size: 11pt; text-align: right;"><b>' + ttotal.toFixed(2) + '</b></td>'
                            +   '</tr>';

                        $('#tbMov tbody').append(linha2); */
            }
            else
            {
                $('#tbMov tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarMovimento(idmov,  datarec, status, contafin, forma, obs, contacusto, centrocusto)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-baixa",
        method: 'post',
        data:
        {
            idmov: idmov,  
            datarec: datarec, 
            status: status, 
            contafin: contafin, 
            forma: forma, 
            obs: obs, 
            contacusto: contacusto, 
            centrocusto: centrocusto
        },
        beforeSend: function()
        {
            $('#btnSalvar').prop('disabled',true);
            $('#btnSalvar2').prop('disabled',true);
        },
        complete: function()
        {
            $('#btnSalvar').prop('disabled',false);
            $('#btnSalvar2').prop('disabled',false);
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados baixados com sucesso!', 2000, 'Ok');
            
            var ano = $('#cbAno').val();
            var mes = $('#cbMes').val();
            var status = $('#cbStatusPesq').val();
            var palavra = $('#txtBusca').val();
            if(ano=='')
            {
                MensagemBox( 'erro','','Ano inválido!', 2000, 'Ok');
            }
            else
            {
                PesquisarMovimento(ano, mes, status, palavra);
            }
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirMovimento(idprof, unidade)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-servico",
        method: 'post',
        data:
        {
            id: idprof
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            PesquisarServico(unidade);

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}


function PesquisarContaFinMov()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-carrega-conta-mov",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbContafin').empty();
            $('#cbContafin').append('<option value="">Carregando...</option>');
            $('#cbContafin').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbContafin').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbContafin').empty();
                $('#cbContafin').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbContafin').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}



function PesquisarPessoaMov()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-carrega-pessoa-mov",
        method: 'post',
        data:
        {
           pessoa: ''      //Pessoa física e jurídica
        },
        beforeSend: function()
        {
            $('#cbPessoa').empty();
            $('#cbPessoa').append('<option value="">Carregando...</option>');
            $('#cbPessoa').prop('disabled',true);
        },
        complete: function()
        {
            //$('#cbPessoa').prop('disabled',false);
        },
        success: function(data)
        {
            
            if(data.consulta.length > 0)
            {
                $('#cbPessoa').empty();
                $('#cbPessoa').append('<option value="">Selecione...</option>');
                var pessoa = '';
                console.log(data);
                data.consulta.forEach(item =>
                {
                    if(item.tipo=='F')
                    {
                        pessoa = '(FORNEC.) ';
                    }
                    else 
                    {
                        pessoa = '';
                    }
                    $('#cbPessoa').append('<option value="' + item.id + '">' + pessoa  +  item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function calcula()
{
 //document.getElementById("status").innerHTML="UP";
    var valor = $('#txtValor').val();
    var juros = $('#txtJuros').val();
    var multa = $('#txtMulta').val();
    var desconto = $('#txtDesconto').val();
    var total = $('#txtTotal').val();
    if(valor==''){valor='0';}
    if(juros==''){juros='0';}
    if(multa==''){multa='0';}
    if(desconto==''){desconto='0';}
    if(total==''){total='0';}
    var valorn = valor.replace(',','.');
    var jurosn = juros.replace(',','.');
    var multan = multa.replace(',','.');
    var desconton = desconto.replace(',','.');

    //let result = text.replace("Microsoft", "W3Schools");
    
        
    $('#txtTotal').val(parseFloat(valorn) + parseFloat(jurosn) + parseFloat(multan) - parseFloat(desconton));
}

/* 
$('#txtDescricao').keyup(function(event)
{
    var texto = $('#txtDescricao').val();

    texto = texto.toUpperCase();
    $('#txtDescricao').val(texto);

}); */


function PesquisarCentroCusto()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-carrega-centro-custo",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbCCusto').empty();
            $('#cbCCusto').append('<option value="">Carregando...</option>');
            $('#cbCCusto').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbCCusto').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbCCusto').empty();
                $('#cbCCusto').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbCCusto').append('<option value="' + item.id + '">' + item.grupo + ' - ' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function PesquisarContaCusto(tipo, idcontacusto)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-carrega-conta-custo",
        method: 'post',
        data:
        {
           tipo: tipo
        },
        beforeSend: function()
        {
            $('#cbConta').empty();
            $('#cbConta').append('<option value="">Carregando...</option>');
            $('#cbConta').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbConta').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbConta').empty();
                $('#cbConta').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbConta').append('<option value="' + item.id + '">' + item.conta + ' - ' + item.subconta + '</option>');
                });

                if(idcontacusto!='')
                {
                    $('#cbConta').val(idcontacusto);
                }
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

/* function numberToReal(numero) {
    //var numero = numero.toFixed(2).split('.');
    numero[0] = "R$ " + numero[0].split(/(?=(?:...)*$)/).join('.');
    return numero.join(',');
} */



function carregaGraficoBarras(ano, status)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-grafico1",
        method: 'post',
        data:
        {
            ano:        ano,
            status:     status
        },
        success: function(data)
        {
            //ConstroiChartsMes(data.consulta);
            //console.log(data.consulta);
            data.consulta.forEach(item =>
                {
                    var jan = item.janeiro;
                    var fev = item.fevereiro;
                    var mar = item.marco;
                    var abr = item.abril;
                    var mai = item.maio;
                    var jun = item.junho;
                    var jul = item.julho;
                    var ago = item.agosto;
                    var sep = item.setembro;
                    var oct = item.outubro;
                    var nov = item.novembro;
                    var dez = item.dezembro;
                    
                    //console.log('dados: ' +  jan + ' ' + fev + ' ' + mar + ' ' + abr + ' ' + mai + ' ' + jun + ' ' + jul + ' ' + ago + ' ' + sep + ' ' + oct + ' ' + nov + ' ' + dez);
                    var sta = '';
                    var cor = '';
                    if(status=='3')
                    {
                        sta = 'Total Despesas';
                        cor = "#ff0000";
                    }
                    else 
                    {
                        sta = 'Total Receitas';
                        cor = "#009900";
                    }
                    //Passa os parâmetros para construir o gráfico
                    drawChart(ano, jan, fev, mar, abr, mai, jun, jul, ago, sep, oct, nov, dez, sta, cor);
                });
        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


var chart;
$(function () {
    drawChart('');
})

function drawChart(titleJava, v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11, v12, sta, cor) {
    chart = new Highcharts.Chart({
        chart: {
            zoomType: 'xy',
            renderTo: 'chartContainer',
            plotBorderColor: '#ebebe0',
            backgroundColor: 'transparent',
            plotBorderWidth: 1
        },
        title: {
            text: titleJava
        },
        credits: {
            enabled: false
        },
        xAxis: {
            //type: 'categories'
            categories: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez']
        },
        plotOptions: {
            series: {
                grouping: false

            }
        },
        yAxis: { // Primary yAxis
            labels: {
                format: '{value}',
                style: {
                    color: Highcharts.getOptions().colors[1]
                }
            },
            title: {
                text: 'Total em R$',
                style: {
                    color: Highcharts.getOptions().colors[1]
                }
            }
        },
        tooltip: {
            shared: false
        },
        options3d: {
            enabled: true
        },
        series: [{
            "data": [
            {
                "name": "Jan",
                "color": cor,
                    "y": JSON.parse(v1)
            }, 
            {
                "name": "Fev",
                "color": cor,
                    "y": JSON.parse(v2)
            }, 
            {

                "name": "Mar",
                "color": cor,
                    "y": JSON.parse(v3)
            },
            {
                "name": "Abr",
                "color": cor,
                    "y": JSON.parse(v4)
            },
            {
                "name": "Mai",
                "color": cor,
                    "y": JSON.parse(v5)
            },
            {
                "name": "Jun",
                "color": cor,
                    "y": JSON.parse(v6)
            },
            {
                "name": "Jul",
                "color": cor,
                    "y": JSON.parse(v7)
            },
            {
                "name": "Ago",
                "color": cor,
                    "y": JSON.parse(v8)
            },
            {
                "name": "Set",
                "color": cor,
                    "y": JSON.parse(v9)
            },
            {
                "name": "Out",
                "color": cor,
                    "y": JSON.parse(v10)
            },
            {
                "name": "Nov",
                "color": cor,
                    "y": JSON.parse(v11)
            },
            {
                "name": "Dez",
                "color": cor,
                    "y": JSON.parse(v12)
            }
        
            ],
                "name": sta,
                "color": cor,
                "type": "column"
        }]
    });
}

function categories() {
    chart.xAxis[0].setCategories(['One', 'Two', 'Three']);
}

function clearChart() {
    alert(chart.series.length);
    while (chart.series.length > 0)
    chart.series[0].remove(true);
}
