$(document).ready(function()
{
    $('#txtPesoReal').prop('disabled',true);
    
    $('#txtData').attr('data-toggle','datetimepicker');
    $('#txtData').attr('data-target','#txtData');
    $('#txtData').addClass("datetimepicker-input");
    $('#txtData').attr('autocomplete','off'); 

    ListarCliente();
    ListarProduto();
    ListarOrigem();
    ListarDestino();
    PesquisarDestino();
    LimparCampos();

});

function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}


$(function () 
{
    $('#txtData').datetimepicker(
    {
        format:'D/M/YYYY'
    });
       
});

$('#btnNovo').click(function()
{
    //var cliente = $('#cbClientePesq').val();
    //if(cliente=='' || cliente=='0')
    //{
    //    MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    //}
    //else 
    //{
        LimparCampos();
    
        $('#cadastro').show();
        $('#lista').hide();
        $('#filtro').hide();
        $('#btnExcluir').hide();
    //}
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

/* $('#cbClientePesq').change(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        PesquisarDestino(cliente);
    }
}); */

$('#btnPesquisar').click(function()
{
/*     var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        PesquisarDestino();
    } */
    PesquisarDestino();
});

$('#btnSalvar').click(function()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));


    var grava       = 1;
    var id   = $('#hdnId').attr('data');
    var descricao   = $('#txtDescricao').val();
    var data         = $('#hdnData').attr('data');
    var pesoe = $('#txtPesoEstimado').val();
    var pesor = $('#txtPesoReal').val();
    var origem = $('#cbOrigem').val();
    var destino = $('#cbDestino').val();
    var status = $('#cbStatus').val();
    var produto = $('#cbProduto').val();
    var cliente = $('#cbCliente').val();

        
    if(descricao=='')
    {
        MensagemBox( 'erro','','Nome do destino inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(data=='')
    {
        MensagemBox( 'erro','','Data inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(pesoe=='')
    {
        MensagemBox( 'erro','','Peso estimado inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(origem=='')
    {
        MensagemBox( 'erro','','Origem inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(destino=='')
    {
        MensagemBox( 'erro','','Destino inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(status=='')
    {
        MensagemBox( 'erro','','Status inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(produto=='')
    {
        MensagemBox( 'erro','','Produto inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(cliente=='')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
        grava = 0;
    }

    if(grava==1)
    {
        console.log('id: ' + id + ' descricao: ' + descricao + ' data: ' + data + ' peso estim: ' + pesoe + ' peso real: ' + pesor + ' origem: ' + origem + ' destino: ' + destino + ' status: ' + status + ' produto: '  + produto + ' cliente: ' + cliente);
        
        SalvarDestino(id, descricao, data, pesoe, pesor, origem, destino, status, produto, cliente);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

$("#tbDestino tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));
    $('#txtData').val($("#" + id + "_datao").attr('data'));
    $('#txtPesoEstimado').val($("#" + id + "_pesoe").attr('data'));
    $('#txtPesoReal').val($("#" + id + "_pesor").attr('data'));
    $('#cbOrigem').val($("#" + id + "_origem").attr('data'));
    $('#cbDestino').val($("#" + id + "_destino").attr('data'));
    $('#cbStatus').val($("#" + id + "_status").attr('data'));
    $('#cbProduto').val($("#" + id + "_produto").attr('data'));
    $('#cbCliente').val($("#" + id + "_cliente").attr('data'));
    
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
    
   
});

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtDescricao').val('');
    $('#txtData').val('');
    $('#txtPesoEstimado').val('');
    $('#txtPesoReal').val('');
    $('#cbOrigem').val('');
    $('#cbDestino').val('');
    $('#cbStatus').val('');
    $('#cbProduto').val('');
    $('#cbCliente').val('');
}

function PesquisarDestino()
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-moperacao",
        method: 'post',
        data:
        {
            //cliente: cliente 
        },
        beforeSend: function()
        {
            $('#tbDestino tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-sign-out-alt"></i>&nbsp;';
                
                data.consulta.forEach(item =>
                {
                                        
                    var icodestino = '<i class="fas fa-map-marker-alt fa-lg"></i>&nbsp;';
                    var ativo = ' style="font-color: #000;"';
                    var nome = item.descricao;
                    var status = item.status;
                    if(status=='AG')
                    {
                        status = '<span class="badge badge-info estilobag">AGUARDANDO</span>';
                    }
                    else if(status=='OP')
                    {
                        status = '<span class="badge badge-success estilobag">EM OPERAÇÃO</span>';
                    }
                    else if(status=='FN')
                    {
                        status = '<span class="badge badge-secondary">FINALIZADO</span>';
                    }
                    else if(status=='CA')
                    {
                        status = '<span class="badge badge-danger estilobag">CANCELADA</span>';
                    }

                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.descricao + '" style="font-size: 12pt;">' + icodestino + '<b>' + nome  + '</b><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cliente: <b>' + item.cliente + '</b> - Produto: <b>' + item.produto + '</b> - Origem: <b>' + item.origem + '</b> - Destino: <b>' + item.destino + '</b> - Status: <b>' +  status + '</b></td>'
                            +       '<input type="hidden" id="'+ item.id +'_cliente" data="'+ item.idcliente +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_produto" data="'+ item.idproduto +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_origem" data="'+ item.idorigem +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_destino" data="'+ item.iddestino +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_pesoe" data="'+ item.peso_estimado +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_pesor" data="'+ item.peso_real  +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_status" data="'+ item.status +'"/>'
                            
                            //+       '<input type="hidden" id="'+ item.id +'_titulo" data="'+ item.titulo +'"/>'
                           
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbDestino tbody').append(linha);
                });
            }
            else
            {
                $('#tbDestino tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarDestino(id, descricao, data, pesoe, pesor, origem, destino, status, produto, cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-moperacao",
        method: 'post',
        data:
        {
            id: id, 
            descricao: descricao, 
            data: data, 
            pesoe: pesoe, 
            pesor: pesor, 
            origem: origem, 
            destino: destino, 
            status: status, 
            produto: produto, 
            cliente: cliente
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            //var cliente = $('#cbClientePesq').val();
            PesquisarDestino();
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirServico(idprof, unidade)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-servico",
        method: 'post',
        data:
        {
            id: idprof
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            PesquisarServico(unidade);

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}


function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-mcliente",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbCliente').empty();
            $('#cbCliente').append('<option value="">Carregando...</option>');
            $('#cbCliente').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbCliente').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbCliente').empty();
                $('#cbCliente').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbCliente').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarProduto()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-mproduto",
        method: 'post',
        data:
        {
           minerio: '1'
        },
        beforeSend: function()
        {
            $('#cbProduto').empty();
            $('#cbProduto').append('<option value="">Carregando...</option>');
            $('#cbProduto').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbProduto').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbProduto').empty();
                $('#cbProduto').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    var produto = item.descricao;
                    
                    $('#cbProduto').append('<option value="' + item.id + '">' + produto + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarDestino()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-mdestino",
        method: 'post',
        data:
        {
           //cliente: cliente
        },
        beforeSend: function()
        {
            $('#cbDestino').empty();
            $('#cbDestino').append('<option value="">Carregando...</option>');
            $('#cbDestino').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbDestino').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbDestino').empty();
                $('#cbDestino').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbDestino').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function ListarOrigem()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-morigem",
        method: 'post',
        data:
        {
           //cliente: cliente
        },
        beforeSend: function()
        {
            $('#cbOrigem').empty();
            $('#cbOrigem').append('<option value="">Carregando...</option>');
            $('#cbOrigem').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbOrigem').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbOrigem').empty();
                $('#cbOrigem').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbOrigem').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}







