$(document).ready(function()
{

    //ListarCliente();
    PesquisarDestino();
    LimparCampos();

});

$('#btnNovo').click(function()
{
    //var cliente = $('#cbClientePesq').val();
    //if(cliente=='' || cliente=='0')
    //{
    //    MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    //}
    //else 
    //{
        LimparCampos();
    
        $('#cadastro').show();
        $('#lista').hide();
        $('#filtro').hide();
        $('#btnExcluir').hide();
    //}
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

/* $('#cbClientePesq').change(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        PesquisarDestino(cliente);
    }
}); */

$('#btnPesquisar').click(function()
{
/*     var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        PesquisarDestino();
    } */
    PesquisarDestino();
});

$('#btnSalvar').click(function()
{
    var grava       = 1;
    var iddestino   = $('#hdnId').attr('data');
    var descricao   = $('#txtDescricao').val();
    var peso        = $('#txtPeso').val();
        
    if(descricao=='')
    {
        MensagemBox( 'erro','','Nome do destino inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(grava==1)
    {
        SalvarDestino(iddestino, descricao, peso);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

$("#tbDestino tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));
    $('#txtPeso').val($("#" + id + "_peso").attr('data'));
    
   
});

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtDescricao').val('');   
    $('#txtPeso').val('');   
    $('#txtCodigo').val('');   
}

function PesquisarDestino()
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-mtipo",
        method: 'post',
        data:
        {
            
        },
        beforeSend: function()
        {
            $('#tbDestino tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-snowplow"></i>&nbsp;';
                
                data.consulta.forEach(item =>
                {
                                        
                    var icodestino = '<i class="fas fa-snowplow fa-lg"></i>&nbsp;';
                    var nome = item.descricao;
                    var peso = item.peso;
                    
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.descricao + '" style="font-size: 12pt;">' + icodestino + '  <b>' + nome  + '</b> - Peso Estimado: <b>' + peso + ' Kg</b></td>'
                            +      '<input type="hidden" id="'+ item.id +'_peso" data="'+ item.peso +'"/>'
                           
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbDestino tbody').append(linha);
                });
            }
            else
            {
                $('#tbDestino tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarDestino(iddestino, descricao, peso)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-mtipo",
        method: 'post',
        data:
        {
            id:         iddestino, 
            descricao:  descricao,
            peso:       peso
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            //var cliente = $('#cbClientePesq').val();
            PesquisarDestino();
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirServico(idprof, unidade)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-servico",
        method: 'post',
        data:
        {
            id: idprof
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            PesquisarServico(unidade);

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}


/* function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbClientePesq').empty();
            $('#cbClientePesq').append('<option value="">Carregando...</option>');
            $('#cbClientePesq').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbClientePesq').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbClientePesq').empty();
                $('#cbClientePesq').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbClientePesq').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

} */




