$(document).ready(function()
{
    $('#txtOperacao').prop('disabled',true);
    $('#cbProduto').prop('disabled',true);
    $('#txtPesoEstimado').prop('disabled',true);
    
    $('#txtData').attr('data-toggle','datetimepicker');
    $('#txtData').attr('data-target','#txtData');
    $('#txtData').addClass("datetimepicker-input");
    $('#txtData').attr('autocomplete','off'); 

    ListarOperacao();
    ListarProduto();
    ListarTransp();
    //ListarDestino();
    //PesquisarDestino();
    LimparCampos();

});

function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}


$(function () 
{
    $('#txtData').datetimepicker(
    {
        format:'D/M/YYYY'
    });
       
});

$('#btnNovo').click(function()
{
    //var cliente = $('#cbClientePesq').val();
    //if(cliente=='' || cliente=='0')
    //{
    //    MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    //}
    //else 
    //{
        LimparCampos();
    
        $('#cadastro').show();
        $('#lista').hide();
        $('#filtro').hide();
        $('#btnExcluir').hide();
    //}
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#cbTransp').change(function()
{
    var transp = $('#cbTransp').val();
    if(transp=='' || transp=='0')
    {
        MensagemBox( 'erro','','Transportador inválido!', 2000, 'Ok');
    }
    else 
    {
        ListarVeiculo(transp);
    }
}); 

$('#btnPesquisar').click(function()
{
    var operacao = $('#cbOperacao').val();
    if(operacao=='' || operacao=='0')
    {
        MensagemBox( 'erro','','Operação inválida!', 2000, 'Ok');
    }
    else 
    {
        PesquisarDestino(operacao);
    }
});

$('#btnSalvar').click(function()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava       = 1;
    var id   = $('#hdnId').attr('data');
    var operacao = $('#cbOperacao').val();
    var lote = $('#txtLote').val();
    var data = $('#hdnData').attr('data');
    var hora = $('#txtHora').val();
    var qtde = $('#txtQtde').val();
    var transp = $('#cbTransp').val();
    var veiculo = $('#cbVeiculo').val();
    var motora = $('#cbMotora').val();
    var produto = $('#cbProduto').val();
    var tipo = $('#cbTipo').val();
    var pesoe = $('#txtPesoEst').val(); 
    var status = 'ET';

    if(operacao=='')
    {
        MensagemBox( 'erro','','Operação inválida!', 2000, 'Ok');
        grava = 0;
    }    
    if(lote=='')
    {
        MensagemBox( 'erro','','Lote inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(data=='')
    {
        MensagemBox( 'erro','','Data inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(hora=='')
    {
        MensagemBox( 'erro','','Hora inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(pesoe=='')
    {
        MensagemBox( 'erro','','Peso estimado inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(qtde=='')
    {
        MensagemBox( 'erro','','Qtde inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(transp=='')
    {
        MensagemBox( 'erro','','Transportador inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(veiculo=='')
    {
        MensagemBox( 'erro','','Veículo inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(produto=='')
    {
        MensagemBox( 'erro','','Produto inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(motora=='')
    {
        MensagemBox( 'erro','','Motorista inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(tipo=='')
    {
        MensagemBox( 'erro','','Tipo inválido!', 2000, 'Ok');
        grava = 0;
    }

    if(grava==1)
    {
        //console.log('id: ' + id + ' descricao: ' + descricao + ' data: ' + data + ' peso estim: ' + pesoe + ' peso real: ' + pesor + ' origem: ' + origem + ' destino: ' + destino + ' status: ' + status + ' produto: '  + produto + ' cliente: ' + cliente);
        
        SalvarDestino(id, lote, data, hora, qtde, transp, veiculo, motora, produto, tipo, pesoe, status, operacao);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

$("#tbDestino tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));
    $('#txtData').val($("#" + id + "_datao").attr('data'));
    $('#txtPesoEstimado').val($("#" + id + "_pesoe").attr('data'));
    $('#txtPesoReal').val($("#" + id + "_pesor").attr('data'));
    $('#cbOrigem').val($("#" + id + "_origem").attr('data'));
    $('#cbDestino').val($("#" + id + "_destino").attr('data'));
    $('#cbStatus').val($("#" + id + "_status").attr('data'));
    $('#cbProduto').val($("#" + id + "_produto").attr('data'));
    $('#cbCliente').val($("#" + id + "_cliente").attr('data'));
    
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
    
   
});

function LimparCampos()
{
    $('#hdnId').attr('data','0');
    $('#txtLote').val('');
    $('#txtData').val('');
    $('#txtHora').val('');
    $('#txtQtde').val('');
    $('#cbTransp').val('');
    $('#cbVeiculo').val('');
    $('#cbMotora').val('');
    $('#cbProduto').val('');
    $('#cbTipo').val('');
    $('#txtPesoEst').val('');
}

function PesquisarDestino(operacao)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-msaida",
        method: 'post',
        data:
        {
            operacao: operacao 
        },
        beforeSend: function()
        {
            $('#tbDestino tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-sign-out-alt"></i>&nbsp;';
                
                data.consulta.forEach(item =>
                {
                                        
                    var icodestino = '<i class="fas fa-truck fa-lg"></i>&nbsp;';
                    //var ativo = ' style="font-color: #000;"';
                    var placa = item.placa;
                    var status = item.status;
                    if(status=='ET')
                    {
                        status = '<span class="badge badge-info estilobag">EM TRÂNSITO</span>';
                    }
                    else if(status=='FN')
                    {
                        status = '<span class="badge badge-success estilobag">FINALIZADO</span>';
                    }
                    else if(status=='CA')
                    {
                        status = '<span class="badge badge-danger estilobag">CANCELADO</span>';
                    }

                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_placa" data="' + item.placa + '" style="font-size: 12pt;">' + icodestino + '<b>' + placa  + '</b><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Data Saída Mina: <b>' + item.data + ' ' + '</b> - Produto: <b>' + item.produto + '</b> - Qtde Conchas: <b>' + item.qtde + '</b> - Peso Estimado: <b>' + item.pesoe + '</b> - Status: <b>' +  status + '</b></td>'
                            //+       '<input type="hidden" id="'+ item.id +'_cliente" data="'+ item.idcliente +'"/>'
                            //+       '<input type="hidden" id="'+ item.id +'_produto" data="'+ item.idproduto +'"/>'
                            //+       '<input type="hidden" id="'+ item.id +'_origem" data="'+ item.idorigem +'"/>'
                            //+       '<input type="hidden" id="'+ item.id +'_destino" data="'+ item.iddestino +'"/>'
                            //+       '<input type="hidden" id="'+ item.id +'_pesoe" data="'+ item.peso_estimado +'"/>'
                            //+       '<input type="hidden" id="'+ item.id +'_pesor" data="'+ item.peso_real  +'"/>'
                            //+       '<input type="hidden" id="'+ item.id +'_status" data="'+ item.status +'"/>'
                            
                            //+       '<input type="hidden" id="'+ item.id +'_titulo" data="'+ item.titulo +'"/>'
                           
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbDestino tbody').append(linha);
                });
            }
            else
            {
                $('#tbDestino tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarDestino(id, lote, data, hora, qtde, transp, veiculo, motora, produto, tipo, pesoe, status, operacao)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-msaida",
        method: 'post',
        data:
        {
            id: id, 
            lote: lote, 
            data: data, 
            hora: hora, 
            qtde: qtde, 
            transp: transp, 
            veiculo: veiculo, 
            motora: motora, 
            produto: produto, 
            tipo: tipo, 
            pesoe: pesoe,
            status: status,
            operacao: operacao
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
           
            var operacao = $('#cbOperacao').val();
            if(operacao=='' || operacao=='0')
            {
                MensagemBox( 'erro','','Operação inválida!', 2000, 'Ok');
            }
            else 
            {
                PesquisarDestino(operacao);
            }
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirServico(idprof, unidade)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-servico",
        method: 'post',
        data:
        {
            id: idprof
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            PesquisarServico(unidade);

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}


function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-mcliente",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbCliente').empty();
            $('#cbCliente').append('<option value="">Carregando...</option>');
            $('#cbCliente').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbCliente').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbCliente').empty();
                $('#cbCliente').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbCliente').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarProduto()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-mproduto",
        method: 'post',
        data:
        {
           minerio: '1'
        },
        beforeSend: function()
        {
            $('#cbProduto').empty();
            $('#cbProduto').append('<option value="">Carregando...</option>');
            $('#cbProduto').prop('disabled',true);
        },
        complete: function()
        {
            //$('#cbProduto').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbProduto').empty();
                $('#cbProduto').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    var produto = item.descricao;
                    
                    $('#cbProduto').append('<option value="' + item.id + '">' + produto + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarDestino()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-mdestino",
        method: 'post',
        data:
        {
           //cliente: cliente
        },
        beforeSend: function()
        {
            $('#cbDestino').empty();
            $('#cbDestino').append('<option value="">Carregando...</option>');
            $('#cbDestino').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbDestino').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbDestino').empty();
                $('#cbDestino').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbDestino').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function ListarTransp()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-mtransp",
        method: 'post',
        data:
        {
           //cliente: cliente
        },
        beforeSend: function()
        {
            $('#cbTransp').empty();
            $('#cbTransp').append('<option value="">Carregando...</option>');
            $('#cbTransp').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbTransp').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTransp').empty();
                $('#cbTransp').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbTransp').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function ListarVeiculo(transp)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-mveiculo",
        method: 'post',
        data:
        {
           transp: transp
        },
        beforeSend: function()
        {
            $('#cbVeiculo').empty();
            $('#cbVeiculo').append('<option value="">Carregando...</option>');
            $('#cbVeiculo').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbVeiculo').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbVeiculo').empty();
                $('#cbVeiculo').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbVeiculo').append('<option value="' + item.id + '">' + item.placa + '  ' + item.marca + '  ' + item.modelo + '  ' + item.tipo + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function ListarOperacao()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-moperacao",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbOperacao').empty();
            $('#cbOperacao').append('<option value="">Carregando...</option>');
            $('#cbOperacao').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbOperacao').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbOperacao').empty();
                $('#cbOperacao').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbOperacao').append('<option value="' + item.id + '">' + item.data + ' - ' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}




