$(document).ready(function()
{

    //const urlParams = new URLSearchParams(window.location.search);
    //const myParam = urlParams.get('id');
    //console.log('id: ' + myParam);

    //var caixa = localStorage.getItem('vcaixa');
    var estadia = localStorage.getItem('vestadia');
 
    //if(myParam!='')
    //{
    //    estadia = myParam;
    //}

    console.log('estadia: ' + estadia);
    
    if(estadia!='')
    {
        PesquisaDadosEstadia(estadia);
    }

    //dados do cabeçalho
    $('#txtNomePatio').val('PATIO INTERBRAS');
    $('#txtCnpjPatio').val('CNPJ: 00.000.000/0001-00');
    $('#txtEnderecoPatio').val('Rodovia Br 135, S/N, Km 21 - Estiva');
    $('#txtCepPatio').val('CEP: 65.095-604');
    $('#txtCidadePatio').val('São Luís-MA');

    var cabecalho = '<h5><b>PATIO INTERBRAS</b><br>CNPJ: <b>00.000.000/0001-00</b><br>Rodovia Br 135 (Av. Eng. Emiliano Macieira), S/N, Km 21, Estiva<br>Sao Luis / MA - CEP: 65.095-604 - Fone.:&nbsp;+55 (98) 9999-9999</h5><hr></hr><br><h4><b>R E C I B O</b></h4><br>';
    
    document.getElementById("cabecalho").innerHTML = cabecalho;

    //aparece/some áreas/campos
    $('#caixa').show();
    $('#salvar-caixa').hide();
    $('#destino').show();
    $('#novo-caixa').show();
    $('#btnFechaCaixa').show();
    $('#baixa').hide();
    $('#caixa-data').hide();
    $('#caixa-turno').hide();
    $('#caixa-guiche').hide();
    $('#caixa-inicial').hide();
    $('#btnFecharTotalCaixa').hide();
    
});


function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}

function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente-sair",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbClientePesq').empty();
            $('#cbClientePesq').append('<option value="">Carregando...</option>');
            $('#cbClientePesq').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbClientePesq').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbClientePesq').empty();
                $('#cbClientePesq').append('<option value="">Todos...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbClientePesq').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function BuscarCliente(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-cliente",
        method: 'post',
        data:
        {
           idcliente: cliente
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtCliente').val(item.nome);
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function PesquisaDadosEstadia(estadia)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-dados-estadia",
        method: 'post',
        data:
        {
            estadia:  estadia
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            console.log('data: ' + data.consulta);
            data.consulta.forEach(item =>
            {
                                
                var motora = '<h5>Motorista<br><b>' + item.motorista + '</b></h5>';
                document.getElementById("motorista").innerHTML = motora;

                var cpf = '<h5>CPF<br><b>' + item.cpf + '</b></h5>';
                document.getElementById("cpf").innerHTML = cpf;

                var cliente = '<h5>Cliente<br><b>' + item.cliente + '</b></h5>';
                document.getElementById("cliente").innerHTML = cliente;

                var destino = '<h5>Destino<br><b>' + item.destino + '</b></h5>';
                document.getElementById("destino").innerHTML = destino;

                var placa = '<h5>Placa<br><b>' + item.placa + '</b></h5>';
                document.getElementById("placa").innerHTML = placa;

                var entrada = '<h5>Data/hora entrada<br><b>' + item.entrada + '</b></h5>';
                document.getElementById("entrada").innerHTML = entrada;

                var saida = '<h5>Data/hora saída<br><b>' + item.saida + '</b></h5>';
                document.getElementById("saida").innerHTML = saida;

                var valor = '<h5>Valor (+)<br><b>' + item.valor + '</b></h5>';
                document.getElementById("valor").innerHTML = valor;

                var servico = '<h5>Serviço (+)<br><b>0,00</b></h5>';
                document.getElementById("servico").innerHTML = servico;

                var desconto = '<h5>Desconto (-)<br><b>' + item.desconto + '</b></h5>';
                document.getElementById("desconto").innerHTML = desconto;

                var total = '<h5>Total a pagar (=)<br><b>' + item.total + '</b></h5>';
                document.getElementById("total").innerHTML = total;

                var forma = '<h5>Forma de pagto<br><b>' + item.formapgto + '</b></h5>';
                document.getElementById("forma").innerHTML = forma;

                //var usuario = '<h5>Usuário/Guichê<br><b>' + item.usuario + ' / ' + item.guiche + '</b></h5>';
                //document.getElementById("usuario").innerHTML = usuario;

                var transp = '<h5>Transportador<br><b>' + item.transportador + '</b></h5>';
                document.getElementById("transp").innerHTML = transp;

                var operador = '<h5>Operador Caixa<br><b>' + item.operador + '</b></h5>';
                document.getElementById("operador").innerHTML = operador;

                var operacao = '';
                if(item.operacao=='C')
                {
                    operacao = 'CARREGAMENTO';
                }
                else if(item.operacao=='D')
                {
                    operacao = 'DESCARREGAMENTO';
                }
                else    
                {
                    operacao = 'NÃO INFORMADA';
                }


                var oper = '<h5>Tipo de Operação<br><b>' + operacao + '</b></h5>';
                document.getElementById("operacao").innerHTML = oper;


                //$('#txtMotorista').val(item.motorista); 
                //$('#txtCpf').val(item.cpf); 
                //$('#txtPlaca').val(item.placa); 
                //$('#txtCliente').val(item.cliente); 
                //$('#txtDestino').val(item.destino); 

                //$('#txtEntrada').val(item.entrada); 
                //$('#txtSaida').val(item.saida); 
                
                //$('#txtValor').val(item.valor); 
                //$('#txtDesconto').val(item.desconto); 
                //$('#txtTotal').val(item.total); 

                //$('#txtForma').val(item.formapgto); 
                //$('#txtUsuario').val(item.usuario + ' / ' + item.guiche); 
            });

        },
        error:function(error)
        {
            console.log(error);
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}
