$(document).ready(function()
{

    var caixa = localStorage.getItem('vcaixa');
    var estadia = localStorage.getItem('vestadia');

    ListarCaixa();
    ListarTurno();
    ListarCliente();
    ListarTransp3();
    LimparCampos();
    ListarProduto3();
    ListarDestino3();
    ListarUsuario();

    //console.log('estadia: ' + estadia);
    
    if(estadia!='')
    {
        PesquisaDadosEstadia(estadia);
    }

    //dados do cabeçalho
    $('#txtNomePatio').val('ROMA TRUCK CENTER LTDA');
    $('#txtCnpjPatio').val('CNPJ: 02.499.715/0003-28');
    $('#txtEnderecoPatio').val('Rua Principal, 50, estrada acesso a Br 135 - Vila Maranhão');
    $('#txtCepPatio').val('CEP: 65.091-242');
    $('#txtCidadePatio').val('São Luís-MA');

    //aparece/some áreas/campos
    $('#caixa').show();
    $('#salvar-caixa').hide();
    $('#destino').show();
    $('#novo-caixa').show();
    //$('#fechar-valor-caixa').show();
    $('#btnFechaCaixa').show();
    $('#baixa').hide();

    $('#caixa-data').hide();
    $('#caixa-turno').hide();
    $('#caixa-guiche').hide();
    $('#caixa-inicial').hide();

    $('#btnFecharTotalCaixa').hide();
    

    //desabilita campos
 /*    $('#cbCaixa2').prop('disabled',true);
    $('#cbCaixa3').prop('disabled',true);
    $('#txtPlaca2').prop('disabled',true);
    $('#txtMotorista2').prop('disabled',true);
    $('#txtCpf2').prop('disabled',true);
    $('#txtTransportador2').prop('disabled',true);
    $('#txtCliente2').prop('disabled',true);
    $('#txtDestino2').prop('disabled',true);
    $('#txtDataEntrada').prop('disabled',true);
    $('#txtDataSaida').prop('disabled',true);
    $('#txtTempo').prop('disabled',true);
    $('#txtEstadia').prop('disabled',true);
    $('#txtTotal').prop('disabled',true);
    $('#txtTroco').prop('disabled',true); */

/*     $('#txtDatacx').prop('disabled',true);
    $('#cbTurnocx').prop('disabled',true);
    $('#cbGuichecx').prop('disabled',true);
    $('#cbUsuariocx').prop('disabled',true);
    $('#cbStatuscx').prop('disabled',true);
    $('#txtInicialcx').prop('disabled',true);
    $('#txtEspeciecx').prop('disabled',true);
    $('#txtDebitocx').prop('disabled',true);
    $('#txtCreditocx').prop('disabled',true);
    $('#txtDescontocx').prop('disabled',true);
    $('#txtTotalcx').prop('disabled',true);
    $('#txtObscx').prop('disabled',true); */
});

function LimparCaixa()
{
    $('#txtDatacx').val('');
    $('#cbTurnocx').val('');
    $('#cbGuichecx').val('');
    $('#cbUsuariocx').val('');
    $('#cbStatuscx').val('');
    $('#txtInicialcx').val('');
    $('#txtEspeciecx').val('');
    $('#txtDebitocx').val('');
    $('#txtCreditocx').val('');
    $('#txtDescontocx').val('');
    $('#txtTotalcx').val('');
}

$('#btnTotalCaixa').click(function()
{
    if($('#cbCaixa').val()=='')
    {
        MensagemBox( 'alerta','','Caixa não informado!', 2000, 'Ok');
        document.getElementById("cbCaixa").focus();
    }
    else
    {
        LimparCaixa();

        $('#cadastro').hide();
        $('#lista').hide();
        $('#baixa').hide(); 
        $('#totalcaixa').show();  

        $('#btnFecharTotalCaixa').hide();
        $('#btnTotalizarCaixa').show();

        var caixa = $('#cbCaixa').val();
        if(caixa!='')
        {
            PesquisaDadosEstadia(estadia);
        }
    }

});

$('#btnCaixa').click(function()
{
    $('#novo-caixa').hide();
    $('#btnFechaCaixa').hide();
    $('#salvar-caixa').show();
    $('#caixa').hide();
    $('#caixa-data').show();
    $('#caixa-turno').show();
    $('#caixa-guiche').show();
    $('#caixa-inicial').show();
    $('#cbTurno').val('');
    $('#cbGuiche').val('');
    $('#txtValorini').val('');
    
    document.getElementById("cbTurno").focus();

    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    //var hora = data.getHours();
    //var minuto = data.getMinutes();
    //var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    //if(hora<10){hora = '0'+hora}
    //if(minuto<10){minuto = '0'+minuto}
    //if(segundo<10){segundo = '0'+segundo}
    
    var datacaixa1 = ano + '-' + mes + '-' + dia;
    var datacaixa2 = dia + '/' + mes + '/' + ano;
    
    $('#hdnDataCaixa').attr('data', datacaixa1);
    $('#txtDatacaixa').val(datacaixa2);
    $('#txtDatacaixa').prop('disabled',true);

})

$('#cbCaixa').change(function()
{
    $('#cbCaixa2').val($('#cbCaixa').val());
    $('#cbCaixa3').val($('#cbCaixa').val());
});

$('#cbCategoria').change(function()
{
    var categoria = $('#cbCategoria').val();
    if(categoria!='')
    {
        PesquisaDadosCategoria(categoria);
    }
    else 
    {
        $('#hdnDiaria').attr('data',0);
        $('#hdnAteSeis').attr('data',0);
        $('#hdnAdicional').attr('data',0);
        $('#hdnDiaria').attr('data',0);
        $('#hdnMotorapaga').attr('data',0);
        
    }
});


$('#btnFecharCaixa').click(function()
{
    $('#novo-caixa').show();
    //$('#fechar-valor-caixa').show();
    $('#salvar-caixa').hide();
    $('#caixa').show();
    $('#caixa-data').hide();
    $('#caixa-turno').hide();
    $('#caixa-guiche').hide();
    $('#caixa-inicial').hide();
    ListarCaixa();  //atualiza lista do caixa

});

function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}

/* $('#txtData').click(function()
{
    console.log(FormataStringData($('#txtData').val()));
}); */

/* $(function () 
{
    $('#txtData').datetimepicker(
    {
        format:'D/M/YYYY'
    });
       
}); */

$('#btnNovo').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        LimparCampos();
    
        $('#cadastro').show();
        $('#lista').hide();
        $('#filtro').hide();
        $('#btnExcluir').hide();
    }
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
    $('#totalcaixa').hide();
});


$('#btnVoltarTotal').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
    $('#totalcaixa').hide();
});


$('#btnVoltar2').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
    $('#totalcaixa').hide();
});

$('#btnPesquisar').click(function()
{
    //var cliente = $('#cbClientePesq').val();
    PesquisarCaixa();
});

$('#btnSalvarBaixa2').click(function()
{
    SalvarDadosEstadia();
});

$('#btnSalvarBaixa').click(function()
{
    SalvarDadosEstadia();
});

$('#btnSalvaCaixa').click(function()
{
    SalvarDadosCaixa();
});

function SalvarDadosEstadia()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava       = 1;
    var idestadia   = $('#hdnId').attr('data');
    var datasaida   = $('#hdnDataSaida').attr('data');
    var avulso      = $('#hdnAvulso').attr('data');
    var forma       = $('#cbFormapgto').val();
    var estadia     = $('#txtEstadia').val();
    var especie     = 0;
    var debito      = 0;
    var credito     = 0;
    var desconto    = 0;
    var total       = $('#txtTotal').val();
    var categoria   = $('#cbCategoria').val();
    var caixa       = $('#cbCaixa').val();
    var status_pgto = '1';      //1 = pago   0 = pendente
    var ticket      = $('#txtTicket').val();
    var status      = 'ET'; 
    
    if(avulso=='1')
    {
        status='FN';
    }

    if(forma=='ES')
    {
        especie = $('#txtEstadia').val();
    }
    else if(forma=='CD')
    {
        debito = $('#txtEstadia').val();
    }
    else if(forma=='CC')
    {
        credito = $('#txtEstadia').val();
    }

    if($('#txtDesconto').val()!='')
    {
        desconto = $('#txtDesconto').val();
    }
    
    //fazer as validações aqui
    if(idestadia=='')
    {
        MensagemBox( 'erro','','Veículo não selecionado!', 2000, 'Ok');
        grava = 0;
    }
    if(categoria=='')
    {
        MensagemBox( 'erro','','Categoria não selecionada!', 2000, 'Ok');
        grava = 0;
    }
    if(forma=='')
    {
        MensagemBox( 'erro','','Forma de Pagto não selecionado!', 2000, 'Ok');
        grava = 0;
    }

    //console.log('id: ' + idestadia + ' data saida: ' + datasaida + ' forma: ' + forma + ' valor estadia: ' + estadia + ' especie: ' + especie + ' debito: ' + debito + ' credito: ' + credito + ' desconto: ' + desconto + ' total: ' +  total + ' categoria: ' +  categoria + ' caixa: ' + caixa + ' status pgto: ' + status_pgto + ' ticket: ' + ticket + ' status: ' + status);

    if(grava==1)
    {
        SalvarEstadia(idestadia, datasaida, forma, estadia, especie, debito, credito, desconto, total, categoria, caixa, status_pgto, ticket, status);
        $('#cadastro').hide();
        $('#baixa').hide();  
        $('#lista').show();
        $('#totalcaixa').hide();
    }
}

function SalvarDadosCaixa()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava        = 1;
    var idcaixa    = '0';
    var datacaixa  = $('#hdnDataCaixa').attr('data');
    var turno = $('#cbTurno').val();
    var guiche = $('#cbGuiche').val();
    var inicial = $('#txtValorini').val();
    
    
    //fazer as validações aqui

    if(datacaixa=='')
    {
        MensagemBox( 'erro','','Data do caixa não informada!', 2000, 'Ok');
        grava = 0;
    }
    if(turno=='')
    {
        MensagemBox( 'erro','','Turno do caixa não informado!', 2000, 'Ok');
        grava = 0;
    }
    if(guiche=='')
    {
        MensagemBox( 'erro','','Guichê não informado!', 2000, 'Ok');
        grava = 0;
    }
    if(inicial=='')
    {
        inicial = '0';
    }
    
    if(grava==1)
    {
        SalvarCaixa(idcaixa, datacaixa, turno, guiche, inicial);
    }
}

$("#tbSair tbody").on("click","span[name=baixarBtn]",function()
{
    if($('#cbCaixa').val()=='')
    {
        MensagemBox( 'alerta','','Caixa não informado!', 2000, 'Ok');
        document.getElementById("cbCaixa").focus();
    }
    else
    {
        $('#cadastro').hide();
        $('#lista').hide();
        $('#baixa').show();    
        $('#totalcaixa').hide();
    }

    LimparCampos();

    //exibe dados aqui
    var id = $(this).attr("data");
    $('#hdnId').attr('data',id);
    $('#txtPlaca2').val($("#" + id + "_veiculo").attr('data2'));
    $('#txtMotorista2').val($("#" + id + "_motorista").attr('data2'));
    $('#txtCpf2').val($("#" + id + "_motorista").attr('data3'));
    $('#txtTransportador2').val($("#" + id + "_transportador").attr('data2'));
    $('#txtCliente2').val($("#" + id + "_cliente").attr('data2'));
    $('#txtDestino2').val($("#" + id + "_destino").attr('data2'));
    $('#txtDataEntrada').val($("#" + id + "_dataentrada").attr('data'));
    $('#cbCategoria').val($("#" + id + "_categoria").attr('data'));
    $('#hdnAvulso').attr('data',$("#" + id + "_avulso").attr('data'));
    var dataentrada = $("#" + id + "_dataentrada").attr('data2');
//    $('#txtTicket').val(dataentrada);

    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var datasaida1 = ano + '-' + mes + '-' + dia + ' ' +  hora + ':' + minuto + ':' + segundo;
    var datasaida2 = dia + '/' + mes + '/' + ano + ' ' +  hora + ':' + minuto + ':' + segundo;
    $('#txtDataSaida').val(datasaida2);
    $('#hdnDataSaida').attr('data',datasaida1);

    var minutos = TempoEmMinutos(dataentrada, datasaida1);
    $('#hdnTempo').attr('data', minutos);
    $('#txtTempo').val(CalculaTempo(minutos));

    var categoria = $('#cbCategoria').val();
    if(categoria!='')
    {
        PesquisaDadosCategoria(categoria);
    }

});

function TempoEmMinutos(dataini, datafim)
{
    
    var startTime = new Date(dataini); 
    var endTime = new Date(datafim);
    var difference = endTime.getTime() - startTime.getTime(); // This will give difference in milliseconds
    var resultInMinutes = Math.round(difference / 60000);

    return resultInMinutes
}

$('#btnVoltarBaixa').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#baixa').hide();
    $('#totalcaixa').hide();
});

$('#btnVoltarBaixa2').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#baixa').hide();
    $('#totalcaixa').hide();
});

$("#tbSair tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#baixa').hide();
    $('#totalcaixa').hide();
    $('#btnExcluir').show();
   
    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    //dados do veiculo
    $('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
    $('#txtPlaca').val($("#" + id + "_veiculo").attr('data2'));
    $('#txtPlaca_carreta').val($("#" + id + "_veiculo").attr('data3'));
    $('#txtMarca').val($("#" + id + "_veiculo").attr('data4'));
    $('#txtModelo').val($("#" + id + "_veiculo").attr('data5'));
    //dados do motorista
    $('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
    $('#txtCpf').val($("#" + id + "_motorista").attr('data2'));
    $('#txtNome').val($("#" + id + "_motorista").attr('data3'));
    $('#txtCelular').val($("#" + id + "_motorista").attr('data4'));
    $('#txtCnh').val($("#" + id + "_motorista").attr('data5'));
    $('#txtCategoria').val($("#" + id + "_motorista").attr('data6'));
    //dados da carga
    $('#txtData').val($("#" + id + "_data").attr('data'));
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
    $('#cbProduto').val($("#" + id + "_produto").attr('data'));
    $('#cbTransp').val($("#" + id + "_transportador").attr('data'));
    $('#cbDestino').val($("#" + id + "_destino").attr('data'));
    $('#cbTipocarga').val($("#" + id + "_tipocarga").attr('data'));
    $('#txtQtde').val($("#" + id + "_qtde").attr('data'));
    $('#txtPedido').val($("#" + id + "_pedido").attr('data'));
    $('#txtObs').val($("#" + id + "_obs").attr('data'));
    $('#txtCliente').val($("#" + id + "_cliente").attr('data2'));

    var cliente = $("#" + id + "_cliente").attr('data');

    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var agora = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
    $('#hdnDataSaida').attr('data', agora);

    //desabilita campos
    //$('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
    $('#txtCliente').prop('disabled',true);
    $('#txtPlaca').prop('disabled',true);
    $('#txtPlaca_carreta').prop('disabled',true);
    $('#txtMarca').prop('disabled',true);
    $('#txtModelo').prop('disabled',true);
    //dados do motorista
    //$('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
    $('#txtCpf').prop('disabled',true);
    $('#txtNome').prop('disabled',true);
    $('#txtCelular').prop('disabled',true);
    $('#txtCnh').prop('disabled',true);
    $('#txtCategoria').prop('disabled',true);
    //dados da carga
    $('#txtData').prop('disabled',true);
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
    $('#cbProduto').prop('disabled',true);
    $('#cbTransp').prop('disabled',true);
    $('#cbDestino').prop('disabled',true);
    $('#cbTipocarga').prop('disabled',true);
    $('#txtQtde').prop('disabled',true);
    $('#txtPedido').prop('disabled',true);
    $('#txtObs').prop('disabled',true);

    /*  id, 
        idcliente,
        idveiculo, 
        placa, 
        placa_carreta,
        idmotorista, 
        celular,
        idproduto,  
        idtransportador, 
        iddestino, 
        dataprev,
        datachamada, 
        datasaida, 
        foichamado,
        status,
        qtde,
        pedido,
        obs,
        tipocarga */
   
});

function LimparCampos()
{
    $('#hdnId').attr('data','0');
    $('#txtPlaca2').val('');   
    $('#txtMotorista2').val('');   
    $('#txtTransportador2').val('');   
    $('#txtCliente2').val('');   
    $('#txtCpf2').val('');   
    $('#cbCategoria').val('');   
    $('#txtEstadia').val('');   
    $('#txtPago').val(''); 
    $('#txtTroco').val(''); 
    $('#txtDesconto').val(''); 
    $('#txtTotal').val(''); 
    $('#txtTempo').val(''); 
    $('#txtTicket').val(''); 
    $('#txtEspecie').val(''); 
    $('#txtDebito').val(''); 
    $('#txtCredito').val(''); 
    $('#cbFormapgto').val(''); 
    
}


function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente-sair",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbClientePesq').empty();
            $('#cbClientePesq').append('<option value="">Carregando...</option>');
            $('#cbClientePesq').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbClientePesq').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbClientePesq').empty();
                $('#cbClientePesq').append('<option value="">Todos...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbClientePesq').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarProduto3()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-produto-sair",
        method: 'post',
        data:
        {
           cliente: ''
        },
        beforeSend: function()
        {
            $('#cbProduto').empty();
            $('#cbProduto').append('<option value="">Carregando...</option>');
            $('#cbProduto').prop('disabled',true);
        },
        complete: function()
        {
            //$('#cbProduto').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbProduto').empty();
                $('#cbProduto').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    var produto = item.descricao;
                    if(item.formula!='')
                    {
                        produto = produto + ' - Formula: ' + item.formula;
                    }
                    $('#cbProduto').append('<option value="' + item.id + '">' + produto + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarDestino3()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-destino-sair",
        method: 'post',
        data:
        {
           cliente: ''
        },
        beforeSend: function()
        {
            $('#cbDestino').empty();
            $('#cbDestino').append('<option value="">Carregando...</option>');
            $('#cbDestino').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbDestino').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbDestino').empty();
                $('#cbDestino').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbDestino').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarTransp3()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-transp-sair",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbTransp').empty();
            $('#cbTransp').append('<option value="">Carregando...</option>');
            $('#cbTransp').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbTransp').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTransp').empty();
                $('#cbTransp').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    
                    $('#cbTransp').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function BuscarCliente(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-cliente",
        method: 'post',
        data:
        {
           idcliente: cliente
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtCliente').val(item.nome);
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}



function ListarCaixa()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-caixa-aberto",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbCaixa').empty();
            $('#cbCaixa').append('<option value="">Carregando...</option>');
            $('#cbCaixa').prop('disabled',true);

            $('#cbCaixa2').empty();
            $('#cbCaixa2').append('<option value="">Carregando...</option>');

            $('#cbCaixa3').empty();
            $('#cbCaixa3').append('<option value="">Carregando...</option>');
        },
        complete: function()
        {
            $('#cbCaixa').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbCaixa').empty();
                $('#cbCaixa').append('<option value="">Selecione...</option>');
               
                $('#cbCaixa2').empty();
                $('#cbCaixa2').append('<option value="">Selecione...</option>');

                $('#cbCaixa3').empty();
                $('#cbCaixa3').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbCaixa').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                    $('#cbCaixa2').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                    $('#cbCaixa3').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarTurno()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-turno",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbTurno').empty();
            $('#cbTurno').append('<option value="">Carregando...</option>');
            $('#cbTurno').prop('disabled',true);

            $('#cbTurnocx').empty();
        },
        complete: function()
        {
            $('#cbTurno').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTurno').empty();
                $('#cbTurno').append('<option value="">Selecione...</option>');

                $('#cbTurnocx').empty();
                $('#cbTurnocx').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbTurno').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                    $('#cbTurnocx').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function CalculaTempo(tempo)
{
    if(tempo < 60)
    {
        return  tempo + ' min'
    }
    else
    {
        //return tempo + ' ???'
        if(tempo == 60)
        {
            return '1 h';
        }
        else if(tempo > 60)
        {
            var t = (tempo / 60);
            var horas = Math.trunc(t);
            var fracao = Math.round((t - horas) * 60);
            return horas + 'h ' + fracao + 'min'
        }
    }
}





function calcula()
{

    var especie = 0;
    var desconto = 0;
    var estadia = 0;

    var texto = $('#txtDesconto').val();
    var resultado = texto.replace(",", ".");
    $('#txtDesconto').val(resultado);

    if($('#txtDesconto').val()==''){desconto = 0}else{desconto = $('#txtDesconto').val();};
    if($('#txtEstadia').val()==''){estadia = 0}else{estadia = $('#txtEstadia').val();};

    estadia = parseFloat(estadia);
    desconto = parseFloat(desconto);

    $('#txtTotal').val((estadia - desconto).toFixed(2));
    
}

function troco()
{
    var troco = 0;
    var total = 0;
    var pago = 0;

    var texto = $('#txtPago').val();
    var resultado = texto.replace(",", ".");
    $('#txtPago').val(resultado);

    if($('#txtPago').val()==''){pago = 0}else{pago = $('#txtPago').val();};
    if($('#txtTotal').val()==''){total = 0}else{total = $('#txtTotal').val();};
    troco = parseFloat(pago) - parseFloat(total)
    troco = troco.toFixed(2)
    $('#txtTroco').val(troco);
}


function PesquisaDadosEstadia(estadia)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-dados-estadia",
        method: 'post',
        data:
        {
            estadia:  estadia
        },
        beforeSend: function()
        {
            //$('#cbCategoria').prop('disabled',true);
            //$('#hdnDiaria').attr('data',0);
            //ModalAjaxCarregando(true,$("#conteudoPagina"),'Pesquisando dados...');
        },
        complete: function()
        {
            //$('#cbCategoria').prop('disabled',false);
            //ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            //console.log('data: ' + data.consulta);
            data.consulta.forEach(item =>
            {
                /* var total = parseFloat(item.total) + parseFloat(item.inicial);
                $('#txtDatacx').val(item.data); 
                $('#cbTurnocx').val(item.turno);
                $('#cbGuichecx').val(item.guiche);
                $('#cbUsuariocx').val(item.usuario);
                $('#cbStatuscx').val(item.status);
                $('#txtInicialcx').val(item.inicial);
                $('#txtEspeciecx').val(item.especie);
                $('#txtDebitocx').val(item.debito);
                $('#txtCreditocx').val(item.credito);
                $('#txtDescontocx').val(item.desconto);
                $('#txtTotalcx').val(total.toFixed(2)); */
                
                $('#txtMotorista').val(item.motorista); 
                $('#txtCpf').val(item.cpf); 
                $('#txtPlaca').val(item.placa); 
                $('#txtCliente').val(item.cliente); 
                $('#txtDestino').val(item.destino); 

                $('#txtEntrada').val(item.entrada); 
                $('#txtSaida').val(item.saida); 
                
                $('#txtValor').val(item.valor); 
                $('#txtDesconto').val(item.desconto); 
                $('#txtTotal').val(item.total); 

                $('#txtForma').val(item.formapgto); 
                $('#txtUsuario').val(item.usuario + ' / ' + item.guiche); 
            });

        },
        error:function(error)
        {
            console.log(error);
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function ListarUsuario()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-usuario-caixa",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbUsuariocx').empty();
            //$('#cbUsuariocx').append('<option value="">Carregando...</option>');
            //$('#cbUsuariocx').prop('disabled',true);

        },
        complete: function()
        {
            //$('#cbUsuariocx').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbUsuariocx').empty();
                $('#cbUsuariocx').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbUsuariocx').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function FecharDadosCaixa()
{

    var grava       = 1;
    var idcaixa     = $('#cbCaixa').val();
    var especie     = $('#txtEspeciecx').val();
    var debito      = $('#txtDebitocx').val();
    var credito     = $('#txtCreditocx').val();
    var desconto    = $('#txtDescontocx').val();
    var total       = $('#txtTotalcx').val();
    var obs         = $('#txtObscx').val();
    
    if(especie==''){especie='0'}
    if(debito==''){debito='0'}
    if(credito==''){credito='0'}
    if(desconto==''){desconto='0'}
    if(total==''){total='0'}
        
    if(grava==1)
    {
        FecharDadosCaixaAjax(idcaixa, especie, debito, credito, desconto, total);
    }
}

function FecharDadosCaixaAjax(idcaixa, especie, debito, credito, desconto, total)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-fechar-caixa",
        method: 'post',
        data:
        {
            idcaixa: idcaixa, 
            especie: especie, 
            debito: debito, 
            credito: credito, 
            desconto: desconto, 
            total: total 
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Caixa fechado com sucesso!', 2000, 'Ok');
            $('#btnFecharTotalCaixa').hide();
            ListarCaixa();  //atualiza lista do caixa
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


$('#btnFecharTotalCaixa').click(function()
{
    if($('#cbCaixa').val()=='')
    {
        MensagemBox( 'alerta','','Caixa não informado!', 2000, 'Ok');
        document.getElementById("cbCaixa").focus();
    }
    else
    {
        FecharDadosCaixa();
    }
});


function ListarVeiculosDoCaixa(caixa)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-veiculos-do-caixa",
        method: 'post',
        data:
        {
            caixa: caixa
        },
        beforeSend: function()
        {
            $('#tbCaixa tbody tr').remove();
            $('#tbCaixa tbody p').remove();
            //$('#btnPesquisar').prop('disabled',true);

            //ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#btnPesquisar').prop('disabled',false);
            //ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
            var qtde = 0;
            var tipo = '';
            var tempo = '';
            var data1 = '';
            var data2 = '';
            var minutos = '';

            if(data.consulta.length > 0)
            {
                
                //var icocodigo = '<i class="fas fa-sign-out-alt"></i>&nbsp;';
                
                data.consulta.forEach(item =>
                {
                    data1 = item.entrada;
                    data2 = item.saida;
                    minutos = TempoEmMinutos(data1, data2);
                    tempo = CalculaTempo(minutos);

                    if(item.tipo=='AVULSO')
                    {
                        tipo = '<span class="badge badge-info estilobag">AVULSO</span>';
                    }
                    else 
                    {
                        tipo = '<span class="badge badge-primary estilobag">ESTADIA NORMAL</span>';
                    }

                    qtde = qtde + 1;

                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_d1" data="' + item.placa + '" style="font-size: 10pt;">' + item.placa + '</td>'
                            +      '<td id="'+ item.id +'_d2" data="' + item.placa + '" style="font-size: 10pt;">' + item.motorista + '</td>'
                            +      '<td id="'+ item.id +'_d3" data="' + item.placa + '" style="font-size: 10pt;">' + item.cliente + '</td>'
                            +      '<td id="'+ item.id +'_d4" data="' + item.placa + '" style="font-size: 10pt;">' + item.entrada + '</td>'
                            +      '<td id="'+ item.id +'_d5" data="' + item.placa + '" style="font-size: 10pt;">' + item.saida + '</td>'
                            +      '<td id="'+ item.id +'_d6" data="' + item.placa + '" style="font-size: 10pt;">' + tempo + '</td>'
                            +      '<td id="'+ item.id +'_d7" data="' + item.placa + '" style="font-size: 10pt;">' + item.valor + '</td>'
                            +      '<td id="'+ item.id +'_d8" data="' + item.placa + '" style="font-size: 10pt;">' + item.desconto + '</td>'
                            +      '<td id="'+ item.id +'_d9" data="' + item.placa + '" style="font-size: 10pt;">' + item.total + '</td>'
                            +      '<td id="'+ item.id +'_d10" data="' + item.placa + '" style="font-size: 10pt;">' + item.formapgto + '</td>'
                            +      '<td id="'+ item.id +'_d11" data="' + item.placa + '" style="font-size: 10pt;">' + tipo + '</td>'

                            
                            +   '</tr>';

                        $('#tbCaixa tbody').append(linha);
                });
                if(qtde > 0)
                {
                    $('#tbCaixa tbody').append('<p><br>Qtde de veículos: <b>' + qtde + '</b></p>');
                }
            }
            else
            {
                $('#tbCaixa tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}




