$(document).ready(function()
{
    $('#patio').show();
    $('#historico').hide();
    $('#ocorrencia').hide();
    $('#cadocorrencia').hide();
    $('#bloqueio').hide();
    $('#cancelar').hide();

    ListarCliente();
    ListarTransp();
    LimparCampos();
    ListarProduto2();
    ListarDestino2();
    //PesquisarPatio('');
    

    //var cliente = $('#cbClientePesq').val();

    var ordem = $('#cbOrdem').val();
    if(ordem=='')
    {
        ordem = localStorage.getItem('vordem')
    }


    
    $('#txtData').attr('data-toggle','datetimepicker');
    $('#txtData').attr('data-target','#txtData');
    $('#txtData').addClass("datetimepicker-input");

    $('#txtData').attr('autocomplete','off'); 

});

function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}

/* $('#txtData').click(function()
{
    console.log(FormataStringData($('#txtData').val()));
}); */

$(function () 
{
    $('#txtData').datetimepicker(
    {
        format:'D/M/YYYY'
    });
       
});

$('#btnNovo').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        LimparCampos();
    
        $('#cadastro').show();
        $('#lista').hide();
        $('#filtro').hide();
        $('#btnExcluir').hide();
    }
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();

    $('#bloqueio').hide();
    $('#cancelar').hide();
    
    $('#txtDataBloqueio').val('');
    $('#txtMotivoBloqueio').val('');
    $('#cbTipobloqueio').val('');
    $('#btnBloquear').prop('disabled',false);
    $('#btnDesbloquear').prop('disabled',false);
    $('#btnBloquear2').prop('disabled',false);
    $('#btnCancelar').prop('disabled',false);
    $('#btnCancelar2').prop('disabled',false);
    
});

$('#btnVoltar2').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();

    $('#bloqueio').hide();
    $('#cancelar').hide();

    $('#txtDataBloqueio').val('');
    $('#txtMotivoBloqueio').val('');
    $('#cbTipobloqueio').val('');
    $('#btnBloquear').prop('disabled',false);
    $('#btnDesbloquear').prop('disabled',false);
    $('#btnBloquear2').prop('disabled',false);
    $('#btnCancelar').prop('disabled',false);
    $('#btnCancelar2').prop('disabled',false);
});

$('#btnVoltarOcorrencia').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#btnBloquear').hide();
    $('#btnDesbloquear').hide();
    $('#btnCancelar').hide();
    $('#btnBloquear2').hide();
    $('#btnDesbloquear2').hide();
    $('#btnCancelar2').hide();
    $('#cadocorrencia').hide();
    $('#btnPrioridade').hide();
    $('#btnSemPrioridade').hide();
    
});

$('#btnPatio').click(function()
{
    $('#patio').show();
    $('#historico').hide();
    $('#ocorrencia').hide();
    $('#txtPlacaPesq').val('');
    var cliente = $('#cbClientePesq').val();
    if(cliente=='')
    {
        MensagemBox( 'erro','','Necessário informar o cliente!', 2000, 'Ok');
    }
    else  
    {
        PesquisarPatio(cliente);
    }

});


$('#btnNovaOcorrencia').click(function()
{
    $('#txtMotivoBloqueio').val('');
    $('#cbTipoocorrencia').val('');
    $('#txtMotivoOcorrencia').val('');

    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var agora = dia + '-' + mes + '-' + ano + ' ' + hora + ':' + minuto + ':' + segundo;
    var agora2 = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
    
    $('#hdnDataOcorrencia').attr('data', agora2);
    $('#txtDataOcorrencia').val(agora);
    
});


$('#btnHistorico').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='')
    {
        MensagemBox( 'erro','','Necessário informar o cliente!', 2000, 'Ok');
    }
    else
    {
        var placa = $('#txtPlacaPesq').val();
        if(placa=='')
        {
            MensagemBox( 'erro','','Placa do veículo não informado!', 2000, 'Ok');
        }
        else
        {
            $('#patio').hide();
            $('#historico').show();
            $('#ocorrencia').hide();
            PesquisarHistorico(placa, cliente);
        }
    }
});

$('#btnOcorrencia').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='')
    {
        MensagemBox( 'erro','','Necessário informar o cliente!', 2000, 'Ok');
    }
    else
    {
        var placa = $('#txtPlacaOcorr').val();
        
        $('#patio').hide();
        $('#historico').hide();
        $('#ocorrencia').show();
        PesquisarOcorrencia(placa);
    }
});


$('#cbOrdem').change(function()
{
    var cliente = $('#cbClientePesq').val();
    var ordem = $('#cbOrdem').val();
    var formula = $('#cbFormulaSel').val();
    //var destino = $('#hdnDestino').attr('data');
    localStorage.setItem('vordem', ordem);

    //PesquisarChamar(cliente, ordem, formula);
});

/* $('#cbClientePesq').change(function()
{
    var cliente = $('#cbClientePesq').val();
    var ordem = $('#cbOrdem').val();
    //var destino = $('#hdnDestino').attr('data');
    //PesquisarChamar(cliente, ordem);
}); */


$('#btnDesfaz').click(function()
{
    DesfazChamadaDados();
});

$('#btnDesfaz2').click(function()
{
    DesfazChamadaDados();
});

$('#btnBloquear').click(function()
{
    $('#bloqueio').show();
    $('#txtDataBloqueio').prop('disabled',true);

    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var agora = dia + '/' + mes + '/' + ano + ' ' + hora + ':' + minuto + ':' + segundo;
    var agora2 = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
    
    $('#hdnDataBloqueio').attr('data', agora2);
    $('#txtDataBloqueio').val(agora);


    $('#btnBloquear').prop('disabled',true);
    $('#btnBloquear2').prop('disabled',true);
});

$('#btnBloquear2').click(function()
{
    $('#bloqueio').show();
    $('#btnBloquear').prop('disabled',true);
    $('#btnBloquear2').prop('disabled',true);

    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var agora = dia + '/' + mes + '/' + ano + ' ' + hora + ':' + minuto + ':' + segundo;
    var agora2 = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
    
    $('#hdnDataBloqueio').attr('data', agora2);
    $('#txtDataBloqueio').val(agora);

});

//btnConfirmarBloqueio

$('#btnCancelar').click(function()
{
    $('#cancelar').show();
    $('#btnCancelar').prop('disabled',true);
    $('#btnCancelar2').prop('disabled',true);

    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var agora = dia + '/' + mes + '/' + ano + ' ' + hora + ':' + minuto + ':' + segundo;
    var agora2 = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
    
    $('#hdnDataCancelar').attr('data', agora2);
    $('#txtDataCancelar').val(agora);

    $('#btnCancelar').prop('disabled',true);
    $('#btnCancelar2').prop('disabled',true);
});

$('#btnCancelar2').click(function()
{
    $('#cancelar').show();
    $('#btnCancelar').prop('disabled',true);
    $('#btnCancelar2').prop('disabled',true);

    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var agora = dia + '/' + mes + '/' + ano + ' ' + hora + ':' + minuto + ':' + segundo;
    var agora2 = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
    
    $('#hdnDataCancelar').attr('data', agora2);
    $('#txtDataCancelar').val(agora);

    $('#btnCancelar').prop('disabled',true);
    $('#btnCancelar2').prop('disabled',true);
});

$('#btnPrioridade').click(function()
{
    $('#btnPrioridade').prop('disabled',true);

    SalvarDadosPrioridade();
});

$('#btnSemPrioridade').click(function()
{
    $('#btnSemPrioridade').prop('disabled',true);

    SalvarRetirarDadosPrioridade();
});

$('#btnConfirmarOcorrencia').click(function()
{
    SalvarDadosOcorrencia();
});

$('#btnDesbloquear').click(function()
{
    SalvarDadosDesbloqueio();
});

$('#btnDesbloquear2').click(function()
{
    SalvarDadosDesbloqueio();
});

$('#btnConfirmarBloqueio').click(function()
{
    SalvarDadosBloqueio();
});

$('#btnConfirmarCancelar').click(function()
{
    SalvarDadosCancelar();
});

function SalvarDadosBloqueio()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava        = 1;
    var idestadia    = $('#hdnId').attr('data');
    var databloqueio = $('#hdnDataBloqueio').attr('data');
    var motivo       = $('#txtMotivoBloqueio').val();
    var tipo         = $('#cbTipobloqueio').val();
    var placa        = $('#txtPlaca').val();
    
    
    //fazer as validações aqui

    if(idestadia=='')
    {
        MensagemBox( 'erro','','Veículo não selecionado!', 2000, 'Ok');
        grava = 0;
    }
    if(databloqueio=='')
    {
        MensagemBox( 'erro','','Data bloqueio não informada!', 2000, 'Ok');
        grava = 0;
    }
    if(motivo=='')
    {
        MensagemBox( 'erro','','Motivo do bloqueio não informado!', 2000, 'Ok');
        grava = 0;
    }
    if(tipo=='' || tipo==null)
    {
        MensagemBox( 'erro','','Tipo do bloqueio não informado!', 2000, 'Ok');
        grava = 0;
    }

    
    //console.log('id: ' + idestadia + ' placa: ' +  placa + ' pmotivo: ' +  motivo + ' tipo: ' +  tipo + ' data: ' +  databloqueio  );

    if(grava==1)
    {
        //idestadia, chamada, nome, placa, celular, destino
        //console.log('id: ' + idestadia + ' data/hora: ' + chamada + ' nome: ' + nome + ' placa: ' + placa + ' celular: ' +  celular  + ' destino: ' + destino);
        SalvarBloqueio(idestadia, databloqueio, motivo, placa, tipo);
        //$('#cadastro').hide();
        //$('#lista').show();
    }
}

function SalvarDadosOcorrencia()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava        = 1;
    var idestadia    = $('#hdnId').attr('data');
    var dataocorr    = $('#hdnDataOcorrencia').attr('data');
    var motivo       = $('#txtMotivoOcorrencia').val();
    var tipo         = $('#cbTipoocorrencia').val();
    var placa        = $('#hdnPlaca').attr('data');
    
    
    //fazer as validações aqui

    if(idestadia=='')
    {
        MensagemBox( 'erro','','Veículo não selecionado!', 2000, 'Ok');
        grava = 0;
    }
    if(dataocorr=='')
    {
        MensagemBox( 'erro','','Data bloqueio não informada!', 2000, 'Ok');
        grava = 0;
    }
    if(motivo=='')
    {
        MensagemBox( 'erro','','Motivo do bloqueio não informado!', 2000, 'Ok');
        grava = 0;
    }
    if(tipo=='' || tipo==null)
    {
        MensagemBox( 'erro','','Tipo do bloqueio não informado!', 2000, 'Ok');
        grava = 0;
    }

    
    //console.log('id: ' + idestadia + ' placa: ' +  placa + ' pmotivo: ' +  motivo + ' tipo: ' +  tipo + ' data: ' +  databloqueio  );

    if(grava==1)
    {
        //idestadia, chamada, nome, placa, celular, destino
        //console.log('id: ' + idestadia + ' data/hora: ' + chamada + ' nome: ' + nome + ' placa: ' + placa + ' celular: ' +  celular  + ' destino: ' + destino);
        SalvarOcorrencia(idestadia, dataocorr, motivo, placa, tipo);
        //$('#cadastro').hide();
        //$('#lista').show();
    }
}


function SalvarDadosDesbloqueio()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava        = 1;
    var idestadia    = $('#hdnId').attr('data');
    var databloqueio = $('#hdnDataBloqueio').attr('data');
    var placa        = $('#txtPlaca').val();
    
    console.log('estadia: ' + idestadia + ' data: ' + databloqueio + ' placa: ' + placa);
    //fazer as validações aqui

    if(idestadia=='')
    {
        MensagemBox( 'erro','','Veículo não selecionado!', 2000, 'Ok');
        grava = 0;
    }
    if(databloqueio=='')
    {
        MensagemBox( 'erro','','Data bloqueio não informada!', 2000, 'Ok');
        grava = 0;
    }

    
    //console.log('id: ' + idestadia + ' placa: ' +  placa + ' pmotivo: ' +  motivo + ' tipo: ' +  tipo + ' data: ' +  databloqueio  );

    if(grava==1)
    {
        //idestadia, chamada, nome, placa, celular, destino
        //console.log('id: ' + idestadia + ' data/hora: ' + chamada + ' nome: ' + nome + ' placa: ' + placa + ' celular: ' +  celular  + ' destino: ' + destino);
        SalvarDesbloqueio(idestadia, databloqueio, placa);
        //$('#cadastro').hide();
        //$('#lista').show();
    }
}

function SalvarDadosCancelar()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava        = 1;
    var idestadia    = $('#hdnId').attr('data');
    var datacancelar = $('#hdnDataCancelar').attr('data');
    var motivo       = $('#txtMotivoCancelar').val();
    var tipo         = $('#cbTipocancelar').val();
    var placa        = $('#txtPlaca').val();
    
    
    //fazer as validações aqui

    if(idestadia=='')
    {
        MensagemBox( 'erro','','Veículo não selecionado!', 2000, 'Ok');
        grava = 0;
    }
    if(datacancelar=='')
    {
        MensagemBox( 'erro','','Data cancelamento não informada!', 2000, 'Ok');
        grava = 0;
    }
    if(motivo=='')
    {
        MensagemBox( 'erro','','Motivo do cancelamento não informado!', 2000, 'Ok');
        grava = 0;
    }
    if(tipo=='' || tipo==null)
    {
        MensagemBox( 'erro','','Tipo do cancelamento não informado!', 2000, 'Ok');
        grava = 0;
    }

    
    //console.log('id: ' + idestadia + ' placa: ' +  placa + ' pmotivo: ' +  motivo + ' tipo: ' +  tipo + ' data: ' +  databloqueio  );

    if(grava==1)
    {
        //idestadia, chamada, nome, placa, celular, destino
        //console.log('id: ' + idestadia + ' data/hora: ' + chamada + ' nome: ' + nome + ' placa: ' + placa + ' celular: ' +  celular  + ' destino: ' + destino);
        SalvarCancelar(idestadia, datacancelar, motivo, placa, tipo);
        //$('#cadastro').hide();
        //$('#lista').show();
    }
}


function DesfazChamadaDados()
{
    var grava        = 1;
    var idestadia    = $('#hdnId').attr('data');
    
    //fazer as validações aqui

    if(idestadia=='')
    {
        MensagemBox( 'erro','','Veículo não selecionado!', 2000, 'Ok');
        grava = 0;
    }
    
    if(grava==1)
    {
        
        DesfazChamada(idestadia);
        $('#cadastro').hide();
        $('#lista').show();
    }
}

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

$("#tbChamar tbody").on("click","span[name=consultarBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnBloquear').hide();
    $('#btnDesbloquear').hide();
    $('#btnDesbloquear2').hide();
    $('#btnCancelar').hide();
    $('#btnBloquear2').hide();
    $('#btnCancelar2').hide();
    $('#bloqueio').hide();
    $('#cancelar').hide();
    $('#btnPrioridade').hide();
    $('#btnSemPrioridade').hide();

    
    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    //dados do veiculo
    $('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
    $('#txtPlaca').val($("#" + id + "_veiculo").attr('data2'));
    $('#txtPlaca_carreta').val($("#" + id + "_veiculo").attr('data3'));
    $('#txtMarca').val($("#" + id + "_veiculo").attr('data4'));
    $('#txtModelo').val($("#" + id + "_veiculo").attr('data5'));
    //dados do motorista
    $('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
    $('#txtCpf').val($("#" + id + "_motorista").attr('data3'));
    $('#txtNome').val($("#" + id + "_motorista").attr('data2'));
    $('#txtCelular').val($("#" + id + "_motorista").attr('data4'));
    $('#txtCnh').val($("#" + id + "_motorista").attr('data5'));
    $('#txtCategoria').val($("#" + id + "_motorista").attr('data6'));
    //dados da carga
    $('#txtData').val($("#" + id + "_data").attr('data'));
    $('#txtEntrada').val($("#" + id + "_entrada").attr('data'));
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
    $('#cbProduto').val($("#" + id + "_produto").attr('data'));
    $('#cbTransp').val($("#" + id + "_transportador").attr('data'));
    $('#cbDestino').val($("#" + id + "_destino").attr('data'));
    $('#txtOperacao').val($("#" + id + "_operacao").attr('data'));

    $('#hdnDestino').attr('data', $("#" + id + "_destino").attr('data2'));
    
    $('#cbTipocarga').val($("#" + id + "_tipocarga").attr('data'));
    $('#txtQtde').val($("#" + id + "_qtde").attr('data'));
    $('#txtPedido').val($("#" + id + "_pedido").attr('data'));
    $('#txtObs').val($("#" + id + "_obs").attr('data'));
    $('#txtCliente').val($("#" + id + "_cliente").attr('data2'));
    $('#txtFormula').val($("#" + id + "_formula").attr('data'));

    var cliente = $("#" + id + "_cliente").attr('data');

    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var agora = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
    $('#hdnDataChamada').attr('data', agora);

    //desabilita campos
    //$('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
    $('#txtCliente').prop('disabled',true);
    $('#txtPlaca').prop('disabled',true);
    $('#txtPlaca_carreta').prop('disabled',true);
    $('#txtMarca').prop('disabled',true);
    $('#txtModelo').prop('disabled',true);
    //dados do motorista
    //$('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
    $('#txtCpf').prop('disabled',true);
    $('#txtNome').prop('disabled',true);
    $('#txtCelular').prop('disabled',true);
    $('#txtCnh').prop('disabled',true);
    $('#txtCategoria').prop('disabled',true);
    //dados da carga
    $('#txtData').prop('disabled',true);
    $('#txtEntrada').prop('disabled',true);
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
    $('#cbProduto').prop('disabled',true);
    $('#cbTransp').prop('disabled',true);
    $('#cbDestino').prop('disabled',true);
    $('#cbTipocarga').prop('disabled',true);
    $('#txtQtde').prop('disabled',true);
    $('#txtPedido').prop('disabled',true);
    $('#txtObs').prop('disabled',true);
    $('#txtOperacao').prop('disabled',true);
    $('#txtFormula').prop('disabled',true);

   
});

$("#tbHistorico tbody").on("click","span[name=consultarBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnBloquear').hide();
    $('#btnDesbloquear').hide();
    $('#btnDesbloquear2').hide();
    $('#btnCancelar').hide();
    $('#btnBloquear2').hide();
    $('#btnCancelar2').hide();
    $('#bloqueio').hide();
    $('#cancelar').hide();
    
    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    //dados do veiculo
    $('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
    $('#txtPlaca').val($("#" + id + "_veiculo").attr('data2'));
    $('#txtPlaca_carreta').val($("#" + id + "_veiculo").attr('data3'));
    $('#txtMarca').val($("#" + id + "_veiculo").attr('data4'));
    $('#txtModelo').val($("#" + id + "_veiculo").attr('data5'));
    //dados do motorista
    $('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
    $('#txtCpf').val($("#" + id + "_motorista").attr('data3'));
    $('#txtNome').val($("#" + id + "_motorista").attr('data2'));
    $('#txtCelular').val($("#" + id + "_motorista").attr('data4'));
    $('#txtCnh').val($("#" + id + "_motorista").attr('data5'));
    $('#txtCategoria').val($("#" + id + "_motorista").attr('data6'));
    //dados da carga
    $('#txtData').val($("#" + id + "_data").attr('data'));
    $('#txtEntrada').val($("#" + id + "_entrada").attr('data'));
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
    $('#cbProduto').val($("#" + id + "_produto").attr('data'));
    $('#cbTransp').val($("#" + id + "_transportador").attr('data'));
    $('#cbDestino').val($("#" + id + "_destino").attr('data'));
    $('#txtOperacao').val($("#" + id + "_operacao").attr('data'));

    $('#hdnDestino').attr('data', $("#" + id + "_destino").attr('data2'));
    
    $('#cbTipocarga').val($("#" + id + "_tipocarga").attr('data'));
    $('#txtQtde').val($("#" + id + "_qtde").attr('data'));
    $('#txtPedido').val($("#" + id + "_pedido").attr('data'));
    $('#txtObs').val($("#" + id + "_obs").attr('data'));
    $('#txtCliente').val($("#" + id + "_cliente").attr('data2'));
    $('#txtFormula').val($("#" + id + "_formula").attr('data'));

    var cliente = $("#" + id + "_cliente").attr('data');

    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var agora = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
    $('#hdnDataChamada').attr('data', agora);

    //desabilita campos
    //$('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
    $('#txtCliente').prop('disabled',true);
    $('#txtPlaca').prop('disabled',true);
    $('#txtPlaca_carreta').prop('disabled',true);
    $('#txtMarca').prop('disabled',true);
    $('#txtModelo').prop('disabled',true);
    //dados do motorista
    //$('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
    $('#txtCpf').prop('disabled',true);
    $('#txtNome').prop('disabled',true);
    $('#txtCelular').prop('disabled',true);
    $('#txtCnh').prop('disabled',true);
    $('#txtCategoria').prop('disabled',true);
    //dados da carga
    $('#txtData').prop('disabled',true);
    $('#txtEntrada').prop('disabled',true);
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
    $('#cbProduto').prop('disabled',true);
    $('#cbTransp').prop('disabled',true);
    $('#cbDestino').prop('disabled',true);
    $('#cbTipocarga').prop('disabled',true);
    $('#txtQtde').prop('disabled',true);
    $('#txtPedido').prop('disabled',true);
    $('#txtObs').prop('disabled',true);
    $('#txtOperacao').prop('disabled',true);
    $('#txtFormula').prop('disabled',true);
   
});

$("#tbChamar tbody").on("click","span[name=bloquearBtn]",function()
{
    var bloquear = $('#hdnBloquear').attr('data');
    
    if(bloquear=='1')      //usuario é autorizado a bloquear
    {
        $('#cadastro').show();
        $('#lista').hide();
        $('#btnBloquear').show();
        $('#btnDesbloquear').hide();
        $('#btnCancelar').hide();
        $('#btnBloquear2').show();
        $('#btnDesbloquear2').hide();
        $('#btnCancelar2').hide();
        $('#btnPrioridade').hide();
        $('#btnSemPrioridade').hide();
        
        LimparCampos();

        var id = $(this).attr("data");

        $('#hdnId').attr('data',id);
        //dados do veiculo
        $('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
        $('#txtPlaca').val($("#" + id + "_veiculo").attr('data2'));
        $('#txtPlaca_carreta').val($("#" + id + "_veiculo").attr('data3'));
        $('#txtMarca').val($("#" + id + "_veiculo").attr('data4'));
        $('#txtModelo').val($("#" + id + "_veiculo").attr('data5'));
        //dados do motorista
        $('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
        $('#txtCpf').val($("#" + id + "_motorista").attr('data3'));
        $('#txtNome').val($("#" + id + "_motorista").attr('data2'));
        $('#txtCelular').val($("#" + id + "_motorista").attr('data4'));
        $('#txtCnh').val($("#" + id + "_motorista").attr('data5'));
        $('#txtCategoria').val($("#" + id + "_motorista").attr('data6'));
        //dados da carga
        $('#txtData').val($("#" + id + "_data").attr('data'));
        $('#txtEntrada').val($("#" + id + "_entrada").attr('data'));
        $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
        $('#cbProduto').val($("#" + id + "_produto").attr('data'));
        $('#cbTransp').val($("#" + id + "_transportador").attr('data'));
        $('#cbDestino').val($("#" + id + "_destino").attr('data'));
        $('#txtOperacao').val($("#" + id + "_operacao").attr('data'));

        $('#hdnDestino').attr('data', $("#" + id + "_destino").attr('data2'));
        
        $('#cbTipocarga').val($("#" + id + "_tipocarga").attr('data'));
        $('#txtQtde').val($("#" + id + "_qtde").attr('data'));
        $('#txtPedido').val($("#" + id + "_pedido").attr('data'));
        $('#txtObs').val($("#" + id + "_obs").attr('data'));
        $('#txtCliente').val($("#" + id + "_cliente").attr('data2'));
        $('#txtFormula').val($("#" + id + "_formula").attr('data'));

        var bloqueio = $("#" + id + "_bloqueio").attr('data');
        if(bloqueio=='1')
        {
            $('#btnBloquear').hide();
            $('#btnDesbloquear').show();
            $('#btnBloquear2').hide();
            $('#btnDesbloquear2').show();
        }
        else
        {
            $('#btnBloquear').show();
            $('#btnDesbloquear').hide();
            $('#btnBloquear2').show();
            $('#btnDesbloquear2').hide();
        }

        var cliente = $("#" + id + "_cliente").attr('data');

        var data = new Date();
        var dia = data.getDate();
        var mes = data.getMonth() + 1;
        var ano = data.getFullYear();
        var hora = data.getHours();
        var minuto = data.getMinutes();
        var segundo = data.getSeconds();
        if(dia<10){dia = '0'+dia}
        if(mes<10){mes = '0'+mes}
        if(hora<10){hora = '0'+hora}
        if(minuto<10){minuto = '0'+minuto}
        if(segundo<10){segundo = '0'+segundo}
        
        var agora = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
        $('#hdnDataBloqueio').attr('data', agora);

        //desabilita campos
        //$('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
        $('#txtCliente').prop('disabled',true);
        $('#txtPlaca').prop('disabled',true);
        $('#txtPlaca_carreta').prop('disabled',true);
        $('#txtMarca').prop('disabled',true);
        $('#txtModelo').prop('disabled',true);
        //dados do motorista
        //$('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
        $('#txtCpf').prop('disabled',true);
        $('#txtNome').prop('disabled',true);
        $('#txtCelular').prop('disabled',true);
        $('#txtCnh').prop('disabled',true);
        $('#txtCategoria').prop('disabled',true);
        //dados da carga
        $('#txtData').prop('disabled',true);
        $('#txtEntrada').prop('disabled',true);
        $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
        $('#cbProduto').prop('disabled',true);
        $('#cbTransp').prop('disabled',true);
        $('#cbDestino').prop('disabled',true);
        $('#cbTipocarga').prop('disabled',true);
        $('#txtQtde').prop('disabled',true);
        $('#txtPedido').prop('disabled',true);
        $('#txtObs').prop('disabled',true);
        $('#txtOperacao').prop('disabled',true);
        $('#txtFormula').prop('disabled',true);   
    }
    else 
    {
        MensagemBox( 'erro','','Você não está autorizado para realizar bloqueios. Favor procurar o Adm do Pátio!', 5000, 'Ok');
    }
});


$("#tbChamar tbody").on("click","span[name=cancelarBtn]",function()
{
    var cancelar = $('#hdnCancelar').attr('data');
    
    if(cancelar=='1')      //usuario é autorizado a cancelar
    {
        $('#cadastro').show();
        $('#lista').hide();
        $('#btnBloquear').hide();
        $('#btnDesbloquear').hide();
        $('#btnCancelar').show();
        $('#btnBloquear2').hide();
        $('#btnDesbloquear2').hide();
        $('#btnCancelar2').show();
        $('#btnPrioridade').hide();
        $('#btnSemPrioridade').hide();
        
        LimparCampos();

        var id = $(this).attr("data");

        $('#hdnId').attr('data',id);
        //dados do veiculo
        $('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
        $('#txtPlaca').val($("#" + id + "_veiculo").attr('data2'));
        $('#txtPlaca_carreta').val($("#" + id + "_veiculo").attr('data3'));
        $('#txtMarca').val($("#" + id + "_veiculo").attr('data4'));
        $('#txtModelo').val($("#" + id + "_veiculo").attr('data5'));
        //dados do motorista
        $('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
        $('#txtCpf').val($("#" + id + "_motorista").attr('data3'));
        $('#txtNome').val($("#" + id + "_motorista").attr('data2'));
        $('#txtCelular').val($("#" + id + "_motorista").attr('data4'));
        $('#txtCnh').val($("#" + id + "_motorista").attr('data5'));
        $('#txtCategoria').val($("#" + id + "_motorista").attr('data6'));
        //dados da carga
        $('#txtData').val($("#" + id + "_data").attr('data'));
        $('#txtEntrada').val($("#" + id + "_entrada").attr('data'));
        $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
        $('#cbProduto').val($("#" + id + "_produto").attr('data'));
        $('#cbTransp').val($("#" + id + "_transportador").attr('data'));
        $('#cbDestino').val($("#" + id + "_destino").attr('data'));
        $('#txtOperacao').val($("#" + id + "_operacao").attr('data'));

        $('#hdnDestino').attr('data', $("#" + id + "_destino").attr('data2'));
        
        $('#cbTipocarga').val($("#" + id + "_tipocarga").attr('data'));
        $('#txtQtde').val($("#" + id + "_qtde").attr('data'));
        $('#txtPedido').val($("#" + id + "_pedido").attr('data'));
        $('#txtObs').val($("#" + id + "_obs").attr('data'));
        $('#txtCliente').val($("#" + id + "_cliente").attr('data2'));
        $('#txtFormula').val($("#" + id + "_formula").attr('data'));

       /*  var bloqueio = $("#" + id + "_bloqueio").attr('data');
        if(bloqueio=='1')
        {
            $('#btnBloquear').hide();
            $('#btnDesbloquear').show();
            $('#btnBloquear2').hide();
            $('#btnDesbloquear2').show();
        }
        else
        {
            $('#btnBloquear').show();
            $('#btnDesbloquear').hide();
            $('#btnBloquear2').show();
            $('#btnDesbloquear2').hide();
        } */

        var cliente = $("#" + id + "_cliente").attr('data');

        var data = new Date();
        var dia = data.getDate();
        var mes = data.getMonth() + 1;
        var ano = data.getFullYear();
        var hora = data.getHours();
        var minuto = data.getMinutes();
        var segundo = data.getSeconds();
        if(dia<10){dia = '0'+dia}
        if(mes<10){mes = '0'+mes}
        if(hora<10){hora = '0'+hora}
        if(minuto<10){minuto = '0'+minuto}
        if(segundo<10){segundo = '0'+segundo}
        
        var agora = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
        $('#hdnDataCancelar').attr('data', agora);

        //desabilita campos
        //$('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
        $('#txtCliente').prop('disabled',true);
        $('#txtPlaca').prop('disabled',true);
        $('#txtPlaca_carreta').prop('disabled',true);
        $('#txtMarca').prop('disabled',true);
        $('#txtModelo').prop('disabled',true);
        //dados do motorista
        //$('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
        $('#txtCpf').prop('disabled',true);
        $('#txtNome').prop('disabled',true);
        $('#txtCelular').prop('disabled',true);
        $('#txtCnh').prop('disabled',true);
        $('#txtCategoria').prop('disabled',true);
        //dados da carga
        $('#txtData').prop('disabled',true);
        $('#txtEntrada').prop('disabled',true);
        $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
        $('#cbProduto').prop('disabled',true);
        $('#cbTransp').prop('disabled',true);
        $('#cbDestino').prop('disabled',true);
        $('#cbTipocarga').prop('disabled',true);
        $('#txtQtde').prop('disabled',true);
        $('#txtPedido').prop('disabled',true);
        $('#txtObs').prop('disabled',true);
        $('#txtOperacao').prop('disabled',true);
        $('#txtFormula').prop('disabled',true);   
    }
    else 
    {
        MensagemBox( 'erro','','Você não está autorizado para realizar cancelamentos. Favor procurar o Adm do Pátio!', 5000, 'Ok');
    }
});


$("#tbChamar tbody").on("click","span[name=ocorrenciaBtn]",function()
{
    var ocorrencia = $('#hdnOcorrencia').attr('data');
    
    if(ocorrencia=='1')      //usuario é autorizado a cadastrar ocorrencia
    {
        $('#cadastro').hide();
        $('#lista').hide();
        $('#btnBloquear').hide();
        $('#btnDesbloquear').hide();
        $('#btnCancelar').hide();
        $('#btnBloquear2').hide();
        $('#btnDesbloquear2').hide();
        $('#btnCancelar2').hide();
        $('#cadocorrencia').show();
        $('#btnPrioridade').hide();
        $('#btnSemPrioridade').hide();

        var id = $(this).attr("data");

        $('#hdnId').attr('data',id);

        $('#txtMotivoBloqueio').val('');
        $('#cbTipoocorrencia').val('');
        $('#txtMotivoOcorrencia').val('');

        var placa = $("#" + id + "_veiculo").attr('data2');
        var motora = $("#" + id + "_motorista").attr('data2');
        var cpf = $("#" + id + "_motorista").attr('data3');
        var produto = $("#" + id + "_produto").attr('data');
        var operacao = $("#" + id + "_operacao").attr('data');
        var cliente = $("#" + id + "_cliente").attr('data2');

        $('#titulo h6').remove();
        $('#titulo').append('<h6><b>' + placa + ' - ' + motora + ' - CPF: ' + cpf + ' - ' + cliente + ' - ' + produto + ' - ' + operacao + '</h6>');

        var data = new Date();
        var dia = data.getDate();
        var mes = data.getMonth() + 1;
        var ano = data.getFullYear();
        var hora = data.getHours();
        var minuto = data.getMinutes();
        var segundo = data.getSeconds();
        if(dia<10){dia = '0'+dia}
        if(mes<10){mes = '0'+mes}
        if(hora<10){hora = '0'+hora}
        if(minuto<10){minuto = '0'+minuto}
        if(segundo<10){segundo = '0'+segundo}
        
        var agora = dia + '-' + mes + '-' + ano + ' ' + hora + ':' + minuto + ':' + segundo;
        var agora2 = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
        
        $('#hdnDataOcorrencia').attr('data', agora2);
        $('#txtDataOcorrencia').val(agora);
        $('#hdnPlaca').attr('data', placa);

        //desabilita campos
        $('#txtDataOcorrencia').prop('disabled',true);

        PesquisarOcorrencia2(placa);

    }
    else 
    {
        MensagemBox( 'erro','','Você não está autorizado para cadastrar ocorrências. Favor procurar o Adm do Pátio!', 5000, 'Ok');
    }
});


function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtPlaca').val('');   
    $('#txtTitulo').val('');   
    $('#txtCodigo').val('');   

}

function PesquisarPatio(cliente)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-patio-vivo",
        method: 'post',
        data:
        {
            cliente: cliente
        },
        beforeSend: function()
        {
            $('#tbChamar tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-sign-out-alt"></i>&nbsp;';
                var qtde = 0;
                var total = '';

                data.consulta.forEach(item =>
                {
                    var status = '';
                    qtde = qtde + 1;

                    var chamado = item.foichamado;
                    if(chamado=='1')
                    {
                        chamado = ' <br><span class="badge badge-success estilobag" style="color: #000;"><i class="fas fa-bullhorn fa-lg"></i>&nbsp;FOI CHAMADO</span> Chamado por: ' + item.chamadopor +  ' em: ' + item.datachamada + ' ';
                    }
                    else 
                    {
                        chamado = ' ';
                    }

                    if(item.status=='AG')
                    {
                        status = '<span class="badge badge-success estilobag">AGENDADO</span>';
                    }
                    else if(item.status=='ET')
                    {
                        status = '<span class="badge badge-info estilobag">EM TRÂNSITO</span>';
                    }
                    else if(item.status=='PA')
                    {
                        status = '<span class="badge badge-dark estilobag">NO PÁTIO</span>';
                    }
                    else if(item.status=='NF')
                    {
                        status = '<span class="badge badge-warning estilobag">NA FÁBRICA</span>';
                    }
                    else if(item.status=='RC')
                    {
                        status = '<span class="badge badge-warning estilobag">RECEBIDO CLIENTE</span>';
                    }
                    else if(item.status=='CL')
                    {
                        status = '<span class="badge badge-danger estilobag">CANCELADO</span>';
                    }
                    else if(item.status=='FN')
                    {
                        status = '<span class="badge badge-secondary estilobag">FINALIZADO</span>';
                    }
                    else
                    {
                        status = '<span class="badge badge-dark estilobag"></span>';
                    }

                    var tipocarga = item.tipocarga;
                    var inspecao = item.inspecao;
                    var status_inspecao = item.status_inspecao;
                    var stainsp = item.status_inspecao;
                    var unidade = item.unidade;
                    var pedido = item.pedido; 
                    if(pedido!='')
                    {
                        //pedido = ' - Nº PEDIDO: ' + pedido;
                        pedido = ' - <i class="far fa-file-alt"></i>&nbsp;PEDIDO: ' + item.pedido + ' ';
                    }

                    if(status_inspecao=='PENDENTE')
                    {
                        status_inspecao = '<i class="fa fa-file-pdf-o" style="color: gray;"></i>&nbsp;';
                    }
                    else if(status_inspecao=='INICIADO')
                    {
                        status_inspecao = '<i class="fa fa-file-pdf-o" style="color: lightskyblue;"></i>&nbsp;';
                    }
                    else if(status_inspecao=='APROVADO')
                    {
                        status_inspecao = '<i class="fa fa-file-pdf-o" style="color: green;"></i>&nbsp;';
                    }
                    else if(status_inspecao=='REPROVADO')
                    {
                        status_inspecao = '<i class="fa fa-file-pdf-o" style="color: red;"></i>&nbsp;';
                    }

                    var statusinsp = item.status_inspecao;
                    if(statusinsp=='PENDENTE')
                    {
                        statusinsp = '&nbsp;&nbsp;<span class="badge badge-info estilobag" title="inspeção pendente."><i class="far fa-star fa-lg"></i> INSPEÇÃO PENDENTE</span>';
                    }
                    else if(statusinsp=='APROVADO')
                    {
                        statusinsp = '&nbsp;&nbsp;<span class="badge badge-success estilobag" title="inspeção aprovada."><i class="far fa-star fa-2x"></i> INSPEÇÃO APROVADA</span>';
                    }
                    else if(statusinsp=='REPROVADO')
                    {
                        statusinsp = '&nbsp;&nbsp;<span class="badge badge-danger estilobag" title="inspeção reprovada."><i class="far fa-square fa-2x"></i> INSPEÇÃO REPROVADA</span>';
                    }
                    else   
                    {
                        statusinsp = ''
                    }

                    var icotruck = '<i class="fas fa-truck"></i>&nbsp;';
                    var icodata = '<i class="fas fa-clock fa-lg"></i>&nbsp;';
                    var icomotora = '<i class="fas fa-user-tie"></i>&nbsp;';
                    var icocarga = '<i class="fas fa-truck-loading"></i>&nbsp;';
                    var icodestino = '<i class="fas fa-map-marker-alt fa-lg"></i>&nbsp;';
                    
                    var operacao = '';
                    if(item.operacao=='C')
                    {
                        operacao = 'CARREGAMENTO';
                    }
                    else if(item.operacao=='D')
                    {
                        operacao = 'DESCARREGAMENTO';
                    }
                    
                    var lock = item.bloqueio;
                    if(lock=='1')
                    {
                        lock = '&nbsp;&nbsp;<span class="badge badge-danger estilobag" title="veículo bloqueado. ' + item.motivo + '"><i class="fas fa-lock fa-2x"></i> BLOQUEADO</span>';
                        //lock = '&nbsp;&nbsp;<span style="color: #ff0000;" title="veículo bloqueado. ' + item.motivo + '"></span> <span class="badge badge-danger estilobag"><i class="fas fa-lock fa-lg"></i> BLOQUEADO</span>';
                    }
                    else 
                    {
                        lock = '';
                    }


                    var prior = item.prioridade;
                    if(prior=='1')
                    {
                        prior = '&nbsp;&nbsp;<span class="badge badge-success estilobag" title="veículo com prioridade na limpeza."><i class="far fa-star fa-lg"></i> PRIORIDADE</span>';
                        //lock = '&nbsp;&nbsp;<span style="color: #ff0000;" title="veículo bloqueado. ' + item.motivo + '"></span> <span class="badge badge-danger estilobag"><i class="fas fa-lock fa-lg"></i> BLOQUEADO</span>';
                    }
                    else 
                    {
                        prior = '';
                    }

                    var ocorrencia = item.qtde_ocorr;
                    if(ocorrencia!='0')
                    {
                        ocorrencia = '&nbsp;&nbsp;<span style="color: #0066ff;" title="a estadia possui ' + item.qtde_ocorr + ' ocorrências"><i class="far fa-comment-dots fa-lg"></i> (' + item.qtde_ocorr + ')</span>';
                    }
                    else 
                    {
                        ocorrencia = '';
                    }

                    if(item.inspecao=='0')
                    {
                        insp='<span>...</span>';
                    }
                    else
                    {
                        if(item.unidade=='2')   //ROMA
                        {
                            //insp= '<a target="_blank" href="/public/pdfinsp/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                            insp= '<a target="_blank" href="/pdfinsp/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                        }
                        else if(item.unidade=='1')   //FTO
                        {
                            //insp= '<a target="_blank" href="/public/pdfinspfto/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                            insp= '<a target="_blank" href="/pdfinspfto/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                        }
                        else if(item.unidade=='3')   //OUTRO
                        {
                            insp= '<a target="_blank" href="/public/pdfinspbrasil/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                            //insp= '<a target="_blank" href="/pdfinspsoene/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                        }
                        //insp= '<a target="_blank" href="/pdfinsp/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                    }
                    
                    //console.log('tipo carga: ' + tipocarga + ' status insp: ' + stainsp);
                    var tipoveiculo = item.tipoveiculo;
                    //console.log('tipo veic: ' + tipoveiculo);

                    if(tipoveiculo==' NÃO DEFINIDO')
                    {
                        tipoveiculo = '';
                    }
                    else 
                    {
                        tipoveiculo = ' - ' + tipoveiculo;
                    }

                    var chamar ='';
                    if((tipocarga=='GR' || tipocarga=='BG') && stainsp=='APROVADO' && unidade=='2')     //ROMA
                    {
                        chamar = '<span name="editBtn" class="fas fa-bullhorn fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span> &nbsp;&nbsp;' + insp + '';
                    }
                    else if((tipocarga=='GR' || tipocarga=='BG') && unidade=='1')                       //SOENE
                    {
                        chamar = '<span name="editBtn" class="fas fa-bullhorn fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span> &nbsp;&nbsp;' + insp + '';
                    }
                    else if((tipocarga=='GR' || tipocarga=='BG') && unidade=='3')                       //OUTRO
                    {
                        chamar = '<span name="editBtn" class="fas fa-bullhorn fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span> &nbsp;&nbsp;' + insp + '';
                    }
                    else if((tipocarga=='CS' || tipocarga=='TQ'))
                    {
                        chamar = '<span name="editBtn" class="fas fa-bullhorn fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span> &nbsp;&nbsp;';
                    }
                    else
                    {
                        chamar = '<span>...</span>';
                    }

                    var consultar = '';     //consultar detalhe
                    consultar = '<span name="consultarBtn" class="fas fa-search fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #0066ff;" title="Consultar"></span> &nbsp;&nbsp;';

                    var ocorr = '';     //ocorrencias
                    ocorr = '<span name="ocorrenciaBtn" class="far fa-comment-dots fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #0066ff;" title="Ocorrências"></span> &nbsp;&nbsp;';

                    var bloqueio = '';     //bloqueio
                    bloqueio = '<span name="bloquearBtn" class="fas fa-lock fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #006600;" title="Bloquear"></span> &nbsp;&nbsp;';
                    
                    var cancelar = '';     //cancelar
                    cancelar = '<span name="cancelarBtn" class="fas fa-times fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #ff0000;" title="Cancelar"></span> &nbsp;&nbsp;';
                 
                    var prioridade = '';
                    if(status_inspecao!='')
                    {
                        prioridade = '<span name="prioridadeBtn" class="far fa-star fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #009933;" title="Prioridade na inspeção"></span> &nbsp;&nbsp;';
                    }
                    var produto = item.produto;
                    if(item.formula!='')
                    {
                        produto = produto + ' - <i class="fas fa-flask"></i> FÓRMULA: (' + item.formula + ') '
                    }
                    
                    var linha = '<tr>'
                            //+      '<td id="'+ item.id +'_data" data="' + item.dataprev + ' ' + item.horaprev + '" style="font-size: 12pt;"><b>' + icodata + ' ' + item.dataprev + ' ' + item.horaprev + ' - ' + icotruck + ' ' + item.placa + ' - ' + item.placa_carreta + ' - ' + icomotora + ' ' + item.motorista + '</b> ' + status + ' ' + chamado + '<br>' + icocarga + item.produto + ' - ' + item.qtde + ' - ' + icodestino + item.cliente + '/' + item.destino + ' - ' + item.transportador + '</td>'
                            +      '<td id="'+ item.id +'_data" data="' + item.dataprev + ' ' + item.horaprev + '" style="font-size: 12pt;"><b>' + icodata + '</b> Entrada: <b>' + item.dataentrada + '</b> - <b>'  + icotruck + ' ' + item.placa + ' - ' + item.placa_carreta  + tipoveiculo + ' - ' + icomotora + ' ' + item.motorista + '</b> ' + status + ' ' + lock + ' ' +  ocorrencia + ' ' + prior + ' ' + chamado + statusinsp + '<br>' + icocarga + produto + ' - Qtde: ' + item.qtde + ' ton - ' +  pedido + ' - ' + operacao + ' - ' + icodestino + item.cliente + '/' + item.destino + ' - ' + item.transportador + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_cliente" data="'+ item.idcliente +'" data2="'+ item.cliente +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_veiculo" data="'+ item.idveiculo +'" data2="'+ item.placa +'" data3="'+ item.placa_carreta + '" data4="'+ item.marca +'" data5="'+ item.modelo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_motorista" data="'+ item.idmotorista +'" data2="'+ item.motorista +'" data3="'+ item.cpf + '" data4="'+ item.celular +'" data5="'+ item.cnh +'"  data6="'+ item.categoria +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_produto" data="'+ item.idproduto +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_transportador" data="'+ item.idtransportador +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_destino" data="'+ item.iddestino +'" data2="'+ item.destino +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_dataprev" data="'+ item.dataprev +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_datachamada" data="'+ item.datachamada +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_datasaida" data="'+ item.datasaida +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_foichamado" data="'+ item.foichamado +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_status" data="'+ item.status +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_qtde" data="'+ item.qtde +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_pedido" data="'+ item.pedido +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_obs" data="'+ item.obs +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_tipocarga" data="'+ item.tipocarga +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_entrada" data="'+ item.dataentrada +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_inspecao" data="'+ item.inspecao +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_formula" data="'+ item.formula +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_operacao" data="'+ operacao +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_status_inspecao" data="'+ item.status_inspecao +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_bloqueio" data="'+ item.bloqueio +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_motivo" data="'+ item.motivo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_prioridade" data="'+ item.prioridade +'"/>'
                            
                            +      '<td width="10%" class="text-center">' + consultar + ocorr + '&nbsp;' + bloqueio + '&nbsp;' + cancelar + '&nbsp;' + insp + '&nbsp;' + prioridade
                            
                            +      '</td>'
                            
                            +   '</tr>';

                        $('#tbChamar tbody').append(linha);
                        total = '<tr><td style="font-size: 12pt;">Total de veículos: ' + qtde + '</td><td></td></tr>';


                });
                $('#tbChamar tbody').append(total);
            }
            else
            {
                $('#tbChamar tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function SalvarOcorrencia(idestadia, dataocorr, motivo, placa, tipo)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-ocorrencia",
        method: 'post',
        data:
        {
            
            idestadia:      idestadia, 
            dataocorr:   dataocorr, 
            motivo:         motivo, 
            placa:          placa, 
            tipo:           tipo
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Ocorrência registrada com sucesso!', 2000, 'Ok');

            $('#txtMotivoBloqueio').val('');
            $('#cbTipoocorrencia').val('');
            $('#txtMotivoOcorrencia').val('');

            var cliente = $('#cbClientePesq').val();
            PesquisarPatio(cliente);
            PesquisarOcorrencia2(placa);

        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarBloqueio(idestadia, databloqueio, motivo, placa, tipo)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-bloqueio",
        method: 'post',
        data:
        {
            /* $idestadia  = $request->idestadia;
            $placa      = $request->placa;
            $tipo       = $request->tipo;
            $motivo     = $request->motivo;
            $databloq   = $request->databloqueio; */


            idestadia:      idestadia, 
            databloqueio:   databloqueio, 
            motivo:         motivo, 
            placa:          placa, 
            tipo:           tipo
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Veículo bloqueado com sucesso!', 2000, 'Ok');

            var cliente = $('#cbClientePesq').val();
            PesquisarPatio(cliente);

        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function SalvarCancelar(idestadia, datacancelar, motivo, placa, tipo)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-cancelar",
        method: 'post',
        data:
        {
           
            idestadia:      idestadia, 
            datacancelar:   datacancelar, 
            motivo:         motivo, 
            placa:          placa, 
            tipo:           tipo
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Estadia cancelada com sucesso!', 2000, 'Ok');

            var cliente = $('#cbClientePesq').val();
            PesquisarPatio(cliente);

        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarDesbloqueio(idestadia, databloqueio, placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-desbloqueio",
        method: 'post',
        data:
        {
            

            idestadia:      idestadia, 
            databloqueio:   databloqueio, 
            placa:          placa
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Veículo desbloqueado com sucesso!', 2000, 'Ok');

            var cliente = $('#cbClientePesq').val();
            PesquisarPatio(cliente);

        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function DesfazChamada(idestadia)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-desfaz-chamada",
        method: 'post',
        data:
        {
            idestadia: idestadia 
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Chamada desfeita com sucesso!', 2000, 'Ok');
        
            var cliente = $('#cbClientePesq').val();
            var inspecao = $('#cbInspecao').find(":selected").text();
            var ordem = $('#cbOrdem').val();
            PesquisarChamar(cliente, ordem,'',inspecao);
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente-vivo",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbClientePesq').empty();
            $('#cbClientePesq').append('<option value="">Carregando...</option>');
            
            
            $('#cbClientePesq').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbClientePesq').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbClientePesq').empty();
                $('#cbClientePesq').append('<option value="">TODOS...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbClientePesq').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });

            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarProduto2()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-produto-vivo",
        method: 'post',
        data:
        {
           //cliente: 
        },
        beforeSend: function()
        {
            $('#cbProduto').empty();
            $('#cbProduto').append('<option value="">Carregando...</option>');
            $('#cbProduto').prop('disabled',true);
        },
        complete: function()
        {
            //$('#cbProduto').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbProduto').empty();
                $('#cbProduto').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    var produto = item.descricao;
                    if(item.formula!='')
                    {
                        produto = produto + ' - Formula: ' + item.formula;
                    }
                    $('#cbProduto').append('<option value="' + item.id + '">' + produto + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarDestino2()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-destino-receber",
        method: 'post',
        data:
        {
           //cliente: ''
        },
        beforeSend: function()
        {
            $('#cbDestino').empty();
            $('#cbDestino').append('<option value="">Carregando...</option>');
            $('#cbDestino').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbDestino').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbDestino').empty();
                $('#cbDestino').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbDestino').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarTransp()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-transp-vivo",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbTransp').empty();
            $('#cbTransp').append('<option value="">Carregando...</option>');
            $('#cbTransp').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbTransp').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTransp').empty();
                $('#cbTransp').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    
                    $('#cbTransp').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function BuscarCliente(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-cliente",
        method: 'post',
        data:
        {
           idcliente: cliente
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtCliente').val(item.nome);
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}



function BuscarMotorista(cpf)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-motorista-cpf",
        method: 'post',
        data:
        {
           cpf: cpf
        },
        beforeSend: function()
        {
            $('#txtNome').val('');
            $('#txtCelular').val('');
            $('#txtCnh').val('');
            $('#txtCategoria').val('');
            $('#hdnMotorista').attr('data',0);

            $('#txtNome').prop('disabled',true);
            //$('#txtCelular').prop('disabled',true);
            $('#txtCnh').prop('disabled',true);
            $('#txtCategoria').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtNome').val(item.nome);
                    $('#txtCelular').val(item.celular);
                    $('#txtCnh').val(item.cnh);
                    $('#txtCategoria').val(item.categoria);
                    $('#hdnMotorista').attr('data',item.id);
                });
            }
            else 
            {
                MensagemBox('alerta','Busca Motorista','Motorista não encontrado!', 2000, 'Ok');
                $('#txtNome').prop('disabled',false);
                //$('#txtCelular').prop('disabled',false);
                $('#txtCnh').prop('disabled',false);
                $('#txtCategoria').prop('disabled',false);

                //MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

$('#txtCpf').keyup(function(event)
{
    var cpf = $('#txtCpf').val();
    var tamanho = cpf.length;

    //console.log('tamanho: ' + tamanho);
    if(tamanho==11)
    {
        BuscarMotorista(cpf)
    }
    else
    {
        LimpaCamposMotorista()
    }
});

function LimpaCamposMotorista()
{
    $('#txtNome').val('');
    $('#txtCelular').val('');
    $('#txtCnh').val('');
    $('#txtCategoria').val('');
    $('#hdnMotorista').attr('data',0);
}


function BuscarVeiculo(placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-veiculo-placa",
        method: 'post',
        data:
        {
           placa: placa
        },
        beforeSend: function()
        {
            $('#txtPlaca_carreta').val('');
            $('#txtMarca').val('');
            $('#txtmodelo').val('');
            $('#hdnVeiculo').attr('data',0);

            //$('#txtPlaca_carreta').prop('disabled',true);
            $('#txtMarca').prop('disabled',true);
            $('#txtModelo').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtPlaca_carreta').val(item.placa_carreta);
                    $('#txtMarca').val(item.marca);
                    $('#txtModelo').val(item.modelo);
                    $('#hdnVeiculo').attr('data',item.id);
                });
            }
            else 
            {
                MensagemBox('alerta','Busca Veículo','Veículo não encontrado!', 2000, 'Ok');
                //$('#txtPlaca_carreta').prop('disabled',false);
                $('#txtMarca').prop('disabled',false);
                $('#txtModelo').prop('disabled',false);
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


$('#txtPlaca').keyup(function(event)
{
    var placa = $('#txtPlaca').val();
    var tamanho = placa.length;

    placa = placa.toUpperCase();
    $('#txtPlaca').val(placa);

    //console.log('tamanho: ' + tamanho);
    if(tamanho==7)
    {
        BuscarVeiculo(placa)
    }
    else
    {
        LimpaCamposVeiculo()
    }
});

function LimpaCamposVeiculo()
{
    $('#txtPlaca_carreta').val('');
    $('#txtMarca').val('');
    $('#txtmodelo').val('');
    $('#hdnVeiculo').attr('data',0);
}

function ListarFormula(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-formula",
        method: 'post',
        data:
        {
           cliente: cliente
        },
        beforeSend: function()
        {
            $('#cbFormulaSel').empty();
            $('#cbFormulaSel').append('<option value="">Carregando...</option>');
            $('#cbFormulaSel').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbFormulaSel').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbFormulaSel').empty();
                $('#cbFormulaSel').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbFormulaSel').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function PesquisarHistorico(placa, cliente)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-historico-vivo",
        method: 'post',
        data:
        {
            placa: placa,
            cliente: cliente
        },
        beforeSend: function()
        {
            $('#tbHistorico tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#historico"),'Pesquisando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#historico"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-sign-out-alt"></i>&nbsp;';
                var qtde = 0;
                var total = '';

                data.consulta.forEach(item =>
                {
                    var status = '';
                    qtde = qtde + 1;

                    var chamado = item.foichamado;
                    if(chamado=='1')
                    {
                        chamado = ' <br><span class="badge badge-success estilobag" style="color: #000;"><i class="fas fa-bullhorn fa-lg"></i>&nbsp;FOI CHAMADO</span> Chamado por: ' + item.chamadopor +  ' em: ' + item.datachamada + ' ';
                    }
                    else 
                    {
                        chamado = ' ';
                    }

                    if(item.status=='AG')
                    {
                        status = '<span class="badge badge-success estilobag">AGENDADO</span>';
                    }
                    else if(item.status=='ET')
                    {
                        status = '<span class="badge badge-info estilobag">EM TRÂNSITO</span>';
                    }
                    else if(item.status=='PA')
                    {
                        status = '<span class="badge badge-dark estilobag">NO PÁTIO</span>';
                    }
                    else if(item.status=='NF')
                    {
                        status = '<span class="badge badge-warning">NA FÁBRICA</span>';
                    }
                    else if(item.status=='RC')
                    {
                        status = '<span class="badge badge-warning">RECEBIDO CLIENTE</span>';
                    }
                    else if(item.status=='CL')
                    {
                        status = '<span class="badge badge-danger estilobag">CANCELADO</span>';
                    }
                    else if(item.status=='FN')
                    {
                        status = '<span class="badge badge-secondary">FINALIZADO</span>';
                    }
                    else
                    {
                        status = '<span class="badge badge-dark estilobag"></span>';
                    }

                    var tipocarga = item.tipocarga;
                    var inspecao = item.inspecao;
                    var status_inspecao = item.status_inspecao;
                    var stainsp = item.status_inspecao;
                    var unidade = item.unidade;
                    var pedido = item.pedido; 
                    if(pedido!='')
                    {
                        //pedido = ' - Nº PEDIDO: ' + pedido;
                        pedido = ' - <i class="far fa-file-alt"></i>&nbsp;PEDIDO: ' + item.pedido + ' ';
                    }

                    if(status_inspecao=='PENDENTE')
                    {
                        status_inspecao = '<i class="fa fa-file-pdf-o" style="color: gray;"></i>&nbsp;';
                    }
                    else if(status_inspecao=='INICIADO')
                    {
                        status_inspecao = '<i class="fa fa-file-pdf-o" style="color: lightskyblue;"></i>&nbsp;';
                    }
                    else if(status_inspecao=='APROVADO')
                    {
                        status_inspecao = '<i class="fa fa-file-pdf-o" style="color: green;"></i>&nbsp;';
                    }
                    else if(status_inspecao=='REPROVADO')
                    {
                        status_inspecao = '<i class="fa fa-file-pdf-o" style="color: red;"></i>&nbsp;';
                    }

                    var statusinsp = item.status_inspecao;
                    if(statusinsp=='PENDENTE')
                    {
                        statusinsp = '&nbsp;&nbsp;<span class="badge badge-info estilobag" title="inspeção pendente."><i class="far fa-star fa-lg"></i> INSPEÇÃO PENDENTE</span>';
                    }
                    else if(statusinsp=='APROVADO')
                    {
                        statusinsp = '&nbsp;&nbsp;<span class="badge badge-success estilobag" title="inspeção aprovada."><i class="far fa-star fa-2x"></i> INSPEÇÃO APROVADA</span>';
                    }
                    else if(statusinsp=='REPROVADO')
                    {
                        statusinsp = '&nbsp;&nbsp;<span class="badge badge-danger estilobag" title="inspeção reprovada."><i class="far fa-square fa-2x"></i> INSPEÇÃO REPROVADA</span>';
                    }
                    else   
                    {
                        statusinsp = ''
                    }

                    var icotruck = '<i class="fas fa-truck"></i>&nbsp;';
                    var icodata = '<i class="fas fa-clock fa-lg"></i>&nbsp;';
                    var icomotora = '<i class="fas fa-user-tie"></i>&nbsp;';
                    var icocarga = '<i class="fas fa-truck-loading"></i>&nbsp;';
                    var icodestino = '<i class="fas fa-map-marker-alt fa-lg"></i>&nbsp;';
                    
                    var operacao = '';
                    if(item.operacao=='C')
                    {
                        operacao = 'CARREGAMENTO';
                    }
                    else if(item.operacao=='D')
                    {
                        operacao = 'DESCARREGAMENTO';
                    }
                    
                    var lock = item.bloqueio;
                    if(lock=='1')
                    {
                        lock = '&nbsp;&nbsp;<span class="badge badge-danger estilobag" title="veículo bloqueado. ' + item.motivo + '"><i class="fas fa-lock fa-2x"></i> BLOQUEADO</span>';
                        //lock = '&nbsp;&nbsp;<span style="color: #ff0000;" title="veículo bloqueado. ' + item.motivo + '"></span> <span class="badge badge-danger estilobag"><i class="fas fa-lock fa-lg"></i> BLOQUEADO</span>';
                    }
                    else 
                    {
                        lock = '';
                    }


                    var ocorrencia = item.qtde_ocorr;
                    if(ocorrencia!='0')
                    {
                        ocorrencia = '&nbsp;&nbsp;<span style="color: #0066ff;" title="a estadia possui ' + item.qtde_ocorr + ' ocorrências"><i class="far fa-comment-dots fa-lg"></i> (' + item.qtde_ocorr + ')</span>';
                    }
                    else 
                    {
                        ocorrencia = '';
                    }

                    if(item.inspecao=='0')
                    {
                        insp='<span>...</span>';
                    }
                    else
                    {
                        if(item.unidade=='2')   //ROMA
                        {
                            insp= '<a target="_blank" href="/public/pdfinsp/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                            //insp= '<a target="_blank" href="/pdfinsp/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                        }
                        else if(item.unidade=='1')   //SOENE
                        {
                            insp= '<a target="_blank" href="/public/pdfinspsoene/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                            //insp= '<a target="_blank" href="/pdfinspsoene/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                        }
                        else if(item.unidade=='3')   //INTERBRAS
                        {
                            insp= '<a target="_blank" href="/public/pdfinspbrasil/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                            //insp= '<a target="_blank" href="/pdfinspbrasil/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                        }
                        //insp= '<a target="_blank" href="/pdfinsp/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                    }
                    
                    //console.log('tipo carga: ' + tipocarga + ' status insp: ' + stainsp);
                    var tipoveiculo = item.tipoveiculo;
                    //console.log('tipo veic: ' + tipoveiculo);

                    if(tipoveiculo==' NÃO DEFINIDO')
                    {
                        tipoveiculo = '';
                    }
                    else 
                    {
                        tipoveiculo = ' - ' + tipoveiculo;
                    }

                    /* var chamar ='';
                    if((tipocarga=='GR' || tipocarga=='BG') && stainsp=='APROVADO' && unidade=='2')     //ROMA
                    {
                        chamar = '<span name="editBtn" class="fas fa-bullhorn fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span> &nbsp;&nbsp;' + insp + '';
                    }
                    else if((tipocarga=='GR' || tipocarga=='BG') && unidade=='1')                       //SOENE
                    {
                        chamar = '<span name="editBtn" class="fas fa-bullhorn fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span> &nbsp;&nbsp;' + insp + '';
                    }
                    else if((tipocarga=='GR' || tipocarga=='BG') && unidade=='3')                       //OUTRO
                    {
                        chamar = '<span name="editBtn" class="fas fa-bullhorn fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span> &nbsp;&nbsp;' + insp + '';
                    }
                    else if((tipocarga=='CS' || tipocarga=='TQ'))
                    {
                        chamar = '<span name="editBtn" class="fas fa-bullhorn fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span> &nbsp;&nbsp;';
                    }
                    else
                    {
                        chamar = '<span>...</span>';
                    } */
                    var consultar = '';     //consultar detalhe
                    consultar = '<span name="consultarBtn" class="fas fa-search fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #0066ff;" title="Consultar"></span> &nbsp;&nbsp;';

                    var ocorr = '';     //ocorrencias
                    ocorr = '<span name="ocorrenciaBtn" class="far fa-comment-dots fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #0066ff;" title="Ocorrências"></span> &nbsp;&nbsp;';

                    var bloqueio = '';     //bloqueio
                    bloqueio = '<span name="bloqueioBtn" class="fas fa-lock fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #006600;" title="Bloquear"></span> &nbsp;&nbsp;';
                    
                    var cancelar = '';     //cancelar
                    cancelar = '<span name="cancelarBtn" class="fas fa-times fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #ff0000;" title="Cancelar"></span> &nbsp;&nbsp;';
                 
                    var produto = item.produto;
                    if(item.formula!='')
                    {
                        produto = produto + ' - <i class="fas fa-flask"></i> FÓRMULA: (' + item.formula + ') '
                    }
                    
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_data" data="' + item.dataprev + ' ' + item.horaprev + '" style="font-size: 12pt;"><b>' + icodata + '</b> Entrada: <b>' + item.dataentrada + '</b> - <b>'  + icotruck + ' ' + item.placa + ' - ' + item.placa_carreta  + tipoveiculo + ' - ' + icomotora + ' ' + item.motorista + '</b> ' + status + ' ' + lock + ' ' +  ocorrencia + ' ' + chamado + statusinsp + '<br>' + icocarga + produto + ' - Qtde: ' + item.qtde + ' ton - ' +  pedido + ' - ' + operacao + ' - ' + icodestino + item.cliente + '/' + item.destino + ' - ' + item.transportador + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_cliente" data="'+ item.idcliente +'" data2="'+ item.cliente +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_veiculo" data="'+ item.idveiculo +'" data2="'+ item.placa +'" data3="'+ item.placa_carreta + '" data4="'+ item.marca +'" data5="'+ item.modelo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_motorista" data="'+ item.idmotorista +'" data2="'+ item.motorista +'" data3="'+ item.cpf + '" data4="'+ item.celular +'" data5="'+ item.cnh +'"  data6="'+ item.categoria +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_produto" data="'+ item.idproduto +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_transportador" data="'+ item.idtransportador +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_destino" data="'+ item.iddestino +'" data2="'+ item.destino +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_dataprev" data="'+ item.dataprev +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_datachamada" data="'+ item.datachamada +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_datasaida" data="'+ item.datasaida +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_foichamado" data="'+ item.foichamado +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_status" data="'+ item.status +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_qtde" data="'+ item.qtde +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_pedido" data="'+ item.pedido +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_obs" data="'+ item.obs +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_tipocarga" data="'+ item.tipocarga +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_entrada" data="'+ item.dataentrada +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_inspecao" data="'+ item.inspecao +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_formula" data="'+ item.formula +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_operacao" data="'+ operacao +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_status_inspecao" data="'+ item.status_inspecao +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_bloqueio" data="'+ item.bloqueio +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_motivo" data="'+ item.motivo +'"/>'
                            
                            +      '<td width="10%" class="text-center">' + consultar + insp
                            
                            +      '</td>'
                            
                            +   '</tr>';

                        $('#tbHistorico tbody').append(linha);
                        total = '<tr><td style="font-size: 12pt;">Total de ocorrências: ' + qtde + '</td></tr>';


                });
                $('#tbHistorico tbody').append(total);
            }
            else
            {
                $('#tbHistorico tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function PesquisarOcorrencia(placa)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-ocorrencia-vivo",
        method: 'post',
        data:
        {
            placa: placa
        },
        beforeSend: function()
        {
            $('#tbOcorrencia tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#ocorrencia"),'Pesquisando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#ocorrencia"),null);
            
        },
        success: function(data)
        {
           
            console.log('dados: ' + data.consulta);

            if(data.consulta.length > 0)
            {
                

                var icocodigo = '<i class="fas fa-sign-out-alt"></i>&nbsp;';
                var qtde = 0;
                var total = '';

                data.consulta.forEach(item =>
                {
                    var status = '';
                    qtde = qtde + 1;

                    
                    if(item.status=='AG')
                    {
                        status = '<span class="badge badge-success estilobag">AGENDADO</span>';
                    }
                    else if(item.status=='ET')
                    {
                        status = '<span class="badge badge-info estilobag">EM TRÂNSITO</span>';
                    }
                    else if(item.status=='PA')
                    {
                        status = '<span class="badge badge-dark estilobag">NO PÁTIO</span>';
                    }
                    else if(item.status=='NF')
                    {
                        status = '<span class="badge badge-warning">NA FÁBRICA</span>';
                    }
                    else if(item.status=='RC')
                    {
                        status = '<span class="badge badge-warning">RECEBIDO CLIENTE</span>';
                    }
                    else if(item.status=='CL')
                    {
                        status = '<span class="badge badge-danger estilobag">CANCELADO</span>';
                    }
                    else if(item.status=='FN')
                    {
                        status = '<span class="badge badge-secondary">FINALIZADO</span>';
                    }
                    else
                    {
                        status = '<span class="badge badge-dark estilobag"></span>';
                    }

                    var tipo = item.tipo;
                    if(tipo=='DO')
                    {
                        tipo = 'DOENÇA';
                    }
                    else if(tipo=='DE')
                    {
                        tipo = 'DESISTÊNCIA';
                    }
                    else if(tipo=='FM')
                    {
                        tipo = 'FALHA MECÂNICA';
                    }
                    else if(tipo=='PC')
                    {
                        tipo = 'PEDIDO CANCELADO';
                    }
                    else if(tipo=='OU')
                    {
                        tipo = 'OUTROS';
                    }

                    var statusinsp = item.status_inspecao;
                    if(statusinsp=='PENDENTE')
                    {
                        statusinsp = '&nbsp;&nbsp;<span class="badge badge-info estilobag" title="inspeção pendente."><i class="far fa-star fa-lg"></i> INSPEÇÃO PENDENTE</span>';
                    }
                    else if(statusinsp=='APROVADO')
                    {
                        statusinsp = '&nbsp;&nbsp;<span class="badge badge-success estilobag" title="inspeção aprovada."><i class="far fa-star fa-2x"></i> INSPEÇÃO APROVADA</span>';
                    }
                    else if(statusinsp=='REPROVADO')
                    {
                        statusinsp = '&nbsp;&nbsp;<span class="badge badge-danger estilobag" title="inspeção reprovada."><i class="far fa-square fa-2x"></i> INSPEÇÃO REPROVADA</span>';
                    }
                    else   
                    {
                        statusinsp = ''
                    }
                    
                   
                    var icotruck = '<i class="fas fa-truck"></i>&nbsp;';
                    var icodata = '<i class="fas fa-clock fa-lg"></i>&nbsp;';
                    var icomotora = '<i class="fas fa-user-tie"></i>&nbsp;';
                    var icocarga = '<i class="fas fa-truck-loading"></i>&nbsp;';
                    var icodestino = '<i class="fas fa-map-marker-alt fa-lg"></i>&nbsp;';

                    
                    
                    var linha = '<tr>'
                            //+      '<td id="'+ item.id +'_data" data="' + item.datao + '" style="font-size: 12pt;"><b>' + icodata + ' - ' + item.datao + '</b> </td>'
                            +      '<td id="'+ item.id +'_data" data="' + item.datao + '" style="font-size: 12pt;"><b>' + icodata + ' ' + item.datao + '</b> - <b>'  + icotruck + ' ' + item.placa + ' - ' + status + '</b><br><b>' + tipo + '</b> - ' + item.descricao  + '</td>'
                            /* +       '<input type="hidden" id="'+ item.id +'_cliente" data="'+ item.idcliente +'" data2="'+ item.cliente +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_veiculo" data="'+ item.idveiculo +'" data2="'+ item.placa +'" data3="'+ item.placa_carreta + '" data4="'+ item.marca +'" data5="'+ item.modelo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_motorista" data="'+ item.idmotorista +'" data2="'+ item.motorista +'" data3="'+ item.cpf + '" data4="'+ item.celular +'" data5="'+ item.cnh +'"  data6="'+ item.categoria +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_produto" data="'+ item.idproduto +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_transportador" data="'+ item.idtransportador +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_destino" data="'+ item.iddestino +'" data2="'+ item.destino +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_dataprev" data="'+ item.dataprev +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_datachamada" data="'+ item.datachamada +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_datasaida" data="'+ item.datasaida +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_foichamado" data="'+ item.foichamado +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_status" data="'+ item.status +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_qtde" data="'+ item.qtde +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_pedido" data="'+ item.pedido +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_obs" data="'+ item.obs +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_tipocarga" data="'+ item.tipocarga +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_entrada" data="'+ item.dataentrada +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_inspecao" data="'+ item.inspecao +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_formula" data="'+ item.formula +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_operacao" data="'+ operacao +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_status_inspecao" data="'+ item.status_inspecao +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_bloqueio" data="'+ item.bloqueio +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_motivo" data="'+ item.motivo +'"/>'
                            
                            +      '<td width="10%" class="text-center">' + consultar + insp
                            
                            +      '</td>'
                             */
                            +   '</tr>';

                        $('#tbOcorrencia tbody').append(linha);
                        total = '<tr><td style="font-size: 12pt;">Total de ocorrências: ' + qtde + '</td></tr>';


                });
                $('#tbOcorrencia tbody').append(total);
            }
            else
            {
                $('#tbOcorrencia tbody').append(linhaNenhumResultado(1));
            }
        },
        error:function(error)
        {
            //console.log(error);

            console.log('dados: ', error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function PesquisarOcorrencia2(placa)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-ocorrencia-vivo",
        method: 'post',
        data:
        {
            placa: placa
        },
        beforeSend: function()
        {
            $('#tbOcorrencia2 tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#cadocorrencia"),'Pesquisando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#cadocorrencia"),null);
            
        },
        success: function(data)
        {
           
            console.log('dados: ' + data.consulta);

            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-sign-out-alt"></i>&nbsp;';
                var qtde = 0;
                var total = '';

                data.consulta.forEach(item =>
                {
                    var status = '';
                    qtde = qtde + 1;

                    
                    if(item.status=='AG')
                    {
                        status = '<span class="badge badge-success estilobag">AGENDADO</span>';
                    }
                    else if(item.status=='ET')
                    {
                        status = '<span class="badge badge-info estilobag">EM TRÂNSITO</span>';
                    }
                    else if(item.status=='PA')
                    {
                        status = '<span class="badge badge-dark estilobag">NO PÁTIO</span>';
                    }
                    else if(item.status=='NF')
                    {
                        status = '<span class="badge badge-warning">NA FÁBRICA</span>';
                    }
                    else if(item.status=='RC')
                    {
                        status = '<span class="badge badge-warning">RECEBIDO CLIENTE</span>';
                    }
                    else if(item.status=='CL')
                    {
                        status = '<span class="badge badge-danger estilobag">CANCELADO</span>';
                    }
                    else if(item.status=='FN')
                    {
                        status = '<span class="badge badge-secondary">FINALIZADO</span>';
                    }
                    else
                    {
                        status = '<span class="badge badge-dark estilobag"></span>';
                    }

                    var tipo = item.tipo;
                    if(tipo=='DO')
                    {
                        tipo = 'DOENÇA';
                    }
                    else if(tipo=='DE')
                    {
                        tipo = 'DESISTÊNCIA';
                    }
                    else if(tipo=='FM')
                    {
                        tipo = 'FALHA MECÂNICA';
                    }
                    else if(tipo=='PC')
                    {
                        tipo = 'PEDIDO CANCELADO';
                    }
                    else if(tipo=='OU')
                    {
                        tipo = 'OUTROS';
                    }
                    
                   
                    var icotruck = '<i class="fas fa-truck"></i>&nbsp;';
                    var icodata = '<i class="fas fa-clock fa-lg"></i>&nbsp;';
                    var icomotora = '<i class="fas fa-user-tie"></i>&nbsp;';
                    var icocarga = '<i class="fas fa-truck-loading"></i>&nbsp;';
                    var icodestino = '<i class="fas fa-map-marker-alt fa-lg"></i>&nbsp;';
                    
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_data" data="' + item.datao + '" style="font-size: 12pt;"><b>' + icodata + ' ' + item.datao + '</b> - <b>'  + icotruck + ' ' + item.placa + ' - ' + status + '</b><br><b>' + tipo + '</b> - ' + item.descricao  + '</td>'
                            +   '</tr>';

                        $('#tbOcorrencia2 tbody').append(linha);
                        total = '<tr><td style="font-size: 12pt;">Total de ocorrências: ' + qtde + '</td></tr>';


                });
                $('#tbOcorrencia2 tbody').append(total);
            }
            else
            {
                $('#tbOcorrencia2 tbody').append(linhaNenhumResultado(1));
            }
        },
        error:function(error)
        {
 
            console.log('dados: ', error);

        }
    });
}



$("#tbChamar tbody").on("click","span[name=prioridadeBtn]",function()
{
    var prioridade = $('#hdnPrioridade').attr('data');
    
    if(prioridade=='1')      //usuario é autorizado a bloquear
    {
        $('#cadastro').show();
        $('#lista').hide();
        $('#btnBloquear').hide();
        $('#btnDesbloquear').hide();
        $('#btnCancelar').hide();
        $('#btnBloquear2').hide();
        $('#btnDesbloquear2').hide();
        $('#btnCancelar2').hide();
        
        
        LimparCampos();

        var id = $(this).attr("data");

        $('#hdnId').attr('data',id);
        //dados do veiculo
        $('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
        $('#txtPlaca').val($("#" + id + "_veiculo").attr('data2'));
        $('#txtPlaca_carreta').val($("#" + id + "_veiculo").attr('data3'));
        $('#txtMarca').val($("#" + id + "_veiculo").attr('data4'));
        $('#txtModelo').val($("#" + id + "_veiculo").attr('data5'));
        //dados do motorista
        $('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
        $('#txtCpf').val($("#" + id + "_motorista").attr('data3'));
        $('#txtNome').val($("#" + id + "_motorista").attr('data2'));
        $('#txtCelular').val($("#" + id + "_motorista").attr('data4'));
        $('#txtCnh').val($("#" + id + "_motorista").attr('data5'));
        $('#txtCategoria').val($("#" + id + "_motorista").attr('data6'));
        //dados da carga
        $('#txtData').val($("#" + id + "_data").attr('data'));
        $('#txtEntrada').val($("#" + id + "_entrada").attr('data'));
        $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
        $('#cbProduto').val($("#" + id + "_produto").attr('data'));
        $('#cbTransp').val($("#" + id + "_transportador").attr('data'));
        $('#cbDestino').val($("#" + id + "_destino").attr('data'));
        $('#txtOperacao').val($("#" + id + "_operacao").attr('data'));

        $('#hdnDestino').attr('data', $("#" + id + "_destino").attr('data2'));
        
        $('#cbTipocarga').val($("#" + id + "_tipocarga").attr('data'));
        $('#txtQtde').val($("#" + id + "_qtde").attr('data'));
        $('#txtPedido').val($("#" + id + "_pedido").attr('data'));
        $('#txtObs').val($("#" + id + "_obs").attr('data'));
        $('#txtCliente').val($("#" + id + "_cliente").attr('data2'));
        $('#txtFormula').val($("#" + id + "_formula").attr('data'));

        var prior = $("#" + id + "_prioridade").attr('data');
        if(prior=='1')
        {
            $('#btnPrioridade').hide();
            $('#btnSemPrioridade').show();
        }
        else
        {
            $('#btnPrioridade').show();
            $('#btnSemPrioridade').hide();
        }
        
        var cliente = $("#" + id + "_cliente").attr('data');

        var data = new Date();
        var dia = data.getDate();
        var mes = data.getMonth() + 1;
        var ano = data.getFullYear();
        var hora = data.getHours();
        var minuto = data.getMinutes();
        var segundo = data.getSeconds();
        if(dia<10){dia = '0'+dia}
        if(mes<10){mes = '0'+mes}
        if(hora<10){hora = '0'+hora}
        if(minuto<10){minuto = '0'+minuto}
        if(segundo<10){segundo = '0'+segundo}
        
        var agora = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
        $('#hdnDataBloqueio').attr('data', agora);

        //desabilita campos
        //$('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
        $('#txtCliente').prop('disabled',true);
        $('#txtPlaca').prop('disabled',true);
        $('#txtPlaca_carreta').prop('disabled',true);
        $('#txtMarca').prop('disabled',true);
        $('#txtModelo').prop('disabled',true);
        //dados do motorista
        //$('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
        $('#txtCpf').prop('disabled',true);
        $('#txtNome').prop('disabled',true);
        $('#txtCelular').prop('disabled',true);
        $('#txtCnh').prop('disabled',true);
        $('#txtCategoria').prop('disabled',true);
        //dados da carga
        $('#txtData').prop('disabled',true);
        $('#txtEntrada').prop('disabled',true);
        $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
        $('#cbProduto').prop('disabled',true);
        $('#cbTransp').prop('disabled',true);
        $('#cbDestino').prop('disabled',true);
        $('#cbTipocarga').prop('disabled',true);
        $('#txtQtde').prop('disabled',true);
        $('#txtPedido').prop('disabled',true);
        $('#txtObs').prop('disabled',true);
        $('#txtOperacao').prop('disabled',true);
        $('#txtFormula').prop('disabled',true);   
    }
    else 
    {
        MensagemBox( 'erro','','Você não está autorizado para determinar prioridade na limpeza/inspeção. Favor procurar o Adm do Pátio!', 5000, 'Ok');
    }
});



function SalvarDadosPrioridade()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava        = 1;
    var idestadia    = $('#hdnId').attr('data');
    var placa        = $('#txtPlaca').val();
    
    
    //fazer as validações aqui

    if(idestadia=='')
    {
        MensagemBox( 'erro','','Veículo não selecionado!', 2000, 'Ok');
        grava = 0;
    }

    
    if(grava==1)
    {
        //idestadia, chamada, nome, placa, celular, destino
        //console.log('id: ' + idestadia + ' data/hora: ' + chamada + ' nome: ' + nome + ' placa: ' + placa + ' celular: ' +  celular  + ' destino: ' + destino);
        SalvarPrioridade(idestadia, placa);
        //$('#cadastro').hide();
        //$('#lista').show();
    }
}


function SalvarRetirarDadosPrioridade()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava        = 1;
    var idestadia    = $('#hdnId').attr('data');
    var placa        = $('#txtPlaca').val();
    
    
    //fazer as validações aqui

    if(idestadia=='')
    {
        MensagemBox( 'erro','','Veículo não selecionado!', 2000, 'Ok');
        grava = 0;
    }

    
    if(grava==1)
    {
        //idestadia, chamada, nome, placa, celular, destino
        //console.log('id: ' + idestadia + ' data/hora: ' + chamada + ' nome: ' + nome + ' placa: ' + placa + ' celular: ' +  celular  + ' destino: ' + destino);
        SalvarRetirarPrioridade(idestadia, placa);
        //$('#cadastro').hide();
        //$('#lista').show();
    }
}


function SalvarPrioridade(idestadia, placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-prioridade",
        method: 'post',
        data:
        {
           
            idestadia:      idestadia, 
            placa:          placa
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            //$('#btnPrioridade').prop('disabled',false);
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Prioridade na limpeza/inspeção realizada com sucesso!', 2000, 'Ok');

            var cliente = $('#cbClientePesq').val();
            PesquisarPatio(cliente);

        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarRetirarPrioridade(idestadia, placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-retirar-prioridade",
        method: 'post',
        data:
        {
           
            idestadia:      idestadia, 
            placa:          placa
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            //$('#btnPrioridade').prop('disabled',false);
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Prioridade na limpeza/inspeção RETIRADA com sucesso!', 2000, 'Ok');

            var cliente = $('#cbClientePesq').val();
            PesquisarPatio(cliente);

        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}
