@extends('layouts.app')

@section('scripts')
    <script src="{{{ URL::asset('js/views/adm/cidade.js') }}}"></script>
@endsection

@section('titulo')
  SGPT - {{ Auth::user()->Unidade->getNome() }}</b> - <i class="fas fa-city"></i> Cidades
@endsection

@section('pagina')

<div class="content-wrapper">
    <div class="container-fluid mt-2">

        <div class="card text-left" style="background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
            <div class="card-body">
               
                <div class="row" >
                   
                    <div class="col col-sm-3 text-left">
                        <label for="cbUFPesq" class="col-form-label text-md-left">UF</label>
                        <br/>
                        <select id="cbUFPesq" class="form-control">
                            
                        </select>
                    </div>
                    
                </div>
            </div>
        </div>

        <div class="card" style="border-radius: 20px 20px 20px 20px;">
            <div class="card-body">
                <!-- <div class="row" style="padding-bottom: 5px; padding-right: 2px;">
                    <div class="col-md-6">
                        <h4 style="color:#056367;"><i class="fas fa-city"></i> Cadastro de Cidades</h4>
                    </div>
                </div> -->
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbCidade" class="table table-striped table-bordered text-left ">
                            <thead  style="background-color:#404040; color: #ccc; font-weight: bold;">
                                <tr>
                                    <th>Nome</th>
                                    <th>Estado</th>
                                    <th>UF</th>
                                   
                                </tr>
                            </thead>
                            <tbody>

                              

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    
    </div>
</div>

    

@endsection