@extends('layouts.app')

@section('scripts')
    <script src="{{{ URL::asset('js/views/cadastro/veiculo.js?123456') }}}"></script>
@endsection

@section('titulo')
  SGPT - {{ Auth::user()->Unidade->getNome() }}</b> - <i class="fas fa-truck"></i> Veículos
@endsection

@section('pagina')
    

<div class="content-wrapper">
    <input type="hidden" id="hdnUsuario" name="idusuario" data="{{ Auth::user()->getId() }}"/>
    <input type="hidden" id="hdnId" name="id" data=""/>
    
    <div class="container-fluid mt-2">
        
        <div id="cadastro" class="card mt-2" style="display: none; background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
            
            @csrf
            
            <div class="card-body">
                <div class="row" style="padding-right: 2px;">
                    <div class="col-md-2">
                        <!-- <h4 style="color:#056367;"><i class="fas fa-truck"></i> Veículos</h4> -->
                    </div>
                    <div class="col-md-10">
                        <div class="col text-right">
                            <button id="btnVoltar" type="button" class="btn btn-secondary btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-arrow-left"></i> Voltar
                            </button>

                            <button id="btnSalvar" type="button" data="" class="btn btn-success btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-save"></i> Salvar
                            </button>
                        </div>
                    </div>
                    
                </div>
                <hr></hr>
                <div class="row" >
                    <div class="col-md-2">
                        <label id="txtPlaca_label" for="txtPlaca"  class="col-form-label text-md-left">Placa cavalo <span style="color: #ff0000;">*</span></label>
                        <input id="txtPlaca" class="form-control" name="placa" type="text" maxlength="7" value="" required/>
                    </div>
                    <div class="col-md-2">
                        <label id="txtPlaca_carreta_label" for="txtPlaca_carreta"  class="col-form-label text-md-left">Placa Carreta</label>
                        <input id="txtPlaca_carreta" class="form-control" name="placa_carreta" type="text" maxlength="7" value="" />
                    </div>
                    <div class="col-md-3">
                        <label id="txtMarca_label" for="txtMarca"  class="col-form-label text-md-left">Marca</label>
                        <input id="txtMarca" class="form-control" name="marca" type="text" maxlength="50" value="" />
                    </div>
                    <div class="col-md-3">
                        <label id="txtModelo_label" for="txtModelo"  class="col-form-label text-md-left">Modelo</label>
                        <input id="txtModelo" class="form-control" name="modelo" type="text" maxlength="50" value="" />
                    </div>
                    <div class="col-md-2">
                        <label id="txtTipo_label" for="txtForm"  class="col-form-label text-md-left">Tipo Veículo</label><br>
                        <select id="cbTipo" class="form-control">
                            
                        </select>
                    </div>
                </div>
                <div class="row" >
                    <div class="col-md-4">
                        <label id="txtTransp_label" for="txtForm"  class="col-form-label text-md-left">Transportador</label><br>
                        <select id="cbTransp" class="form-control">
                            
                        </select>
                    </div>
                </div>
            </div>
            
        </div>

        <div id="lista" class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
            <div class="card-body">
                <div class="row" style="padding-bottom: 5px; padding-right: 2px;">
                    <div class="col col-lg-3 col-12 text-left">
                        <label id="txtBusca_label" for="txtBusca"  class="col-form-label text-md-left">Busca</label>
                        <input id="txtBusca" class="form-control" name="busca" type="text" maxlength="50" value="" />
                    </div>
                    <div class="col-md-5">
                        <label id="txtTranspsel_label" for="txtForm"  class="col-form-label text-md-left">Transportador</label><br>
                        <select id="cbTranspSel" class="form-control">
                            
                        </select>
                    </div>
                    <div class="col-md-4 text-right">
                        <label id="txtBusca_label" for="txtBusca"  class="col-form-label text-md-left">&nbsp;</label><br>
                        <button id="btnPesquisar" type="button" class="btn btn-secondary btn-redondo" aria-label="Left Align" >
                            <i class="fas fa-search"></i> Pesquisar
                        </button>
                        <button id="btnNovo" type="button" class="btn btn-primary btn-redondo" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Novo
                        </button>
                    </div>
                </div>
                <div class="row mt-2" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbVeiculo" class="table table-striped table-bordered text-left ">
                            <thead  style="background-color:#404040; color: #ccc; font-weight: bold;">
                                <tr>
                                    <th>Dados dos Veículos</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection