<?php

header ("Content-type: application/x-msexcel");
header ("Content-Disposition: attachment; filename=\"Consulta Convenio.xls\"" );

?>
<html>
	<head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <title>@yield('titulo')</title>
	</head>
    <body>
        <p class="text-center font-16"><b> Relatório de Consulta Convênio</b></p>
        <div class="row">
            <table id="tbPativoProduto" class="table table-hover table-bordered table-sm text-left">
                    <thead>
                            <tr class="alert-secondary">
                            <th class="text-center">Placa</th>
                            <th>Motorista</th>
                            <th class="text-center">Data Entrada</th>
                            <th class="text-center">Data Saída</th>
                            <th class="text-center">Tempo</th>
                            <th class="text-center">Ticket</th>
                            <th class="text-center">Valor</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($consultas as $consulta)
                            <tr>
                                <td>{{$consulta->getPlaca()}}</td>
                                <td>{{$consulta->getMotorista()}}</td>
                                <td>{{$consulta->getDataentrada()}}</td>
                                <td>{{$consulta->getDatasaida()}}</td>
                                <td>{{$consulta->getTempo()}}</td>
                                <td>{{$consulta->getNumero()}}</td>
                                <td>{{$consulta->Tipo_Estadia->getValorconvenio()}}.0</td>
                            </tr>
                        @endforeach
                    </tbody>
            </table>
        </div>
    </body>
</html>