<?php

header ("Content-type: application/x-msexcel");
header ("Content-Disposition: attachment; filename=\"Consulta Movimentacao.xls\"" );

?>
<html>
	<head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <title>@yield('titulo')</title>
	</head>
    <body>
        <p class="text-center font-16"><b> Relatório de Consulta Movimentação</b></p>
        <div class="row">
            <table id="tbPativoProduto" class="table table-hover table-bordered table-sm text-left">
                    <thead>
                            <tr class="alert-secondary">
                            <th class="text-center">Data Chegada</th>
                            <th class="text-center">Placa</th>
                            <th>Nome do Motorista</th>
                            <th class="text-center">Produto</th>
                            <th class="text-center">Cliente</th>
                            <th class="text-center">Cliente Carga</th>
                            <th class="text-center">Transportador</th>
                            <th class="text-center">Fórmula</th>
                            <th class="text-center">Status Inspeção</th>
                            <th class="text-center">Status Estadia</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($consultas as $consulta)
                            <tr>
                                <td>{{$consulta['dataChegada']}}</td>
                                <td>{{$consulta['placa']}}</td>
                                <td>{{$consulta['motorista']}}
                                <td>{{$consulta['produto']}}</td>
                                <td>{{$consulta['cliente']}}</td>
                                <td>{{$consulta['clienteCarga']}}</td>
                                <td>{{$consulta['transportador']}}</td>
                                <td>{{$consulta['formula']}}</td>
                                <td>@if($consulta['statusChk'] == 'AP') APROVADO @elseif($consulta['statusChk'] == 'PE') PENDENTE 
                                    @elseif($consulta['statusChk'] == 'RE') REPROVADO @elseif($consulta['statusChk'] == 'CA') CANCELADO @endif</td>
                                <td>@if($consulta['status'] == 'ET') EM TRÂNSITO @elseif($consulta['status'] == 'PA') NO PÁTIO 
                                    @elseif($consulta['status'] == 'NF') NA FÁBRICA @elseif($consulta['status'] == 'RC') RECEBIDO CLIENTE 
                                    @elseif($consulta['status'] == 'CL') CANCELADO @elseif($consulta['status'] == 'FN') FINALIZADO @endif</td>
                            </tr>
                        @endforeach
                    </tbody>
            </table>
        </div>
    </body>
</html>