<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-user-tie"></i> Cliente
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/cadastros/cliente.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

    <div id="conteudoPagina" class="container-fluid">

        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-3 text-left">
                        <label for="txtClientePesquisa" class="col-form-label text-md-left">Cliente</label>
                        <br/>
                        <input id="txtClientePesquisa" class="form-control" type="text"/>
                    </div>

                    <div class="col col-sm-2 text-left">
                        <label for="txtCnpjPesquisa" class="col-form-label text-md-left">CNPJ</label>
                        <br/>
                        <input id="txtCnpjPesquisa" class="form-control mask_cnpj" type="text"/>
                    </div>

                    <div class="col col-sm-3 text-left">
						<label for="txtCidadePesquisa" class="col-form-label text-md-left">Cidade</label>
						<br/>
						<input id="txtCidadePesquisa" class="form-control" type="text"/>
					</div>

                    <div class="col col-sm-2 text-left">
                        <label for="txtStatusPesquisa" class="col-form-label text-md-left">Status</label>
                        <br/>
                        <select id="txtStatusPesquisa" class="form-control">
                            <option value="">Selecione</option>
                            <option value="1">Ativo</option>
                            <option value="0">Inativo</option>
                        </select>
                    </div>
					
					 <div class="col col-sm-2 text-left">
						<label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
						<br/>
						<button id="btnPesquisaCliente"  class="btn btn-default btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
					</div>
                </div>

            </div>
        </div>
        <br/>


        <div class="row" >
            <div class="col text-left">
                <button id="btnNovoCliente" type="button" class="btn btn-primary" aria-label="Left Align" >
                    <i class="fas fa-plus-circle"></i> Novo Cliente
                </button>
            </div>
        </div>
        <br/>
        <div class="row" >
            <div class="col panel panel-primary table-responsive">



                <table id="tbCliente" class="table table-hover text-left">
                    <thead>
                        <tr>
                            <th>Razão Social</th>
							<th>Nome Fantasia</th>
                            <th>CNPJ</th>
                            <th>Contato</th>
                            <th>Fone</th>
                            <th>Celular</th>
                            <th>Email</th>
                            <th>Cidade</th>
                            <th>Status</th>
                            <th>Ações</th>
                        </tr>
                    </thead>
                    <tbody>

                        <?php $__currentLoopData = $cliente; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cli): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td id="<?php echo e($cli->getId()); ?>_razao_social"><?php echo e($cli->getRazaoSocial()); ?></td>
                                <td id="<?php echo e($cli->getId()); ?>_nome_fantasia"><?php echo e($cli->getNomeFantasia()); ?></td>
                                <td id="<?php echo e($cli->getId()); ?>_cnpj"><?php echo e($cli->getCnpj()); ?></td>
                                <td id="<?php echo e($cli->getId()); ?>_contato"><?php echo e($cli->getContato()); ?></td>
                                <td id="<?php echo e($cli->getId()); ?>_contato_fone"><?php echo e($cli->getContato_fone()); ?></td>
                                <td id="<?php echo e($cli->getId()); ?>_contato_celular"><?php echo e($cli->getContato_celular()); ?></td>
                                <td id="<?php echo e($cli->getId()); ?>_contato_email"><?php echo e($cli->getContato_email()); ?></td>
								<td id="<?php echo e($cli->getId()); ?>_cidade"
									data="<?php echo e($cli->getFkCidade()); ?>"
									data2="<?php echo e($cli->Cidade->getFkEstado()); ?>">
									<?php echo e($cli->Cidade->getNome()); ?>

								</td>
                                <input type="hidden" id="<?php echo e($cli->getId()); ?>_endereco" value="<?php echo e($cli->getEndereco()); ?>"/>
								<input type="hidden" id="<?php echo e($cli->getId()); ?>_bairro" value="<?php echo e($cli->getBairro()); ?>"/>
								<input type="hidden" id="<?php echo e($cli->getId()); ?>_nro" value="<?php echo e($cli->getNro()); ?>"/>
								<input type="hidden" id="<?php echo e($cli->getId()); ?>_complemento" value="<?php echo e($cli->getComplemento()); ?>"/>
								<input type="hidden" id="<?php echo e($cli->getId()); ?>_cep" value="<?php echo e($cli->getCep()); ?>"/>
								<input type="hidden" id="<?php echo e($cli->getId()); ?>_bairro" value="<?php echo e($cli->getBairro()); ?>"/>
								<input type="hidden" id="<?php echo e($cli->getId()); ?>_observacao" value="<?php echo e($cli->getObservacao()); ?>"/>
																
                                <td id="<?php echo e($cli->getId()); ?>_ativo" data="<?php echo e($cli->getAtivo()); ?>">
                                    <?php if($cli->getAtivo()): ?>
                                        <span class="badge badge-success">Ativo</span>
                                    <?php else: ?>
                                        <span class="badge badge-danger">Inativo</span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    
                                    <span name="editBtn" class="fas fa-edit cursor-pointer botaoeditar" data="<?php echo e($cli->getId()); ?>" style="cursor: pointer;color: #009933;" title="Editar"></span>
                                    <span name="delBtn" class="fas fa-trash-alt cursor-pointer botaoexcluir" data="<?php echo e($cli->getId()); ?>" style="cursor: pointer;color: #ff0000;" title="Excluir"></span>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </tbody>
                </table>

            </div>
        </div>
    </div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>'700',
        'icone'=>'fa-user-tie',
        'titulo'=> 'Novo Cliente',
        'rota' => 'cadastros.cliente.salvar',
        'campos'=>
        [
            [
                'tipo'=>'array',
                'campos' =>
                [
                    [
                        'largura'=>'6',
                        'id' =>'txtCnpj',
                        'label'=>'CNPJ',
                        'nome'=>'cnpj',
                        'tamanho'=>'20',
                        'padding'=>'50',
                        'classe'=>'mask_cnpj',
                        'tipo'=>'txt',
                        'required'=>true,
                        'autofocus'=> true,
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbAtivo',
                        'label'=>'Ativo',
                        'nome'=>'ativo',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                ]
            ],

            [
                'id' =>'txtRazaoSocial',
                'label'=>'Razao Social',
                'nome'=>'razao_social',
                'tamanho'=>'50',
                'tipo'=>'txt',
                'required'=> true,
                'autofocus'=> true,
                'autocomplete'=>'off'
            ],
			[
                'id' =>'txtNomeFantasia',
                'label'=>'Nome Fantasia',
                'nome'=>'nome_fantasia',
                'tamanho'=>'50',
                'tipo'=>'txt',
                'required'=> true,
                'autofocus'=> true,
                'autocomplete'=>'off'
            ],
            [
                'id' =>'txtEndereco',
                'label'=>'Endereço',
                'nome'=>'endereco',
                'tamanho'=>'50',
                'tipo'=>'txt',
                'required'=> false,
                'autofocus'=> true
            ],
            [
                'tipo'=> 'array',
                'campos'=>
                [
                    [
                        'largura'=>'4',
                        'id' =>'txtNumero',
                        'label'=>'Número',
                        'nome'=>'numero',
                        'tamanho'=>'6',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'8',
                        'id' =>'txtBairro',
                        'label'=>'Bairro',
                        'nome'=>'bairro',
                        'tamanho'=>'30',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ]
                ]
            ],
			
            [
                'tipo'=>'array',
                'campos' =>
                [
                    [
                        'largura'=>'8',
                        'id' =>'txtComplemento',
                        'label'=>'Complemento',
                        'nome'=>'complemento',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true,
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'txtCep',
                        'label'=>'CEP',
                        'nome'=>'cep',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ]
                ]
            ],
			[
                'tipo'=> 'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'txtContato',
                        'label'=>'Contato',
                        'nome'=>'contato',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'txtEmail',
                        'label'=>'Email',
                        'nome'=>'email',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ]
                ]
            ],
            [
                'tipo'=> 'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'txtTelefone',
                        'label'=>'Telefone',
                        'nome'=>'telefone',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'txtCelular',
                        'label'=>'Celular',
                        'nome'=>'celular',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ]
                ]
            ],
			[
                'tipo'=>'array',
                'campos' =>
                [
					[
						'largura'=>'4',
						'id' =>'cbUF',
						'label'=>'UF',
						'nome'=>'UF',
						'tipo'=>'combo',
						'opcoes'=> $uf,
                        'required'=> true,
						'default'=>'Selecione a UF'
					],
					[
						'largura'=>'8',
						'id' =>'cbCidade',
						'label'=>'Cidade',
						'nome'=>'cidade',
						'tipo'=>'combo',
                        'required'=> true,
						'opcoes'=> [],
						'default'=>'Selecione a cidade'
					],
				]
			],
			[
                'id' =>'txtObs',
                'label'=>'obs',
                'nome'=>'obs',
                'tamanho'=>'200',
                'tipo'=>'textarea',
				'rows'=>'3',
                'autofocus'=> true
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'cadastros.cliente.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir o cliente'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>