<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-seedling"></i> Entrada no Fluxo da Soja
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/tempus-dominus/tempusdominus-bootstrap-4.min.css')); ?>" /> 
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/bootstrap-select-1.13.2/bootstrap-select.min.css')); ?>" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/operacao/agendamentosoja.js')); ?>" ></script>
    <!-- <script src="<?php echo e(URL::asset('js/moment/moment.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/tempus-dominus_v4/tempusdominus-bootstrap-4.min.js')); ?>"></script> -->
    <script src="<?php echo e(URL::asset('js/moment/min/moment-with-locales.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/tempus-dominus/tempusdominus-bootstrap-4.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/bootstrap-select-1.13.2/bootstrap-select.min.js')); ?>"></script>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('pagina'); ?>

<!-- <form id="frmLogin" method="POST">
    <?php echo csrf_field(); ?> -->
    <input type="hidden" id="hndClienteLoad" value="<?php echo e(app('request')->input('cliente')); ?>"/>
    <input type="hidden" id="txtIdUsuario" name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
    <input type="hidden" id="txtLogin" name="login" data="<?php echo e(Auth::user()->getLogin()); ?>"/>
    <div id="conteudoPagina" class="container-fluid">
        <div class="card rounded text-left">
            <div class="card-body">

                <div class="row" >
                    <div class="col col-sm-3 text-left">
                        <label for="cbClientePesq" class="col-form-label text-md-left">Agendado Para</label>
                        <br/>
                        <select id="cbClientePesq" class="form-control">
                            <option value="">Todos...</option>
                        </select>
                    </div>
                                        
                    <div class="col col-sm-2 text-left">
                        <label for="txtPlacaPesq" class="col-form-label text-md-left">Busca Placa</label>
                        <br/>
                        <input id="txtPlacaPesq" class="form-control" type="text"/>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtMotoraPesq" class="col-form-label text-md-left">Busca Motorista</label>
                        <br/>
                        <input id="txtMotoraPesq" class="form-control" type="text"/>
                    </div>
                    <div class="col col-sm-1 text-left">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisaAgenda"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>
                    <div class="col col-sm-4 text-right">
                        <label for="txtPesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnNovaAgenda" type="button" class="btn btn-primary" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Nova Entrada
                        </button>
                    </div>
                </div>
                
            </div>
        </div>
                <br/>
        <div class="card">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbEstadia" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Ordem</th>
                                    <th>Data Recepção</th>
                                    <th>Placa</th>
                                    <th>Motorista</th>
                                    <th>Cliente</th>
                                    <th>Produto</th>
                                    <th>Id</th>
                                    <th>Status</th>
                                    <th>Ação</th>
                                </tr>
                            </thead>
                            <tbody>


                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>

   

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>900,
        'altura'=>'900px',
        'titulo'=> 'Entrada no Fluxo Soja',
		'icone'=>'fa-seedling',
        'rota' => 'operacao.agendasoja.salvar',
        'campos'=>
        [
            [
                'id' =>'hdToken',
                'nome'=>'hdtoken',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdData',
                'nome'=>'hddata',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdNome',
                'nome'=>'hdnome',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdMae',
                'nome'=>'hdmae',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdIdMotora',
                'nome'=>'hdidmotora',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdDataCriacao',
                'nome'=>'hddatacriacao',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdPlaca',
                'nome'=>'hdplaca',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdLoginInc',
                'nome'=>'hdlogininc',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdLoginAlt',
                'nome'=>'hdloginalt',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCelular',
                'nome'=>'hdcelular',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCliente',
                'nome'=>'hdcliente',
                'tipo'=>'hidden'
            ],

            [
                'id' =>'hdTipoVeiculo',
                'nome'=>'hdtipoveiculo',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdSituacao',
                'nome'=>'hdsituacao',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdTipoFrota',
                'nome'=>'hdtipofrota',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdStatus',
                'nome'=>'hdstatus',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdMarca',
                'nome'=>'hdmarca',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdModelo',
                'nome'=>'hdmodelo',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdAno',
                'nome'=>'hdano',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdIdVeiculo',
                'nome'=>'hdidveiculo',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdUfMotora',
                'nome'=>'hdufmotora',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCidadeMotora',
                'nome'=>'hdcidademotora',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCnh',
                'nome'=>'hdcnh',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCategoria',
                'nome'=>'hdcategoria',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdTipoMotora',
                'nome'=>'hdtipomotora',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdAtivoMotora',
                'nome'=>'hdativomotora',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdEndereco',
                'nome'=>'hdendereco',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdNro',
                'nome'=>'hdnro',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdBairro',
                'nome'=>'hdbairro',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdComplemento',
                'nome'=>'hdcomplemento',
                'tipo'=>'hidden'
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'3',
                        'id' =>'txtData',
                        'label'=>'Data Recepção',
                        'nome'=>'data',
                        'tamanho'=>'20',
                        //'classe'=>'mask_data',
                        'autofocus'=> true,
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtPlaca',
                        'label'=>'Placa',
                        'nome'=>'placa',
                        //'classe'=>'mask_placa text-uppercase',
                        'tamanho'=>'7',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'cbTipoVeiculo',
                        'label'=>'Tipo de Veículo',
                        'nome'=>'tipo',
                        'opcoes'=>$tipoveiculo,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'3',
                        'id' =>'txtCpf',
                        'label'=>'CPF',
                        'nome'=>'cpf',
                        'tamanho'=>'50',
                        'classe'=>'mask_cpf',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'txtNome',
                        'label'=>'Motorista',
                        'nome'=>'nome',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    
                    [
                        'largura'=>'3',
                        'id' =>'txtCelular',
                        'label'=>'Celular',
                        'nome'=>'celular',
                        'tamanho'=>'50',
                        'classe'=>'mask_celular',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'7',
                        'id' =>'cbCliente',
                        'label'=>'Cliente',
                        'nome'=>'cliente',
                        'opcoes'=>[],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'5',
                        'id' =>'cbProduto',
                        'label'=>'Produto',
                        'nome'=>'produto',
                        'opcoes'=>[],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]
                
                ]
            ]


        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>