<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/cadastro/agenda.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
    
<div class="content-wrapper">
    <input type="hidden" id="hdnUsuario" name="usuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
    <input type="hidden" id="hdnUnidade" name="unidade" data="<?php echo e(Auth::user()->getUnidade()); ?>"/>
    <div class="container-fluid mt-2">
        <?php if(session('mensagem')): ?>
            <?php if(session('mensagem')): ?>
                <div id="mensagem" class=" card-body alert alert-success text-center">
                    <i><?php echo e(session('mensagem')); ?></i>
                </div>
            <?php endif; ?>
        <?php elseif(session('exclusao')): ?>
            <?php if(session('exclusao')): ?>
                <div id="exclusao" class=" card-body alert alert-danger text-center">
                    <i><?php echo e(session('exclusao')); ?></i>
                </div>
            <?php endif; ?>
        <?php endif; ?>
        <div id="filtro" class="card mt-2" style="display: none; background-color:#fff; color:#056367; border-radius: 20px 0px 20px 0px;">
            <div class="card-body">
                <div class="row"  style="padding-right: 2px;">
                    <div class="col col-md-2 col-4">
                        <label for="cbAno" class="col-form-label text-md-left">Ano</label>
                        <br/>
                        <select id="cbAno" class="form-control" name="ano" required>
                            <option value="2020">2020</option>
                            <option value="2021">2021</option>
                            <option value="2022">2022</option>
                            <option value="2023">2023</option>
                            <option value="2024">2024</option>
                            <option value="2025">2025</option>
                            <option value="2026">2026</option>
                            <option value="2027">2027</option>
                            <option value="2028">2028</option>
                            <option value="2029">2029</option>
                            <option value="2030">2030</option>
                        </select>
                    </div>
                    <div class="col col-md-2 col-8">
                        <label for="cbMes" class="col-form-label text-md-left">Mês</label>
                        <br/>
                        <select id="cbMes" class="form-control" name="mes" required>
                            <option value="01">JANEIRO</option>
                            <option value="02">FEVEREIRO</option>
                            <option value="03">MARÇO</option>
                            <option value="04">ABRIL</option>
                            <option value="05">MAIO</option>
                            <option value="06">JUNHO</option>
                            <option value="07">JULHO</option>
                            <option value="08">AGOSTO</option>
                            <option value="09">SETEMBRO</option>
                            <option value="10">OUTUBRO</option>
                            <option value="11">NOVEMBRO</option>
                            <option value="12">DEZEMBRO</option>
                        </select>
                    </div>
                    <div class="col col-sm-4 col-12 text-left">
                        <label for="cbUsuarioPesq" class="col-form-label text-md-left">Usuário</label>
                        <br/>
                        <select id="cbUsuarioPesq" class="form-control">
                            
                        </select>
                    </div>

                    
                    <div class="col col-sm-4 col-12 text-right">
                        <label for="btnPesquisar" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisar" type="button" class="btn btn-outline-secondary" aria-label="Left Align" >
                            <i class="fas fa-search"></i> Pesquisar
                        </button>
                    </div>
                </div>
            </div>
        </div>
        
        <div id="cadastro" class="card mt-2" style="display: none; background-color:#fff; color:#056367; border-radius: 20px 0px 20px 0px;">
            <form method="POST" action="<?php echo e(route('cadastro.agenda.salvar')); ?>">
            <?php echo csrf_field(); ?>
            <input type="hidden" id="hdnId" name="id" data=""/>
            
            <div class="card-body">
                <div class="row" style="padding-right: 2px;">
                    <div class="col-md-6">
                        <h4 style="color:#056367;"><i class="fas fa-calendar-alt"></i> Agenda</h4>
                    </div>
                    <div class="col-md-6">
                        <div class="col text-right">
                            <button id="btnVoltar" type="button" class="btn btn-outline-secondary" aria-label="Left Align" >
                                <i class="fas fa-arrow-left"></i> Voltar
                            </button>

                            <button id="btnSalvar" type="submit" class="btn btn-success" aria-label="Left Align" >
                            <i class="far fa-save"></i> Salvar
                            </button>
                            
                            <button id="btnExcluir" type="button" data="" class="btn btn-outline-danger" aria-label="Left Align" >
                                <i class="fas fa-trash-alt"></i> Excluir
                            </button>
                            
                        </div>
                    </div>
                    
                </div>
                <hr></hr>
                <div class="row" >
                    <div class="col col-md-3 col-12">
                        <label for="cbUsuario" class="col-form-label text-md-left">Usuário</label>
                        <br/>
                        <select id="cbUsuario" class="form-control" name="idusuario" required>
                            
                        </select>
                    </div>
                    <div class="col col-md-7 col-12">
                        <label id="txtTitulo_label" for="txtTitulo"  class="col-form-label text-md-left">Título</label>
                        <input id="txtTitulo" class="form-control" name="titulo" type="text" maxlength="50" value="" required/>
                    </div>
                    
                    
                </div>
                <div class="row" >
                    <div class="col col-md-2 col-8">
                        <label id="txtDataIni_label" for="txtDataIni"  class="col-form-label text-md-left">Data Início</label>
                        <input id="txtDataIni" class="form-control" name="dataini" type="text" onKeyUp="mascara_data(this)" maxlength="10" value="" required/>
                    </div>
                    <div class="col col-md-1 col-4">
                        <label id="txtHoraIni_label" for="txtHoraIni"  class="col-form-label text-md-left">Hora</label>
                        <input id="txtHoraIni" class="form-control" name="horaini" type="text" onKeyUp="mascara_hora(this)" maxlength="5" value="" required/>
                    </div>

                    <div class="col col-md-2 col-12">
                        <label id="txtTitulo_label" for="txtTitulo"  class="col-form-label text-md-left">Dia Inteiro?</label><br>
                        <label class="switch"><input type="checkbox"><span class="slider round"></span>
                        </label>
                    </div>

                    <div class="col col-md-2 col-8">
                        <label id="txtDataFim_label" for="txtDataFim"  class="col-form-label text-md-left">Data Fim</label>
                        <input id="txtDataFim" class="form-control" name="datafim" type="text" onKeyUp="mascara_data(this)" maxlength="10" value="" required/>
                    </div>
                    <div class="col col-md-1 col-4">
                        <label id="txtHoraFim_label" for="txtHoraFim"  class="col-form-label text-md-left">Hora</label>
                        <input id="txtHoraFim" class="form-control" name="horafim" type="text" onKeyUp="mascara_hora(this)" maxlength="5" value="" required/>
                    </div>
                    <div class="col col-md-2 col-12">
                        <label for="cbStatus" class="col-form-label text-md-left">Status</label>
                        <br/>
                        <select id="cbStatus" class="form-control" name="status" required>
                            <option value="P">PENDENTE</option>
                            <option value="R">REALIZADO</option>
                            <option value="C">CANCELADO</option>
                        </select>
                    </div>
                </div>
                
                <div class="row" >
                    <div class="col col-md-6 col-12">
                        <label id="txtDescricao_label" for="txtDescricao"  class="col-form-label text-md-left">Descrição</label>
                        <textarea id="txtDescricao" class="form-control" rows = "3" name = "descricao" value="" maxlength="2000"></textarea>
                    </div>
                    <div class="col col-md-4 col-12">
                        <label id="txtLocal_label" for="txtTitulo"  class="col-form-label text-md-left">Local</label>
                        <input id="txtLocal" class="form-control" name="local" type="text" maxlength="50" value="" required/>
                    </div>
                </div>
                <div class="row" >
                <div class="col col-md-6 col-12">
                        <label id="txtObs_label" for="txtObs"  class="col-form-label text-md-left">Observação</label>
                        <textarea id="txtObs" class="form-control" rows = "2" name = "obs" value="" maxlength="2000"></textarea>
                    </div>
                    <div class="col col-md-4 col-12">
                        <label id="txtPartic_label" for="txtPartic"  class="col-form-label text-md-left">Participantes</label>
                        <input id="txtPartic" class="form-control" name="partic" type="text" maxlength="100" value="" required/>
                    </div>

                </div>
                
            </div>
            </form>
        </div>

        <div id="lista">
            <div class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 20px 0px 20px 0px;">
                <div class="card-body">
                    <div class="row" style="padding-bottom: 5px; padding-right: 2px;">
                        <div class="col-md-6">
                            <h4 style="color:#056367;"><i class="fas fa-calendar-alt"></i> Agenda</h4>
                        </div>
                        <div class="col-md-6 text-right">
                            <button id="btnFiltro" type="button" class="btn btn-outline-secondary" aria-label="Left Align" >
                                <i class="fas fa-filter"></i> Filtro
                            </button>
                            <button id="btnNovo" type="button" class="btn btn-outline-primary" aria-label="Left Align" >
                                <i class="fas fa-plus-circle"></i> Nova Agenda
                            </button>
                        </div>
                        
                    </div>
                    <div class="row" style="padding-bottom: 5px; padding-right: 2px;">
                        <div class="col-lg-12 col-12">
                            <table id="tbAgenda" class="table table-striped table-bordered text-left mt-2" style="background-color:#fff; color:#056367;">
                                <thead  style="background-color:#404040; color: #ccc; font-weight: bold;">
                                    <tr>
                                        <th><i class="fas fa-clock"></i> SUA AGENDA</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    

                                </tbody>
                            </table>
                            <br>
                        </div> 
                    </div>
                </div>
            </div>

            <div class="row" >
                
                
               
            </div>
        </div>
    </div>
</div>

<script>

    function mascara_data(campo) {
        if (campo.value.length == 2) {
            campo.value += '/';
        }
        if (campo.value.length == 5) {
            campo.value += '/';
        }
    }

    function mascara_hora(campo) {
        if (campo.value.length == 2) {
            campo.value += ':';
        }
    }
</script>


    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'cadastro.agenda.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir a Agenda'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>