<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-money-check-alt"></i> Consultar Convênios
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/tempus-dominus/tempusdominus-bootstrap-4.min.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/bootstrap-select-1.13.2/bootstrap-select.min.css')); ?>" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/moment/min/moment-with-locales.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/tempus-dominus/tempusdominus-bootstrap-4.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/bootstrap-select-1.13.2/bootstrap-select.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/views/consulta/consconvenio.js')); ?>" ></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

   <div id="conteudoPagina" class="container-fluid">
        <input type="hidden" id="txtLogin" name="login" data="<?php echo e(Auth::user()->getLogin()); ?>"/>
        <input type="hidden" id="txtIdUsuario" name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-3 text-left">
                        <label for="cbClientePesq" class="col-form-label text-md-left">Convênio</label>
                        <br/>
                        <select id="cbClientePesq" class="form-control">
                            <option value="">Todos...</option>
                        </select>
                    </div>
                    
                    <div class="col col-sm-2 text-left">
                        <label for="txtPlacaPesq" class="col-form-label text-md-left">Data Inicial</label>
                        <br/>
                        <input id="txtDataIni" class="form-control" type="date"/>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtMotoraPesq" class="col-form-label text-md-left">Data Final</label>
                        <br/>
                        <input id="txtDataFim" class="form-control" type="date"/>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisa"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>
                    <div class="col col-sm-3 text-right">
                        <label for="btnExcel" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <span id="btnExcel" class="btn btn-warning btn-sm" aria-label="Left Align">
                            <a id="urlExcel" target="_blank" title="Imprimir Consulta">
                            <i class="fas fa-print"></i> <i class="fas fa-file-excel"></i>  Exporta para Excell</a>
                        </span> 
                    </div>
                </div>

            </div>
        </div>
        
        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbCaixa" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Placa</th>
                                    <th>Motorista</th>
                                    <th>Data Entrada</th>
                                    <th>Data Saída</th>
                                    <th>Tempo</th>
                                    <th>Ticket</th>
                                    <th>Valor</th>
                                </tr>
                            </thead>
                            <tbody>

                            
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>


<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>