<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-link"></i> Cadastro Inicial
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/jquery-picklist/picklist.css')); ?>" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/jquery-picklist/picklist.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/views/adm/classe_rota.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/views/adm/cadastro.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/moment/moment.js')); ?>" ></script>   
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
   
    <div class="row">
        <div class="col-md-4 col-lg-4 mx-auto">
            <center>
            <br/>
            <img src="<?php echo e(URL::asset(env('APP_LOGO_REDUZIDO'))); ?>" class="img-responsive rounded text-center" height="80"/>
            <br/><br/>
            </center>
        </div>
    </div>

    
    <div class="container-fluid">
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-4 text-left">
                        <h4 style="color: #056367;"><b>Primeiro Cadastro</b></h4>
                    </div>
                    <div class="col text-right">
                      <a href="http://localhost:8000/login"><button class="btn btn-outline-warning" aria-label="Left Align" ><i class="fas fa-home fa-lg"></i> Cancelar</button></a>
                    </div>
                </div>
            </div>
        </div>
            
        <div class="card mt-2">
            <div class="card-body">
                <h5 style="color: #056367;"><b>Identificação</b></h5>
                <hr style="width:100%;text-align:left;margin-left:0">
                <div class="row" >
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtPlacaPesq" class="col-form-label text-md-left">Login</label>
                        <br/>
                        <input id="txtLogin" class="form-control" type="text" placeholder="Digite o login" maxlength="20"/>
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <label for="btnValidar1" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnValidar1"  class="btn btn-outline-secondary btn-group-right"><i class="fas fa-check"></i> Validar</button>
                    </div>
                    
                </div>
                <div class="row" id="feedback-login">
                    <div class="col col-sm-4 text-left">
                        <p style="color: #ff0000">Login já existe, tente novamente!</P>
                    </div>
                </div>
                <div class="row responsive" id="identificacao" >
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtNome" class="col-form-label text-md-left">Nome</label>
                        <br/>
                        <input id="txtNome" class="form-control" type="text" placeholder="Digite o seu nome" maxlength="50"/>
                    </div>
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtEmail" class="col-form-label text-md-left">Email</label>
                        <br/>
                        <input id="txtEmail" class="form-control" type="text" placeholder="Digite o seu email principal" maxlength="100"/>
                    </div>
                    
                </div>
                <div class="row responsive" id="senha" >
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtSenha" class="col-form-label text-md-left">Senha</label>
                        <br/>
                        <input id="txtSenha" type="password" class="form-control" placeholder="Digite uma senha" maxlength="20"/>
                    </div>
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtConfirmacao" class="col-form-label text-md-left">Confirmação</label>
                        <br/>
                        <input id="txtConfirmacao" class="form-control" type="password" placeholder="Digite a confirmação da senha" maxlength="20"/>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="btnValidar2" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnValidar2"  class="btn btn-outline-secondary btn-group-right"><i class="fas fa-check"></i> Validar</button>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col col-lg-8 col-12 text-left">
                    <div class="card-body" id="contrato" >
                        <h5 style="color: #056367;"><b>Dados do Contrato</b></h5>
                        <hr style="width:100%;text-align:left;margin-left:0">
                        <div class="row" >
                            <div class="col col-lg-5 col-12 text-left">
                                <label for="cbStatusPesq" class="col-form-label text-md-left">Tipo de Contrato</label>
                                <br/>
                                <select id="cbTipo" class="form-control">
                                    <option value="">...Selecione</option>
                                    <option value="1" selected>DEGUSTAÇÃO</option>
                                    <option value="2">PARTICULAR</option>
                                    <option value="3">CONVÊNIO</option>
                                </select>
                            </div>
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="txtDataContrato" class="col-form-label text-md-left">Data do Contrato</label>
                                <br/>
                                <input id="txtDataContrato" class="form-control" type="text" readonly="true" maxlength="10"/>
                            </div>
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="txtDataVencto" class="col-form-label text-md-left">Válido Até</label>
                                <br/>
                                <input id="txtDataVencto" class="form-control" type="text" readonly="true" maxlength="10"/>
                            </div>
                        </div>
                        <div class="row" >
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="cbQtde" class="col-form-label text-md-left">Qtde Empresas</label>
                                <br/>
                                <select id="cbQtde" class="form-control">
                                    <option value="">...Selecione</option>
                                    <option value="1" selected>01</option>
                                    <option value="2">02</option>
                                    <option value="3">03</option>
                                    <option value="4">04</option>
                                    <option value="5">05</option>
                                    
                                </select>
                            </div>
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="txtValorMensal" class="col-form-label text-md-left">Valor Mensal</label>
                                <br/>
                                <input id="txtValorMensal" class="form-control" type="text" readonly="true" maxlength="10"/>
                            </div>
                            <div class="col col-sm-4 text-left">
                                <label for="btnValidar3" class="col-form-label text-md-left">&nbsp;</label>
                                <br/>
                                <button id="btnValidar3"  class="btn btn-outline-secondary btn-group-right"><i class="fas fa-check"></i> Validar</button>
                            </div>
                        </div>
                        <br/>
                        <input id="txtAdicional" class="form-control" type="text" maxlength="10"/>
                        <div class="container" style="background-color:#d9ffb3; border-radius: 0px 25px 0px 25px;">
                        <h5 style="color: #056367;"></br><i class="fas fa-bars"></i>&nbsp;Módulos</h5>
                        <div class="card-body" >
                            <div class="row" >
                                
                                <div class="col col-lg-2 col-12 text-left">
                                    <input type="checkbox" id="chkModulo1" checked=true style="width:20px;height:20px;" disabled="true" name="modulo6" value=false  data-original-title="Selecionar"/><span>&nbsp;<b>Administração</b></span>
                                    <br/>
                                    <input id="txtModAdm" class="form-control" type="text" readonly="true" maxlength="10"/>
                                </div>
                                <div class="col col-lg-2 col-12 text-left">
                                    <input type="checkbox" id="chkMod2" onclick="calcMod2()" style="width:20px;height:20px;" name="modulo6" value=false data-original-title="Selecionar"/><span>&nbsp;<b>Projeto</b></span>
                                    <br/>
                                    <input id="txtMod2" class="form-control" type="text" readonly="true" maxlength="10"/>
                                </div>
                                <div class="col col-lg-2 col-12 text-left">
                                    <input type="checkbox" id="chkMod3" onclick="calcMod3()" style="width:20px;height:20px;" name="modulo6" value=false  data-original-title="Selecionar"/><span>&nbsp;<b>Planejamento</b></span>
                                    <br/>
                                    <input id="txtMod3" class="form-control" type="text" readonly="true" maxlength="10"/>
                                </div>
                                <div class="col col-lg-2 col-12 text-left">
                                    <input type="checkbox" id="chkMod4" onclick="calcMod4()" style="width:20px;height:20px;" name="modulo6" value=false  data-original-title="Selecionar"/><span>&nbsp;<b>Financeiro</b></span>
                                    <br/>
                                    <input id="txtMod4" class="form-control" type="text" readonly="true" maxlength="10"/>
                                </div>
                                <div class="col col-lg-2 col-12 text-left">
                                    <input type="checkbox" id="chkMod5" onclick="calcMod5()" style="width:20px;height:20px;" name="modulo6" value=false  data-original-title="Selecionar"/><span>&nbsp;<b>Estoque</b></span>
                                    <br/>
                                    <input id="txtMod5" class="form-control" type="text" readonly="true" maxlength="10"/>
                                </div>
                                <div class="col col-lg-2col-12  text-left">
                                    <input type="checkbox" id="chkMod6" onclick="calcMod6()" style="width:20px;height:20px;" name="modulo6" value=false data-original-title="Selecionar"/><span>&nbsp;<b>Recursos Humanos</b></span>
                                    <br/>
                                    <input id="txtMod6" class="form-control" type="text" readonly="true" maxlength="10"/>
                                </div>

                                </div>
                            
                        </div>
                        </div>

                    </div>
                </div>
                
                <div class="col col-lg-4 col-12 text-left">
                    <div class="card-body" id="preco" >
                        <h5 style="color: #056367;"><i class="fas fa-shopping-cart"></i><b> Preço Mensal</b></h5>
                        <hr style="width:100%;text-align:left;margin-left:0">
                        <div class="card-body" style="background-color:#ff0000; color:#fff; border-radius: 0px 25px 0px 25px;">
                            <center>
                                <h6 id="titulo-preco"><b>Degustação</b></h6>
                                <h0 id="valor"><b>R$ 0,00</b></h0>
                                <h6 id="tempo"><b>3 meses</b></h6>
                            </center>
                        </div>

                    </div>

                </div>

            </div>


            <div class="card mt-2">
                <div class="card-body"  id="empresa" >
                    <h5 style="color: #056367;"><b>Dados da Empresa</b></h5>
                    <hr style="width:100%;text-align:left;margin-left:0">
                    <div class="row" >
                        <div class="col col-lg-3 col-12 text-left">
                            <label for="txtUnidade" class="col-form-label text-md-left">Nome da Empresa</label>
                            <br/>
                            <input id="txtUnidade" class="form-control" type="text" placeholder="Digite o nome da empresa" maxlength="50"/>
                        </div>
                        <div class="col col-lg-1 col-12 text-left">
                            <label for="cbUF" class="col-form-label text-md-left">UF</label>
                            <br/>
                            <select id="cbUF" class="form-control">
                                <option value="">...</option>
                                                               
                            </select>
                        </div>
                        <div class="col col-lg-3 col-12 text-left">
                            <label for="cbCidade" class="col-form-label text-md-left">Cidade</label>
                            <br/>
                            <select id="cbCidade" class="form-control">
                                <option value="">...</option>
                                                                
                            </select>
                        </div>
                    </div>
                    <div class="row" >
                        <div class="col col-lg-2 col-12 text-left">
                            <label for="btnValidar1" class="col-form-label text-md-left">&nbsp;</label>
                            <br/>
                            <button id="btnSalvar"  class="btn btn-outline-success btn-group-right"><i class="fas fa-save fa-lg"></i> Salvar Cadastro</button>
                        </div>
                    </div>

                </div>
            </div>

        </div>
        <br/>


       <!--  <div class="panel panel-default">
            <div class="panel-heading">Identificação</div>
            <div class="panel-body">
            
            </div>
        </div> -->

        <!-- <div class="container-fluid">
            <div class="card rounded">
                <div class="card-body">
                    <div class="row" >
                        <div class="col panel panel-primary table-responsive">
                            
                            
                        </div>
                    </div>
                </div>
            </div>
        
        </div> -->
    </div>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>