<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-comment-dollar"></i> Lançar Despesas no Caixa
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/cadastros/despesa.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
    
    <div class="container-fluid">
        <input type="hidden" id="txtIdUsuario" name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
        <input type="hidden" id="hdCaixaLoad" value="<?php echo e(app('request')->input('caixa')); ?>"/>
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-6 text-left">
                        <label for="cbAnoPesq" class="col-form-label text-md-left">Caixa</label>
                        <br/>
                        <select id="cbCaixaPesq" class="form-control">
                            <option value="">Selecione</option>
                            
                        </select>
                    </div>
                    
                    <div class="col col-sm-2 text-left">
                        <label for="txtPesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisa"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>

                    <div class="col text-right">
                        <label for="txtPesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnNovaDespesa" type="button" class="btn btn-primary" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Nova Despesa
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbDespesa" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Descrição da Despesa</th>
                                    <th>Valor</th>
                                    <th>Observação</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>

                            
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'titulo'=> 'Nova Despesa',
		'icone'=>'fa-comment-dollar',
        'rota' => 'cadastros.despesa.salvar',
        'controles_calcular'=>'true',
        'largura'=>900,
        'campos'=> 
        [
            [
                'id' =>'hdCaixa',
                'nome'=>'hdcaixa',
                'tipo'=>'hidden'
            ],
           
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'3',
                        'id' =>'txtValor',
                        'label'=>'Valor',
                        'nome'=>'valor',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'7',
                        'id' =>'cbCaixa',
                        'label'=>'Caixa',
                        'nome'=>'caixa',
                        'tamanho'=>'10',
                        'opcoes'=>[],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ]

                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'10',
                        'id' =>'txtDescricao',
                        'label'=>'Descrição',
                        'nome'=>'descricao',
                        'tamanho'=>'100',
                        'tipo'=>'textarea',
                        'rows'=>'2',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ]
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'10',
                        'id' =>'txtObs',
                        'label'=>'Observação',
                        'nome'=>'obs',
                        'tamanho'=>'200',
                        'tipo'=>'textarea',
                        'rows'=>'3',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>false
                    ]
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'cadastros.despesa.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir a Despesa?'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>