<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-truck"></i> PAINEL - INSPEÇÃO
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <style>
        body
        {
            background-color: #000 !important;
        }
    </style>

    <link rel="stylesheet" href="<?php echo e(URL::asset('js/DataTables/datatables.min.css')); ?>" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/DataTables/datatables.min.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('js/views/consulta/painelinspecao.js')); ?>" ></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

    <input id="hdnTempoPaginacao" type="hidden" value="<?php echo e($tpPaginacao); ?>"/>
    <input id="hdnQtdRegistros" type="hidden" value="<?php echo e($qtRegistros); ?>"/>
    <input id="hdnTempoCarregaFila" type="hidden" value="<?php echo e($tempo_carrega_fila); ?>"/>
    <input type="hidden" id="txtIdUsuario" name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
    
   <div id="conteudoPagina" class="container-fluid">
        
        <div class="row" >
            <div class="col-4">
                <h5 style="color: #fff;">&nbsp;&nbsp;&nbsp;<i class="fas fa-search"></i>&nbsp;&nbsp;VEÍCULOS EM INSPEÇÃO</h5>
                <div id="divTable2" class="col panel panel-primary table-responsive">
                
                    <table id="tbEmInspecao" class="table table-hover text-left" style="background: #000; color: #fff;">
                        <thead style="background: #000; forecolor: #fff; font-size: 20px;">
                            <tr>
                                <th>Placa</th>
                                <th>Motorista</th>
                            </tr>
                        </thead>
                        <tbody>


                        </tbody>
                    </table>
                </div>
            </div>
            <div class="col-8">
                
                <?php echo csrf_field(); ?>
                <h5 style="color: #fff;">&nbsp;&nbsp;&nbsp;<i class="fas fa-clock"></i>&nbsp;&nbsp;VEÍCULOS AGUARDANDO</h5>
                <div id="divTable" class="col panel panel-primary table-responsive">
                
                    <table id="tbEstadia" class="table table-hover text-left" style="background: #000; color: #fff;">
                        <thead style="background: #000; forecolor: #fff; font-size: 20px;">
                            <tr>
                                <th>Ordem</th>
                                <th>Placa</th>
                                <th>Motorista</th>
                                <th>Cliente</th>
                                <th>Chamado</th>
                            </tr>
                        </thead>
                        <tbody>


                        </tbody>
                    </table>
                </div>
            </div>
            
            
        </div>
    </div>

<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>