<!DOCTYPE html>
<html lang="pt">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <!-- Styles -->
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/bootstrap_v4/bootstrap.min.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('fontawesome/css/fontawesome.min.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('fontawesome/css/solid.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/views/layout.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/views/master.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('js/DataTables/datatables.min.css')); ?>" />

    <style type="text/css">
        @keyframes  neon {
            from {
                filter: drop-shadow(0 0 0 var(--cor-neon));
            }
            to {
                filter: drop-shadow(0 0 100px var(--cor-neon));
            }
        }

        i {
            animation: neon 3s alternate infinite ease-in-out;
        }

        b {
            animation: neon 3s alternate infinite ease-in-out;
        }

        .texto {
            --cor-neon: white;
        }

        /* .img {
            --cor-neon: blue;
        } */
	</style>
</head>

<body>
    <div class="content">
        <div class="content-wrapper">
            <!-- <input type="hidden" id="hdnUsuario"    name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
            <input type="hidden" id="hdnId"         name="id"        data=""/>
            <input type="hidden" id="hdnVeiculo"    name="veiculo"   data=""/>
            <input type="hidden" id="hdnMotorista"  name="motorista" data=""/>
            <input type="hidden" id="hdnData"       name="data"      data=""/>
            <input type="hidden" id="hdnDataChamada"       name="datachamada"      data=""/>
            <input type="hidden" id="hdnDataIni"    name="dataini"   data=""/>
            <input type="hidden" id="hdnDataFim"    name="datafim"   data=""/>
            <input type="hidden" id="hdnDataNormalIni"    name="datanini"   data=""/>
            <input type="hidden" id="hdnDataNormalFim"    name="datanfim"   data=""/>
            <input type="hidden" id="hdnTransp"     name="transp"   data=""/> -->

            <div class="container-fluid mt-2">
                
                <div id="lista" class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 20px 0px 20px 0px;">
                    <div class="card-body">
                        <!-- <img src="logo-soene.png" class="img-responsive rounded text-center" height="70"/> -->
                        <img src="<?php echo e(URL::asset('img\logo-roma.png')); ?>" class="img-responsive rounded text-center" height="100"/>
                        <br>
                        <!-- <h3>Dados do Caixa</h3>
                        <h6 id="periodo"></h6> -->

                        <br>
                        
                        <!-- <hr style="color:gray;"></hr> -->
                        <div class="row mt-2" >
                            <div class="col-md-12  col-12">
                                <input id="txtNomePatio" class="form-control" name="datacx" style="border: 0px; font-bold: true; font-size: 14pt;" type="text" maxlength="100" value="" />
                            </div>
                        </div>
                        <div class="row mt-2" >
                            <div class="col-md-12  col-12">
                                <input id="txtCnpjPatio" class="form-control" name="datacx" type="text" maxlength="100" style="border: 0px; font-bold: true; font-size: 14pt;" value="" />
                            </div>
                        </div>
                        <div class="row mt-2" >
                            <div class="col-md-12  col-12">
                                <input id="txtEnderecoPatio" class="form-control" name="datacx" type="text" maxlength="100" style="border: 0px; font-bold: true; font-size: 14pt;" value="" />
                            </div>
                        </div>
                        <div class="row mt-2" >
                            <div class="col-md-4  col-12">
                                <input id="txtCepPatio" class="form-control" name="datacx" type="text" maxlength="100" style="border: 0px; font-bold: true; font-size: 14pt;" value="" />
                            </div>
                            <div class="col-md-8  col-12">
                                <input id="txtCidadePatio" class="form-control" name="datacx" type="text" maxlength="100" style="border: 0px; font-bold: true; font-size: 14pt;" value="" />
                            </div>
                        </div>
                        <!-- <hr style="color:gray;"></hr> -->
                        <br>
                        <h3><b> Recibo</b></h3>
                        <!-- <hr style="color:gray;"></hr> -->
                        
                        
                        <!-- <div class="row mt-2" >
                            <div class="col-md-2">
                                <label id="txtObscx_label" for="txtObscx"  class="col-form-label text-md-left">Placa</label>
                                <input id="txtPlaca" class="form-control" name="obscx" type="text" maxlength="7" value="" />
                            </div>
                        </div> -->
                        <div class="row mt-2" >
                            <div class="col-md-8">
                                <label id="txtObscx_label" for="txtObscx"  class="col-form-label text-md-left">Motorista</label>
                                <input id="txtMotorista" class="form-control" name="obscx" type="text" maxlength="50" style="border: 0px; font-bold: true; font-size: 14pt;" value="" />
                            </div>
                            <div class="col-md-4">
                                <label id="txtObscx_label" for="txtObscx"  class="col-form-label text-md-left">CPF</label>
                                <input id="txtCpf" class="form-control" name="obscx" type="text" maxlength="20" style="border: 0px; font-bold: true; font-size: 14pt;" value="" />
                            </div>
                        </div>
                        <div class="row mt-2" >
                            <div class="col-md-6">
                                <label id="txtObscx_label" for="txtObscx"  class="col-form-label text-md-left">Cliente</label>
                                <input id="txtCliente" class="form-control" name="obscx" type="text" maxlength="50" style="border: 0px; font-bold: true; font-size: 14pt;" value="" />
                            </div>
                            <div class="col-md-6">
                                <label id="txtObscx_label" for="txtObscx"  class="col-form-label text-md-left">Destino</label>
                                <input id="txtDestino" class="form-control" name="obscx" type="text" maxlength="20" style="border: 0px; font-bold: true; font-size: 14pt;" value="" />
                            </div>
                        </div>
                        <div class="row mt-2" >
                            <div class="col-md-4">
                                <label id="txtObscx_label" for="txtObscx"  class="col-form-label text-md-left">Placa</label>
                                <input id="txtPlaca" class="form-control" name="obscx" type="text" maxlength="10" style="border: 0px; font-bold: true; font-size: 14pt;" value="" />
                            </div>
                            <div class="col-md-4">
                                <label id="txtObscx_label" for="txtObscx"  class="col-form-label text-md-left">Entrada</label>
                                <input id="txtEntrada" class="form-control" name="obscx" type="text" maxlength="20" style="border: 0px; font-bold: true; font-size: 14pt;" value="" />
                            </div>
                            <div class="col-md-4">
                                <label id="txtObscx_label" for="txtObscx"  class="col-form-label text-md-left">Saída</label>
                                <input id="txtSaida" class="form-control" name="obscx" type="text" maxlength="20" style="border: 0px; font-bold: true; font-size: 14pt;" value="" />
                            </div>
                        </div>
                        <div class="row mt-2" >
                            <div class="col-md-4">
                                <label id="txtObscx_label" for="txtObscx"  class="col-form-label text-md-left">Valor Estadia</label>
                                <input id="txtValor" class="form-control" name="obscx" type="text" maxlength="10" style="border: 0px; font-bold: true; font-size: 14pt;" value="" />
                            </div>
                            <div class="col-md-4">
                                <label id="txtObscx_label" for="txtObscx"  class="col-form-label text-md-left">Desconto</label>
                                <input id="txtDesconto" class="form-control" name="obscx" type="text" maxlength="20" style="border: 0px; font-bold: true; font-size: 14pt;" value="" />
                            </div>
                            <div class="col-md-4">
                                <label id="txtObscx_label" for="txtObscx"  class="col-form-label text-md-left">Total</label>
                                <input id="txtTotal" class="form-control" name="obscx" type="text" maxlength="20" style="border: 0px; font-bold: true; font-size: 14pt;" value="" />
                            </div>
                        </div>
                        <div class="row mt-2" >
                            <div class="col-md-4">
                                <label id="txtObscx_label" for="txtObscx"  class="col-form-label text-md-left">Forma Pgto</label>
                                <input id="txtForma" class="form-control" name="obscx" type="text" maxlength="10" style="border: 0px; font-bold: true; font-size: 14pt;" value="" />
                            </div>
                            <!-- <div class="col-md-2">
                                <label id="txtObscx_label" for="txtObscx"  class="col-form-label text-md-left">Categoria</label>
                                <input id="txt\categoria" class="form-control" name="obscx" type="text" maxlength="50" value="" />
                            </div> -->
                            <div class="col-md-4">
                                <label id="txtObscx_label" for="txtObscx"  class="col-form-label text-md-left">Usuário/Guichê</label>
                                <input id="txtUsuario" class="form-control" name="obscx" type="text" maxlength="50" style="border: 0px; font-bold: true; font-size: 14pt;" value="" />
                            </div>
                        </div>


                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="<?php echo e(URL::asset('js/jquery_v3.3.1/jquery-3.3.1.min.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('js/bootstrap_v4/bootstrap.min.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('js/JqueryMaxLength/jquery.maxlength.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('js/jquery_mask/jquery.mask.min.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('js/DataTables/datatables.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/views/patio/impreciboroma.js?1234')); ?>"></script>
</body>

<script>

    function mascara_data(campo) {
        if (campo.value.length == 2) {
            campo.value += '/';
        }
        if (campo.value.length == 5) {
            campo.value += '/';
        }
    }

    function mascara_hora(campo) {
        if (campo.value.length == 2) {
            campo.value += ':';
        }
    }

    function mascara_letra(campo) {
        if (campo.value == '-') {
            campo.value += '';
        }
        if (campo.value == '=') {
            campo.value += '';
        }
    
    }

</script>

