<?php $__env->startSection('titulo'); ?>
     Classes
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/adm/classes.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

<div class="content-wrapper">
    <div class="container-fluid mt-2">
        <?php if(session('mensagem')): ?>
            <?php if(session('mensagem')): ?>
                <div id="mensagem" class=" card-body alert alert-success text-center">
                    <i><?php echo e(session('mensagem')); ?></i>
                </div>
            <?php endif; ?>
        <?php elseif(session('exclusao')): ?>
            <?php if(session('exclusao')): ?>
                <div id="exclusao" class=" card-body alert alert-danger text-center">
                    <i><?php echo e(session('exclusao')); ?></i>
                </div>
            <?php endif; ?>
        <?php endif; ?>
        <div class="card rounded text-left" style="background-color:#fff; color:#056367; border-radius: 10px 10px 10px 10px;">
            <div class="card-body">
                <div class="row" >
                    <div class="col text-right">
                        <a href="<?php echo e(route('adm.cadastroclasse')); ?>"  class="btn btn-outline-primary" title="Novo Cadastro"><i class="fas fa-plus-circle"></i> Nova Classe</a>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 10px 10px 10px 10px;">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">
                        <table id="tbClasses" class="table table-striped table-bordered text-left">
                            <thead  style="background-color:#333333; color: #ccc; font-weight: bold;">
                                <tr>
                                    <th>Código</th>
                                    <th>Descrição</th>
                                    <th>Admin</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>

                                <?php $__currentLoopData = $classes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cls): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td id="<?php echo e($cls->getId()); ?>_codigo"><?php echo e($cls->getCodigo()); ?></td>
                                        <td id="<?php echo e($cls->getId()); ?>_descricao"><?php echo e($cls->getDescricao()); ?></td>
                                        <td id="<?php echo e($cls->getId()); ?>_admin">

                                            <?php if($cls->isAdmin()): ?>
                                                <span class="badge badge-success">SIM</span>
                                            <?php else: ?>
                                                <span class="badge badge-danger">NÃO</span>
                                            <?php endif; ?>


                                        </td>
                                        <td width="10%" class="text-center">
                                            <a href="<?php echo e(route('adm.cadastroclasse.editar',[Util::StringAleatoria(),$cls->getId(),Util::StringAleatoria()])); ?>">
                                                <span class="fas fa-pencil-alt fa-2x" style="cursor: pointer;color: #056367;" title="Editar"></span>
                                            </a>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>