<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/auth/login.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header btn-primary"><b>LOGIN</b></div>

                <div class="card-body">
                    <form id="frmLogin" method="POST" action="<?php echo e(route('login')); ?>">
                        <?php echo csrf_field(); ?>

						<div class="row">
							<div class="col-xs-12 col-sm-12 col-lg-12 text-center">
								<br/>
								<img src="img\logo.png"  alt="VALEN" />  
								<br/>
							</div>
						</div>
												
						<br/>
						
                        <div class="form-group row">
                            
                            <div class="input-group col-md-6 offset-md-3 text-center">
                                <div class="input-group-prepend">
                                    <span id="spnNome" class="input-group-text">
                                        <i class="fas fa-user"></i>
                                    </span>
                                </div>
                                <input id="cpf"
                                    type="text"
                                    class="form-control mask_cpf"
                                    name="USUA_cpf"
                                    maxlength="50"
                                    placeholder="LOGIN"
                                    autocomplete="off"
                                    required autofocus/>
                            </div>
                        </div>

                        <div class="form-group row">
                            
                            <div class="col-md-6 offset-md-3">
                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                        <span id="spnNome" class="input-group-text">
                                            <i class="fas fa-lock"></i>
                                        </span>
                                    </div>
                                    <input id="password"
                                        type="password"
                                        class="form-control"
                                        name="password"
                                        maxlength="50"
                                        placeholder="SENHA"
                                        autocomplete="off"
                                        required autofocus/>
                                </div>
                            </div>

                            
                        </div>

                        
                         <div class="form-group row justify-content-center">
                            <div class="col-md-6">
                                <button type="submit" class="form-control btn btn-primary">Entrar</button>
                            </div>
                        </div>

                    </form>

                     <div class="form-group row justify-content-center">
                        <div class="col-md-6">
                            <a class="form-control btn btn-large btn-warning" href="<?php echo e(route('password.request')); ?>">Esqueci minha senha</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>