<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/cadastro/destino.js?123456')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('titulo'); ?>
  SGP - <?php echo e(Auth::user()->Unidade->getNome()); ?></b> - <i class="fas fa-map-marker-alt"></i> Destinos
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
    

<div class="content-wrapper">
    <input type="hidden" id="hdnUsuario" name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
    <input type="hidden" id="hdnId" name="id" data=""/>
    
    <div class="container-fluid mt-2">
        
        <div id="cadastro" class="card mt-2" style="display: none; background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
            
            <?php echo csrf_field(); ?>
            
            <div class="card-body">
                <div class="row" style="padding-right: 2px;">
                    <div class="col-md-2">
                        <!-- <h4 style="color:#056367;"><i class="fas fa-map-marker-alt"></i> Destinos</h4> -->
                    </div>
                    <div class="col-md-10">
                        <div class="col text-right">
                            
                            <button id="btnVoltar" type="button" class="btn btn-secondary btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-arrow-left"></i> Voltar
                            </button>

                            <button id="btnSalvar" type="button" data="" class="btn btn-success btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-save"></i> Salvar
                            </button>
                            
                        </div>
                    </div>
                    
                </div>
                <hr></hr>
                <div class="row" >
                    <div class="col-md-6">
                        <label id="txtDescricao_label" for="txtDescricao"  class="col-form-label text-md-left">Nome <span style="color: #ff0000;">*</span></label>
                        <input id="txtDescricao" class="form-control" name="descricao" type="text" maxlength="50" value="" required/>
                    </div>
                    <div class="col-md-2">
                        <label id="txtCodigo_label" for="txtPreco"  class="col-form-label text-md-left">Código</label>
                        <input id="txtCodigo" class="form-control" name="codigo" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-4">
                        <label id="txtTitulo_label" for="txtPreco"  class="col-form-label text-md-left">Título</label>
                        <input id="txtTitulo" class="form-control" name="titulo" type="text" maxlength="10" value="" />
                    </div>
                </div>

               
            </div>
            
        </div>

        <div id="lista" class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
            <div class="card-body">
                <div class="row" style="padding-bottom: 5px; padding-right: 2px;">
                    <div class="col-md-2">
                        <!-- <h4 style="color:#056367;"><i class="fas fa-map-marker-alt"></i> Destinos</h4> -->
                    </div>
                    <div class="col-md-10 text-right">
                        <button id="btnPesquisar" type="button" class="btn btn-secondary btn-redondo" aria-label="Left Align" >
                            <i class="fas fa-search"></i> Pesquisar
                        </button>
                        <button id="btnNovo" type="button" class="btn btn-primary btn-redondo" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Novo
                        </button>
                    </div>
                    
                </div>
                
                <div class="row mt-2" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbDestino" class="table table-striped table-bordered text-left ">
                            <thead  style="background-color:#404040; color: #ccc; font-weight: bold;">
                                <tr>
                                    <th>Dados dos Destinos</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>