<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-print"></i> Re-Impressão do Ticket
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/cadastros/ticket.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
    
    <div class="container-fluid">
        <input type="hidden" id="hdGuicheLoad" value="<?php echo e(app('request')->input('guiche')); ?>"/>
        <input type="hidden" id="txtIdUsuario" name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-2 text-left">
                        <label for="txtPlacaPesq" class="col-form-label text-md-left">Busca Placa</label>
                        <br/>
                        <input id="txtPlacaPesq" class="form-control" type="text"/>
                    </div>
                    
                    <div class="col col-sm-3 text-left">
                        <label for="txtMotoraPesq" class="col-form-label text-md-left">Busca Motorista</label>
                        <br/>
                        <input id="txtMotoraPesq" class="form-control" type="text"/>
                    </div>

                    <div class="col col-sm-2 text-left">
                        <label for="txtTicketPesq" class="col-form-label text-md-left">Busca Ticket</label>
                        <br/>
                        <input id="txtTicketPesq" class="form-control" type="text"/>
                    </div>
                                        
                    
                    <div class="col col-sm-2 text-left">
                        <label for="txtPesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisa"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>

                    
                </div>
            </div>
        </div>
        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbTicket" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Data</th>
                                    <th>Placa</th>
                                    <th>Motorista</th>
                                    <th>Ticket</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>

                            
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'titulo'=> 'Re-Impressão do Ticket',
		'icone'=>'fa-print',
        'rota' => 'cadastros.ticket.imprimir',
        'controles_editar'=>'true',
        'controles_salvar'=>'false',
        'controles_fechar'=>'false',
        'largura'=>900,
        'campos'=> 
        [
            [
                'id' =>'hdId',
                'nome'=>'hdid',
                'tipo'=>'hidden'
            ],
            
            
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'3',
                        'id' =>'txtData',
                        'label'=>'Data',
                        'nome'=>'data',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtPlaca',
                        'label'=>'Placa',
                        'nome'=>'placa',
                        'tamanho'=>'7',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'5',
                        'id' =>'txtMotorista',
                        'label'=>'Motorista',
                        'nome'=>'motorista',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ]
                    
                ]
            ],
        
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'3',
                        'id' =>'txtTicket',
                        'label'=>'Ticket',
                        'nome'=>'ticket',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ]
                   
                ]
            ]
          
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'cadastros.caixa.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir o Caixa?'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>