<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-search-dollar"></i> Abertura/Fechamento do Caixa
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/cadastros/caixa.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
    
    <div class="container-fluid">
        <input type="hidden" id="hdGuicheLoad" value="<?php echo e(app('request')->input('guiche')); ?>"/>
        <input type="hidden" id="txtIdUsuario" name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-2 text-left">
                        <label for="cbAnoPesq" class="col-form-label text-md-left">Ano</label>
                        
                        <br/>
                        <select id="cbAnoPesq" class="form-control">
                            <option value="">Selecione</option>
                            <option value="2020" selected>2020</option>
                            <option value="2021">2021</option>
                            <option value="2022">2022</option>
                            <option value="2023">2023</option>
                            <option value="2024">2024</option>
                            <option value="2025">2025</option>
                            <option value="2026">2026</option>
                            <option value="2027">2027</option>
                            <option value="2028">2028</option>
                            <option value="2029">2029</option>
                            <option value="2030">2030</option>
                            
                        </select>
                    </div>
                    
                    <div class="col col-sm-2 text-left">
                        <label for="cbMes" class="col-form-label text-md-left">Mês</label>
                        <br/>
                        <select id="cbMesPesq" class="form-control">
                            <option value="">Selecione</option>
                            <option value="1">Janeiro</option>
                            <option value="2">Fevereiro</option>
                            <option value="3">Março</option>
                            <option value="4">Abril</option>
                            <option value="5">Maio</option>
                            <option value="6">Junho</option>
                            <option value="7">Julho</option>
                            <option value="8">Agosto</option>
                            <option value="9">Setembro</option>
                            <option value="10">Outubro</option>
                            <option value="11">Novembro</option>
                            <option value="12">Dezembro</option>
                            
                        </select>
                    </div>
                    
                    <div class="col col-sm-2 text-left">
                        <label for="cbGuichePesq" class="col-form-label text-md-left">Guichê</label>
                        
                        <br/>
                        <select id="cbGuichePesq" class="form-control">
                            <option value="">Selecione</option>
                            <option value="1">Guichê 01</option>
                            <option value="2">Guichê 02</option>
                            <option value="3">Guichê 03</option>
                           
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtPesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisa"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>

                    <div class="col text-right">
                        <label for="txtPesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnNovoCaixa" type="button" class="btn btn-primary" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Novo Caixa
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbCaixa" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Data</th>
                                    <th>Turno</th>
                                    <th>Guichê</th>
                                    <th>Usuário</th>
                                    <th>Inicio</th>
                                    <th>Espécie</th>
                                    <th>Crédito</th>
                                    <th>Débito</th>
                                    <th>Desconto</th>
                                    <th>Despesa</th>
                                    <th>Saldo</th>
                                    <th>Status</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>

                            
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'titulo'=> 'Novo Caixa',
		'icone'=>'fa-search-dollar',
        'rota' => 'cadastros.caixa.salvar',
        'controles_calcular'=>'true',
        'largura'=>900,
        'campos'=> 
        [
            [
                'id' =>'hdTurno',
                'nome'=>'hdturno',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdData',
                'nome'=>'hddata',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdGuiche',
                'nome'=>'hdguiche',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdEspecie',
                'nome'=>'hdespecie',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCredito',
                'nome'=>'hdcredito',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdDebito',
                'nome'=>'hddebito',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdDesconto',
                'nome'=>'hddesconto',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdDespesa',
                'nome'=>'hddespesa',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdSaldo',
                'nome'=>'hdsaldo',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdUsuario',
                'nome'=>'hdusuario',
                'tipo'=>'hidden'
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'3',
                        'id' =>'txtData',
                        'label'=>'Data',
                        'nome'=>'data',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbGuiche',
                        'label'=>'Guichê',
                        'nome'=>'guiche',
                        'opcoes'=>
                        [
                            '1'=>'Guichê 01',
                            '2'=>'Guichê 02',
                            '3'=>'Guichê 03'
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbTurno',
                        'label'=>'Turno',
                        'nome'=>'turno',
                        'opcoes'=>
                        [
                            'D'=>'TURNO DO DIA',
                            'N'=>'TURNO DA NOITE'
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'cbAberto',
                        'label'=>'Caixa Aberto?',
                        'nome'=>'status',
                        'tipo'=>'slider',
                        'required'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbUsuario',
                        'label'=>'Usuário',
                        'nome'=>'usuario',
                        'opcoes'=>
                        [
                            
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ]
                    
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'3',
                        'id' =>'txtInicio',
                        'label'=>'Valor Inicial (+)',
                        'nome'=>'inicio',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtEspecie',
                        'label'=>'Valor Espécie (+)',
                        'nome'=>'especie',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtCredito',
                        'label'=>'Cartão Crédito (+)',
                        'nome'=>'credito',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtDebito',
                        'label'=>'Cartão Débito (+)',
                        'nome'=>'debito',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ]

                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'3',
                        'id' =>'txtTotal',
                        'label'=>'Total (=)',
                        'nome'=>'total',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtDesconto',
                        'label'=>'Desconto (-)',
                        'nome'=>'desconto',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtDespesa',
                        'label'=>'Despesas (-)',
                        'nome'=>'despesa',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtSaldo',
                        'label'=>'Saldo (=)',
                        'nome'=>'saldo',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'12',
                        'id' =>'txtObs',
                        'label'=>'Observação',
                        'nome'=>'obs',
                        'tamanho'=>'500',
                        'tipo'=>'textarea',
                        'rows'=>'2',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>false
                    ]
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'cadastros.caixa.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir o Caixa?'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>