<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-link"></i> Cadastro
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/jquery-picklist/picklist.css')); ?>" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/jquery-picklist/picklist.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/views/adm/classe_rota.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/views/adm/cadastro.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/moment/moment.js')); ?>" ></script>   
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
   
    <div class="row mt-1">
        <div class="col-md-4 col-lg-4 mx-auto">
            <center>
            
            <img src="<?php echo e(URL::asset(env('APP_LOGO'))); ?>" class="img-responsive rounded text-center" height="60"/>
            <br/>
            </center>
        </div>
    </div>

    <input type="hidden" id="hdLogin" name="hdlogin" data=""/>
    <input type="hidden" id="hdCodigo" name="hdcodigo" data=""/>

    <div class="container-fluid mt-2">
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-4 text-left">
                        <h4 style="color: #056367;"><b>Cadastro</b></h4>
                    </div>
                    <div class="col text-right">
                        <a href="http://positum.empresaokto.com.br/public/login"><button class="btn btn-warning" aria-label="Left Align" ><i class="fas fa-home fa-lg"></i> Cancelar</button></a>
                        <!-- http://localhost:8000/login -->
                    </div>
                </div>
            </div>
        </div>
        
        <div class="card mt-2" id="cad-parceiro">
            <div class="card-body">
                <h5 style="color: #056367;"><b>Indicação de Parceiros</b></h5>
                <hr style="width:100%;text-align:left;margin-left:0">
                <div class="row" >
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtCodigo" class="col-form-label text-md-left">Código do Parceiro</label>
                        <br/>
                        <input id="txtCodigo" class="form-control" type="text" placeholder="Digite código do parceiro" maxlength="6" onkeyup="maiuscula(this)"/>
                    </div>
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtNomeParceiro" class="col-form-label text-md-left">Nome do Parceiro</label>
                        <br/>
                        <input id="txtNomeParceiro" class="form-control" type="text" maxlength="50"/>
                    </div>
                </div>
                <br>
                <div class="row" >
                    <div class="col col-lg-6 col-12">
                        <div class="alert alert-info" id="info-01">
                            <i class="fas fa-gift fa-2x"></i>&nbsp;&nbsp;Caso você informe o código de algum dos nossos parceiros, você ganhará o benefício de <b>60 dias para degustação</b>, ao invés de somente 30 dias.
                        </div> 
                        <div class="alert alert-success" id="info-02">
                            <i class="fas fa-handshake fa-2x"></i>&nbsp;&nbsp;Parabéns !<br>Você adquiriu o benefício de <b>60 dias para degustação</b>. Favor prosseguir com o cadastro da sua conta.
                        </div>               
                    </div>
                </div>
                <div class="row" >
                    <div class="col col-lg-2 col-6">
                        <label for="btnValidarParceiro" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnValidarParceiro"  class="btn btn-secondary btn-group-right"><i class="fas fa-check"></i> Validar Parceiro</button>
                    </div>
                    <div class="col col-lg-2 col-6">
                        <label for="btnIgnorarParceiro" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnIgnorarParceiro"  class="btn btn-danger btn-group-right"><i class="fas fa-times"></i> Ignorar Parceiro</button>
                    </div>
                </div>
                
                

            </div>
        </div>

        <div class="card mt-2" id="cad-login">
            <div class="card-body">
                <h5 style="color: #056367;"><b>Identificação</b></h5>
                <hr style="width:100%;text-align:left;margin-left:0">
                <div class="row" >
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtPlacaPesq" class="col-form-label text-md-left">Login</label>
                        <br/>
                        <input id="txtLogin" class="form-control" type="text" placeholder="Digite o login" maxlength="20"  onkeyup="maiuscula(this)"/>
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <label for="btnValidar1" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnValidar1"  class="btn btn-secondary btn-group-right"><i class="fas fa-check"></i> Validar</button>
                    </div>
                    
                </div>
                <div class="row" id="feedback-login">
                    <div class="col col-sm-4 text-left">
                        <p style="color: #ff0000">Login já existe, tente novamente!</P>
                    </div>
                </div>
                <div class="row responsive" id="identificacao" >
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtNome" class="col-form-label text-md-left">Nome</label>
                        <br/>
                        <input id="txtNome" class="form-control" type="text" placeholder="Digite o seu nome completo" maxlength="50" onkeyup="maiuscula(this)"/>
                    </div>
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtEmail" class="col-form-label text-md-left">Email</label>
                        <br/>
                        <input id="txtEmail" class="form-control" type="text" placeholder="Digite o seu email principal" maxlength="100"/>
                    </div>
                    
                </div>
                <div class="row responsive" id="cidade" >
                    <div class="col col-lg-2 col-12 text-left">
                        <label for="cbUF" class="col-form-label text-md-left">UF</label>
                        <br/>
                        <select id="cbUF" class="form-control">
                           
                        </select>
                    </div>
                    <div class="col col-lg-4 col-12 text-left">
                        <label for="cbCidade" class="col-form-label text-md-left">Cidade</label>
                        <br/>
                        <select id="cbCidade" class="form-control">
                           
                        </select>
                    </div>
                </div>
                <div class="row responsive" id="senha" >
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtSenha" class="col-form-label text-md-left">Senha</label>
                        <br/>
                        <input id="txtSenha" type="password" class="form-control" placeholder="Digite uma senha" maxlength="20"/>
                    </div>
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtConfirmacao" class="col-form-label text-md-left">Confirmação</label>
                        <br/>
                        <input id="txtConfirmacao" class="form-control" type="password" placeholder="Digite a confirmação da senha" maxlength="20"/>
                    </div>
                </div>

                <div class="row responsive" id="senha2" >
                    <div class="col col-sm-2 text-left">
                        <label for="btnValidar2" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnValidar2"  class="btn btn-success btn-group-right"><i class="fas fa-check"></i> Salvar Conta</button>
                    </div>
                </div>

                <div class="row responsive mt-2" >
                    <div class="col col-lg-6 col-12">
                        <div class="alert alert-success" id="info-03">
                            <i class="fas fa-check fa-3x"></i>&nbsp;&nbsp;Sua Conta no Positum foi criada com sucesso!
                        </div>               
                    </div>
                </div>

                <div class="row responsive mt-2" >
                    <div class="col col-sm-2 text-left">
                        <label for="btnFechar" class="col-form-label text-md-left">&nbsp;</label>
                        <a href="http://positum.empresaokto.com.br/public/login"><button id="btnFechar" class="btn btn-info" aria-label="Left Align" ><i class="fas fa-home fa-lg"></i> Finalizar</button></a>
                    </div>
                </div>

            </div>
        </div>
    </div>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>