<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-truck"></i> Veículo
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/cadastro/veiculo.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

<div class="content-wrapper">
    <div class="container-fluid">
        <div class="card rounded text-left mt-2" style="background-color:#fff; color:#056367; border-radius: 10px 10px 10px 10px;">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-2 text-left">
                        <label for="txtPlacaPesq" class="col-form-label text-md-left">Buscar Placa</label>
                        <br/>
                        <input id="txtPlacaPesq" class="form-control" type="text"/>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisaVeiculo"  class="btn btn-outline-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>
                    <div class="col col-sm-8 text-right">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnNovoVeiculo" type="button" class="btn btn-outline-primary" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Novo Veículo
                        </button>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 10px 10px 10px 10px;">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbVeiculo" class="table table-striped table-bordered text-left ">
                            <thead  style="background-color:#333333; color: #ccc; font-weight: bold;">
                                <tr>
                                    <th>Placa</th>
                                    <th>Tag</th>
                                    <th>Marca</th>
                                    <th>Modelo</th>
                                    <th>Ano</th>
                                    <th>Tipo</th>
                                    <th>Situação</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>

                               

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>
</div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'titulo'=> 'Atualizar Veículo',
		'icone'=>'fa-truck',
        'rota' => 'cadastro.veiculo.salvar',
        'campos'=>
        [
            [
                'tipo'=>'array',
                'campos'=>
                [
                    
                    [
                        'largura'=>'4',
                        'id' =>'cbSituacao',
                        'label'=>'Situação',
                        'nome'=>'situacao',
                        'opcoes'=>['A'=>'ATIVO','I'=>'INATIVO'],
                        'tipo'=>'combo',
                        'required'=> true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'7',
                        'id' =>'cbTipoVeiculo',
                        'label'=>'Tipo de Veículo',
                        'nome'=>'tipo',
                        'opcoes'=>$tipos,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'autofocus'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'5',
                        'id' =>'txtPlaca',
                        'label'=>'Placa',
                        'nome'=>'placa',
                        //'classe'=>'mask_placa text-uppercase',
                        'tamanho'=>'7',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'txtTag',
                        'label'=>'Tag',
                        'nome'=>'tag',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ]
                    
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'4',
                        'id' =>'txtMarca',
                        'label'=>'Marca',
                        'nome'=>'marca',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'txtModelo',
                        'label'=>'Modelo',
                        'nome'=>'modelo',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtAno',
                        'label'=>'Ano Fab.',
                        'nome'=>'ano',
                        'tamanho'=>'4',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ]
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'cadastro.veiculo.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir o Veículo'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>