<?php $__env->startSection('titulo'); ?>
    Dashboard
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<!-- jQuery -->
<!-- <script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/jquery/jquery.min.js')); ?>"></script> -->
<!-- jQuery UI 1.11.4 -->
<!-- <script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/jquery-ui/jquery-ui.min.js')); ?>"></script> -->
<!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
<script>
  $.widget.bridge('uibutton', $.ui.button)
</script>
<!-- Bootstrap 4 -->
<!-- <script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script> -->
<!-- ChartJS -->
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/chart.js/Chart.min.js')); ?>"></script>
<!-- Sparkline -->
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/sparklines/sparkline.js')); ?>"></script>
<!-- JQVMap -->
<!-- <script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/jqvmap/jquery.vmap.min.js')); ?>"></script>
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/jqvmap/maps/jquery.vmap.usa.js')); ?>"></script> -->
<!-- jQuery Knob Chart -->
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/jquery-knob/jquery.knob.min.js')); ?>"></script>
<!-- daterangepicker -->
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/moment/moment.min.js')); ?>"></script>
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/daterangepicker/daterangepicker.js')); ?>"></script>
<!-- Tempusdominus Bootstrap 4 -->
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js')); ?>"></script>
<!-- Summernote -->
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/summernote/summernote-bs4.min.js')); ?>"></script>
<!-- overlayScrollbars -->
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js')); ?>"></script>
<!-- AdminLTE App -->
<!-- <script src="<?php echo e(URL::asset('AdminLTE-3.0.5/dist/js/adminlte.js')); ?>"></script> -->
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<!-- <script src="<?php echo e(URL::asset('AdminLTE-3.0.5/dist/js/pages/dashboard.js')); ?>"></script> -->

<script src="<?php echo e(URL::asset('js/views/home.js')); ?>"></script>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>


<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <input type="hidden" id="hdnUnidade" name="unidade" data="<?php echo e(Auth::user()->getUnidade()); ?>"/>
  <input type="hidden" id="hdnUsuario" name="usuario" data="<?php echo e(Auth::user()->getId()); ?>"/>

  <!-- Main content -->
  <section class="content">
    <div class="container-fluid">
    <div class="row">

      <div class="col-lg-6 col-12">

       <!-- Small boxes (Stat box) -->
       <div class="row mt-2">
          <div class="col-lg-6 col-6">
            <!-- small box -->
            <div class="small-box bg-info" style="border-radius: 20px 0px 20px 0px;">
              <div class="inner">
                <h3>150</h3>

                <p>Total de Casos</p>
              </div>
              <div class="icon">
              <i class="fas fa-balance-scale fa-lg"></i>
              </div>
            </div>
          </div>
          <!-- ./col -->
          <div class="col-lg-6 col-6">
            <!-- small box -->
            <div class="small-box bg-success" style="border-radius: 20px 0px 20px 0px;">
              <div class="inner">
                <h3>53<sup style="font-size: 20px">%</sup></h3>

                <p>Finalizados</p>
              </div>
              <div class="icon">
              <i class="fas fa-check fa-lg"></i>
              </div>
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-lg-12 col-12">
            <div class="card" style="background-color:#ffffb3; color:#000; border-radius: 0px 0px 20px 0px;">
              <div class="card-header" style="background-color:#ffff99; color: #056367;"><h5>Bem Vindo(a) <?php echo e(Auth::user()->getNome()); ?></h5></div>
              <div class="card-body">
                <!-- <h4 class="card-title"><b></b></h4> -->
                <br>
                <p class="card-text" style="font-size: 14pt;">Você está acessando o Sistema Positum. Aqui você  
                                      encontrará os recursos necessários à organização do seu escritório de advocacia, seus casos, 
                                      dados de seus clientes, as atividades relacionadas aos casos, sua agenda, tarefas à serem
                                      realizadas e acompanhamento financeiro.</p><br>
                                      <center>
                                      <p class="card-text" style="color: #056367;font-size: 14pt;">*** <i class="fas fa-balance-scale"></i> *** </p>
                                      </center>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="col-lg-6 col-12">
       
      <div class="row mt-2">
          <div class="col-lg-12 col-12">
            <div class="card  bg-default" style="background-color:#fff; color:#056367; border-radius: 0px 0px 20px 0px;">
              
                <div class="card-header" style="background-color:#e6e6e6; color: #056367;"><b><i class="fas fa-calendar-alt"></i> SUA AGENDA</b></div>
                <!-- <hr style="width:100%;text-align:left;margin-left:0"> -->
                <div class="card-body" style="border: 0;">
                  <div id="tabAgenda"> 
                 
                  </div>
                  <br>
                </div>  
              
            </div>
          </div> 
        </div>

        <div class="row">
          <div class="col-lg-12 col-12">
            <div class="card  bg-default" style="background-color:#fff; color:#056367; border-radius: 0px 0px 20px 0px;">
              
                <div class="card-header" style="background-color:#e6e6e6; color: #056367;"><b><i class="fas fa-tasks"></i> SUAS TAREFAS</b></div>
                <!-- <hr style="width:100%;text-align:left;margin-left:0"> -->
                <div class="card-body" style="border: 0;">
                  <div class="row">
                    <div class="col-lg-6 col-12">
                      <p class="card-text" style="background-color: #ffffcc;"><i class="fas fa-clock fa-lg"></i><b> A FAZER</b></p>
                      
                      <div id="tabFazer"> 
                  
                      </div>
                      <br>
                    </div>
                    
                    <div class="col-lg-6 col-12">
                      <p class="card-text" style="background-color: #ccfff5;"><i class="fas fa-running fa-lg"></i><b> FAZENDO</b></p>
                      
                     
                      <div id="tabFazendo"> 
                  
                      </div>
                    </div>
                  </div>
                </div>
                
                
              
            </div>
          </div> 
        </div>

      </div>

      <!-- /.row -->
      

    
    </div>
    </div>  <!-- /.container-fluid -->
  </section>
  <!-- /.content -->
</div>
<!-- /.content-wrapper -->



<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>