<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-user-tie"></i> Motorista
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/cadastros/motorista.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

    <div class="container-fluid">

        <div class="card rounded text-left">
            
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-3 text-left">
                        <label for="txtMotoristaPesquisa" class="col-form-label text-md-left">Motorista</label>
                        <br/>
                        <input id="txtMotoristaPesquisa" class="form-control" type="text"/>
                    </div>

                    <div class="col col-sm-2 text-left">
                        <label for="txtCpfPesquisa" class="col-form-label text-md-left">CPF</label>
                        <br/>
                        <input id="txtCpfPesquisa" class="form-control mask_cpf" type="text"/>
                    </div>

                    <div class="col col-sm-3 text-left">
						<label for="txtCidadePesquisa" class="col-form-label text-md-left">Cidade</label>
						<br/>
						<input id="txtCidadePesquisa" class="form-control" type="text"/>
					</div>

                    <div class="col col-sm-2 text-left">
                        <label for="txtStatusPesquisa" class="col-form-label text-md-left">Status</label>
                        <br/>
                        <select id="txtStatusPesquisa" class="form-control">
                            <option values="">Selecione</option>
                            <option values="1">Ativo</option>
                            <option values="0">Inativo</option>
                        </select>
                    </div>

					 <div class="col col-sm-2 text-left">
						<label for="txtMotoristaPesquisa" class="col-form-label text-md-left">&nbsp;</label>
						<br/>
						<button id="btnPesquisaMotorista"  class="btn btn-default btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
					</div>
                </div>

            </div>
        </div>
        <br/>

        <div class="row" >
            <div class="col text-left">
                <button id="btnNovoMotorista" type="button" class="btn btn-primary" aria-label="Left Align" >
                    <i class="fas fa-plus-circle"></i> Novo Motorista
                </button>
            </div>
        </div>
        <br/>
        <div class="row" >
            <div class="col panel panel-primary table-responsive">

                <table id="tbMotorista" class="table table-hover text-left">
                    <thead>
                        <tr>
                            <th>Nome</th>
                            <th>CPF</th>
                            <th>Celular</th>
                            <th>Cidade</th>
                            <th>Status</th>
                            <th>Ações</th>
                        </tr>
                    </thead>
                    <tbody>

                        <?php $__currentLoopData = $motorista; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $moto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>

                                <td id="<?php echo e($moto->getId()); ?>_nome"><?php echo e($moto->getNome()); ?></td>
                                <td id="<?php echo e($moto->getId()); ?>_cpf"><?php echo e($moto->getCpf()); ?></td>
                                <td id="<?php echo e($moto->getId()); ?>_celular"><?php echo e($moto->getCelular()); ?></td>

                                <td id="<?php echo e($moto->getId()); ?>_cidade"
									data="<?php echo e($moto->getFkCidade()); ?>"
									data2="<?php echo e($moto->Cidade->getFkEstado()); ?>">
									<?php echo e($moto->Cidade->getNome()); ?>

								</td>

                                <input type="hidden" id="<?php echo e($moto->getId()); ?>_endereco" value="<?php echo e($moto->getEndereco()); ?>"/>
								<input type="hidden" id="<?php echo e($moto->getId()); ?>_bairro" value="<?php echo e($moto->getBairro()); ?>"/>
								<input type="hidden" id="<?php echo e($moto->getId()); ?>_numero" value="<?php echo e($moto->getNumero()); ?>"/>
								<input type="hidden" id="<?php echo e($moto->getId()); ?>_complemento" value="<?php echo e($moto->getComplemento()); ?>"/>
								<input type="hidden" id="<?php echo e($moto->getId()); ?>_bairro" value="<?php echo e($moto->getBairro()); ?>"/>
								<input type="hidden" id="<?php echo e($moto->getId()); ?>_observacao" value="<?php echo e($moto->getObs()); ?>"/>

                                <input type="hidden" id="<?php echo e($moto->getId()); ?>_rg" value="<?php echo e($moto->getRg()); ?>"/>
                                <input type="hidden" id="<?php echo e($moto->getId()); ?>_rg_orgao" value="<?php echo e($moto->getRgOrgao()); ?>"/>
                                <input type="hidden" id="<?php echo e($moto->getId()); ?>_rg_uf" value="<?php echo e($moto->getRgUf()); ?>"/>
                                <input type="hidden" id="<?php echo e($moto->getId()); ?>_cnh_nro" value="<?php echo e($moto->getCnh()); ?>"/>
                                <input type="hidden" id="<?php echo e($moto->getId()); ?>_cnh_categoria" value="<?php echo e($moto->getCnhCategoria()); ?>"/>
                                <input type="hidden" id="<?php echo e($moto->getId()); ?>_tipo" value="<?php echo e($moto->getTipo()); ?>"/>
                                <input type="hidden" id="<?php echo e($moto->getId()); ?>_celular" value="<?php echo e($moto->getCelular()); ?>"/>

                                <td id="<?php echo e($moto->getId()); ?>_ativo" data="<?php echo e($moto->getAtivo()); ?>">
                                    <?php if($moto->getAtivo()): ?>
                                        <span class="badge badge-success">Ativo</span>
                                    <?php else: ?>
                                        <span class="badge badge-danger">Inativo</span>
                                    <?php endif; ?>
                                </td>

                                <td>
                                    <span name="editBtn" class="fas fa-edit cursor-pointer botaoeditar" data="<?php echo e($moto->getId()); ?>" style="cursor: pointer;color: #009933;" title="Editar"></span>
                                    <span name="delBtn" class="fas fa-trash-alt cursor-pointer botaoexcluir" data="<?php echo e($moto->getId()); ?>" style="cursor: pointer;color: #ff0000;" title="Excluir"></span>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </tbody>
                </table>

            </div>
        </div>
    </div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>'700',
        'icone'=>'fa-user-tie',
        'titulo'=> 'Novo Motorista',
        'rota' => 'cadastros.motorista.salvar',
        'campos'=>
        [
            [
                'tipo'=>'array',
                'campos' =>
                [
                    [
                        'largura'=>'4',
                        'id' =>'txtCpf',
                        'label'=>'CPF',
                        'nome'=>'cpf',
                        'tamanho'=>'20',
                        'padding'=>'50',
                        'classe'=>'mask_cpf',
                        'tipo'=>'txt',
                        'required'=>true,
                        'autofocus'=> true,
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbAtivo',
                        'label'=>'Ativo',
                        'nome'=>'ativo',
                        'tipo'=>'slider',
                        'required'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'9',
                        'id' =>'txtNome',
                        'label'=>'Nome',
                        'nome'=>'nome',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'autocomplete'=>'off'
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtCelular',
                        'label'=>'Celular',
                        'nome'=>'celular',
                        'classe'=>'mask_celular',
                        'tamanho'=>'20',
                        'padding'=>'50',
                        'tipo'=>'txt',
                        'required'=>true,
                        'autofocus'=> true,
                    ]
                ]
            ],
            [
                'tipo'=> 'array',
                'campos'=>
                [
                    [
                        'largura'=>'9',
                        'id' =>'txtEndereco',
                        'label'=>'Endereço',
                        'nome'=>'endereco',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtNumero',
                        'label'=>'Número',
                        'nome'=>'numero',
                        'tamanho'=>'6',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ]
                ]
            ],
            [
                'tipo'=> 'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'txtBairro',
                        'label'=>'Bairro',
                        'nome'=>'bairro',
                        'tamanho'=>'30',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'txtComplemento',
                        'label'=>'Complemento',
                        'nome'=>'complemento',
                        'required'=> false,
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'autofocus'=> true,
                    ]
                ]
            ],
			[
                'tipo'=> 'array',
                'campos'=>
                [
                    [
                        'largura'=>'7',
                        'id' =>'txtRg',
                        'label'=>'RG',
                        'nome'=>'rg',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtRgOrgao',
                        'label'=>'RG Órgão',
                        'nome'=>'rg_orgao',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'classe'=>'text-uppercase',
                        'required'=> false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtRgUf',
                        'label'=>'RG UF',
                        'nome'=>'rg_uf',
                        'classe'=>'text-uppercase',
                        'tamanho'=>'2',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ]
                ]
            ],
            [
                'tipo'=> 'array',
                'campos'=>
                [

                    [
                        'largura'=>'5',
                        'id' =>'txtTipo',
                        'label'=>'Tipo',
                        'nome'=>'tipo',
                        'default'=>'Selecione',
                        'opcoes'=>['F'=>'FROTA','P'=>'PARTICULAR'],
                        'tipo'=>'combo',
                        'required'=> true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'5',
                        'id' =>'txtCnh',
                        'label'=>'CNH',
                        'nome'=>'cnh_nro',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtCnhCategoria',
                        'label'=>'CNH Categoria',
                        'nome'=>'cnh_categoria',
                        'tamanho'=>'6',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos' =>
                [
					[
						'largura'=>'4',
						'id' =>'cbUF',
						'label'=>'UF',
						'nome'=>'UF',
						'tipo'=>'combo',
                        'required'=> true,
						'opcoes'=> $uf,
						'default'=>'Selecione a UF'
					],
					[
						'largura'=>'8',
						'id' =>'cbCidade',
						'label'=>'Cidade',
						'nome'=>'cidade',
						'tipo'=>'combo',
                        'required'=> true,
						'opcoes'=> [],
						'default'=>'Selecione a cidade'
					],
				]
			],

			[
                'id' =>'txtObs',
                'label'=>'obs',
                'nome'=>'obs',
                'tamanho'=>'200',
                'tipo'=>'textarea',
                'required'=> false,
				'rows'=>'3',
                'autofocus'=> true
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'cadastros.motorista.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir o motorista'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>