<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-check"></i> Inspeção YARA
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/operacao/checklist.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
    
    <div class="container-fluid">
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-1 text-right">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <i class="fas fa-filter fa-2x text-right" style="color: #e6e6e6; alt="Filtro"></i>
                    </div>
                    <div class="col col-sm-3 text-left">
                        <label for="cbClientePesq" class="col-form-label text-md-left">Cliente</label>
                        <br/>
                        <select id="cbClientePesq" class="form-control">
                            <option value="">Todos...</option>
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtStatusPesquisa" class="col-form-label text-md-left">Status</label>
                        <br/>
                        <select id="cbStatusPesq" class="form-control">
                            <option value="">TODOS</option>
                            <option value="PE" selected>PENDENTES</option>
                            <option value="AP">APROVADOS</option>
                            <option value="RE">REPROVADOS</option>
                            <option value="AR">APROVADOS C/RESTRIÇÕES</option>
                            <option value="CA">CANCELADOS</option>
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtPlacaPesq" class="col-form-label text-md-left">Busca Placa</label>
                        <br/>
                        <input id="txtPlacaPesq" class="form-control" type="text"/>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnChecklistPesq"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>
                    <div class="col text-right">
                        <label for="txtCidadePesquisa2" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnNovoChecklist" type="button" class="btn btn-primary" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Nova Inspeção
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbCheck" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Checklist</th>
                                    <th>Placa</th>
                                    <th>Data</th>
                                    <th>Cliente</th>
                                    <th>Fiscal</th>
                                    <th>Status</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>

                               
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>'1800',
        'titulo'=> 'Nova Inspeção',
		'icone'=>'fa-check',
        'rota' => 'operacao.checklist.salvar',
        'campos'=> 
        [
            [
                'id' =>'txtDataChk',
                'nome'=>'datachk',
                'tipo'=>'hidden'
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtCheck',
                        'label'=>'Checklist',
                        'nome'=>'check',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtData',
                        'label'=>'Data',
                        'nome'=>'data',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'5',
                        'id' =>'cbPlaca',
                        'label'=>'Placa',
                        'nome'=>'estadia',
                        'opcoes'=>[],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtFiscal',
                        'label'=>'Fiscal',
                        'nome'=>'fiscal',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [

                    [
                        'largura'=>'3',
                        'id' =>'cbItem01',
                        'label'=>'CONDIÇÕES DO VEÍCULO: Ausência de lanternas com lâmpadas queimadas?',
                        'nome'=>'item01',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem02',
                        'label'=>'Espelhos retrovisores permitindo perfeita visualização?',
                        'nome'=>'item02',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem03',
                        'label'=>'Assoalho em boas condições (ausência de buracos e/ou rachaduras)?',
                        'nome'=>'item03',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem04',
                        'label'=>'Carroceria está com ausência de outros materiais?',
                        'nome'=>'item04',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [

                    [
                        'largura'=>'3',
                        'id' =>'cbItem05',
                        'label'=>'Carroceria está limpa?',
                        'nome'=>'item05',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem06',
                        'label'=>'Com trava de segurança (pinos)?',
                        'nome'=>'item06',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem07',
                        'label'=>'Apresenta buracos na carroceria?',
                        'nome'=>'item07',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem08',
                        'label'=>'Limite de peso (PBTC) será atendido?',
                        'nome'=>'item08',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ]
                ]
            ],
            
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'3',
                        'id' =>'cbItem09',
                        'label'=>'Pneus em boas condições (susência de arames expostos, bolhas ou recapagem saíndo)?',
                        'nome'=>'item09',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem10',
                        'label'=>'CONDUTOR ESTÁ COM: Treinamento de integração via vídeo e teste de eficácia?',
                        'nome'=>'item10',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem11',
                        'label'=>'Validade de 3 meses em todas as unidades da Yara?',
                        'nome'=>'item11',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem12',
                        'label'=>'Calça?',
                        'nome'=>'item12',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'3',
                        'id' =>'cbItem13',
                        'label'=>'Camiseta ou camisa com manga?',
                        'nome'=>'item13',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem14',
                        'label'=>'Calçado de segurança?',
                        'nome'=>'item14',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem15',
                        'label'=>'Protetor auricular (conforme necessidade do site)?',
                        'nome'=>'item15',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem16',
                        'label'=>'Capacete?',
                        'nome'=>'item16',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ]
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'3',
                        'id' =>'cbItem17',
                        'label'=>'Óculos de segurança (conforme necessidade do site)?',
                        'nome'=>'item17',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem18',
                        'label'=>'Colete refletivo?',
                        'nome'=>'item18',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem19',
                        'label'=>'Arma de fogo?',
                        'nome'=>'item19',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem20',
                        'label'=>'Material cortante ou perfurante?',
                        'nome'=>'item20',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ]


                ]
            ],
            
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'3',
                        'id' =>'cbItem21',
                        'label'=>'Possui ARLA 32?',
                        'nome'=>'item21',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'7',
                        'id' =>'txtObs',
                        'label'=>'Observação',
                        'nome'=>'obs',
                        'tamanho'=>'200',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'cbStatus',
                        'label'=>'Status',
                        'nome'=>'status',
                        'opcoes'=>[
                            'PE'=>'PENDENTE',
                            'AP'=>'APROVADO',
                            'RE'=>'REPROVADO',
                            'AR'=>'APROVADO C/RESTRIÇÃO',
                            'CA'=>'CANCELADO'
                            ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]
                ]
            ]
            
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'operacao.checklist.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir o Checklist'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>