<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-check"></i> Checklist FTO
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/operacao/chktocantins.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
    
    <div class="container-fluid">
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-1 text-right">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <i class="fas fa-filter fa-2x text-right" style="color: #e6e6e6; alt="Filtro"></i>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtStatusPesquisa" class="col-form-label text-md-left">Status</label>
                        <br/>
                        <select id="cbStatusPesq" class="form-control">
                            <option value="">TODOS</option>
                            <option value="PENDENTE">PENDENTES</option>
                            <option value="APROVADO" selected>APROVADOS</option>
                            <option value="REPROVADO">REPROVADOS</option>
                            <option value="CANCELADO">CANCELADOS</option>
                        </select>
                    </div>
                    <div class="col col-sm-3 text-left">
                        <label for="txtStatusPatio" class="col-form-label text-md-left">Localização</label>
                        <br/>
                        <select id="cbStatusPatio" class="form-control">
                            <option value="">TODOS</option>
                            <option value="R" selected>NO PÁTIO - REALIZADOS</option>
                            <option value="P">NO PÁTIO - PENDENTES</option>
                            <option value="E">ENVIADOS</option>
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtPlacaPesq" class="col-form-label text-md-left">Busca Placa</label>
                        <br/>
                        <input id="txtPlacaPesq" class="form-control" type="text"/>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnChecklistPesq"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>
                    <div class="col text-right">
                        <label for="txtCidadePesquisa2" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnNovoChecklist" type="button" class="btn btn-primary" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Nova Inspeção
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbCheck" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Checklist</th>
                                    <th>Placa</th>
                                    <th>Tipo Veículo</th>
                                    <th>Data</th>
                                    <th>Motorista</th>
                                    <th>Fiscal</th>
                                    <th>Status</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>

                               
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>'1100',
        'titulo'=> 'Novo Checklist FTO',
		'icone'=>'fa-check',
        'rota' => 'operacao.chktocantins.salvar',
        'campos'=> 
        [
            [
                'id' =>'txtDataChk',
                'nome'=>'datachk',
                'tipo'=>'hidden'
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtCheck',
                        'label'=>'Checklist',
                        'nome'=>'Id',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtData',
                        'label'=>'Data',
                        'nome'=>'data',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'8',
                        'id' =>'cbPlaca',
                        'label'=>'Veículo',
                        'nome'=>'estadia',
                        'opcoes'=>[],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]
                    
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'3',
                        'id' =>'cbSaco',
                        'label'=>'Carga (ensacado ou big bag)?',
                        'nome'=>'saco',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbGranel',
                        'label'=>'Garca Granel',
                        'nome'=>'granel',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ]
                    
                    
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [

                    [
                        'largura'=>'4',
                        'id' =>'cbItem01',
                        'label'=>'01. Vestimenta adequada para acesso à unidade?',
                        'nome'=>'item01',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbItem02',
                        'label'=>'02. Lonas em perfeitas condições?',
                        'nome'=>'item02',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbItem03',
                        'label'=>'03. Carrocerias limpas e varridas, sem presença de outros grãos, impurezas ou quaisquer outros produtos estranhos?',
                        'nome'=>'item03',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ]
                    
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'4',
                        'id' =>'cbItem04',
                        'label'=>'04. Não apresenta vazamentos, pregos ou parafusos expostos, que possam causas danos à carga ou embalagens?',
                        'nome'=>'item04',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbItem05',
                        'label'=>'05. Forramento do assoalho nos casos de carregamento a granel?',
                        'nome'=>'item05',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbItem06',
                        'label'=>'06. Assoalho em bom estado de conservação?',
                        'nome'=>'item06',
                        'opcoes'=>[
                            '0'=>'NÃO',
                            '1'=>'SIM'
                        ],
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    
                ]
            ],
            
           
           
            [
                'tipo'=>'array',
                'campos'=>
                [
                    
                    [
                        'largura'=>'7',
                        'id' =>'txtObs',
                        'label'=>'Usar este campo somente para registro de divergências',
                        'nome'=>'obs',
                        'tamanho'=>'2000',
                        'tipo'=>'textarea',
                        'rows'=>'3',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbFiscal',
                        'label'=>'Fiscal',
                        'nome'=>'fiscal',
                        'opcoes'=>[],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'cbStatus',
                        'label'=>'Status',
                        'nome'=>'status',
                        'opcoes'=>[
                            'PENDENTE'=>'PENDENTE',
                            'APROVADO'=>'APROVADO',
                            'REPROVADO'=>'REPROVADO',
                            'CANCELADO'=>'CANCELADO'
                            ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]


                ]
            ]
            
            
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'operacao.chktocantins.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir o Checklist'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>