

<?php if($controle["tipo"] == 'hidden'): ?>

    <input type="hidden" id="<?php echo e($controle['id']); ?>" name="<?php echo e($controle['nome']); ?>" />

<?php elseif($controle["tipo"] == 'slider'): ?>

    <div class="form-group row mb-0">
        <div class="col col-form">
            <label class="switch  pull-right">
                <input id="<?php echo e($controle['id']); ?>" name="<?php echo e($controle['nome']); ?>" type="checkbox" checked>
                <span class="slider round"></span>
            </label>
        </div>
    </div>

<?php elseif($controle["tipo"] == 'slider2'): ?>

<div class="form-group row mb-0">
    <div class="col col-form text-center">
        <label class="switch  pull-right" style="text-align:justify;">
            <input id="<?php echo e($controle['id']); ?>" name="<?php echo e($controle['nome']); ?>" class="form-control <?php echo e((!empty($controle["classe"]) ? $controle["classe"] : '' )); ?>" type="checkbox" data-size="small" data-off-color="danger" 
							data-on-text="Sim" data-off-text="Não"/>
            <!-- <span class="slider round"></span> -->
        </label>
    </div>
</div>
<p>_____________________________________________________</p>

<?php elseif($controle["tipo"] == 'sliderCadastro'): ?>

<div class="form-group row mb-0">
    <div class="col col-form text-center">
        <label class="switch  pull-right" style="text-align:justify;">
            <input id="<?php echo e($controle['id']); ?>" name="<?php echo e($controle['nome']); ?>" class="form-control <?php echo e((!empty($controle["classe"]) ? $controle["classe"] : '' )); ?>" type="checkbox" data-size="small" data-off-color="danger" 
							data-on-text="Sim" data-off-text="Não"/>
            <!-- <span class="slider round"></span> -->
        </label>
    </div>
</div>

<?php elseif($controle["tipo"] == 'txt'): ?>

    <input id="<?php echo e($controle['id']); ?>"
        class="form-control <?php echo e((!empty($controle["classe"]) ? $controle["classe"] : '' )); ?>"
        type="text"
        maxlength="<?php echo e($controle['tamanho']); ?>"
        name="<?php echo e($controle['nome']); ?>"
        <?php echo e((!empty($controle["style"]) ? 'style='.$controle["style"] : '' )); ?>

        <?php echo e((!empty($controle["autocomplete"])  ? 'autocomplete='.$controle["autocomplete"] : '')); ?>

        <?php echo e((!empty($controle["placeholder"]) ? 'placeholder='.$controle["placeholder"] :'')); ?>

        <?php echo e((!empty($controle["required"]) && $controle["required"] == 'true' ? 'required':'')); ?>

        <?php echo e((!empty($controle["autofocus"]) && $controle["autofocus"] == 'true' ? 'autofocus' :'')); ?>

        <?php echo e((!empty($controle["disabled"]) && $controle['disabled'] == 'true' ? 'disabled' : '')); ?> />

<?php elseif($controle["tipo"] == 'label'): ?>

<?php elseif($controle["tipo"] == 'password'): ?>

    <input id="<?php echo e($controle['id']); ?>"
        class="form-control <?php echo e((!empty($controle["classe"]) ? $controle["classe"] : '' )); ?>"
        type="password"
        maxlength="<?php echo e($controle['tamanho']); ?>"
        name="<?php echo e($controle['nome']); ?>"
        <?php echo e((!empty($controle["style"]) ? 'style='.$controle["style"] : '' )); ?>

        <?php echo e((!empty($controle["autocomplete"])  ? 'autocomplete='.$controle["autocomplete"] : '')); ?>

        <?php echo e((!empty($controle["placeholder"]) ? 'placeholder='.$controle["placeholder"] :'')); ?>

        <?php echo e((!empty($controle["required"]) && $controle["required"] == 'true' ? 'required':'')); ?>

        <?php echo e((!empty($controle["autofocus"]) && $controle["autofocus"] == 'true' ? 'autofocus' :'')); ?>

        <?php echo e((!empty($controle["disabled"]) && $controle['disabled'] == 'true' ? 'disabled' : '')); ?> />

<?php elseif($controle["tipo"] == 'email'): ?>

    <input id="<?php echo e($controle['id']); ?>"
        class="form-control <?php echo e((!empty($controle["classe"]) ? $controle["classe"] : '' )); ?>"
        type="email"
        maxlength="<?php echo e($controle['tamanho']); ?>"
        name="<?php echo e($controle['nome']); ?>"
        <?php echo e((!empty($controle["style"]) ? 'style='.$controle["style"] : '' )); ?>

        <?php echo e((!empty($controle["autocomplete"])  ? 'autocomplete='.$controle["autocomplete"] : '')); ?>

        <?php echo e((!empty($controle["placeholder"]) ? 'placeholder='.$controle["placeholder"] :'')); ?>

        <?php echo e((!empty($controle["required"]) && $controle["required"] == 'true' ? 'required':'')); ?>

        <?php echo e((!empty($controle["autofocus"]) && $controle["autofocus"] == 'true' ? 'autofocus' :'')); ?>

        <?php echo e((!empty($controle["disabled"]) && $controle['disabled'] == 'true' ? 'disabled' : '')); ?> />

<?php elseif($controle["tipo"] == 'div'): ?>

    <div id="<?php echo e($controle['id']); ?>"
        class="form-control <?php echo e((!empty($controle["classe"]) ? $controle["classe"] : '' )); ?>"
        <?php echo e((!empty($controle["style"]) ? 'style='.$controle["style"] : '' )); ?>

        <?php echo e((!empty($controle["disabled"]) && $controle['disabled'] == 'true' ? 'disabled' : '')); ?>>
    </div>

<?php elseif($controle["tipo"] == 'textarea'): ?>

    <textarea id="<?php echo e($controle['id']); ?>"
            class="form-control noresize"
            type="textarea"
            maxlength="<?php echo e($controle['tamanho']); ?>"
            name="<?php echo e($controle['nome']); ?>"
            rows="<?php echo e($controle['rows']); ?>"
            <?php echo e((!empty($controle["style"]) ? 'style='.$controle["style"] : '' )); ?>

            <?php echo e((!empty($controle["autocomplete"])  ? 'autocomplete='.$controle["autocomplete"] : '')); ?>

            <?php echo e((!empty($controle["placeholder"]) ? 'placeholder='.$controle["placeholder"] :'')); ?>

            <?php echo e((!empty($controle["required"]) && $controle["required"] == 'true' ? 'required':'')); ?>

            <?php echo e((!empty($controle["autofocus"]) && $controle["autofocus"] == 'true' ? 'autofocus' :'')); ?>

            <?php echo e((!empty($controle["disabled"]) && $controle['disabled'] == 'true' ? 'disabled' : '')); ?>></textarea>

<?php elseif($controle["tipo"] == 'arquivo'): ?>

<input id="<?php echo e($controle['id']); ?>"
        type="file"
        class="form-control <?php echo e((!empty($controle["classe"]) ? $controle["classe"] : '' )); ?>"
        name="<?php echo e($controle['nome']); ?>"
        <?php echo e((!empty($controle["multiplo"]) && $controle["multiplo"] == 'true' ? 'multiple="multiple"' : '' )); ?>

        <?php echo e((!empty($controle["style"]) ? 'style='.$controle["style"] : '' )); ?>

        <?php echo e((!empty($controle["filtro"]) ?  'accept='.$controle["filtro"] : '')); ?>

        <?php echo e((!empty($controle["required"]) && $controle["required"] == 'true' ? 'required':'')); ?>

        <?php echo e((!empty($controle["autofocus"]) && $controle["autofocus"] == 'true' ? 'autofocus' :'')); ?>

        <?php echo e((!empty($controle["disabled"]) && $controle['disabled'] == 'true' ? 'disabled' : '')); ?>/>

<?php elseif($controle["tipo"] == 'icone'): ?>

    <i id="<?php echo e($controle['id']); ?>"
        class="<?php echo e((!empty($controle["classe"]) ? $controle["classe"] : '' )); ?>"
        <?php echo e((!empty($controle["style"]) ? 'style='.$controle["style"] : '' )); ?> ></i>

<?php elseif($controle["tipo"] == 'combo'): ?>

    <select id="<?php echo e($controle['id']); ?>"
            class="form-control <?php echo e((!empty($controle["classe"]) ? $controle["classe"] : '' )); ?>"
            name="<?php echo e($controle['nome']); ?>"
            <?php echo e((!empty($controle["style"]) ? 'style='.$controle["style"] : '' )); ?>

            <?php echo e((!empty($controle["required"]) && $controle["required"] == 'true' ? 'required':'')); ?>

            <?php echo e((!empty($controle["autofocus"]) && $controle["autofocus"] == 'true' ? 'autofocus' :'')); ?>

            <?php echo e((!empty($controle["disabled"]) && $controle['disabled'] == 'true' ? 'disabled' : '')); ?>>

        <?php if(!empty($controle['default'])): ?>
            <option value=""><?php echo e($controle['default']); ?></option>
        <?php endif; ?>

        <?php $__currentLoopData = $controle['opcoes']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $valor=>$nome): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

            <option value="<?php echo e($valor); ?>"><?php echo e($nome); ?></option>

        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

    </select>


<?php elseif($controle["tipo"] == 'span'): ?>

<br/>

    <?php if(!empty($controle['tag'])): ?>
        <<?php echo e($controle['tag']); ?>>
    <?php endif; ?>

    <span id="<?php echo e($controle['id']); ?>"
          name="<?php echo e((!empty($controle['nome']) ? $controle['nome'] : '' )); ?>"
          class="form-control <?php echo e((!empty($controle['classe']) ? $controle['classe'] : '' )); ?>"
          data="<?php echo e((!empty($controle['dado']) ? $controle['dado'] : '' )); ?>"
          title="<?php echo e((!empty($controle['title']) ? $controle['title'] : '' )); ?>">

          <?php echo e((!empty($controle['valor']) ? $controle['valor'] : '' )); ?>


    </span>

    <?php if(!empty($controle['tag'])): ?>
        </<?php echo e($controle['tag']); ?>>
    <?php endif; ?>


<?php elseif($controle["tipo"] == 'botao'): ?>
    <button id="<?php echo e($controle['id']); ?>"
            type="button"
            class="btn btn-outline-warning btn-2x btn-block <?php echo e((!empty($controle['classe']) ? $controle['classe'] : '' )); ?>"
            data="<?php echo e((!empty($controle['dado']) ? $controle['dado'] : '' )); ?>"
            title="<?php echo e((!empty($controle['title']) ? $controle['title'] : '' )); ?>">

            <i class="<?php echo e((!empty($controle['icone']) ? $controle['icone'] : '' )); ?>"></i>

            <?php echo e((!empty($controle['texto']) ? $controle['texto'] : '' )); ?>


    </button>

<?php elseif($controle["tipo"] == 'tabela'): ?>
    <table id="<?php echo e($controle['id']); ?>" class="table table-striped table-borderedtable-striped <?php echo e((!empty($controle['classe']) ? $controle['classe'] : '' )); ?>">
        <thead  style="background-color:#333333; color: #ccc; font-weight: bold;">
            <tr>
                <?php $__currentLoopData = $controle['cabecalho']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cabecalho): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <th><?php echo e($cabecalho); ?></th>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tr>
        </thead>
        <tbody>
        </tbody>
    </table>

<?php endif; ?>

<?php if($controle["tipo"] == 'img'): ?>
<br>
    <img  id="<?php echo e($controle['id']); ?>" style="border-radius: 10px;"
        class="<?php echo e((!empty($controle['classe']) ? $controle['classe'] : '' )); ?>"
        title="<?php echo e((!empty($controle['title']) ? $controle['title'] : '' )); ?>"
        src="<?php echo e($controle['src']); ?>"
        height="<?php echo e((!empty($controle['tamanho']) ? $controle['tamanho'] : '' )); ?>" />

<?php endif; ?>
