<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-wrench"></i> Manutenção na Inspeção
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/operacao/inspecaomanut.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
    
    <div class="container-fluid">
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-2 text-left">
                        <label for="txtPlacaPesq" class="col-form-label text-md-left">Busca Placa</label>
                        <br/>
                        <input id="txtPlacaPesq" class="form-control" type="text"/>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="cbStatusPesq" class="col-form-label text-md-left">Local</label>
                        <br/>
                        <select id="cbLocalPesq" class="form-control">
                            <option value="">Todos...</option>
                            <option selected="true" value="DENTRO">NO PÁTIO</option>
                            <option value="FORA">JÁ SAIU</option>
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnChecklistPesq"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>
                    
                </div>
            </div>
        </div>
        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbCheck" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    
                                    <th>Placa</th>
                                    <th>Motorista</th>
                                    <th>Data</th>
                                    <th>Cliente</th>
                                    <th>Tipo</th>
                                    <th>Fiscal</th>
                                    <th>Status</th>
                                    <th>Chamado</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>

                               
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>



    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>'900',
        'titulo'=> 'Manutenção na Inspeção',
		'icone'=>'fa-wrench',
        'rota' => 'operacao.inspecaomanut.salvar',
        'campos'=> 
        [
            [
                'id' =>'txtDataChkFinalizar',
                'nome'=>'datachkfinalizar',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'txtEstadia',
                'nome'=>'estadia',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'txtChamado',
                'nome'=>'hdchamado',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdPlaca',
                'nome'=>'hdplaca',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdMotorista',
                'nome'=>'hdmotorista',
                'tipo'=>'hidden'
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    
                    [
                        'largura'=>'2',
                        'id' =>'txtPlaca',
                        'label'=>'Veículo',
                        'nome'=>'placa',
                        'tamanho'=>'7',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'txtMotorista',
                        'label'=>'Motorista',
                        'nome'=>'motorista',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbFiscal',
                        'label'=>'Fiscal',
                        'nome'=>'fiscal',
                        'opcoes'=>[],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbTipo',
                        'label'=>'Tipo',
                        'nome'=>'tipo',
                        'opcoes'=>['GR'=>'GRANEL','BG'=>'BAG'],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                ]
            ],
           
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbItem01',
                        'label'=>'1. O motorista possui vestimenta adequada e EPIs para acesso a unidade com segurança?
                                    Ex.: (Bota, Calça, Camisa, Oculos, Capacete e Colete)',
                        'nome'=>'item01',
                        'opcoes'=>['1'=>'SIM','0'=>'NÃO'],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'cbItem02',
                        'label'=>'2. As lonas do veiculo estão em perfeitas condicões?',
                        'nome'=>'item02',
                        'opcoes'=>['1'=>'SIM','0'=>'NÃO'],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbItem03',
                        'label'=>'3. A carroceria esta varrida, livre de grãos, impurezas, produtos estranhos e com as correntes travadas?',
                        'nome'=>'item03',
                        'opcoes'=>['1'=>'SIM','0'=>'NÃO'],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'cbItem04',
                        'label'=>'4. A carroceria esta com trava de segurança, livre de buracos, parafusos ou qualquer outro material que pode danificar a carga?',
                        'nome'=>'item04',
                        'opcoes'=>['1'=>'SIM','0'=>'NÃO'],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true
                    ]
                ]
            ],
            
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbItem05',
                        'label'=>'5. O assoalho está em boas condições?',
                        'nome'=>'item05',
                        'opcoes'=>['1'=>'SIM','0'=>'NÃO'],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'cbItem06',
                        'label'=>'6. Existe forramento no açoalho?',
                        'nome'=>'item06',
                        'opcoes'=>['1'=>'SIM','0'=>'NÃO'],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true
                    ]
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbItem07',
                        'label'=>'7. O veiculo esta com as lanternas e retrovisores em perfeito estado?',
                        'nome'=>'item07',
                        'opcoes'=>['1'=>'SIM','0'=>'NÃO'],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'cbItem08',
                        'label'=>'8. O limite de peso (PBTC) sera atendido?',
                        'nome'=>'item08',
                        'opcoes'=>['1'=>'SIM','0'=>'NÃO'],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true
                    ]
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbItem09',
                        'label'=>'9. O veiculo possui ARLA?',
                        'nome'=>'item09',
                        'opcoes'=>['1'=>'SIM','0'=>'NÃO'],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'cbItem10',
                        'label'=>'10. O condutor possui arma branca ou de fogo?',
                        'nome'=>'item10',
                        'tipo'=>'slider2',
                        'classe'=>'js-status', 'opcoes'=>['1'=>'SIM','0'=>'NÃO'],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true
                    ]
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'8',
                        'id' =>'txtObs',
                        'label'=>'Observação',
                        'nome'=>'obs',
                        'tamanho'=>'2000',
                        'tipo'=>'textarea',
                        'rows'=>'3',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'cbChamado',
                        'label'=>'Chamado?',
                        'nome'=>'chamado',
                        'opcoes'=>[
                            'S'=>'SIM',
                            'N'=>'NÃO'
                            ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'cbStatus',
                        'label'=>'Status',
                        'nome'=>'status',
                        'opcoes'=>[
                            'PE'=>'PENDENTE',
                            'AP'=>'APROVADO',
                            'RE'=>'REPROVADO'
                            ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'operacao.inspecao.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir a Inspeção'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>