<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-sign-in-alt"></i> Recebimento
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    
    <script src="<?php echo e(URL::asset('js/views/operacao/entrada.js')); ?>" ></script>
    
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

   <div id="conteudoPagina" class="container-fluid">
        <input type="hidden" id="txtIdUsuario" name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-1 text-right">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <i class="fas fa-filter fa-2x text-right" style="color: #e6e6e6; alt="Filtro"></i>
                    </div>
                    <div class="col col-sm-3 text-left">
                        <label for="cbClientePesq" class="col-form-label text-md-left">Agendado Para</label>
                        <br/>
                        <select id="cbClientePesq" class="form-control">
                            <option value="">Todos...</option>
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtPlacaPesquisa" class="col-form-label text-md-left">Busca Placa</label>
                        <br/>
                        <input id="txtPlacaPesquisa" class="form-control" type="text"/>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtMotoraPesquisa" class="col-form-label text-md-left">Busca Motorista</label>
                        <br/>
                        <input id="txtMotoraPesquisa" class="form-control" type="text"/>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisaVeiculo"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbEstadia" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Data Prevista</th>
                                    <th>Placa</th>
                                    <th>Motorista</th>
                                    <th>Tipo Frete</th>
                                    <th>Agendado Para</th>
                                    <th>Produto</th>
                                    <th>Id</th>
                                    <th>Ação</th>
                                </tr>
                            </thead>
                            <tbody>
                            

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>

    </div>


    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>950,
        'titulo'=> 'Recebimento',
		'icone'=>'fa-sign-in-alt',
        'controles_salvar'=>'true',
        'controles_fechar'=>'false',
        'rota' => 'operacao.entrada.salvar',
        'campos'=>
        [
            [
                'id' =>'hdDataChegada',
                'nome'=>'hddatachegada',
                'tipo'=>'hidden'
            ],

            [
                'id' =>'hdTipoCarga',
                'nome'=>'hdtipocarga',
                'tipo'=>'hidden'
            ],

            [
                'id' =>'hdToken',
                'nome'=>'hdtoken',
                'tipo'=>'hidden'
            ],

            [
                'id' =>'hdMotorista',
                'nome'=>'hdmotorista',
                'tipo'=>'hidden'
            ],

            [
                'id'=>'tabAgenda',
                'tipo'=>'tabs',
                'abas'=>['Veiculo','Manifesto','Produto'],
                'altura'=>'400px',
                'conteudo'=>
                [
                    //aba 
                    [
                        'aba'=>'Veiculo',
                        'campos'=>
                        [
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtId',
                                        'label'=>'Nº Agenda',
                                        'nome'=>'agenda',
                                        'tamanho'=>'7',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPlaca',
                                        'label'=>'Placa',
                                        'nome'=>'placa',
                                        'classe'=>'mask_placa text-uppercase',
                                        'tamanho'=>'7',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'cbTipoVeiculo',
                                        'label'=>'Tipo de Veículo',
                                        'nome'=>'tipo',
                                        'opcoes'=>$tipoveiculo,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbSituacao',
                                        'label'=>'Situação',
                                        'nome'=>'situacao',
                                        'opcoes'=>[
                                            'A'=>'ATIVO',
                                            'I'=>'INATIVO',
                                            'B'=>'BLOQUEADO'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtMarca',
                                        'label'=>'Marca',
                                        'nome'=>'marca',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtModelo',
                                        'label'=>'Modelo',
                                        'nome'=>'modelo',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbTipoFrota',
                                        'label'=>'Tipo Frota',
                                        'nome'=>'tipo',
                                        'opcoes'=>[
                                            'F'=>'FROTA',
                                            'P'=>'PARTICULAR'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                    
                                ]
                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtMotorista',
                                        'label'=>'Motorista',
                                        'nome'=>'motorista',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'3',
                                        'id' =>'txtCpf',
                                        'label'=>'CPF',
                                        'nome'=>'cpf',
                                        'tamanho'=>'50',
                                        'classe'=>'mask_cpf',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'3',
                                        'id' =>'txtCelular',
                                        'label'=>'Celular',
                                        'nome'=>'celular',
                                        'tamanho'=>'50',
                                        'classe'=>'mask_celular',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]

                            ],

                            
                        ]
                    ],
                    //aba 
                    [
                        'aba'=>'Manifesto',
                        'campos'=>
                        [
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbCliente',
                                        'label'=>'Cliente',
                                        'nome'=>'cliente',
                                        'opcoes'=>$cliente,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                   
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbTransportador',
                                        'label'=>'Transportador',
                                        'nome'=>'transportador',
                                        'opcoes'=>$transportador,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],                          
                            
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtOrigem',
                                        'label'=>'Cidade Origem',
                                        'nome'=>'origem',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbDestino',
                                        'label'=>'Local Operação',
                                        'nome'=>'destino',
                                        'opcoes'=>$destino,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    
                                ]
                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtDataPrev',
                                        'label'=>'Data Prevista',
                                        'nome'=>'dataprevista',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'3',
                                        'id' =>'txtDataCria',
                                        'label'=>'Data Criação',
                                        'nome'=>'datacriacao',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    
                                    [
                                        'largura'=>'3',
                                        'id' =>'cbStatus',
                                        'label'=>'Status',
                                        'nome'=>'status',
                                        'opcoes'=>[
                                            'AG'=>'AGENDADO',
                                            'ET'=>'EM TRÂNSITO',
                                            'PA'=>'NO PÁTIO',
                                            'NF'=>'NA FÁBRICA',
                                            'RC'=>'RECEBIDO CLIENTE',
                                            'CL'=>'CANCELADO',
                                            'FN'=>'FINALIZADO'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                   
                                    
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'3',
                                        'id' =>'cbTipoFrete',
                                        'label'=>'Tipo Frete',
                                        'nome'=>'tipofrete',
                                        'opcoes'=>[
                                            'ND'=>'NÃO DEFINIDO',
                                            'CIF'=>'CIF',
                                            'FOB'=>'FOB'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtTicket',
                                        'label'=>'Ticket',
                                        'nome'=>'ticket',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'3',
                                        'id' =>'txtDataTicket',
                                        'label'=>'Data Ticket',
                                        'nome'=>'dataticket',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],

                                ]
                            ]
                        ]
                    ],
                    //aba 
                    [
                        'aba'=>'Produto',
                        'campos'=>
                        [
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'7',
                                        'id' =>'txtProduto',
                                        'label'=>'Produto',
                                        'nome'=>'produto',
                                        'tipo'=>'txt',
                                        'tamanho'=>'50',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbTipoCarga',
                                        'label'=>'Tipo Carga',
                                        'nome'=>'tipocarga',
                                        'opcoes'=>[
                                            'BG'=>'BAG',
                                            'GR'=>'GRANEL'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido1',
                                        'label'=>'Pedido',
                                        'nome'=>'pedido1',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula1',
                                        'label'=>'Fórmula',
                                        'nome'=>'formula1',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde1',
                                        'label'=>'Qtde (kg)',
                                        'nome'=>'qtde1',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido2',
                                        'label'=>'',
                                        'nome'=>'pedido2',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula2',
                                        'label'=>'',
                                        'nome'=>'formula2',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde2',
                                        'label'=>'',
                                        'nome'=>'qtde2',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido3',
                                        'label'=>'',
                                        'nome'=>'pedido3',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula3',
                                        'label'=>'',
                                        'nome'=>'formula3',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde3',
                                        'label'=>'',
                                        'nome'=>'qtde3',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido4',
                                        'label'=>'',
                                        'nome'=>'pedido4',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula4',
                                        'label'=>'',
                                        'nome'=>'formula4',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde4',
                                        'label'=>'',
                                        'nome'=>'qtde4',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido5',
                                        'label'=>'',
                                        'nome'=>'pedido5',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula5',
                                        'label'=>'',
                                        'nome'=>'formula5',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde5',
                                        'label'=>'',
                                        'nome'=>'qtde5',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido6',
                                        'label'=>'',
                                        'nome'=>'pedido6',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula6',
                                        'label'=>'',
                                        'nome'=>'formula6',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde6',
                                        'label'=>'',
                                        'nome'=>'qtde6',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ]
                        ]
                    ]
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>