<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-city"></i> Cadastro de Cidades
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/adm/cidade.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>


    <div class="container-fluid">
        <div class="card rounded">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbCidades" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Nome</th>
                                    <th>Estado</th>
                                    <th>UF</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>

                                <?php $__currentLoopData = $cidades; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cidade): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td id="<?php echo e($cidade->getId()); ?>_nome"><?php echo e($cidade->getNome()); ?></td>
                                        <td id="<?php echo e($cidade->getId()); ?>_estado" data="<?php echo e($cidade->Estado->getId()); ?>"><?php echo e($cidade->Estado->getNome()); ?></td>
                                        <td id="<?php echo e($cidade->getId()); ?>_uf"><?php echo e($cidade->Estado->getSigla()); ?></td>
                                        <td>
                                            <span name="editBtn" class="fas fa-edit" data="<?php echo e($cidade->getId()); ?>" style="cursor: pointer;color: #009933;" title="Editar"></span>
                                            <span name="delBtn" class="fas fa-trash-alt" data="<?php echo e($cidade->getId()); ?>" style="cursor: pointer;color: #ff0000;" title="Excluir"></span>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    
    </div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'titulo'=> 'Atualizar Cidade',
		'icone'=>'fa-city',
        'rota' => 'adm.cidade.salvar',
        'campos'=> 
        [
            [
                'id' =>'txtNome',
                'label'=>'Nome',
                'nome'=>'nome',
                'tamanho'=>'50',
                'tipo'=>'txt',
                'required'=> true,
                'autofocus'=> true,
                'disabled'=>false
            ],
            [
                'id' =>'cbEstado',
                'label'=>'Estado',
                'nome'=>'uf',
                'tipo'=>'combo',
                'opcoes'=> $estados,
                'default'=>'Selecione',
                'required'=> true, 
                'autofocus'=> false,
                'disabled'=>false
            ],
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>