<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Banco extends Model
{
    protected $connection = 'mysql';
    protected $table = 'TBG_banco';
    protected $primaryKey = 'BANCO_id';
    public $timestamps = false;

    //campos
    public static $id = 'BANCO_id';
    public static $descricao = 'BANCO_descricao';
    public static $codigo = 'BANCO_codigo';

    //relacionamentos
    //Public Function Banco(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Banco::$id];}

    //Monta GET
    Public Function getDescricao(){return $this->attributes[Banco::$descricao];}
    Public Function getCodigo(){return $this->attributes[Banco::$codigo];}

    //Monta SET
    public function setDescricao($valor){$this->attributes[Banco::$descricao] = $valor;}
    public function setCodigo($valor){$this->attributes[Banco::$codigo] = $valor;}
}