<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Categoria extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_categoria';
    protected $primaryKey = 'CATE_id';
    public $timestamps = false;

    //campos
    public static $id = 'CATE_id';
    public static $descricao = 'CATE_descricao';
    public static $vlr_diaria = 'CATE_vlr_diaria';
    public static $vlr_hora = 'CATE_vlr_hora';
    public static $vlr_hora_adic = 'CATE_vlr_hora_adic';
    public static $motora_paga = 'CATE_motora_paga';
    public static $ativo = 'CATE_ativo';
    public static $unidade = 'CATE_FK_UNID_id';
    public static $marcacao = 'CATE_marcacao';
    public static $marcacaodesc = 'CATE_marcacao_descarga';

    //relacionamentos
    //Public Function Categoria(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Categoria::$id];}

    //Monta GET
    Public Function getDescricao(){return $this->attributes[Categoria::$descricao];}
    Public Function getVlr_diaria(){return $this->attributes[Categoria::$vlr_diaria];}
    Public Function getVlr_hora(){return $this->attributes[Categoria::$vlr_hora];}
    Public Function getVlr_hora_adic(){return $this->attributes[Categoria::$vlr_hora_adic];}
    Public Function getMotora_paga(){return $this->attributes[Categoria::$motora_paga];}
    Public Function getAtivo(){return $this->attributes[Categoria::$ativo];}
    Public Function getUnidade(){return $this->attributes[Categoria::$unidade];}
    Public Function getMarcacao(){return $this->attributes[Categoria::$marcacao];}
    Public Function getMarcacaodesc(){return $this->attributes[Categoria::$marcacaodesc];}
    

    //Monta SET
    public function setDescricao($valor){$this->attributes[Categoria::$descricao] = $valor;}
    public function setVlr_diaria($valor){$this->attributes[Categoria::$vlr_diaria] = $valor;}
    public function setVlr_hora($valor){$this->attributes[Categoria::$vlr_hora] = $valor;}
    public function setVlr_hora_adic($valor){$this->attributes[Categoria::$vlr_hora_adic] = $valor;}
    public function setMotora_paga($valor){$this->attributes[Categoria::$motora_paga] = $valor;}
    public function setAtivo($valor){$this->attributes[Categoria::$ativo] = $valor;}
    public function setUnidade($valor){$this->attributes[Categoria::$unidade] = $valor;}
    public function setMarcacao($valor){$this->attributes[Categoria::$marcacao] = $valor;}
    public function setMarcacaodesc($valor){$this->attributes[Categoria::$marcacaodesc] = $valor;}
    
}