<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Centro_custo extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_centro_custo';
    protected $primaryKey = 'CCUSTO_id';
    public $timestamps = false;

    //campos
    public static $id = 'CCUSTO_id';
    public static $unidade = 'CCUSTO_FK_UNID_id';
    public static $descricao = 'CCUSTO_descricao';
    public static $grupo = 'CCUSTO_FK_GRUPOCC_id';

    //relacionamentos
    //Public Function Centro_custo(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Centro_custo::$id];}

    //Monta GET
    Public Function getUnidade(){return $this->attributes[Centro_custo::$unidade];}
    Public Function getDescricao(){return $this->attributes[Centro_custo::$descricao];}
    Public Function getGrupo(){return $this->attributes[Centro_custo::$grupo];}

    //Monta SET
    public function setUnidade($valor){$this->attributes[Centro_custo::$unidade] = $valor;}
    public function setDescricao($valor){$this->attributes[Centro_custo::$descricao] = $valor;}
    public function setGrupo($valor){$this->attributes[Centro_custo::$grupo] = $valor;}

}