<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Colaborador extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_colaborador';
    protected $primaryKey = 'COLAB_id';
    public $timestamps = false;

    //campos
    public static $id       = 'COLAB_id';
    public static $unidade  = 'COLAB_FK_UNID_id';
    public static $nome     = 'COLAB_nome';
    public static $ativo    = 'COLAB_ativo';
    public static $celular  = 'COLAB_celular';
    public static $funcao   = 'COLAB_FK_FUNC_id';
    public static $endereco = 'COLAB_endereco';
    public static $nro      = 'COLAB_nro';
    public static $bairro   = 'COLAB_bairro';
    public static $complemento = 'COLAB_complemento';
    public static $cep      = 'COLAB_cep';
    public static $cidade   = 'COLAB_cidade';
    public static $uf       = 'COLAB_uf';
    public static $cpf      = 'COLAB_cpf';
    public static $obs      = 'COLAB_obs';
    

    //relacionamentos
    //Public Function Colaborador(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Colaborador::$id];}

    //Monta GET
    Public Function getUnidade(){return $this->attributes[Colaborador::$escola];}
    Public Function getNome(){return $this->attributes[Colaborador::$nome];}
    Public Function getAtivo(){return $this->attributes[Colaborador::$ativo];}
    Public Function getCelular(){return $this->attributes[Colaborador::$celular];}
    Public Function getFuncao(){return $this->attributes[Colaborador::$funcao];}
    Public Function getEndereco(){return $this->attributes[Colaborador::$endereco];}
    Public Function getNro(){return $this->attributes[Colaborador::$nro];}
    Public Function getBairro(){return $this->attributes[Colaborador::$bairro];}
    Public Function getComplemento(){return $this->attributes[Colaborador::$complemento];}
    Public Function getCep(){return $this->attributes[Colaborador::$cep];}
    Public Function getCidade(){return $this->attributes[Colaborador::$cidade];}
    Public Function getUf(){return $this->attributes[Colaborador::$uf];}
    Public Function getCpf(){return $this->attributes[Colaborador::$cpf];}
    Public Function getObs(){return $this->attributes[Colaborador::$obs];}

    //Monta SET
    public function setUnidade($valor){$this->attributes[Colaborador::$unidade] = $valor;}
    public function setNome($valor){$this->attributes[Colaborador::$nome] = $valor;}
    public function setAtivo($valor){$this->attributes[Colaborador::$ativo] = $valor;}
    public function setCelular($valor){$this->attributes[Colaborador::$celular] = $valor;}
    public function setFuncao($valor){$this->attributes[Colaborador::$funcao] = $valor;}
    public function setEndereco($valor){$this->attributes[Colaborador::$endereco] = $valor;}
    public function setNro($valor){$this->attributes[Colaborador::$nro] = $valor;}
    public function setBairro($valor){$this->attributes[Colaborador::$bairro] = $valor;}
    public function setComplemento($valor){$this->attributes[Colaborador::$complemento] = $valor;}
    public function setCep($valor){$this->attributes[Colaborador::$cep] = $valor;}
    public function setCidade($valor){$this->attributes[Colaborador::$cidade] = $valor;}
    public function setUf($valor){$this->attributes[Colaborador::$uf] = $valor;}
    public function setCpf($valor){$this->attributes[Colaborador::$cpf] = $valor;}
    public function setObs($valor){$this->attributes[Colaborador::$obs] = $valor;}
    
}