<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Despesa extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_despesa';
    protected $primaryKey = 'DESP_id';
    public $timestamps = false;

    //campos
    public static $id = 'DESP_id';
    public static $caixa = 'DESP_FK_CAIXA_id';
    public static $descricao = 'DESP_descricao';
    public static $valor = 'DESP_valor';

    //relacionamentos
    //Public Function Despesa(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Despesa::$id];}

    //Monta GET
    Public Function getCaixa(){return $this->attributes[Despesa::$caixa];}
    Public Function getDescricao(){return $this->attributes[Despesa::$descricao];}
    Public Function getValor(){return $this->attributes[Despesa::$valor];}

    //Monta SET
    public function setCaixa($valor){$this->attributes[Despesa::$caixa] = $valor;}
    public function setDescricao($valor){$this->attributes[Despesa::$descricao] = $valor;}
    public function setValor($valor){$this->attributes[Despesa::$valor] = $valor;}
}