<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Entidade extends Model
{
    protected $connection = 'mysql';
    protected $table = 'PMAX_entidade';
    protected $primaryKey = 'ENTI_id';
    public $timestamps = false;

    //campos
    public static $id = 'ENTI_id';
    public static $unidade = 'ENTI_FK_UNID_id';
    public static $tipo = 'ENTI_FK_TIPOE_id';
    public static $cidade = 'ENTI_FK_CIDA_id';
    public static $descricao = 'ENTI_descricao';

    //relacionamentos
    //Public Function Entidade(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Entidade::$id];}

    //Monta GET
    Public Function getUnidade(){return $this->attributes[Entidade::$unidade];}
    Public Function getTipo(){return $this->attributes[Entidade::$tipo];}
    Public Function getCidade(){return $this->attributes[Entidade::$cidade];}
    Public Function getDescricao(){return $this->attributes[Entidade::$descricao];}

    //Monta SET
    public function setUnidade($valor){$this->attributes[Entidade::$unidade] = $valor;}
    public function setTipo($valor){$this->attributes[Entidade::$tipo] = $valor;}
    public function setCidade($valor){$this->attributes[Entidade::$cidade] = $valor;}
    public function setDescricao($valor){$this->attributes[Entidade::$descricao] = $valor;}
}