<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Log extends Model
{
    protected $connection = 'mysql';
    protected $table = 'TBG_log';
    protected $primaryKey = 'LOG_id';
    public $timestamps = false;

    //campos
    public static $id = 'LOG_id';
    public static $sistema = 'LOG_FK_SIST_id';
    public static $usuario = 'LOG_FK_USUA_id';
    public static $data = 'LOG_data';
    public static $descricao = 'LOG_descricao';
    public static $dt_criacao = 'LOG_dt_criacao';
    public static $dt_alteracao = 'LOG_dt_alteracao';
    public static $unidade = 'LOG_FK_UNID_id';

    //relacionamentos
    //Public Function Log(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Log::$id];}

    //Monta GET
    Public Function getSistema(){return $this->attributes[Log::$sistema];}
    Public Function getUsuario(){return $this->attributes[Log::$usuario];}
    Public Function getData(){return $this->attributes[Log::$data];}
    Public Function getDescricao(){return $this->attributes[Log::$descricao];}
    Public Function getDt_criacao(){return $this->attributes[Log::$dt_criacao];}
    Public Function getDt_alteracao(){return $this->attributes[Log::$dt_alteracao];}
    Public Function getUnidade(){return $this->attributes[Log::$unidade];}

    //Monta SET
    public function setFkSistema($valor){$this->attributes[Log::$sistema] = $valor;}
    public function setFkUsuario($valor){$this->attributes[Log::$usuario] = $valor;}
    public function setData($valor){$this->attributes[Log::$data] = $valor;}
    public function setDescricao($valor){$this->attributes[Log::$descricao] = $valor;}
    public function setDt_criacao($valor){$this->attributes[Log::$dt_criacao] = $valor;}
    public function setDt_alteracao($valor){$this->attributes[Log::$dt_alteracao] = $valor;}
    public function setUnidade($valor){$this->attributes[Log::$unidade] = $valor;}

}