<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Mensagem extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_mensagem';
    protected $primaryKey = 'MENSA_id';
    public $timestamps = false;

    //campos
    public static $id       = 'MENSA_id';
    public static $texto    = 'MENSA_texto';
    public static $ativo    = 'MENSA_ativo';
    public static $unidade  = 'MENSA_FK_UNID_id';

    public function getId(){return $this->attributes[Mensagem::$id];}
    public function getTexto(){return $this->attributes[Mensagem::$texto];}
    public function getAtivo(){return $this->attributes[Mensagem::$ativo];}
    public function getUnidade(){return $this->attributes[Mensagem::$unidade];}

    public function setTexto($valor){$this->attributes[Mensagem::$texto] = $valor;}
    public function setAtivo($valor){$this->attributes[Mensagem::$ativo] = $valor;}
    public function setUnidade($valor){$this->attributes[Mensagem::$unidade] = $valor;}
    
}
