<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Mmovimento extends Model
{
    protected $connection = 'mysql';
    protected $table = 'MIN_movimento';
    protected $primaryKey = 'MOV_id';
    public $timestamps = false;

    //campos
    public static $id = 'MOV_id';
    public static $operacao = 'MOV_FK_OPE_id';
    public static $motorista = 'MOV_FK_MOTO_id';
    public static $transportador = 'MOV_FK_TRAN_id';
    public static $veiculo = 'MOV_FK_VEIC_id';
    public static $tipocacamba = 'MOV_FK_TIPOC_id';
    public static $data_saida = 'MOV_data_saida';
    public static $data_chegada = 'MOV_data_chegada';
    public static $vol_estimado = 'MOV_vol_estimado';
    public static $qtde_cacambada = 'MOV_qtde_cacambada';
    public static $cacamba_real = 'MOV_cacamba_real';
    public static $vol_real = 'MOV_vol_real';
    public static $peso1 = 'MOV_peso1';
    public static $peso2 = 'MOV_peso2';
    public static $peso3 = 'MOV_peso3';
    public static $status = 'MOV_status';
    public static $lote = 'MOV_lote';

    //relacionamentos
    //Public Function Movimento(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Movimento::$id];}

    //Monta GET
    Public Function getOperacao(){return $this->attributes[Movimento::$operacao];}
    Public Function getMotorista(){return $this->attributes[Movimento::$motorista];}
    Public Function getTransportador(){return $this->attributes[Movimento::$transportador];}
    Public Function getVeiculo(){return $this->attributes[Movimento::$veiculo];}
    Public Function getTipocacamba(){return $this->attributes[Movimento::$tipocacamba];}
    Public Function getData_saida(){return $this->attributes[Movimento::$data_saida];}
    Public Function getData_chegada(){return $this->attributes[Movimento::$data_chegada];}
    Public Function getVol_estimado(){return $this->attributes[Movimento::$vol_estimado];}
    Public Function getQtde_cacambada(){return $this->attributes[Movimento::$qtde_cacambada];}
    Public Function getVol_real(){return $this->attributes[Movimento::$vol_real];}
    Public Function getCacamba_real(){return $this->attributes[Movimento::$cacamba_real];}
    Public Function getPeso1(){return $this->attributes[Movimento::$peso1];}
    Public Function getPeso2(){return $this->attributes[Movimento::$peso2];}
    Public Function getPeso3(){return $this->attributes[Movimento::$peso3];}
    Public Function getLote(){return $this->attributes[Movimento::$lote];}
    Public Function getStatus(){return $this->attributes[Movimento::$status];}

    //Monta SET
    public function setOperacao($valor){$this->attributes[Movimento::$operacao] = $valor;}
    public function setMotorista($valor){$this->attributes[Movimento::$motorista] = $valor;}
    public function setTransportador($valor){$this->attributes[Movimento::$transportador] = $valor;}
    public function setVeiculo($valor){$this->attributes[Movimento::$veiculo] = $valor;}
    public function setTipocacamba($valor){$this->attributes[Movimento::$tipocacamba] = $valor;}
    public function setData_saida($valor){$this->attributes[Movimento::$data_saida] = $valor;}
    public function setData_chegada($valor){$this->attributes[Movimento::$data_chegada] = $valor;}
    public function setVol_estimado($valor){$this->attributes[Movimento::$vol_estimado] = $valor;}
    public function setQtde_cacambada($valor){$this->attributes[Movimento::$qtde_cacambada] = $valor;}
    public function setVol_real($valor){$this->attributes[Movimento::$vol_real] = $valor;}
    public function setCacamba_real($valor){$this->attributes[Movimento::$cacamba_real] = $valor;}
    public function setPeso1($valor){$this->attributes[Movimento::$peso1] = $valor;}
    public function setPeso2($valor){$this->attributes[Movimento::$peso2] = $valor;}
    public function setPeso3($valor){$this->attributes[Movimento::$peso3] = $valor;}
    public function setLote($valor){$this->attributes[Movimento::$lote] = $valor;}
    public function setStatus($valor){$this->attributes[Movimento::$status] = $valor;}
}