<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Moperacao extends Model
{
    protected $connection = 'mysql';
    protected $table = 'MIN_operacao';
    protected $primaryKey = 'OPE_id';
    public $timestamps = false;

    //campos
    public static $id = 'OPE_id';
    public static $unidade = 'OPE_FK_UNID_id';
    public static $origem = 'OPE_FK_ORI_id';
    public static $destino = 'OPE_FK_DEST_id';
    public static $cliente = 'OPE_FK_CLIE_id';
    public static $produto = 'OPE_FK_PROD_id';
    public static $descricao = 'OPE_descricao';
    public static $data = 'OPE_data';
    public static $vol_real = 'OPE_vol_real';
    public static $vol_estimado = 'OPE_vol_estimado';
    public static $status = 'OPE_status';

    //relacionamentos
    //Public Function Operacao(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Moperacao::$id];}

    //Monta GET
    Public Function getUnidade(){return $this->attributes[Moperacao::$unidade];}
    Public Function getOrigem(){return $this->attributes[Moperacao::$origem];}
    Public Function getDestino(){return $this->attributes[Moperacao::$destino];}
    Public Function getCliente(){return $this->attributes[Moperacao::$cliente];}
    Public Function getProduto(){return $this->attributes[Moperacao::$produto];}
    Public Function getDescricao(){return $this->attributes[Moperacao::$descricao];}
    Public Function getData(){return $this->attributes[Moperacao::$data];}
    Public Function getVol_real(){return $this->attributes[Moperacao::$vol_real];}
    Public Function getVol_estimado(){return $this->attributes[Moperacao::$vol_estimado];}
    Public Function getStatus(){return $this->attributes[Moperacao::$status];}

    //Monta SET
    public function setUnidade($valor){$this->attributes[Moperacao::$unidade] = $valor;}
    public function setOrigem($valor){$this->attributes[Moperacao::$origem] = $valor;}
    public function setDestino($valor){$this->attributes[Moperacao::$destino] = $valor;}
    public function setCliente($valor){$this->attributes[Moperacao::$cliente] = $valor;}
    public function setProduto($valor){$this->attributes[Moperacao::$produto] = $valor;}
    public function setDescricao($valor){$this->attributes[Moperacao::$descricao] = $valor;}
    public function setData($valor){$this->attributes[Moperacao::$data] = $valor;}
    public function setVol_real($valor){$this->attributes[Moperacao::$vol_real] = $valor;}
    public function setVol_estimado($valor){$this->attributes[Moperacao::$vol_estimado] = $valor;}
    public function setStatus($valor){$this->attributes[Moperacao::$status] = $valor;}
}
