<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Motorista extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_motorista';
    protected $primaryKey = 'MOTO_id';
    public $timestamps = false;

    //campos
    public static $id = 'MOTO_id';
    public static $nome = 'MOTO_nome';
    public static $cpf = 'MOTO_cpf';
    public static $celular = 'MOTO_celular';
    public static $cnh = 'MOTO_cnh';
    public static $categoria = 'MOTO_categoria';

    //relacionamentos
    //Public Function Motorista(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Motorista::$id];}

    //Monta GET
    Public Function getNome(){return $this->attributes[Motorista::$nome];}
    Public Function getCpf(){return $this->attributes[Motorista::$cpf];}
    Public Function getCelular(){return $this->attributes[Motorista::$celular];}
    Public Function getCnh(){return $this->attributes[Motorista::$cnh];}
    Public Function getCategoria(){return $this->attributes[Motorista::$categoria];}

    //Monta SET
    public function setNome($valor){$this->attributes[Motorista::$nome] = $valor;}
    public function setCpf($valor){$this->attributes[Motorista::$cpf] = $valor;}
    public function setCelular($valor){$this->attributes[Motorista::$celular] = $valor;}
    public function setCnh($valor){$this->attributes[Motorista::$cnh] = $valor;}
    public function setCategoria($valor){$this->attributes[Motorista::$categoria] = $valor;}
}