<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Movimento extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_movimento';
    protected $primaryKey = 'MOV_id';
    public $timestamps = false;

    //campos
    public static $id = 'MOV_id';
    public static $unidade = 'MOV_FK_UNID_id';
    public static $centro_custo = 'MOV_FK_CCUSTO_id';
    public static $conta_custo = 'MOV_FK_CONTAC_id';
    public static $conta_finance = 'MOV_FK_CONTAF_id';
    public static $parceiro = 'MOV_FK_PARC_id';
    public static $descricao = 'MOV_descricao';
    public static $status = 'MOV_status';
    public static $valor = 'MOV_valor';
    public static $juros = 'MOV_juros';
    public static $multa = 'MOV_multa';
    public static $desconto = 'MOV_desconto';
    public static $valor_total = 'MOV_valor_total';
    public static $forma_pgto = 'MOV_forma_pgto';
    public static $doc = 'MOV_doc';
    public static $obs = 'MOV_obs';
    public static $excluido = 'MOV_excluido';
    public static $data_mov = 'MOV_data_mov';
    public static $data_rec = 'MOV_data_rec';
    public static $func = 'MOV_FK_COLAB_id';

    //relacionamentos
    //Public Function Movimento(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Movimento::$id];}

    //Monta GET
    Public Function getUnidade(){return $this->attributes[Movimento::$unidade];}
    Public Function getCentro_custo(){return $this->attributes[Movimento::$centro_custo];}
    Public Function getConta_custo(){return $this->attributes[Movimento::$conta_custo];}
    Public Function getConta_finance(){return $this->attributes[Movimento::$conta_finance];}
    Public Function getParceiro(){return $this->attributes[Movimento::$parceiro];}
    Public Function getDescricao(){return $this->attributes[Movimento::$descricao];}
    Public Function getStatus(){return $this->attributes[Movimento::$status];}
    Public Function getValor(){return $this->attributes[Movimento::$valor];}
    Public Function getJuros(){return $this->attributes[Movimento::$juros];}
    Public Function getMulta(){return $this->attributes[Movimento::$multa];}
    Public Function getDesconto(){return $this->attributes[Movimento::$desconto];}
    Public Function getValor_total(){return $this->attributes[Movimento::$valor_total];}
    Public Function getForma_pgto(){return $this->attributes[Movimento::$forma_pgto];}
    Public Function getDoc(){return $this->attributes[Movimento::$doc];}
    Public Function getObs(){return $this->attributes[Movimento::$obs];}
    Public Function getExcluido(){return $this->attributes[Movimento::$excluido];}
    Public Function getData_mov(){return $this->attributes[Movimento::$data_mov];}
    Public Function getData_rec(){return $this->attributes[Movimento::$data_rec];}
    Public Function getFunc(){return $this->attributes[Movimento::$func];}

    //Monta SET
    public function setUnidade($valor){$this->attributes[Movimento::$unidade] = $valor;}
    public function setCentro_custo($valor){$this->attributes[Movimento::$centro_custo] = $valor;}
    public function setConta_custo($valor){$this->attributes[Movimento::$conta_custo] = $valor;}
    public function setConta_finance($valor){$this->attributes[Movimento::$conta_finance] = $valor;}
    public function setParceiro($valor){$this->attributes[Movimento::$parceiro] = $valor;}
    public function setDescricao($valor){$this->attributes[Movimento::$descricao] = $valor;}
    public function setStatus($valor){$this->attributes[Movimento::$status] = $valor;}
    public function setValor($valor){$this->attributes[Movimento::$valor] = $valor;}
    public function setJuros($valor){$this->attributes[Movimento::$juros] = $valor;}
    public function setMulta($valor){$this->attributes[Movimento::$multa] = $valor;}
    public function setDesconto($valor){$this->attributes[Movimento::$desconto] = $valor;}
    public function setValor_total($valor){$this->attributes[Movimento::$valor_total] = $valor;}
    public function setForma_pgto($valor){$this->attributes[Movimento::$forma_pgto] = $valor;}
    public function setDoc($valor){$this->attributes[Movimento::$doc] = $valor;}
    public function setObs($valor){$this->attributes[Movimento::$obs] = $valor;}
    public function setExcluido($valor){$this->attributes[Movimento::$excluido] = $valor;}
    public function setData_mov($valor){$this->attributes[Movimento::$data_mov] = $valor;}
    public function setData_rec($valor){$this->attributes[Movimento::$data_rec] = $valor;}
    public function setFunc($valor){$this->attributes[Movimento::$func] = $valor;}
    
}