<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Parceiro extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_parceiro';
    protected $primaryKey = 'PARC_id';
    public $timestamps = false;

    //campos
    public static $id = 'PARC_id';
    public static $unidade = 'PARC_FK_UNID_id';
    public static $cidade = 'PARC_FK_CIDA_id';
    public static $nome = 'PARC_nome';
    public static $tipo = 'PARC_tipo';
    public static $pessoa = 'PARC_pessoa';
    public static $endereco = 'PARC_endereco';
    public static $complemento = 'PARC_complemento';
    public static $numero = 'PARC_numero';
    public static $bairro = 'PARC_bairro';
    public static $cep = 'PARC_cep';
    public static $email = 'PARC_email';
    public static $celular = 'PARC_celular';
    public static $observacao = 'PARC_observacao';
    public static $fone = 'PARC_fone';
    public static $ativo = 'PARC_ativo';
    public static $apelido = 'PARC_apelido';
    public static $vendedor = 'PARC_vendedor';

    //relacionamentos
    //Public Function Parceiro(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Parceiro::$id];}

    //Monta GET
    Public Function getUnidade(){return $this->attributes[Parceiro::$unidade];}
    Public Function getCidade(){return $this->attributes[Parceiro::$cidade];}
    Public Function getNome(){return $this->attributes[Parceiro::$nome];}
    Public Function getTipo(){return $this->attributes[Parceiro::$tipo];}
    Public Function getPessoa(){return $this->attributes[Parceiro::$pessoa];}
    Public Function getEndereco(){return $this->attributes[Parceiro::$endereco];}
    Public Function getComplemento(){return $this->attributes[Parceiro::$complemento];}
    Public Function getNumero(){return $this->attributes[Parceiro::$numero];}
    Public Function getBairro(){return $this->attributes[Parceiro::$bairro];}
    Public Function getCep(){return $this->attributes[Parceiro::$cep];}
    Public Function getEmail(){return $this->attributes[Parceiro::$email];}
    Public Function getCelular(){return $this->attributes[Parceiro::$celular];}
    Public Function getObservacao(){return $this->attributes[Parceiro::$observacao];}
    Public Function getFone(){return $this->attributes[Parceiro::$fone];}
    Public Function getAtivo(){return $this->attributes[Parceiro::$ativo];}
    Public Function getApelido(){return $this->attributes[Parceiro::$apelido];}
    Public Function getVendedor(){return $this->attributes[Parceiro::$vendedor];}

    //Monta SET
    public function setUnidade($valor){$this->attributes[Parceiro::$unidade] = $valor;}
    public function setCidade($valor){$this->attributes[Parceiro::$cidade] = $valor;}
    public function setNome($valor){$this->attributes[Parceiro::$nome] = $valor;}
    public function setTipo($valor){$this->attributes[Parceiro::$tipo] = $valor;}
    public function setPessoa($valor){$this->attributes[Parceiro::$pessoa] = $valor;}
    public function setEndereco($valor){$this->attributes[Parceiro::$endereco] = $valor;}
    public function setComplemento($valor){$this->attributes[Parceiro::$complemento] = $valor;}
    public function setNumero($valor){$this->attributes[Parceiro::$numero] = $valor;}
    public function setBairro($valor){$this->attributes[Parceiro::$bairro] = $valor;}
    public function setCep($valor){$this->attributes[Parceiro::$cep] = $valor;}
    public function setEmail($valor){$this->attributes[Parceiro::$email] = $valor;}
    public function setCelular($valor){$this->attributes[Parceiro::$celular] = $valor;}
    public function setObservacao($valor){$this->attributes[Parceiro::$observacao] = $valor;}
    public function setFone($valor){$this->attributes[Parceiro::$fone] = $valor;}
    public function setAtivo($valor){$this->attributes[Parceiro::$ativo] = $valor;}
    public function setApelido($valor){$this->attributes[Parceiro::$apelido] = $valor;}
    public function setVendedor($valor){$this->attributes[Parceiro::$vendedor] = $valor;}
    
}