<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Produto extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_produto';
    protected $primaryKey = 'PROD_id';
    public $timestamps = false;

    //campos
    public static $id = 'PROD_id';
    //public static $cliente = 'PROD_FK_CLIE_id';
    public static $descricao = 'PROD_descricao';
    public static $formula = 'PROD_formula';
    public static $minerio = 'PROD_minerio';
    public static $fertilizante = 'PROD_fertilizante';

    //relacionamentos
    //Public Function Produto(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Produto::$id];}

    //Monta GET
    //Public Function getCliente(){return $this->attributes[Produto::$cliente];}
    Public Function getDescricao(){return $this->attributes[Produto::$descricao];}
    Public Function getFormula(){return $this->attributes[Produto::$formula];}
    Public Function getMinerio(){return $this->attributes[Produto::$minerio];}
    Public Function getFertilizante(){return $this->attributes[Produto::$fertilizante];}
    

    //Monta SET
    //public function setCliente($valor){$this->attributes[Produto::$cliente] = $valor;}
    public function setDescricao($valor){$this->attributes[Produto::$descricao] = $valor;}
    public function setFormula($valor){$this->attributes[Produto::$formula] = $valor;}
    public function setMinerio($valor){$this->attributes[Produto::$minerio] = $valor;}
    public function setFertilizante($valor){$this->attributes[Produto::$fertilizante] = $valor;}
    
}