<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Servico extends Model
{
    protected $connection = 'mysql';
    protected $table = 'BEAU_servico';
    protected $primaryKey = 'SERV_id';
    public $timestamps = false;

    //campos
    public static $id = 'SERV_id';
    public static $unidade = 'SERV_FK_UNID_id';
    public static $descricao = 'SERV_descricao';
    public static $preco = 'SERV_preco';
    public static $ativo = 'SERV_ativo';

    //relacionamentos
    //Public Function Servico(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Servico::$id];}

    //Monta GET
    Public Function getUnidade(){return $this->attributes[Servico::$unidade];}
    Public Function getDescricao(){return $this->attributes[Servico::$descricao];}
    Public Function getPreco(){return $this->attributes[Servico::$preco];}
    Public Function getAtivo(){return $this->attributes[Servico::$ativo];}

    //Monta SET
    public function setUnidade($valor){$this->attributes[Servico::$unidade] = $valor;}
    public function setDescricao($valor){$this->attributes[Servico::$descricao] = $valor;}
    public function setPreco($valor){$this->attributes[Servico::$preco] = $valor;}
    public function setAtivo($valor){$this->attributes[Servico::$ativo] = $valor;}
}