<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Veiculo extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_veiculo';
    protected $primaryKey = 'VEIC_id';
    public $timestamps = false;

    //campos
    public static $id            = 'VEIC_id';
    public static $placa_cavalo  = 'VEIC_placa_cavalo';
    public static $placa_carreta = 'VEIC_placa_carreta';
    public static $marca         = 'VEIC_marca';
    public static $modelo        = 'VEIC_modelo';
    public static $tipo          = 'VEIC_FK_TIPOV_id';
    public static $transp        = 'VEIC_FK_TRAN_id';

    //relacionamentos
    //Public Function Veiculo(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Veiculo::$id];}

    //Monta GET
    Public Function getPlaca_cavalo(){return $this->attributes[Veiculo::$placa_cavalo];}
    Public Function getPlaca_carreta(){return $this->attributes[Veiculo::$placa_carreta];}
    Public Function getMarca(){return $this->attributes[Veiculo::$marca];}
    Public Function getModelo(){return $this->attributes[Veiculo::$modelo];}
    Public Function getTipo(){return $this->attributes[Veiculo::$tipo];}
    Public Function getTransportador(){return $this->attributes[Veiculo::$transp];}

    //Monta SET
    public function setPlaca_cavalo($valor){$this->attributes[Veiculo::$placa_cavalo] = $valor;}
    public function setPlaca_carreta($valor){$this->attributes[Veiculo::$placa_carreta] = $valor;}
    public function setMarca($valor){$this->attributes[Veiculo::$marca] = $valor;}
    public function setModelo($valor){$this->attributes[Veiculo::$modelo] = $valor;}
    public function setTipo($valor){$this->attributes[Veiculo::$tipo] = $valor;}
    public function setTransportador($valor){$this->attributes[Veiculo::$transp] = $valor;}
    
}