<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Vira extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_vira';
    protected $primaryKey = 'VIRA_id';
    public $timestamps = false;

    //campos
    public static $id = 'VIRA_id';
    public static $unidade = 'VIRA_FK_UNID_id';
    public static $transportador = 'VIRA_FK_TRAN_id';
    public static $operacao = 'VIRA_FK_OPE_id';
    public static $veiculo = 'VIRA_FK_VEIC_id';
    public static $qtde = 'VIRA_qtde';
    public static $valor = 'VIRA_valor';
    public static $diaria = 'VIRA_diaria';

    //relacionamentos
    //Public Function Vira(){return $this->belongsToMany('App\Unidade', Terceiro_Unidade::$tabela, Terceiro_Unidade::$fk_terceiro, Terceiro_Unidade::$fk_unidade);}

    //atributos
    Public Function getId(){return $this->attributes[Vira::$id];}

    //Monta GET
    Public Function getUnidade(){return $this->attributes[Vira::$unidade];}
    Public Function getTransportador(){return $this->attributes[Vira::$transportador];}
    Public Function getOperacao(){return $this->attributes[Vira::$operacao];}
    Public Function getVeiculo(){return $this->attributes[Vira::$veiculo];}
    Public Function getQtde(){return $this->attributes[Vira::$qtde];}
    Public Function getValor(){return $this->attributes[Vira::$valor];}
    Public Function getDiaria(){return $this->attributes[Vira::$diaria];}

    //Monta SET
    public function setUnidade($valor){$this->attributes[Vira::$unidade] = $valor;}
    public function setTransportador($valor){$this->attributes[Vira::$transportador] = $valor;}
    public function setOperacao($valor){$this->attributes[Vira::$operacao] = $valor;}
    public function setVeiculo($valor){$this->attributes[Vira::$veiculo] = $valor;}
    public function setQtde($valor){$this->attributes[Vira::$qtde] = $valor;}
    public function setValor($valor){$this->attributes[Vira::$valor] = $valor;}
    public function setDiaria($valor){$this->attributes[Vira::$diaria] = $valor;}
}