ALTER TABLE TBG_rotas ADD ROTA_nome varchar(50) null;
ALTER TABLE TBG_rotas ADD ROTA_rota varchar(50) null;
ALTER TABLE TBG_rotas ADD ROTA_menu char(1) null;
ALTER TABLE TBG_rotas ADD ROTA_icone varchar(50) null;
ALTER TABLE BEAU_produto ADD PROD_minimo decimal(12,2) default 0;
ALTER TABLE BEAU_produto ADD PROD_marca varchar(50) null;
ALTER TABLE TBG_unidade ADD UNID_tipo varchar(2) null;
-- CE -> CLINICA DE ESTÉTICA
-- SB -> SALÃO DE BELEZA
-- BA -> BARBEARIA


ALTER TABLE SGP_estadia ADD 
ESTA_chamado_por VARCHAR(50) NULL;

ALTER TABLE SGP_estadia ADD 
ESTA_hora_prev VARCHAR(5) NULL;

INSERT INTO `TBG_rotas` 
(`ROTA_FK_SIST_id`, `ROTA_FK_ROTA_id`, `ROTA_nome`, `ROTA_rota`, `ROTA_menu`, `ROTA_icone`) 
VALUES ('1', '52', 'Auto Agenda', 'patio.autoagenda', '1', 'fas fa-portrait');


INSERT INTO `TBG_classe_rota` (`CLARO_FK_ROTA_id`, `CLARO_FK_CLA_id`) VALUES ('65', '1');
INSERT INTO `TBG_classe_rota` (`CLARO_FK_ROTA_id`, `CLARO_FK_CLA_id`) VALUES ('65', '2');

ALTER TABLE SGP_estadia ADD ESTA_avulso varchar(1) default '0';


ALTER TABLE SGP_estadia ADD ESTA_vlr_estadia decimal(12,2) default 0;
ALTER TABLE SGP_estadia ADD ESTA_vlr_especie decimal(12,2) default 0;
ALTER TABLE SGP_estadia ADD ESTA_vlr_debito decimal(12,2) default 0;
ALTER TABLE SGP_estadia ADD ESTA_vlr_credito decimal(12,2) default 0;
ALTER TABLE SGP_estadia ADD ESTA_vlr_desconto decimal(12,2) default 0;
ALTER TABLE SGP_estadia ADD ESTA_vlr_total decimal(12,2) default 0;
ALTER TABLE SGP_estadia ADD ESTA_FK_CATE_id int default 0;
ALTER TABLE SGP_estadia ADD ESTA_FK_CAIXA_id int default 0;
ALTER TABLE SGP_estadia ADD ESTA_status_pgto varchar(1) default '0';
ALTER TABLE SGP_estadia ADD ESTA_ticket varchar(50) NULL;
ALTER TABLE SGP_estadia ADD ESTA_forma_pgto varchar(2) NULL;
ALTER TABLE SGP_cliente ADD CLIE_FK_CATE_id int default 0;

CREATE TABLE SGP_categoria (
  CATE_id INT NOT NULL AUTO_INCREMENT,
  CATE_descricao VARCHAR(50) NULL,
  CATE_vlr_diaria DECIMAL(12,2) NULL DEFAULT 0,
  CATE_vlr_hora DECIMAL(12,2) NULL DEFAULT 0,
  CATE_vlr_hora_adic DECIMAL(12,2) NULL DEFAULT 0,
  CATE_motora_paga VARCHAR(1) NULL DEFAULT '1',
  CATE_ativo VARCHAR(1) NULL DEFAULT '1',
  PRIMARY KEY (CATE_id))
ENGINE = InnoDB;

INSERT INTO `TBG_rotas` 
(`ROTA_FK_SIST_id`, `ROTA_FK_ROTA_id`, `ROTA_nome`, `ROTA_rota`, `ROTA_menu`, `ROTA_icone`) 
VALUES ('1', '45', 'Categoria Estadia', 'cadastro.categoria', '1', 'fas fa-clock');

INSERT INTO `TBG_classe_rota` (`CLARO_FK_ROTA_id`, `CLARO_FK_CLA_id`) VALUES ('68', '1');

ALTER TABLE TBG_usuario ADD USUA_caixa varchar(1) DEFAULT '0';


-- 30-08-2021
INSERT INTO `TBG_rotas` 
(`ROTA_FK_SIST_id`, `ROTA_FK_ROTA_id`, `ROTA_nome`, `ROTA_rota`, `ROTA_menu`, `ROTA_icone`) 
VALUES ('1', '52', 'patio.impcaixa', 'patio.impcaixa', '0', NULL);

INSERT INTO `TBG_classe_rota` (`CLARO_FK_ROTA_id`, `CLARO_FK_CLA_id`) VALUES ('70', '1');
INSERT INTO `TBG_classe_rota` (`CLARO_FK_ROTA_id`, `CLARO_FK_CLA_id`) VALUES ('70', '2');

-- 19-12-2021
INSERT INTO TBG_unidade
(UNID_FK_CIDA_id, UNID_nome)
VALUES (635, 'SOENE');

SELECT * FROM TBG_unidade;

ALTER TABLE TBG_usuario ADD USUA_FK_UNID_id INT NULL;
UPDATE TBG_usuario SET USUA_FK_UNID_id = 1 WHERE USUA_id > 0;

ALTER TABLE SGP_estadia ADD ESTA_FK_UNID_id INT NULL;
UPDATE SGP_estadia SET ESTA_FK_UNID_id = 1 WHERE ESTA_id> 0;

ALTER TABLE SGP_caixa ADD CAIXA_FK_UNID_id INT NULL;
UPDATE SGP_caixa SET CAIXA_FK_UNID_id = 1 WHERE CAIXA_id > 0;

ALTER TABLE SGP_categoria ADD CATE_FK_UNID_id INT NULL;
UPDATE SGP_categoria SET CATE_FK_UNID_id = 1 WHERE CATE_id > 0;

ALTER TABLE TBG_log ADD LOG_FK_UNID_id INT NULL;
UPDATE TBG_log SET LOG_FK_UNID_id = 1 WHERE LOG_id > 0;

ALTER TABLE SGP_transportador ADD TRAN_FK_UNID_id INT NULL;
UPDATE SGP_transportador SET TRAN_FK_UNID_id = 1 WHERE TRAN_id > 0;

ALTER TABLE SGP_cliente ADD CLIE_FK_UNID_id INT NULL;
UPDATE SGP_cliente SET CLIE_FK_UNID_id = 1 WHERE CLIE_id > 0;

ALTER TABLE TBG_unidade ADD UNID_logo VARCHAR(50) NULL;
ALTER TABLE TBG_unidade ADD UNID_ativo VARCHAR(1) DEFAULT '1';

update TBG_usuario set USUA_cod_destino = 0  WHERE USUA_cod_destino IS NULL AND USUA_id > 0;


INSERT INTO TBG_classe_rota (CLARO_FK_CLA_id, CLARO_FK_ROTA_id) 
SELECT 5, CLARO_FK_ROTA_id FROM TBG_classe_rota WHERE CLARO_FK_CLA_id=1;


-- para rodar na producao
UPDATE SGP_veiculo SET VEIC_FK_TIPOV_id=1 WHERE VEIC_FK_TIPOV_id =0 AND VEIC_id>0;


INSERT INTO SGP_formula (FORM_FK_UNID_id, FORM_FK_CLIE_id, FORM_descricao) 
(SELECT '1', '15', FORM_descricao FROM SGP_formula WHERE FORM_FK_CLIE_id=12);


CREATE TABLE IF NOT EXISTS `NUTRI_pedidom` (
  `PEDIM_id` INT NOT NULL AUTO_INCREMENT,
  `PEDIM_descricao` VARCHAR(50) NULL,
  `PEDIM_data` DATE NULL,
  `PEDIM_obs` VARCHAR(200) NULL,
  `PEDIM_status` VARCHAR(1) NULL,
  PRIMARY KEY (`PEDIM_id`))
ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `NUTRI_pedidom_item` (
  `PEDIMI_id` INT NOT NULL AUTO_INCREMENT,
  `PEDIMI_FK_PEDIM_id` INT NOT NULL,
  `PEDIMI_FK_PROD_id` INT(11) NOT NULL,
  `PEDIMI_qtde` DECIMAL(12,3) NULL,
  PRIMARY KEY (`PEDIMI_id`),
  INDEX `fk_NUTRI_pedidom_item_NUTRI_pedidom1_idx` (`PEDIMI_FK_PEDIM_id` ASC) ,
  INDEX `fk_NUTRI_pedidom_item_NUTRI_produto1_idx` (`PEDIMI_FK_PROD_id` ASC) ,
  CONSTRAINT `fk_NUTRI_pedidom_item_NUTRI_pedidom1`
    FOREIGN KEY (`PEDIMI_FK_PEDIM_id`)
    REFERENCES `NUTRI_pedidom` (`PEDIM_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_NUTRI_pedidom_item_NUTRI_produto1`
    FOREIGN KEY (`PEDIMI_FK_PROD_id`)
    REFERENCES `NUTRI_produto` (`PROD_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


CREATE TABLE IF NOT EXISTS `NUTRI_ocorrencia` (
  `OCOR_id` INT NOT NULL AUTO_INCREMENT,
  `OCOR_FK_MER_id` INT NOT NULL,
  `OCOR_data` DATE NULL,
  `OCOR_descricao` VARCHAR(500) NULL,
  PRIMARY KEY (`OCOR_id`),
  INDEX `fk_NUTRI_ocorrencia_NUTRI_merendeira1_idx` (`OCOR_FK_MER_id` ASC) ,
  CONSTRAINT `fk_NUTRI_ocorrencia_NUTRI_merendeira1`
    FOREIGN KEY (`OCOR_FK_MER_id`)
    REFERENCES `NUTRI_merendeira` (`MER_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;

ALTER TABLE TBG_usuario ADD USUA_bloqueio VARCHAR(1) DEFAULT '0';
ALTER TABLE TBG_usuario ADD USUA_ocorrencia VARCHAR(1) DEFAULT '0';
ALTER TABLE TBG_usuario ADD USUA_cancelar VARCHAR(1) DEFAULT '0';
ALTER TABLE SGP_estadia ADD ESTA_bloqueio VARCHAR(1) DEFAULT '0';
ALTER TABLE SGP_estadia ADD ESTA_motivo_bloqueio VARCHAR(200) NULL;

UPDATE SGP_estadia 
SET ESTA_bloqueio='1', 
ESTA_motivo_bloqueio='DEFEITO MECANICO - BALÃO DE AR FURADO - DEVE RETORNAR EM BREVE' 
WHERE ESTA_id=252;


ALTER TABLE SGP_estadia ADD ESTA_insp_data DATE NULL;
ALTER TABLE SGP_estadia ADD ESTA_insp_status VARCHAR(10) NULL;
ALTER TABLE SGP_estadia ADD ESTA_insp_inicio DATETIME NULL;
ALTER TABLE SGP_estadia ADD ESTA_insp_final DATETIME NULL;
ALTER TABLE SGP_estadia ADD ESTA_insp_obs VARCHAR(2000) NULL;
ALTER TABLE SGP_estadia ADD ESTA_insp_item01 VARCHAR(3) NULL;
ALTER TABLE SGP_estadia ADD ESTA_insp_item02 VARCHAR(3) NULL;
ALTER TABLE SGP_estadia ADD ESTA_insp_item03 VARCHAR(3) NULL;
ALTER TABLE SGP_estadia ADD ESTA_insp_item04 VARCHAR(3) NULL;
ALTER TABLE SGP_estadia ADD ESTA_insp_item05 VARCHAR(3) NULL;
ALTER TABLE SGP_estadia ADD ESTA_insp_item06 VARCHAR(3) NULL;
ALTER TABLE SGP_estadia ADD ESTA_insp_item07 VARCHAR(3) NULL;
ALTER TABLE SGP_estadia ADD ESTA_insp_item08 VARCHAR(3) NULL;
ALTER TABLE SGP_estadia ADD ESTA_insp_avaliador VARCHAR(50) NULL;

ALTER TABLE SGP_produtov ADD PROD_entradas DECIMAL(12,2) DEFAULT '0.00';
ALTER TABLE SGP_produtov ADD PROD_saidas DECIMAL(12,2) DEFAULT '0.00';
ALTER TABLE SGP_produtov ADD PROD_saldo DECIMAL(12,2) DEFAULT '0.00';
ALTER TABLE SGP_produtov ADD PROD_preco_custo DECIMAL(12,2) DEFAULT '0.00';

ALTER TABLE TBG_unidade ADD UNID_titulo VARCHAR(50) NULL;
ALTER TABLE SGP_parceiro ADD PARC_ativo VARCHAR(1) DEFAULT '1';
ALTER TABLE SGP_parceiro ADD PARC_fone VARCHAR(20) NULL;
ALTER TABLE SGP_parceiro ADD PARC_apelido VARCHAR(50) NULL;

ALTER TABLE TBG_usuario ADD USUA_aprovador VARCHAR(1) DEFAULT '0';
ALTER TABLE TBG_usuario ADD USUA_visto VARCHAR(1) DEFAULT '0';

CREATE TABLE `SGP_integracao` (
  `INTE_id` int(11) NOT NULL AUTO_INCREMENT,
  `INTE_FK_UNID_id` int(11) NOT NULL,
  `INTE_placa` varchar(7) DEFAULT NULL,
  `INTE_data` varchar(20) DEFAULT NULL,
  `INTE_codigo` varchar(50) DEFAULT NULL,
  `INTE_status` varchar(1) DEFAULT '0',
  PRIMARY KEY (`INTE_id`),
  UNIQUE KEY `CHAVE_CODIGO` (`INTE_codigo`),
  KEY `fk_SGP_integracao_TBG_unidade1_idx` (`INTE_FK_UNID_id`),
  CONSTRAINT `fk_SGP_integracao_TBG_unidade1` FOREIGN KEY (`INTE_FK_UNID_id`) REFERENCES `TBG_unidade` (`UNID_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


ALTER TABLE SGP_transportador ADD TRAN_vira VARCHAR(1) DEFAULT '0';

CREATE TABLE IF NOT EXISTS `SGP_operacao` (
  `OPE_id` INT NOT NULL AUTO_INCREMENT,
  `OPE_FK_UNID_id` INT(11) NOT NULL,
  `OPE_descricao` VARCHAR(100) NULL,
  `OPE_ativo` VARCHAR(1) NULL DEFAULT '1',
  PRIMARY KEY (`OPE_id`),
  INDEX `fk_SGP_operacao_TBG_unidade1_idx` (`OPE_FK_UNID_id` ASC),
  CONSTRAINT `fk_SGP_operacao_TBG_unidade1`
    FOREIGN KEY (`OPE_FK_UNID_id`)
    REFERENCES `TBG_unidade` (`UNID_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;

ALTER TABLE SGP_estadia ADD ESTA_operacao INT DEFAULT 0;

