$(document).ready(function()
{
    var usua = $('#hdnUsuario').val();
    //PesquisarUnidade(usua);

    //var unidade = $('#hdnUnidade').attr('data');

    PesquisarTipo();

    LimparCampos();

});

$("#btnExcluir").click(function()
{
    var id = $('#hdnId').val();

    $('#id_delete_modal').val(id);

    $('#item_delete').text($("#txtDescricao").val());
    $("#dlgDelete").modal({backdrop: "static"}).show();
});

$('#btnNovo').click(function()
{
    LimparCampos();
    
    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    $('#btnExcluir').hide();

    //var unidade = $('#hdnUnid').attr('data');
    //$('#hdnUnid').val(unidade);
    //console.log('unidade: ' + unidade);
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

//$('#btnPesquisar').click(function()
//{
//    var unidade = $('#hdnUnidade').val();
//    PesquisarTipo(unidade);
//});

$('#btnSalvar').click(function()
{
    //var unidade = $('#hdnUnidade').attr('data');
    //var idtipo = $('#hdnId').attr('data');
    var descricao = $('#txtDescricao').val();
    var id = $('#hdnId').attr('data');
    

    //console.log('unidade: ' + unidade);
    //console.log('id setor: ' + id);
    //console.log('descricao: ' + descricao);
    
    SalvarTipo(descricao, id);

    //PesquisarSetor(unidade);

    $('#cadastro').hide();
    $('#lista').show();
});

$('#btnExcluir').click(function()
{
    var id = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');
    
    //console.log('id tipo: ' + idtipo);
    //console.log('unidade: ' + unidade);
    
    ExcluirTipo(id, unidade);

    $('#cadastro').hide();
    $('#lista').show();
});

$("#tbTipo tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");
    //var unidade = $('#hdnUnidade').attr('data');
    
    //console.log('unidade: ' + unidade);
    //console.log('id: ' + id);

    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));

});

function LimparCampos()
{
    $('#hdnId').val('0');
    $('#txtDescricao').val('');   
}

function PesquisarTipo()
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-tipo",
        method: 'post',
        data:
        {
            
        },
        beforeSend: function()
        {
            $('#tbTipo tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {

                data.consulta.forEach(item =>
                {
                   
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.descricao + '">'+ item.descricao +'</td>'
                            
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-lg cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbTipo tbody').append(linha);
                });
            }
            else
            {
                $('#tbTipo tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarTipo(descricao, id)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-tipo",
        method: 'post',
        data:
        {
            descricao:  descricao,
            id:         id
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            if(unidade!='')
            {
                PesquisarTipo();
            }
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirTipo(idsetor, unidade)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-tipo",
        method: 'post',
        data:
        {
            idsetor: idsetor,
            unidade: unidade
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            if(unidade!='')
            {
                PesquisarTipo();
            }
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}


/* function ListarUnidades(unidade)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-unidade2",
        method: 'post',
        data:
        {
            
        },
        beforeSend: function()
        {
            $('#cbUnidadePesq').empty();
            $('#cbUnidadePesq').append('<option value="">Carregando...</option>');
            $('#cbUnidadePesq').prop('disabled',true);

            $('#cbUnidadePesq2').empty();
            $('#cbUnidadePesq2').append('<option value="">Carregando...</option>');
            $('#cbUnidadePesq2').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbUnidadePesq').prop('disabled',true);
            $('#cbUnidadePesq2').prop('disabled',true);
            
        },
        success: function(data)
        {
            
            if(data.consulta.length > 0)
            {
                $('#cbUnidadePesq').empty();
                $('#cbUnidadePesq').append('<option value="">Selecione...</option>');
                $('#cbUnidadePesq2').empty();
                $('#cbUnidadePesq2').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbUnidadePesq').append('<option value="' + item.id + '">' + item.nome + '</option>');
                    $('#cbUnidadePesq2').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });

                if(unidade !='')
                {
                    $('#cbUnidadePesq').val(unidade);
                    $('#cbUnidadePesq2').val(unidade);
                }
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}
 */


