$(document).ready(function()
{
    var usua = $('#hdnUsuario').val();

    PesquisarTipo();

    LimparCampos();

});
/* 
$("#btnExcluir").click(function()
{
    var id = $('#hdnId').val();

    $('#id_delete_modal').val(id);

    $('#item_delete').text($("#txtDescricao").val());
    $("#dlgDelete").modal({backdrop: "static"}).show();
}); */

$('#btnNovo').click(function()
{
    LimparCampos();
    
    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    $('#btnExcluir').hide();
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    PesquisarTipo();
});

$('#btnSalvar').click(function()
{
    var idtipo = $('#hdnId').attr('data');
    var descricao = $('#txtDescricao').val();
    //console.log('id: ' + idtipo);

    SalvarTipo(descricao, idtipo);

    //PesquisarTipo();

    $('#cadastro').hide();
    $('#lista').show();
});

$('#btnExcluir').click(function()
{
    var idtipo = $('#hdnId').attr('data');
       
    ExcluirTipo(idtipo);

    //PesquisarTipo();

    $('#cadastro').hide();
    $('#lista').show();
});

$("#tbTipo tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));

});

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtDescricao').val('');   
}

function PesquisarTipo()
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-tipo-pessoa",
        method: 'post',
        data:
        {
            
        },
        beforeSend: function()
        {
            $('#tbTipo tbody tr').remove();
            $('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            $('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {

                data.consulta.forEach(item =>
                {
                   
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.descricao + '">'+ item.descricao +'</td>'
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-lg cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbTipo tbody').append(linha);
                });
            }
            else
            {
                $('#tbTipo tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarTipo(descricao, idtipo)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-tipo-pessoa",
        method: 'post',
        data:
        {
            descricao:  descricao, 
            id:         idtipo           
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            PesquisarTipo();
        },
        success: function(data)
        {

        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirTipo(idtipo)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-tipo-pessoa",
        method: 'post',
        data:
        {
            id: idtipo
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            PesquisarTipo();
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}



