$(document).ready(function()
{
    var usuario = $('#txtIdUsuario').attr('data');

    console.log('usuario: ' + usuario);

    ListarUsuarios(usuario);

    $('#btnTrocarSenha').click(function()
    {
        LimparCampos();

        $('#titulo_form_modal').text("Trocar Senha");

        $('#txtNome').val($('#txtUsuario').attr('data'));
        $('#hdUsuario').val($('#txtIdUsuario').attr('data'));

        $("#dlgFormulario").modal({backdrop: "static"}).show();
    });

    /* $("#tbUsuarios tbody").on("click","span[name=editBtn]",function()
    {
        LimparCampos();

        $('#titulo_form_modal').text("Atualizar Usuário");

        var id = $(this).attr("data");

        $('#id_form_modal').val(id);
        $('#cbAtivo').prop('checked',($('#' + id + '_ativo').attr('data') == '1'));
        $('#txtCpf').val($(".mask_cpf").masked($("#" + id + "_cpf").text()));
        $('#txtNome').val($("#" + id + "_nome").text());
        $('#txtEmail').val($("#" + id + "_email").text());
        $('#txtLogin').val($("#" + id + "_login").text());
        $('#txtTelefonne').val($("#" + id + "_telefone").text());
        $('#txtCelular').val($("#" + id + "_celular").text());
        $('#txtNome_label').html('Nome <b style="color:red">(Digitar uma nova senha substitui a atual)</b>');
        $('#txtCpf').prop('readonly',true);
        $('#txtLogin').prop('readonly',true);
        $('#txtSenha').prop('required',false);
        $('#txtConfirmSenha').prop('required',false);

        $('#cbClasse').val($('#'+ id +'_classe').val());

        $("#dlgFormulario").modal({backdrop: "static"}).show();
    });
 */

    

    $("#btnFormModal").click(function()
    {
        if($('#txtCpf').val() == '')
        {
            MensagemBox('alerta','Atenção','O campo "CPF" não pode ser vazio ');

            return false;
        }

        if($('#id_form_modal').val() == '' && $("#txtSenha").val() == '')
        {
            MensagemBox('alerta','Atenção','O campo "Senha" não pode ser vazio ');

            return false;
        }

        if($("#txtSenha").val() != '' && $("#txtConfirmSenha").val() == '')
        {
            MensagemBox('alerta','Atenção','O campo "Confirmar senha" não pode ser vazio ');

            return false;
        }

        if($("#txtSenha").val() != '' && ($("#txtSenha").val() != $("#txtConfirmSenha").val()))
        {
            MensagemBox('alerta','Atenção','As senhas não conferem');

            return false;
        }

        if($("#txtSenha").val() != '' && $("#txtSenha").val().length < 6)
        {
            MensagemBox('alerta','Atenção','A senha precisa ter, no mínimo, 6 dígitos');

            return false;
        }
    });
});

function LimparCampos()
{
    $('#id_form_modal').val('');
   
    $('#txtNome').val('');
    $('#txtSenha').prop('required',true);
    $('#txtConfirmSenha').prop('required',true);
}


function ListarUsuarios(usuario)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-usuario", 
        method: 'post',
        data:
        {
            
        },
        beforeSend: function()
        {
            $('#cbUsuarioPesq').empty();
            $('#cbUsuarioPesq').append('<option value="">Carregando...</option>');
            $('#cbUsuarioPesq').prop('disabled',true);

        },
        complete: function()
        {
            $('#cbUsuarioPesq').prop('disabled',true);
        },
        success: function(data)
        {

            if(data.consulta != null && data.consulta.length > 0)
            {

                $('#cbUsuarioPesq').empty();
                $('#cbUsuarioPesq').append('<option value="">...Selecione</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbUsuarioPesq').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
            else
            {
                $('#cbUsuarioPesq').empty();
                $('#cbUsuarioPesq').append('<option value="">Nenhum Usuário</option>');
            }
            
            if(usuario !='')
            {
                $('#cbUsuarioPesq').val(usuario);
                $('#cbUsuarioPesq').prop('disabled',true);
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });

}
