$(document).ready(function()
{
    //ListarCliente();
    LimparCampos();
    PesquisarProduto();
});

$('#btnNovo').click(function()
{
/*     var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
     }
 */
    LimparCampos();

    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    $('#btnExcluir').hide();

});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

/* $('#cbClientePesq').change(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        PesquisarProduto(cliente);
    }
}); */

$('#btnPesquisar').click(function()
{
/*     var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        PesquisarProduto(cliente);
    }
 */
    PesquisarProduto();
});

$('#btnSalvar').click(function()
{
    var grava       = 1;
    var idproduto   = $('#hdnId').attr('data');
    var descricao   = $('#txtDescricao').val();
    var formula     = $('#txtFormula').val();
    var fertil      = document.getElementById("cbFertil").checked;

    if(fertil==true)
    {
        fertil='1';
    }
    else 
    {
        fertil='0';
    }

    
    if(descricao=='')
    {
        MensagemBox( 'erro','','Nome do produto inválido!', 2000, 'Ok');
        grava = 0;
    }

    if(grava==1)
    {
        SalvarProduto(idproduto, descricao, formula, fertil);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

$("#tbProduto tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();


    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));
    $('#txtFormula').val($("#" + id + "_codigo").attr('data'));
    $('#cbFertil').prop('checked',($('#' + id + '_fertil').attr('data') == '1'));

});

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtDescricao').val('');   
    $('#txtFormula').val('');   
}

function PesquisarProduto()
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-produto",
        method: 'post',
        data:
        {
            //cliente: cliente 
        },
        beforeSend: function()
        {
            $('#tbProduto tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-sign-out-alt"></i>&nbsp;';
                
                data.consulta.forEach(item =>
                {
                                        
                    var icodestino = '<i class="fas fa-box fa-lg"></i>&nbsp;';
                    var icoformula = '<i class="fas fa-flask"></i>&nbsp;';
                    var ativo = ' style="font-color: #000;"';
                    var nome = item.descricao;
                    if(item.ativo=='0')
                    {
                        ativo = ' style="color: #ff0000;"';
                        icodestino = '<i class="fas fa-box fa-lg" ' + ativo + '></i>&nbsp;';
                        nome = '<del>' + nome + '</del>';
                    }
                    var fertil = item.fertilizante;
                    if(fertil=='1')
                    {
                        fertil = '<i class="fa fa-leaf fa-lg"></i>&nbsp;É Fertilizante';
                    }
                    else 
                    {
                        fertil = '&nbsp;';
                    }

                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.descricao + '" style="font-size: 12pt;">' + icodestino + '<b>' + nome + '</b><br>' + icoformula + item.formula  + ' ' + fertil   + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_formula" data="'+ item.formula +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_fertil" data="'+ item.fertilizante +'"/>'
                           
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-lg cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbProduto tbody').append(linha);
                });
            }
            else
            {
                $('#tbProduto tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarProduto(idproduto, descricao, formula, fertil)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-produto",
        method: 'post',
        data:
        { 
            idproduto:  idproduto, 
            descricao:  descricao, 
            formula:    formula,
            fertil:     fertil 
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            var cliente = $('#cbClientePesq').val();
            PesquisarProduto(cliente);
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirServico(idprof, unidade)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-servico",
        method: 'post',
        data:
        {
            id: idprof
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            PesquisarServico(unidade);

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}

/* 
function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbClientePesq').empty();
            $('#cbClientePesq').append('<option value="">Carregando...</option>');
            $('#cbClientePesq').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbClientePesq').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbClientePesq').empty();
                $('#cbClientePesq').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbClientePesq').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

} */




