$(document).ready(function()
{
    var usua = $('#hdnUsuario').val();
    var unidade = $('#hdnUnidade').attr('data');
    PesquisarServico(unidade);

    LimparCampos();

});
/* 
$("#btnExcluir").click(function()
{
    var id = $('#hdnId').val();

    $('#id_delete_modal').val(id);

    $('#item_delete').text($("#txtDescricao").val());
    $("#dlgDelete").modal({backdrop: "static"}).show();
}); */

$('#btnNovo').click(function()
{
    LimparCampos();
    
    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    $('#btnExcluir').hide();
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var unidade = $('#hdnUnidade').attr('data');
    PesquisarProfissional(unidade);
});

$('#btnSalvar').click(function()
{
    var grava = 1;
    var idprof = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');
    var descricao = $('#txtDescricao').val();
    var preco = $('#txtPreco').val();
    var ativo = document.getElementById("cbAtivo").checked;
    if(ativo==true)
    {
        ativo='1';
    }
    else 
    {
        ativo='0';
    }
    //console.log('id: ' + idtipo);

    if(descricao=='')
    {
        MensagemBox( 'erro','','Descrição inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(grava==1)
    {
        SalvarServico(idprof, descricao, preco, ativo, unidade);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

$('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
});

$("#tbServ tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));
    $('#txtPreco').val($("#" + id + "_preco").attr('data'));
    $('#cbAtivo').prop('checked',($('#' + id + '_ativo').attr('data') == '1'));

});

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtDescricao').val('');   
    $('#txtPreco').val('');   
    $('#cbAtivo').prop('checked', 1);
}

function PesquisarServico(unidade)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-servico",
        method: 'post',
        data:
        {
            unidade:    unidade
        },
        beforeSend: function()
        {
            $('#tbServ tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {

                data.consulta.forEach(item =>
                {
                    //var apelido = item.apelido;
                    //if(apelido!='')
                    //{
                    //    apelido = ' (' + item.apelido + ')';
                    //}
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.descricao + '" style="font-size: 11pt;">'+ item.descricao + ' (' + item.preco + ')</td>'
                            +       '<input type="hidden" id="'+ item.id +'_preco" data="'+ item.preco +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_ativo" data="'+ item.ativo +'"/>'
                           
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-lg cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbServ tbody').append(linha);
                });
            }
            else
            {
                $('#tbServ tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarServico(idprof, descricao, preco, ativo, unidade)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-servico",
        method: 'post',
        data:
        {
            id:         idprof,
            descricao:  descricao,
            preco:      preco,
            ativo:      ativo,
            unidade:    unidade 
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            PesquisarServico(unidade);
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirServico(idprof, unidade)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-servico",
        method: 'post',
        data:
        {
            id: idprof
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            PesquisarServico(unidade);

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}



