$(document).ready(function()
{
    //desabilita campos
    $('#txtCliente').prop('disabled',true);
    $('#btnPdf').hide();

   //$('#btnImpressao').hide();
   $('#btnExcel').hide();

    ListarClienteConsulta();
    ListarDestino2();
    ListarTranspConsulta();
    ListarUsuarioConsulta();
    ListarCategoria();
    LimparCampos();
   
    $('#txtDataini').attr('data-toggle','datetimepicker');
    $('#txtDataini').attr('data-target','#txtDataini');
    $('#txtDataini').addClass("datetimepicker-input");
    $('#txtDataini').attr('autocomplete','off'); 

    $('#txtDatafim').attr('data-toggle','datetimepicker');
    $('#txtDatafim').attr('data-target','#txtDatafim');
    $('#txtDatafim').addClass("datetimepicker-input");
    $('#txtDatafim').attr('autocomplete','off'); 

    //zera valores
    localStorage.setItem('vcliente',''); // gravar variavel na memoria
    localStorage.setItem('vtransp','');
    localStorage.setItem('vdataini','');
    localStorage.setItem('vdatafim','');
    localStorage.setItem('vdatanormalini','');
    localStorage.setItem('vdatanormalfim','');
    localStorage.setItem('vusuario','');
    localStorage.setItem('vcategoria','');
    localStorage.setItem('vforma',''); 

});

function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}

/* $('#txtData').click(function()
{
    console.log(FormataStringData($('#txtData').val()));
}); */

$(function () 
{
    $('#txtDataini').datetimepicker(
    {
        format:'D/M/YYYY'
    });

    $('#txtDatafim').datetimepicker(
        {
            format:'D/M/YYYY'
        });
       
});


$('#btnNovo').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        LimparCampos();
    
        $('#cadastro').show();
        $('#lista').hide();
        $('#filtro').hide();
        $('#btnExcluir').hide();
    }
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnVoltar2').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnExcell').click(function()
{
    var htmltable = document.getElementById('report');
    var html = htmltable.outerHTML;
    window.open('data:application/vnd.ms-excel, ' + encodeURIComponent(html));
});

/* function ExportToExcel() {
    var htmltable = document.getElementById('exportdata');
    var html = htmltable.outerHTML;
    window.open('data:application/vnd.ms-excel, ' + encodeURIComponent(html));
} */

$('#btnPesquisar').click(function()
{
    $('#hdnTransp').attr('data',$('#cbTransp').val());

    if($('#txtDataini').val()!='')
    {
        $('#hdnDataIni').attr('data',FormataStringData($('#txtDataini').val()));
        $('#hdnDataFim').attr('data',FormataStringData($('#txtDatafim').val()));
    }
    else 
    {
        $('#hdnDataIni').attr('data','');
        $('#hdnDataFim').attr('data','');    
    }    

    var url_atual = window.location.href;   

    $('#urlExcel').attr('href', url_atual + "/public/excel/" + $('#cbCliente').val() + '&' + $('#hdnDataIni').attr('data') + '&' + $('#hdnDataFim').attr('data') + '&' + $('#cbTransp').val() + '&' + $('#cbDestino').val());

    var cliente = $('#cbCliente').val();
    var destino = $('#cbDestino').val();
    var transp  = $('#cbTransp').val();
    var dataini = $('#hdnDataIni').attr('data');
    var datafim = $('#hdnDataFim').attr('data');
    var datanormalini = $('#txtDataini').val();
    var datanormalfim = $('#txtDatafim').val();
    var usuario  = $('#cbUsuario').val();
    var categoria  = $('#cbCategoria').val();
    var forma  = $('#cbForma').val();
    var busca  = $('#txtBusca').val();
    var operacao  = $('#cbTipoOperacao').val();
    

    localStorage.setItem('vcliente',cliente); // gravar variavel na memoria
    localStorage.setItem('vdestino',destino);
    localStorage.setItem('vtransp',transp);
    localStorage.setItem('vdataini',dataini);
    localStorage.setItem('vdatafim',datafim);
    localStorage.setItem('vdatanormalini',datanormalini);
    localStorage.setItem('vdatanormalfim',datanormalfim);
    localStorage.setItem('vusuario',usuario);
    localStorage.setItem('vcategoria',categoria);
    localStorage.setItem('vforma',forma);
    localStorage.setItem('vbusca',busca);
    localStorage.setItem('voperacao',operacao);
   
    PesquisarDados(dataini, datafim, cliente, transp, usuario, categoria, forma, destino, busca, operacao);
    PesquisarSumario(dataini, datafim, cliente, destino, busca, operacao, transp);
    PesquisarSumarioCategoria(dataini, datafim, cliente, destino, busca, operacao, transp);

});



function criaBotao()
{
    var cliente = $('#cbCliente').val();
    var transp  = $('#cbTransp').val();
    var dataini = $('#hdnDataIni').attr('data');
    var datafim = $('#hdnDataFim').attr('data');



    $('#botao btnPdf').remove();       //limpa botão atual
    $('#botao a').remove(); 

    //constroi botão dinamicamente
    var linha = '';

    //<a href="{{ route('pdfestadia',['download'=>'pdf']) }}">Download PDF</a>

    //linha=linha + '<a id="alvo" target="_blank" href="/pdfestadia/cliente=' + cliente + '&transp=' + transp + '&dataini=' + dataini + '&datafim=' + datafim + '">'
    //<a href="{{route('home')}}"></a>
    linha=linha + '<a id="alvo" target="_blank" href="{{ route(pdf.pdfestadia)}}">'
    linha=linha + '<button id="btnPdf" type="button" class="btn btn-warning" aria-label="Left Align" >'
    linha=linha + '<i class="fas fa-file-pdf"></i> Imprimir</button></a>';
    
    $('#botao').append(linha);
}

/* $('#cbClientePesq').change(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente!='')
    {
        BuscarCliente(cliente);
        ListarProduto(cliente);
        ListarDestino(cliente);
    }
}); */

/* $('#btnImpressao').click(function()
{
    $('#btnImpressao').hide();
}); */

$('#btnSalvar').click(function()
{
    SalvarDadosEstadia();
});

$('#btnSalvar2').click(function()
{
    SalvarDadosEstadia();
});

function SalvarDadosEstadia()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava        = 1;
    var idestadia    = $('#hdnId').attr('data');
    var chamada      = $('#hdnDataChamada').attr('data');

    
    //fazer as validações aqui

    if(idestadia=='')
    {
        MensagemBox( 'erro','','Veículo não selecionado!', 2000, 'Ok');
        grava = 0;
    }
    //console.log('id: ' + idestadia + ' placa: ' +  placa + ' placa carreta: ' +  placa_carreta + ' marca: ' +  marca + ' modelo: ' +  modelo + ' cpf: ' +  cpf + ' nome: ' +  nome + ' celular: ' +  celular + ' cnh: ' +  cnh + ' categ: ' +   categoria + ' cliente: ' +  cliente + ' prod: ' +  produto + ' qtde: ' +  qtde + ' pedido: ' +  pedido + ' tipo carga: ' +  tipo_carga + ' data: ' +  data + ' destino: ' +  destino + ' transp: ' +  transp + ' veic: ' +  veiculo + ' motora: ' +  motorista);

    if(grava==1)
    {
        SalvarEstadia(idestadia, chamada);
        $('#cadastro').hide();
        $('#lista').show();
    }
}

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

$("#tbEstadia tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    //dados do veiculo
    $('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
    $('#txtPlaca').val($("#" + id + "_veiculo").attr('data2'));
    $('#txtPlaca_carreta').val($("#" + id + "_veiculo").attr('data3'));
    $('#txtMarca').val($("#" + id + "_veiculo").attr('data4'));
    $('#txtModelo').val($("#" + id + "_veiculo").attr('data5'));
    //dados do motorista
    $('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
    $('#txtCpf').val($("#" + id + "_motorista").attr('data2'));
    $('#txtNome').val($("#" + id + "_motorista").attr('data3'));
    $('#txtCelular').val($("#" + id + "_motorista").attr('data4'));
    $('#txtCnh').val($("#" + id + "_motorista").attr('data5'));
    $('#txtCategoria').val($("#" + id + "_motorista").attr('data6'));
    //dados da carga
    $('#txtData').val($("#" + id + "_data").attr('data'));
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
    $('#cbProduto').val($("#" + id + "_produto").attr('data'));
    $('#cbTransp').val($("#" + id + "_transportador").attr('data'));
    $('#cbDestino').val($("#" + id + "_destino").attr('data'));
    $('#cbTipocarga').val($("#" + id + "_tipocarga").attr('data'));
    $('#txtQtde').val($("#" + id + "_qtde").attr('data'));
    $('#txtPedido').val($("#" + id + "_pedido").attr('data'));
    $('#txtObs').val($("#" + id + "_obs").attr('data'));
    $('#txtCliente').val($("#" + id + "_cliente").attr('data2'));

    var cliente = $("#" + id + "_cliente").attr('data');

    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var agora = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
    $('#hdnDataChamada').attr('data', agora);

    //desabilita campos
    //$('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
    $('#txtCliente').prop('disabled',true);
    $('#txtPlaca').prop('disabled',true);
    $('#txtPlaca_carreta').prop('disabled',true);
    $('#txtMarca').prop('disabled',true);
    $('#txtModelo').prop('disabled',true);
    //dados do motorista
    //$('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
    $('#txtCpf').prop('disabled',true);
    $('#txtNome').prop('disabled',true);
    $('#txtCelular').prop('disabled',true);
    $('#txtCnh').prop('disabled',true);
    $('#txtCategoria').prop('disabled',true);
    //dados da carga
    $('#txtData').prop('disabled',true);
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
    $('#cbProduto').prop('disabled',true);
    $('#cbTransp').prop('disabled',true);
    $('#cbDestino').prop('disabled',true);
    $('#cbTipocarga').prop('disabled',true);
    $('#txtQtde').prop('disabled',true);
    $('#txtPedido').prop('disabled',true);
    $('#txtObs').prop('disabled',true);

    /*  id, 
        idcliente,
        idveiculo, 
        placa, 
        placa_carreta,
        idmotorista, 
        celular,
        idproduto,  
        idtransportador, 
        iddestino, 
        dataprev,
        datachamada, 
        datasaida, 
        foichamado,
        status,
        qtde,
        pedido,
        obs,
        tipocarga */
   
});

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtPlaca').val('');   
    $('#txtTitulo').val('');   
    $('#txtCodigo').val('');   

}

function PesquisarDados(dataini, datafim, cliente, transp, usuario, categoria, forma, destino, busca, operacao)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-consulta-estadia",
        method: 'post',
        data:
        {
            dataini: dataini, 
            datafim: datafim, 
            cliente: cliente, 
            transp: transp,
            usuario: usuario, 
            categoria: categoria,
            forma: forma,
            destino: destino,
            busca: busca,
            operacao: operacao
        },
        beforeSend: function()
        {
            $('#tbEstadia tbody tr').remove();
            $('#tbSumario tbody tr').remove();
            $('#tbEstadia tbody p').remove();
            //$('#cbCliente').prop('disabled',true);
            $('#cbTransp').prop('disabled',true);
            $('#txtDataini').prop('disabled',true);
            $('#txtDatafim').prop('disabled',true);
            $('#cbUsuario').prop('disabled',true);
            $('#cbCategoria').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbCliente').prop('disabled',false);
            $('#cbTransp').prop('disabled',false);
            $('#txtDataini').prop('disabled',false);
            $('#txtDatafim').prop('disabled',false);
            $('#cbUsuario').prop('disabled',false);
            $('#cbCategoria').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-parking"></i>&nbsp;';
                var especie = 0;    //ES
                    var debito = 0;     //CD
                    var credito = 0;    //CC
                    var faturado = 0;     //FA
                    var pix = 0;    //PX
                    var total = 0;  //TOTAL
                var qtde = 0;

                data.consulta.forEach(item =>
                {

                    //(CASE e.ESTA_forma_pgto WHEN 'ES' THEN 'ESPÉCIE' WHEN 'CD' THEN 'CARTÃO DÉBITO' 
                    //WHEN 'CC' THEN 'CARTÃO CRÉDITO' WHEN 'PX' THEN 'PIX' END) as formapgto,
                    
                    var tempo = parseInt(item.tempo);
                    var ttempo = CalculaTempo(tempo);
                    var forma = item.forma;
                    
                    //valor = parseFloat(ateseis) + (horas * horaadd);
                    //valor = valor.toFixed(2);
                    //valor = valor.toFixed(2);


                    if(forma=='ES'){especie = especie + parseFloat(item.total);}
                    else if(forma=='CD'){debito = debito + parseFloat(item.total);}
                    else if(forma=='CC'){credito = credito + parseFloat(item.total);}
                    else if(forma=='FA'){faturado = faturado + parseFloat(item.total);}
                    else if(forma=='PX'){pix= pix + parseFloat(item.total);}

                    total = total + parseFloat(item.total);
                    qtde = qtde + 1;
                    
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_data1" data="' + item.placa + '" style="font-size: 10pt;">' + item.placa + '</td>'
                            +      '<td id="'+ item.id +'_data2" data="' + item.entrada + '" style="font-size: 10pt;">' + item.entrada + '</td>'
                            +      '<td id="'+ item.id +'_data3" data="' + item.saida + '" style="font-size: 10pt;">' + item.saida + '</td>'
                            +      '<td id="'+ item.id +'_data4" data="' + item.tempo + '" style="font-size: 10pt;">' + ttempo + '</td>'
                            +      '<td id="'+ item.id +'_data5" data="' + item.motorista + '" style="font-size: 10pt;">' + item.motorista + '</td>'
                            +      '<td id="'+ item.id +'_data6" data="' + item.cliente + '" style="font-size: 10pt;">' + item.cliente + '</td>'
                            +      '<td id="'+ item.id +'_data7" data="' + item.destino + '" style="font-size: 10pt;">' + item.destino + '</td>'
                            +      '<td id="'+ item.id +'_data8" data="' + item.transportador + '" style="font-size: 10pt;">' + item.transportador + '</td>'
                            +      '<td id="'+ item.id +'_data9" data="' + item.produto + '" style="font-size: 10pt;">' + item.produto + '</td>'
                            +      '<td id="'+ item.id +'_data9" data="' + item.total + '" style="font-size: 10pt; text-align: right;">' + item.total + '</td>'
                            +      '<td id="'+ item.id +'_data9" data="' + item.formapgto + '" style="font-size: 10pt;">' + item.formapgto + '</td>'
                            +      '<td id="'+ item.id +'_data9" data="' + item.operador + '" style="font-size: 10pt;">' + item.operador + '</td>'
                            
                            //+      '<td width="10%" class="text-center">'
                            //+         '<span name="editBtn" class="fas fa-search fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span>'
                            //+      '</td>'
                            +   '</tr>';

                        $('#tbEstadia tbody').append(linha);
                });

                if(qtde > 0)
                {
                    $('#tbEstadia tbody').append('<p>Qtde de veículos: ' + qtde + '</p>');
                }
                
                //monta sumario
                var lespecie = '<tr>'
                            +      '<td style="font-size: 10pt;">ESPÉCIE</td>'
                            +      '<td style="font-size: 10pt; text-align: right;">' + especie.toFixed(2) + '</td>'
                            +   '</tr>';
                $('#tbSumario tbody').append(lespecie);
                var ldebito = '<tr>'
                            +      '<td style="font-size: 10pt;">CARTÃO DÉBITO</td>'
                            +      '<td style="font-size: 10pt; text-align: right;">' + debito.toFixed(2) + '</td>'
                            +   '</tr>';
                $('#tbSumario tbody').append(ldebito);
                var lcredito = '<tr>'
                            +      '<td style="font-size: 10pt;">CARTÃO CRÉDITO</td>'
                            +      '<td style="font-size: 10pt; text-align: right;">' + credito.toFixed(2) + '</td>'
                            +   '</tr>';
                $('#tbSumario tbody').append(lcredito);
                var lfaturado = '<tr>'
                            +      '<td style="font-size: 10pt;">FATURADO</td>'
                            +      '<td style="font-size: 10pt; text-align: right;">' + faturado.toFixed(2) + '</td>'
                            +   '</tr>';
                $('#tbSumario tbody').append(lfaturado);
                var lpix = '<tr>'
                            +      '<td style="font-size: 10pt;">PIX</td>'
                            +      '<td style="font-size: 10pt; text-align: right;">' + pix.toFixed(2) + '</td>'
                            +   '</tr>';
                $('#tbSumario tbody').append(lpix);
                var ltotal = '<tr>'
                            +      '<td style="font-size: 10pt;"><b>TOTAL</b></td>'
                            +      '<td style="font-size: 10pt; text-align: right;"><b>' + total.toFixed(2) + '</b></td>'
                            +   '</tr>';
                $('#tbSumario tbody').append(ltotal);


            }
            else
            {
                $('#tbEstadia tbody').append(linhaNenhumResultado(12));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

/* 
function SalvarEstadia(idestadia, chamada)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-chamada",
        method: 'post',
        data:
        {
            idestadia: idestadia, 
            chamada: chamada 
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Veículo chamado para sair do pátio com sucesso!', 2000, 'Ok');
            var cliente = $('#cbClientePesq').val();
            PesquisarChamado(cliente);
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
} */

function ListarClienteConsulta()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente-chamado",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbCliente').empty();
            $('#cbCliente').append('<option value="">Carregando...</option>');
            //$('#cbCliente').prop('disabled',true);
        },
        complete: function()
        {
            //$('#cbCliente').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbCliente').empty();
                $('#cbCliente').append('<option value="">Todos...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbCliente').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });

               
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarProduto2()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-produto-chamado",
        method: 'post',
        data:
        {
           cliente: ''
        },
        beforeSend: function()
        {
            $('#cbProduto').empty();
            $('#cbProduto').append('<option value="">Carregando...</option>');
            $('#cbProduto').prop('disabled',true);
        },
        complete: function()
        {
            //$('#cbProduto').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbProduto').empty();
                $('#cbProduto').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    var produto = item.descricao;
                    if(item.formula!='')
                    {
                        produto = produto + ' - Formula: ' + item.formula;
                    }
                    $('#cbProduto').append('<option value="' + item.id + '">' + produto + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarDestino2()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-destino-chamado",
        method: 'post',
        data:
        {
           cliente: ''
        },
        beforeSend: function()
        {
            $('#cbDestino').empty();
            $('#cbDestino').append('<option value="">Carregando...</option>');
            $('#cbDestino').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbDestino').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbDestino').empty();
                $('#cbDestino').append('<option value="">Todos...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbDestino').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarTranspConsulta()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-transp-chamado",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbTransp').empty();
            $('#cbTransp').append('<option value="">Carregando...</option>');
            $('#cbTransp').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbTransp').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTransp').empty();
                $('#cbTransp').append('<option value="">Todos...</option>');

                data.consulta.forEach(item =>
                {
                    
                    $('#cbTransp').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function BuscarCliente(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-cliente",
        method: 'post',
        data:
        {
           idcliente: cliente
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtCliente').val(item.nome);
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}



function BuscarMotorista(cpf)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-motorista-cpf",
        method: 'post',
        data:
        {
           cpf: cpf
        },
        beforeSend: function()
        {
            $('#txtNome').val('');
            $('#txtCelular').val('');
            $('#txtCnh').val('');
            $('#txtCategoria').val('');
            $('#hdnMotorista').attr('data',0);

            $('#txtNome').prop('disabled',true);
            //$('#txtCelular').prop('disabled',true);
            $('#txtCnh').prop('disabled',true);
            $('#txtCategoria').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtNome').val(item.nome);
                    $('#txtCelular').val(item.celular);
                    $('#txtCnh').val(item.cnh);
                    $('#txtCategoria').val(item.categoria);
                    $('#hdnMotorista').attr('data',item.id);
                });
            }
            else 
            {
                MensagemBox('alerta','Busca Motorista','Motorista não encontrado!', 2000, 'Ok');
                $('#txtNome').prop('disabled',false);
                //$('#txtCelular').prop('disabled',false);
                $('#txtCnh').prop('disabled',false);
                $('#txtCategoria').prop('disabled',false);

                //MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

$('#txtCpf').keyup(function(event)
{
    var cpf = $('#txtCpf').val();
    var tamanho = cpf.length;

    //console.log('tamanho: ' + tamanho);
    if(tamanho==11)
    {
        BuscarMotorista(cpf)
    }
    else
    {
        LimpaCamposMotorista()
    }
});

function LimpaCamposMotorista()
{
    $('#txtNome').val('');
    $('#txtCelular').val('');
    $('#txtCnh').val('');
    $('#txtCategoria').val('');
    $('#hdnMotorista').attr('data',0);
}


function BuscarVeiculo(placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-veiculo-placa",
        method: 'post',
        data:
        {
           placa: placa
        },
        beforeSend: function()
        {
            $('#txtPlaca_carreta').val('');
            $('#txtMarca').val('');
            $('#txtmodelo').val('');
            $('#hdnVeiculo').attr('data',0);

            //$('#txtPlaca_carreta').prop('disabled',true);
            $('#txtMarca').prop('disabled',true);
            $('#txtModelo').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtPlaca_carreta').val(item.placa_carreta);
                    $('#txtMarca').val(item.marca);
                    $('#txtModelo').val(item.modelo);
                    $('#hdnVeiculo').attr('data',item.id);
                });
            }
            else 
            {
                MensagemBox('alerta','Busca Veículo','Veículo não encontrado!', 2000, 'Ok');
                //$('#txtPlaca_carreta').prop('disabled',false);
                $('#txtMarca').prop('disabled',false);
                $('#txtModelo').prop('disabled',false);
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


$('#txtPlaca').keyup(function(event)
{
    var placa = $('#txtPlaca').val();
    var tamanho = placa.length;

    placa = placa.toUpperCase();
    $('#txtPlaca').val(placa);

    //console.log('tamanho: ' + tamanho);
    if(tamanho==7)
    {
        BuscarVeiculo(placa)
    }
    else
    {
        LimpaCamposVeiculo()
    }
});

function LimpaCamposVeiculo()
{
    $('#txtPlaca_carreta').val('');
    $('#txtMarca').val('');
    $('#txtmodelo').val('');
    $('#hdnVeiculo').attr('data',0);
}


function CalculaTempo(tempo)
{
    if(tempo < 60)
    {
        return  tempo + ' min'
    }
    else
    {
        //return tempo + ' ???'
        if(tempo == 60)
        {
            return '1 h';
        }
        else if(tempo > 60)
        {
            var t = (tempo / 60);
            var horas = Math.trunc(t);
            var fracao = Math.round((t - horas) * 60);
            return horas + 'h ' + fracao + 'min'
        }
    }
}

function ListarUsuarioConsulta()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-operador",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbUsuario').empty();
            $('#cbUsuario').append('<option value="">Carregando...</option>');
            $('#cbUsuario').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbUsuario').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbUsuario').empty();
                $('#cbUsuario').append('<option value="">Todos...</option>');

                data.consulta.forEach(item =>
                {
                    
                    $('#cbUsuario').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function ListarCategoria()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-categoria-consulta",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbCategoria').empty();
            $('#cbCategoria').append('<option value="">Carregando...</option>');
            $('#cbCategoria').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbCategoria').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbCategoria').empty();
                $('#cbCategoria').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbCategoria').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function PesquisarSumario(dataini, datafim, cliente, destino, busca, operacao, transp)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-sumario",
        method: 'post',
        data:
        {
            dataini: dataini, 
            datafim: datafim, 
            cliente: cliente, 
            destino: destino,
            busca: busca, 
            operacao: operacao,
            transp: transp
        },
        beforeSend: function()
        {
            $('#tbStatus tbody tr').remove();
            $('#btnPesquisar').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            $('#btnPesquisar').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-parking"></i>&nbsp;';
                
                data.consulta.forEach(item =>
                {
                    //AG - Agendado
                    //PA - Patio
                    //ET - Em transito
                    //NF - Na fábrica
                    //CL - Cancelado
                    //FN - Finalizado
                    var status = '';

                    if(item.status=='PA'){status="NO PÁTIO"}
                    else if(item.status=='ET'){status="EM TRÂNSITO"}
                    else if(item.status=='NF'){status="NA FÁBRICA"}
                    else if(item.status=='CL'){status="CANCELADO"}
                    else if(item.status=='FN'){status="FINALIZADO"}
                    else
                    {
                        status= + item.status;
                    }
                    
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_data1" data="' + item.status + '" style="font-size: 10pt;">' + status + '</td>'
                            +      '<td id="'+ item.id +'_data2" data="' + item.qtde + '" style="font-size: 10pt;">' + item.qtde + '</td>'
                            +   '</tr>';

                        $('#tbStatus tbody').append(linha);
                });

            }
            else
            {
                $('#tbStatus tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function PesquisarSumarioCategoria(dataini, datafim, cliente, destino, busca, operacao, transp)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-sumario-categoria",
        method: 'post',
        data:
        {
            dataini: dataini, 
            datafim: datafim, 
            cliente: cliente, 
            destino: destino,
            busca: busca, 
            operacao: operacao,
            transp: transp
        },
        beforeSend: function()
        {
            $('#tbCategoria tbody tr').remove();
            $('#btnPesquisar').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            $('#btnPesquisar').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-parking"></i>&nbsp;';
                
                data.consulta.forEach(item =>
                {
                    
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_data1" data="' + item.categoria + '" style="font-size: 10pt;">' + item.categoria + '</td>'
                            +      '<td id="'+ item.id +'_data2" data="' + item.qtde + '" style="font-size: 10pt;">' + item.qtde + '</td>'
                            +      '<td id="'+ item.id +'_data3" data="' + item.total + '" style="font-size: 10pt;">' + item.total + '</td>'
                            
                            +   '</tr>';

                        $('#tbCategoria tbody').append(linha);
                });

            }
            else
            {
                $('#tbCategoria tbody').append(linhaNenhumResultado(3));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



