$(document).ready(function()
{
    $('#txtDatarec').attr('data-toggle','datetimepicker');
    $('#txtDatarec').attr('data-target','#txtDatarec');
    $('#txtDatarec').addClass("datetimepicker-input");
    $('#txtDatarec').attr('autocomplete','off'); 
    $('#txtTotal').prop('disabled',true);
    $('#txtDatamov').prop('disabled',true);

    $('#btnSalvarFornec').hide();
    $('#btnVoltarFornec').hide();
    $('#cbFornecedor').show();
    $('#txtNomeFornec').hide();
   

    //Verifica variáveis da data
    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    //var hoje = dia + '/' + mes + '/' + ano
    var hoje = ("0"+dia).slice(-2) + '/' + ("0"+mes).slice(-2) + '/' + ano;
    var hoje2 = ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);

    //console.log('data: ' + hoje );

    //console.log('mês:' + mes);
    //console.log('ano:' + ano);

    //Posiciona mes e ano corrente
    $("#cbMes").val(mes);
    $("#cbAno").val(ano);
    var palavra = $('#txtBusca').val();

    PesquisarPessoaMov();
    PesquisarMovimento(ano, mes, '', palavra);
    PesquisarContaFinMov();
    PesquisarCentroCusto();
    PesquisarFunc();

    LimparCampos();

});

$('#btnNovoFornec').click(function()
{
    //console.log('CLIQUEI NO NOVO !');
    $("#cbPessoa").hide();
    $('#btnNovoFornec').hide();
    $('#txtNomeFornec').show();
    $('#btnSalvarFornec').show();
    $('#btnVoltarFornec').show();
    $('#txtNomeFornec').val('');
    document.getElementById("txtNomeFornec").focus();
});

$('#btnVoltarFornec').click(function()
{
    //console.log('CLIQUEI NO NOVO !');
    $("#cbPessoa").show();
    $('#btnNovoFornec').show();
    $('#txtNomeFornec').hide();
    $('#btnSalvarFornec').hide();
    $('#btnVoltarFornec').hide();
});

$('#btnSalvarFornec').click(function()
{
    $("#cbPessoa").show();
    $('#btnNovoFornec').show();
    $('#txtNomeFornec').hide();
    $('#btnSalvarFornec').hide();
    $('#btnVoltarFornec').hide();
    SalvarFornecNovo();
    document.getElementById("cbPessoa").focus();

});

function SalvarFornecNovo()
{
    var grava       = 1;
    var idcliente   = '0';
    var nome  = $('#txtNomeFornec').val();
    var cidade  = $('#hdnCidade').attr('data');
       
    //grava = 0;   desbloquear para debugar alguma coisa sem gravar
    if(nome=='')
    {
        MensagemBox( 'alerta','','Nome inválido!', 2000, 'Ok');  
        grava = 0;
    }

    if(grava==1)
    {
        //console.log('dados da agenda: ' +  idagenda + '  ' + observacao);

        InserirFornecNovo(idcliente, nome, cidade);
    }
}

function InserirFornecNovo(idcliente, nome)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-insere-fornec-mov",
        method: 'post',
        data:
        {
            id:     idcliente,
            nome:   nome
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Fornecedor incluido com sucesso!', 2000, 'Ok');
            PesquisarPessoaMov(nome);
        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}


$(function () 
{
    $('#txtDatarec').datetimepicker(
    {
        format:'D/M/YYYY'
    });
       
});


function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}

$('#btnNovo').click(function()
{
    LimparCampos();
    
    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    //$('#btnExcluir').hide();
});

$('#btnNovoC').click(function()
{
    LimparCampos();
    
});

$('#btnNovoC2').click(function()
{
    LimparCampos();
    
});

$('#cbStatus').change(function()
{
    var tipo = $('#cbStatus').val();
    if(tipo=='1' || tipo=='2')
    {
        tipo = 'R';
    }
    else if(tipo=='3' || tipo=='4')
    {
        tipo = 'D';
    }
    PesquisarContaCusto(tipo, '');
    
});



$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnVoltar2').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var ano = $('#cbAno').val();
    var mes = $('#cbMes').val();
    var status = $('#cbStatusPesq').val();
    var palavra = $('#txtBusca').val();
    if(ano=='')
    {
        MensagemBox( 'erro','','Ano inválido!', 2000, 'Ok');
    }
    else
    {
        PesquisarMovimento(ano, mes, status, palavra);
    }
});

const inputEle = document.getElementById('txtBusca');
inputEle.addEventListener('keyup', function(e){
  var key = e.which || e.keyCode;
  if (key == 13) { // codigo da tecla enter
    // colocas aqui a tua função a rodar
    //alert('carregou enter o valor digitado foi: ' +this.value);
    var ano = $('#cbAno').val();
    var mes = $('#cbMes').val();
    var status = $('#cbStatusPesq').val();
    var palavra = $('#txtBusca').val();
    if(ano=='')
    {
        MensagemBox( 'erro','','Ano inválido!', 2000, 'Ok');
    }
    else
    {
        PesquisarMovimento(ano, mes, status, palavra);
    }
  }
});

$('#btnSalvar').click(function()
{
    SalvarDados();
});

$('#btnSalvar2').click(function()
{
    SalvarDados();
});

function SalvarDados()
{
    //corrige formatação da data
    $('#hdnDatarec').attr('data',FormataStringData($('#txtDatarec').val()));

    //Verifica variáveis da data
    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();

    //var hoje = dia + '/' + mes + '/' + ano
    var hoje = ("0"+dia).slice(-2) + '/' + ("0"+mes).slice(-2) + '/' + ano;
    var hoje2 = ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);

    //$('#txtDatarec').val(hoje);
    //$('#hdnDatarec').attr('data',hoje2);

    $('#txtDatamov').val(hoje);
    $('#hdnDatamov').attr('data',hoje2);

    var grava       = 1;
    var idmov       = $('#hdnId').attr('data');
    var descricao   = $('#txtDescricao').val();
    var datamov     = $('#hdnDatamov').attr('data');
    var datarec     = $('#hdnDatarec').attr('data');
    var status      = $('#cbStatus').val();
    var contafin    = $('#cbContafin').val();
    var contacusto  = $('#cbConta').val();
    var centrocusto = $('#cbCCusto').val();
    var doc         = $('#txtDoc').val();
    var valor       = $('#txtValor').val();
    var juros       = $('#txtJuros').val();
    var desconto    = $('#txtDesconto').val();
    var multa       = $('#txtMulta').val();
    var total       = $('#txtTotal').val();
    var forma       = $('#cbForma').val();
    var pessoa      = $('#cbPessoa').val();
    var func        = $('#cbFunc').val();
    var obs         = $('#txtObs').val();
    var excluido = document.getElementById("cbExcluido").checked;

    if(excluido==true)
    {
        excluido='1';
    }
    else 
    {
        excluido='0';
    }
    //console.log('id: ' + idtipo);

    if(descricao=='')
    {
        MensagemBox( 'erro','','Descrição inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(datarec=='')
    {
        MensagemBox( 'erro','','Data Pag/Rec inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(status=='')
    {
        MensagemBox( 'erro','','Status inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(contacusto=='')
    {
        MensagemBox( 'erro','','Conta Custo inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(centrocusto=='')
    {
        MensagemBox( 'erro','','Centro de Custo inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(contafin=='')
    {
        MensagemBox( 'erro','','Conta Financeira inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(valor=='')
    {
        MensagemBox( 'erro','','Valor inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(forma=='')
    {
        MensagemBox( 'erro','','Forma Pgto inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(pessoa=='' || pessoa=='null')
    {
        MensagemBox( 'erro','','Cliente/Fornecedor inválido!', 2000, 'Ok');
        grava = 0;
    }
    
    console.log('id: ' + idmov + ' desc: ' +  descricao + ' data mov: ' +  datamov + ' data rec: ' +  datarec + ' status: ' +  status + ' conta fin: ' +  contafin + ' doc: ' +  doc + ' valor: ' +  valor + ' juros: ' +  juros + ' desconto: ' +  desconto + ' multa: ' +  multa + ' total: ' +  total + ' forma: ' +  forma + ' pessoa: ' +  pessoa + ' obs: ' +  obs + ' excluido: ' +  excluido + ' conta custo: ' + contacusto + ' centro custo: ' + centrocusto);
    
    if(grava==1)
    {
        SalvarMovimento(idmov, descricao, datamov, datarec, status, contafin, doc, valor, juros, desconto, multa, total, forma, pessoa, obs, excluido, contacusto, centrocusto, func);
        //$('#cadastro').hide();
        //$('#lista').show();
    }
    
}

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirMovimento(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

$("#tbMov tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    //$('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");
    var idcontacusto = $("#" + id + "_contacusto").attr('data');
    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));
    $('#txtDatamov').val($("#" + id + "_datamov").attr('data'));
    $('#txtDatarec').val($("#" + id + "_datarec").attr('data'));
    $('#cbStatus').val($("#" + id + "_status").attr('data'));
    $('#cbContafin').val($("#" + id + "_contafin").attr('data'));
    $('#txtDoc').val($("#" + id + "_doc").attr('data'));
    $('#txtValor').val($("#" + id + "_valor").attr('data'));
    $('#txtJuros').val($("#" + id + "_juros").attr('data'));
    $('#txtDesconto').val($("#" + id + "_desconto").attr('data'));
    $('#txtMulta').val($("#" + id + "_multa").attr('data'));
    $('#txtTotal').val($("#" + id + "_total").attr('data'));
    $('#cbForma').val($("#" + id + "_formapgto").attr('data'));
    $('#cbPessoa').val($("#" + id + "_pessoa").attr('data'));
    $('#txtObs').val($("#" + id + "_obs").attr('data'));
    $('#cbCCusto').val($("#" + id + "_centrocusto").attr('data'));
    $('#cbFunc').val($("#" + id + "_func").attr('data'));

    $('#cbExcluido').prop('checked',($('#' + id + '_excluido').attr('data') == '1'));

    var tipo = $("#" + id + "_status").attr('data');
    if(tipo=='1' || tipo=='2')
    {
        tipo = 'R';
    }
    else if(tipo=='3' || tipo=='4')
    {
        tipo = 'D';
    }
    PesquisarContaCusto(tipo, idcontacusto);


});

function LimparCampos()
{
    //Verifica variáveis da data
    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    //var hoje = dia + '/' + mes + '/' + ano
    var hoje = ("0"+dia).slice(-2) + '/' + ("0"+mes).slice(-2) + '/' + ano;
    var hoje2 = ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);

    //console.log('data: ' + hoje + '  ' + hoje2);

    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');  
    $('#cbExcluido').prop('checked', 0);

    $('#txtDescricao').val('');
    $('#txtDatamov').val(hoje);
    $('#hdnDatamov').attr('data',hoje2);
    $('#txtDatarec').val('');
    $('#cbStatus').val('');
    $('#cbContafin').val('');
    $('#txtDoc').val('');
    $('#txtValor').val('');
    $('#txtJuros').val('');
    $('#txtDesconto').val('');
    $('#txtMulta').val('');
    $('#txtTotal').val('');
    $('#cbForma').val('');
    $('#cbPessoa').val('');
    $('#txtObs').val('');
    $('#cbCCusto').val('');
    $('#cbFunc').val('');

    PesquisarContaCusto('X');

}

function PesquisarMovimento(ano, mes, status, palavra)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-movimento",
        method: 'post',
        data:
        {
            ano:        ano, 
            mes:        mes, 
            status:     status, 
            palavra:    palavra
        },
        beforeSend: function()
        {
            $('#tbMov tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
            //console.log(data);

            if(data.consulta.length > 0)
            {
                
                var texto = '';

                data.consulta.forEach(item =>
                {
                    var pessoa = item.pessoa;
                    var tipopessoa = item.tipopessoa;

                    pessoa = ' - <i class="fas fa-user-tie fa-lg"></i> ' + pessoa;

                    var doc = item.doc;
                    
                    //console.log('doc: ' + doc);

                    if(doc!='')
                    {
                        doc =  doc + ' - ';
                    }

                    if(tipopessoa=='F')
                    {
                        pessoa = pessoa + ' (FORNECEDOR)';
                    }

                    console.log('pessoa: ' + pessoa + ' tipo: ' + tipopessoa);

                    var status = '';
                    if(item.statusm=='1')           //recebido
                    {
                        status = '<span class="badge badge-primary estilobag">RECEBIDO</span>';
                    }
                    else if(item.statusm=='2')      //a receber
                    {
                        status = '<span class="badge badge-info estilobag">A RECEBER</span>';
                    }
                    else if(item.statusm=='3')      //pago
                    {
                        status = '<span class="badge badge-danger estilobag">PAGO</span>';
                    }
                    else if(item.statusm=='4')      //a pagar
                    {
                        status = '<span class="badge badge-warning">A PAGAR</span>';
                    }

                    if(item.excluido=='1')
                    {
                        texto = '<i class="fas fa-comment-dollar fa-lg" style="color: #ff0000;"></i><del><b> ' + item.datarec + ' - R$ ' + item.total + ' ' + pessoa + '</b><br>' + status + ' - ' + doc + item.descricao + '</del>' ;
                    }
                    else 
                    {
                        texto = '<i class="fas fa-comment-dollar fa-2x"></i><b> ' + item.datarec + ' - R$ ' + item.total + ' ' + pessoa + '</b><br>' + status + ' - ' + doc + item.descricao;
                    }
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.descricao + '" style="font-size: 11pt;">' + texto + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_datarec" data="'+ item.datarec +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_datamov" data="'+ item.datamov +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_status" data="'+ item.statusm +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_contafin" data="'+ item.idcontafin +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_contacusto" data="'+ item.idcontacusto +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_centrocusto" data="'+ item.idccusto +'"/>'
                            
                            +       '<input type="hidden" id="'+ item.id +'_doc" data="'+ item.doc +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_valor" data="'+ item.valor +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_juros" data="'+ item.juros +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_multa" data="'+ item.multa +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_desconto" data="'+ item.desconto +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_total" data="'+ item.total +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_pessoa" data="'+ item.idpessoa +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_obs" data="'+ item.obs +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_excluido" data="'+ item.excluido +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_formapgto" data="'+ item.formapgto +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_func" data="'+ item.func +'"/>'
                            
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbMov tbody').append(linha);
                });
            }
            else
            {
                $('#tbMov tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarMovimento(idmov, descricao, datamov, datarec, status, contafin, doc, valor, juros, desconto, multa, total, forma, pessoa, obs, excluido, contacusto, centrocusto, func)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-movimento",
        method: 'post',
        data:
        {
            idmov:      idmov, 
            descricao:  descricao, 
            datamov:    datamov, 
            datarec:    datarec, 
            status:     status, 
            contafin:   contafin, 
            doc:        doc, 
            valor:      valor, 
            juros:      juros, 
            desconto:   desconto, 
            multa:      multa, 
            total:      total, 
            forma:      forma, 
            parceiro:   pessoa, 
            obs:        obs,
            excluido:   excluido,
            contacusto: contacusto, 
            centrocusto: centrocusto,
            func:       func
        },
        beforeSend: function()
        {
            $('#btnSalvar').prop('disabled',true);
            $('#btnSalvar2').prop('disabled',true);
        },
        complete: function()
        {
            $('#btnSalvar').prop('disabled',false);
            $('#btnSalvar2').prop('disabled',false);
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            
            var ano = $('#cbAno').val();
            var mes = $('#cbMes').val();
            var status = $('#cbStatusPesq').val();
            var palavra = $('#txtBusca').val();
            if(ano=='')
            {
                MensagemBox( 'erro','','Ano inválido!', 2000, 'Ok');
            }
            else
            {
                PesquisarMovimento(ano, mes, status, palavra);
            }
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirMovimento(idprof, unidade)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-servico",
        method: 'post',
        data:
        {
            id: idprof
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            PesquisarServico(unidade);

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}


function PesquisarContaFinMov()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-carrega-conta-mov",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbContafin').empty();
            $('#cbContafin').append('<option value="">Carregando...</option>');
            $('#cbContafin').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbContafin').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbContafin').empty();
                $('#cbContafin').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbContafin').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}



function PesquisarPessoaMov(nome)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-carrega-pessoa-mov",
        method: 'post',
        data:
        {
           pessoa: ''      //Pessoa física e jurídica
        },
        beforeSend: function()
        {
            $('#cbPessoa').empty();
            $('#cbPessoa').append('<option value="">Carregando...</option>');
            $('#cbPessoa').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbPessoa').prop('disabled',false);
        },
        success: function(data)
        {
            
            if(data.consulta.length > 0)
            {
                $('#cbPessoa').empty();
                $('#cbPessoa').append('<option value="">Selecione...</option>');
                var pessoa = '';
                console.log(data);
                data.consulta.forEach(item =>
                {
                    if(item.tipo=='F')
                    {
                        pessoa = '(FORNEC.) ';
                    }
                    else 
                    {
                        pessoa = '';
                    }
                    $('#cbPessoa').append('<option value="' + item.id + '">' + pessoa  +  item.nome + '</option>');
                });

                var nome = $('#txtNomeFornec').val();

                //console.log('nome: ' + nome);
                if(nome!='')
                {
                    posicionaFornecPeloNome(nome);
                }
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function posicionaFornecPeloNome(nome)
{
    var text = nome;
    text = '(FORNEC.) ' + text.toUpperCase();
    var select = document.querySelector('#cbPessoa');
    for (var i = 0; i < select.options.length; i++) {
        if (select.options[i].text === text) {
            select.selectedIndex = i;
            break;
        }
    }
}

function calcula()
{
 //document.getElementById("status").innerHTML="UP";
    var valor = $('#txtValor').val();
    var juros = $('#txtJuros').val();
    var multa = $('#txtMulta').val();
    var desconto = $('#txtDesconto').val();
    var total = $('#txtTotal').val();
    if(valor==''){valor='0';}
    if(juros==''){juros='0';}
    if(multa==''){multa='0';}
    if(desconto==''){desconto='0';}
    if(total==''){total='0';}
    var valorn = valor.replace(',','.');
    var jurosn = juros.replace(',','.');
    var multan = multa.replace(',','.');
    var desconton = desconto.replace(',','.');

    //let result = text.replace("Microsoft", "W3Schools");
    
        
    $('#txtTotal').val(parseFloat(valorn) + parseFloat(jurosn) + parseFloat(multan) - parseFloat(desconton));
}

/* 
$('#txtDescricao').keyup(function(event)
{
    var texto = $('#txtDescricao').val();

    texto = texto.toUpperCase();
    $('#txtDescricao').val(texto);

}); */


function PesquisarCentroCusto()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-carrega-centro-custo",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbCCusto').empty();
            $('#cbCCusto').append('<option value="">Carregando...</option>');
            $('#cbCCusto').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbCCusto').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbCCusto').empty();
                $('#cbCCusto').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbCCusto').append('<option value="' + item.id + '">' + item.grupo + ' - ' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function PesquisarContaCusto(tipo, idcontacusto)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-carrega-conta-custo",
        method: 'post',
        data:
        {
           tipo: tipo
        },
        beforeSend: function()
        {
            $('#cbConta').empty();
            $('#cbConta').append('<option value="">Carregando...</option>');
            $('#cbConta').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbConta').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbConta').empty();
                $('#cbConta').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbConta').append('<option value="' + item.id + '">' + item.conta + ' - ' + item.subconta + '</option>');
                });

                if(idcontacusto!='')
                {
                    $('#cbConta').val(idcontacusto);
                }
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function PesquisarFunc()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-carrega-func-mov",
        method: 'post',
        data:
        {
           pessoa: ''      //Pessoa física e jurídica
        },
        beforeSend: function()
        {
            $('#cbFunc').empty();
            $('#cbFunc').append('<option value="">Carregando...</option>');
            $('#cbFunc').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbFunc').prop('disabled',false);
        },
        success: function(data)
        {
            
            if(data.consulta.length > 0)
            {
                $('#cbFunc').empty();
                $('#cbFunc').append('<option value="">Selecione...</option>');
                var ativo = '';
                //console.log(data);
                data.consulta.forEach(item =>
                {
                    if(item.ativo=='0')
                    {
                        ativo = ' *** (INATIVO) ';
                    }
                    else 
                    {
                        ativo = '';
                    }
                    $('#cbFunc').append('<option value="' + item.id + '">' + item.nome + ativo  + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


