$(document).ready(function()
{
    var cliente = $('#hdnCliente').attr('data');

    if(cliente == null){cliente='0';}

    //Verifica variáveis da data
    var data = new Date();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();

    $('#lblPatio').append('<span>000</span>');
    $('#lblAgendado').append('<span>000</span>');

    //$('#titulo-evento').append('<span><b>' + ano + '</b></span>');


    //PesquisaQtdePatio(cliente);
    //PesquisaQtdeChamados(cliente);
    //PesquisaQtdeAgendado(cliente);
    //PesquisaQtdeInspecao(cliente);
    //PesquisaQtdeInspecaoOk(cliente);
    
    //PesquisaQtdeEnviado();
    //PesquisaSumarioCliente(cliente);
    //PesquisaPatio();
    //PesquisaQtdeTipoOperacao(cliente, 'C');
    //PesquisaQtdeTipoOperacao(cliente, 'D');
    
    carregaGraficoBarras(ano);

    //$('#lblLimpeza').append('<span>0</span>');
    //$('#lblLimpezaok').append('<span style="color: #green;">0</span>');
    

});


function PesquisaSumarioCliente(cliente)
{
    $.ajaxSetup({headers:{'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}});

    $.ajax(
    {
        url: "ajax-sumario-cliente",
        method: 'post',
        data:
        {
            cliente: cliente
        },
        beforeSend: function()
        {
            $('#tabSumario').empty();
            $("#tabSumario").append('<p style="color: #d9d9d9;">Carregando dados...</p>');

        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            $('#tabSumario').empty();

            if(data.consulta != null && data.consulta.length > 0)
            {
                
                var table = '';

                data.consulta.forEach(item =>
                {
                    var operacao = item.operacao;
                    if(operacao=='C')
                    {
                        operacao = 'para Carregar';
                    }
                    else if(operacao=='D')
                    {
                        operacao = 'para Descarregar';
                    }
                    else 
                    {
                        operacao = '';
                    }
                    
                    
                    var linha = '<p class="card-text" style="font-size: 12px;"><i class="fas fa-home fa-lg"></i>&nbsp;<b>' + item.cliente + '</b>&nbsp;&nbsp;&nbsp;<i class="fas fa-truck"></i>&nbsp;Total Veículos ' + operacao + ': ' + item.qtde + ' - <i class="fas fa-box"></i>&nbsp;Qtde: ' + parseInt(item.total) + ' ton</p>';
                    
                    //console.log(linha);
                    table += linha;
                });

                $("#tabSumario").append(table);
            }
            else
            {
                $("#tabSumario").append('<p class="card-text" style="color: #d9d9d9;"><i class="fas fa-exclamation-triangle" style="color: #ff0000;"></i> Não há nenhum veículo!</p>');
            }
        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function PesquisaPatio()
{
    $.ajaxSetup({headers:{'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}});

    $.ajax(
    {
        url: "ajax-pesquisa-patio",
        method: 'post',
        data:
        {
            
        },
        beforeSend: function()
        {
            $('#tabPatio').empty();
            $("#tabPatio").append('<p style="color: #d9d9d9;">Carregando dados...</p>');

            console.log('iniciou a pesquisa...');

        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            console.log('concluiu a pesquisa...');

            $('#tabPatio').empty();

            //if(data.consulta != null && data.consulta.length > 0)
            if(data.consulta.length > 0)
            {
               console.log(data);

                var index = 0;
                var qtde = 0;
                var table = '';
                var marca = '';

                var hoje = new Date();
                var dia = hoje.getDate();
                var mes = hoje.getMonth() + 1;
                var ano = hoje.getFullYear();
                var hora = hoje.getHours();
                var minuto = hoje.getMinutes();
                if(dia<10)
                {
                    dia='0'+dia;
                }
                if(mes<10)
                {
                    mes='0'+mes;
                }
                if(hora<10)
                {
                    hora='0'+hora;
                }
                if(minuto<10)
                {
                    minuto='0'+minuto;
                }
                
                
                var agora = ano + mes  + dia;  //+ ' ' + hora + ':' + minuto;
                //agora = new Date(agora);

                data.consulta.forEach(item =>
                {
                    index++;

                    //var strData = item.dataentrada;
                    var icone = ''
                    

                    /* if(parseInt(agora) > parseInt(strData))
                    {
                        icone = '<i class="fas fa-truck" style ="color: #ff0000;"></i>';        //icone vermelho
                    }
                    else if(parseInt(agora) == parseInt(strData))
                    {
                        icone = '<i class="fas fa-truck fa-lg" style ="color: #006600;"></i>';  //icone verde
                    }
                    else if(parseInt(agora) < parseInt(strData))                                //icone azul claro
                    {
                        icone = '<i class="fas fa-truck" style ="color: #0099ff;"></i>';
                    } */

                    if(item.foichamado=='1')
                    {
                        icone = '<i class="fas fa-truck fa-lg"></i> <i class="fas fa-bullhorn fa-lg" style ="color: #ff0000;"></i>';
                    }
                    else 
                    {
                        icone = '<i class="fas fa-truck fa-lg"></i> ';
                    }
                    if(item.avulso=='1')
                    {
                        icone = '<i class="fas fa-truck-moving fa-lg" style="color: #ff9900;"></i> ';
                    }

                    var icovira ='<i class="fas fa-redo fa-lg" style="color: #ffcc00";></i>';

                    if(item.vira=='1')
                    {
                        icone = icovira;
                    }

                    var tipocarga = item.tipocarga;
                    if(tipocarga=='GR'){tipocarga = 'GRANEL';}
                    else if(tipocarga=='TQ'){tipocarga = 'TANQUE';}
                    else if(tipocarga=='CS'){tipocarga = 'CARGA SOLTA';}
                    else if(tipocarga=='BG'){tipocarga = 'BIG BAG';}
                    else if(tipocarga=='SA'){tipocarga = 'SACARIA';}

                    var statusinsp = item.status_inspecao;
                    if(statusinsp=='PENDENTE')
                    {
                        statusinsp = '&nbsp;&nbsp;<span class="badge badge-info estilobag" title="inspeção pendente."><i class="far fa-star fa-lg"></i> INSPEÇÃO PENDENTE</span>';
                    }
                    else if(statusinsp=='APROVADO')
                    {
                        statusinsp = '&nbsp;&nbsp;<span class="badge badge-success estilobag" title="inspeção aprovada."><i class="far fa-star fa-lg"></i> INSPEÇÃO APROVADA</span>';
                    }
                    else if(statusinsp=='REPROVADO')
                    {
                        statusinsp = '&nbsp;&nbsp;<span class="badge badge-danger estilobag" title="inspeção reprovada."><i class="far fa-square fa-lg"></i> INSPEÇÃO REPROVADA</span>';
                    }
                    else   
                    {
                        statusinsp = ''
                    }

                    var operacao = '';
                    if(item.operacao=='C')
                    {
                        operacao = 'CARREGAMENTO';
                    }
                    else if(item.operacao=='D')
                    {
                        operacao = 'DESCARREGAMENTO';
                    }


                    var lock = item.bloqueio;
                    if(lock=='1')
                    {
                        lock = '&nbsp;&nbsp;<span class="badge badge-danger estilobag" title="veículo bloqueado. ' + item.motivo + '"><i class="fas fa-lock fa-lg"></i> BLOQUEADO</span>';
                        //lock = '&nbsp;&nbsp;<span style="color: #ff0000;" title="veículo bloqueado. ' + item.motivo + '"></span> <span class="badge badge-danger estilobag"><i class="fas fa-lock fa-lg"></i> BLOQUEADO</span>';
                    }
                    else 
                    {
                        lock = '';
                    }

                    var prior = item.prioridade;
                    if(prior=='1')
                    {
                        prior = '&nbsp;&nbsp;<span class="badge badge-success estilobag" title="veículo com prioridade na limpeza."><i class="far fa-star fa-lg"></i> PRIORIDADE</span>';
                        //lock = '&nbsp;&nbsp;<span style="color: #ff0000;" title="veículo bloqueado. ' + item.motivo + '"></span> <span class="badge badge-danger estilobag"><i class="fas fa-lock fa-lg"></i> BLOQUEADO</span>';
                    }
                    else 
                    {
                        prior = '';
                    }

                    var ocorrencia = item.qtde_ocorr;
                    if(ocorrencia!='0')
                    {
                        ocorrencia = '&nbsp;&nbsp;<span style="color: #0066ff;" title="a estadia possui ' + item.qtde_ocorr + ' ocorrências"><i class="far fa-comment-dots fa-lg"></i> (' + item.qtde_ocorr + ')</span>';
                    }
                    else 
                    {
                        ocorrencia = '';
                    }


                    var linha = '<p class="card-text" style="font-size: 12px;">' + icone + '<b> ' + item.placa + ' - ' + item.placa_carreta  + ' - ' + item.tipoveiculo + ' - ' + tipocarga +  ' - <i class="fas fa-clock"></i> ' + item.dataprev + ' ' + item.horaprev + ' - <i class="fas fa-user"></i> ' + item.motorista + '</b><br><i class="fas fa-truck-loading"></i> ' + item.cliente + ' - Destino: ' + item.destino + ' - Produto: ' + item.produto + ' - Qtde (ton): ' + item.qtde + ' - Transp: ' + item.transportador + ' - ' + operacao + ' ' + lock + prior + ocorrencia + statusinsp + '</p>';
                    
                    qtde = qtde +1;
                    table += linha;
                });

                var linha = '<p class="card-text" style="font-size: 10px;">Qtde: ' + qtde + ' veículos</p>';
                table += linha;

                $("#tabPatio").append(table);
            }
            else
            {
                $("#tabPatio").append('<p class="card-text" style="color: #d9d9d9;"><i class="fas fa-exclamation-triangle" style="color: #ff0000;"></i> Não há nenhum veículo!</p>');
            }
        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function buscaDadosTarefaAfazer(unidade, usuario, etapa)
{
    $.ajaxSetup({headers:{'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}});

    $.ajax(
    {
        url: "ajax-busca-tarefa",
        method: 'post',
        data:
        {
            usuario: usuario,
            unidade: unidade,
            status: status,
            etapa: etapa
        },
        beforeSend: function()
        {
            $('#tabFazer').empty();
            $("#tabFazer").append('<p style="color: #d9d9d9;">Carregando dados...</p>');

        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            $('#tabFazer').empty();

            

            if(data.consulta != null && data.consulta.length > 0)
            {
                //<p class="card-text"><i class="fas fa-thumbtack"></i> Some quick example text to build on the card title and make up the bulk of the card's content.</p>                

                var index = 0;

                var table = '';

                data.consulta.forEach(item =>
                {
                    index++;

                    //console.log('index ' + item.titulo );
                    var linha = '<p class="card-text"><i class="fas fa-thumbtack"></i><b> ' + item.previsao + ' - ' + item.titulo + '</b><br>' + item.titulo + '</p>';
                    
                    table += linha;
                });

                $("#tabFazer").append(table);
            }
            else
            {
                $("#tabFazer").append('<p class="card-text" style="color: #d9d9d9;"><i class="fas fa-exclamation-triangle" style="color: #ff0000;"></i> Nenhuma tarefa à fazer!</p>');
            }
        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function buscaDadosTarefaFazendo(unidade, usuario, etapa)
{
    $.ajaxSetup({headers:{'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}});

    $.ajax(
    {
        url: "ajax-busca-tarefa",
        method: 'post',
        data:
        {
            usuario: usuario,
            unidade: unidade,
            status: status,
            etapa: etapa
        },
        beforeSend: function()
        {
            $('#tabFazendo').empty();
            $("#tabFazendo").append('<p style="color: #d9d9d9;">Carregando dados...</p>');

        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            $('#tabFazendo').empty();

            //console.log('dados: ' + data.consulta);

            if(data.consulta != null && data.consulta.length > 0)
            {
                //<p class="card-text"><i class="fas fa-thumbtack"></i> Some quick example text to build on the card title and make up the bulk of the card's content.</p>                

                var index = 0;

                var table = '';

                data.consulta.forEach(item =>
                {
                    index++;

                    var linha = '<p class="card-text"><i class="fas fa-thumbtack"></i><b> ' + item.previsao + ' - ' + item.titulo + '</b><br>' + item.descricao + '</p>';
                    
                    table += linha;
                });

                $("#tabFazendo").append(table);
            }
            else
            {
                $("#tabFazendo").append('<p class="card-text" style="color: #d9d9d9;"><i class="fas fa-exclamation-triangle"  style="color: #ff0000;"></i> Nenhuma tarefa fazendo!</p>');
            }
        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function carregaGraficoBarras(ano)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-charts-dados-grafico",
        method: 'get',
        data:
        {
            //unidade: unidade,
            ano:     ano
        },
        success: function(data)
        {
            //ConstroiChartsMes(data.consulta);
            data.consulta.forEach(item =>
                {
                    var jan = item.janeiro;
                    var fev = item.fevereiro;
                    var mar = item.marco;
                    var abr = item.abril;
                    var mai = item.maio;
                    var jun = item.junho;
                    var jul = item.julho;
                    var ago = item.agosto;
                    var sep = item.setembro;
                    var oct = item.outubro;
                    var nov = item.novembro;
                    var dez = item.dezembro;
                    
                    //console.log('dados: ' + ' ' + jan + ' ' + fev + ' ' + mar + ' ' + abr + ' ' + mai + ' ' + jun + ' ' + jul + ' ' + ago + ' ' + sep + ' ' + oct + ' ' + nov + ' ' + dez);
                    
                    //Passa os parâmetros para construir o gráfico
                    drawChart(ano, jan, fev, mar, abr, mai, jun, jul, ago, sep, oct, nov, dez);
                });
        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


/*  function PesquisaClasseDoUsuario()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-classe",
        method: 'post',
        data:
        {
            usuario: $('#txtIdUsuario').attr('data')
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {

        },
        success: function(data)
        {
            //console.log(data);
            if(data.consulta != null)
            {
                                
                data.consulta.forEach(item =>
                {
                    //console.log(item.codigo);

                    if(item.codigo=='CLI' || item.codigo=='TRANS')
                    {
                        $('#botoes_dash').prop('hidden',true);
                    }
                    else
                    {
                        $('#botoes_dash').prop('hidden',false);
                    }

                    /* if(item.codigo=='TRANS')
                    {
                        $('#botoes_dash').prop('hidden',true);
                    } */
       /*          })

            }
            else
            {
                MensagemBox('alerta','Permissão','Classe do usuário não encontrada!');

                //$('#botoes_dash').prop('hidden',true);

            }
        },
        error:function(error)
        {
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
} */



function PesquisaQtdeChamados(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-qtde-chamado",
        method: 'post',
        data:
        {
            cliente:  cliente
        },
        beforeSend: function()
        {
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Carregando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            data.consulta.forEach(item =>
            {
                //if(item.qtde!='')
                //{
                    $('#lblChamado').append('<span>' + item.qtde + '</span>');
                //}
               
            });

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function PesquisaQtdePatio(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-qtde-patio",
        method: 'post',
        data:
        {
            cliente:  cliente
        },
        beforeSend: function()
        {
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Carregando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            data.consulta.forEach(item =>
            {
                //console.log('dados: ' + item.qtde);
                //if(item.qtde!='')
                //{
                    $('#lblPatio').append('<span>' + item.qtde + '</span>');
                //}
               
            });

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function PesquisaQtdeAgendado(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-qtde-agendado",
        method: 'post',
        data:
        {
            cliente:  cliente
        },
        beforeSend: function()
        {
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Carregando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            data.consulta.forEach(item =>
            {
                //if(item.qtde!='')
                //{
                    $('#lblAgendado').append('<span>' + item.qtde + '</span>');
                //}
               
            });

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function PesquisaQtdeEnviado()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-qtde-enviado",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Carregando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            data.consulta.forEach(item =>
            {
                //if(item.qtde!='')
                //{
                    $('#lblEnviado').append('<span>' + item.qtde + '</span>');
                //}
               
            });

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



var chart;
$(function () {
    drawChart('');
})

function drawChart(titleJava, v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11, v12) {
    chart = new Highcharts.Chart({
        chart: {
            zoomType: 'xy',
            renderTo: 'chartContainer',
            plotBorderColor: '#ebebe0',
            backgroundColor: 'transparent',
            plotBorderWidth: 1
        },
        title: {
            text: titleJava
        },
        credits: {
            enabled: false
        },
        xAxis: {
            //type: 'categories'
            categories: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez']
        },
        plotOptions: {
            series: {
                grouping: false

            }
        },
        yAxis: { // Primary yAxis
            labels: {
                format: '{value}',
                style: {
                    color: Highcharts.getOptions().colors[1]
                }
            },
            title: {
                text: 'Qtde',
                style: {
                    color: Highcharts.getOptions().colors[1]
                }
            }
        },
        tooltip: {
            shared: false
        },
        options3d: {
            enabled: true
        },
        series: [{
            "data": [
            {
                "name": "Jan",
                "color": "#009900",
                    "y": JSON.parse(v1)
            }, 
            {
                "name": "Fev",
                "color": "#009900",
                    "y": JSON.parse(v2)
            }, 
            {

                "name": "Mar",
                "color": "#009900",
                    "y": JSON.parse(v3)
            },
            {
                "name": "Abr",
                "color": "#009900",
                    "y": JSON.parse(v4)
            },
            {
                "name": "Mai",
                "color": "#009900",
                    "y": JSON.parse(v5)
            },
            {
                "name": "Jun",
                "color": "#009900",
                    "y": JSON.parse(v6)
            },
            {
                "name": "Jul",
                "color": "#009900",
                    "y": JSON.parse(v7)
            },
            {
                "name": "Ago",
                "color": "#009900",
                    "y": JSON.parse(v8)
            },
            {
                "name": "Set",
                "color": "#009900",
                    "y": JSON.parse(v9)
            },
            {
                "name": "Out",
                "color": "#009900",
                    "y": JSON.parse(v10)
            },
            {
                "name": "Nov",
                "color": "#009900",
                    "y": JSON.parse(v11)
            },
            {
                "name": "Dez",
                "color": "#009900",
                    "y": JSON.parse(v12)
            }
        
            ],
                "name": "Qtde de Estadias",
                "color": "#009900",
                "type": "column"
        }]
    });
}

function categories() {
    chart.xAxis[0].setCategories(['One', 'Two', 'Three']);
}

function clearChart() {
    alert(chart.series.length);
    while (chart.series.length > 0)
    chart.series[0].remove(true);
}


function PesquisaQtdeTipoOperacao(cliente, tipooperacao)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-qtde-tipo-operacao",
        method: 'post',
        data:
        {
            cliente:  cliente,
            tipooperacao: tipooperacao
        },
        beforeSend: function()
        {
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Carregando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            data.consulta.forEach(item =>
            {
                if(tipooperacao=='C')
                {
                    $('#lblCarga').append('<span>' + item.qtde + '</span>');
                }
                else 
                {
                    $('#lblDescarga').append('<span>' + item.qtde + '</span>');
                }
               
            });

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function PesquisaQtdeInspecao(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-qtde-inspecao",
        method: 'post',
        data:
        {
            cliente:  cliente
        },
        beforeSend: function()
        {
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Carregando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            data.consulta.forEach(item =>
            {
                //if(item.qtde!='')
                //{
                    $('#lblLimpeza').append('<span>' + item.qtde + '</span>');
                    //$('#lblLimpezaok').append('<span style="color: #green;">0</span>');
                //}
               
            });

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function PesquisaQtdeInspecaoOk(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-qtde-inspecao-ok",
        method: 'post',
        data:
        {
            cliente:  cliente
        },
        beforeSend: function()
        {
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Carregando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            data.consulta.forEach(item =>
            {
                //if(item.qtde!='')
                //{
                    //$('#lblLimpeza').append('<span>' + item.qtde + '</span>');
                    $('#lblLimpezaok').append('<span>' + item.qtde + '</span>');
                //}
               
            });

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}
