$(document).ready(function()
{
    //var usuario = $('#hdnUsuario').attr('data');
    //var unidade = $('#hdnUnidade').attr('data');
    //carrega dados da agenda do usuário logado
    //console.log('unidade: ' + unidade);
    //console.log('usuario: ' + usuario);

    PesquisaQtdePendente();
    PesquisaQtdeConfirmado();
    carregaGraficoBarras2(2021);
    PesquisaSumarioProcedimento(2021);
    buscaDadosIndicados();
    //buscaDadosTarefaAfazer(unidade, usuario,'A');
    //buscaDadosTarefaFazendo(unidade, usuario,'F');  
    
});


function PesquisaSumarioProcedimento(ano)
{
    $.ajaxSetup({headers:{'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}});

    $.ajax(
    {
        url: "ajax-sumario-procedimento",
        method: 'post',
        data:
        {
            //unidade:    unidade,
            ano:        ano
        },
        beforeSend: function()
        {
            $('#tabSumario').empty();
            $("#tabSumario").append('<p style="color: #d9d9d9;">Carregando dados...</p>');

        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            $('#tabSumario').empty();

            if(data.consulta != null && data.consulta.length > 0)
            {
                
                var table = '';

                data.consulta.forEach(item =>
                {
                   
                    var linha = '<p class="card-text" style="font-size: 12px;"><i class="fas fa-lightbulb"></i>&nbsp;' + item.servico + '   ( # ' + item.qtde + ' )</p>';
                    
                    console.log(linha);
                    table += linha;
                });

                $("#tabSumario").append(table);
            }
            else
            {
                $("#tabSumario").append('<p class="card-text" style="color: #d9d9d9;"><i class="fas fa-exclamation-triangle" style="color: #ff0000;"></i> Não há nenhuma agenda para você!</p>');
            }
        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function buscaDadosIndicados()
{
    $.ajaxSetup({headers:{'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}});

    $.ajax(
    {
        url: "ajax-lista-indicados",
        method: 'post',
        data:
        {

        },
        beforeSend: function()
        {
            $('#tabIndicado').empty();
            $("#tabIndicado").append('<p style="color: #d9d9d9;">Carregando dados...</p>');

        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            $('#tabIndicado').empty();

            if(data.consulta != null && data.consulta.length > 0)
            {
               
                var index = 0;
                var qtde = 0;
                var table = '';
                //var marca = '';

               /*  var hoje = new Date();
                var dia = hoje.getDate();
                var mes = hoje.getMonth() + 1;
                var ano = hoje.getFullYear();
                var hora = hoje.getHours();
                var minuto = hoje.getMinutes();
                if(dia<10)
                {
                    dia='0'+dia;
                }
                if(mes<10)
                {
                    mes='0'+mes;
                }
                if(hora<10)
                {
                    hora='0'+hora;
                }
                if(minuto<10)
                {
                    minuto='0'+minuto;
                } */
                
                
                //var agora = ano + mes  + dia;  //+ ' ' + hora + ':' + minuto;
                
                data.consulta.forEach(item =>
                {
                    index++;

                    //var strData = item.datai;
                    var icone = ''
                    var status = item.status;

                    if(status=='PENDENTE')
                    {
                        icone = '<i class="fas fa-home fa-lg" style ="color: #ff751a;"></i>';            //icone laranja
                    }
                    else if(status=='REALIZADO')
                    {
                        icone = '<i class="fas fa-home fa-lg" style ="color: #006600;"></i>';      //icone verde
                    }
                    else if(status=='FINALIZADO')                                                    //icone azul claro
                    {
                        icone = '<i class="fas fa-home fa-lg" style ="color: #0099ff;"></i>';
                    }
                    else if(status=='CANCELADO')                                                     //icone azul vermelho
                    {
                        icone = '<i class="fas fa-times fa-lg" style ="color: #ff0000;"></i>';
                    }

                    var linha = '<p class="card-text" style="font-size: 12px;">' + icone + '<b> ' + item.nome + '</b><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Início: ' + item.data_contrato  + ' - Término: ' + item.data_termino  +  '<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Celular: ' + item.celular + '<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;e-Mail: ' + item.email + '</p>';
                    
                    //console.log(linha);

                    qtde = qtde +1;
                    table += linha;
                });

                
                var linha = '<p class="card-text" style="font-size: 10px;">Qtde: ' + qtde + '</p>';
                table += linha;

                var legenda = '<p class="card-text" style="font-size: 10px;"><b>Legenda:<br>&nbsp;</b><i class="fas fa-home" style ="color: #ff751a;"></i>&nbsp;Pendentes&nbsp;&nbsp;<i class="fas fa-home" style ="color: #006600;"></i>&nbsp;Efetivados&nbsp;&nbsp;<i class="fas fa-home" style ="color: #0099ff;"></i>&nbsp;Finalizados&nbsp;&nbsp;<i class="fas fa-times" style ="color: #ff0000;"></i> Cancelados</p>'
                table += legenda;

                $("#tabIndicado").append(table);
            }
            else
            {
                $("#tabIndicado").append('<p class="card-text" style="color: #d9d9d9;"><i class="fas fa-exclamation-triangle" style="color: #ff0000;"></i> Não há nenhuma agenda para você!</p>');
            }
        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function buscaDadosTarefaAfazer(unidade, usuario, etapa)
{
    $.ajaxSetup({headers:{'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}});

    $.ajax(
    {
        url: "ajax-busca-tarefa",
        method: 'post',
        data:
        {
            usuario: usuario,
            unidade: unidade,
            status: status,
            etapa: etapa
        },
        beforeSend: function()
        {
            $('#tabFazer').empty();
            $("#tabFazer").append('<p style="color: #d9d9d9;">Carregando dados...</p>');

        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            $('#tabFazer').empty();

            

            if(data.consulta != null && data.consulta.length > 0)
            {
                //<p class="card-text"><i class="fas fa-thumbtack"></i> Some quick example text to build on the card title and make up the bulk of the card's content.</p>                

                var index = 0;

                var table = '';

                data.consulta.forEach(item =>
                {
                    index++;

                    //console.log('index ' + item.titulo );
                    var linha = '<p class="card-text"><i class="fas fa-thumbtack"></i><b> ' + item.previsao + ' - ' + item.titulo + '</b><br>' + item.titulo + '</p>';
                    
                    table += linha;
                });

                $("#tabFazer").append(table);
            }
            else
            {
                $("#tabFazer").append('<p class="card-text" style="color: #d9d9d9;"><i class="fas fa-exclamation-triangle" style="color: #ff0000;"></i> Nenhuma tarefa à fazer!</p>');
            }
        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function buscaDadosTarefaFazendo(unidade, usuario, etapa)
{
    $.ajaxSetup({headers:{'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}});

    $.ajax(
    {
        url: "ajax-busca-tarefa",
        method: 'post',
        data:
        {
            usuario: usuario,
            unidade: unidade,
            status: status,
            etapa: etapa
        },
        beforeSend: function()
        {
            $('#tabFazendo').empty();
            $("#tabFazendo").append('<p style="color: #d9d9d9;">Carregando dados...</p>');

        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            $('#tabFazendo').empty();

            //console.log('dados: ' + data.consulta);

            if(data.consulta != null && data.consulta.length > 0)
            {
                //<p class="card-text"><i class="fas fa-thumbtack"></i> Some quick example text to build on the card title and make up the bulk of the card's content.</p>                

                var index = 0;

                var table = '';

                data.consulta.forEach(item =>
                {
                    index++;

                    var linha = '<p class="card-text"><i class="fas fa-thumbtack"></i><b> ' + item.previsao + ' - ' + item.titulo + '</b><br>' + item.descricao + '</p>';
                    
                    table += linha;
                });

                $("#tabFazendo").append(table);
            }
            else
            {
                $("#tabFazendo").append('<p class="card-text" style="color: #d9d9d9;"><i class="fas fa-exclamation-triangle"  style="color: #ff0000;"></i> Nenhuma tarefa fazendo!</p>');
            }
        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function carregaGraficoBarras2(ano)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-charts-dados-grafico-clientes",
        method: 'get',
        data:
        {
            //unidade: unidade,
            ano:     ano
        },
        success: function(data)
        {
            //ConstroiChartsMes(data.consulta);
            data.consulta.forEach(item =>
                {
                    var jan = item.janeiro;
                    var fev = item.fevereiro;
                    var mar = item.marco;
                    var abr = item.abril;
                    var mai = item.maio;
                    var jun = item.junho;
                    var jul = item.julho;
                    var ago = item.agosto;
                    var sep = item.setembro;
                    var oct = item.outubro;
                    var nov = item.novembro;
                    var dez = item.dezembro;
                    
                    //console.log('dados: ' + ' ' + jan + ' ' + fev + ' ' + mar + ' ' + abr + ' ' + mai + ' ' + jun + ' ' + jul + ' ' + ago + ' ' + sep + ' ' + oct + ' ' + nov + ' ' + dez);
                    
                    //Passa os parâmetros para construir o gráfico
                    drawChart2(ano, jan, fev, mar, abr, mai, jun, jul, ago, sep, oct, nov, dez);
                });
        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


/*  function PesquisaClasseDoUsuario()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-classe",
        method: 'post',
        data:
        {
            usuario: $('#txtIdUsuario').attr('data')
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {

        },
        success: function(data)
        {
            //console.log(data);
            if(data.consulta != null)
            {
                                
                data.consulta.forEach(item =>
                {
                    //console.log(item.codigo);

                    if(item.codigo=='CLI' || item.codigo=='TRANS')
                    {
                        $('#botoes_dash').prop('hidden',true);
                    }
                    else
                    {
                        $('#botoes_dash').prop('hidden',false);
                    }

                    /* if(item.codigo=='TRANS')
                    {
                        $('#botoes_dash').prop('hidden',true);
                    } */
       /*          })

            }
            else
            {
                MensagemBox('alerta','Permissão','Classe do usuário não encontrada!');

                //$('#botoes_dash').prop('hidden',true);

            }
        },
        error:function(error)
        {
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
} */



function PesquisaQtdePendente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-qtde-pendentes",
        method: 'post',
        data:
        {
            //unidade:  unidade
        },
        beforeSend: function()
        {
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Carregando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            data.consulta.forEach(item =>
            {
                //if(item.qtde!='')
                //{
                    $('#lblPessoas').append('<span>' + item.qtde + '</span>');
                //}
               
            });

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function PesquisaQtdeConfirmado()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-qtde-confirmado",
        method: 'post',
        data:
        {
            //unidade:  unidade
        },
        beforeSend: function()
        {
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Carregando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            data.consulta.forEach(item =>
            {
                //console.log('dados: ' + item.qtde);
                //if(item.qtde!='')
                //{
                    $('#lblPedidos').append('<span>' + item.qtde + '</span>');
                //}
               
            });

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


var chart;
$(function () {
    drawChart2('');
})

function drawChart2(titleJava, v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11, v12) {
    chart = new Highcharts.Chart({
        chart: {
            zoomType: 'xy',
            renderTo: 'chartContainer',
            plotBorderColor: '#ebebe0',
            backgroundColor: 'transparent',
            plotBorderWidth: 1
        },
        title: {
            text: titleJava
        },
        credits: {
            enabled: false
        },
        xAxis: {
            //type: 'categories'
            categories: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez']
        },
        plotOptions: {
            series: {
                grouping: false

            }
        },
        yAxis: { // Primary yAxis
            labels: {
                format: '{value}',
                style: {
                    color: Highcharts.getOptions().colors[1]
                }
            },
            title: {
                text: 'Qtde',
                style: {
                    color: Highcharts.getOptions().colors[1]
                }
            }
        },
        tooltip: {
            shared: false
        },
        options3d: {
            enabled: true
        },
        series: [{
            "data": [
            {
                "name": "Jan",
                "color": "#009900",
                    "y": JSON.parse(v1)
            }, 
            {
                "name": "Fev",
                "color": "#009900",
                    "y": JSON.parse(v2)
            }, 
            {

                "name": "Mar",
                "color": "#009900",
                    "y": JSON.parse(v3)
            },
            {
                "name": "Abr",
                "color": "#009900",
                    "y": JSON.parse(v4)
            },
            {
                "name": "Mai",
                "color": "#009900",
                    "y": JSON.parse(v5)
            },
            {
                "name": "Jun",
                "color": "#009900",
                    "y": JSON.parse(v6)
            },
            {
                "name": "Jul",
                "color": "#009900",
                    "y": JSON.parse(v7)
            },
            {
                "name": "Ago",
                "color": "#009900",
                    "y": JSON.parse(v8)
            },
            {
                "name": "Set",
                "color": "#009900",
                    "y": JSON.parse(v9)
            },
            {
                "name": "Out",
                "color": "#009900",
                    "y": JSON.parse(v10)
            },
            {
                "name": "Nov",
                "color": "#009900",
                    "y": JSON.parse(v11)
            },
            {
                "name": "Dez",
                "color": "#009900",
                    "y": JSON.parse(v12)
            }
        
            ],
                "name": "Clientes/Mês",
                "color": "#009900",
                "type": "column"
        }]
    });
}

function categories() {
    chart.xAxis[0].setCategories(['One', 'Two', 'Three']);
}

function clearChart() {
    alert(chart.series.length);
    while (chart.series.length > 0)
    chart.series[0].remove(true);
}
