$(document).ready(function()
{
    //ListarCliente();
    LimparCampos();
    PesquisarProduto();
});

$('#btnNovo').click(function()
{
/*     var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
     }
 */
    LimparCampos();

    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    $('#btnExcluir').hide();

});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

/* $('#cbClientePesq').change(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        PesquisarProduto(cliente);
    }
}); */

$('#btnPesquisar').click(function()
{
/*     var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        PesquisarProduto(cliente);
    }
 */
    PesquisarProduto();
});

$('#btnSalvar').click(function()
{
    var grava       = 1;
    var idproduto   = $('#hdnId').attr('data');
    var descricao   = $('#txtDescricao').val();
    var minerio     = '1';
    
    console.log('id: ' + idproduto + ' descricao: ' + descricao + ' minerio: ' + minerio  );

    if(descricao=='')
    {
        MensagemBox( 'erro','','Nome do produto inválido!', 2000, 'Ok');
        grava = 0;
    }


    if(grava==1)
    {
        SalvarProduto(idproduto, descricao, minerio);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

$("#tbProduto tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));
    $('#txtFormula').val($("#" + id + "_codigo").attr('data'));
   
});

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtDescricao').val('');   
    $('#txtFormula').val('');   
}

function PesquisarProduto()
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-mproduto",
        method: 'post',
        data:
        {
            minerio: '1' 
        },
        beforeSend: function()
        {
            $('#tbProduto tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-sign-out-alt"></i>&nbsp;';
                
                data.consulta.forEach(item =>
                {
                                        
                    var icodestino = '<i class="fas fa-box fa-lg"></i>&nbsp;';
                    //var icoformula = '<i class="fas fa-flask"></i>&nbsp;';
                    //var ativo = ' style="font-color: #000;"';
                    var nome = item.descricao;
                    //var peso = item.peso;

                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.descricao + '" style="font-size: 12pt;">' + icodestino + '<b>' + nome + '</b></td>'
                            
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbProduto tbody').append(linha);
                });
            }
            else
            {
                $('#tbProduto tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarProduto(idproduto, descricao, minerio)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-mproduto",
        method: 'post',
        data:
        { 
            idproduto:  idproduto, 
            descricao:  descricao,
            minerio:    minerio,
            formula:    ''
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            //var cliente = $('#cbClientePesq').val();
            PesquisarProduto();
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}




