$(document).ready(function()
{
    //$('#txtCliente').prop('disabled',true);
    //$('#txtMarca').prop('disabled',true);
    $('#txtNome').prop('disabled',true);
    $('#txtData').prop('disabled',true);
    $('#txtHora').prop('disabled',true);

    $('#cadastro').show();

    ListarCliente();
    ListarProduto();
    ListarDestino('');
    ListarTransp();
    LimparCampos();
    ListarTipo();

    $('#txtData').attr('data-toggle','datetimepicker');
    $('#txtData').attr('data-target','#txtData');
    $('#txtData').addClass("datetimepicker-input");
    $('#txtData').attr('autocomplete','off'); 

    $('#btnNovaFormula').hide();
    $('#btnLimpaFormula').show();
    $('#btnIncluirFormula').show();
    $('#cbFormula').show();
    $('#feedback-placa').hide();
    $('#feedback-motora').hide();
    $('#cbInspecao').hide();
    
    $('#btnLimpaDestino').hide();
    $('#btnIncluirDestino').hide();
    $('#btnLimpaTransp').hide();
    $('#btnIncluirTransp').hide();
    $('#txtTransp').hide();
    $('#txtDestino').hide();

    Feedback('');
    FeedbackOk('');

});

function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}

$(function () 
{
    $('#txtData').datetimepicker(
    {
        format:'D/M/YYYY'
    });
       
});

$('#cbCiffob').change(function()
{
    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var agora = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
    var data = dia + '/' + mes + '/' + ano;
    var hora = hora + ':' + minuto;

    $('#hdnDataEntrada').attr('data', agora);
    
    var tipo = $('#cbCiffob').val();
    if(tipo=='CIF')     //a base vai chamar, pega a data atual
    {
        $('#txtData').prop('disabled',true);
        $('#txtHora').prop('disabled',true);
        $('#txtData').val(data);
        $('#txtHora').val(hora);
    }
    else if(tipo=='FOB')
    {
        $('#txtData').prop('disabled',true);
        $('#txtHora').prop('disabled',true);
        $('#txtData').val(data);
        $('#txtHora').val(hora);

/*         $('#txtData').prop('disabled',false);
        $('#txtHora').prop('disabled',false);
        $('#txtData').val('');
        $('#txtHora').val(''); */
    }
    else
    {
        $('#txtData').prop('disabled',true);
        $('#txtHora').prop('disabled',true);
        $('#txtData').val('');
        $('#txtHora').val('');
    }
});

$('#btnNovo').click(function()
{
    //var cliente = $('#cbClientePesq').val();
    //if(cliente=='' || cliente=='0')
    //{
    //    MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    //}
    //else 
    //{
        LimparCampos();
        $('#btnSalvar').prop('disabled',false);
        //$('#btnNovo').prop('disabled',true);

        $('#feedback-placa').hide();
        $('#feedback-motora').hide();
    
        Feedback('');
        FeedbackOk('');
    
    //    $('#cadastro').show();
        //$('#lista').hide();
    //    $('#filtro').hide();
    //    $('#btnExcluir').hide();
    //}
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    //$('#lista').show();
    $('#filtro').hide();
});

$('#btnVoltar2').click(function()
{
    $('#cadastro').hide();
    //$('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        //MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
        alert('Cliente inválido!');
    }
    else 
    {
        PesquisarAgendado(cliente);
    }
});

$('#cbCliente').change(function()
{
    var cliente = $('#cbCliente').val();
     if(cliente!='')
    {
        //$('#cbInspecao').val(cliente);
        //var texto = $('#cbInspecao').find(":selected").text();
        //console.log('texto: ' + texto);
        BuscarCliente(cliente);
        ListarFormula(cliente);
    }
});

$('#cbProduto').change(function()
{
    var prod = $('#cbProduto').val();
     if(prod!='')
    {
        $('#cbInspecao').val(prod);
    }
});



$('#btnSalvar').click(function()
{
    SalvarDadosEstadia();
});

$('#btnSalvar2').click(function()
{
    SalvarDadosEstadia();
});

$('#btnNovoDestino').click(function()
{
    $('#btnNovoDestino').hide();
    $('#btnLimpaDestino').show();
    $('#btnIncluirDestino').show();
    $('#txtDestino').show();
    $('#cbDestino').hide();
    document.getElementById("txtDestino").focus();
});

$('#btnLimpaDestino').click(function()
{
    $('#btnNovoDestino').show();
    $('#btnLimpaDestino').hide();
    $('#btnIncluirDestino').hide();
    $('#txtDestino').hide();
    $('#cbDestino').show();
    $('#txtDestino').val('');
});

$('#btnIncluirDestino').click(function()
{
    $('#btnNovoDestino').show();
    $('#btnLimpaDestino').hide();
    $('#btnIncluirDestino').hide();
    $('#txtDestino').hide();
    $('#cbDestino').show();
    var destino = $('#txtDestino').val();
    $('#txtDestino').val('');
    destino = destino.toUpperCase();
    InserirDestinoNovo(destino);
});


$('#btnNovoTransp').click(function()
{
    $('#btnNovoTransp').hide();
    $('#btnLimpaTransp').show();
    $('#btnIncluirTransp').show();
    $('#txtTransp').show();
    $('#cbTransp').hide();
    document.getElementById("txtTransp").focus();
});

$('#btnLimpaTransp').click(function()
{
    $('#btnNovoTransp').show();
    $('#btnLimpaTransp').hide();
    $('#btnIncluirTransp').hide();
    $('#txtTransp').hide();
    $('#cbTransp').show();
    $('#txtTransp').val('');
});

$('#btnIncluirTransp').click(function()
{
    $('#btnNovoTransp').show();
    $('#btnLimpaTransp').hide();
    $('#btnIncluirTransp').hide();
    $('#txtTransp').hide();
    $('#cbTransp').show();
    var transp = $('#txtTransp').val();
    $('#txtTransp').val('');
    transp = transp.toUpperCase();
    console.log('transp: ' + transp);
    InserirTranspNovo(transp);
});


/* $('#btnLimpaDestino').hide();
$('#btnIncluirDestino').hide();
$('#btnLimpaTransp').hide();
$('#btnIncluirTransp').hide();
$('#txtTransp').hide();
$('#txtDestino').hide(); */

function SalvarDadosEstadia()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava        = 1;
    var idestadia    = $('#hdnId').attr('data');
    //dados do veiculo
    var veiculo      = $('#hdnVeiculo').attr('data');
    var placa        = $('#txtPlaca').val();
    var placa_carreta= $('#txtPlaca_carreta').val();
    var marca        = $('#hdntMarca').val();
    var modelo       = $('#hdnModelo').val();
    var tipo         = $('#cbTipo').val();
    //dados do motorista
    var motorista    = $('#hdnMotorista').attr('data');
    var cpf          = $('#txtCpf').val();
    var nome         = $('#txtNome').val();
    var celular      = $('#txtCelular').val();
    var cnh          = $('#hdnCnh').val();
    var categoria    = $('#hdnCategoria').val();
    //dados da carga
    var cliente      = $('#cbCliente').val();
    var produto      = $('#cbProduto').val();
    //var qtde         = '';  //$('#txtQtde').val();
    //var pedido       = '';   //$('#txtPedido').val();
    var tipo_carga   = $('#cbTipocarga').val();
    var data         = $('#hdnData').attr('data');
    var dataentrada  = $('#hdnDataEntrada').attr('data');
    var hora         = $('#txtHora').val();
    var destino      = $('#cbDestino').val();
    var transp       = $('#cbTransp').val();
    var obs          = 'AUTO AGENDAMENTO';      //$('#txtObs').val();
    var status       = 'PA';                    //está no pátio
    var formula      = $('#txtFormula').val();
    var operacao     = $('#cbTipooper').val();  //descarga ou carga
    var qtde         = $('#txtPeso').val();
    var pedido       = $('#txtPedido').val();
    
    var inspecao     = $('#cbInspecao').find(":selected").text();

    if(inspecao=='1')
    {
        if(operacao=='D')   //se for descarga não gera inspeção
        {
            inspecao='0';
        }
    }

    //console.log('inspecao: ' + inspecao + ' tipo carga: ' + tipo_carga);

    Feedback('');

    //fazer as validações aqui
    if(placa=='')
    {
        //alert('Placa do cavalo inválida!');
        Feedback('Placa do cavalo inválida');
        grava = 0;
    }
    if(tipo=='')
    {
        Feedback('Tipo de veículo inválida!');
        grava = 0;
    }
    if(operacao=='' || operacao==null)
    {
        Feedback('Tipo de operação inválido!');
        grava = 0;
    }
    if(cpf=='')
    {
        Feedback('CPF do motorista inválido!');
        grava = 0;
    }
    if(nome=='')
    {
        Feedback('Nome do motorista inválido!');
        grava = 0;
    }
    if(celular=='')
    {
        Feedback('Celular do motorista inválido!');
        grava = 0;
    }
    if(cliente=='')
    {
        Feedback('Cliente inválido!');
        grava = 0;
    }
    if(produto=='')
    {
        Feedback('Produto inválido!');
        grava = 0;
    }
    if(tipo_carga=='')
    {
        Feedback('Tipo de Carga inválido!');
        grava = 0;
    }
    if(data=='')
    {
        Feedback('Data inválida!');
        grava = 0;
    }
    if(hora=='')
    {
        Feedback('Hora inválida!');
        grava = 0;
    }
    if(destino=='')
    {
        Feedback('Destino inválido!');
        grava = 0;
    }
    if(transp=='')
    {
        Feedback('Transportador inválido!');
        grava = 0;
    }

    //console.log('id: ' + idestadia + ' placa: ' +  placa + ' placa carreta: ' +  placa_carreta + ' marca: ' +  marca + ' modelo: ' +  modelo + ' cpf: ' +  cpf + ' nome: ' +  nome + ' celular: ' +  celular + ' cnh: ' +  cnh + ' categ: ' +   categoria + ' cliente: ' +  cliente + ' prod: ' +  produto + ' qtde: ' +  qtde + ' pedido: ' +  pedido + ' tipo carga: ' +  tipo_carga + ' data: ' +  data + ' destino: ' +  destino + ' transp: ' +  transp + ' veic: ' +  veiculo + ' motora: ' +  motorista);

    if(grava==1)
    {
        SalvarEstadiaAuto(idestadia, placa, placa_carreta, marca, modelo, cpf, nome, celular, cnh, categoria, cliente, produto, qtde, pedido, tipo_carga, data, destino, transp, veiculo, motorista, obs, hora, status, dataentrada, tipo, formula, operacao, inspecao);
    }
}

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    
    //dados do veiculo
    $('#hdnVeiculo').attr('data','0');
    $('#txtPlaca').val('');
    $('#txtPlaca_carreta').val('');
    $('#txtMarca').val('');
    $('#hdnMarca').val('');
    $('#hdnModelo').val('');
    
    //$('#txtModelo').val('');
    //dados do motorista
    $('#hdnMotorista').attr('data','0');
    $('#txtCpf').val('');
    $('#txtNome').val('');
    $('#txtCelular').val('');
    $('#hdnCnh').val('');
    $('#hdnCategoria').val('');
    //dados da carga
    $('#txtData').val('');
    $('#txtHora').val('');
    $('#hdnData').attr('data','');
    $('#cbProduto').val('');
    $('#cbTransp').val('');
    $('#cbCiffob').val('');
    $('#cbDestino').val('');
    $('#cbCliente').val('');
    $('#cbTipocarga').val('');
    $('#txtQtde').val('');

    $('#cbTipo').val('');
    $('#txtFormula').val('');
    $('#cbFormula').val('');

    $('#cbTipooper').val('');
    //$('#txtObs').val('');

    $('#txtPeso').val('');
    $('#txtPedido').val('');

}


function SalvarEstadiaAuto(idestadia, placa, placa_carreta, marca, modelo, cpf, nome, celular, cnh, categoria, cliente, produto, qtde, pedido, tipo_carga, data, destino, transp, veiculo, motorista, obs, hora, status, dataentrada, tipo, formula, operacao, inspecao)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-auto",
        method: 'post',
        data:
        {
            idestadia: idestadia, 
            placa: placa, 
            placa_carreta: placa_carreta, 
            marca: marca, 
            modelo: modelo, 
            cpf: cpf, 
            nome: nome, 
            celular: celular, 
            cnh: cnh, 
            categoria: categoria, 
            cliente: cliente, 
            produto: produto, 
            qtde: qtde, 
            pedido: pedido, 
            tipo_carga: tipo_carga, 
            data: data, 
            destino: destino, 
            transp: transp,
            veiculo: veiculo, 
            motorista: motorista,
            obs: obs,
            hora: hora,
            status: status,
            dataentrada: dataentrada,
            tipo: tipo,
            formula: formula,
            operacao: operacao,
            inspecao: inspecao
        },
        beforeSend: function()
        {
            $('#btnSalvar').prop('disabled',true);
            $('#btnSalvar').hide();
            Feedback('');
            FeedbackOk('');
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            //MensagemBox( 'sucesso','','AGENDAMENTO INCLUÍDO COM SUCESSO!', 2000, 'Ok');
            
            //console.log(data);

            LimparCampos();
            $('#btnSalvar').prop('disabled',false);
            $('#btnSalvar').show();
            //$('#btnNovo').prop('disabled',true);
            FeedbackOk('AGENDAMENTO INCLUÍDO COM SUCESSO!');
            //var cliente = $('#cbClientePesq').val();
            //PesquisarAgendado(cliente);
        },
        error:function(error)
        {
            console.log(error);
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function ListarTipo()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-tipo-veiculo",
        method: 'post',
        data:
        {
           //cliente: cliente
        },
        beforeSend: function()
        {
            $('#cbTipo').empty();
            $('#cbTipo').append('<option value="">Carregando...</option>');
            $('#cbTipo').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbTipo').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTipo').empty();
                $('#cbTipo').append('<option value="">...</option>');

                data.consulta.forEach(item =>
                {
                   
                    $('#cbTipo').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
            else
            {
                $('#cbTipo').empty();
                $('#cbTipo').append('<option value="">...</option>');
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}




function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente-auto",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbCliente').empty();
            $('#cbCliente').append('<option value="">Carregando...</option>');
            $('#cbCliente').prop('disabled',true);
            //$('#cbInspecao').empty();
            //$('#cbInspecao').append('<option value="">Carregando...</option>');
            
            
        },
        complete: function()
        {
            $('#cbCliente').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbCliente').empty();
                $('#cbCliente').append('<option value="">...</option>');
                /* $('#cbInspecao').empty();
                $('#cbInspecao').append('<option value="">...</option>'); */
               
                data.consulta.forEach(item =>
                {
                    $('#cbCliente').append('<option value="' + item.id + '">' + item.nome + '</option>');
                    /* $('#cbInspecao').append('<option value="' + item.id + '">' + item.inspecao + '</option>'); */
                    
                    //console.log('cliente: ' + item.nome);
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarProduto()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-produto-estadia",
        method: 'post',
        data:
        {
           //cliente: cliente
        },
        beforeSend: function()
        {
            $('#cbProduto').empty();
            $('#cbProduto').append('<option value="">Carregando...</option>');
            $('#cbProduto').prop('disabled',true);
            $('#cbInspecao').empty();
            $('#cbInspecao').append('<option value="">...</option>');
        },
        complete: function()
        {
            $('#cbProduto').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbProduto').empty();
                $('#cbProduto').append('<option value="">...</option>');

                data.consulta.forEach(item =>
                {
                    var produto = item.descricao;
                    if(item.formula!='')
                    {
                        produto = produto + ' - Formula: ' + item.formula;
                    }
                    $('#cbProduto').append('<option value="' + item.id + '">' + produto + '</option>');
                    $('#cbInspecao').append('<option value="' + item.id + '">' + item.inspecao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarDestino(nome)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-destino-estadia",
        method: 'post',
        data:
        {

        },
        beforeSend: function()
        {
            $('#cbDestino').empty();
            $('#cbDestino').append('<option value="">...</option>');
            $('#cbDestino').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbDestino').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbDestino').empty();
                $('#cbDestino').append('<option value="">...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbDestino').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });

                if(nome!='')
                {
                    posicionaDestinoPeloNome(nome);
                }
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarTransp(nome)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-transp-estadia",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbTransp').empty();
            $('#cbTransp').append('<option value="">Carregando...</option>');
            $('#cbTransp').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbTransp').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTransp').empty();
                $('#cbTransp').append('<option value="">...</option>');

                data.consulta.forEach(item =>
                {
                    
                    $('#cbTransp').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
                if(nome!='')
                {
                    posicionaTranspPeloNome(nome);
                }
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function BuscarCliente(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-cliente",
        method: 'post',
        data:
        {
           idcliente: cliente
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtCliente').val(item.nome);
                });
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}



function BuscarMotorista(cpf)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-motorista-cpf",
        method: 'post',
        data:
        {
           cpf: cpf
        },
        beforeSend: function()
        {
            $('#txtNome').val('');
            $('#txtCelular').val('');
            $('#hdnCnh').val('');
            $('#hdnCategoria').val('');
            $('#hdnMotorista').attr('data',0);
            $('#feedback-motora').hide();
            //Feedback('');
            //FeedbackOk('');

            //$('#txtNome').prop('disabled',true);
            //$('#txtCelular').prop('disabled',true);
            //$('#txtCnh').prop('disabled',true);
            //$('#txtCategoria').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtNome').val(item.nome);
                    $('#txtCelular').val(item.celular);
                    $('#hdnCnh').val(item.cnh);
                    $('#hdnCategoria').val(item.categoria);
                    $('#hdnMotorista').attr('data',item.id);
                    $('#feedback-motora').hide();
                });
            }
            else 
            {
                //MensagemBox('alerta','Busca Motorista','Motorista não encontrado!', 2000, 'Ok');
                //alert('Motorista não encontrado!');
                $('#feedback-motora').show();
                $('#txtNome').prop('disabled',false);
                $('#txtCelular').prop('disabled',false);
                //$('#txtCnh').prop('disabled',false);
                //$('#txtCategoria').prop('disabled',false);

                //MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            }
        },
        error:function(error)
        {
            console.log(error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

$('#txtCpf').keyup(function(event)
{
    var cpf = $('#txtCpf').val();
    var tamanho = cpf.length;

    //console.log('tamanho: ' + tamanho);
    if(tamanho==11)
    {
        BuscarMotorista(cpf)
    }
    else
    {
        LimpaCamposMotorista()
    }
});

function LimpaCamposMotorista()
{
    $('#txtNome').val('');
    $('#txtCelular').val('');
    $('#txtCnh').val('');
    $('#txtCategoria').val('');
    $('#hdnMotorista').attr('data',0);
}


function BuscarVeiculo(placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-veiculo-placa",
        method: 'post',
        data:
        {
           placa: placa
        },
        beforeSend: function()
        {
            $('#txtPlaca_carreta').val('');
            $('#txtMarca').val('');
            $('#hdnMarca').val('');
            $('#hdnModelo').val('');
            $('#cbTipo').val('');
            
            $('#hdnVeiculo').attr('data',0);
            $('#feedback-placa').hide();
            Feedback('');
            FeedbackOk('');

            //$('#cbTipo').prop('disabled',true);

            //$('#txtPlaca_carreta').prop('disabled',true);
            //$('#txtMarca').prop('disabled',true);
            //$('#txtModelo').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtPlaca_carreta').val(item.placa_carreta);
                    $('#txtMarca').val(item.marca + ' ' + item.modelo);
                    $('#hdnModelo').val(item.modelo);
                    $('#hdnMarca').val(item.marca);
                    $('#cbTipo').val(item.tipo);
                    
                    $('#hdnVeiculo').attr('data',item.id);
                    $('#feedback-placa').hide();
                });
            }
            else 
            {
                //MensagemBox('alerta','Busca Veículo','Veículo não encontrado!', 2000, 'Ok');
                //alert('Veículo não encontrado!');
                //$('#txtPlaca_carreta').prop('disabled',false);
                //$('#txtMarca').prop('disabled',false);
                //$('#txtModelo').prop('disabled',false);
                $('#feedback-placa').show();
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


$('#txtPlaca').keyup(function(event)
{
    var placa = $('#txtPlaca').val();
    var tamanho = placa.length;

    placa = placa.toUpperCase();
    $('#txtPlaca').val(placa);

    //console.log('tamanho: ' + tamanho);
    if(tamanho==7)
    {
        BuscarVeiculo(placa);
        VerificarVeiculo(placa);
    }
    else
    {
        LimpaCamposVeiculo()
    }
});

function LimpaCamposVeiculo()
{
    $('#txtPlaca_carreta').val('');
    $('#txtMarca').val('');
    //$('#txtmodelo').val('');
    $('#hdnVeiculo').attr('data',0);
}

function ListarFormula(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-formula",
        method: 'post',
        data:
        {
           cliente: cliente
        },
        beforeSend: function()
        {
            $('#cbFormula').empty();
            $('#cbFormula').append('<option value="">Carregando...</option>');
            $('#cbFormula').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbFormula').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbFormula').empty();
                $('#cbFormula').append('<option value="">...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbFormula').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
            else 
            {
                $('#cbFormula').empty();
                $('#cbFormula').append('<option value="">...</option>');
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

$('#btnNovaFormula').click(function()
{
    //$('#grpFormula').show();
    $('#btnNovaFormula').hide();
    $('#btnLimpaFormula').show();
    $('#btnIncluirFormula').show();
    $('#cbFormula').show();
})


$('#btnLimpaFormula').click(function()
{
    $('#txtFormula').val('');
})


$('#btnIncluirFormula').click(function()
{
    var formula = $('#txtFormula').val();
    if(formula!='')
    {
        formula = formula + ' - ' + $('#cbFormula').val();
    }
    else
    {
        formula = $('#cbFormula').val();
    }
   
    formula = formula.substring(0,200);
    $('#txtFormula').val(formula);
})


function Feedback(texto)
{
    var alerta = texto;
    document.getElementById("feedback-erro").innerHTML = alerta;
    $('#feedback-erro').show();
    $('#feedback-sucesso').hide();
}

function FeedbackOk(texto)
{
    var alerta = texto;
    document.getElementById("feedback-sucesso").innerHTML = alerta;
    $('#feedback-placa').hide();
    $('#feedback-motora').hide();
    $('#feedback-erro').hide();
    $('#feedback-sucesso').show();
}



function VerificarVeiculo(placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-varificar-veiculo",
        method: 'post',
        data:
        {
           placa: placa
        },
        beforeSend: function()
        {
            Feedback('');
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    var qtde = item.qtde;
                    if(qtde > 0)
                    {
                        $('#btnSalvar').hide();  
                        Feedback('VEÍCULO JÁ ENCONTRA-SE NO PÁTIO');                      
                    }
                    else 
                    {
                        $('#btnSalvar').show();  
                        Feedback('');  
                    }
                    
                    
                });
            }
            else 
            {
                //MensagemBox('alerta','Busca Veículo','Veículo não encontrado!', 2000, 'Ok');
                //alert('Veículo não encontrado!');
                //$('#txtPlaca_carreta').prop('disabled',false);
                //$('#txtMarca').prop('disabled',false);
                //$('#txtModelo').prop('disabled',false);
                $('#feedback-placa').show();
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function InserirDestinoNovo(nome)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-insere-destino",
        method: 'post',
        data:
        {
            descricao:  nome
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            FeedbackOk('Destino incluido com sucesso!');
            ListarDestino(nome);
            
        },
        error:function(error)
        {
            Feedback('Ocorreu erro: ' + error);
        }
    });
}


function posicionaDestinoPeloNome(nome)
{
    var text = nome;
    //text = text.toUpperCase();
    var select = document.querySelector('#cbDestino');
    for (var i = 0; i < select.options.length; i++) {
        if (select.options[i].text === text) {
            select.selectedIndex = i;
            break;
        }
    }
}


function InserirTranspNovo(nome)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-insere-transp",
        method: 'post',
        data:
        {
            descricao:  nome
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            FeedbackOk('Transportador incluido com sucesso!');
            ListarTransp(nome);
            
        },
        error:function(error)
        {
            Feedback('Ocorreu erro: ' + error);
        }
    });
}


function posicionaTranspPeloNome(nome)
{
    var text = nome;
    //text = text.toUpperCase();
    var select = document.querySelector('#cbTransp');
    for (var i = 0; i < select.options.length; i++) {
        if (select.options[i].text === text) {
            select.selectedIndex = i;
            break;
        }
    }
}
