$(document).ready(function()
{
    
    $('#txtMarca').prop('disabled',true);
    //$('#txtModelo').prop('disabled',true);
    $('#txtNome').prop('disabled',true);
    $('#txtData').prop('disabled',true);
    $('#txtHora').prop('disabled',true);

    $('#texto-destino').hide();
    $('#salvar-destino').hide();
    $('#destino').show();
    $('#novo-destino').show();
    ListarDestino();
    
    $('#cadastro').show();
    LimparCampos();

    $('#feedback-placa').hide();
    $('#feedback-motora').hide();

    Feedback('');
    FeedbackOk('');

});

function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}

/* $('#txtData').click(function()
{
    console.log(FormataStringData($('#txtData').val()));
}); */

/* $(function () 
{
    $('#txtData').datetimepicker(
    {
        format:'D/M/YYYY'
    });
       
}); */

function MostraData()
{
    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var agora = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
    var data = dia + '/' + mes + '/' + ano;
    var hora = hora + ':' + minuto;

    $('#hdnDataEntrada').attr('data', agora);
    $('#txtData').prop('disabled',true);
    $('#txtHora').prop('disabled',true);
    $('#txtData').val(data);
    $('#txtHora').val(hora);
}

/* $('#cbCiffob').change(function()
{
    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var agora = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
    var data = dia + '/' + mes + '/' + ano;
    var hora = hora + ':' + minuto;

    $('#hdnDataEntrada').attr('data', agora);
    
    var tipo = $('#cbCiffob').val();
    if(tipo=='CIF')     //a base vai chamar, pega a data atual
    {
        $('#txtData').prop('disabled',true);
        $('#txtHora').prop('disabled',true);
        $('#txtData').val(data);
        $('#txtHora').val(hora);
    }
    else if(tipo=='FOB')
    {
        $('#txtData').prop('disabled',false);
        $('#txtHora').prop('disabled',false);
        $('#txtData').val('');
        $('#txtHora').val('');
    }
    else
    {
        $('#txtData').prop('disabled',true);
        $('#txtHora').prop('disabled',true);
        $('#txtData').val('');
        $('#txtHora').val('');
    }
}); */

$('#btnNovo').click(function()
{
    LimparCampos();
    $('#btnSalvar').prop('disabled',false);
    Feedback('');
    FeedbackOk('');
    $('#feedback-placa').hide();
    $('#feedback-motora').hide();
});

$('#novo-destino').click(function()
{
    $('#novo-destino').hide();
    $('#texto-destino').show();
    $('#salvar-destino').show();
    $('#destino').hide();
    $('#txtDestino').val('');
    document.getElementById("txtDestino").focus();
})

$('#salvar-destino').click(function()
{
    $('#novo-destino').show();
    $('#texto-destino').hide();
    $('#salvar-destino').hide();
    $('#destino').show();
    document.getElementById("cbDestino").focus();
    //gravar o destino novo
    SalvarDadosDestino();
    //atualizar a lista do destino

})

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    //$('#lista').show();
    $('#filtro').hide();
});

$('#btnVoltar2').click(function()
{
    $('#cadastro').hide();
    //$('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        //MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
        alert('Cliente inválido!');
    }
    else 
    {
        PesquisarAgendado(cliente);
    }
});

$('#cbCliente').change(function()
{
    var cliente = $('#cbCliente').val();
     if(cliente!='')
    {
        BuscarCliente(cliente);
        //ListarProduto(cliente);
        //ListarDestino(cliente);
    }
});

$('#btnSalvar').click(function()
{
    SalvarDadosAvulso();
});

function SalvarDadosAvulso()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava        = 1;
    var idestadia    = $('#hdnId').attr('data');
    //dados do veiculo
    var veiculo      = $('#hdnVeiculo').attr('data');
    var placa        = $('#txtPlaca').val();
    var placa_carreta= $('#txtPlaca_carreta').val();
    var marca        = $('#txtMarca').val();
    var modelo       = '';
    //dados do motorista
    var motorista    = $('#hdnMotorista').attr('data');
    var cpf          = $('#txtCpf').val();
    var nome         = $('#txtNome').val();
    var celular      = '';
    var cnh          = '';
    var categoria    = '';
    //dados da carga
    var cliente      = '';
    var produto      = '';
    var qtde         = '';  //$('#txtQtde').val();
    var pedido       = '';   //$('#txtPedido').val();
    var tipo_carga   = 'CS';    //
    var data         = $('#hdnData').attr('data');
    var dataentrada  = $('#hdnDataEntrada').attr('data');
    var hora         = $('#txtHora').val();
    var destino      = $('#cbDestino').val();
    var transp       = '';
    var obs          = 'ENTRADA AVULSO';   
    var status       = 'PA';        //está no pátio

    
    //fazer as validações aqui
    if(placa=='')
    {
        Feedback('Placa do cavalo inválida!');
        grava = 0;
    }
    if(cpf=='')
    {
        Feedback('CPF do motorista inválido!');
        grava = 0;
    }
    if(nome=='')
    {
        Feedback('Nome do motorista inválido!');
        grava = 0;
    }
    if(data=='')
    {
        Feedback('Data inválida!');
        grava = 0;
    }
    if(hora=='')
    {
        Feedback('Hora inválida!');
        grava = 0;
    }
    if(destino=='')
    {
        Feedback('Destino inválido!');
        grava = 0;
    }

    //console.log('id: ' + idestadia + ' placa: ' +  placa + ' placa carreta: ' +  placa_carreta + ' marca: ' +  marca + ' modelo: ' +  modelo + ' cpf: ' +  cpf + ' nome: ' +  nome + ' celular: ' +  celular + ' cnh: ' +  cnh + ' categ: ' +   categoria + ' cliente: ' +  cliente + ' prod: ' +  produto + ' qtde: ' +  qtde + ' pedido: ' +  pedido + ' tipo carga: ' +  tipo_carga + ' data: ' +  data + ' destino: ' +  destino + ' transp: ' +  transp + ' veic: ' +  veiculo + ' motora: ' +  motorista);

    if(grava==1)
    {
        SalvarEstadiaAvulso(idestadia, placa, placa_carreta, marca, modelo, cpf, nome, celular, cnh, categoria, cliente, produto, qtde, pedido, tipo_carga, data, destino, transp, veiculo, motorista, obs, hora, status, dataentrada);
    }

}

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    
    //dados do veiculo
    $('#hdnVeiculo').attr('data','0');
    $('#txtPlaca').val('');
    //$('#txtPlaca_carreta').val('');
    $('#txtMarca').val('');
    $('#hdnMarca').val('');
    $('#hdnModelo').val('');
    
    //$('#txtModelo').val('');
    //dados do motorista
    $('#hdnMotorista').attr('data','0');
    $('#txtCpf').val('');
    $('#txtNome').val('');
    $('#txtCelular').val('');
    $('#hdnCnh').val('');
    $('#hdnCategoria').val('');
    //dados da carga
    $('#txtData').val('');
    $('#txtHora').val('');
    $('#hdnData').attr('data','');
    //$('#cbProduto').val('');
    //$('#cbTransp').val('');
    //$('#cbCiffob').val('');
    $('#cbDestino').val('');
    //$('#cbCliente').val('');
    //$('#cbTipocarga').val('');
    //$('#txtQtde').val('');
    //$('#txtPedido').val('');
    //$('#txtObs').val('');

    MostraData();

}


function SalvarEstadiaAvulso(idestadia, placa, placa_carreta, marca, modelo, cpf, nome, celular, cnh, categoria, cliente, produto, qtde, pedido, tipo_carga, data, destino, transp, veiculo, motorista, obs, hora, status, dataentrada)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-avulso",
        method: 'post',
        data:
        {
            idestadia: idestadia, 
            placa: placa, 
            placa_carreta: placa_carreta, 
            marca: marca, 
            modelo: modelo, 
            cpf: cpf, 
            nome: nome, 
            celular: celular, 
            cnh: cnh, 
            categoria: categoria, 
            cliente: cliente, 
            produto: produto, 
            qtde: qtde, 
            pedido: pedido, 
            tipo_carga: tipo_carga, 
            data: data, 
            destino: destino, 
            transp: transp,
            veiculo: veiculo, 
            motorista: motorista,
            obs: obs,
            hora: hora,
            status: status,
            dataentrada: dataentrada
        },
        beforeSend: function()
        {
            $('#btnSalvar').prop('disabled',true);
            $('#btnSalvar').hide();
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            LimparCampos();
            $('#btnSalvar').prop('disabled',false);
            $('#btnSalvar').show();
            Feedback('');
            FeedbackOk('ENTRADA INCLUÍDA COM SUCESSO!');
            $('#feedback-placa').hide();
            $('#feedback-motora').hide();
            //FeedbackBom('ENTRADA INCLUÍDA COM SUCESSO!');


        },
        error:function(error)
        {

        }
    });
}



function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente-auto",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbCliente').empty();
            $('#cbCliente').append('<option value="">Carregando...</option>');
            $('#cbCliente').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbCliente').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbCliente').empty();
                $('#cbCliente').append('<option value="">...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbCliente').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

/* function ListarProduto(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-produto-estadia",
        method: 'post',
        data:
        {
           cliente: cliente
        },
        beforeSend: function()
        {
            $('#cbProduto').empty();
            $('#cbProduto').append('<option value="">Carregando...</option>');
            $('#cbProduto').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbProduto').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbProduto').empty();
                $('#cbProduto').append('<option value="">...</option>');

                data.consulta.forEach(item =>
                {
                    var produto = item.descricao;
                    if(item.formula!='')
                    {
                        produto = produto + ' - Formula: ' + item.formula;
                    }
                    $('#cbProduto').append('<option value="' + item.id + '">' + produto + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

} */

function ListarDestino()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-destino-avulso",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbDestino').empty();
            $('#cbDestino').append('<option value="">...</option>');
            $('#cbDestino').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbDestino').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbDestino').empty();
                $('#cbDestino').append('<option value="">...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbDestino').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarTransp()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-transp-estadia",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbTransp').empty();
            $('#cbTransp').append('<option value="">Carregando...</option>');
            $('#cbTransp').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbTransp').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTransp').empty();
                $('#cbTransp').append('<option value="">...</option>');

                data.consulta.forEach(item =>
                {
                    
                    $('#cbTransp').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function BuscarCliente(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-cliente",
        method: 'post',
        data:
        {
           idcliente: cliente
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtCliente').val(item.nome);
                });
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function BuscarMotorista(cpf)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-motorista-cpf",
        method: 'post',
        data:
        {
           cpf: cpf
        },
        beforeSend: function()
        {
            $('#txtNome').val('');
            $('#txtCelular').val('');
            $('#hdnCnh').val('');
            $('#hdnCategoria').val('');
            $('#hdnMotorista').attr('data',0);
            $('#feedback-motora').hide();
            //Feedback('');
            //FeedbackOk('');

            //$('#txtNome').prop('disabled',true);
            //$('#txtCelular').prop('disabled',true);
            //$('#txtCnh').prop('disabled',true);
            //$('#txtCategoria').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtNome').val(item.nome);
                    $('#txtCelular').val(item.celular);
                    $('#hdnCnh').val(item.cnh);
                    $('#hdnCategoria').val(item.categoria);
                    $('#hdnMotorista').attr('data',item.id);
                    $('#feedback-motora').hide();
                    Feedback('');
                    FeedbackOk('');
                });
            }
            else 
            {
                //MensagemBox('alerta','Busca Motorista','Motorista não encontrado!', 2000, 'Ok');
                //alert('Motorista não encontrado!');
                $('#feedback-motora').show();
                $('#txtNome').prop('disabled',false);
                document.getElementById("txtNome").focus();
                //$('#txtCelular').prop('disabled',false);
                //$('#txtCnh').prop('disabled',false);
                //$('#txtCategoria').prop('disabled',false);

                //MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            }
        },
        error:function(error)
        {
            console.log(error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

$('#txtCpf').keyup(function(event)
{
    var cpf = $('#txtCpf').val();
    var tamanho = cpf.length;

    //console.log('tamanho: ' + tamanho);
    if(tamanho==11)
    {
        BuscarMotorista(cpf)
    }
    else
    {
        LimpaCamposMotorista()
    }
});

function LimpaCamposMotorista()
{
    $('#txtNome').val('');
    $('#txtCelular').val('');
    $('#txtCnh').val('');
    $('#txtCategoria').val('');
    $('#hdnMotorista').attr('data',0);
}


function BuscarVeiculo(placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-veiculo-placa",
        method: 'post',
        data:
        {
           placa: placa
        },
        beforeSend: function()
        {
            $('#txtPlaca_carreta').val('');
            $('#txtMarca').val('');
            $('#hdnMarca').val('');
            $('#hdnModelo').val('');
            
            $('#hdnVeiculo').attr('data',0);

            $('#feedback-placa').hide();
            Feedback('');
            FeedbackOk('');

            //$('#txtPlaca_carreta').prop('disabled',true);
            //$('#txtMarca').prop('disabled',true);
            //$('#txtModelo').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    var marca =item.marca;
                    if(marca=='' || marca==null)
                    {
                        marca = 'NÃO DEFINIDO';
                    }
                    $('#txtPlaca_carreta').val(item.placa_carreta);
                    $('#txtMarca').val(marca);
                    //$('#txtModelo').val(item.modelo);
                    $('#hdnModelo').val(item.modelo);
                    $('#txtMarca').prop('disabled',true);
                    $('#hdnMarca').val(marca);
                    
                    $('#hdnVeiculo').attr('data',item.id);

                    $('#feedback-placa').hide();
                });
            }
            else 
            {
                //MensagemBox('alerta','Busca Veículo','Veículo não encontrado!', 2000, 'Ok');
                //alert('Veículo não encontrado!');
                //$('#txtPlaca_carreta').prop('disabled',false);
                $('#feedback-placa').show();
                $('#txtMarca').prop('disabled',false);
                document.getElementById("txtMarca").focus();
                
                //$('#txtModelo').prop('disabled',false);
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


$('#txtPlaca').keyup(function(event)
{
    var placa = $('#txtPlaca').val();
    var tamanho = placa.length;

    placa = placa.toUpperCase();
    $('#txtPlaca').val(placa);

    //console.log('tamanho: ' + tamanho);
    if(tamanho==7)
    {
        BuscarVeiculo(placa);
        VerificarVeiculoAvulso(placa);
    }
    else
    {
        LimpaCamposVeiculo()
    }
});

function LimpaCamposVeiculo()
{
    $('#txtPlaca_carreta').val('');
    $('#txtMarca').val('');
    //$('#txtmodelo').val('');
    $('#hdnVeiculo').attr('data',0);
}

function SalvarDadosDestino()
{
    var grava       = 1;
    var iddestino   = '0';
    var descricao   = $('#txtDestino').val();
    var codigo      = '';
    var titulo      = '';
    
    if(descricao=='')
    {
        //MensagemBox( 'erro','','Nome do destino inválido!', 2000, 'Ok');
        alert('Destino Inválido!');
        grava = 0;
    }
    if(grava==1)
    {
        SalvarDestino(iddestino, descricao, codigo, titulo);
        //$('#cadastro').hide();
        //$('#lista').show();
    }
}

function SalvarDestino(iddestino, descricao, codigo, titulo)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-destino-avulso",
        method: 'post',
        data:
        {
            iddestino:  iddestino, 
            descricao:  descricao, 
            codigo:     codigo, 
            titulo:     titulo
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            //MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            ListarDestino();
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function Feedback(texto)
{
    var alerta = texto;
    document.getElementById("feedback-erro").innerHTML = alerta;
    $('#feedback-erro').show();
    $('#feedback-sucesso').hide();
}

function FeedbackOk(texto)
{
    var alerta = texto;
    document.getElementById("feedback-sucesso").innerHTML = alerta;
    $('#feedback-placa').hide();
    $('#feedback-motora').hide();
    $('#feedback-erro').hide();
    $('#feedback-sucesso').show();
}


function VerificarVeiculoAvulso(placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-verificar-veiculo-avulso",
        method: 'post',
        data:
        {
           placa: placa
        },
        beforeSend: function()
        {
            Feedback('');
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    var qtde = item.qtde;
                    if(qtde > 0)
                    {
                        $('#btnSalvar').hide();  
                        Feedback('VEÍCULO JÁ ENCONTRA-SE NO PÁTIO');                      
                    }
                    else 
                    {
                        $('#btnSalvar').show();  
                        feedback('');  
                    }
                    
                    
                });
            }
            else 
            {
                //MensagemBox('alerta','Busca Veículo','Veículo não encontrado!', 2000, 'Ok');
                //alert('Veículo não encontrado!');
                //$('#txtPlaca_carreta').prop('disabled',false);
                //$('#txtMarca').prop('disabled',false);
                //$('#txtModelo').prop('disabled',false);
                $('#feedback-placa').show();
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

