$(document).ready(function()
{
    var busca = $('#txtBusca').val();
    ListarCaixa();
    ListarTurno();
    ListarCliente();
    ListarCategoria();
    ListarTransp3();
    LimparCampos();
    ListarProduto3();
    ListarDestino3();
    PesquisarCaixa(busca);
    ListarUsuario();

    //zera valores
    //localStorage.setItem('vcaixa',''); 

    var pcaixa = localStorage.getItem('vcaixa');
    
    $('#txtData').attr('data-toggle','datetimepicker');
    $('#txtData').attr('data-target','#txtData');
    $('#txtData').addClass("datetimepicker-input");

    $('#txtData').attr('autocomplete','off'); 

    //aparece/some áreas/campos
    $('#caixa').show();
    $('#salvar-caixa').hide();
    $('#destino').show();
    $('#novo-caixa').show();
    //$('#fechar-valor-caixa').show();
    $('#btnFechaCaixa').show();
    $('#baixa').hide();
    $('#btnImprimirRecibo').hide();
    $('#btnImprimirRecibo2').hide();
    $('#btnImprimirReciboRoma').hide();
    $('#btnImprimirReciboRoma2').hide();
    //$('#btnImprimirReciboBrasil').hide();
    //$('#btnImprimirReciboBrasil2').hide();    

    $('#caixa-data').hide();
    $('#caixa-turno').hide();
    $('#caixa-guiche').hide();
    $('#caixa-inicial').hide();

    $('#btnFecharTotalCaixa').hide();
    $('#btnImprimirCaixa').hide();
    

    //desabilita campos
    $('#cbCaixa2').prop('disabled',true);
    $('#cbCaixa3').prop('disabled',true);
    $('#txtPlaca2').prop('disabled',true);
    $('#txtMotorista2').prop('disabled',true);
    $('#txtCpf2').prop('disabled',true);
    $('#txtTransportador2').prop('disabled',true);
    $('#txtCliente2').prop('disabled',true);
    $('#txtDestino2').prop('disabled',true);
    $('#txtDataEntrada').prop('disabled',true);
    $('#txtDataSaida').prop('disabled',true);
    $('#txtTempo').prop('disabled',true);
    $('#txtEstadia').prop('disabled',true);
    $('#txtTotal').prop('disabled',true);
    $('#txtTroco').prop('disabled',true);
    $('#txtDesconto').prop('disabled',true);
    $('#txtOperacao').prop('disabled',true);
    

    $('#txtDatacx').prop('disabled',true);
    $('#cbTurnocx').prop('disabled',true);
    $('#cbGuichecx').prop('disabled',true);
    $('#cbUsuariocx').prop('disabled',true);
    $('#cbStatuscx').prop('disabled',true);
    $('#txtInicialcx').prop('disabled',true);
    $('#txtEspeciecx').prop('disabled',true);
    $('#txtDebitocx').prop('disabled',true);
    $('#txtCreditocx').prop('disabled',true);
    $('#txtDescontocx').prop('disabled',true);
    $('#txtTotalcx').prop('disabled',true);
});

function LimparCaixa()
{
    $('#txtDatacx').val('');
    $('#cbTurnocx').val('');
    $('#cbGuichecx').val('');
    $('#cbUsuariocx').val('');
    $('#cbStatuscx').val('');
    $('#txtInicialcx').val('');
    $('#txtEspeciecx').val('');
    $('#txtDebitocx').val('');
    $('#txtCreditocx').val('');
    $('#txtDescontocx').val('');
    $('#txtTotalcx').val('');
}

$('#btnTotalizarCaixa').click(function()
{
    $('#btnFecharTotalCaixa').show();
    $('#btnTotalizarCaixa').hide();

    var caixa = $('#cbCaixa').val();
    if(caixa!='')
    {
        PesquisaDadosCaixa(caixa);
        ListarVeiculosDoCaixa(caixa);
    }

});

$('#btnTotalCaixa').click(function()
{

    
    var caixa = $('#cbCaixa').val();

    if(caixa=='')
    {
        MensagemBox( 'alerta','','Caixa não informado!', 2000, 'Ok');
        document.getElementById("cbCaixa").focus();
    }
    else
    {
        LimparCaixa();

        $('#cadastro').hide();
        $('#lista').hide();
        $('#baixa').hide(); 
        $('#totalcaixa').show();  

        $('#btnFecharTotalCaixa').hide();
        $('#btnTotalizarCaixa').show();

        var caixa = $('#cbCaixa').val();
        if(caixa!='')
        {
            $('#cbCaixa3').val(caixa);
            localStorage.setItem('vcaixa',caixa);
            PesquisaDadosCaixa(caixa);
            ListarVeiculosDoCaixa(caixa);
            
        }
    }

});

$('#btnCaixa').click(function()
{
    NovoCaixa();
})

function NovoCaixa()
{
    $('#novo-caixa').hide();
    //$('#fechar-valor-caixa').hide();
    $('#btnFechaCaixa').hide();
    $('#salvar-caixa').show();
    $('#caixa').hide();
    $('#caixa-data').show();
    $('#caixa-turno').show();
    $('#caixa-guiche').show();
    $('#caixa-inicial').show();
    $('#cbTurno').val('');
    $('#cbGuiche').val('');
    $('#txtValorini').val('');
    
    //$('#cbCaixa').prop('disabled',true);
    document.getElementById("cbTurno").focus();

    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    //var hora = data.getHours();
    //var minuto = data.getMinutes();
    //var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    //if(hora<10){hora = '0'+hora}
    //if(minuto<10){minuto = '0'+minuto}
    //if(segundo<10){segundo = '0'+segundo}
    
    var datacaixa1 = ano + '-' + mes + '-' + dia;
    var datacaixa2 = dia + '/' + mes + '/' + ano;
    
    $('#hdnDataCaixa').attr('data', datacaixa1);
    $('#txtDatacaixa').val(datacaixa2);
    $('#txtDatacaixa').prop('disabled',true);
}

$('#cbCaixa').change(function()
{
    $('#cbCaixa2').val($('#cbCaixa').val());
    $('#cbCaixa3').val($('#cbCaixa').val());

    var caixa = $('#cbCaixa').val();
    localStorage.setItem('vcaixa',caixa); 

    //top.pcaixa = $('#cbCaixa').val();

    console.log('caixa numero selecionado: ' + caixa);
});

$('#cbCategoria').change(function()
{
    var categoria = $('#cbCategoria').val();
    console.log('categoria: ' + categoria);

    if(categoria=='' || categoria==null)
    {
        categoria='0';
    }
    if(categoria!='0')
    {
        PesquisaDadosCategoria(categoria);
    }
    else 
    {
        MensagemBox( 'erro','','Atenção para a Categoria da estadia!', 2000, 'Ok');
        $('#hdnDiaria').attr('data',0);
        $('#hdnAteSeis').attr('data',0);
        $('#hdnAdicional').attr('data',0);
        $('#hdnDiaria').attr('data',0);
        $('#hdnMotorapaga').attr('data',0);
        
    }
});


$('#btnFecharCaixa').click(function()
{
    $('#novo-caixa').show();
    //$('#fechar-valor-caixa').show();
    $('#salvar-caixa').hide();
    $('#caixa').show();
    $('#caixa-data').hide();
    $('#caixa-turno').hide();
    $('#caixa-guiche').hide();
    $('#caixa-inicial').hide();
    ListarCaixa();  //atualiza lista do caixa

});

function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}

/* $('#txtData').click(function()
{
    console.log(FormataStringData($('#txtData').val()));
}); */

$(function () 
{
    $('#txtData').datetimepicker(
    {
        format:'D/M/YYYY'
    });
       
});

$('#btnNovo').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        LimparCampos();
    
        $('#cadastro').show();
        $('#lista').hide();
        $('#filtro').hide();
        $('#btnExcluir').hide();
    }
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
    $('#totalcaixa').hide();

    $('#btnImprimirReciboRoma').hide();
    $('#btnImprimirReciboRoma2').hide();

    var caixa = localStorage.getItem('vcaixa');
    if(caixa!='')
    {
        $('#cbCaixa').val(caixa);
    }
});


$('#btnVoltarTotal').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
    $('#totalcaixa').hide();
});


$('#btnVoltar2').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
    $('#totalcaixa').hide();

    $('#btnImprimirReciboRoma').hide();
    $('#btnImprimirReciboRoma2').hide();

    var caixa = localStorage.getItem('vcaixa');
    if(caixa!='')
    {
        $('#cbCaixa').val(caixa);
    }
});

$('#btnPesquisar').click(function()
{
    var busca = $('#txtBusca').val();
    PesquisarCaixa(busca);
});

$('#btnSalvarBaixa2').click(function()
{
    SalvarDadosEstadia();
});

$('#btnSalvarBaixa').click(function()
{
    SalvarDadosEstadia();
});

$('#btnSalvaCaixa').click(function()
{
    SalvarDadosCaixa();
});

function SalvarDadosEstadia()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava       = 1;
    var idestadia   = $('#hdnId').attr('data');
    var datasaida   = $('#hdnDataSaida').attr('data');
    var avulso      = $('#hdnAvulso').attr('data');
    var forma       = $('#cbFormapgto').val();
    var estadia     = $('#txtEstadia').val();
    var especie     = 0;
    var debito      = 0;
    var credito     = 0;
    var desconto    = 0;
    var total       = $('#txtTotal').val();
    var categoria   = $('#cbCategoria').val();
    var caixa       = $('#cbCaixa').val();
    var status_pgto = '1';      //1 = pago   0 = pendente
    var ticket      = $('#txtTicket').val();
    var status      = 'ET'; 
    var cliente     = $('#hdnCliente').attr('data');
    var placa       = $('#txtPlaca2').val();
    var destinos2gpi= $('#hdnDestinoS2gpi').attr('data');
    
    //console.log('cliente: ' + cliente + ' placa: ' + placa + ' data: ' + datasaida);

    if(avulso=='1')
    {
        status='FN';
    }

    if(forma=='ES')
    {
        especie = $('#txtEstadia').val();
    }
    else if(forma=='CD')
    {
        debito = $('#txtEstadia').val();
    }
    else if(forma=='CC')
    {
        credito = $('#txtEstadia').val();
    }

    if($('#txtDesconto').val()!='')
    {
        desconto = $('#txtDesconto').val();
    }
    
    //fazer as validações aqui
    if(idestadia=='')
    {
        MensagemBox( 'erro','','Veículo não selecionado!', 2000, 'Ok');
        grava = 0;
    }
    if(categoria=='')
    {
        MensagemBox( 'erro','','Atenção para a Categoria da estadia!', 2000, 'Ok');
        grava = 0;
    }
    if(forma=='')
    {
        MensagemBox( 'erro','','Forma de Pagto não selecionado!', 2000, 'Ok');
        grava = 0;
    }

    //console.log('id: ' + idestadia + ' data saida: ' + datasaida + ' forma: ' + forma + ' valor estadia: ' + estadia + ' especie: ' + especie + ' debito: ' + debito + ' credito: ' + credito + ' desconto: ' + desconto + ' total: ' +  total + ' categoria: ' +  categoria + ' caixa: ' + caixa + ' status pgto: ' + status_pgto + ' ticket: ' + ticket + ' status: ' + status);

    if(grava==1)
    {
        SalvarEstadia(idestadia, datasaida, forma, estadia, especie, debito, credito, desconto, total, categoria, caixa, status_pgto, ticket, status, cliente, placa, destinos2gpi, avulso);
        
        var unidade = $('#hdnUnidade').attr('data');
        if(unidade=='1')        //SOENE
        {
            $('#btnImprimirRecibo').show();
            $('#btnImprimirRecibo2').show();
            $('#btnImprimirReciboRoma').hide();
            $('#btnImprimirReciboRoma2').hide();     
            //$('#btnImprimirReciboBrasil').hide();
            //$('#btnImprimirReciboBrasil2').hide();    
        }
        else if(unidade=='2')   //ROMA
        {
            $('#btnImprimirRecibo').hide();
            $('#btnImprimirRecibo2').hide();
            $('#btnImprimirReciboRoma').show();
            $('#btnImprimirReciboRoma2').show();   
            //$('#btnImprimirReciboBrasil').hide();
            //$('#btnImprimirReciboBrasil2').hide();       
        }
        else if(unidade=='3')   //INTERBRAS
        {
            $('#btnImprimirRecibo').hide();
            $('#btnImprimirRecibo2').hide();
            $('#btnImprimirReciboRoma').hide();
            $('#btnImprimirReciboRoma2').hide();   
            //$('#btnImprimirReciboBrasil').show();
            //$('#btnImprimirReciboBrasil2').show();       
        }
        
        $('#btnSalvarBaixa').hide();
        $('#btnSalvarBaixa2').hide();

    }
}

function SalvarDadosCaixa()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava        = 1;
    var idcaixa    = '0';
    var datacaixa  = $('#hdnDataCaixa').attr('data');
    var turno = $('#cbTurno').val();
    var guiche = $('#cbGuiche').val();
    var inicial = $('#txtValorini').val();
    
    
    //fazer as validações aqui

    if(datacaixa=='')
    {
        MensagemBox( 'erro','','Data do caixa não informada!', 2000, 'Ok');
        grava = 0;
    }
    if(turno=='')
    {
        MensagemBox( 'erro','','Turno do caixa não informado!', 2000, 'Ok');
        grava = 0;
    }
    if(guiche=='')
    {
        MensagemBox( 'erro','','Guichê não informado!', 2000, 'Ok');
        grava = 0;
    }
    if(inicial=='')
    {
        inicial = '0';
    }
    
    if(grava==1)
    {
        //console.log('id: ' + idcaixa + ' data: ' + datacaixa + ' turno: ' +  turno + ' ghichê: ' +  guiche + ' valor inicial: ' +  inicial);
        SalvarCaixa(idcaixa, datacaixa, turno, guiche, inicial);
    }
}

$("#tbSair tbody").on("click","span[name=baixarBtn]",function()
{
    if($('#cbCaixa').val()=='')
    {
        MensagemBox( 'erro','','Caixa não informado!', 2000, 'Ok');
        document.getElementById("cbCaixa").focus();

    }
    else
    {
        var caixa = $('#cbCaixa').val();
        $('#cbCaixa2').val(caixa);

        $('#cadastro').hide();
        $('#lista').hide();
        $('#baixa').show();    
        $('#totalcaixa').hide();

        $('#btnSalvarBaixa').show();
        $('#btnSalvarBaixa2').show();
        $('#btnImprimirRecibo').hide();
        $('#btnImprimirRecibo2').hide();
    }

    LimparCampos();


    //exibe dados aqui
    var id = $(this).attr("data");
    $('#hdnId').attr('data',id);
    localStorage.setItem('vestadia',id);    //guarda a estadia na memória

    $('#txtPlaca2').val($("#" + id + "_veiculo").attr('data2'));
    $('#txtMotorista2').val($("#" + id + "_motorista").attr('data2'));
    $('#txtCpf2').val($("#" + id + "_motorista").attr('data3'));
    $('#txtTransportador2').val($("#" + id + "_transportador").attr('data2'));
    $('#txtCliente2').val($("#" + id + "_cliente").attr('data2'));
    $('#txtDestino2').val($("#" + id + "_destino").attr('data2'));
    $('#txtDataEntrada').val($("#" + id + "_dataentrada").attr('data'));
    $('#cbCategoria').val($("#" + id + "_categoria").attr('data'));
    $('#hdnAvulso').attr('data',$("#" + id + "_avulso").attr('data'));
    $('#hdnOperacao').attr('data',$("#" + id + "_operacao").attr('data'));
    var operacao = $("#" + id + "_operacao").attr('data');
    if(operacao=='C')
    {
        $('#txtOperacao').val('CARREGAMENTO');
    }
    else if(operacao=='D')
    {
        $('#txtOperacao').val('DESCARREGAMENTO');
    }
    else
    {
        $('#txtOperacao').val('NÃO INFORMADO');
    }

    var dataentrada = $("#" + id + "_dataentrada").attr('data2');

    var unidade = $("#" + id + "_unidade").attr('data');
    $('#hdnUnidade').attr('data', unidade);

    var cliente = $("#" + id + "_cliente").attr('data');
    $('#hdnCliente').attr('data', cliente);
    var destinos2gpi = $("#" + id + "_destinos2gpi").attr('data');
    $('#hdnDestinoS2gpi').attr('data', destinos2gpi);

    //console.log('destino: ' + destinos2gpi);

    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var datasaida1 = ano + '-' + mes + '-' + dia + ' ' +  hora + ':' + minuto + ':' + segundo;
    var datasaida2 = dia + '/' + mes + '/' + ano + ' ' +  hora + ':' + minuto + ':' + segundo;
    $('#txtDataSaida').val(datasaida2);
    $('#hdnDataSaida').attr('data',datasaida1);

    var minutos = TempoEmMinutos(dataentrada, datasaida1);
    $('#hdnTempo').attr('data', minutos);
    $('#txtTempo').val(CalculaTempo(minutos));

    //var categoria = '0';
    var categoria = $("#" + id + "_categoria").attr('data'); //$('#cbCategoria').val();
    //console.log('categoria: ' + categoria);
    if(categoria=='' || categoria==null)
    {
        categoria='0'; 
    }
    if(categoria!='0')
    {
        //console.log('entrei na busca da categoria...' + categoria);
        PesquisaDadosCategoria(categoria);
    }
    else 
    {
        MensagemBox( 'erro','','Atenção para a Categoria da estadia!', 2000, 'Ok');
    }

});

function TempoEmMinutos(dataini, datafim)
{
    
    var startTime = new Date(dataini); 
    var endTime = new Date(datafim);
    var difference = endTime.getTime() - startTime.getTime(); // This will give difference in milliseconds
    var resultInMinutes = Math.round(difference / 60000);

    return resultInMinutes
}

$('#btnVoltarBaixa').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#baixa').hide();
    $('#totalcaixa').hide();
});

$('#btnVoltarBaixa2').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#baixa').hide();
    $('#totalcaixa').hide();
});

$("#tbSair tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#baixa').hide();
    $('#totalcaixa').hide();
    $('#btnExcluir').show();
    $('#btnImprimirReciboRoma').hide();
    $('#btnImprimirReciboRoma2').hide();
   
    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    //dados do veiculo
    $('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
    $('#txtPlaca').val($("#" + id + "_veiculo").attr('data2'));
    $('#txtPlaca_carreta').val($("#" + id + "_veiculo").attr('data3'));
    $('#txtMarca').val($("#" + id + "_veiculo").attr('data4'));
    $('#txtModelo').val($("#" + id + "_veiculo").attr('data5'));
    //dados do motorista
    $('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
    $('#txtCpf').val($("#" + id + "_motorista").attr('data2'));
    $('#txtNome').val($("#" + id + "_motorista").attr('data3'));
    $('#txtCelular').val($("#" + id + "_motorista").attr('data4'));
    $('#txtCnh').val($("#" + id + "_motorista").attr('data5'));
    $('#txtCategoria').val($("#" + id + "_motorista").attr('data6'));
    //dados da carga
    $('#txtData').val($("#" + id + "_data").attr('data'));
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
    $('#cbProduto').val($("#" + id + "_produto").attr('data'));
    $('#cbTransp').val($("#" + id + "_transportador").attr('data'));
    $('#cbDestino').val($("#" + id + "_destino").attr('data'));
    $('#cbTipocarga').val($("#" + id + "_tipocarga").attr('data'));
    $('#txtQtde').val($("#" + id + "_qtde").attr('data'));
    $('#txtPedido').val($("#" + id + "_pedido").attr('data'));
    $('#txtObs').val($("#" + id + "_obs").attr('data'));
    $('#txtCliente').val($("#" + id + "_cliente").attr('data2'));
    $('#hdnAvulso').attr('data',$("#" + id + "_avulso").attr('data'));
    $('#hdnOperacao').attr('data',$("#" + id + "_operacao").attr('data'));


    var cliente = $("#" + id + "_cliente").attr('data');
    $('#hdnCliente').attr('data', cliente);
    var destinos2gpi = $("#" + id + "_destinos2gpi").attr('data');
    $('#hdnDestinoS2gpi').attr('data', destinos2gpi);

    //console.log('destino: ' + destinos2gpi);

    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var agora = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
    $('#hdnDataSaida').attr('data', agora);

    //desabilita campos
    //$('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
    $('#txtCliente').prop('disabled',true);
    $('#txtPlaca').prop('disabled',true);
    $('#txtPlaca_carreta').prop('disabled',true);
    $('#txtMarca').prop('disabled',true);
    $('#txtModelo').prop('disabled',true);
    //dados do motorista
    //$('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
    $('#txtCpf').prop('disabled',true);
    $('#txtNome').prop('disabled',true);
    $('#txtCelular').prop('disabled',true);
    $('#txtCnh').prop('disabled',true);
    $('#txtCategoria').prop('disabled',true);
    //dados da carga
    $('#txtData').prop('disabled',true);
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
    $('#cbProduto').prop('disabled',true);
    $('#cbTransp').prop('disabled',true);
    $('#cbDestino').prop('disabled',true);
    $('#cbTipocarga').prop('disabled',true);
    $('#txtQtde').prop('disabled',true);
    $('#txtPedido').prop('disabled',true);
    $('#txtObs').prop('disabled',true);



    /*  id, 
        idcliente,
        idveiculo, 
        placa, 
        placa_carreta,
        idmotorista, 
        celular,
        idproduto,  
        idtransportador, 
        iddestino, 
        dataprev,
        datachamada, 
        datasaida, 
        foichamado,
        status,
        qtde,
        pedido,
        obs,
        tipocarga */
   
});

function LimparCampos()
{
    localStorage.setItem('vcaixa','');
    $('#hdnId').attr('data','0');
    $('#txtPlaca2').val('');   
    $('#txtMotorista2').val('');   
    $('#txtTransportador2').val('');   
    $('#txtCliente2').val('');   
    $('#txtCpf2').val('');   
    $('#cbCategoria').val('');   
    $('#txtEstadia').val('');   
    $('#txtPago').val(''); 
    $('#txtTroco').val(''); 
    $('#txtDesconto').val(''); 
    $('#txtTotal').val(''); 
    $('#txtTempo').val(''); 
    $('#txtTicket').val(''); 
    $('#txtEspecie').val(''); 
    $('#txtDebito').val(''); 
    $('#txtCredito').val(''); 
    $('#cbFormapgto').val(''); 
    
}

function PesquisarCaixa(busca)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-caixa-sair",
        method: 'post',
        data:
        {
            busca: busca
        },
        beforeSend: function()
        {
            $('#tbSair tbody tr').remove();
            $('#tbSair tbody p').remove();
            $('#btnPesquisar').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            $('#btnPesquisar').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
            var qtde = 0;

            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-sign-out-alt"></i>&nbsp;';
                
                data.consulta.forEach(item =>
                {
                    var status = '';
                    var chamado = item.foichamado;
                    if(chamado=='1')
                    {
                        chamado = ' <span class="badge badge-success estilobag" style="color: #000;"><i class="fas fa-bullhorn fa-lg"></i>&nbsp;FOI CHAMADO</span> Chamado por: ' + item.chamadopor +  ' em: ' + item.datachamada + ' ';
                    }
                    else 
                    {
                        chamado = ' ';
                    }

                    if(item.status=='AG')
                    {
                        status = '<span class="badge badge-success estilobag">AGENDADO</span>';
                    }
                    else if(item.status=='ET')
                    {
                        status = '<span class="badge badge-info estilobag">EM TRÂNSITO</span>';
                    }
                    else if(item.status=='PA')
                    {
                        status = '<span class="badge badge-dark estilobag">NO PÁTIO</span>';
                    }
                    else if(item.status=='NF')
                    {
                        status = '<span class="badge badge-warning">NA FÁBRICA</span>';
                    }
                    else if(item.status=='RC')
                    {
                        status = '<span class="badge badge-warning">RECEBIDO CLIENTE</span>';
                    }
                    else if(item.status=='CL')
                    {
                        status = '<span class="badge badge-danger estilobag">CANCELADO</span>';
                    }
                    else if(item.status=='FN')
                    {
                        status = '<span class="badge badge-secondary">FINALIZADO</span>';
                    }
                    else
                    {
                        status = '<span class="badge badge-dark estilobag"></span>';
                    }

                    if(item.inspecao=='0')
                    {
                        insp='<span>...</span>';
                    }
                    else
                    {
                        if(item.unidade=='2')   //ROMA
                        {
                            insp= '<a target="_blank" href="/public/pdfinsp/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                            //insp= '<a target="_blank" href="/pdfinsp/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                        }
                        else if(item.unidade=='1')   //SOENE
                        {
                            insp= '<a target="_blank" href="/public/pdfinspsoene/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                            //insp= '<a target="_blank" href="/pdfinspsoene/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                        }
                        else if(item.unidade=='3')   //SOENE
                        {
                            insp= '<a target="_blank" href="/public/pdfinspbrasil/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                            //insp= '<a target="_blank" href="/pdfinspbrasil/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                        }
                        //insp= '<a target="_blank" href="/public/pdfinsp/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                        //insp= '<a target="_blank" href="/pdfinsp/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                    }

                    var operacao = '';
                    if(item.operacao=='C')
                    {
                        operacao = ' - CARREGAMENTO';
                    }
                    else if(item.operacao=='D')
                    {
                        operacao = ' - DESCARREGAMENTO';
                    }
                    
                    var icotruck = '<i class="fas fa-truck"></i>&nbsp;';
                    var icodata = '<i class="fas fa-clock fa-lg"></i>&nbsp;';
                    var icomotora = '<i class="fas fa-user-tie"></i>&nbsp;';
                    var icocarga = '<i class="fas fa-truck-loading"></i>&nbsp;';
                    var icodestino = '<i class="fas fa-map-marker-alt fa-lg"></i>&nbsp;';
                    
                    var lock = item.bloqueio;
                    if(lock=='1')
                    {
                        lock = '&nbsp;&nbsp;<span class="badge badge-danger estilobag" title="veículo bloqueado. ' + item.motivo + '"><i class="fas fa-lock fa-lg"></i> BLOQUEADO</span>';
                        //lock = '&nbsp;&nbsp;<span style="color: #ff0000;" title="veículo bloqueado. ' + item.motivo + '"></span> <span class="badge badge-danger estilobag"><i class="fas fa-lock fa-lg"></i> BLOQUEADO</span>';
                    }
                    else 
                    {
                        lock = '';
                    }


                    var ocorrencia = item.qtde_ocorr;
                    if(ocorrencia!='0')
                    {
                        ocorrencia = '&nbsp;&nbsp;<span style="color: #0066ff;" title="a estadia possui ' + item.qtde_ocorr + ' ocorrências"><i class="far fa-comment-dots fa-lg"></i> (' + item.qtde_ocorr + ')</span>';
                    }
                    else 
                    {
                        ocorrencia = '';
                    }


                    //var ativo = ' style="font-color: #000;"';
                    //var nome = item.descricao;
                    //if(item.ativo=='0')
                    //{
                    //    ativo = ' style="color: #ff0000;"';
                    //    icodestino = '<i class="fas fa-map-marker-alt fa-lg" ' + ativo + '></i>&nbsp;';
                    //    nome = '<del>' + nome + '</del>';
                    //}
                    qtde = qtde + 1;

                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_data" data="' + item.dataprev + ' ' + item.horaprev + '" style="font-size: 12pt;"><b>' + icodata + ' ' + item.dataprev + ' ' + item.horaprev + ' - ' + icotruck + ' ' + item.placa + ' - ' + icomotora + ' ' + item.motorista + '</b> ' + status + ' ' + chamado + '<br>' + icocarga + item.produto + ' - ' + item.qtde + ' - ' + icodestino + item.cliente + '/' + item.destino + ' - ' + item.transportador + operacao + ' ' + lock + ' ' + ocorrencia + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_cliente" data="'+ item.idcliente +'" data2="'+ item.cliente +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_veiculo" data="'+ item.idveiculo +'" data2="'+ item.placa +'" data3="'+ item.placa_carreta + '" data4="'+ item.marca +'" data5="'+ item.modelo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_motorista" data="'+ item.idmotorista +'" data2="'+ item.motorista +'" data3="'+ item.cpf + '" data4="'+ item.celular +'" data5="'+ item.cnh +'"  data6="'+ item.categoria +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_produto" data="'+ item.idproduto +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_transportador" data="'+ item.idtransportador +'" data2="'+ item.transportador +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_destino" data="'+ item.iddestino +'" data2="'+ item.destino +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_dataprev" data="'+ item.dataprev +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_datachamada" data="'+ item.datachamada +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_datasaida" data="'+ item.datasaida +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_dataentrada" data="'+ item.dataentrada +'" data2="'+ item.dataentradacalc +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_foichamado" data="'+ item.foichamado +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_status" data="'+ item.status +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_qtde" data="'+ item.qtde +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_pedido" data="'+ item.pedido +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_obs" data="'+ item.obs +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_categoria" data="'+ item.categoriapgto +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_tipocarga" data="'+ item.tipocarga +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_avulso" data="'+ item.avulso +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_destinos2gpi" data="'+ item.destinos2gpi +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_unidade" data="'+ item.unidade +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_operacao" data="'+ item.operacao +'"/>'

                            +      '<td width="10%" class="text-center">'
                            +         '<span name="baixarBtn" class="fas fa-sign-out-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Baixar para sair"></span>&nbsp;&nbsp;&nbsp;'
                            +         '<span name="editBtn" class="fas fa-search fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #80b3ff;" title="Consultar detalhes"></span>&nbsp;&nbsp;' + insp + ' '
                            +      '</td>'
                            +   '</tr>';

                        $('#tbSair tbody').append(linha);
                });
                if(qtde > 0)
                {
                    $('#tbSair tbody').append('<p><br>Qtde de veículos: <b>' + qtde + '</b></p>');
                }
            }
            else
            {
                $('#tbSair tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarEstadia(idestadia, datasaida, forma, estadia, especie, debito, credito, desconto, total, categoria, caixa, status_pgto, ticket, status, cliente, placa, destinos2gpi, avulso)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-estadia-caixa",
        method: 'post',
        data:
        {
            idestadia:  idestadia, 
            datasaida:  datasaida, 
            forma:      forma, 
            vestadia:    estadia, 
            especie:    especie, 
            debito:     debito, 
            credito:    credito, 
            desconto:   desconto, 
            total:      total, 
            categoria:  categoria, 
            caixa:      caixa, 
            status_pgto:status_pgto, 
            ticket:     ticket, 
            status:     status,
            cliente:    cliente,
            placa:      placa,
            destinos2gpi: destinos2gpi,
            avulso: avulso
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            if(data.resposta!='')
            {
                $('#hdnFeedback').attr('data',data.resposta);
                if(data.resposta=='200')
                {
                    MensagemBox( 'sucesso','','Saída do pátio realizada com sucesso / estadia criada na EMAP !', 2000, 'Ok');
                }
                else if(data.resposta=='400')
                {
                    MensagemBox( 'alerta','','Saída do pátio realizada com sucesso / criação de estadia na EMAP falhou !', 2000, 'Ok');
                }
                else if(data.resposta=='0')
                {
                    MensagemBox( 'alerta','','Saída do pátio realizada com sucesso / criação de estadia na EMAP falhou !', 2000, 'Ok');
                }
            }
            else 
            {
                MensagemBox( 'sucesso','','Saída do pátio realizada com sucesso !', 2000, 'Ok');
            }
            PesquisarCaixa();
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente-sair",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbClientePesq').empty();
            $('#cbClientePesq').append('<option value="">Carregando...</option>');
            $('#cbClientePesq').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbClientePesq').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbClientePesq').empty();
                $('#cbClientePesq').append('<option value="">Todos...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbClientePesq').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarProduto3()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-produto-sair",
        method: 'post',
        data:
        {
           cliente: ''
        },
        beforeSend: function()
        {
            $('#cbProduto').empty();
            $('#cbProduto').append('<option value="">Carregando...</option>');
            $('#cbProduto').prop('disabled',true);
        },
        complete: function()
        {
            //$('#cbProduto').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbProduto').empty();
                $('#cbProduto').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    var produto = item.descricao;
                    if(item.formula!='')
                    {
                        produto = produto + ' - Formula: ' + item.formula;
                    }
                    $('#cbProduto').append('<option value="' + item.id + '">' + produto + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarDestino3()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-destino-sair",
        method: 'post',
        data:
        {
           cliente: ''
        },
        beforeSend: function()
        {
            $('#cbDestino').empty();
            $('#cbDestino').append('<option value="">Carregando...</option>');
            $('#cbDestino').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbDestino').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbDestino').empty();
                $('#cbDestino').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbDestino').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarTransp3()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-transp-sair",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbTransp').empty();
            $('#cbTransp').append('<option value="">Carregando...</option>');
            $('#cbTransp').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbTransp').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTransp').empty();
                $('#cbTransp').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    
                    $('#cbTransp').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function BuscarCliente(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-cliente",
        method: 'post',
        data:
        {
           idcliente: cliente
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtCliente').val(item.nome);
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}



function BuscarMotorista(cpf)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-motorista-cpf",
        method: 'post',
        data:
        {
           cpf: cpf
        },
        beforeSend: function()
        {
            $('#txtNome').val('');
            $('#txtCelular').val('');
            $('#txtCnh').val('');
            $('#txtCategoria').val('');
            $('#hdnMotorista').attr('data',0);

            $('#txtNome').prop('disabled',true);
            //$('#txtCelular').prop('disabled',true);
            $('#txtCnh').prop('disabled',true);
            $('#txtCategoria').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtNome').val(item.nome);
                    $('#txtCelular').val(item.celular);
                    $('#txtCnh').val(item.cnh);
                    $('#txtCategoria').val(item.categoria);
                    $('#hdnMotorista').attr('data',item.id);
                });
            }
            else 
            {
                MensagemBox('alerta','Busca Motorista','Motorista não encontrado!', 2000, 'Ok');
                $('#txtNome').prop('disabled',false);
                //$('#txtCelular').prop('disabled',false);
                $('#txtCnh').prop('disabled',false);
                $('#txtCategoria').prop('disabled',false);

                //MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

$('#txtCpf').keyup(function(event)
{
    var cpf = $('#txtCpf').val();
    var tamanho = cpf.length;

    //console.log('tamanho: ' + tamanho);
    if(tamanho==11)
    {
        BuscarMotorista(cpf)
    }
    else
    {
        LimpaCamposMotorista()
    }
});

function LimpaCamposMotorista()
{
    $('#txtNome').val('');
    $('#txtCelular').val('');
    $('#txtCnh').val('');
    $('#txtCategoria').val('');
    $('#hdnMotorista').attr('data',0);
}


function BuscarVeiculo(placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-veiculo-placa",
        method: 'post',
        data:
        {
           placa: placa
        },
        beforeSend: function()
        {
            $('#txtPlaca_carreta').val('');
            $('#txtMarca').val('');
            $('#txtmodelo').val('');
            $('#hdnVeiculo').attr('data',0);

            //$('#txtPlaca_carreta').prop('disabled',true);
            $('#txtMarca').prop('disabled',true);
            $('#txtModelo').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtPlaca_carreta').val(item.placa_carreta);
                    $('#txtMarca').val(item.marca);
                    $('#txtModelo').val(item.modelo);
                    $('#hdnVeiculo').attr('data',item.id);
                });
            }
            else 
            {
                MensagemBox('alerta','Busca Veículo','Veículo não encontrado!', 2000, 'Ok');
                //$('#txtPlaca_carreta').prop('disabled',false);
                $('#txtMarca').prop('disabled',false);
                $('#txtModelo').prop('disabled',false);
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


$('#txtPlaca').keyup(function(event)
{
    var placa = $('#txtPlaca').val();
    var tamanho = placa.length;

    placa = placa.toUpperCase();
    $('#txtPlaca').val(placa);

    //console.log('tamanho: ' + tamanho);
    if(tamanho==7)
    {
        BuscarVeiculo(placa)
    }
    else
    {
        LimpaCamposVeiculo()
    }
});

function LimpaCamposVeiculo()
{
    $('#txtPlaca_carreta').val('');
    $('#txtMarca').val('');
    $('#txtmodelo').val('');
    $('#hdnVeiculo').attr('data',0);
}


function ListarCaixa(caixa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-caixa-aberto",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbCaixa').empty();
            $('#cbCaixa').append('<option value="">Carregando...</option>');
            $('#cbCaixa').prop('disabled',true);

            $('#cbCaixa2').empty();
            $('#cbCaixa2').append('<option value="">Carregando...</option>');

            $('#cbCaixa3').empty();
            $('#cbCaixa3').append('<option value="">Carregando...</option>');
        },
        complete: function()
        {
            $('#cbCaixa').prop('disabled',false);
        },
        success: function(data)
        {
            var n = 0;
            var idcx = '';
            if(data.consulta.length > 0)
            {
                $('#cbCaixa').empty();
                $('#cbCaixa').append('<option value="">Selecione...</option>');
               
                $('#cbCaixa2').empty();
                $('#cbCaixa2').append('<option value="">Selecione...</option>');

                $('#cbCaixa3').empty();
                $('#cbCaixa3').append('<option value="">Selecione...</option>');
               
                
                data.consulta.forEach(item =>
                {
                    n = n + 1;
                    $('#cbCaixa').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                    $('#cbCaixa2').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                    $('#cbCaixa3').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                    idcx = item.id;
                });
               
            }

            //console.log('contador: ' + n);

            if(n == 0)
            {
                NovoCaixa();
                MensagemBox( 'alerta','','Necessário informar dados para abertura do Caixa!', 2000, 'Ok');
            }

            /* if(caixa!='')
            {
                $('#cbCaixa').val(caixa);
            } */

            var ppcaixa = localStorage.getItem('vcaixa');
            //var ppcaixa = top.pcaixa;
            /* if(ppcaixa!='')
            {
                $('#cbCaixa').val(ppcaixa);
            } */

            if(idcx!='')
            {
                $('#cbCaixa').val(idcx);
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarTurno()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-turno",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbTurno').empty();
            $('#cbTurno').append('<option value="">Carregando...</option>');
            $('#cbTurno').prop('disabled',true);

            $('#cbTurnocx').empty();
        },
        complete: function()
        {
            $('#cbTurno').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTurno').empty();
                $('#cbTurno').append('<option value="">Selecione...</option>');

                $('#cbTurnocx').empty();
                $('#cbTurnocx').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbTurno').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                    $('#cbTurnocx').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function SalvarCaixa(idcaixa, datacaixa, turno, guiche, inicial)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-caixa",
        method: 'post',
        data:
        {
            idcaixa:    idcaixa, 
            datacaixa:  datacaixa, 
            turno:      turno, 
            guiche:     guiche, 
            inicial:    inicial 
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Caixa aberto com sucesso!', 2000, 'Ok');
            $('#novo-caixa').show();
            $('#salvar-caixa').hide();
            //$('#fechar-valor-caixa').show();
            $('#caixa').show();
            $('#caixa-data').hide();
            $('#caixa-turno').hide();
            $('#caixa-guiche').hide();
            $('#caixa-inicial').hide();

            if(data.consulta!='')
            {
                localStorage.setItem('vcaixa',data.consulta); 
                var caixa = localStorage.getItem('vcaixa');
                console.log('caixa: ' + caixa);
                ListarCaixa(caixa);  //atualiza lista do caixa
            }
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function ListarCategoria()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-categoria-caixa",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbCategoria').empty();
            $('#cbCategoria').append('<option value="">Carregando...</option>');
            $('#cbCategoria').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbCategoria').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbCategoria').empty();
                $('#cbCategoria').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbCategoria').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function CalculaTempo(tempo)
{
    if(tempo < 60)
    {
        return  tempo + ' min'
    }
    else
    {
        //return tempo + ' ???'
        if(tempo == 60)
        {
            return '1 h';
        }
        else if(tempo > 60)
        {
            var t = (tempo / 60);
            var horas = Math.trunc(t);
            var fracao = Math.round((t - horas) * 60);
            return horas + 'h ' + fracao + 'min'
        }
    }
}

function CalculaValorEstadia(tempo, diaria, ateseis, horaadd, marcacao, marcacaodesc, operacao)
{
    var tempoadd =0;            //tempo adiconal além das 6h
    var valoradd = 0;           //valor adicional
    var valor = 0;              //valor a receber 
    var dias = 0;               //qtde de dias 
    var fracao = 0;  
    var horas = 0;  
    //var marcacao = 0;    

    diaria = parseFloat(diaria);
    ateseis = parseFloat(ateseis);
    horaadd = parseFloat(horaadd);
    marcacao = parseFloat(marcacao);
    marcacaodesc = parseFloat(marcacaodesc);

    //console.log('valor ate seis horas: ' + ateseis);

    //horaadd = parseFloat(horaadd);
    //horaadd = parseFloat(horaadd);

    if(marcacao > 0 && marcacaodesc > 0)
    {
        if(tempo > 1440)    //mais de 1 dia
        {
            dias = 1;   // parseInt(tempo / 1440);
            //fracao = (tempo / 60) - dias;
            fracao = (tempo - 1440) / 60;
            fracao = fracao.toFixed(2);
            //console.log('tempo maior que 1 dia...' + tempo);
        }
        else if(tempo <= 1440)  //igual ou menor a 1 dia
        {
            dias = 1;
            fracao = 0;
        }
        
        if(operacao=='C')       //carrgamento
        {
            valor = (dias * marcacao) + (fracao * horaadd);
        }
        else if(operacao=='D')  //descarregar
        {
            valor = (dias * marcacaodesc) + (fracao * horaadd);
        }
        else
        {
            valor = 0;
        }

        valor = valor.toFixed(2);
        return valor;
    
    }


    if(tempo > 1440)
    {
        dias = parseInt(tempo / 1440);
        fracao = (tempo / 1440) - dias;
        fracao = fracao.toFixed(2);
    }
    else if(tempo == 1440)
    {
        dias = 1;
        fracao = 0;
    }
    else
    {
        dias = 0;
    }

    if(tempo < 120)             //demorou menos de 2h -> não paga nada
    {
        return '0.00';
    }
    else if(tempo >= 120 && tempo <= 360) //permaneceu entre 2 a 6h
    {
        //return ateseis;
        return diaria;
    }
    else if(tempo > 360 && tempo <= 1200) //permaneceu mais que 6h e menos que 20h
    {
        //console.log('calculei tempo...' + tempo);
        tempoadd = parseInt(tempo) - 360;         //tempo total menos 6h em minutos
        horas = parseInt(tempoadd / 60)
        //valor = parseFloat(ateseis) + (horas * horaadd);
        valor = parseFloat(diaria) + (horas * horaadd);

       
        //valor = valor.toFixed(2);
        valor = valor.toFixed(2);

        //console.log('valor: ' + valor + ' horas ' + horas + ' hora add ' + horaadd);
        return valor;
    }
    else if(tempo > 1200 && tempo <= 1440)
    {
        valor = diaria;
        valor = valor.toFixed(2);
        return valor;
    }
    else if(tempo > 1440)
    {
        //console.log('dias: ' + dias + ' diaria: ' + diaria + ' fracao: ' + fracao  + ' hora add:  ' + horaadd)
        dias = parseInt(tempo / 1440);
        fracao = (tempo / 1440) - dias;
        fracao = parseFloat(fracao);

        valor = (dias * diaria) + (fracao * horaadd);
        valor = valor.toFixed(2);
        return valor;
    }

}


function PesquisaDadosCategoria(categoria)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-dados-categoria",
        method: 'post',
        data:
        {
            categoria:  categoria
        },
        beforeSend: function()
        {
            $('#cbCategoria').prop('disabled',true);
            $('#hdnDiaria').attr('data',0);
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Pesquisando preço do procedimento...');
        },
        complete: function()
        {
            $('#cbCategoria').prop('disabled',false);
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            //console.log('data: ' + data.consulta);
            data.consulta.forEach(item =>
            {
                $('#hdnDiaria').attr('data',item.diaria);
                $('#hdnAteSeis').attr('data',item.hora);
                $('#hdnAdicional').attr('data',item.horaadd);
                $('#hdnMotorapaga').attr('data',item.motora);

                //console.log('diaria: ' + item.diaria + ' hora: ' + item.hora + ' hora add: ' + item.horaadd + ' motora paga: ' + item.motora);

                var tempo = $('#hdnTempo').attr('data');        //tempo de permanência em minutos
                var operacao = $('#hdnOperacao').attr('data');        //tipo de operação C D
                //console.log('tempo: ' + tempo);
                var valor = CalculaValorEstadia(tempo, item.diaria, item.hora, item.horaadd, item.marcacao, item.marcacaodesc, operacao);       //Calcula valor devido 
                
                $('#txtEstadia').val(valor); 
                $('#txtTotal').val(valor); 
                
            });

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function calcula()
{

    var especie = 0;
    var desconto = 0;
    var estadia = 0;

    var texto = $('#txtDesconto').val();
    var resultado = texto.replace(",", ".");
    $('#txtDesconto').val(resultado);

    if($('#txtDesconto').val()==''){desconto = 0}else{desconto = $('#txtDesconto').val();};
    if($('#txtEstadia').val()==''){estadia = 0}else{estadia = $('#txtEstadia').val();};

    estadia = parseFloat(estadia);
    desconto = parseFloat(desconto);

    $('#txtTotal').val((estadia - desconto).toFixed(2));
    
}

function troco()
{
    var troco = 0;
    var total = 0;
    var pago = 0;

    var texto = $('#txtPago').val();
    var resultado = texto.replace(",", ".");
    $('#txtPago').val(resultado);

    if($('#txtPago').val()==''){pago = 0}else{pago = $('#txtPago').val();};
    if($('#txtTotal').val()==''){total = 0}else{total = $('#txtTotal').val();};
    troco = parseFloat(pago) - parseFloat(total)
    troco = troco.toFixed(2)
    $('#txtTroco').val(troco);
}


function PesquisaDadosCaixa(caixa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-dados-caixa",
        method: 'post',
        data:
        {
            caixa:  caixa
        },
        beforeSend: function()
        {
            //$('#cbCategoria').prop('disabled',true);
            //$('#hdnDiaria').attr('data',0);
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Pesquisando dados...');
        },
        complete: function()
        {
            //$('#cbCategoria').prop('disabled',false);
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            //console.log('data: ' + data.consulta);
            data.consulta.forEach(item =>
            {
                var total = parseFloat(item.total) + parseFloat(item.inicial);
                $('#txtDatacx').val(item.data); 
                $('#cbTurnocx').val(item.turno);
                $('#cbGuichecx').val(item.guiche);
                $('#cbUsuariocx').val(item.usuario);
                $('#cbStatuscx').val(item.status);
                $('#txtInicialcx').val(item.inicial);
                $('#txtEspeciecx').val(item.especie);
                $('#txtDebitocx').val(item.debito);
                $('#txtCreditocx').val(item.credito);
                $('#txtDescontocx').val(item.desconto);
                $('#txtTotalcx').val(total.toFixed(2));
                
                
            });

        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function ListarUsuario()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-usuario-caixa",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbUsuariocx').empty();
            //$('#cbUsuariocx').append('<option value="">Carregando...</option>');
            //$('#cbUsuariocx').prop('disabled',true);

        },
        complete: function()
        {
            //$('#cbUsuariocx').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbUsuariocx').empty();
                $('#cbUsuariocx').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbUsuariocx').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function FecharDadosCaixa()
{

    var grava       = 1;
    var idcaixa     = $('#cbCaixa').val();
    var especie     = $('#txtEspeciecx').val();
    var debito      = $('#txtDebitocx').val();
    var credito     = $('#txtCreditocx').val();
    var desconto    = $('#txtDescontocx').val();
    var total       = $('#txtTotalcx').val();
    var obs         = $('#txtObscx').val();
    
    if(especie==''){especie='0'}
    if(debito==''){debito='0'}
    if(credito==''){credito='0'}
    if(desconto==''){desconto='0'}
    if(total==''){total='0'}
        
    if(grava==1)
    {
        FecharDadosCaixaAjax(idcaixa, especie, debito, credito, desconto, total);
    }
}

function FecharDadosCaixaAjax(idcaixa, especie, debito, credito, desconto, total)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-fechar-caixa",
        method: 'post',
        data:
        {
            idcaixa: idcaixa, 
            especie: especie, 
            debito: debito, 
            credito: credito, 
            desconto: desconto, 
            total: total 
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Caixa fechado com sucesso!', 2000, 'Ok');
            $('#btnFecharTotalCaixa').hide();
            $('#btnImprimirCaixa').show();
            ListarCaixa();  //atualiza lista do caixa
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


$('#btnFecharTotalCaixa').click(function()
{
    if($('#cbCaixa').val()=='')
    {
        MensagemBox( 'alerta','','Caixa não informado!', 2000, 'Ok');
        document.getElementById("cbCaixa").focus();
    }
    else
    {
        FecharDadosCaixa();
    }
});


function ListarVeiculosDoCaixa(caixa)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-veiculos-do-caixa",
        method: 'post',
        data:
        {
            caixa: caixa
        },
        beforeSend: function()
        {
            $('#tbCaixa tbody tr').remove();
            $('#tbCaixa tbody p').remove();
            //$('#btnPesquisar').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#btnPesquisar').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
            var qtde = 0;
            var tipo = '';
            var tempo = '';
            var data1 = '';
            var data2 = '';
            var minutos = '';

            if(data.consulta.length > 0)
            {
                
                //var icocodigo = '<i class="fas fa-sign-out-alt"></i>&nbsp;';
                
                data.consulta.forEach(item =>
                {
                    data1 = item.entrada;
                    data2 = item.saida;
                    minutos = TempoEmMinutos(data1, data2);
                    tempo = CalculaTempo(minutos);

                    if(item.tipo=='AVULSO')
                    {
                        tipo = '<span class="badge badge-info estilobag">AVULSO</span>';
                    }
                    else 
                    {
                        tipo = '<span class="badge badge-primary estilobag">ESTADIA NORMAL</span>';
                    }

                    qtde = qtde + 1;

                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_d1" data="' + item.placa + '" style="font-size: 10pt;">' + item.placa + '</td>'
                            +      '<td id="'+ item.id +'_d2" data="' + item.placa + '" style="font-size: 10pt;">' + item.motorista + '</td>'
                            +      '<td id="'+ item.id +'_d3" data="' + item.placa + '" style="font-size: 10pt;">' + item.cliente + '</td>'
                            +      '<td id="'+ item.id +'_d4" data="' + item.placa + '" style="font-size: 10pt;">' + item.entrada + '</td>'
                            +      '<td id="'+ item.id +'_d5" data="' + item.placa + '" style="font-size: 10pt;">' + item.saida + '</td>'
                            +      '<td id="'+ item.id +'_d6" data="' + item.placa + '" style="font-size: 10pt;">' + tempo + '</td>'
                            +      '<td id="'+ item.id +'_d7" data="' + item.placa + '" style="font-size: 10pt;">' + item.valor + '</td>'
                            +      '<td id="'+ item.id +'_d8" data="' + item.placa + '" style="font-size: 10pt;">' + item.desconto + '</td>'
                            +      '<td id="'+ item.id +'_d9" data="' + item.placa + '" style="font-size: 10pt;">' + item.total + '</td>'
                            +      '<td id="'+ item.id +'_d10" data="' + item.placa + '" style="font-size: 10pt;">' + item.formapgto + '</td>'
                            +      '<td id="'+ item.id +'_d11" data="' + item.placa + '" style="font-size: 10pt;">' + tipo + '</td>'

                            
                            +   '</tr>';

                        $('#tbCaixa tbody').append(linha);
                });
                if(qtde > 0)
                {
                    $('#tbCaixa tbody').append('<p><br>Qtde de veículos: <b>' + qtde + '</b></p>');
                }
            }
            else
            {
                $('#tbCaixa tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}




