$(document).ready(function()
{
    
    $('#txtMarca').prop('disabled',true);
    //$('#txtModelo').prop('disabled',true);
    $('#txtNome').prop('disabled',true);
    $('#txtCelular').prop('disabled',true);
    $('#txtData').prop('disabled',true);
    $('#txtHora').prop('disabled',true);
    $('#cbTransp').prop('disabled',true);

    $('#txtOperacao').hide();
    $('#salvar-operacao').hide();
    //$('#destino').show();
    $('#nova-operacao').show();
    ListarTransp();
    //ListarOperacao('');

    $('#cadastro').show();
    LimparCampos();

    $('#feedback-placa').hide();
    $('#feedback-motora').hide();
    $('#feedback-patio').hide();

    //define o Vira para Fisico
    $('#hdnViravirtual').attr('data', '0');
    //checa se vira é virtual
    var usuario = $('#hdnUsuario').attr('data');
    //console.log('usuario: ' + usuario);
    BuscarClasse(usuario);

    Feedback('');
    FeedbackOk('');

});

function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}

/* $('#txtData').click(function()
{
    console.log(FormataStringData($('#txtData').val()));
}); */

/* $(function () 
{
    $('#txtData').datetimepicker(
    {
        format:'D/M/YYYY'
    });
       
}); */



function MostraData()
{
    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var agora = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
    var data = dia + '/' + mes + '/' + ano;
    var hora = hora + ':' + minuto;

    $('#hdnDataEntrada').attr('data', agora);
    $('#txtData').prop('disabled',true);
    $('#txtHora').prop('disabled',true);
    $('#txtData').val(data);
    $('#txtHora').val(hora);
}

/* $('#cbCiffob').change(function()
{
    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var agora = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
    var data = dia + '/' + mes + '/' + ano;
    var hora = hora + ':' + minuto;

    $('#hdnDataEntrada').attr('data', agora);
    
    var tipo = $('#cbCiffob').val();
    if(tipo=='CIF')     //a base vai chamar, pega a data atual
    {
        $('#txtData').prop('disabled',true);
        $('#txtHora').prop('disabled',true);
        $('#txtData').val(data);
        $('#txtHora').val(hora);
    }
    else if(tipo=='FOB')
    {
        $('#txtData').prop('disabled',false);
        $('#txtHora').prop('disabled',false);
        $('#txtData').val('');
        $('#txtHora').val('');
    }
    else
    {
        $('#txtData').prop('disabled',true);
        $('#txtHora').prop('disabled',true);
        $('#txtData').val('');
        $('#txtHora').val('');
    }
}); */

$('#btnNovo').click(function()
{
    LimparCampos();
    $('#btnSalvar').prop('disabled',false);
    Feedback('');
    FeedbackOk('');
    $('#feedback-placa').hide();
    $('#feedback-motora').hide();
    $('#feedback-patio').hide();
});

$('#nova-operacao').click(function()
{
    $('#nova-operacao').hide();
    $('#txtOperacao').show();
    $('#salvar-operacao').show();
    $('#cbOperacao').hide();
    $('#txtOperacao').val('');
    document.getElementById("txtOperacao").focus();
})

$('#btnDesfaz').click(function()
{
    $('#nova-operacao').show();
    $('#txtOperacao').hide();
    $('#salvar-operacao').hide();
    $('#cbOperacao').show();
    $('#txtOperacao').val('');
    document.getElementById("txtOperacao").focus();
})


$('#btnSalvaOperacao').click(function()
{
    $('#nova-operacao').show();
    $('#txtOperacao').hide();
    $('#salvar-operacao').hide();
    $('#cbOperacao').show();
    document.getElementById("cbOperacao").focus();
    //gravar o destino novo
    SalvarDadosOperacao();
    //atualizar a lista do destino

})

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    //$('#lista').show();
    $('#filtro').hide();
});

$('#btnVoltar2').click(function()
{
    $('#cadastro').hide();
    //$('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        //MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
        alert('Cliente inválido!');
    }
    else 
    {
        PesquisarAgendado(cliente);
    }
});

$('#cbCliente').change(function()
{
    var cliente = $('#cbCliente').val();
     if(cliente!='')
    {
        BuscarCliente(cliente);
        //ListarProduto(cliente);
        //ListarDestino(cliente);
    }
});

$('#btnSalvar').click(function()
{
    SalvarDadosVira();
});

function SalvarDadosVira()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    //atualiza data
    MostraData();
    
    var grava        = 1;
    var idestadia    = $('#hdnId').attr('data');
    //dados do veiculo
    var veiculo      = $('#hdnVeiculo').attr('data');
    var viravirtual  = $('#hdnViravirtual').attr('data');
   
    var placa        = $('#txtPlaca').val();
    var placa_carreta= $('#txtPlaca_carreta').val();
    var marca        = $('#txtMarca').val();
    var modelo       = '';
    //dados do motorista
    var motorista    = $('#hdnMotorista').attr('data');
    var cpf          = $('#txtCpf').val();
    var nome         = $('#txtNome').val();
    var celular      = $('#txtCelular').val();
    var cnh          = '';
    var categoria    = '';
    //dados da carga
    var cliente      = '';
    var produto      = '';
    var qtde         = '';  //$('#txtQtde').val();
    var pedido       = '';   //$('#txtPedido').val();
    var tipo_carga   = 'CS';    //
    var data         = $('#hdnData').attr('data');
    var dataentrada  = $('#hdnDataEntrada').attr('data');
    var hora         = $('#txtHora').val();
    var destino      = '';
    var transp       = $('#cbTransp').val();
    var obs          = 'ENTRADA AVULSO';   
    var status       = 'PA';        //está no pátio
    //var operacao     = $('#cbOperacao').val();

    
    //fazer as validações aqui
    if(placa=='')
    {
        Feedback('Placa do cavalo inválida!');
        grava = 0;
    }
    if(cpf=='')
    {
        Feedback('CPF do motorista inválido!');
        grava = 0;
    }
    if(nome=='')
    {
        Feedback('Nome do motorista inválido!');
        grava = 0;
    }
    if(data=='')
    {
        Feedback('Data inválida!');
        grava = 0;
    }
    if(hora=='')
    {
        Feedback('Hora inválida!');
        grava = 0;
    }
    if(transp=='')
    {
        Feedback('Transportador inválido!');
        grava = 0;
    }
    /* if(operacao=='')
    {
        Feedback('Operação inválida!');
        grava = 0;
    } */

    //console.log('id: ' + idestadia + ' placa: ' +  placa + ' placa carreta: ' +  placa_carreta + ' marca: ' +  marca + ' modelo: ' +  modelo + ' cpf: ' +  cpf + ' nome: ' +  nome + ' celular: ' +  celular + ' cnh: ' +  cnh + ' categ: ' +   categoria + ' cliente: ' +  cliente + ' prod: ' +  produto + ' qtde: ' +  qtde + ' pedido: ' +  pedido + ' tipo carga: ' +  tipo_carga + ' data: ' +  data + ' destino: ' +  destino + ' transp: ' +  transp + ' veic: ' +  veiculo + ' motora: ' +  motorista);

    //console.log('vai salvar virtual: ' + viravirtual);
    if(grava==1)
    {
        SalvarEstadiaVira(idestadia, placa, placa_carreta, marca, modelo, cpf, nome, celular, cnh, categoria, cliente, produto, qtde, pedido, tipo_carga, data, destino, transp, veiculo, motorista, obs, hora, status, dataentrada, viravirtual);
    }

}

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    
    //dados do veiculo
    $('#hdnVeiculo').attr('data','0');
    $('#txtPlaca').val('');
    //$('#txtPlaca_carreta').val('');
    $('#txtMarca').val('');
    $('#hdnMarca').val('');
    $('#hdnModelo').val('');
    
    //$('#txtModelo').val('');
    //dados do motorista
    $('#hdnMotorista').attr('data','0');
    $('#txtCpf').val('');
    $('#txtNome').val('');
    $('#txtCelular').val('');
    $('#hdnCnh').val('');
    $('#hdnCategoria').val('');
    //dados da carga
    $('#txtData').val('');
    $('#txtHora').val('');
    $('#hdnData').attr('data','');
    $('#cbTransp').val('');

    MostraData();

}


function SalvarEstadiaVira(idestadia, placa, placa_carreta, marca, modelo, cpf, nome, celular, cnh, categoria, cliente, produto, qtde, pedido, tipo_carga, data, destino, transp, veiculo, motorista, obs, hora, status, dataentrada, viravirtual)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-vira",
        method: 'post',
        data:
        {
            idestadia: idestadia, 
            placa: placa, 
            placa_carreta: placa_carreta, 
            marca: marca, 
            modelo: modelo, 
            cpf: cpf, 
            nome: nome, 
            celular: celular, 
            cnh: cnh, 
            categoria: categoria, 
            cliente: cliente, 
            produto: produto, 
            qtde: qtde, 
            pedido: pedido, 
            tipo_carga: tipo_carga, 
            data: data, 
            destino: destino, 
            transp: transp,
            veiculo: veiculo, 
            motorista: motorista,
            obs: obs,
            hora: hora,
            status: status,
            dataentrada: dataentrada,
            viravirtual: viravirtual
        },
        beforeSend: function()
        {
            $('#btnSalvar').prop('disabled',true);
            $('#btnSalvar').hide();
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            LimparCampos();
            $('#btnSalvar').prop('disabled',false);
            $('#btnSalvar').show();
            Feedback('');
            FeedbackOk('ENTRADA INCLUÍDA COM SUCESSO!');
            $('#feedback-placa').hide();
            $('#feedback-motora').hide();
            //FeedbackBom('ENTRADA INCLUÍDA COM SUCESSO!');


        },
        error:function(error)
        {

        }
    });
}



function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente-auto",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbCliente').empty();
            $('#cbCliente').append('<option value="">Carregando...</option>');
            $('#cbCliente').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbCliente').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbCliente').empty();
                $('#cbCliente').append('<option value="">...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbCliente').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function BuscarClasse(usuario)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-busca-classe",
        method: 'post',
        data:
        {
           usuario: usuario
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                
                data.consulta.forEach(item =>
                {
                    var classe = item.codigo;
                    if(classe=='VIRA2')
                    {
                        $('#hdnViravirtual').attr('data', '1');
                        var vv = $('#hdnViravirtual').attr('data');
                        console.log('viravirtual: ' + vv);
                    }
                    else 
                    {
                        $('#hdnViravirtual').attr('data', '0');
                    }
                    
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarTransp()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-transp-vira",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbTransp').empty();
            $('#cbTransp').append('<option value="">...</option>');
            $('#cbTransp').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbTransp').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTransp').empty();
                $('#cbTransp').append('<option value="">...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbTransp').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}



function BuscarCliente(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-cliente",
        method: 'post',
        data:
        {
           idcliente: cliente
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtCliente').val(item.nome);
                });
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function BuscarMotorista(cpf)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-motorista-cpf",
        method: 'post',
        data:
        {
           cpf: cpf
        },
        beforeSend: function()
        {
            $('#txtNome').val('');
            $('#txtCelular').val('');
            $('#hdnCnh').val('');
            $('#hdnCategoria').val('');
            $('#hdnMotorista').attr('data',0);
            $('#feedback-motora').hide();
            //Feedback('');
            //FeedbackOk('');

            //$('#txtNome').prop('disabled',true);
            //$('#txtCelular').prop('disabled',true);
            //$('#txtCnh').prop('disabled',true);
            //$('#txtCategoria').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtNome').val(item.nome);
                    $('#txtCelular').val(item.celular);
                    $('#hdnCnh').val(item.cnh);
                    $('#hdnCategoria').val(item.categoria);
                    $('#hdnMotorista').attr('data',item.id);
                    $('#feedback-motora').hide();
                    Feedback('');
                    FeedbackOk('');
                });
            }
            else 
            {
                //MensagemBox('alerta','Busca Motorista','Motorista não encontrado!', 2000, 'Ok');
                //alert('Motorista não encontrado!');
                $('#feedback-motora').show();
                $('#txtNome').prop('disabled',false);
                document.getElementById("txtNome").focus();
                $('#txtCelular').prop('disabled',false);
                //$('#txtCnh').prop('disabled',false);
                //$('#txtCategoria').prop('disabled',false);

                //MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            }
        },
        error:function(error)
        {
            console.log(error);

            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

$('#txtCpf').keyup(function(event)
{
    var cpf = $('#txtCpf').val();
    var tamanho = cpf.length;

    //console.log('tamanho: ' + tamanho);
    if(tamanho==11)
    {
        BuscarMotorista(cpf)
    }
    else
    {
        LimpaCamposMotorista()
    }
});

function LimpaCamposMotorista()
{
    $('#txtNome').val('');
    $('#txtCelular').val('');
    $('#txtCnh').val('');
    $('#txtCategoria').val('');
    $('#hdnMotorista').attr('data',0);
}


function BuscarVeiculo(placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-veiculo-placa",
        method: 'post',
        data:
        {
           placa: placa
        },
        beforeSend: function()
        {
            $('#txtPlaca_carreta').val('');
            $('#txtMarca').val('');
            $('#hdnMarca').val('');
            $('#hdnModelo').val('');
            $('#cbTransp').val('');
            
            $('#hdnVeiculo').attr('data',0);

            $('#feedback-placa').hide();

            Feedback('');
            FeedbackOk('');

            //$('#txtPlaca_carreta').prop('disabled',true);
            //$('#txtMarca').prop('disabled',true);
            //$('#txtModelo').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    var marca =item.marca;
                    if(marca=='' || marca==null)
                    {
                        marca = 'NÃO DEFINIDO';
                    }
                    $('#txtPlaca_carreta').val(item.placa_carreta);
                    $('#txtMarca').val(marca);
                    //$('#txtModelo').val(item.modelo);
                    $('#hdnModelo').val(item.modelo);
                    $('#txtMarca').prop('disabled',true);
                    $('#hdnMarca').val(marca);
                    $('#cbTransp').val(item.idtransp);
                    $('#cbTransp').prop('disabled',true);
                    
                    $('#hdnVeiculo').attr('data',item.id);

                    $('#feedback-placa').hide();
                });
            }
            else 
            {
                //MensagemBox('alerta','Busca Veículo','Veículo não encontrado!', 2000, 'Ok');
                //alert('Veículo não encontrado!');
                //$('#txtPlaca_carreta').prop('disabled',false);
                $('#feedback-placa').show();
                $('#txtMarca').prop('disabled',false);
                $('#cbTransp').val('');
                $('#cbTransp').prop('disabled',false);
                    
                document.getElementById("txtMarca").focus();
                
                //$('#txtModelo').prop('disabled',false);
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


$('#txtPlaca').keyup(function(event)
{
    var placa = $('#txtPlaca').val();
    var tamanho = placa.length;

    placa = placa.toUpperCase();
    $('#txtPlaca').val(placa);

    //console.log('tamanho: ' + tamanho);
    if(tamanho==7)
    {
        BuscarVeiculo(placa);
        VerificaSeEstahNoPatio(placa);
    }
    else
    {
        LimpaCamposVeiculo();
    }
});

function LimpaCamposVeiculo()
{
    $('#txtPlaca_carreta').val('');
    $('#txtMarca').val('');
    //$('#txtmodelo').val('');
    $('#hdnVeiculo').attr('data',0);
}

function SalvarDadosOperacao()
{
    var grava       = 1;
    var idoperacao   = '0';
    var descricao   = $('#txtOperacao').val();
    var ativo      = '1';
    
    if(descricao=='')
    {
        alert('Operação Inválida!');
        grava = 0;
    }
    if(grava==1)
    {
        console.log('descricao: ' + descricao + '  ativo: ' + ativo);

        SalvarOperacao(idoperacao, descricao, ativo);
    }
}

function SalvarOperacao(idoperacao, descricao, ativo)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-operacao-vira",
        method: 'post',
        data:
        {
            id: idoperacao, 
            descricao: descricao, 
            ativo: ativo 
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            var descr = $('#txtOperacao').val();
            ListarOperacao(descr);

        },
        error:function(error)
        {

        }
    });
}


function Feedback(texto)
{
    var alerta = texto;
    document.getElementById("feedback-erro").innerHTML = alerta;
    $('#feedback-erro').show();
    $('#feedback-sucesso').hide();
}

function FeedbackOk(texto)
{
    var alerta = texto;
    document.getElementById("feedback-sucesso").innerHTML = alerta;
    $('#feedback-placa').hide();
    $('#feedback-motora').hide();
    $('#feedback-erro').hide();
    $('#feedback-sucesso').show();
}


function ListarOperacao(descricao)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-operacao-vira",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbOperacao').empty();
            $('#cbOperacao').append('<option value="">...</option>');
            $('#cbOperacao').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbOperacao').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbOperacao').empty();
                $('#cbOperacao').append('<option value="">...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbOperacao').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }

            if(descricao!='')
            {
                posicionaOperacaoPeloNome(descricao);
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function posicionaOperacaoPeloNome(nome)
{
    var text = nome;
    //console.log('buscar: ' + nome);
    //text = text.toUpperCase();
    var select = document.querySelector('#cbOperacao');
    for (var i = 0; i < select.options.length; i++) {
        if (select.options[i].text === text) {
            select.selectedIndex = i;
            break;
        }
    }
}


function VerificaSeEstahNoPatio(placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-checa-se-esta-no-patio",
        method: 'post',
        data:
        {
            placa: placa
        },
        beforeSend: function()
        {
            //ModalAjaxCarregando(true,$("#dlgPainel"),'Verificando...');
            $('#feedback-patio').hide();
        },
        complete: function()
        {
            //ModalAjaxCarregando(false,$("#dlgPainel"),null);
        },
        success: function(data)
        {

            data.consulta.forEach(item =>
            {
                var qtde = item.qtde;
                if(qtde !='0')
                {
                    //console.log('ESTA NO PATIO');
                    $('#feedback-patio').show();
                    //o veículo já encontra-se no pátio
                    //MensagemBox('erro','ATENÇÃO','O VEÍCULO PLACA ' + placa.toUpperCase() + ' JÁ SE ENCONTRA NO PÁTIO!');
                    $('#btnSalvar').prop('disabled',true);
                }
                else 
                {
                    //console.log('NAO ESTA NO PATIO');
                    $('#feedback-patio').hide();
                    $('#btnSalvar').prop('disabled',false);
                }
            });

        },
        error:function(error)
        {

            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}
