$(document).ready(function()
{
    //desabilita campos
    //$('#txtCliente').prop('disabled',true);


    ListarCliente();
    ListarTransp();

    LimparCampos();
    ListarProduto2();
    ListarDestino2();

    $('#cbInspecao').hide();

    //var cliente = $('#cbClientePesq').val();

    var ordem = $('#cbOrdem').val();
    if(ordem=='')
    {
        ordem = localStorage.getItem('vordem')
    }
    //var destino = $('#hdnDestino').attr('data');

    //PesquisarChamar('', ordem);

    
    $('#txtData').attr('data-toggle','datetimepicker');
    $('#txtData').attr('data-target','#txtData');
    $('#txtData').addClass("datetimepicker-input");

    $('#txtData').attr('autocomplete','off'); 

});

function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}

/* $('#txtData').click(function()
{
    console.log(FormataStringData($('#txtData').val()));
}); */

$(function () 
{
    $('#txtData').datetimepicker(
    {
        format:'D/M/YYYY'
    });
       
});

$('#btnNovo').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        LimparCampos();
    
        $('#cadastro').show();
        $('#lista').hide();
        $('#filtro').hide();
        $('#btnExcluir').hide();
    }
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnVoltar2').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{

    var cliente = $('#cbClientePesq').val();
    var inspecao = $('#cbInspecao').find(":selected").text();
    var ordem = $('#cbOrdem').val();
    var formula = $('#cbFormulaSel').val();
    //var destino = $('#hdnDestino').attr('data');
    localStorage.setItem('vordem', ordem);

    //PesquisarChamar(cliente, ordem, formula);

    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
       PesquisarChamar(cliente, '',formula, inspecao);
    }
});

$('#cbClientePesq').change(function()
{
    var cliente = $('#cbClientePesq').val();
    
    if(cliente!='')
   {
        $('#cbInspecao').val(cliente);    
        ListarFormula(cliente);
        var inspecao = $('#cbInspecao').find(":selected").text();
        PesquisarChamar(cliente,'','', inspecao);
   }
    
});

$('#cbOrdem').change(function()
{
    var cliente = $('#cbClientePesq').val();
    var ordem = $('#cbOrdem').val();
    var formula = $('#cbFormulaSel').val();
    //var destino = $('#hdnDestino').attr('data');
    localStorage.setItem('vordem', ordem);

    //PesquisarChamar(cliente, ordem, formula);
});

/* $('#cbClientePesq').change(function()
{
    var cliente = $('#cbClientePesq').val();
    var ordem = $('#cbOrdem').val();
    //var destino = $('#hdnDestino').attr('data');
    //PesquisarChamar(cliente, ordem);
}); */


$('#btnDesfaz').click(function()
{
    DesfazChamadaDados();
});

$('#btnDesfaz2').click(function()
{
    DesfazChamadaDados();
});

$('#btnSalvar').click(function()
{
    SalvarDadosEstadia();
});

$('#btnSalvar2').click(function()
{
    SalvarDadosEstadia();
});

function SalvarDadosEstadia()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava        = 1;
    var idestadia    = $('#hdnId').attr('data');
    var chamada      = $('#hdnDataChamada').attr('data');
    var nome         = $('#txtNome').val();
    var celular      = $('#txtCelular').val();
    var placa        = $('#txtPlaca').val();
    var destino      = $('#hdnDestino').attr('data');
    
    
    //fazer as validações aqui

    if(idestadia=='')
    {
        MensagemBox( 'erro','','Veículo não selecionado!', 2000, 'Ok');
        grava = 0;
    }
    //console.log('id: ' + idestadia + ' placa: ' +  placa + ' placa carreta: ' +  placa_carreta + ' marca: ' +  marca + ' modelo: ' +  modelo + ' cpf: ' +  cpf + ' nome: ' +  nome + ' celular: ' +  celular + ' cnh: ' +  cnh + ' categ: ' +   categoria + ' cliente: ' +  cliente + ' prod: ' +  produto + ' qtde: ' +  qtde + ' pedido: ' +  pedido + ' tipo carga: ' +  tipo_carga + ' data: ' +  data + ' destino: ' +  destino + ' transp: ' +  transp + ' veic: ' +  veiculo + ' motora: ' +  motorista);

    if(grava==1)
    {
        //idestadia, chamada, nome, placa, celular, destino
        //console.log('id: ' + idestadia + ' data/hora: ' + chamada + ' nome: ' + nome + ' placa: ' + placa + ' celular: ' +  celular  + ' destino: ' + destino);
        SalvarEstadia(idestadia, chamada, nome, placa, celular, destino);
        $('#cadastro').hide();
        $('#lista').show();
    }
}

function DesfazChamadaDados()
{
    var grava        = 1;
    var idestadia    = $('#hdnId').attr('data');
    var placa        = $('#txtPlaca').val();
    
    //fazer as validações aqui

    if(idestadia=='')
    {
        MensagemBox( 'erro','','Veículo não selecionado!', 2000, 'Ok');
        grava = 0;
    }
    
    if(grava==1)
    {
        
        DesfazChamada(idestadia, placa);
        $('#cadastro').hide();
        $('#lista').show();
    }
}

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

$("#tbChamar tbody").on("click","span[name=editBtn]",function()
{

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);

    var bloqueio = $("#" + id + "_bloqueado").attr('data');
    var motivo = $("#" + id + "_motivo_bloqueio").attr('data');
    var inspecao = $("#" + id + "_inspecao").attr('data');
    var status_inspecao = $("#" + id + "_status_inspecao").attr('data');

    if(bloqueio=='1')
    {
        MensagemBox( 'erro','','BLOQUEADO PARA CHAMADO. * * * ' + motivo + ' * * *', 6000, 'Ok');
    }
    else  
    {
        if(inspecao>'0' && status_inspecao!='APROVADO')
        {
            MensagemBox( 'erro','','Não pode ser chamado. Motivo: NÃO FOI APROVADO NA INSPEÇÃO!', 6000, 'Ok');
        }
        else 
        {
            $('#cadastro').show();
            $('#lista').hide();
            $('#btnExcluir').show();
        
           

            //dados do veiculo
            $('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
            $('#txtPlaca').val($("#" + id + "_veiculo").attr('data2'));
            $('#txtPlaca_carreta').val($("#" + id + "_veiculo").attr('data3'));
            $('#txtMarca').val($("#" + id + "_veiculo").attr('data4'));
            $('#txtModelo').val($("#" + id + "_veiculo").attr('data5'));
            //dados do motorista
            $('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
            $('#txtCpf').val($("#" + id + "_motorista").attr('data3'));
            $('#txtNome').val($("#" + id + "_motorista").attr('data2'));
            $('#txtCelular').val($("#" + id + "_motorista").attr('data4'));
            $('#txtCnh').val($("#" + id + "_motorista").attr('data5'));
            $('#txtCategoria').val($("#" + id + "_motorista").attr('data6'));
            //dados da carga
            $('#txtData').val($("#" + id + "_data").attr('data'));
            $('#txtEntrada').val($("#" + id + "_entrada").attr('data'));
            $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
            $('#cbProduto').val($("#" + id + "_produto").attr('data'));
            $('#cbTransp').val($("#" + id + "_transportador").attr('data'));
            $('#cbDestino').val($("#" + id + "_destino").attr('data'));
            $('#txtOperacao').val($("#" + id + "_operacao").attr('data'));

            $('#hdnDestino').attr('data', $("#" + id + "_destino").attr('data2'));
            
            $('#cbTipocarga').val($("#" + id + "_tipocarga").attr('data'));
            $('#txtQtde').val($("#" + id + "_qtde").attr('data'));
            $('#txtPedido').val($("#" + id + "_pedido").attr('data'));
            $('#txtObs').val($("#" + id + "_obs").attr('data'));
            $('#txtCliente').val($("#" + id + "_cliente").attr('data2'));
            $('#txtFormula').val($("#" + id + "_formula").attr('data'));
            
            var foichamado = $("#" + id + "_foichamado").attr('data');
            if(foichamado=='1')
            {
                $('#btnDesfaz').show();
                $('#btnDesfaz2').show();
            }
            else 
            {
                $('#btnDesfaz').hide();
                $('#btnDesfaz2').hide();
            }

            var cliente = $("#" + id + "_cliente").attr('data');

            var data = new Date();
            var dia = data.getDate();
            var mes = data.getMonth() + 1;
            var ano = data.getFullYear();
            var hora = data.getHours();
            var minuto = data.getMinutes();
            var segundo = data.getSeconds();
            if(dia<10){dia = '0'+dia}
            if(mes<10){mes = '0'+mes}
            if(hora<10){hora = '0'+hora}
            if(minuto<10){minuto = '0'+minuto}
            if(segundo<10){segundo = '0'+segundo}
            
            var agora = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;
            $('#hdnDataChamada').attr('data', agora);

            //desabilita campos
            //$('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
            $('#txtCliente').prop('disabled',true);
            $('#txtPlaca').prop('disabled',true);
            $('#txtPlaca_carreta').prop('disabled',true);
            $('#txtMarca').prop('disabled',true);
            $('#txtModelo').prop('disabled',true);
            //dados do motorista
            //$('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
            $('#txtCpf').prop('disabled',true);
            $('#txtNome').prop('disabled',true);
            $('#txtCelular').prop('disabled',true);
            $('#txtCnh').prop('disabled',true);
            $('#txtCategoria').prop('disabled',true);
            //dados da carga
            $('#txtData').prop('disabled',true);
            $('#txtEntrada').prop('disabled',true);
            $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
            $('#cbProduto').prop('disabled',true);
            $('#cbTransp').prop('disabled',true);
            $('#cbDestino').prop('disabled',true);
            $('#cbTipocarga').prop('disabled',true);
            $('#txtQtde').prop('disabled',true);
            $('#txtPedido').prop('disabled',true);
            $('#txtObs').prop('disabled',true);
            $('#txtOperacao').prop('disabled',true);
            $('#txtFormula').prop('disabled',true);

            /*  id, 
                idcliente,
                idveiculo, 
                placa, 
                placa_carreta,
                idmotorista, 
                celular,
                idproduto,  
                idtransportador, 
                iddestino, 
                dataprev,
                datachamada, 
                datasaida, 
                foichamado,
                status,
                qtde,
                pedido,
                obs,
                tipocarga */
        }
    }
});

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtPlaca').val('');   
    $('#txtTitulo').val('');   
    $('#txtCodigo').val('');   

}

function PesquisarChamar(cliente, ordem, formula, inspecao)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-chamada",
        method: 'post',
        data:
        {
            cliente: cliente,
            ordem: ordem,
            formula: formula,
            inspecao: inspecao
        },
        beforeSend: function()
        {
            $('#tbChamar tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-sign-out-alt"></i>&nbsp;';
                var qtde = 0;
                var total = '';

                data.consulta.forEach(item =>
                {
                    var status = '';
                    qtde = qtde + 1;

                    var chamado = item.foichamado;
                    if(chamado=='1')
                    {
                        chamado = ' <br><span class="badge badge-success estilobag" style="color: #000;"><i class="fas fa-bullhorn fa-lg"></i>&nbsp;FOI CHAMADO</span> Chamado por: ' + item.chamadopor +  ' em: ' + item.datachamada + ' ';
                    }
                    else 
                    {
                        chamado = ' ';
                    }

                    if(item.status=='AG')
                    {
                        status = '<span class="badge badge-success estilobag">AGENDADO</span>';
                    }
                    else if(item.status=='ET')
                    {
                        status = '<span class="badge badge-info estilobag">EM TRÂNSITO</span>';
                    }
                    else if(item.status=='PA')
                    {
                        status = '<span class="badge badge-dark estilobag">NO PÁTIO</span>';
                    }
                    else if(item.status=='NF')
                    {
                        status = '<span class="badge badge-warning">NA FÁBRICA</span>';
                    }
                    else if(item.status=='RC')
                    {
                        status = '<span class="badge badge-warning">RECEBIDO CLIENTE</span>';
                    }
                    else if(item.status=='CL')
                    {
                        status = '<span class="badge badge-danger estilobag">CANCELADO</span>';
                    }
                    else if(item.status=='FN')
                    {
                        status = '<span class="badge badge-secondary">FINALIZADO</span>';
                    }
                    else
                    {
                        status = '<span class="badge badge-dark estilobag"></span>';
                    }

                    var tipocarga = item.tipocarga;
                    var inspecao = item.inspecao;
                    var status_inspecao = item.status_inspecao;
                    var stainsp = item.status_inspecao;
                    var unidade = item.unidade;
                    var pedido = item.pedido; 
                    var cliente = item.idcliente;

                    if(pedido!='')
                    {
                        //pedido = ' - Nº PEDIDO: ' + pedido;
                        pedido = ' - <i class="far fa-file-alt"></i>&nbsp;PEDIDO: ' + item.pedido + ' ';
                    }

                    if(status_inspecao=='PENDENTE')
                    {
                        status_inspecao = '<i class="fa fa-file-pdf-o" style="color: gray;"></i>&nbsp;';
                    }
                    else if(status_inspecao=='INICIADO')
                    {
                        status_inspecao = '<i class="fa fa-file-pdf-o" style="color: lightskyblue;"></i>&nbsp;';
                    }
                    else if(status_inspecao=='APROVADO')
                    {
                        status_inspecao = '<i class="fa fa-file-pdf-o" style="color: green;"></i>&nbsp;';
                    }
                    else if(status_inspecao=='REPROVADO')
                    {
                        status_inspecao = '<i class="fa fa-file-pdf-o" style="color: red;"></i>&nbsp;';
                    }

                    var icotruck = '<i class="fas fa-truck"></i>&nbsp;';
                    var icodata = '<i class="fas fa-clock fa-lg"></i>&nbsp;';
                    var icomotora = '<i class="fas fa-user-tie"></i>&nbsp;';
                    var icocarga = '<i class="fas fa-truck-loading"></i>&nbsp;';
                    var icodestino = '<i class="fas fa-map-marker-alt fa-lg"></i>&nbsp;';
                    
                    var operacao = '';
                    if(item.operacao=='C')
                    {
                        operacao = 'CARREGAMENTO';
                    }
                    else if(item.operacao=='D')
                    {
                        operacao = 'DESCARREGAMENTO';
                    }
                    
                    var statusinsp = item.status_inspecao;
                    if(statusinsp=='PENDENTE')
                    {
                        statusinsp = '&nbsp;&nbsp;<span class="badge badge-info estilobag" title="inspeção pendente."><i class="far fa-star fa-lg"></i> INSPEÇÃO PENDENTE</span>';
                    }
                    else if(statusinsp=='APROVADO')
                    {
                        statusinsp = '&nbsp;&nbsp;<span class="badge badge-success estilobag" title="inspeção aprovada."><i class="far fa-star fa-2x"></i> INSPEÇÃO APROVADA</span>';
                    }
                    else if(statusinsp=='REPROVADO')
                    {
                        statusinsp = '&nbsp;&nbsp;<span class="badge badge-danger estilobag" title="inspeção reprovada."><i class="far fa-square fa-2x"></i> INSPEÇÃO REPROVADA</span>';
                    }
                    else   
                    {
                        statusinsp = ''
                    }

                    if(item.inspecao=='0')
                    {
                        insp='<span>...</span>';
                    }
                    else
                    {
                        if(item.unidade=='2')   //ROMA
                        {
                            insp= '<a target="_blank" href="/public/pdfinsp/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                            //insp= '<a target="_blank" href="/pdfinsp/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                        }
                        else if(item.unidade=='1')   //FTO
                        {
                            //insp= '<a target="_blank" href="/public/pdfinspfto/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                            insp= '<a target="_blank" href="/pdfinspfto/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                            
                        }
                        else if(item.unidade=='3')   //INTERBRAS
                        {
                            insp= '<a target="_blank" href="/public/pdfinspbrasil/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                            //insp= '<a target="_blank" href="/pdfinspsoene/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                        }
                        //insp= '<a target="_blank" href="/pdfinsp/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                    }
                    
                    //console.log('tipo carga: ' + tipocarga + ' status insp: ' + stainsp);
                    var tipoveiculo = item.tipoveiculo;
                    //console.log('tipo veic: ' + tipoveiculo);

                    if(tipoveiculo==' NÃO DEFINIDO')
                    {
                        tipoveiculo = '';
                    }
                    else 
                    {
                        tipoveiculo = ' - ' + tipoveiculo;
                    }

                    var chamar ='';
                    if((tipocarga=='GR' || tipocarga=='BG' || tipocarga=='SA') && stainsp=='APROVADO' && unidade=='2')     //ROMA
                    {
                        chamar = '<span name="editBtn" class="fas fa-bullhorn fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span> &nbsp;&nbsp;' + insp + '';
                    }
                    else if(cliente==75 && stainsp=='APROVADO' && unidade=='2')     //ROMA
                    {
                        chamar = '<span name="editBtn" class="fas fa-bullhorn fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span> &nbsp;&nbsp;' + insp + '';
                    }
                    else if((tipocarga=='GR' || tipocarga=='BG' || tipocarga=='SA') && stainsp=='APROVADO' && unidade=='1')                       //SOENE
                    {
                        //if(statusinsp=='APROVADO')  //PERMITIR CHAMAR SOMENTE SE ESTIVER APROVADO NA INSPEÇÃO
                        //{
                            chamar = '<span name="editBtn" class="fas fa-bullhorn fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span> &nbsp;&nbsp;' + insp + '';
                        //}
                        //else 
                        //{
                        //    chamar = '<span>...</span>';
                        //}
                    }
                    else if((tipocarga=='GR' || tipocarga=='BG' || tipocarga=='SA') && unidade=='3')                       //INTERBRAS
                    {
                        chamar = '<span name="editBtn" class="fas fa-bullhorn fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span> &nbsp;&nbsp;' + insp + '';
                    }
                    else if((tipocarga=='CS' || tipocarga=='TQ'))
                    {
                        chamar = '<span name="editBtn" class="fas fa-bullhorn fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span> &nbsp;&nbsp;';
                    }
                    else
                    {
                        chamar = '<span>...</span>';
                    }
                    
                    var produto = item.produto;
                    if(item.formula!='')
                    {
                        produto = produto + ' - <i class="fas fa-flask"></i> FÓRMULA: (' + item.formula + ') '
                    }
                    
                    var lock = item.bloqueio;
                    if(lock=='1')
                    {
                        lock = '&nbsp;&nbsp;<span class="badge badge-danger estilobag" title="veículo bloqueado. ' + item.motivo + '"><i class="fas fa-lock fa-lg"></i> BLOQUEADO</span>';
                        //lock = '&nbsp;&nbsp;<span style="color: #ff0000;" title="veículo bloqueado. ' + item.motivo + '"></span> <span class="badge badge-danger estilobag"><i class="fas fa-lock fa-lg"></i> BLOQUEADO</span>';
                    }
                    else 
                    {
                        lock = '';
                    }


                    var ocorrencia = item.qtde_ocorr;
                    if(ocorrencia!='0')
                    {
                        ocorrencia = '&nbsp;&nbsp;<span style="color: #0066ff;" title="a estadia possui ' + item.qtde_ocorr + ' ocorrências"><i class="far fa-comment-dots fa-lg"></i> (' + item.qtde_ocorr + ')</span>';
                    }
                    else 
                    {
                        ocorrencia = '';
                    }


                    var linha = '<tr>'
                            //+      '<td id="'+ item.id +'_data" data="' + item.dataprev + ' ' + item.horaprev + '" style="font-size: 12pt;"><b>' + icodata + ' ' + item.dataprev + ' ' + item.horaprev + ' - ' + icotruck + ' ' + item.placa + ' - ' + item.placa_carreta + ' - ' + icomotora + ' ' + item.motorista + '</b> ' + status + ' ' + chamado + '<br>' + icocarga + item.produto + ' - ' + item.qtde + ' - ' + icodestino + item.cliente + '/' + item.destino + ' - ' + item.transportador + '</td>'
                            +      '<td id="'+ item.id +'_data" data="' + item.dataprev + ' ' + item.horaprev + '" style="font-size: 12pt;"><b>' + icodata + '</b> Entrada: <b>' + item.dataentrada + '</b> - <b>'  + icotruck + ' ' + item.placa + ' - ' + item.placa_carreta  + tipoveiculo + ' - ' + icomotora + ' ' + item.motorista + '</b> ' + status + ' ' + chamado + '<br>' + icocarga + produto + ' - ' + item.qtde + ' - ' +  pedido + ' - ' + operacao + ' - ' + icodestino + item.cliente + '/' + item.destino + ' - ' + item.transportador + lock + ' ' + ocorrencia + statusinsp + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_cliente" data="'+ item.idcliente +'" data2="'+ item.cliente +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_veiculo" data="'+ item.idveiculo +'" data2="'+ item.placa +'" data3="'+ item.placa_carreta + '" data4="'+ item.marca +'" data5="'+ item.modelo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_motorista" data="'+ item.idmotorista +'" data2="'+ item.motorista +'" data3="'+ item.cpf + '" data4="'+ item.celular +'" data5="'+ item.cnh +'"  data6="'+ item.categoria +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_produto" data="'+ item.idproduto +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_transportador" data="'+ item.idtransportador +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_destino" data="'+ item.iddestino +'" data2="'+ item.destino +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_dataprev" data="'+ item.dataprev +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_datachamada" data="'+ item.datachamada +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_datasaida" data="'+ item.datasaida +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_foichamado" data="'+ item.foichamado +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_status" data="'+ item.status +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_qtde" data="'+ item.qtde +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_pedido" data="'+ item.pedido +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_obs" data="'+ item.obs +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_tipocarga" data="'+ item.tipocarga +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_entrada" data="'+ item.dataentrada +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_inspecao" data="'+ item.inspecao +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_formula" data="'+ item.formula +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_operacao" data="'+ operacao +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_status_inspecao" data="'+ item.status_inspecao +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_bloqueado" data="'+ item.bloqueio +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_motivo_bloqueio" data="'+ item.motivo +'"/>'
                            
                            /* id, 
                            idcliente,
                            idveiculo, 
                            placa, 
                            placa_carreta,
                            idmotorista, 
                            celular,
                            idproduto,  
                            idtransportador, 
                            iddestino, 
                            dataprev,
                            datachamada, 
                            datasaida, 
                            foichamado,
                            status,
                            qtde,
                            pedido,
                            obs,
                            tipocarga */
                            +      '<td width="10%" class="text-center">' + chamar
                            //+         '<span name="editBtn" class="fas fa-bullhorn fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span> &nbsp;&nbsp;' + insp
                            //if(inspecao>0)
                            //{
                            //    +         '<span name="editBtn" class="fas fa-bullhorn fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Chamar"></span> &nbsp;&nbsp;'
                            //}
                            +      '</td>'
                            
                            +   '</tr>';

                        $('#tbChamar tbody').append(linha);
                        total = '<tr><td style="font-size: 12pt;">Total de veículos: ' + qtde + '</td><td></td></tr>';


                });
                $('#tbChamar tbody').append(total);
            }
            else
            {
                $('#tbChamar tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarEstadia(idestadia, chamada, nome, placa, celular, destino)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-chamada",
        method: 'post',
        data:
        {
            idestadia: idestadia, 
            chamada: chamada,
            nome: nome,
            placa: placa,
            celular: celular,
            destino: destino
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Veículo chamado para sair do pátio com sucesso!', 2000, 'Ok');
            //var cliente = $('#cbClientePesq').val();
            //PesquisarChamar(cliente,'');
        
            /* var cliente = $('#cbClientePesq').val();
            //var destino = $('#hdnDestino').attr('data');
            var ordem = $('#cbOrdem').val();
            PesquisarChamar(cliente, ordem); */

            var cliente = $('#cbClientePesq').val();
            var inspecao = $('#cbInspecao').find(":selected").text();
            var ordem = $('#cbOrdem').val();
            var formula = $('#cbFormulaSel').val();
            //var destino = $('#hdnDestino').attr('data');
            localStorage.setItem('vordem', ordem);

            //PesquisarChamar(cliente, ordem, formula);

            if(cliente=='' || cliente=='0')
            {
                MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
            }
            else 
            {
                PesquisarChamar(cliente, '',formula, inspecao);
            }
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function DesfazChamada(idestadia, placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-desfaz-chamada",
        method: 'post',
        data:
        {
            idestadia: idestadia,
            placa: placa
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Chamada desfeita com sucesso!', 2000, 'Ok');
        
            /* var cliente = $('#cbClientePesq').val();
            var inspecao = $('#cbInspecao').find(":selected").text();
            var ordem = $('#cbOrdem').val();
            PesquisarChamar(cliente, ordem,'',inspecao);
 */


            var cliente = $('#cbClientePesq').val();
            var inspecao = $('#cbInspecao').find(":selected").text();
            var ordem = $('#cbOrdem').val();
            var formula = $('#cbFormulaSel').val();
            //var destino = $('#hdnDestino').attr('data');
            localStorage.setItem('vordem', ordem);

            //PesquisarChamar(cliente, ordem, formula);

            if(cliente=='' || cliente=='0')
            {
                MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
            }
            else 
            {
                PesquisarChamar(cliente, '',formula, inspecao);
            }
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente-chamada",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbClientePesq').empty();
            $('#cbClientePesq').append('<option value="">Carregando...</option>');
            $('#cbInspecao').empty();
            $('#cbInspecao').append('<option value="">Carregando...</option>');
            
            //$('#cbClientePesq').prop('disabled',true);
        },
        complete: function()
        {
            //$('#cbClientePesq').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbClientePesq').empty();
                $('#cbClientePesq').append('<option value="">Selecione...</option>');
                $('#cbInspecao').empty();
                $('#cbInspecao').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbClientePesq').append('<option value="' + item.id + '">' + item.nome + '</option>');
                    $('#cbInspecao').append('<option value="' + item.id + '">' + item.inspecao + '</option>');
                });

                /* var cliente = $('#hdnCliente').attr('data');
                if(cliente!='')
                {
                    $('#cbClientePesq').val(cliente);
                    $('#cbClientePesq').prop('disabled',true);
                }
                else 
                {
                    $('#cbClientePesq').prop('disabled',false);
                } */

                /* var destino = $('#hdnDestino').attr('data');
                if(destino=='1')
                {
                    $('#cbClientePesq').prop('disabled',true);
                } */

                //var cliente = $('#cbClientePesq').val();
                //var destino = $('#hdnDestino').attr('data');
                //var ordem = $('#cbOrdem').val();
                //PesquisarChamar(cliente, ordem);
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarProduto2()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-produto-receber",
        method: 'post',
        data:
        {
           //cliente: ''
        },
        beforeSend: function()
        {
            $('#cbProduto').empty();
            $('#cbProduto').append('<option value="">Carregando...</option>');
            $('#cbProduto').prop('disabled',true);
        },
        complete: function()
        {
            //$('#cbProduto').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbProduto').empty();
                $('#cbProduto').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    var produto = item.descricao;
                    if(item.formula!='')
                    {
                        produto = produto + ' - Formula: ' + item.formula;
                    }
                    $('#cbProduto').append('<option value="' + item.id + '">' + produto + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarDestino2()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-destino-receber",
        method: 'post',
        data:
        {
           //cliente: ''
        },
        beforeSend: function()
        {
            $('#cbDestino').empty();
            $('#cbDestino').append('<option value="">Carregando...</option>');
            $('#cbDestino').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbDestino').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbDestino').empty();
                $('#cbDestino').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbDestino').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarTransp()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-transp-receber",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbTransp').empty();
            $('#cbTransp').append('<option value="">Carregando...</option>');
            $('#cbTransp').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbTransp').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTransp').empty();
                $('#cbTransp').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    
                    $('#cbTransp').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function BuscarCliente(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-cliente",
        method: 'post',
        data:
        {
           idcliente: cliente
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtCliente').val(item.nome);
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}



function BuscarMotorista(cpf)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-motorista-cpf",
        method: 'post',
        data:
        {
           cpf: cpf
        },
        beforeSend: function()
        {
            $('#txtNome').val('');
            $('#txtCelular').val('');
            $('#txtCnh').val('');
            $('#txtCategoria').val('');
            $('#hdnMotorista').attr('data',0);

            $('#txtNome').prop('disabled',true);
            //$('#txtCelular').prop('disabled',true);
            $('#txtCnh').prop('disabled',true);
            $('#txtCategoria').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtNome').val(item.nome);
                    $('#txtCelular').val(item.celular);
                    $('#txtCnh').val(item.cnh);
                    $('#txtCategoria').val(item.categoria);
                    $('#hdnMotorista').attr('data',item.id);
                });
            }
            else 
            {
                MensagemBox('alerta','Busca Motorista','Motorista não encontrado!', 2000, 'Ok');
                $('#txtNome').prop('disabled',false);
                //$('#txtCelular').prop('disabled',false);
                $('#txtCnh').prop('disabled',false);
                $('#txtCategoria').prop('disabled',false);

                //MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

$('#txtCpf').keyup(function(event)
{
    var cpf = $('#txtCpf').val();
    var tamanho = cpf.length;

    //console.log('tamanho: ' + tamanho);
    if(tamanho==11)
    {
        BuscarMotorista(cpf)
    }
    else
    {
        LimpaCamposMotorista()
    }
});

function LimpaCamposMotorista()
{
    $('#txtNome').val('');
    $('#txtCelular').val('');
    $('#txtCnh').val('');
    $('#txtCategoria').val('');
    $('#hdnMotorista').attr('data',0);
}


function BuscarVeiculo(placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-veiculo-placa",
        method: 'post',
        data:
        {
           placa: placa
        },
        beforeSend: function()
        {
            $('#txtPlaca_carreta').val('');
            $('#txtMarca').val('');
            $('#txtmodelo').val('');
            $('#hdnVeiculo').attr('data',0);

            //$('#txtPlaca_carreta').prop('disabled',true);
            $('#txtMarca').prop('disabled',true);
            $('#txtModelo').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtPlaca_carreta').val(item.placa_carreta);
                    $('#txtMarca').val(item.marca);
                    $('#txtModelo').val(item.modelo);
                    $('#hdnVeiculo').attr('data',item.id);
                });
            }
            else 
            {
                MensagemBox('alerta','Busca Veículo','Veículo não encontrado!', 2000, 'Ok');
                //$('#txtPlaca_carreta').prop('disabled',false);
                $('#txtMarca').prop('disabled',false);
                $('#txtModelo').prop('disabled',false);
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


$('#txtPlaca').keyup(function(event)
{
    var placa = $('#txtPlaca').val();
    var tamanho = placa.length;

    placa = placa.toUpperCase();
    $('#txtPlaca').val(placa);

    //console.log('tamanho: ' + tamanho);
    if(tamanho==7)
    {
        BuscarVeiculo(placa)
    }
    else
    {
        LimpaCamposVeiculo()
    }
});

function LimpaCamposVeiculo()
{
    $('#txtPlaca_carreta').val('');
    $('#txtMarca').val('');
    $('#txtmodelo').val('');
    $('#hdnVeiculo').attr('data',0);
}

function ListarFormula(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-formula",
        method: 'post',
        data:
        {
           cliente: cliente
        },
        beforeSend: function()
        {
            $('#cbFormulaSel').empty();
            $('#cbFormulaSel').append('<option value="">Carregando...</option>');
            $('#cbFormulaSel').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbFormulaSel').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbFormulaSel').empty();
                $('#cbFormulaSel').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbFormulaSel').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}




