$(document).ready(function()
{
    $('#txtCliente').prop('disabled',true);

    ListarCliente();
    ListarTransp();
    ListarProduto();
    ListarDestino();
    LimparCampos();
    ListarTipo();
 

    $('#txtData').attr('data-toggle','datetimepicker');
    $('#txtData').attr('data-target','#txtData');
    $('#txtData').addClass("datetimepicker-input");
    $('#txtData').attr('autocomplete','off'); 

    $('#txtFormula').prop('disabled',true);
    $('#btnNovaFormula').show();
    $('#btnLimpaFormula').hide();
    $('#btnIncluirFormula').hide();
    $('#cbFormula').hide();

});

function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}

/* $('#txtData').click(function()
{
    console.log(FormataStringData($('#txtData').val()));
}); */

$(function () 
{
    $('#txtData').datetimepicker(
    {
        format:'D/M/YYYY'
    });
       
});

$('#btnNovaFormula').click(function()
{
    //$('#grpFormula').show();
    $('#btnNovaFormula').hide();
    $('#btnLimpaFormula').show();
    $('#btnIncluirFormula').show();
    $('#cbFormula').show();
})


$('#btnLimpaFormula').click(function()
{
    $('#txtFormula').val('');
})


$('#btnIncluirFormula').click(function()
{
    var formula = $('#txtFormula').val();
    if(formula!='')
    {
        formula = formula + ' - ' + $('#cbFormula').val();
    }
    else
    {
        formula = $('#cbFormula').val();
    }
   
    formula = formula.substring(0,200);
    $('#txtFormula').val(formula);
})

$('#btnNovo').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Falta selecionar um Cliente!', 2000, 'Ok');
    }
    else 
    {
        LimparCampos();
    
        $('#cadastro').show();
        $('#lista').hide();
        $('#filtro').hide();
        $('#btnExcluir').hide();
    }
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnVoltar2').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        PesquisarAgendado(cliente);
    }
});

$('#cbClientePesq').change(function()
{
    var cliente = $('#cbClientePesq').val();
     if(cliente!='')
    {
        BuscarCliente(cliente);
        ListarFormula(cliente);
    }
});

/* $('#cbClientePesq').change(function()
{
    var cliente = $('#cbClientePesq').val();
     if(cliente!='')
    {
        ListarFormula(cliente);
    }
}); */


$('#btnSalvar').click(function()
{
    SalvarDadosEstadia();
});

$('#btnSalvar2').click(function()
{
    SalvarDadosEstadia();
});

function SalvarDadosEstadia()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava        = 1;
    var idestadia    = $('#hdnId').attr('data');
    //dados do veiculo
    var veiculo      = $('#hdnVeiculo').attr('data');
    var placa        = $('#txtPlaca').val();
    var placa_carreta= $('#txtPlaca_carreta').val();
    var marca        = $('#txtMarca').val();
    var modelo       = $('#txtModelo').val();
    var tipov        = $('#cbTipo').val();
    //dados do motorista
    var motorista    = $('#hdnMotorista').attr('data');
    var cpf          = $('#txtCpf').val();
    var nome         = $('#txtNome').val();
    var celular      = $('#txtCelular').val();
    var cnh          = $('#txtCnh').val();
    var categoria    = $('#txtCategoria').val();
    //dados da carga
    var cliente      = $('#cbClientePesq').val();
    var produto      = $('#cbProduto').val();
    var qtde         = $('#txtQtde').val();
    var pedido       = $('#txtPedido').val();
    var tipo_carga   = $('#cbTipocarga').val();
    var data         = $('#hdnData').attr('data');
    var hora         = $('#txtHora').val();
    var destino      = $('#cbDestino').val();
    var transp       = $('#cbTransp').val();
    var obs          = $('#txtObs').val();
    var formula      = $('#txtFormula').val();
    var tipooper     = $('#cbTipoOper').val();
    

    
    //fazer as validações aqui

    if(placa=='')
    {
        MensagemBox( 'erro','','Placa do cavalo inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(tipov=='' || tipov==null)
    {
        MensagemBox( 'erro','','Selecione o tipo de veículo!', 2000, 'Ok');
        grava = 0;
    }
    if(cpf=='')
    {
        MensagemBox( 'erro','','CPF do motorista não pode ser nulo!', 2000, 'Ok');
        grava = 0;
    }
    if(nome=='')
    {
        MensagemBox( 'erro','','Nome do motorista não pode ser nulo!', 2000, 'Ok');
        grava = 0;
    }
    if(celular=='')
    {
        MensagemBox( 'erro','','Celular do motorista não pode ser nulo!', 2000, 'Ok');
        grava = 0;
    }
    if(cliente=='')
    {
        MensagemBox( 'erro','','Selecione o Cliente!', 2000, 'Ok');
        grava = 0;
    }
    if(produto=='')
    {
        MensagemBox( 'erro','','Selecione o Produto!', 2000, 'Ok');
        grava = 0;
    }
    if(tipo_carga=='')
    {
        MensagemBox( 'erro','','Tipo de Carga inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(data=='')
    {
        MensagemBox( 'erro','','Data inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(hora=='')
    {
        MensagemBox( 'erro','','Hora inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(destino=='')
    {
        MensagemBox( 'erro','','Selecione o Destino!', 2000, 'Ok');
        grava = 0;
    }
    if(transp=='')
    {
        MensagemBox( 'erro','','Selecione o Transportador!', 2000, 'Ok');
        grava = 0;
    }
    if(tipooper=='' || tipooper==null)
    {
        MensagemBox( 'erro','','Selecione o tipo de operação!', 2000, 'Ok');
        grava = 0;
    }

    //console.log('id: ' + idestadia + ' placa: ' +  placa + ' placa carreta: ' +  placa_carreta + ' marca: ' +  marca + ' modelo: ' +  modelo + ' cpf: ' +  cpf + ' nome: ' +  nome + ' celular: ' +  celular + ' cnh: ' +  cnh + ' categ: ' +   categoria + ' cliente: ' +  cliente + ' prod: ' +  produto + ' qtde: ' +  qtde + ' pedido: ' +  pedido + ' tipo carga: ' +  tipo_carga + ' data: ' +  data + ' destino: ' +  destino + ' transp: ' +  transp + ' veic: ' +  veiculo + ' motora: ' +  motorista +  ' tipo veiculo: ' + tipov);

    if(grava==1)
    {
        SalvarEstadia(idestadia, placa, placa_carreta, marca, modelo, cpf, nome, celular, cnh, categoria, cliente, produto, qtde, pedido, tipo_carga, data, destino, transp, veiculo, motorista, obs, hora, formula, tipov, tipooper);
        $('#cadastro').hide();
        $('#lista').show();
    }
}

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

$("#tbEstadia tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    //dados do veiculo
    $('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
    $('#txtPlaca').val($("#" + id + "_veiculo").attr('data2'));
    $('#txtPlaca_carreta').val($("#" + id + "_veiculo").attr('data3'));
    $('#txtMarca').val($("#" + id + "_veiculo").attr('data4'));
    $('#txtModelo').val($("#" + id + "_veiculo").attr('data5'));
    $('#cbTipo').val($("#" + id + "_tipoveiculo").attr('data'));
    //dados do motorista
    $('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
    $('#txtCpf').val($("#" + id + "_motorista").attr('data3'));
    $('#txtNome').val($("#" + id + "_motorista").attr('data2'));
    $('#txtCelular').val($("#" + id + "_motorista").attr('data4'));
    $('#txtCnh').val($("#" + id + "_motorista").attr('data5'));
    $('#txtCategoria').val($("#" + id + "_motorista").attr('data6'));
    //dados da carga
    $('#txtData').val($("#" + id + "_dataprev").attr('data'));
    $('#txtHora').val($("#" + id + "_hora").attr('data'));
    
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
    $('#cbProduto').val($("#" + id + "_produto").attr('data'));
    $('#cbTransp').val($("#" + id + "_transportador").attr('data'));
    $('#cbDestino').val($("#" + id + "_destino").attr('data'));
    $('#cbTipocarga').val($("#" + id + "_tipocarga").attr('data'));
    $('#txtQtde').val($("#" + id + "_qtde").attr('data'));
    $('#txtPedido').val($("#" + id + "_pedido").attr('data'));
    $('#txtObs').val($("#" + id + "_obs").attr('data'));
    $('#txtFormula').val($("#" + id + "_formula").attr('data'));
    $('#cbTipoOper').val($("#" + id + "_operacao").attr('data'));

    /*  id, 
        idcliente,
        idveiculo, 
        placa, 
        placa_carreta,
        idmotorista, 
        celular,
        idproduto,  
        idtransportador, 
        iddestino, 
        dataprev,
        datachamada, 
        datasaida, 
        foichamado,
        status,
        qtde,
        pedido,
        obs,
        tipocarga */
   
});

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    
    //dados do veiculo
    $('#hdnVeiculo').attr('data','0');
    $('#txtPlaca').val('');
    $('#txtPlaca_carreta').val('');
    $('#txtMarca').val('');
    $('#txtModelo').val('');
    //dados do motorista
    $('#hdnMotorista').attr('data','0');
    $('#txtCpf').val('');
    $('#txtNome').val('');
    $('#txtCelular').val('');
    $('#txtCnh').val('');
    $('#txtCategoria').val('');
    //dados da carga
    $('#txtData').val('');
    $('#hdnData').attr('data','');
    $('#cbProduto').val('');
    $('#cbTransp').val('');
    $('#cbDestino').val('');
    $('#cbTipocarga').val('');
    $('#txtQtde').val('');
    $('#txtPedido').val('');
    $('#txtObs').val('');
    $('#cbTipoOper').val('');

}

function PesquisarAgendado(cliente)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-agendados",
        method: 'post',
        data:
        {
            cliente: cliente 
        },
        beforeSend: function()
        {
            $('#tbEstadia tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-sign-out-alt"></i>&nbsp;';
                
                data.consulta.forEach(item =>
                {
                    var status = '';

                    if(item.status=='AG')
                    {
                        status = '<span class="badge badge-success estilobag">AGENDADO</span>';
                    }
                    else if(item.status=='ET')
                    {
                        status = '<span class="badge badge-info estilobag">EM TRÂNSITO</span>';
                    }
                    else if(item.status=='PA')
                    {
                        status = '<span class="badge badge-dark estilobag">NO PÁTIO</span>';
                    }
                    else if(item.status=='NF')
                    {
                        status = '<span class="badge badge-warning">NA FÁBRICA</span>';
                    }
                    else if(item.status=='RC')
                    {
                        status = '<span class="badge badge-warning">RECEBIDO CLIENTE</span>';
                    }
                    else if(item.status=='CL')
                    {
                        status = '<span class="badge badge-danger estilobag">CANCELADO</span>';
                    }
                    else if(item.status=='FN')
                    {
                        status = '<span class="badge badge-secondary">FINALIZADO</span>';
                    }
                    else
                    {
                        status = '<span class="badge badge-dark estilobag"></span>';
                    }

                    var icotruck = '<i class="fas fa-truck"></i>&nbsp;';
                    var icodata = '<i class="fas fa-clock fa-lg"></i>&nbsp;';
                    var icomotora = '<i class="fas fa-user-tie"></i>&nbsp;';
                    var icocarga = '<i class="fas fa-truck-loading"></i>&nbsp;';
                    var icodestino = '<i class="fas fa-map-marker-alt fa-lg"></i>&nbsp;';
                    
                    //var ativo = ' style="font-color: #000;"';
                    //var nome = item.descricao;
                    //if(item.ativo=='0')
                    //{
                    //    ativo = ' style="color: #ff0000;"';
                    //    icodestino = '<i class="fas fa-map-marker-alt fa-lg" ' + ativo + '></i>&nbsp;';
                    //    nome = '<del>' + nome + '</del>';
                    //}
                    var produto = item.produto;
                    if(item.formula!='')
                    {
                        produto = produto + ' - FÓRMULA: (' + item.formula + ') '
                    }
                    
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_data" data="' + item.dataprev + '" style="font-size: 12pt;"><b>' + icodata + ' ' + item.dataprev + ' ' + item.horaprev + ' - ' + icotruck + ' ' + item.placa + ' - ' + item.placa_carreta + ' - ' + icomotora + ' ' + item.motorista + '</b> ' + status + '<br>' + icocarga + produto + ' - ' + item.qtde + ' - ' + icodestino + item.destino + ' - ' + item.transportador + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_cliente" data="'+ item.idcliente +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_hora" data="'+ item.horaprev +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_tipoveiculo" data="'+ item.tipov +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_veiculo" data="'+ item.idveiculo +'" data2="'+ item.placa +'" data3="'+ item.placa_carreta + '" data4="'+ item.marca +'" data5="'+ item.modelo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_motorista" data="'+ item.idmotorista +'" data2="'+ item.motorista +'" data3="'+ item.cpf + '" data4="'+ item.celular +'" data5="'+ item.cnh +'"  data6="'+ item.categoria +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_produto" data="'+ item.idproduto +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_transportador" data="'+ item.idtransportador +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_destino" data="'+ item.iddestino +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_dataprev" data="'+ item.dataprev +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_datachamada" data="'+ item.datachamada +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_datasaida" data="'+ item.datasaida +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_foichamado" data="'+ item.foichamado +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_status" data="'+ item.status +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_qtde" data="'+ item.qtde +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_pedido" data="'+ item.pedido +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_obs" data="'+ item.obs +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_tipocarga" data="'+ item.tipocarga +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_formula" data="'+ item.formula +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_operacao" data="'+ item.operacao +'"/>'
                            /* id, 
                            idcliente,
                            idveiculo, 
                            placa, 
                            placa_carreta,
                            idmotorista, 
                            celular,
                            idproduto,  
                            idtransportador, 
                            iddestino, 
                            dataprev,
                            datachamada, 
                            datasaida, 
                            foichamado,
                            status,
                            qtde,
                            pedido,
                            obs,
                            tipocarga */
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbEstadia tbody').append(linha);
                });
            }
            else
            {
                $('#tbEstadia tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarEstadia(idestadia, placa, placa_carreta, marca, modelo, cpf, nome, celular, cnh, categoria, cliente, produto, qtde, pedido, tipo_carga, data, destino, transp, veiculo, motorista, obs, hora, formula, tipov, tipooper)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-estadia",
        method: 'post',
        data:
        {
            idestadia: idestadia, 
            placa: placa, 
            placa_carreta: placa_carreta, 
            marca: marca, 
            modelo: modelo, 
            cpf: cpf, 
            nome: nome, 
            celular: celular, 
            cnh: cnh, 
            categoria: categoria, 
            cliente: cliente, 
            produto: produto, 
            qtde: qtde, 
            pedido: pedido, 
            tipo_carga: tipo_carga, 
            data: data, 
            destino: destino, 
            transp: transp,
            veiculo: veiculo, 
            motorista: motorista,
            obs: obs,
            hora: hora,
            formula: formula,
            tipov: tipov,
            operacao: tipooper
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            var cliente = $('#cbClientePesq').val();
            PesquisarAgendado(cliente);
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirServico(idprof, unidade)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-servico",
        method: 'post',
        data:
        {
            id: idprof
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            PesquisarServico(unidade);

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}


function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente-estadia",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbClientePesq').empty();
            $('#cbClientePesq').append('<option value="">Carregando...</option>');
            $('#cbClientePesq').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbClientePesq').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbClientePesq').empty();
                $('#cbClientePesq').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbClientePesq').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarProduto()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-produto-estadia",
        method: 'post',
        data:
        {
           //cliente: cliente
        },
        beforeSend: function()
        {
            $('#cbProduto').empty();
            $('#cbProduto').append('<option value="">Carregando...</option>');
            $('#cbProduto').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbProduto').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbProduto').empty();
                $('#cbProduto').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    var produto = item.descricao;
                    if(item.formula!='')
                    {
                        produto = produto + ' - Formula: ' + item.formula;
                    }
                    $('#cbProduto').append('<option value="' + item.id + '">' + produto + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarDestino()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-destino-estadia",
        method: 'post',
        data:
        {
           //cliente: cliente
        },
        beforeSend: function()
        {
            $('#cbDestino').empty();
            $('#cbDestino').append('<option value="">Carregando...</option>');
            $('#cbDestino').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbDestino').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbDestino').empty();
                $('#cbDestino').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbDestino').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarTransp()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-transp-estadia",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbTransp').empty();
            $('#cbTransp').append('<option value="">Carregando...</option>');
            $('#cbTransp').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbTransp').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTransp').empty();
                $('#cbTransp').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    
                    $('#cbTransp').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function BuscarCliente(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-cliente",
        method: 'post',
        data:
        {
           idcliente: cliente
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtCliente').val(item.nome);
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function BuscarMotorista(cpf)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-motorista-cpf",
        method: 'post',
        data:
        {
           cpf: cpf
        },
        beforeSend: function()
        {
            $('#txtNome').val('');
            $('#txtCelular').val('');
            $('#txtCnh').val('');
            $('#txtCategoria').val('');
            $('#hdnMotorista').attr('data',0);

            $('#txtNome').prop('disabled',true);
            //$('#txtCelular').prop('disabled',true);
            $('#txtCnh').prop('disabled',true);
            $('#txtCategoria').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtNome').val(item.nome);
                    $('#txtCelular').val(item.celular);
                    $('#txtCnh').val(item.cnh);
                    $('#txtCategoria').val(item.categoria);
                    $('#hdnMotorista').attr('data',item.id);
                });
            }
            else 
            {
                MensagemBox('alerta','Busca Motorista','Motorista não encontrado!', 2000, 'Ok');
                $('#txtNome').prop('disabled',false);
                //$('#txtCelular').prop('disabled',false);
                $('#txtCnh').prop('disabled',false);
                $('#txtCategoria').prop('disabled',false);

                //MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

$('#txtCpf').keyup(function(event)
{
    var cpf = $('#txtCpf').val();
    var tamanho = cpf.length;

    //console.log('tamanho: ' + tamanho);
    if(tamanho==11)
    {
        BuscarMotorista(cpf)
    }
    else
    {
        LimpaCamposMotorista()
    }
});

function LimpaCamposMotorista()
{
    $('#txtNome').val('');
    $('#txtCelular').val('');
    $('#txtCnh').val('');
    $('#txtCategoria').val('');
    $('#hdnMotorista').attr('data',0);
}


function BuscarVeiculo(placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-veiculo-placa",
        method: 'post',
        data:
        {
           placa: placa
        },
        beforeSend: function()
        {
            $('#txtPlaca_carreta').val('');
            $('#txtMarca').val('');
            $('#txtmodelo').val('');
            $('#hdnVeiculo').attr('data',0);
            $('#cbTipo').val('');

            //$('#txtPlaca_carreta').prop('disabled',true);
            $('#txtMarca').prop('disabled',true);
            $('#txtModelo').prop('disabled',true);
            //$('#cbTipo').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtPlaca_carreta').val(item.placa_carreta);
                    $('#txtMarca').val(item.marca);
                    $('#txtModelo').val(item.modelo);
                    $('#hdnVeiculo').attr('data',item.id);
                    $('#cbTipo').val(item.tipo);
                });
            }
            else 
            {
                MensagemBox('alerta','Busca Veículo','Veículo não encontrado!', 2000, 'Ok');
                //$('#txtPlaca_carreta').prop('disabled',false);
                $('#txtMarca').prop('disabled',false);
                $('#txtModelo').prop('disabled',false);
                //$('#cbTipo').prop('disabled',false);
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


$('#txtPlaca').keyup(function(event)
{
    var placa = $('#txtPlaca').val();
    var tamanho = placa.length;

    placa = placa.toUpperCase();
    $('#txtPlaca').val(placa);

    //console.log('tamanho: ' + tamanho);
    if(tamanho==7)
    {
        BuscarVeiculo(placa);
        VerificarVeiculoEstadia(placa);
    }
    else
    {
        LimpaCamposVeiculo()
    }
});

function LimpaCamposVeiculo()
{
    $('#txtPlaca_carreta').val('');
    $('#txtMarca').val('');
    $('#txtmodelo').val('');
    $('#hdnVeiculo').attr('data',0);
}


function ListarFormula(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-formula",
        method: 'post',
        data:
        {
           cliente: cliente
        },
        beforeSend: function()
        {
            $('#cbFormula').empty();
            $('#cbFormula').append('<option value="">Carregando...</option>');
            $('#cbFormula').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbFormula').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbFormula').empty();
                $('#cbFormula').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbFormula').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function ListarTipo()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-tipo-veiculo",
        method: 'post',
        data:
        {
           //cliente: cliente
        },
        beforeSend: function()
        {
            $('#cbTipo').empty();
            $('#cbTipo').append('<option value="">Carregando...</option>');
            $('#cbTipo').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbTipo').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTipo').empty();
                $('#cbTipo').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                   
                    $('#cbTipo').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function VerificarVeiculoEstadia(placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-verificar-veiculo-estadia",
        method: 'post',
        data:
        {
           placa: placa
        },
        beforeSend: function()
        {
            //Feedback('');
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    var qtde = item.qtde;
                    if(qtde > 0)
                    {
                        $('#btnSalvar').hide();  
                        //Feedback('VEÍCULO JÁ ENCONTRA-SE NO PÁTIO');    
                        MensagemBox('alerta','Verifica Veículo','VEÍCULO JÁ ENCONTRA-SE NO PÁTIO!', 2000, 'Ok');                  
                    }
                    else 
                    {
                        $('#btnSalvar').show();  
                        //feedback('');  
                    }
                    
                    
                });
            }
            else 
            {
                //MensagemBox('alerta','Busca Veículo','Veículo não encontrado!', 2000, 'Ok');
                //alert('Veículo não encontrado!');
                //$('#txtPlaca_carreta').prop('disabled',false);
                //$('#txtMarca').prop('disabled',false);
                //$('#txtModelo').prop('disabled',false);
                //$('#feedback-placa').show();
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}



