$(document).ready(function()
{
    //desabilita campos
    $('#txtCliente').prop('disabled',true);
    $('#txtDataEntrada').prop('disabled',true);

    $('#txtDataEntrada2').hide();
    $('#txtTempoVira').hide();
    $('#txtPagaVira').hide();
    $('#txtTotal').hide();
    //$('#txtDataEntrada2').hide();
    
    

    ListarCliente();
    ListarTransp3();
    LimparCampos();
    ListarProduto3();
    ListarDestino3();
    PesquisarSair('');

    $('#txtData').attr('data-toggle','datetimepicker');
    $('#txtData').attr('data-target','#txtData');
    $('#txtData').addClass("datetimepicker-input");

    $('#txtData').attr('autocomplete','off'); 

});

function FormataStringData(data) {
    var dia  = data.split("/")[0];
    var mes  = data.split("/")[1];
    var ano  = data.split("/")[2];
  
    return ano + '-' + ("0"+mes).slice(-2) + '-' + ("0"+dia).slice(-2);
    // Utilizo o .slice(-2) para garantir o formato com 2 digitos.
}

/* $('#txtData').click(function()
{
    console.log(FormataStringData($('#txtData').val()));
}); */

$(function () 
{
    $('#txtData').datetimepicker(
    {
        format:'D/M/YYYY'
    });
       
});

$('#btnNovo').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente=='0')
    {
        MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    }
    else 
    {
        LimparCampos();
    
        $('#cadastro').show();
        $('#lista').hide();
        $('#filtro').hide();
        $('#btnExcluir').hide();
    }
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnVoltar2').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var cliente = $('#cbClientePesq').val();
    //if(cliente=='' || cliente=='0')
    //{
    //    MensagemBox( 'erro','','Cliente inválido!', 2000, 'Ok');
    //}
    //else 
    //{
        PesquisarSair(cliente);
    //}
});

/* $('#cbClientePesq').change(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente!='')
    {
        BuscarCliente(cliente);
        ListarProduto(cliente);
        ListarDestino(cliente);
    }
}); */

$('#btnSalvar').click(function()
{
    SalvarDadosEstadia();
});

$('#btnSalvar2').click(function()
{
    SalvarDadosEstadia();
});

function SalvarDadosEstadia()
{
    //corrige formatação da data
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));

    var grava       = 1;
    var idestadia   = $('#hdnId').attr('data');
    var avulso      = $('#hdnAvulso').attr('data');
    var saida       = $('#hdnDataSaida').attr('data');
    var cliente     = $('#cbClientePesq').val();
    var placa       = $('#txtPlaca').val();
    var total       = $('#txtTotal').val();
    
    //fazer as validações aqui

    if(idestadia=='')
    {
        MensagemBox( 'erro','','Veículo não selecionado!', 2000, 'Ok');
        grava = 0;
    }
    //console.log('id: ' + idestadia + ' data saida: ' +  saida);

    if(grava==1)
    {
        console.log('cliente ' , cliente);

        SalvarEstadia(idestadia, saida, cliente, placa, avulso, total);
        $('#cadastro').hide();
        $('#lista').show();
    }
}

/* $('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
}); */

$("#tbSair tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    //dados do veiculo
    var veiculo = $("#" + id + "_veiculo").attr('data');
    $('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
    $('#txtPlaca').val($("#" + id + "_veiculo").attr('data2'));
    $('#txtPlaca_carreta').val($("#" + id + "_veiculo").attr('data3'));
    $('#txtMarca').val($("#" + id + "_veiculo").attr('data4'));
    $('#txtModelo').val($("#" + id + "_veiculo").attr('data5'));
    //dados do motorista
    $('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
    $('#txtCpf').val($("#" + id + "_motorista").attr('data3'));
    $('#txtNome').val($("#" + id + "_motorista").attr('data2'));
    $('#txtCelular').val($("#" + id + "_motorista").attr('data4'));
    $('#txtCnh').val($("#" + id + "_motorista").attr('data5'));
    $('#txtCategoria').val($("#" + id + "_motorista").attr('data6'));
    //dados da carga
    $('#txtData').val($("#" + id + "_data").attr('data'));
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
    $('#cbProduto').val($("#" + id + "_produto").attr('data'));
    $('#cbTransp').val($("#" + id + "_transportador").attr('data'));
    $('#cbDestino').val($("#" + id + "_destino").attr('data'));
    $('#cbTipocarga').val($("#" + id + "_tipocarga").attr('data'));
    $('#txtQtde').val($("#" + id + "_qtde").attr('data'));
    $('#txtPedido').val($("#" + id + "_pedido").attr('data'));
    $('#txtObs').val($("#" + id + "_obs").attr('data'));
    $('#txtCliente').val($("#" + id + "_cliente").attr('data2'));
    $('#hdnAvulso').attr('data',$("#" + id + "_avulso").attr('data'));

    var vira = $("#" + id + "_vira").attr('data');
    $('#hdnVira').attr('data',$("#" + id + "_vira").attr('data'));

    $('#txtDataEntrada').val($("#" + id + "_dataentrada").attr('data'));
    $('#txtDataEntrada2').val($("#" + id + "_dataentrada").attr('data2'));
    
    var dataentrada = $("#" + id + "_dataentrada").attr('data2');

    var cliente = $("#" + id + "_cliente").attr('data');

    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    var hora = data.getHours();
    var minuto = data.getMinutes();
    var segundo = data.getSeconds();
    if(dia<10){dia = '0'+dia}
    if(mes<10){mes = '0'+mes}
    if(hora<10){hora = '0'+hora}
    if(minuto<10){minuto = '0'+minuto}
    if(segundo<10){segundo = '0'+segundo}
    
    var agora = ano + '-' + mes + '-' + dia + ' ' + hora + ':' + minuto + ':' + segundo;

    var datasaida1 = ano + '-' + mes + '-' + dia + ' ' +  hora + ':' + minuto + ':' + segundo;
    var datasaida2 = dia + '/' + mes + '/' + ano + ' ' +  hora + ':' + minuto + ':' + segundo;
    $('#hdnDataSaida').attr('data', agora);

    $('#txtData').val(datasaida2);
    $('#hdnData').attr('data',agora);

    var minutos = TempoEmMinutos(dataentrada, datasaida1);
    $('#hdnTempo').attr('data', minutos);
    $('#txtTempo').val(CalculaTempo(minutos));

    if(vira=='1')
    {
        BuscarViraAnterior(veiculo, id);
    }

    var tempo = $('#hdnTempo').attr('data');        //tempo de permanência em minutos
    var valor = 0;
    var tempovira = $('#txtTempoVira').val();
    /* var primeirovira = $('#hdnPrimeiroVira').attr('data');

    if(primeirovira =='1')
    {
        valor = '50.00';
    } */

    
    var primeirovira = $('#hdnPrimeiroVira').attr('data');

    console.log('PRIM VIRA: ' + primeirovira);

    if(primeirovira =='1')
    {
        
        valor = '50.00';
        console.log('PASSEI NO DESVIO DO PRIM VIRA: ' + primeirovira + ' VALOR: ' + valor);
    }

    $('#txtTotal').val(valor); 
    

    //desabilita campos
    //$('#hdnVeiculo').attr('data',$("#" + id + "_veiculo").attr('data'));
    $('#txtCliente').prop('disabled',true);
    $('#txtPlaca').prop('disabled',true);
    $('#txtPlaca_carreta').prop('disabled',true);
    $('#txtMarca').prop('disabled',true);
    $('#txtModelo').prop('disabled',true);
    //dados do motorista
    //$('#hdnMotorista').attr('data',$("#" + id + "_motorista").attr('data'));
    $('#txtCpf').prop('disabled',true);
    $('#txtNome').prop('disabled',true);
    $('#txtCelular').prop('disabled',true);
    $('#txtCnh').prop('disabled',true);
    $('#txtCategoria').prop('disabled',true);
    //dados da carga
    $('#txtData').prop('disabled',true);
    $('#hdnData').attr('data',FormataStringData($('#txtData').val()));
    $('#cbProduto').prop('disabled',true);
    $('#cbTransp').prop('disabled',true);
    $('#cbDestino').prop('disabled',true);
    $('#cbTipocarga').prop('disabled',true);
    $('#txtQtde').prop('disabled',true);
    $('#txtPedido').prop('disabled',true);
    $('#txtObs').prop('disabled',true);

    /*  id, 
        idcliente,
        idveiculo, 
        placa, 
        placa_carreta,
        idmotorista, 
        celular,
        idproduto,  
        idtransportador, 
        iddestino, 
        dataprev,
        datachamada, 
        datasaida, 
        foichamado,
        status,
        qtde,
        pedido,
        obs,
        tipocarga */
   
});

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtPlaca').val('');   
    $('#txtTitulo').val('');   
    $('#txtCodigo').val('');   

    $('#txtTempo').val('');   
    $('#txtDataEntrada2').val('');   
    $('#txtTempoVira').val('');   
    $('#txtPagaVira').val('');   
    $('#txtTotal').val('');   

}

function PesquisarSair(cliente)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-sair",
        method: 'post',
        data:
        {
            cliente: cliente 
        },
        beforeSend: function()
        {
            $('#tbSair tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            console.log('SQL: ' + data.sql);

            if(data.consulta.length > 0)
            {
                
                var icocodigo = '<i class="fas fa-sign-out-alt"></i>&nbsp;';
                
                data.consulta.forEach(item =>
                {
                    var status = '';
                    var chamado = item.foichamado;
                    var foichamado = item.foichamado;
                    var unidade = item.unidade;
                    var avulso = item.avulso;
                    var tipocarga = item.tipocarga;

                    var status_inspecao = item.status_inspecao;
                    var stainsp = item.status_inspecao;

                    if(status_inspecao=='PENDENTE')
                    {
                        status_inspecao = '<i class="fa fa-file-pdf-o" style="color: gray;"></i>&nbsp;';
                    }
                    else if(status_inspecao=='INICIADO')
                    {
                        status_inspecao = '<i class="fa fa-file-pdf-o" style="color: lightskyblue;"></i>&nbsp;';
                    }
                    else if(status_inspecao=='APROVADO')
                    {
                        status_inspecao = '<i class="fa fa-file-pdf-o" style="color: green;"></i>&nbsp;';
                    }
                    else if(status_inspecao=='REPROVADO')
                    {
                        status_inspecao = '<i class="fa fa-file-pdf-o" style="color: red;"></i>&nbsp;';
                    }


                    if(chamado=='1')
                    {
                        chamado = ' <span class="badge badge-success estilobag" style="color: #000;"><i class="fas fa-bullhorn fa-lg"></i>&nbsp;FOI CHAMADO</span> Chamado por: ' + item.chamadopor +  ' em: ' + item.datachamada + ' ';
                    }
                    else 
                    {
                        chamado = ' ';
                    }

                    if(item.status=='AG')
                    {
                        status = '<span class="badge badge-success estilobag">AGENDADO</span>';
                    }
                    else if(item.status=='ET')
                    {
                        status = '<span class="badge badge-info estilobag">EM TRÂNSITO</span>';
                    }
                    else if(item.status=='PA')
                    {
                        status = '<span class="badge badge-dark estilobag">NO PÁTIO</span>';
                    }
                    else if(item.status=='NF')
                    {
                        status = '<span class="badge badge-warning">NA FÁBRICA</span>';
                    }
                    else if(item.status=='RC')
                    {
                        status = '<span class="badge badge-warning">RECEBIDO CLIENTE</span>';
                    }
                    else if(item.status=='CL')
                    {
                        status = '<span class="badge badge-danger estilobag">CANCELADO</span>';
                    }
                    else if(item.status=='FN')
                    {
                        status = '<span class="badge badge-secondary">FINALIZADO</span>';
                    }
                    else
                    {
                        status = '<span class="badge badge-dark estilobag"></span>';
                    }

                    var icotruck = '<i class="fas fa-truck"></i>&nbsp;';
                    var icodata = '<i class="fas fa-clock fa-lg"></i>&nbsp;';
                    var icomotora = '<i class="fas fa-user-tie"></i>&nbsp;';
                    var icocarga = '<i class="fas fa-truck-loading"></i>&nbsp;';
                    var icodestino = '<i class="fas fa-map-marker-alt fa-lg"></i>&nbsp;';
                    
                    var icovira ='<i class="fas fa-redo fa-lg" style="color: #ffcc00";></i>';

                    if(item.viravirtual=='1')
                    {
                        var icovira ='<i class="fas fa-redo fa-2x" style="color: #ff0000";></i>';
                    }

                    if(item.vira=='1')
                    {
                        icodata = icovira;
                    }


                    //var ativo = ' style="font-color: #000;"';
                    //var nome = item.descricao;
                    //if(item.ativo=='0')
                    //{
                    //    ativo = ' style="color: #ff0000;"';
                    //    icodestino = '<i class="fas fa-map-marker-alt fa-lg" ' + ativo + '></i>&nbsp;';
                    //    nome = '<del>' + nome + '</del>';
                    //}
                    if(item.inspecao=='0')
                    {
                        insp='<span>...</span>';
                    }
                    else
                    {
                        insp= '<a target="_blank" href="/public/pdfinsp/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                        //insp= '<a target="_blank" href="/pdfinsp/' + item.inspecao +'"><span class="cursor-pointer fas fa-file-pdf fa-2x" style="cursor: pointer;color: #ff6600;" title="Inspeção em PDF"></span></a>&nbsp;';
                    }
                    
                    var tipoveiculo=item.tipoveiculo;
                    if(tipoveiculo==' NÃO DEFINIDO')
                    {
                        tipoveiculo = '';
                    }
                    else 
                    {
                        tipoveiculo=' - ' + item.tipoveiculo;
                    }

                    var sair ='';
                    /* if(foichamado=='1' && unidade=='2')
                    {
                        sair='<span name="editBtn" class="fas fa-sign-out-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Sair"></span>&nbsp;&nbsp;' + insp + ' ';
                    }
                    else if(avulso=='1' && unidade=='2')
                    {
                        sair='<span name="editBtn" class="fas fa-sign-out-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Sair"></span>&nbsp;&nbsp;' + insp + ' ';
                    }
                    else if(foichamado=='0' && unidade=='2')
                    {
                        sair = '<span>...</span>';
                    }
                    else if( unidade=='1')
                    {
                        sair='<span name="editBtn" class="fas fa-sign-out-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Sair"></span>&nbsp;&nbsp;';
                    }
                     */

                    if((tipocarga=='GR' || tipocarga=='BG') && stainsp=='APROVADO' && unidade=='2')     //ROMA
                    {
                        sair = '<span name="editBtn" class="fas fa-sign-out-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Sair do pátio"></span> &nbsp;&nbsp;' + insp + '';
                    }
                    else if((tipocarga=='GR' || tipocarga=='BG') && unidade=='1')                       //SOENE
                    {
                        sair = '<span name="editBtn" class="fas fa-sign-out-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Sair do pátio"></span> &nbsp;&nbsp;' + insp + '';
                    }
                    else if((tipocarga=='CS' || tipocarga=='TQ'))
                    {
                        sair = '<span name="editBtn" class="fas fa-sign-out-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Sair do pátio"></span> &nbsp;&nbsp;';
                    }
                    else if((avulso=='1' ))
                    {
                        sair = '<span name="editBtn" class="fas fa-sign-out-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Sair do pátio"></span> &nbsp;&nbsp;';
                    }
                    else
                    {
                        sair = '<span>...</span>';
                    }


                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_data" data="' + item.dataprev + ' ' + item.horaprev + '" style="font-size: 12pt;"><b>' + icodata + ' ' + item.dataprev + ' ' + item.horaprev + ' - ' + icotruck + ' ' + item.placa + ' - ' + item.placa_carreta + tipoveiculo + ' - ' + icomotora + ' ' + item.motorista + '</b> ' + status + ' ' + chamado + '<br>' + icocarga + item.produto + ' - ' + item.qtde + ' - ' + icodestino + item.cliente + '/' + item.destino + ' - ' + item.transportador + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_cliente" data="'+ item.idcliente +'" data2="'+ item.cliente +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_veiculo" data="'+ item.idveiculo +'" data2="'+ item.placa +'" data3="'+ item.placa_carreta + '" data4="'+ item.marca +'" data5="'+ item.modelo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_motorista" data="'+ item.idmotorista +'" data2="'+ item.motorista +'" data3="'+ item.cpf + '" data4="'+ item.celular +'" data5="'+ item.cnh +'"  data6="'+ item.categoria +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_produto" data="'+ item.idproduto +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_transportador" data="'+ item.idtransportador +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_destino" data="'+ item.iddestino +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_dataprev" data="'+ item.dataprev +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_datachamada" data="'+ item.datachamada +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_datasaida" data="'+ item.datasaida +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_foichamado" data="'+ item.foichamado +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_status" data="'+ item.status +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_qtde" data="'+ item.qtde +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_pedido" data="'+ item.pedido +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_obs" data="'+ item.obs +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_avulso" data="'+ item.avulso +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_tipocarga" data="'+ item.tipocarga +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_dataentrada" data="'+ item.dataentrada +'" data2="'+ item.dataentradacalc +'"/>'

                            +       '<input type="hidden" id="'+ item.id +'_vira" data="'+ item.vira +'"/>'


                            /* id, 
                            idcliente,
                            idveiculo, 
                            placa, 
                            placa_carreta,
                            idmotorista, 
                            celular,
                            idproduto,  
                            idtransportador, 
                            iddestino, 
                            dataprev,
                            datachamada, 
                            datasaida, 
                            foichamado,
                            status,
                            qtde,
                            pedido,
                            obs,
                            tipocarga */
                            +      '<td width="10%" class="text-center">' + sair
                            //+         '<span name="editBtn" class="fas fa-sign-out-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Sair"></span>&nbsp;&nbsp;' + insp + ' '
                            +      '</td>'
                            +   '</tr>';

                        $('#tbSair tbody').append(linha);
                });
            }
            else
            {
                $('#tbSair tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarEstadia(idestadia, saida, cliente, placa, avulso, total)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-sair",
        method: 'post',
        data:
        {
            idestadia:  idestadia, 
            datasaida:  saida,
            cliente:    cliente,
            placa:      placa,
            avulso:     avulso,
            total:      total
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            console.log(data);
            MensagemBox( 'sucesso','','Veículo saiu do pátio com sucesso!', 2000, 'Ok');
            var cliente = $('#cbClientePesq').val();
            PesquisarSair(cliente);
        },
        error:function(error)
        {
            console.log(error);
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente-sair",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbClientePesq').empty();
            $('#cbClientePesq').append('<option value="">Carregando...</option>');
            $('#cbClientePesq').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbClientePesq').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbClientePesq').empty();
                $('#cbClientePesq').append('<option value="">Todos...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbClientePesq').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarProduto3()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-produto-sair",
        method: 'post',
        data:
        {
           cliente: ''
        },
        beforeSend: function()
        {
            $('#cbProduto').empty();
            $('#cbProduto').append('<option value="">Carregando...</option>');
            $('#cbProduto').prop('disabled',true);
        },
        complete: function()
        {
            //$('#cbProduto').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbProduto').empty();
                $('#cbProduto').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    var produto = item.descricao;
                    if(item.formula!='')
                    {
                        produto = produto + ' - Formula: ' + item.formula;
                    }
                    $('#cbProduto').append('<option value="' + item.id + '">' + produto + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarDestino3()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-destino-sair",
        method: 'post',
        data:
        {
           cliente: ''
        },
        beforeSend: function()
        {
            $('#cbDestino').empty();
            $('#cbDestino').append('<option value="">Carregando...</option>');
            $('#cbDestino').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbDestino').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbDestino').empty();
                $('#cbDestino').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbDestino').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarTransp3()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-transp-sair",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbTransp').empty();
            $('#cbTransp').append('<option value="">Carregando...</option>');
            $('#cbTransp').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbTransp').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTransp').empty();
                $('#cbTransp').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    
                    $('#cbTransp').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function BuscarCliente(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-cliente",
        method: 'post',
        data:
        {
           idcliente: cliente
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtCliente').val(item.nome);
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}



function BuscarMotorista(cpf)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-motorista-cpf",
        method: 'post',
        data:
        {
           cpf: cpf
        },
        beforeSend: function()
        {
            $('#txtNome').val('');
            $('#txtCelular').val('');
            $('#txtCnh').val('');
            $('#txtCategoria').val('');
            $('#hdnMotorista').attr('data',0);

            $('#txtNome').prop('disabled',true);
            //$('#txtCelular').prop('disabled',true);
            $('#txtCnh').prop('disabled',true);
            $('#txtCategoria').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtNome').val(item.nome);
                    $('#txtCelular').val(item.celular);
                    $('#txtCnh').val(item.cnh);
                    $('#txtCategoria').val(item.categoria);
                    $('#hdnMotorista').attr('data',item.id);
                });
            }
            else 
            {
                MensagemBox('alerta','Busca Motorista','Motorista não encontrado!', 2000, 'Ok');
                $('#txtNome').prop('disabled',false);
                //$('#txtCelular').prop('disabled',false);
                $('#txtCnh').prop('disabled',false);
                $('#txtCategoria').prop('disabled',false);

                //MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

$('#txtCpf').keyup(function(event)
{
    var cpf = $('#txtCpf').val();
    var tamanho = cpf.length;

    //console.log('tamanho: ' + tamanho);
    if(tamanho==11)
    {
        BuscarMotorista(cpf)
    }
    else
    {
        LimpaCamposMotorista()
    }
});

function LimpaCamposMotorista()
{
    $('#txtNome').val('');
    $('#txtCelular').val('');
    $('#txtCnh').val('');
    $('#txtCategoria').val('');
    $('#hdnMotorista').attr('data',0);
}


function BuscarVeiculo(placa)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-veiculo-placa",
        method: 'post',
        data:
        {
           placa: placa
        },
        beforeSend: function()
        {
            $('#txtPlaca_carreta').val('');
            $('#txtMarca').val('');
            $('#txtmodelo').val('');
            $('#hdnVeiculo').attr('data',0);

            //$('#txtPlaca_carreta').prop('disabled',true);
            $('#txtMarca').prop('disabled',true);
            $('#txtModelo').prop('disabled',true);
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtPlaca_carreta').val(item.placa_carreta);
                    $('#txtMarca').val(item.marca);
                    $('#txtModelo').val(item.modelo);
                    $('#hdnVeiculo').attr('data',item.id);
                });
            }
            else 
            {
                MensagemBox('alerta','Busca Veículo','Veículo não encontrado!', 2000, 'Ok');
                //$('#txtPlaca_carreta').prop('disabled',false);
                $('#txtMarca').prop('disabled',false);
                $('#txtModelo').prop('disabled',false);
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


$('#txtPlaca').keyup(function(event)
{
    var placa = $('#txtPlaca').val();
    var tamanho = placa.length;

    placa = placa.toUpperCase();
    $('#txtPlaca').val(placa);

    //console.log('tamanho: ' + tamanho);
    if(tamanho==7)
    {
        BuscarVeiculo(placa)
    }
    else
    {
        LimpaCamposVeiculo()
    }
});

function LimpaCamposVeiculo()
{
    $('#txtPlaca_carreta').val('');
    $('#txtMarca').val('');
    $('#txtmodelo').val('');
    $('#hdnVeiculo').attr('data',0);
}


function BuscarViraAnterior(veiculo, estadia)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-vira-anterior",
        method: 'post',
        data:
        {
           veiculo: veiculo,
           id:      estadia
        },
        beforeSend: function()
        {
            $('#txtTempoVira').prop('disabled',true);
            $('#hdnPrimeiroVira').attr('data','');  
        },
        complete: function()
        {
           
        },
        success: function(data)
        {
            console.log('veiculo: ' + veiculo + ' estadia: ' + estadia);
            
            var dataa = new Date();
            var dia = dataa.getDate();
            var mes = dataa.getMonth() + 1;
            var ano = dataa.getFullYear();
            var hora = dataa.getHours();
            var minuto = dataa.getMinutes();
            var segundo = dataa.getSeconds();
            if(dia<10){dia = '0'+dia}
            if(mes<10){mes = '0'+mes}
            if(hora<10){hora = '0'+hora}
            if(minuto<10){minuto = '0'+minuto}
            if(segundo<10){segundo = '0'+segundo}

            //DATA ATUAL
            var datasaida1 = ano + '-' + mes + '-' + dia + ' ' +  hora + ':' + minuto + ':' + segundo;
            var minutos = 0;
            var dataentrada = '';
            
            if(data.consulta.length > 0)
            {
                console.log('sql: ' + data.sql);
                data.consulta.forEach(item =>
                {
                    dataentrada = item.entrada;
                    minutos = TempoEmMinutos(dataentrada, datasaida1);                    
                    $('#txtTempoVira').val(minutos);   
                    $('#hdnPrimeiroVira').attr('data','');  
                    $('#txtPagaVira').val('N');  
                    console.log('data entrada xxx: ' + dataentrada + ' tempo: ' + minutos);  
                    if(minutos >= 1440) //1440
                    {
                        $('#hdnPrimeiroVira').attr('data','1'); 
                        $('#txtPagaVira').val('S'); 

                        var valor2 = '50.00';
                        $('#txtTotal').val(valor2);
                        console.log('ENTROU NA CONDICAO DAS 24 H');
                    }           
                });

            }
            else 
            {
                //NÃO ENCONTROU NENHUM REGISTRO ANTERIOR
                dataentrada = $('#txtDataEntrada2').val();
                minutos = TempoEmMinutos(dataentrada, datasaida1);                    
                $('#txtTempoVira').val(minutos);
                $('#hdnPrimeiroVira').attr('data','1');
                $('#txtPagaVira').val('S'); 
                
                var valor = '50.00';
                $('#txtTotal').val(valor);
                //console.log('data entrada: ' + dataentrada);  
                
            }

        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function CalculaTempo(tempo)
{
    if(tempo < 60)
    {
        return  tempo + ' min'
    }
    else
    {
        //return tempo + ' ???'
        if(tempo == 60)
        {
            return '1 h';
        }
        else if(tempo > 60)
        {
            var t = (tempo / 60);
            var horas = Math.trunc(t);
            var fracao = Math.round((t - horas) * 60);
            return horas + 'h ' + fracao + 'min'
        }
    }
}

function CalculaTempoVira(tempo)
{
    if(tempo < 60)
    {
        return  tempo 
    }
    else
    {
        //return tempo + ' ???'
        if(tempo == 60)
        {
            return '1 h';
        }
        else if(tempo > 60)
        {
            var t = (tempo / 60);
            var horas = Math.trunc(t);
            var fracao = Math.round((t - horas) * 60);
            return horas + 'h ' + fracao + 'min'
        }
    }
}


function TempoEmMinutos(dataini, datafim)
{
    
    var startTime = new Date(dataini); 
    var endTime = new Date(datafim);
    var difference = endTime.getTime() - startTime.getTime(); // This will give difference in milliseconds
    var resultInMinutes = Math.round(difference / 60000);

    return resultInMinutes
}



