@extends('layouts.app')

@section('titulo')
    <i class="fas fa-tasks"></i> Log
@endsection

@section('css')
    <!-- <link rel="stylesheet" href="{{{ URL::asset('css/bootstrap-datetimepicker/bootstrap-datetimepicker.css') }}}" /> -->
@endsection

@section('scripts')
    <!-- <script src="{{{ URL::asset('js/moment/min/moment-with-locales.min.js') }}}"></script>
    <script src="{{{ URL::asset('js/bootstrap-datetimepicker/bootstrap-datetimepicker.min.js') }}}"></script> -->

    <script src="{{{ URL::asset('js/views/adm/log.js?1234') }}}"></script>
@endsection

@section('pagina')

<div class="content-wrapper">

    <div class="container-fluid mt-2">

        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="cbUsuarioLabel" class="col-form-label text-md-left">Usuário/Login</label>
                        <br/>
                        <select id="cbUsuario" class="form-control">
                           
                        </select>
                    </div>

                    <div class="col col-lg-2 col-12 text-left">
                        <label for="cbStatusPesq" class="col-form-label text-md-left">Mês</label>
                        <br/>
                        <select id="cbMes" class="form-control">
                            <option value="" selected>...Todos</option>
                            <option value="01">JANEIRO</option>
                            <option value="02">FEVEREIRO</option>
                            <option value="03">MARÇO</option>
                            <option value="04">ABRIL</option>
                            <option value="05">MAIO</option>
                            <option value="06">JUNHO</option>
                            <option value="07">JULHO</option>
                            <option value="08">AGOSTO</option>
                            <option value="09">SETEMBRO</option>
                            <option value="10">OUTUBRO</option>
                            <option value="11">NOVEMBRO</option>
                            <option value="12">DEZEMBRO</option>
                            
                        </select>
                    </div>
                    <div class="col col-lg-1 col-12 text-left">
                        <label for="cbAno" class="col-form-label text-md-left">Ano</label>
                        <br/>
                        <select id="cbAno" class="form-control">
                            <option value="" selected>...Selecione</option>
                            <option value="2021">2021</option>
                            <option value="2022">2022</option>
                            <option value="2023">2023</option>
                            <option value="2024">2024</option>
                            <option value="2025">2025</option>
                            <option value="2026">2026</option>
                            <option value="2027">2027</option>
                            <option value="2028">2028</option>
                            <option value="2029">2029</option>
                            <option value="2030">2030</option>
                            <option value="2031">2031</option>
                            
                        </select>
                    </div>
                    <div class="col-md-2">
                        <label id="txtPalavra_label" for="txtNome"  class="col-form-label text-md-left">Palavra chave <span style="color: #C0C0C0;">Enter</span></label>
                        <input id="txtPalavra" class="form-control" name="palavra" type="text" maxlength="50" value="" style="background-color: #ffffb3;" title="Digite palavra para buscar a escola e dê [Enter]"/>
                    </div>
                    
					 <div class="col col-sm-4 text-right">
						<label for="btnPesquisaLog" class="col-form-label text-md-left">&nbsp;</label>
						<br/>
						<button id="btnPesquisaLog"  class="btn btn-secondary btn-redondo"><i class="fas fa-search"></i> Pesquisar</button>
					</div>
                </div>

            </div>
        </div>
        
        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbLog" class="table table-striped table-bordered text-left ">
                            <thead  style="background-color:#333333; color: #ccc; font-weight: bold;">
                                <tr>
                                    <th style="width: 15%;">Data</th>
                                    <th style="width: 20%;">Login</th>
                                    <th style="width: 65%;">Descrição</th>
                                </tr>
                            </thead>
                            <tbody>

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>
 </div>

@endsection