<!DOCTYPE html>
<html lang="pt">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <!-- Styles -->
    <link rel="stylesheet" href="{{ URL::asset('css/bootstrap_v4/bootstrap.min.css') }}" >
    <link rel="stylesheet" href="{{ URL::asset('fontawesome/css/fontawesome.min.css')}}" >
    <link rel="stylesheet" href="{{ URL::asset('fontawesome/css/solid.css')}}" >
    <link rel="stylesheet" href="{{ URL::asset('css/views/layout.css') }}" >
    <link rel="stylesheet" href="{{ URL::asset('css/views/master.css') }}" >
    <link rel="stylesheet" href="{{{ URL::asset('js/DataTables/datatables.min.css') }}}" />

    <style type="text/css">
        @keyframes neon {
            from {
                filter: drop-shadow(0 0 0 var(--cor-neon));
            }
            to {
                filter: drop-shadow(0 0 100px var(--cor-neon));
            }
        }

        i {
            animation: neon 3s alternate infinite ease-in-out;
        }

        b {
            animation: neon 3s alternate infinite ease-in-out;
        }

        .texto {
            --cor-neon: white;
        }

        /* .img {
            --cor-neon: blue;
        } */
	</style>
</head>
<body>
    <!-- <div class="container-fluid"> -->
		<div class="panel panel-primary" >
            <div class="card rounded" style="background-color: #000;">
                <div class="card-body">
                    <div class="row" style="background-color: #262626;">
                        <div class="col-md-6">
                            
                            <div class="col-md-12 text-left mt-2" style="height:40px;">
                                
                                <a href="{{route('home')}}">
                                    <img src="{{{ URL::asset('img\logo-sgp.png')}}}" class="rounded" height="60"/>
                                </a>
                            </div>
                            <br>
                        </div>

                        <div class="col-md-6">
                            <br>
                            <div class="col-md-12 text-right" style="height:40px; ">
                                    <!-- <br/> -->
                                    <p style="font-size: 20px;" class="text-right text-white">SGPT - Sistema Integrado de Gestão de Pátio</p>
                                    
                            </div>
                            <br>
                        </div>
                    </div>
                    
                    <div class="row mt-2">
                    <!-- <div class="panel panel-primary quadro-dash pl-2 pr-2" style="height: 1000px;background-color: black;"> -->
                        <div class="col-md-2 mt-2">
                            <div class="panel panel-primary quadro-dash pl-2 pr-2" style="height: 680px;background-color: #1a1a1a;">
                                    
                                    <p style="font-size: 26px; color: #d9d9d9;" class="text-center"><b>BR</b><br>_______________</p>
                                    
                                    <table id="tbBr"  class="border: none;table table-hover table-sm text-left">
                                        <!-- <thead>
                                            <tr>
                                                <th style="font-size: 20px;" class="text-center text-white"><b>#</b></th>
                                                <th style="font-size: 20px;" class="text-center text-white"><b>Placa</b></th>
                                            </tr>
                                        </thead> -->
                                        <tbody>
                                       
                                        </tbody>
                                    </table>
                            </div>
                        </div>
                    
                        <div class="col-md-2 mt-2">
                            <div class="panel panel-primary quadro-dash pl-2 pr-2" style="height: 680px;background-color: #1a1a1a;">
                                    
                                    <p style="font-size: 26px; color: #d9d9d9;" class="text-center"><b>Granel</b><br>_______________</p>
                                    <table id="tbGranel"  class="border: none;table table-hover table-sm text-left">
                                        <!-- <thead>
                                            <tr>
                                                <th style="font-size: 20px;" class="text-center text-info"><b>&nbsp;</b></th>
                                                <th style="font-size: 20px;" class="text-center text-white"><b>&nbsp;</b></th>
                                            </tr>
                                        </thead> -->
                                        <tbody>
                                       
                                        </tbody>
                                    </table>
                            </div>
                        </div>

                        <div class="col-md-2 mt-2">
                            <div class="panel panel-primary quadro-dash pl-2 pr-2" style="height: 680px;background-color: #1a1a1a;">
                                    
                                    <p style="font-size: 26px; color: #d9d9d9;" class="text-center"><b>Ultracargo</b><br>_______________</p>
                                    <table id="tbUltracargo"  class="border: none;table table-hover table-sm text-left">
                                       <!--  <thead>
                                            <tr>
                                                <th style="font-size: 20px;" class="text-center text-info"><b>&nbsp;</b></th>
                                                <th style="font-size: 20px;" class="text-center text-white"><b>&nbsp;</b></th>
                                            </tr>
                                        </thead> -->
                                        <tbody>
                                       
                                        </tbody>
                                    </table>
                            </div>
                        </div>
                        <div class="col-md-2 mt-2">
                            <div class="panel panel-primary quadro-dash pl-2 pr-2" style="height: 680px;background-color: #1a1a1a;">
                                    
                                    <p style="font-size: 26px; color: #d9d9d9;" class="text-center"><b>Ipiranga</b><br>_______________</p>
                                    <table id="tbIpiranga"  class="border: none;table table-hover table-sm text-left">
                                       <!--  <thead>
                                            <tr>
                                                <th style="font-size: 20px;" class="text-center text-info"><b>&nbsp;</b></th>
                                                <th style="font-size: 20px;" class="text-center text-white"><b>&nbsp;</b></th>
                                            </tr>
                                        </thead> -->
                                        <tbody>
                                       
                                        </tbody>
                                    </table>
                            </div>
                        </div>
                        <div class="col-md-2 mt-2">
                            <div class="panel panel-primary quadro-dash pl-2 pr-2" style="height: 680px;background-color: #1a1a1a;">
                                    <br/>
                                    <p style="font-size: 16px; color: #ffe0b3;" class="text-center">&nbsp;<br><b>&nbsp;</b></p>
                                    <table id="tbNovo"  class="border: none;table table-hover table-sm text-left">
                                        <thead>
                                            <tr>
                                                <th style="font-size: 20px;" class="text-center text-info"><b>&nbsp;</b></th>
                                                <th style="font-size: 20px;" class="text-center text-white"><b>&nbsp;</b></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                       
                                        </tbody>
                                    </table>
                            </div>
                        </div>

                        <div class="col-md-2 mt-2">
                            <div class="panel panel-primary quadro-dash pl-2 pr-2" style="height: 680px;background-color: #1a1a1a;">
                                    <br/>
                                    <p style="font-size: 16px; color: #ffe0b3;" class="text-center">&nbsp;<br><b>&nbsp;</b></p>
                                    <table id="tbNovo"  class="border: none;table table-hover table-sm text-left">
                                        <thead>
                                            <tr>
                                                <th style="font-size: 20px;" class="text-center text-info"><b>&nbsp;</b></th>
                                                <th style="font-size: 20px;" class="text-center text-white"><b>&nbsp;</b></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                       
                                        </tbody>
                                    </table>
                            </div>
                        </div>
                        
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-md-2">
                            <h6 style="color:#ffffff;"><i class="fas fa-truck fa-lg"></i> No Pátio</h6>
                        </div>
                        <div class="col-md-2">
                            <h6 style="color:#00cc66;"><i class="fas fa-truck fa-lg"></i> Chamados</h6>
                        </div>
                        <div class="col-md-8" style="background-color: #000;">
                            
                            <div class="col text-right">
                                <div class="text-center text-white" style="font-size: 16px; ">Última atualização em {{$now}}</div>
                            </div>
                            <br>
                        </div>
                        
                    </div>

                </div>

            </div>

        </div>

<script src="{{ URL::asset('js/jquery_v3.3.1/jquery-3.3.1.min.js') }}" ></script>
<script src="{{{ URL::asset('js/popper/popper.min.js') }}}"></script>
<script src="{{ URL::asset('js/bootstrap_v4/bootstrap.min.js') }}" ></script>
<script src="{{ URL::asset('js/JqueryMaxLength/jquery.maxlength.js') }}" ></script>
<script src="{{ URL::asset('js/jquery_mask/jquery.mask.min.js') }}" ></script>
<script src="{{{ URL::asset('js/DataTables/datatables.min.js') }}}"></script>
<script src="{{ URL::asset('js/views/consulta/painel.js') }}" ></script>
</body>
</html>