@extends('layouts.app')

@section('scripts')
    <script src="{{{ URL::asset('js/views/financeiro/ordem_pgto.js?12345678') }}}"></script>
@endsection

@section('titulo')
    ORDEM DE PGTO - {{ Auth::user()->Unidade->getTitulo() }}
@endsection

@section('pagina')
    

<div class="content-wrapper">
    <input type="hidden" id="hdnUsuario" name="idusuario"   data="{{ Auth::user()->getId() }}"/>
    <input type="hidden" id="hdnId"      name="id"          data=""/>
    <!-- <input type="hidden" id="hdnUnidade" name="unidade"     data="{{ Auth::user()->getUnidade() }}"/> -->
    <input type="hidden" id="hdnDataprev" name="hdndataprev" data=""/>
    <input type="hidden" id="hdnDatamov" name="hdndatamov" data=""/>
    <input type="hidden" id="hdnNomeUsuario" name="usuario"   data="{{ Auth::user()->getNome() }}"/>
    <input type="hidden" id="hdnStatus" name="hdnstatus" data=""/>
    <input type="hidden" id="hdnAprovado" name="hdnaprovado" data=""/>
    <input type="hidden" id="hdnFinanceiro" name="hdnfinanceiro" data=""/>
    <input type="hidden" id="hdnAprovador" name="hdnaprovador" data="{{ Auth::user()->getAprovador() }}"/>
    <input type="hidden" id="hdnVisto" name="hdnvisto" data="{{ Auth::user()->getVisto() }}"/>
    
    <input type="hidden" id="hdnData1" name="hdndata1" data=""/>
    <input type="hidden" id="hdnData2" name="hdndata2" data=""/>
    <input type="hidden" id="hdnData3" name="hdndata3" data=""/>
    <input type="hidden" id="hdnData4" name="hdndata4" data=""/>
    <input type="hidden" id="hdnData5" name="hdndata5" data=""/>
    <input type="hidden" id="hdnData6" name="hdndata6" data=""/>
    <input type="hidden" id="hdnData7" name="hdndata7" data=""/>
    <input type="hidden" id="hdnData8" name="hdndata8" data=""/>
    <input type="hidden" id="hdnData9" name="hdndata9" data=""/>
    <input type="hidden" id="hdnData10" name="hdndata10" data=""/>
    <input type="hidden" id="hdnData11" name="hdndata11" data=""/>
    <input type="hidden" id="hdnData12" name="hdndata12" data=""/>
    
    <div class="container-fluid mt-2">
        
        <div id="cadastro" class="card mt-2" style="display: none; background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
            
            @csrf
            
            <div class="card-body">
                <div class="row" style="padding-right: 2px;">
                    <div class="col-md-6">
                        <h4 style="color:#056367;"><i class="fas fa-tag"></i> Ordem de Pgto</h4>
                    </div>
                    <div class="col-md-6">
                        <div class="col text-right">
                            <button id="btnVoltar" type="button" class="btn btn-secondary btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-arrow-left"></i> Voltar
                            </button>

                            <button id="btnSalvar" type="button" data="" class="btn btn-success btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-save"></i> Salvar
                            </button>

                            <button id="btnNovoC" type="button" class="btn btn-primary btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-plus-circle"></i> Novo
                            </button>
                            <button id="btnAprovar1" type="button" class="btn btn-success btn-redondo" aria-label="Left Align" >
                                <i class="far fa-thumbs-up"></i> Aprovar Pgto
                            </button>
                            <button id="btnCancelar1" type="button" class="btn btn-danger btn-redondo" aria-label="Left Align" >
                                <i class="far fa-thumbs-down"></i> Cancelar
                            </button>
                            <button id="btnFinanca1" type="button" class="btn btn-warning" aria-label="Left Align" >
                                <i class="fas fa-calculator"></i> Enviar para Financeiro
                            </button>
                        </div>
                    </div>
                </div>

                <hr></hr>

                
                <div class="row" >
                    <div class="col-md-2">
                        <label id="txtDatamov_label" for="txtDatamov"  class="col-form-label text-md-left">Data Criação</label>
                        <input id="txtDatamov" class="form-control" name="datamov" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <label id="txtDataprev_label" for="txtDataprev" class="col-form-label text-md-left">Data Prim. Pgto <span style="color: #ff0000;">*</span></label>
                        <input id="txtDataprev" class="form-control" name="datarec" onKeyUp="mascara_data(this)" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <label id="txtValor_label" for="txtValor"  class="col-form-label text-md-left">Valor <span style="color: #ff0000;">*</span></label>
                        <input id="txtValor" class="form-control"  onkeyup="calcula()"  name="valor" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col col-lg-1 col-12 text-left">
                        <label for="cbStatus" class="col-form-label text-md-left">Parcelas<span style="color: #ff0000;">*</span></label>
                        <br/>
                        <select id="cbParcela" class="form-control">
                            <option value="" selected>...Selecione</option>
                            <option value="1">01 X</option>
                            <option value="2">02 X</option>
                            <option value="3">03 X</option>
                            <option value="4">04 X</option>
                            <option value="5">05 X</option>
                            <option value="6">06 X</option>
                            <option value="7">07 X</option>
                            <option value="8">08 X</option>
                            <option value="9">09 X</option>
                            <option value="10">10 X</option>
                            <option value="11">11 X</option>
                            <option value="12">12 X</option>
                        </select>
                    </div>
                    <div class="col col-lg-1 col-12 text-left">
                        <label for="cbDatafixa" class="col-form-label text-md-left">Data Fixa</label>
                        <br/>
                        <select id="cbDatafixa" class="form-control">
                            <option value="00" selected>...Nenhuma</option>
                            <option value="01">01</option>
                            <option value="02">02</option>
                            <option value="03">03</option>
                            <option value="04">04</option>
                            <option value="05">05</option>
                            <option value="06">06</option>
                            <option value="07">07</option>
                            <option value="08">08</option>
                            <option value="09">09</option>
                            <option value="10">10</option>
                            <option value="11">11</option>
                            <option value="12">12</option>
                            <option value="13">13</option>
                            <option value="14">14</option>
                            <option value="15">15</option>
                            <option value="16">16</option>
                            <option value="17">17</option>
                            <option value="18">18</option>
                            <option value="19">19</option>
                            <option value="20">20</option>
                            <option value="21">21</option>
                            <option value="22">22</option>
                            <option value="23">23</option>
                            <option value="24">24</option>
                            <option value="25">25</option>
                            <option value="26">26</option>
                            <option value="27">27</option>
                            <option value="28">28</option>
                            <option value="29">29</option>
                            <option value="30">30</option>
                        </select>
                    </div>
                    <div class="col col-lg-1 col-12 text-left">
                        <label for="cbIntervalo" class="col-form-label text-md-left">Intervalo<span style="color: #ff0000;">*</span></label>
                        <br/>
                        <select id="cbIntervalo" class="form-control">
                            <option value="" selected>...Selecione</option>
                            <option value="7">07dd</option>
                            <option value="10">10dd</option>
                            <option value="15">15dd</option>
                            <option value="20">20dd</option>
                            <option value="25">25dd</option>
                            <option value="30">30dd</option>
                            <option value="45">45dd</option>
                        </select>
                    </div>
                    <div class="col-md-2">
                        <label id="txtTotal_label" for="txtTotal"  class="col-form-label text-md-left">Valor Total</label>
                        <input id="txtTotal" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-1">
                        <label id="cbVisto_label" for="cbVisto"  class="col-form-label text-md-left">Vistoriado?</label>
                        <br/>
                        <label class="switch">
                            <input id="cbVisto"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                            <span class="slider round"></span>
                        </label>
                    </div>
                </div>

                <div class="row" >
                    <div class="col-md-6">
                        <label id="txtDescricao_label" for="txtDescricao"  class="col-form-label text-md-left">Descrição <span style="color: #ff0000;">*</span></label>
                        <textarea id="txtDescricao" name="txtObs" style="width: 100%" rows="4" maxlength="200"></textarea>
                    </div>
                    <div class="col col-lg-4 col-12 text-left">
                        <label for="cbPessoa" class="col-form-label text-md-left">Fornecedor <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <select id="cbPessoa" class="form-control">
                           
                        </select>
                    </div>
                    <div class="col-md-2">
                        <label id="txtDoc_label" for="txtTotal"  class="col-form-label text-md-left">Doc/NF</label>
                        <input id="txtDoc" class="form-control" name="total" type="text" maxlength="50" value="" />
                    </div>
                </div>
                <div class="row" >
                    <div class="col-md-8">
                        <label id="txtObs_label" for="txtDoc"  class="col-form-label text-md-left">Justificativa <span style="color: #ff0000;">*</span></label>
                        <!-- <input id="txtObs" class="form-control" name="obs" type="text" maxlength="100" value="" /> -->
                        <textarea id="txtObs" name="txtObs" style="width: 100%" rows="4" maxlength="200"></textarea>
                    </div>
                    <div class="col-md-4">
                        <label id="txtAutor_label" for="txtAutor"  class="col-form-label text-md-left">Solicitante</label>
                        <input id="txtAutor" class="form-control" name="doc" type="text" maxlength="50" value="" />
                    </div>
                </div>


                <div class="row" style="padding-right: 2px;">
                    <div class="col-md-6">
                        <div class="col text-left">
                            <label id="txtLegenda_label" for="txtLegenda"  ><span style="color: #ff0000;">( * )</span> Campos obrigatórios</label>
                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="col text-right">
                            <button id="btnVoltar2" type="button" class="btn btn-secondary btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-arrow-left"></i> Voltar
                            </button>

                            <button id="btnSalvar2" type="button" data="" class="btn btn-success btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-save"></i> Salvar
                            </button>

                            <button id="btnNovoC2" type="button" class="btn btn-primary btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-plus-circle"></i> Novo
                            </button>
                            <button id="btnAprovar2" type="button" class="btn btn-success btn-redondo" aria-label="Left Align" >
                                <i class="far fa-thumbs-up"></i> Aprovar Pgto
                            </button>
                            <button id="btnCancelar2" type="button" class="btn btn-danger btn-redondo" aria-label="Left Align" >
                                <i class="far fa-thumbs-down"></i> Cancelar
                            </button>
                            
                            <button id="btnFinanca2" type="button" class="btn btn-warning" aria-label="Left Align" >
                                <i class="fas fa-calculator"></i> Enviar para Financeiro
                            </button>
                        </div>
                    </div>
                </div>
                <div class="row" style="padding-right: 2px;">
                    <div class="col-md-6">
                        <div class="col text-left">
                            <span ><h4><b><label id="alerta1" for="txtAlerta" style="color: #ff0000;"></b></h4></label></span>
                            <span><h4><b><label id="alerta2" for="txtAlerta" style="color: #009900;"></b></h4></label></span>
                        </div>
                    </div>
                </div>

            </div>
            
        </div>

        <div id="conta" class="card mt-2" style="display: none; background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
            <div class="card-body">
                <div class="row" style="padding-right: 2px;">
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="cbContafin" class="col-form-label text-md-left">Conta Financeira <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <select id="cbContafin" class="form-control">
                           
                        </select>
                    </div>
                    <div class="col col-lg-5 col-12 text-left">
                        <label for="cbConta" class="col-form-label text-md-left">Conta Custo <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <select id="cbConta" class="form-control">
                           
                        </select>
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <label for="cbCCusto" class="col-form-label text-md-left">Centro de Custo <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <select id="cbCCusto" class="form-control">
                           
                        </select>
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <label for="cbForma" class="col-form-label text-md-left">Forma Pgto <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <select id="cbForma" class="form-control">
                            <option value="">...Selecione</option>
                            <option value="BO">BOLETO</option>
                            <option value="CC">CARTÃO CRÉDITO</option>
                            <option value="CD">CARTÃO DÉBITO</option>
                            <option value="DC">DÉBITO EM CONTA</option>
                            <option value="DN">ESPÉCIE</option>
                            <option value="PX">PIX</option>
                            <option value="TB">TRANSFERÊNCIA</option>
                        </select>
                    </div>
                </div>


                <div class="row" id="parcela1" style="padding-right: 2px;">
                    <div class="col-md-2">
                        <label id="txtParcela1_label" for="txtParcela1"  class="col-form-label text-md-left">Parcelas <span style="color: #ff0000;">*</span></label>
                        <input id="txtParcela1" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <label id="txtData1_label" for="txtData1"  class="col-form-label text-md-left">Data Prim. Pgto <span style="color: #ff0000;">*</span></label>
                        <input id="txtData1" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <label id="txtDoc1_label" for="txtDoc1"  class="col-form-label text-md-left">Referência</label>
                        <input id="txtDoc1" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <label for="cbStatus1" class="col-form-label text-md-left">Status <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <select id="cbStatus1" class="form-control">
                            <option value="" >...Selecione</option>
                            <option value="3">PAGO</option>
                            <option value="4" selected>A PAGAR</option>
                        </select>
                    </div>

                </div>

                <div class="row mt-2" id="parcela2" style="padding-right: 2px;">
                    <div class="col-md-2">
                        <input id="txtParcela2" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtData2" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtDoc2" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <select id="cbStatus2" class="form-control">
                            <option value="" >...Selecione</option>
                            <option value="3" >PAGO</option>
                            <option value="4" selected>A PAGAR</option>
                        </select>
                    </div>
                </div>

                <div class="row mt-2" id="parcela3" style="padding-right: 2px;">
                    <div class="col-md-2">
                        <input id="txtParcela3" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtData3" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtDoc3" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <select id="cbStatus3" class="form-control">
                            <option value="" >...Selecione</option>
                            <option value="3" >PAGO</option>
                            <option value="4" selected>A PAGAR</option>
                        </select>
                    </div>
                </div>

                <div class="row mt-2" id="parcela4" style="padding-right: 2px;">
                    <div class="col-md-2">
                        <input id="txtParcela4" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtData4" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtDoc4" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <select id="cbStatus4" class="form-control">
                            <option value="" >...Selecione</option>
                            <option value="3" >PAGO</option>
                            <option value="4" selected>A PAGAR</option>
                        </select>
                    </div>
                </div>

                <div class="row mt-2" id="parcela5" style="padding-right: 2px;">
                    <div class="col-md-2">
                        <input id="txtParcela5" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtData5" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtDoc5" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <select id="cbStatus5" class="form-control">
                            <option value="" >...Selecione</option>
                            <option value="3" >PAGO</option>
                            <option value="4" selected>A PAGAR</option>
                        </select>
                    </div>
                </div>

                <div class="row mt-2" id="parcela6" style="padding-right: 2px;">
                    <div class="col-md-2">
                        <input id="txtParcela6" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtData6" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtDoc6" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <select id="cbStatus6" class="form-control">
                            <option value="" >...Selecione</option>
                            <option value="3" >PAGO</option>
                            <option value="4" selected>A PAGAR</option>
                        </select>
                    </div>
                </div>

                <div class="row mt-2" id="parcela7" style="padding-right: 2px;">
                    <div class="col-md-2">
                        <input id="txtParcela7" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtData7" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtDoc7" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <select id="cbStatus7" class="form-control">
                            <option value="" >...Selecione</option>
                            <option value="3" >PAGO</option>
                            <option value="4" selected>A PAGAR</option>
                        </select>
                    </div>
                </div>

                <div class="row mt-2" id="parcela8" style="padding-right: 2px;">
                    <div class="col-md-2">
                        <input id="txtParcela8" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtData8" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtDoc8" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <select id="cbStatus8" class="form-control">
                            <option value="" >...Selecione</option>
                            <option value="3" >PAGO</option>
                            <option value="4" selected>A PAGAR</option>
                        </select>
                    </div>
                </div>

                <div class="row mt-2" id="parcela9" style="padding-right: 2px;">
                    <div class="col-md-2">
                        <input id="txtParcela9" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtData9" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtDoc9" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <select id="cbStatus9" class="form-control">
                            <option value="" >...Selecione</option>
                            <option value="3" >PAGO</option>
                            <option value="4" selected>A PAGAR</option>
                        </select>
                    </div>
                </div>

                <div class="row mt-2" id="parcela10" style="padding-right: 2px;">
                    <div class="col-md-2">
                        <input id="txtParcela10" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtData10" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtDoc10" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <select id="cbStatus10" class="form-control">
                            <option value="" >...Selecione</option>
                            <option value="3" >PAGO</option>
                            <option value="4" selected>A PAGAR</option>
                        </select>
                    </div>
                </div>

                <div class="row mt-2" id="parcela11" style="padding-right: 2px;">
                    <div class="col-md-2">
                        <input id="txtParcela11" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtData11" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtDoc11" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <select id="cbStatus11" class="form-control">
                            <option value="" >...Selecione</option>
                            <option value="3" >PAGO</option>
                            <option value="4" selected>A PAGAR</option>
                        </select>
                    </div>
                </div>

                <div class="row mt-2" id="parcela12" style="padding-right: 2px;">
                    <div class="col-md-2">
                        <input id="txtParcela12" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtData12" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <input id="txtDoc12" class="form-control" name="total" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <select id="cbStatus12" class="form-control">
                            <option value="" >...Selecione</option>
                            <option value="3" >PAGO</option>
                            <option value="4" selected>A PAGAR</option>
                        </select>
                    </div>
                </div>


            </div>
        </div>

        <div id="lista" class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
            <div class="card-body">
                <div class="row" style="padding-bottom: 5px; padding-right: 2px;">
                    <div class="col-md-6">
                        <h4 style="color:#056367;"><i class="fas fa-tag"></i> Ordem de Pgto</h4>
                    </div>
                </div>
                <div class="row" >
                    <div class="col col-lg-2 col-12 text-left">
                        <label for="cbStatusPesq" class="col-form-label text-md-left">Mês</label>
                        <br/>
                        <select id="cbMes" class="form-control">
                            <option value="" selected>...Todos</option>
                            <option value="1">JANEIRO</option>
                            <option value="2">FEVEREIRO</option>
                            <option value="3">MARÇO</option>
                            <option value="4">ABRIL</option>
                            <option value="5">MAIO</option>
                            <option value="6">JUNHO</option>
                            <option value="7">JULHO</option>
                            <option value="8">AGOSTO</option>
                            <option value="9">SETEMBRO</option>
                            <option value="10">OUTUBRO</option>
                            <option value="11">NOVEMBRO</option>
                            <option value="12">DEZEMBRO</option>
                            
                        </select>
                    </div>
                    <div class="col col-lg-1 col-12 text-left">
                        <label for="cbAno" class="col-form-label text-md-left">Ano</label>
                        <br/>
                        <select id="cbAno" class="form-control">
                            <option value="" selected>...Selecione</option>
                            <option value="2021">2021</option>
                            <option value="2022">2022</option>
                            <option value="2023">2023</option>
                            <option value="2024">2024</option>
                            <option value="2025">2025</option>
                            <option value="2026">2026</option>
                            <option value="2027">2027</option>
                            <option value="2028">2028</option>
                            <option value="2029">2029</option>
                            <option value="2030">2030</option>
                            <option value="2031">2031</option>
                            
                        </select>
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <label for="cbStatusPesq" class="col-form-label text-md-left">Status</label>
                        <br/>
                        <select id="cbStatusPesq" class="form-control">
                            <option value="" selected>...Todos</option>
                            <option value="1">APROVADOS</option>
                            <option value="0">PENDENTES APROVAÇÃO</option>
                        </select>
                    </div>
                    <div class="col col-lg-3 col-12 text-left">
                        <label id="txtBusca_label" for="txtBusca"  class="col-form-label text-md-left">Busca <span style="color: #C0C0C0;">Enter</span></label>
                        <input id="txtBusca" class="form-control" name="busca" type="text" maxlength="50" value="" style="background-color: #ffffb3;" title="Digite palavra para buscar e dê [Enter]"/>
                    </div>

                    <div class="col-md-4 text-right">
                        <label id="txtPesquisar_label" for="txtNome"  class="col-form-label text-md-left">&nbsp;</label><br>
                        <button id="btnPesquisar" type="button" class="btn btn-secondary btn-redondo" aria-label="Left Align" >
                            <i class="fas fa-search"></i> Pesquisar
                        </button>
                        <button id="btnNovo" type="button" class="btn btn-primary btn-redondo" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Novo
                        </button>
                        
                    </div>
                </div>
                <div class="row mt-2" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbMov" class="table table-striped table-bordered text-left ">
                            <thead  style="background-color:#404040; color: #ccc; font-weight: bold;">
                                <tr>
                                    <th>Descrição da Ordem de Pgto</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<script>

    function mascara_data(campo) {
        if (campo.value.length == 2) {
            campo.value += '/';
        }
        if (campo.value.length == 5) {
            campo.value += '/';
        }
    }

    function mascara_hora(campo) {
        if (campo.value.length == 2) {
            campo.value += ':';
        }
    }

    function mascara_letra(campo) {
        if (campo.value == '-') {
            campo.value += '';
        }
        if (campo.value == '=') {
            campo.value += '';
        }
    
    }

</script>

@endsection