<!DOCTYPE html>
<html lang="pt">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <!-- Styles -->
    <link rel="stylesheet" href="{{ URL::asset('css/bootstrap_v4/bootstrap.min.css') }}" >
    <link rel="stylesheet" href="{{ URL::asset('fontawesome/css/fontawesome.min.css')}}" >
    <link rel="stylesheet" href="{{ URL::asset('fontawesome/css/solid.css')}}" >
    <link rel="stylesheet" href="{{ URL::asset('css/views/layout.css') }}" >
    <link rel="stylesheet" href="{{ URL::asset('css/views/master.css') }}" >
    <link rel="stylesheet" href="{{{ URL::asset('js/DataTables/datatables.min.css') }}}" />

    <style type="text/css">
        @keyframes neon {
            from {
                filter: drop-shadow(0 0 0 var(--cor-neon));
            }
            to {
                filter: drop-shadow(0 0 100px var(--cor-neon));
            }
        }

        i {
            animation: neon 3s alternate infinite ease-in-out;
        }

        b {
            animation: neon 3s alternate infinite ease-in-out;
        }

        .texto {
            --cor-neon: white;
        }

        /* .img {
            --cor-neon: blue;
        } */
	</style>
</head>

<body>
    <div class="content">
        <div class="content-wrapper">
            <!-- <input type="hidden" id="hdnUsuario"    name="idusuario" data="{{ Auth::user()->getId() }}"/>
            <input type="hidden" id="hdnId"         name="id"        data=""/>
            <input type="hidden" id="hdnVeiculo"    name="veiculo"   data=""/>
            <input type="hidden" id="hdnMotorista"  name="motorista" data=""/>
            <input type="hidden" id="hdnData"       name="data"      data=""/>
            <input type="hidden" id="hdnDataChamada"       name="datachamada"      data=""/>
            <input type="hidden" id="hdnDataIni"    name="dataini"   data=""/>
            <input type="hidden" id="hdnDataFim"    name="datafim"   data=""/>
            <input type="hidden" id="hdnDataNormalIni"    name="datanini"   data=""/>
            <input type="hidden" id="hdnDataNormalFim"    name="datanfim"   data=""/>
            <input type="hidden" id="hdnTransp"     name="transp"   data=""/> -->

            <div class="container-fluid mt-2">
                
                <div id="lista" class="card mt-2" style="background-color:#fff; color:#000; border-radius: 20px 20px 20px 20px;">
                    <div class="card-body">
                        <!-- <img src="logo-soene.png" class="img-responsive rounded text-center" height="70"/> -->
                        <img src="{{URL::asset('img\logo-interbras.png')}}" class="img-responsive rounded text-center" height="80"/>
                        <br>
                        <!-- <h3>Dados do Caixa</h3>
                        <h6 id="periodo"></h6> -->

                        <br>
                        <div id="cabecalho">

                        </div>

                        <br>
                        
                        <div class="row mt-2" >
                            <div class="col-md-8">
                                <div id="motorista">

                                </div>
                            </div>
                            <div class="col-md-4">
                                <div id="cpf">

                                </div>
                            </div>
                        </div>
                        <div class="row mt-2" >
                            <div class="col-md-6">
                                <div id="cliente">

                                </div>
                            </div>
                            <div class="col-md-6">
                                <div id="destino">

                                </div>
                            </div>
                        </div>
                        <div class="row mt-2" >
                            <div class="col-md-4">
                                <div id="placa">

                                </div>
                            </div>
                            <div class="col-md-4">
                                <div id="entrada">

                                </div>
                            </div>
                            <div class="col-md-4">
                                <div id="saida">

                                </div>
                            </div>
                        </div>
                        <div class="row mt-2" >
                            <div class="col-md-4">
                                <div id="valor">

                                </div>
                            </div>
                            <div class="col-md-4">
                                <div id="servico">

                                </div>
                            </div>
                            <div class="col-md-4">
                                <div id="desconto">

                                </div>
                            </div>
                        </div>
                        <div class="row mt-2" >
                            <div class="col-md-4">
                                <div id="total">

                                </div>
                            </div>
                            <div class="col-md-4">
                                <div id="forma">

                                </div>
                            </div>
                            <!-- <div class="col-md-4">
                                <div id="usuario">

                                </div>
                            </div> -->
                        </div>
                        <hr></hr>
                        <br>
                        <h5>INFORMAÇÕES ADICIONAIS</h5>
                        <div class="row mt-2" >
                            <div class="col-md-4">
                                <div id="transp">

                                </div>
                            </div>
                            <div class="col-md-4">
                                <div id="operacao">

                                </div>
                            </div>
                            <div class="col-md-4">
                                <div id="operador">

                                </div>
                            </div>
                        </div>
                        <hr></hr>
                        <div class="row mt-2" >
                            <div class="col-md-1">
                                <img src="{{URL::asset('img\logo-sgp.png')}}" class="img-responsive rounded text-center" height="80"/>
                            </div>
                            <div class="col-md-6">
                                <h6><i><b>SIGP</b> - Sistema Integrado de Gestão de Pátios</i></h6>
                            </div>
                        </div>
                        
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="{{ URL::asset('js/jquery_v3.3.1/jquery-3.3.1.min.js') }}" ></script>
    <script src="{{ URL::asset('js/bootstrap_v4/bootstrap.min.js') }}" ></script>
    <script src="{{ URL::asset('js/JqueryMaxLength/jquery.maxlength.js') }}" ></script>
    <script src="{{ URL::asset('js/jquery_mask/jquery.mask.min.js') }}" ></script>
    <script src="{{{ URL::asset('js/DataTables/datatables.min.js') }}}"></script>
    <script src="{{{ URL::asset('js/views/patio/imprecibobrasil.js?1234567890') }}}"></script>
</body>

<script>

    function mascara_data(campo) {
        if (campo.value.length == 2) {
            campo.value += '/';
        }
        if (campo.value.length == 5) {
            campo.value += '/';
        }
    }

    function mascara_hora(campo) {
        if (campo.value.length == 2) {
            campo.value += ':';
        }
    }

    function mascara_letra(campo) {
        if (campo.value == '-') {
            campo.value += '';
        }
        if (campo.value == '=') {
            campo.value += '';
        }
    
    }

</script>

