<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-check"></i> Inspeção 
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/bootstrap-switch/bootstrap-switch.min.css')); ?>" >
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/operacao/inspecao.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/bootstrap-switch/bootstrap-switch.min.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
    
    <div id="conteudoPagina" class="container-fluid">
        <input type="hidden" id="txtIdUsuario" name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
        <input type="hidden" id="hdModo" data="<?php echo e(app('request')->input('modo')); ?>"/>
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >

                    <div class="col col-md-12 text-center table-responsive">
                    <!-- <div class="col-md-6"> -->
                        <div id="btnFiltrosInspecao" class="btn-group text-center" role="group">
                            <!-- <button id="btnFiltroReceber" data="" type="button" class="btn btn-primary font-weight-bold active"><b style="color:orange">Receber</b></button> -->
                            <button id="btnFiltroChamar" data="N" type="button" class="btn btn-primary font-weight-bold active"><b style="color:orange">Chamar</b></button>
                            <button id="btnFiltroIniciar" data="E" type="button" class="btn btn-primary font-weight-bold">Iniciar </button>
                            <button id="btnFiltroFinalizar" data="I" type="button" class="btn btn-primary font-weight-bold">Finalizar </button>
                        </div>
                        <!-- </div> -->
                    </div>
                </div>
            </div>
        </div>
        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbCheck" class="table table-hover table-bordered text-left">
                            <thead>
                                <tr class="alert-secondary">
                                    <th>Placa</th>
                                    <th>Motorista</th>
                                    <th class="text-center">Tipo</th>
                                    <th class="text-center">Ação</th>
                                </tr>
                            </thead>
                            <tbody>

                               
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'titulo'=> 'Confirmar Recebimento',
		'icone'=>'fa-check',
        'rota' => 'operacao.inspecao.receber',
        'campos'=> 
        [
            [
                'id' =>'txtDataChk',
                'nome'=>'datachk',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCliente',
                'nome'=>'hdcliente',
                'tipo'=>'hidden'
            ],
               
            [
                'id' =>'txtData',
                'label'=>'Data',
                'nome'=>'data',
                'tamanho'=>'10',
                'tipo'=>'txt',
                'required'=> true,
                'disabled'=>true,
                'autofocus'=> true
            ],
            [
                'id' =>'cbPlaca',
                'label'=>'Veículo',
                'nome'=>'placa',
                'opcoes'=>$placas,
                'default'=>'Selecione',
                'tipo'=>'combo',
                'required'=> true,
                'disabled'=>false,
                'autofocus'=> true
            ],
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'idModal'=>'dlgChamar',
        'titulo'=> 'Chamada',
		'icone'=>'fa-check',
        'rota' => 'operacao.inspecao.chamada',
        'campos'=> 
        [
            [
                'id' =>'hdToken',
                'nome'=>'hdtoken',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'txtDataChamada',
                'nome'=>'datachamada',
                'tipo'=>'hidden'
            ],
            [
                'id'=>'txtLabel',
                'nome'=>'txtLabel',
                'label'=>'label',
                'tipo'=>'icone'
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'idModal'=>'dlgIniciar',
        'titulo'=> 'Iniciar',
		'icone'=>'fa-check',
        'rota' => 'operacao.inspecao.iniciar',
        'campos'=> 
        [
            [
                'id' =>'txtDataInicio',
                'nome'=>'datainicio',
                'tipo'=>'hidden'
            ],
            [
                'id'=>'txtLabelIniciar',
                'nome'=>'txtLabelIniciar',
                'label'=>'label',
                'tipo'=>'icone'
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'idModal'=>'dlgFinalizar',
        'titulo'=> 'Finalizar',
		'icone'=>'fa-check',
        'rota' => 'operacao.inspecao.finalizar',
        'campos'=> 
        [
            [
                'id' =>'txtDataChkFinalizar',
                'nome'=>'datachkfinalizar',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdToken2',
                'nome'=>'hdtoken2',
                'tipo'=>'hidden'
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'txtDataFinalizar',
                        'label'=>'Data Finalizar',
                        'nome'=>'datafinalizar',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'cbPlacaFinalizar',
                        'label'=>'Veículo',
                        'nome'=>'placafinalizar',
                        'opcoes'=>$placas,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'9',
                        'id' =>'txtFiscal',
                        'label'=>'Fiscal',
                        'nome'=>'fiscal',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtTipo',
                        'label'=>'Tipo',
                        'nome'=>'tipo',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                ]
            ],
            [
                'id' =>'cbLimpador',
                'label'=>'Limpador',
                'nome'=>'limpador',
                'opcoes'=>$limpadores,
                'default'=>'Selecione',
                'tipo'=>'combo',
                'required'=> true,
                'disabled'=>false,
                'autofocus'=> true
            ],
            [
                
                'id' =>'cbItem01',
                'label'=>'1. O motorista possui vestimenta adequada e EPIs para acesso a unidade com segurança?
                            Ex.: (Bota, Calça, Camisa, Oculos, Capacete e Colete)',
                'nome'=>'item01',
                'tipo'=>'slider2',
                'classe'=>'js-status',
                'required'=> true
            ],
            [
                
                'id' =>'cbItem02',
                'label'=>'2. As lonas do veiculo estão em perfeitas condicões?',
                'nome'=>'item02',
                'tipo'=>'slider2',
                'classe'=>'js-status',
                'required'=> true
            ],
            [
                'id' =>'cbItem03',
                'label'=>'3. A carroceria esta varrida, livre de grãos, impurezas, produtos estranhos e com as correntes travadas?',
                'nome'=>'item03',
                'tipo'=>'slider2',
                'classe'=>'js-status',
                'required'=> true
            ],
            [
                'id' =>'cbItem04',
                'label'=>'4. A carroceria esta com trava de segurança, livre de buracos, parafusos ou qualquer outro material que pode danificar a carga?',
                'nome'=>'item04',
                'tipo'=>'slider2',
                'classe'=>'js-status',
                'required'=> true
            ],
            [
                'id' =>'cbItem05',
                'label'=>'5. O assoalho está em boas condições?',
                'nome'=>'item05',
                'tipo'=>'slider2',
                'classe'=>'js-status',
                'required'=> true
            ],
            [
                'id' =>'cbItem06',
                'label'=>'6. Existe forramento no açoalho?',
                'nome'=>'item06',
                'tipo'=>'slider2',
                'classe'=>'js-status',
                'required'=> true
            ],
            [
                'id' =>'cbItem07',
                'label'=>'7. O veiculo esta com as lanternas e retrovisores em perfeito estado?',
                'nome'=>'item07',
                'tipo'=>'slider2',
                'classe'=>'js-status',
                'required'=> true
            ],
            [
                'id' =>'cbItem08',
                'label'=>'8. O limite de peso (PBTC) sera atendido?',
                'nome'=>'item08',
                'tipo'=>'slider2',
                'classe'=>'js-status',
                'required'=> true
            ],
            [
                'id' =>'cbItem09',
                'label'=>'9. O veiculo possui ARLA?',
                'nome'=>'item09',
                'tipo'=>'slider2',
                'classe'=>'js-status',
                'required'=> true
            ],
            [
                'id' =>'cbItem10',
                'label'=>'10. O condutor possui arma branca ou de fogo?',
                'nome'=>'item10',
                'tipo'=>'slider2',
                'classe'=>'js-status',
                'required'=> true
            ],
            [
                'id' =>'txtObs',
                'label'=>'Observação',
                'nome'=>'obs',
                'tamanho'=>'2000',
                'tipo'=>'textarea',
                'rows'=>'3',
                'required'=> false,
                'autofocus'=> true,
                'disabled'=>false
            ],
            [
                'id' =>'cbStatus',
                'label'=>'Status',
                'nome'=>'status',
                'opcoes'=>[
                    'AP'=>'APROVADO',
                    'RE'=>'REPROVADO'
                    ],
                'default'=>'Selecione',
                'tipo'=>'combo',
                'required'=> true,
                'disabled'=>false,
                'autofocus'=> true
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'operacao.inspecao.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir a Inspeção'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>