<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-user-tie"></i> Cadastro de Parceiro
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/jquery-picklist/picklist.css')); ?>" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/jquery-picklist/picklist.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/views/adm/classe_rota.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/views/adm/parceiro.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/moment/moment.js')); ?>" ></script>   
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
   

    <div class="card rounded text-left">
        <div class="card-body">
            <div class="row">
                <div class="col-md-4 col-lg-4 mx-auto">
                    <center>
                    
                    <img src="<?php echo e(URL::asset('img\logo-beau-transp.png')); ?>" class="img-responsive rounded text-center" height="50"/>
                    <br/>
                    </center>
                </div>
            </div>
        </div>
    </div>
    
    <div class="container-fluid">
        <div class="card rounded text-left">
            <div class="card-body">
                <input type="hidden" id="hdnDataContrato" name="datacontrato" data=""/>
                <input type="hidden" id="hdnDataVencto" name="datavencto" data=""/>
                <input type="hidden" id="hdnValor" name="valor" data=""/>
                <input type="hidden" id="hdnLogin" name="login" data=""/>
                <input type="hidden" id="hdnNome" name="nome" data=""/>
                <input type="hidden" id="hdnEmail" name="email" data=""/>
                <input type="hidden" id="hdnSenha" name="senha" data=""/>
                <input type="hidden" id="hdnChave" name="chave" data=""/>
                
                <div class="row" >
                    <div class="col col-sm-4 text-left">
                        <h4 style="color: #056367;"><b>Cadastro de Parceiro</b></h4>
                    </div>
                    <div class="col text-right">
                      <!-- <a href="http://beau.empresaokto.com.br"><button class="btn btn-warning" aria-label="Left Align" ><i class="fas fa-arrow-left fa-lg"></i> Voltar</button></a> -->
                      <a href="http://beau.empresaokto.com.br"><i class="fas fa-door-open fa-lg"></i> Clique aqui para fazer <b>Login</b> no Beau-Pro</a>
<!--                       <a href="http://localhost:8000/login"><i class="fas fa-door-open fa-lg"></i> Clique aqui para fazer <b>Login</b> no Beau-Pro</a>
 -->
                      <!-- <a href="http://localhost:8000/login"><button class="btn btn-warning" aria-label="Left Align" ><i class="fas fa-arrow-left fa-lg"></i> Voltar</button></a> -->
                    </div>
                </div>

            </div>

            
        </div>

        <div id="mensagem" class="card mt-2"  style="background-color:#e6ffee; color:#000;">
            <div class="card-body">
                <div class="row">
                    <p style="font-size: 12pt;">Aqui você poderá criar uma conta para que possa atuar como nosso parceiro e a ela ter associado um usuário no sistema, desta forma poderá usufruir do gerenciamento das clientes conquistados por você, assim como efetuar o resgate das comissões que tem direito.<br><br><b><i>Como funciona a parceria?</i><br>R:</b> Você como parceiro criará um login no sistema, esse servirá como seu código de parceiro, dessa forma, sempre que indicar o sistema para algum cliente em potencial, informe esse código para que todos os pagamentos de mensalidades desse cliente fiquem associadas à seu código e assim poderemos calcular e reservar as suas comissões, que podem ser acompanhadas por você em um painel exclusivo, reservado para seu uso.<br><i><ins>Só lembrando:</ins></i> Sua comissão será de 10% (dez por cento) para todos os pagamentos que forem sendo efetivados pelos clientes indicados por você.<br><br><b>*** Venha ser nosso parceiro! ***</b><br><br>Equipe Beau-Pro</p>
                </div>
            </div>
        </div>
        
        <div class="card mt-2">
            <div class="card-body">
                <h5 style="color: #056367;"><b>Identificação do Parceiro</b></h5>
                <hr style="width:100%;text-align:left;margin-left:0">
                <div class="row" >
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtPlacaPesq" class="col-form-label text-md-left">Login <i>(seu código) </i><span style="color: #ff0000;">*</span></label>
                        <br/>
                        <input id="txtLogin" class="form-control" type="text" placeholder="Digite um login para sua conta" maxlength="20"/>
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <label for="btnValidar1" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnValidar1"  class="btn btn-success btn-group-right"><i class="fas fa-check"></i> Validar Login</button>
                        <button id="btnTentativa"  class="btn btn-info btn-group-right"><i class="fas fa-arrow-left"></i> Tentar Novamente</button>
                    </div>
                </div>
                <div class="row" id="feedback-login">
                    <div class="col col-sm-4 text-left">
                        <p style="color: #ff0000">Login já existe, tente novamente!</P>
                    </div>
                </div>
                <div class="row responsive" id="identificacao" >
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtNome" class="col-form-label text-md-left">Nome <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <input id="txtNome" class="form-control" type="text" placeholder="Digite o seu nome" maxlength="50"/>
                    </div>
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtEmail" class="col-form-label text-md-left">Email <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <input id="txtEmail" class="form-control" type="text" placeholder="Digite o seu email principal" maxlength="100"/>
                    </div>
                    
                </div>
                <div class="row responsive" id="senha" >
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtSenha" class="col-form-label text-md-left">Senha <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <input id="txtSenha" type="password" class="form-control" placeholder="Digite uma senha" maxlength="20"/>
                    </div>
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtConfirmacao" class="col-form-label text-md-left">Confirmação <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <input id="txtConfirmacao" class="form-control" type="password" placeholder="Digite a confirmação da senha" maxlength="20"/>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="btnValidar2" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnValidar2"  class="btn btn-success btn-group-right"><i class="fas fa-check"></i> Validar</button>
                    </div>
                </div>
            </div>
            </div>


            <div class="card mt-2">
                <div class="card-body"  id="empresa" >
                    <div class="col col-lg-12 col-12 text-left">
                        <h5 style="color: #056367;"><b>Dados da Conta do Parceiro</b></h5>
                        <hr style="width:100%;text-align:left;margin-left:0">
                        <div class="row" >
                            <div class="col col-lg-4 col-12 text-left">
                                <label for="txtNome2" class="col-form-label text-md-left">Nome do Parceiro</label>
                                <br/>
                                <input id="txtNome2" class="form-control" type="text" maxlength="50"/>
                            </div>
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="txtCodigo" class="col-form-label text-md-left">Código do Parceiro</label>
                                <br/>
                                <input id="txtCodigo" class="form-control" type="text"  maxlength="20"/>
                            </div>
                        </div>

                        
                        <div class="row" >
                            <div class="col col-lg-3 col-12 text-left">
                                <label for="txtWhatsapp" class="col-form-label text-md-left">WhatsApp <span style="color: #ff0000;">*</span></label>
                                <br/>
                                <input id="txtWhatsapp" class="form-control" type="text" placeholder="Digite celular com DDD" maxlength="20"/>
                            </div>
                            <div class="col col-lg-3 col-12 text-left">
                                <label for="cbConheceu" class="col-form-label text-md-left">Como conheceu o Beau-Pro? <span style="color: #ff0000;">*</span></label>
                                <br/>
                                <select id="cbConheceu" class="form-control">
                                    <option value="1">Internet (pelo site)</option>
                                    <option value="2">WhatsApp</option>
                                    <option value="3">Google</option>
                                    <option value="4">Youtube</option>
                                    <option value="5">Facebook</option>
                                    <option value="6">Instagram</option>
                                    <option value="7">Outros</option>
                                    
                                </select>
                            </div>
                        </div>
                        <div class="row" >
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="cbTipopix" class="col-form-label text-md-left">Tipo chave do Pix</label>
                                <br/>
                                <select id="cbTipopix" class="form-control">
                                    <option value="">...</option>
                                    <option value="1">Celular</option>
                                    <option value="2">Email</option>
                                    <option value="3">CPF/CNPJ</option>
                                    <option value="4">Chave Aleatória</option>
                                </select>
                            </div>
                            <div class="col col-lg-4 col-12 text-left">
                                <label for="txtPix" class="col-form-label text-md-left">Pix (onde irá receber comissão)</label>
                                <br/>
                                <input id="txtPix" class="form-control" type="text"  maxlength="20"/>
                            </div>

                        </div>

                        
                        <div class="row" >
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="cbUF" class="col-form-label text-md-left">UF <span style="color: #ff0000;">*</span></label>
                                <br/>
                                <select id="cbUF" class="form-control">
                                    <option value="">...</option>
                                                                
                                </select>
                            </div>
                            <div class="col col-lg-4 col-12 text-left">
                                <label for="cbCidade" class="col-form-label text-md-left">Cidade onde reside<span style="color: #ff0000;">*</span></label>
                                <br/>
                                <select id="cbCidade" class="form-control">
                                    <option value="">...</option>
                                                                    
                                </select>
                            </div>

                        </div>

                        <br>
                        <div class="row" >
                            <div class="col col-lg-2 col-12 text-left">
                                <!-- <label for="btnValidar1" class="col-form-label text-md-left">&nbsp;</label>
                                <br/> -->
                                <button id="btnSalvar"  class="btn btn-success btn-group-right"><i class="fas fa-save fa-lg"></i> Criar Conta</button>
                                <!-- <div class="col text-right"> -->
                                <!-- <a href="http://localhost:8000/login"><button class="btn btn-warning" aria-label="Left Align" ><i class="fas fa-arrow-left fa-lg"></i> Voltar</button></a> -->
                                <!-- <a href="http://beau.empresaokto.com.br"><button class="btn btn-warning" aria-label="Left Align" ><i class="fas fa-arrow-left fa-lg"></i> Voltar</button></a> -->
                      <!-- <a href="http://localhost:8000/login"><button class="btn btn-warning" aria-label="Left Align" ><i class="fas fa-arrow-left fa-lg"></i> Voltar</button></a> -->
                                <br/>
                                <!-- <a href="http://localhost:8000/login"><i class="fas fa-door-open fa-lg"></i> Clique aqui para fazer <b>Login</b> no Beau-Pro</a> -->
                                
                                <!-- </div> -->
                            </div>

                            <div id="linklogin" class="col col-lg-4 col-12 text-left">
                                <a href="http://beau.empresaokto.com.br"><i class="fas fa-door-open fa-lg"></i> Clique aqui para fazer <b>Login</b> no Beau-Pro</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <br/>


       <!--  <div class="panel panel-default">
            <div class="panel-heading">Identificação</div>
            <div class="panel-body">
            
            </div>
        </div> -->

        <!-- <div class="container-fluid">
            <div class="card rounded">
                <div class="card-body">
                    <div class="row" >
                        <div class="col panel panel-primary table-responsive">
                            
                            
                        </div>
                    </div>
                </div>
            </div>
        
        </div> -->
    </div>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>