<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-user-tie"></i> Motorista
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/cadastros/motorista.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

    <div class="container-fluid">
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-2 text-left">
                        <label for="txtMotoristaPesquisa" class="col-form-label text-md-left">Dados do Motorista</label>
                        <br/>
                        <input id="txtMotoristaPesquisa" class="form-control" type="text"/>
                    </div>

                    <div class="col col-sm-2 text-left">
                        <label for="txtStatusPesquisa" class="col-form-label text-md-left">Status</label>
                        <br/>
                        <select id="txtStatusPesquisa" class="form-control">
                            <option value="">Todos...</option>
                            <option value="1">Ativo</option>
                            <option value="0">Inativo</option>
                        </select>
                    </div>

                    <div class="col col-sm-2 text-left">
                        <label for="txtValidadoPesq" class="col-form-label text-md-left">Validado no App?</label>
                        <br/>
                        <select id="cbValidadoPesq" class="form-control">
                            <option value="">Todos...</option>
                            <option value="1">SIM</option>
                            <option value="0">NÃO</option>
                        </select>
                    </div>

                    <div class="col col-sm-2 text-left">
                        <label for="txtMotoristaPesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisaMotorista"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>

                    <div class="col col-sm-4 text-right">
                        <label for="txtMotoristaPesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnNovoMotorista" type="button" class="btn btn-primary" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Novo Motorista
                        </button>
                    </div>
                </div>
            </div>
        </div>
    

    
        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbMotorista" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Nome</th>
                                    <th>CPF</th>
                                    <th>Celular</th>
                                    <th>Cidade</th>
                                    <th>Código App</th>
                                    <th>Foto</th>
                                    <th>Status</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>

                                
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>'900',
        'icone'=>'fa-user-tie',
        'titulo'=> 'Novo Motorista',
        'rota' => 'cadastros.motorista.salvar',
        'campos'=>
        [
            [
                'id' =>'hdIdMotora',
                'nome'=>'hdidmotora',
                'tipo'=>'hidden'
            ],

            [
                'tipo'=>'array',
                'campos' =>
                [
                    [
                        'largura'=>'4',
                        'id' =>'txtCpf',
                        'label'=>'CPF',
                        'nome'=>'cpf',
                        'tamanho'=>'20',
                        'padding'=>'50',
                        'classe'=>'mask_cpf',
                        'tipo'=>'txt',
                        'required'=>true,
                        'autofocus'=> true,
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtCnh',
                        'label'=>'CNH',
                        'nome'=>'cnh_nro',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtCnhCategoria',
                        'label'=>'CNH Categoria',
                        'nome'=>'cnh_categoria',
                        'tamanho'=>'6',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbAtivo',
                        'label'=>'Ativo',
                        'nome'=>'ativo',
                        'tipo'=>'slider',
                        'required'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'7',
                        'id' =>'txtNome',
                        'label'=>'Nome',
                        'nome'=>'nome',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'autocomplete'=>'off'
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtCelular',
                        'label'=>'Celular',
                        'nome'=>'celular',
                        'classe'=>'mask_celular',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=>true,
                        'autofocus'=> true,
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtTipo',
                        'label'=>'Tipo',
                        'nome'=>'tipo',
                        'default'=>'Selecione',
                        'opcoes'=>['F'=>'FROTA','P'=>'PARTICULAR'],
                        'tipo'=>'combo',
                        'required'=> true,
                        'autofocus'=> true
                    ],
                ]
            ],
            [
                'tipo'=> 'array',
                'campos'=>
                [
                    [
                        'largura'=>'10',
                        'id' =>'txtEndereco',
                        'label'=>'Endereço',
                        'nome'=>'endereco',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtNumero',
                        'label'=>'Número',
                        'nome'=>'numero',
                        'tamanho'=>'6',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ]
                ]
            ],
            [
                'tipo'=> 'array',
                'campos'=>
                [
                    [
                        'largura'=>'5',
                        'id' =>'txtBairro',
                        'label'=>'Bairro',
                        'nome'=>'bairro',
                        'tamanho'=>'30',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'7',
                        'id' =>'txtComplemento',
                        'label'=>'Complemento',
                        'nome'=>'complemento',
                        'required'=> false,
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'autofocus'=> true,
                    ]
                ]
            ],
			[
                'tipo'=> 'array',
                'campos'=>
                [
                    [
						'largura'=>'3',
						'id' =>'cbUF',
						'label'=>'UF',
						'nome'=>'UF',
						'tipo'=>'combo',
                        'required'=> true,
						'opcoes'=> $uf,
						'default'=>'Selecione a UF'
					],
					[
						'largura'=>'4',
						'id' =>'cbCidade',
						'label'=>'Cidade',
						'nome'=>'cidade',
						'tipo'=>'combo',
                        'required'=> true,
						'opcoes'=> [],
						'default'=>'Selecione a cidade'
					],
                    [
                        'largura'=>'5',
                        'id' =>'txtMae',
                        'label'=>'Nome da Mãe',
                        'nome'=>'mae',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ]
                    
                ]
            ],
            
            [
                'tipo'=> 'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'txtObs',
                        'label'=>'Observação',
                        'nome'=>'obs',
                        'tamanho'=>'200',
                        'tipo'=>'textarea',
                        'required'=> false,
                        'rows'=>'3',
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'txtMensagem',
                        'label'=>'Mensagem para App Valenlog',
                        'nome'=>'mensagem',
                        'tamanho'=>'2000',
                        'tipo'=>'textarea',
                        'required'=> false,
                        'rows'=>'3',
                        'autofocus'=> true
                    ],
                ]
            ],

            [
                'tipo'=>'array',
                'campos' =>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtCodigo',
                        'label'=>'Código App',
                        'nome'=>'codigo',
                        'tamanho'=>'4',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],

                    [
                        'largura'=>'4',
                        'id' =>'imgFoto',
                        'label'=>'',
                        'title'=>'Foto do motorista',
                        'tamanho'=>'300',
                        'src'=>'',
                        'tipo'=>'img'
                    ],

                    [
                        'largura'=>'4',
                        'id' =>'cbValidado',
                        'label'=>'App Validado?',
                        'nome'=>'validado',
                        'tipo'=>'slider',
                        'required'=> false,
                        'disabled'=>true
                    ]

                    
				]
			]

        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'cadastros.motorista.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir o motorista'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>