<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-user"></i> Cadastro de Usuários
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/adm/usuario.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

<div class="content-wrapper">

    <input type="hidden" id="hdnUnidade" name="unidade" data="<?php echo e(Auth::user()->getUnidade()); ?>"/>

    <div class="container-fluid mt-2">
        <?php if(session('mensagem')): ?>
            <?php if(session('mensagem')): ?>
                <div class=" card-body alert alert-success text-center">
                    <i><?php echo e(session('mensagem')); ?></i>
                </div>
            <?php endif; ?>
        <?php endif; ?>
        <div class="card rounded text-left" style="background-color:#fff; color:#056367; border-radius: 10px 10px 10px 10px;">
            <div class="card-body">
                <div class="row" >
                <div class="col col-sm-4 text-left">
                        <label for="cbStatusPesq" class="col-form-label text-md-left">Unidade</label>
                        <br/>
                        <select id="cbUnidadePesq" class="form-control">
                            <option value="">Selecione...</option>
                            
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="cbStatusPesq" class="col-form-label text-md-left">Status</label>
                        <br/>
                        <select id="cbStatusPesq" class="form-control">
                            <option value="">Todos...</option>
                            <option value="1" selected>ATIVOS</option>
                            <option value="0">INATIVOS</option>
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtPesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisa"  class="btn btn-outline-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>

                    <div class="col text-left text-right">
                        <label for="txtPesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnNovoUsuario" type="button" class="btn btn-outline-primary" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Novo Usuário
                        </button>
                    </div>
                </div>
            </div>
        </div>

        <div class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 10px 10px 10px 10px;">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbUsuarios" class="table table-striped table-bordered text-left ">
                            <thead  style="background-color:#333333; color: #ccc; font-weight: bold;">
                                <tr>
                                    <th>Nome</th>
                                    <th>Login</th>
                                    <th>CPF</th>
                                    <th>E-mail</th>
                                    <th>Telefone</th>
                                    <th>Celular</th>
                                    <th>Status</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>

                               

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'titulo'=> 'Novo Usuário',
        'rota' => 'adm.usuario.salvar',
        'icone' => 'fa-user',
        'largura'=>700,
        'campos'=>
        [
            [
                'id' =>'hdUnidade',
                'nome'=>'hdunidade',
                'tipo'=>'hidden'
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'txtLogin',
                        'label'=>'Login',
                        'nome'=>'login',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'4',
                        'padding'=>'50',
                        'id' =>'txtCpf',
                        'label'=>'CPF',
                        'nome'=>'cpf',
                        'classe'=>'mask_cpf',
                        'tamanho'=>'11',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'cbAtivo',
                        'label'=>'Ativo',
                        'nome'=>'ativo',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                ]
            ],
            [
                'id' =>'txtNome',
                'label'=>'Nome',
                'nome'=>'nome',
                'tamanho'=>'50',
                'tipo'=>'txt',
                'required'=> true,
                'autofocus'=> true,
                'disabled'=>false
            ],
                       
            [
                'id' =>'txtEmail',
                'label'=>'E-mail',
                'nome'=>'email',
                'tamanho'=>'100',
                'tipo'=>'email',
                'required'=> true,
                'autofocus'=> true,
                'disabled'=>false
            ],
            
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'4',
                        'id' =>'txtTelefonne',
                        'label'=>'Telefone',
                        'nome'=>'telefone',
                        'classe'=>'mask_telefone',
                        'tamanho'=>'15',
                        'tipo'=>'txt',
                        'autocomplete'=>'off',
                        'required'=> false,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'txtCelular',
                        'label'=>'Celular',
                        'nome'=>'celular',
                        'classe'=>'mask_celular',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'autocomplete'=>'off',
                        'required'=> false,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbClasse',
                        'label'=>'Nível de acesso',
                        'nome'=>'classe',
                        'tipo'=>'combo',
                        'opcoes'=>$classes,
                        'default'=>'Sem Acesso',
                        'required'=> true,
                        'disabled'=>false
                    ]
                ]
            ],
            
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'7',
                        'id' =>'cbUnidade',
                        'label'=>'Unidade',
                        'nome'=>'unidade',
                        'tipo'=>'combo',
                        'opcoes'=>[],
                        'default'=>'Selecione',
                        'required'=> true,
                        'disabled'=>false
                    ],

                    [
                        'largura'=>'5',
                        'id' =>'cbSetor',
                        'label'=>'Setor',
                        'nome'=>'setor',
                        'tipo'=>'combo',
                        'opcoes'=>[],
                        'default'=>'Selecione',
                        'required'=> true,
                        'disabled'=>false
                    ]
                ]
            ],
           
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'txtSenha',
                        'label'=>'Senha',
                        'nome'=>'senha',
                        'tamanho'=>'30',
                        'tipo'=>'password',
                        'required'=> false,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'txtConfirmSenha',
                        'label'=>'Confirmar senha',
                        'nome'=>'confirma_senha',
                        'tamanho'=>'30',
                        'tipo'=>'password',
                        'required'=> false,
                        'disabled'=>false
                    ]
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'adm.usuario.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir o Usuário'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>