<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-bullhorn"></i> Chamada para Sair do Pátio
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/operacao/chamada.js')); ?>" ></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

   <div id="conteudoPagina" class="container-fluid">
        <div class="row" >
            <div class="col col-sm-2 text-left">
                <label for="txtPlacaPesquisa" class="col-form-label text-md-left">Busca Placa</label>
                <br/>
                <input id="txtPlacaPesquisa" class="form-control" type="text"/>
            </div>
            <div class="col col-sm-2 text-left">
                <label for="txtMotoraPesquisa" class="col-form-label text-md-left">Busca Motorista</label>
                <br/>
                <input id="txtMotoraPesquisa" class="form-control" type="text"/>
            </div>
            <div class="col col-sm-2 text-left">
                <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                <br/>
                <button id="btnPesquisaVeiculo"  class="btn btn-default btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
            </div>
        </div>
    <br/>
    <div class="row" >
        <div class="col panel panel-primary table-responsive">

                <table id="tbEstadia" class="table table-hover text-left">
                    <thead>
                        <tr>
                            <th>Placa</th>
                            <th>Marca</th>
                            <th>Modelo</th>
                            <th>Tipo Veículo</th>
                            <th>Cliente</th>
                            <th>Produto</th>
                            <th>Ação</th>
                        </tr>
                    </thead>
                    <tbody>
                       

                    </tbody>
                </table>

            </div>
        </div>
    </div>


    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>950,
        'titulo'=> 'Chamada para Sair do Pátio',
		'icone'=>'fa-bullhorn',
        'controles_salvar'=>'true',
        'controles_fechar'=>'false',
        'rota' => 'operacao.chamada.salvar',
        'campos'=>
        [
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtPlaca',
                        'label'=>'Placa',
                        'nome'=>'placa',
                        'classe'=>'mask_placa text-uppercase',
                        'tamanho'=>'7',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'5',
                        'id' =>'cbTipoVeiculo',
                        'label'=>'Tipo de Veículo',
                        'nome'=>'tipo',
                        'opcoes'=>$tipoveiculo,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbSituacao',
                        'label'=>'Situação',
                        'nome'=>'situacao',
                        'opcoes'=>[
                            'A'=>'ATIVO',
                            'I'=>'INATIVO',
                            'B'=>'BLOQUEADO'
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtAno',
                        'label'=>'Ano',
                        'nome'=>'Ano',
                        'tamanho'=>'4',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'5',
                        'id' =>'txtMarca',
                        'label'=>'Marca',
                        'nome'=>'marca',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'5',
                        'id' =>'txtModelo',
                        'label'=>'Modelo',
                        'nome'=>'modelo',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'cbTipoFrota',
                        'label'=>'Tipo Frota',
                        'nome'=>'tipo',
                        'opcoes'=>[
                            'F'=>'FROTA',
                            'P'=>'PARTICULAR'
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ],

            
            
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'txtMotorista',
                        'label'=>'Motorista',
                        'nome'=>'motorista',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtCpf',
                        'label'=>'CPF',
                        'nome'=>'cpf',
                        'tamanho'=>'50',
                        'classe'=>'mask_cpf',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtCelular',
                        'label'=>'Celular',
                        'nome'=>'celular',
                        'tamanho'=>'50',
                        'classe'=>'mask_celular',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]

            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbCliente',
                        'label'=>'Cliente',
                        'nome'=>'cliente',
                        'opcoes'=>$cliente,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'cbDestino',
                        'label'=>'Destino',
                        'nome'=>'destino',
                        'opcoes'=>$destino,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ],
            
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbProduto',
                        'label'=>'Produto',
                        'nome'=>'produto',
                        'opcoes'=>$produto,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbFormula',
                        'label'=>'Fórmula',
                        'nome'=>'formula',
                        'opcoes'=>$formula,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtQtde',
                        'label'=>'Qtde',
                        'nome'=>'qtde',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ],
            
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'8',
                        'id' =>'txtOrigem',
                        'label'=>'Cidade Origem',
                        'nome'=>'origem',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbStatus',
                        'label'=>'Status',
                        'nome'=>'status',
                        'opcoes'=>[
                            'AG'=>'AGENDADO',
                            'ET'=>'EM TRÂNSITO',
                            'PA'=>'NO PÁTIO',
                            'NF'=>'NA FÁBRICA',
                            'RC'=>'RECEBIDO CLIENTE',
                            'CL'=>'CANCELADO',
                            'FN'=>'FINALIZADO'
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'3',
                        'id' =>'txtDataPrev',
                        'label'=>'Data Prevista',
                        'nome'=>'dataprevista',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtDataCria',
                        'label'=>'Data Criação',
                        'nome'=>'datacriacao',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'cbTransportador',
                        'label'=>'Transportador',
                        'nome'=>'transportador',
                        'opcoes'=>$transportador,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>