

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/patio/inspecao.js?1234567')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('titulo'); ?>
    INSPEÇÃO - <?php echo e(Auth::user()->Unidade->getNome()); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

<div class="content-wrapper">
    <input type="hidden" id="hdnUsuario"    name="idusuario"    data="<?php echo e(Auth::user()->getId()); ?>"/>
    <input type="hidden" id="hdnUnidade"    name="unidade"      data="<?php echo e(Auth::user()->getUnidade()); ?>"/>
    <input type="hidden" id="hdnAvaliador"  name="avaliador"    data="<?php echo e(Auth::user()->getNome()); ?>"/>
    <input type="hidden" id="hdnId"         name="id"           data=""/>
    <input type="hidden" id="hdnIdComp"     name="idcomp"       data=""/>
    <input type="hidden" id="hdnData"       name="data"         data=""/>
    <input type="hidden" id="hdnInicio"     name="inicio"       data=""/>
    <input type="hidden" id="hdnFinal"      name="final"        data=""/>
    <input type="hidden" id="hdnEtapa"      name="etapa"        data=""/>

    <div class="container-fluid mt-2">
        <?php echo csrf_field(); ?>
        <div id="cadastro" class="card mt-2" style="display: none; background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
            
            <div class="card-body">
                <div class="row" style="padding-right: 2px;">
                    <div class="col-md-6">
                        <h5 style="color:#056367;"><i class="fas fa-search"></i> Dados da Inspeção</h5>
                    </div>
                    <div class="col-md-6">
                        <div class="col text-right">
                            <button id="btnVoltar" type="button" class="btn btn-secondary btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-arrow-left"></i> Voltar
                            </button>
                            <button id="btnSalvar" type="button" data="" class="btn btn-success btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-save"></i> Salvar
                            </button>
                            <button id="btnNovo2" type="button" class="btn btn-primary btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-plus-circle"></i> Novo
                            </button>
                        </div>
                    </div>
                    
                </div>
                <hr></hr>
                <div class="row" >
                    <div class="col-md-8">
                        <label id="txtDescricao_label" for="txtDescricao"  class="col-form-label text-md-left">Nome do Prato <span style="color: #ff0000;">*</span></label>
                        <!-- <input id="txtDescricao" class="form-control" name="descricao" type="text" maxlength="200" value="" /> -->
                        <textarea id="txtDescricao" name="txtDescricao" style="width: 100%" rows="4" maxlength="200"></textarea>
                    </div>
                    <div class="col-md-2">
                        <label id="txtCusto_label" for="txtCusto"  class="col-form-label text-md-left">Custo (R$) <span style="color: #ff0000;">*</span></label>
                        <input id="txtCusto1" class="form-control" name="custo" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <label for="cbTipo" class="col-form-label text-md-left">Tipo <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <select id="cbTipo" class="form-control">
                            <option value="">...Selecione</option>
                            <option value="CRE">CRECHE</option>
                            <option value="PRE">PRÉ ESCOLAR</option>
                            <option value="FUN">FUNDAMENTAL</option>
                            <option value="EJA">EJA</option>
                        </select>
                    </div>       
                </div>


                <div id="escolas" class="row mt-2" >
                    <div class="col-md-6">

                        <div class="row mt-2" >
                            <div class="col panel panel-primary table-responsive">
                                <table id="tbComposicao" class="table table-striped table-bordered text-left ">
                                    <thead  style="background-color:#404040; color: #ccc; font-weight: bold;">
                                        <tr>
                                            <th><i class="fa fa-coffee"></i> </th>
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        

                                    </tbody>
                                </table>

                            </div>
                        </div>
                    </div>
                
                    <div class="col-md-6">
                        <div class="row mt-2" style="background: #404040;">
                            <div class="col-md-12">
                                <div class="col text-right mt-2 mb-2">
                                    <button id="btnSalvarComp" type="button" data="" class="btn btn-success btn-redondo" aria-label="Left Align"  title="Salvar componente">
                                        <i class="fas fa-save fa-lg"></i>
                                    </button>
                                    <button id="btnExcluiComp" type="button" class="btn btn-danger btn-redondo" aria-label="Left Align" title="Excluir componente">
                                        <i class="fas fa-trash fa-lg"></i>
                                    </button>

                                    <button id="btnNovoComp" type="button" class="btn btn-primary btn-redondo" aria-label="Left Align" title="Novo componente">
                                        <i class="fas fa-plus-circle fa-lg"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                        <div class="row mt-2" >
                            <div class="col col-lg-12 col-12 text-left">
                                <label for="cbProduto" class="col-form-label text-md-left">Produto <span style="color: #ff0000;">*</span></label>
                                <br/>
                                <select id="cbProduto" class="form-control">
                                    
                                </select>
                            </div> 
                        </div>
                        <div class="row mt-2" >
                            <div class="col-md-3 col-12">
                                <label id="txtQtde_label" for="txtQtde"  class="col-form-label text-md-left">Qtde <span style="color: #ff0000;">*</span></label>
                                <input id="txtQtde" class="form-control" name="qtde" type="text" maxlength="10" value="" />
                            </div>
                            <div class="col col-lg-6 col-12 text-left">
                                <label for="cbUnidade" class="col-form-label text-md-left">Unidade Medida <span style="color: #ff0000;">*</span></label>
                                <br/>
                                <select id="cbUnidade" class="form-control">
                                    
                                </select>
                            </div> 
                            <div class="col-md-3 col-12">
                                <label id="txtCusto_label" for="txtCusto"  class="col-form-label text-md-left">Custo (R$) <span style="color: #ff0000;">*</span></label>
                                <input id="txtCustoComp" class="form-control" name="custocomp" type="text" maxlength="10" value="" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div id="lista" class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
            <div class="card-body">
                <div class="row" style="padding-bottom: 5px; padding-right: 2px;">
                    <div class="col-md-6">
                        <h5 style="color:#056367;"><i class="fas fa-search"></i> Inspeção</h5>
                    </div>
                </div>
                <div class="row" style="padding-bottom: 5px; padding-right: 2px;">
                    <div class="col-md-4">
                        <label for="cbTipoPesq" class="col-form-label text-md-left">Fases da Inspeção</label>
                        <br/>
                        <div class="btn-group" role="group" aria-label="Exemplo básico">
                            <button id="iniciar" data="P" type="button" class="btn btn-secondary btn-redondo"><i class="fas fa-play"></i> Iniciar</button>
                            <button id="finalizar" data="F" type="button" class="btn btn-secondary btn-redondo"><i class="fas fa-check"></i> Finalizar</button>
                            <button id="manutencao" data="M" type="button" class="btn btn-secondary btn-redondo"><i class="fas fa-wrench"></i> Manutenção</button>
                        </div>
                    </div>      
                    <div class="col-md-2">
                    <label id="txtPlacaPesq_label" for="txtOrdem"  class="col-form-label text-md-left">Placa</label>
                                <input id="txtPlacaPesq" class="form-control" name="placapesq" type="text" maxlength="7" value=""  title="Busca Placa"/>
                                <input id="txtEtapa" class="form-control" name="placapesq" type="text" maxlength="30" value=""/>
                    </div>
                    <div class="col col-lg-2 col-12 text-left">

                    </div> 
                    
                    <div class="col-md-4 text-right">
                        <label id="txtPesquisar_label" for="txtNome"  class="col-form-label text-md-left">&nbsp;</label><br>
                        <button id="btnPesquisar" type="button" class="btn btn-secondary btn-redondo" aria-label="Left Align" >
                            <i class="fas fa-search"></i> Pesquisar
                        </button>
                    </div>
                    
                </div>
                
                <div id="escolas" class="row mt-2" >
                    <div class="col-md-6">

                        <div class="row mt-2" >
                            <div class="col panel panel-primary table-responsive">
                                <table id="tbInspecao" class="table table-striped table-bordered text-left ">
                                    <thead  style="background-color:#404040; color: #ccc; font-weight: bold;">
                                        <tr>
                                            <th><i class="fa fa-truck"></i> Veículos</th>
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        

                                    </tbody>
                                </table>

                            </div>
                        </div>
                    </div>
                
                    <div class="col-md-6">
                        <div class="row mt-2" style="background: #404040;">
                            <div class="col-md-12">
                                <div class="col text-right mt-2 mb-2">
                                    &nbsp;
                                    <button id="btnIniciar" type="button" data="" class="btn btn-primary btn-redondo" aria-label="Left Align"  title="Iniciar inspeção">
                                        <i class="fas fa-play fa-lg"></i> Iniciar Inspeção
                                    </button>
                                    <button id="btnFinalizar" type="button" class="btn btn-success btn-redondo" aria-label="Left Align" title="Finalizar inspeção">
                                        <i class="fas fa-check fa-lg"></i> Finalizar Inspeção
                                    </button>

                                    <button id="btnManutencao" type="button" class="btn btn-warning btn-redondo" aria-label="Left Align" title="Salvar manutenção">
                                        <i class="fas fa-wrench fa-lg"></i> Salvar Manutenção
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="card" id="basico">
                            <div class="row mt-2 ml-2 mr-2" >
                                <div class="col-md-3">
                                    <label id="txtPlaca_label" for="txtPlaca"  class="col-form-label text-md-left">Placa</label>
                                    <input id="txtPlaca" class="form-control" name="placa" type="text" maxlength="7" value="" title="Placa"/>
                                </div>
                                <div class="col-md-3">
                                    <label id="txtTipo_label" for="txtPlaca"  class="col-form-label text-md-left">Tipo</label>
                                    <input id="txtTipo" class="form-control" name="tipo" type="text" maxlength="50" value="" title="Tipo de carga"/>
                                </div>
                                <div class="col col-md-6 col-12 text-left">
                                    <label id="txtMotora_label" for="txtPlaca"  class="col-form-label text-md-left">Motorista</label>
                                    <input id="txtMotora" class="form-control" name="motora" type="text" maxlength="50" value="" title="Motorista"/>
                                </div> 
                            </div>
                            <div class="row ml-2 mr-2" >
                                <div class="col-md-3 col-12">
                                    <label id="txtNumero_label" for="txtNumero"  class="col-form-label text-md-left">Número</label>
                                    <input id="txtNumero" class="form-control" name="numero" type="text" maxlength="6" value=""  title="Número da inspeção"/>
                                </div>
                                <div class="col-md-3 col-12">
                                    <label id="txtData_label" for="txtPlaca"  class="col-form-label text-md-left">Data</label>
                                    <input id="txtData" class="form-control" name="data" type="text" maxlength="10" value="" title="Data"/>
                                </div>
                                <div class="col-md-6 col-12">
                                    <label id="txtProduto_label" for="txtProduto"  class="col-form-label text-md-left">Produto</label>
                                    <input id="txtProduto" class="form-control" name="numero" type="text" maxlength="50" value=""  title="Produto"/>
                                </div>
                            </div>    
                            <div class="row ml-2 mr-2" >
                                
                                <div class="col-md-6 col-12">
                                    <label id="txtCliente_label" for="txtCliente"  class="col-form-label text-md-left">Cliente</label>
                                    <input id="txtCliente" class="form-control mb-2" name="cliente" type="text" maxlength="50" value=""  title="Produto"/>
                                </div>
                                <div class="col-md-6 col-12">
                                    <label id="txtTransp_label" for="txtTransp"  class="col-form-label text-md-left">Transportadora</label>
                                    <input id="txtTransp" class="form-control" name="numero" type="text" maxlength="50" value=""  title="Produto"/>
                                </div>

                            </div>
                            <div class="row ml-2 mb-2 mr-2" >
                                <div class="col-md-6 col-12">
                                    <label id="txtInicio_label" for="txtCliente"  class="col-form-label text-md-left">Data/Hora Início</label>
                                    <input id="txtInicio" class="form-control mb-2" name="inicio" type="text" maxlength="20" value=""  title="Data/hora de início"/>
                                </div>
                            </div>
                        </div>

                        <div class="card" id="itens">
                            <div class="row mt-2 ml-2 mr-2" >
                                <div class="col-md-3">
                                    <label id="txtPlaca2_label" for="txtPlaca2"  class="col-form-label text-md-left">Placa</label>
                                    <input id="txtPlaca2" class="form-control" name="placa2" type="text" maxlength="7" value="" title="Placa"/>
                                </div>
                                <div class="col col-md-6 col-12 text-left">
                                    <label id="txtMotora2_label" for="txtMotora2"  class="col-form-label text-md-left">Motorista</label>
                                    <input id="txtMotora2" class="form-control" name="motora2" type="text" maxlength="50" value="" title="Motorista"/>
                                </div>
                                <div class="col-md-3">
                                    <label id="txtInicio2_label" for="txtInicio2"  class="col-form-label text-md-left">Data/Hora Início</label>
                                    <input id="txtInicio2" class="form-control" name="inicio2" type="text" maxlength="50" value="" title="Tipo de carga"/>
                                </div>
                            </div>

                            <div class="row mt-2 ml-2 mr-2" >
                                <div class="col-md-10">
                                    <label id="txtItem_label" for="txtItem1"  class="col-form-label text-md-left">Item</label>
                                    <input id="txtItem1" class="form-control" name="item1" type="text" maxlength="7" value="" title="Item 1"/>
                                </div>
                                <div class="col col-md-2 col-12 text-left">
                                    <label id="txtMotora2_label" for="txtMotora2"  class="col-form-label text-md-left">Sim/Não</label>
                                    <br/>
                                    <label class="switch">
                                        <input id="cbItem1"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                                        <span class="slider round"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="row ml-2 mr-2" >
                                <div class="col-md-10">
                                    <input id="txtItem2" class="form-control" name="item1" type="text" maxlength="7" value="" title="Item 1"/>
                                </div>
                                <div class="col col-md-2 col-12 text-left">
                                <label class="switch">
                                        <input id="cbItem2"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                                        <span class="slider round"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="row ml-2 mr-2" >
                                <div class="col-md-10">
                                    <input id="txtItem3" class="form-control" name="item1" type="text" maxlength="7" value="" title="Item 1"/>
                                </div>
                                <div class="col col-md-2 col-12 text-left">
                                <label class="switch">
                                        <input id="cbItem3"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                                        <span class="slider round"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="row ml-2 mr-2" >
                                <div class="col-md-10">
                                    <input id="txtItem4" class="form-control" name="item1" type="text" maxlength="7" value="" title="Item 1"/>
                                </div>
                                <div class="col col-md-2 col-12 text-left">
                                <label class="switch">
                                        <input id="cbItem4"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                                        <span class="slider round"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="row ml-2 mr-2" >
                                <div class="col-md-10">
                                    <input id="txtItem5" class="form-control" name="item1" type="text" maxlength="7" value="" title="Item 1"/>
                                </div>
                                <div class="col col-md-2 col-12 text-left">
                                <label class="switch">
                                        <input id="cbItem5"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                                        <span class="slider round"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="row ml-2 mr-2" >
                                <div class="col-md-10">
                                    <input id="txtItem6" class="form-control" name="item1" type="text" maxlength="7" value="" title="Item 1"/>
                                </div>
                                <div class="col col-md-2 col-12 text-left">
                                <label class="switch">
                                        <input id="cbItem6"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                                        <span class="slider round"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="row ml-2 mr-2" >
                                <div class="col-md-10">
                                    <input id="txtItem7" class="form-control" name="item1" type="text" maxlength="7" value="" title="Item 1"/>
                                </div>
                                <div class="col col-md-2 col-12 text-left">
                                <label class="switch">
                                        <input id="cbItem7"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                                        <span class="slider round"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="row ml-2 mr-2" >
                                <div class="col-md-10">
                                    <input id="txtItem8" class="form-control" name="item1" type="text" maxlength="7" value="" title="Item 1"/>
                                </div>
                                <div class="col col-md-2 col-12 text-left">
                                <label class="switch">
                                        <input id="cbItem8"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                                        <span class="slider round"></span>
                                    </label>
                                </div>
                            </div>
                            
                            <div class="row  ml-2 mr-2" >
                                <div class="col-md-3 col-12">
                                    <label id="txtNumero2_label" for="txtNumero2"  class="col-form-label text-md-left">Número</label>
                                    <input id="txtNumero2" class="form-control" name="numero2" type="text" maxlength="6" value=""  title="Número da inspeção"/>
                                </div>
                                <div class="col-md-6 col-12">
                                    <label id="txtAvaliador_label" for="txtAvaliador"  class="col-form-label text-md-left">Avaliador <span style="color: #ff0000;">*</span></label>
                                    <br>
                                    <div class="btn-group" role="group" aria-label="Avaliador">
                                        <button id="btnAvaliador" data="P" type="button" class="btn btn-info btn-redondo" title="Informa nome do usuário logado"><i class="fas fa-user"></i></button>
                                        <input id="txtAvaliador" class="form-control" name="avaliador" type="text" maxlength="6" value=""  title="Nome do avaliador"/>
                                    </div>
                                </div>
                                <div class="col col-md-3 col-12 text-left">
                                    <label for="cbAvaliacao" class="col-form-label text-md-left">Resultado <span style="color: #ff0000;">*</span></label>
                                    <br/>
                                    <select id="cbAvaliacao" class="form-control"  title="Avaliação final">
                                        <option value="">...Selecione</option>
                                        <option value="APROVADO">APROVADO</option>
                                        <option value="REPROVADO">REPROVADO</option>
                                    </select>
                                </div> 
                            </div>

                            <div class="row ml-2 mb-2 mr-2" >
                                <div class="col-md-9 col-12">
                                    <label id="txtObs_label" for="txtObs"  class="col-form-label text-md-left">Observação</label>
                                    <textarea id="txtObs" name="txtObs" style="width: 100%" rows="4" maxlength="2000" title="Informações adicionais"></textarea>
                                </div>
                                <div class="col-md-3 col-12">
                                    <label id="txtFinal_label" for="txtFinal"  class="col-form-label text-md-left">Data/Hora Final</label>
                                    <input id="txtFinal" class="form-control" name="final" type="text" maxlength="6" value=""  title="Número da inspeção"/>
                                </div>
                            </div>
                        </div>


                        <div class="card" id="manut">
                            <div class="row mt-2 ml-2 mr-2" >
                                <div class="col-md-3">
                                    <label id="txtPlaca_label" for="txtPlaca"  class="col-form-label text-md-left">Placa</label>
                                    <input id="txtPlacam" class="form-control" name="placa" type="text" maxlength="7" value="" title="Placa"/>
                                </div>
                                <div class="col-md-3">
                                    <label id="txtTipo_label" for="txtPlaca"  class="col-form-label text-md-left">Tipo</label>
                                    <input id="txtTipom" class="form-control" name="tipo" type="text" maxlength="50" value="" title="Tipo de carga"/>
                                </div>
                                <div class="col col-md-6 col-12 text-left">
                                    <label id="txtMotora_label" for="txtPlaca"  class="col-form-label text-md-left">Motorista</label>
                                    <input id="txtMotoram" class="form-control" name="motora" type="text" maxlength="50" value="" title="Motorista"/>
                                </div> 
                            </div>
                            <div class="row ml-2 mr-2" >
                                <div class="col-md-3 col-12">
                                    <label id="txtNumero_label" for="txtNumero"  class="col-form-label text-md-left">Número</label>
                                    <input id="txtNumerom" class="form-control" name="numero" type="text" maxlength="6" value=""  title="Número da inspeção"/>
                                </div>
                                <div class="col-md-3 col-12">
                                    <label id="txtData_label" for="txtPlaca"  class="col-form-label text-md-left">Data</label>
                                    <input id="txtDatam" class="form-control" name="data" type="text" maxlength="10" value="" title="Data"/>
                                </div>
                                <div class="col-md-6 col-12">
                                    <label id="txtProduto_label" for="txtProduto"  class="col-form-label text-md-left">Produto</label>
                                    <input id="txtProdutom" class="form-control" name="numero" type="text" maxlength="50" value=""  title="Produto"/>
                                </div>
                            </div>    
                            <div class="row ml-2 mr-2" >
                                
                                <div class="col-md-6 col-12">
                                    <label id="txtCliente_label" for="txtCliente"  class="col-form-label text-md-left">Cliente</label>
                                    <input id="txtClientem" class="form-control mb-2" name="cliente" type="text" maxlength="50" value=""  title="Produto"/>
                                </div>
                                <div class="col-md-6 col-12">
                                    <label id="txtTransp_label" for="txtTransp"  class="col-form-label text-md-left">Transportadora</label>
                                    <input id="txtTranspm" class="form-control" name="numero" type="text" maxlength="50" value=""  title="Produto"/>
                                </div>

                            </div>
                            <div class="row ml-2 mb-2 mr-2" >
                                <div class="col-md-6 col-12">
                                    <label id="txtInicio_label" for="txtCliente"  class="col-form-label text-md-left">Data/Hora Início</label>
                                    <input id="txtIniciom" class="form-control mb-2" name="inicio" type="text" maxlength="20" value=""  title="Data/hora de início"/>
                                </div>
                                <div class="col-md-6 col-12">
                                    <label id="txtInicio_label" for="txtCliente"  class="col-form-label text-md-left">Data/Hora Final</label>
                                    <input id="txtFinalm" class="form-control mb-2" name="inicio" type="text" maxlength="20" value=""  title="Data/hora do final"/>
                                </div>
                            </div>
                        </div>

                        <div class="card mt-2" id="itens2">
                            <div class="row mt-2 ml-2 mr-2" >
                                <div class="col-md-10">
                                    <label id="txtItem_label" for="txtItem1"  class="col-form-label text-md-left">Item</label>
                                    <input id="txtItem1m" class="form-control" name="item1" type="text" maxlength="7" value="" title="Item 1"/>
                                </div>
                                <div class="col col-md-2 col-12 text-left">
                                    <label id="txtMotora2_label" for="txtMotora2"  class="col-form-label text-md-left">Sim/Não</label>
                                    <br/>
                                    <label class="switch">
                                        <input id="cbItem1m"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                                        <span class="slider round"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="row ml-2 mr-2" >
                                <div class="col-md-10">
                                    <input id="txtItem2m" class="form-control" name="item1" type="text" maxlength="7" value="" title="Item 1"/>
                                </div>
                                <div class="col col-md-2 col-12 text-left">
                                <label class="switch">
                                        <input id="cbItem2m"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                                        <span class="slider round"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="row ml-2 mr-2" >
                                <div class="col-md-10">
                                    <input id="txtItem3m" class="form-control" name="item1" type="text" maxlength="7" value="" title="Item 1"/>
                                </div>
                                <div class="col col-md-2 col-12 text-left">
                                <label class="switch">
                                        <input id="cbItem3m"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                                        <span class="slider round"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="row ml-2 mr-2" >
                                <div class="col-md-10">
                                    <input id="txtItem4m" class="form-control" name="item1" type="text" maxlength="7" value="" title="Item 1"/>
                                </div>
                                <div class="col col-md-2 col-12 text-left">
                                <label class="switch">
                                        <input id="cbItem4m"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                                        <span class="slider round"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="row ml-2 mr-2" >
                                <div class="col-md-10">
                                    <input id="txtItem5m" class="form-control" name="item1" type="text" maxlength="7" value="" title="Item 1"/>
                                </div>
                                <div class="col col-md-2 col-12 text-left">
                                <label class="switch">
                                        <input id="cbItem5m"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                                        <span class="slider round"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="row ml-2 mr-2" >
                                <div class="col-md-10">
                                    <input id="txtItem6m" class="form-control" name="item1" type="text" maxlength="7" value="" title="Item 1"/>
                                </div>
                                <div class="col col-md-2 col-12 text-left">
                                <label class="switch">
                                        <input id="cbItem6m"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                                        <span class="slider round"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="row ml-2 mr-2" >
                                <div class="col-md-10">
                                    <input id="txtItem7m" class="form-control" name="item1" type="text" maxlength="7" value="" title="Item 1"/>
                                </div>
                                <div class="col col-md-2 col-12 text-left">
                                <label class="switch">
                                        <input id="cbItem7m"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                                        <span class="slider round"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="row ml-2 mr-2" >
                                <div class="col-md-10">
                                    <input id="txtItem8m" class="form-control" name="item1" type="text" maxlength="7" value="" title="Item 1"/>
                                </div>
                                <div class="col col-md-2 col-12 text-left">
                                <label class="switch">
                                        <input id="cbItem8m"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                                        <span class="slider round"></span>
                                    </label>
                                </div>
                            </div>
                            
                            <div class="row  ml-2 mr-2" >
                                <div class="col-md-6 col-12">
                                    <label id="txtAvaliador_label" for="txtAvaliador"  class="col-form-label text-md-left">Avaliador <span style="color: #ff0000;">*</span></label>
                                    <br>
                                    <div class="btn-group" role="group" aria-label="Avaliador">
                                        <button id="btnAvaliadorm" data="P" type="button" class="btn btn-info btn-redondo" title="Informa nome do usuário logado"><i class="fas fa-user"></i></button>
                                        <input id="txtAvaliadorm" class="form-control" name="avaliador" type="text" maxlength="6" value=""  title="Nome do avaliador"/>
                                    </div>
                                </div>
                                <div class="col col-md-4 col-12 text-left">
                                    <label for="cbAvaliacao" class="col-form-label text-md-left">Resultado <span style="color: #ff0000;">*</span></label>
                                    <br/>
                                    <select id="cbAvaliacaom" class="form-control"  title="Avaliação final">
                                        <option value="">...Selecione</option>
                                        <option value="APROVADO">APROVADO</option>
                                        <option value="REPROVADO">REPROVADO</option>
                                    </select>
                                </div> 
                                
                            </div>

                            <div class="row ml-2 mb-2 mr-2" >
                                <div class="col-md-12 col-12">
                                    <label id="txtObs_label" for="txtObs"  class="col-form-label text-md-left">Observação</label>
                                    <textarea id="txtObsm" name="txtObs" style="width: 100%" rows="4" maxlength="2000" title="Informações adicionais"></textarea>
                                </div>
                                
                            </div>
                        </div>



                    </div>
                </div>
                
            </div>
        </div>
    </div>
</div>

<script>

    function mascara_data(campo) {
        if (campo.value.length == 2) {
            campo.value += '/';
        }
        if (campo.value.length == 5) {
            campo.value += '/';
        }
    }

    function mascara_hora(campo) {
        if (campo.value.length == 2) {
            campo.value += ':';
        }
    }

    function mascara_letra(campo) {
        if (campo.value == '-') {
            campo.value += '';
        }
        if (campo.value == '=') {
            campo.value += '';
        }
    
    }

</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>