<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-check"></i> Inspeção
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/operacao/checklist.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
    
    <div class="container-fluid">
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-1 text-right">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <i class="fas fa-filter fa-2x text-right" style="color: #e6e6e6; alt="Filtro"></i>
                    </div>
                    <div class="col col-sm-3 text-left">
                        <label for="cbClientePesq" class="col-form-label text-md-left">Cliente</label>
                        <br/>
                        <select id="cbClientePesq" class="form-control">
                            <option value="">Todos...</option>
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtStatusPesquisa" class="col-form-label text-md-left">Status</label>
                        <br/>
                        <select id="cbStatusPesq" class="form-control">
                            <option value="">TODOS</option>
                            <option value="PE" selected>PENDENTES</option>
                            <option value="AP">APROVADOS</option>
                            <option value="RE">REPROVADOS</option>
                            <option value="AR">APROVADOS C/RESTRIÇÕES</option>
                            <option value="CA">CANCELADOS</option>
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtPlacaPesq" class="col-form-label text-md-left">Busca Placa</label>
                        <br/>
                        <input id="txtPlacaPesq" class="form-control" type="text"/>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnChecklistPesq"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>
                    <div class="col text-right">
                        <label for="txtCidadePesquisa2" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnNovoChecklist" type="button" class="btn btn-primary" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Nova Inspeção
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbCheck" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Checklist</th>
                                    <th>Placa</th>
                                    <th>Data</th>
                                    <th>Cliente</th>
                                    <th>Fiscal</th>
                                    <th>Status</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>

                               
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>'1500',
        'titulo'=> 'Nova Inspeção',
		'icone'=>'fa-check',
        'rota' => 'operacao.checklist.salvar',
        'campos'=> 
        [
            [
                'id' =>'txtDataChk',
                'nome'=>'datachk',
                'tipo'=>'hidden'
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtCheck',
                        'label'=>'Checklist',
                        'nome'=>'check',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtData',
                        'label'=>'Data',
                        'nome'=>'data',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbPlaca',
                        'label'=>'Placa',
                        'nome'=>'estadia',
                        'opcoes'=>[],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'txtFiscal',
                        'label'=>'Fiscal',
                        'nome'=>'fiscal',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [

                    [
                        'largura'=>'3',
                        'id' =>'cbItem01',
                        'label'=>'01. O operador está habilitado para operar o equipamento?',
                        'nome'=>'item01',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem02',
                        'label'=>'02. O operador / motorista Possui EPIs necessários calça, camisa bota (calçado de segurança) capacete, óculos de segurança?',
                        'nome'=>'item02',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem03',
                        'label'=>'03. O operador/motorista está portando CNH?',
                        'nome'=>'item03',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem04',
                        'label'=>'04. O cinto de segurança está em boas condições de uso ?',
                        'nome'=>'item04',
                        'tipo'=>'slider',
                        'required'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [

                    [
                        'largura'=>'3',
                        'id' =>'cbItem05',
                        'label'=>'05. Os faróis, lâmpadas e lanternas estão funcionando?',
                        'nome'=>'item05',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem06',
                        'label'=>'06. O para-brisa frontal está em estado de boa visibilidade?',
                        'nome'=>'item06',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem07',
                        'label'=>'07. O freio de serviço está funcionando ?',
                        'nome'=>'item07',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem08',
                        'label'=>'08. As rodas pneus estão em condições de segurança de uso dentro do limite de tolerância e estão sem rachaduras laterais?',
                        'nome'=>'item08',
                        'tipo'=>'slider',
                        'required'=> true
                    ]
                ]
            ],
            
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'3',
                        'id' =>'cbItem09',
                        'label'=>'09. O sinal sonoro (buzina) e sirene de ré estão funcionando?',
                        'nome'=>'item09',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem10',
                        'label'=>'10. Os instrumentos do painel estão funcionando normalmente?',
                        'nome'=>'item10',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem11',
                        'label'=>'11. O sistema de alimentação (mangueiras botijão) apresentam algum aspecto ou odor de indice de vasamento de gás?',
                        'nome'=>'item11',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem12',
                        'label'=>'12. As lonas estão em perfeiras condições?',
                        'nome'=>'item12',
                        'tipo'=>'slider',
                        'required'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'3',
                        'id' =>'cbItem13',
                        'label'=>'13. O sistema hidráulico (mangueiras e bomba) apresentam algum aspecto que indique vazamento de óleo?',
                        'nome'=>'item13',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem14',
                        'label'=>'14. Não apresenta vezamentos, pregos ou parafuso exposto que possam causar danos a carga ou embalagens ?',
                        'nome'=>'item14',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem15',
                        'label'=>'15. Carroceria está limpa, varrida e sem presença de outros grãos, impurezas ou quaisquer produtos estranhos?',
                        'nome'=>'item15',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem16',
                        'label'=>'16. O assoalho está em bom estado de conservação?',
                        'nome'=>'item16',
                        'tipo'=>'slider',
                        'required'=> true
                    ]
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'3',
                        'id' =>'cbItem17',
                        'label'=>'17. O limpador de para-brisa está funcionando?',
                        'nome'=>'item17',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbItem18',
                        'label'=>'18. O caminhão possui tanque de ARLA32?',
                        'nome'=>'item18',
                        'tipo'=>'slider',
                        'required'=> true
                    ],

                    [
                        'largura'=>'4',
                        'id' =>'txtObs',
                        'label'=>'Observação',
                        'nome'=>'obs',
                        'tamanho'=>'50',
                        'tipo'=>'textarea',
                        'rows'=>'3',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'cbStatus',
                        'label'=>'Status',
                        'nome'=>'status',
                        'opcoes'=>[
                            'PE'=>'PENDENTE',
                            'AP'=>'APROVADO',
                            'RE'=>'REPROVADO',
                            'AR'=>'APROVADO C/RESTRIÇÃO',
                            'CA'=>'CANCELADO'
                            ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]


                ]
            ]
            
            
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'operacao.checklist.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir o Checklist'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>