<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-search-dollar"></i> CAIXA - VALIDAÇÃO / LIBERAÇÃO DE SAÍDA
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/moment/moment.js')); ?>" ></script>    
    <script src="<?php echo e(URL::asset('js/views/cadastros/modcaixa.js')); ?>" ></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

   <div id="conteudoPagina" class="container-fluid">
        <input type="hidden" id="txtIdUsuario" name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
        <input type="hidden" id="hdCaixaLoad" value="<?php echo e(app('request')->input('caixa')); ?>"/>

        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-6 text-left">
                        <label for="cbAnoPesq" class="col-form-label text-md-left">Caixa - Turno - Guichê - Usuário</label>
                        <br/>
                        <select id="cbCaixaPesq" class="form-control">
                           
                            
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisaVeiculo"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>
                    <div class="col text-right">
                        <label for="txtPesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnNovaSaida" type="button" class="btn btn-primary" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Saída Avulso
                        </button>
                    </div>
                </div>

               
            </div>
        </div>
        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbEstadia" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Data Prevista</th>
                                    <th>Placa</th>
                                    <th>Motorista</th>
                                    <th>Agendado Para</th>
                                    <th>Destino</th>
                                    <th>Produto</th>
                                    <th>Id</th>
                                    <th>Inspeção</th>
                                    <th>Ação</th>
                                </tr>
                            </thead>
                            <tbody>
                            

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'idModal'=>'dlgSaida',
        'largura'=>1000,
        'titulo'=> 'CAIXA - VALIDAÇÃO / LIBERAÇÃO DE SAÍDA',
		'icone'=>'fa-search-dollar',
        'controles_editar'=>'true',
        'controles_salvar'=>'false',
        'controles_fechar'=>'false',
        'campos'=>
        [
            [
                'id' =>'hdIdEstadia',
                'nome'=>'hdidestadia',
                'tipo'=>'hidden'
            ],
            [
                'id'=>'hdToken',
                'nome'=>'hdtoken',
                'tipo'=>'hidden'
            ],

            [
                'id'=>'hdConvenio',
                'nome'=>'hdconvenio',
                'tipo'=>'hidden'
            ],
            [
                'id'=>'hdBonus',
                'nome'=>'hdbonus',
                'tipo'=>'hidden'
            ],
            [
                'id'=>'hdValorFixo',
                'nome'=>'hdvalorfixo',
                'tipo'=>'hidden'
            ],
            [
                'id'=>'hdMotorista',
                'nome'=>'hdmotorista',
                'tipo'=>'hidden'
            ],
            [
                'id'=>'hdPlaca',
                'nome'=>'hdplaca',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdLimiteSair',
                'nome'=>'hdlimitesair',
                'tipo'=>'hidden'
            ],
            [
                'id'=>'hdDataSaida',
                'nome'=>'hddatasaida',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdOrigem',
                'nome'=>'hdorigem',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdTipo',
                'nome'=>'hdtipo',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCaixa',
                'nome'=>'hdcaixa',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdAdicional',
                'nome'=>'hdadicional',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdTolerancia',
                'nome'=>'hdtolerancia',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdDiaria',
                'nome'=>'hddiaria',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdInspecao',
                'nome'=>'hdinspecao',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdHoramax',
                'nome'=>'hdhoramax',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdIdTicket',
                'nome'=>'hdidticket',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCliente',
                'nome'=>'hdcliente',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdTempo',
                'nome'=>'hdtempo',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdTotal',
                'nome'=>'hdtotal',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdEstadia',
                'nome'=>'hdestadia',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdDataLimite',
                'nome'=>'hddatalimite',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdParcial',
                'nome'=>'hdparcial',
                'tipo'=>'hidden'
            ],

            [
                'id'=>'hdEspecie',
                'nome'=>'hdespecie',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdTroco',
                'nome'=>'hdtroco',
                'tipo'=>'hidden'
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtTicket',
                        'label'=>'Digite o Ticket',
                        'nome'=>'ticket',
                        'tamanho'=>'13',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> false,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtDataEntrada',
                        'label'=>'Data Entrada',
                        'nome'=>'dataentrada',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtDataSaida',
                        'label'=>'Data Saída',
                        'nome'=>'datasaida',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                   
                    [
                        'largura'=>'4',
                        'id' =>'cbTipo',
                        'label'=>'Tipo de Cobrança',
                        'nome'=>'tipo',
                        'opcoes'=>[],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ]
                   
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtPlaca',
                        'label'=>'Placa do Veículo',
                        'nome'=>'placa',
                        'tamanho'=>'7',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'txtMotorista',
                        'label'=>'Motorista',
                        'nome'=>'motorista',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                   
                    [
                        'largura'=>'4',
                        'id' =>'cbCliente',
                        'label'=>'Agendado para ou Associado à',
                        'nome'=>'cliente',
                        'opcoes'=>[],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>true
                    ]
                ]
            ],

           

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtUnitario',
                        'label'=>'Valor Diária',
                        'nome'=>'unitario',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtTempo',
                        'label'=>'Permanência',
                        'nome'=>'tempo',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtEstadia',
                        'label'=>'Valor Estadia',
                        'nome'=>'estadia',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtInspecao',
                        'label'=>'Valor Inspeção',
                        'nome'=>'inspecao',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtDesconto',
                        'label'=>'Desconto',
                        'nome'=>'desconto',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtTotal',
                        'label'=>'Valor Total',
                        'nome'=>'total',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ]
                ]
            ],
                    
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtEspecie',
                        'label'=>'Pago Espécie',
                        'nome'=>'especie',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtDebito',
                        'label'=>'Pago Débito',
                        'nome'=>'debito',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtCredito',
                        'label'=>'Pago Crédito',
                        'nome'=>'credito',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                   
                   
                    [
                        'largura'=>'2',
                        'id' =>'txtTroco',
                        'label'=>'Troco',
                        'nome'=>'troco',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ]
                ]
            ]
            
            
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>


<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>