<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-calendar-alt"></i> Estadias Agendadas
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>

    <script src="<?php echo e(URL::asset('js/views/consulta.js')); ?>" ></script>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

   <div id="conteudoPagina" class="container-fluid">
        <input type="hidden" id="txtIdUsuario" name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
        <input type="hidden" id="txtStatus" name="status" data="AG"/>
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-1 text-right">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <i class="fas fa-filter fa-2x text-right" style="color: #e6e6e6; alt="Filtro"></i>
                    </div>
                    <div class="col col-sm-3 text-left">
                        <label for="cbClientePesq" class="col-form-label text-md-left">Cliente</label>
                        <br/>
                        <select id="cbClientePesq" class="form-control">
                            <option value="">Todos...</option>
                        </select>
                    </div>
                    
                    
                    <div class="col col-sm-2 text-left">
                        <label for="txtPlacaPesq" class="col-form-label text-md-left">Busca Placa</label>
                        <br/>
                        <input id="txtPlacaPesq" class="form-control" type="text"/>
                    </div>
                    <div class="col col-sm-4 text-left">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisaAgenda"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>
                    <div class="col col-sm-1 text-right">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">Agendamentos</label>
                        <br/>
                        <a href="<?php echo e(route('operacao.agenda')); ?>">
                            <i class="fas fa-calendar fa-2x text-right" style="color: #008000; alt="Agendamento"></i>
                        </a>
                    </div>
                    <div class="col col-sm-1 text-right">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">Dashboard</label>
                        <br/>
                        <a href="<?php echo e(route('home')); ?>">
                            <i class="fas fa-home fa-2x text-right" style="color: #FA5000; alt="Início"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>

        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbEstadia" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Data Prevista</th>
                                    <th>Placa</th>
                                    <th>Tipo Veículo</th>
                                    <th>Agendado Para</th>
                                    
                                    <th>Produto</th>
                                    <th>Status</th>
                                    <th>Ação</th>
                                </tr>
                            </thead>
                            <tbody>


                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>


    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>850,
        'titulo'=> 'Detalhe da Estadia',
		'icone'=>'fa-search',
        'controles_salvar'=>'false',
        'controles_fechar'=>'true',
        'campos'=>
        [
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtPlaca',
                        'label'=>'Placa',
                        'nome'=>'placa',
                        'classe'=>'mask_placa text-uppercase',
                        'tamanho'=>'7',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'5',
                        'id' =>'cbTipoVeiculo',
                        'label'=>'Tipo de Veículo',
                        'nome'=>'tipo',
                        'opcoes'=>$tipoveiculo,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbSituacao',
                        'label'=>'Situação',
                        'nome'=>'situacao',
                        'opcoes'=>[
                            'A'=>'ATIVO',
                            'I'=>'INATIVO',
                            'B'=>'BLOQUEADO'
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtAno',
                        'label'=>'Ano',
                        'nome'=>'Ano',
                        'tamanho'=>'4',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'5',
                        'id' =>'txtMarca',
                        'label'=>'Marca',
                        'nome'=>'marca',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'5',
                        'id' =>'txtModelo',
                        'label'=>'Modelo',
                        'nome'=>'modelo',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'cbTipoFrota',
                        'label'=>'Tipo Frota',
                        'nome'=>'tipo',
                        'opcoes'=>[
                            'F'=>'FROTA',
                            'P'=>'PARTICULAR'
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ],



            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'txtMotorista',
                        'label'=>'Motorista',
                        'nome'=>'motorista',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtCpf',
                        'label'=>'CPF',
                        'nome'=>'cpf',
                        'tamanho'=>'50',
                        'classe'=>'mask_cpf',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtCelular',
                        'label'=>'Celular',
                        'nome'=>'celular',
                        'tamanho'=>'50',
                        'classe'=>'mask_celular',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]


            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbCliente',
                        'label'=>'Cliente',
                        'nome'=>'cliente',
                        'opcoes'=>$cliente,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'cbDestino',
                        'label'=>'Destino',
                        'nome'=>'destino',
                        'opcoes'=>$destino,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]

                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbProduto',
                        'label'=>'Produto',
                        'nome'=>'produto',
                        'opcoes'=>$produto,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbFormula',
                        'label'=>'Fórmula',
                        'nome'=>'formula',
                        'opcoes'=>$formula,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtQtde',
                        'label'=>'Qtde (ton)',
                        'nome'=>'qtde',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]

                ]
            ],


            [
                'tipo'=>'array',
                'campos'=>
                [

                    [
                        'largura'=>'8',
                        'id' =>'txtOrigem',
                        'label'=>'Cidade Origem',
                        'nome'=>'origem',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbStatus',
                        'label'=>'Status',
                        'nome'=>'status',
                        'opcoes'=>[
                            'AG'=>'AGENDADO',
                            'ET'=>'EM TRÂNSITO',
                            'PA'=>'NO PÁTIO',
                            'NF'=>'NA FÁBRICA',
                            'RC'=>'RECEBIDO CLIENTE',
                            'CL'=>'CANCELADO',
                            'FN'=>'FINALIZADO'
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]

                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtDataPrev',
                        'label'=>'Data Prevista',
                        'nome'=>'dataprevista',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtDataCheg',
                        'label'=>'Data Chegada',
                        'nome'=>'datachegada',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtDataSaida',
                        'label'=>'Data Saída',
                        'nome'=>'datasaida',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtDataCria',
                        'label'=>'Data Criação',
                        'nome'=>'datacriacao',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbTransportador',
                        'label'=>'Transportador',
                        'nome'=>'transportador',
                        'opcoes'=>$transportador,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>