<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-truck"></i> PAINEL - FILA
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <style>
        body
        {
            background-color: #000 !important;
        }
    </style>

    <link rel="stylesheet" href="<?php echo e(URL::asset('js/DataTables/datatables.min.css')); ?>" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/DataTables/datatables.min.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('js/views/consulta/painel.js')); ?>" ></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

    <input id="hdnTempoPaginacao" type="hidden" value="<?php echo e($tpPaginacao); ?>"/>
    <input id="hdnQtdRegistros" type="hidden" value="<?php echo e($qtRegistros); ?>"/>
    <input id="hdnTempoCarregaFila" type="hidden" value="<?php echo e($tempo_carrega_fila); ?>"/>

   <div id="conteudoPagina" class="container-fluid">
        <div class="row">
            <div class="col col-sm-4 text-left"></div>
            <div class="col col-sm-4 text-left" style="font-size: 30px;">
                <select id="cbClientePesquisa" class="form-control" style="background: #000; color: #fff;">
                    <option value="">TODOS</option>
                    <?php $__currentLoopData = $cliente; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $valor=>$descricao): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($valor); ?>"><?php echo e($descricao); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
            <div id="sttHoraAtualização" class="col col-sm-4 text-right text-white"></div>
        </div>
        <br>
    <div class="row" >
        <div id="divTable" class="col panel panel-primary table-responsive">

                <table id="tbEstadia" class="table table-hover text-left" style="background: #000; color: #fff;">
                    <thead style="background: #000; forecolor: #fff; font-size: 20px;">
                        <tr>
                            <th>Ordem</th>
                            <th>Placa</th>
                            <th>Chamado</th>
                            <th>Motorista</th>
                            <th>Produto</th>
                            <th>Destino</th>
                        </tr>
                    </thead>
                    <tbody>


                    </tbody>
                </table>

            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>