<!DOCTYPE html>
<html lang="pt">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <!-- Styles -->
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/bootstrap_v4/bootstrap.min.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('fontawesome/css/fontawesome.min.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('fontawesome/css/solid.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/views/layout.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/views/master.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('js/DataTables/datatables.min.css')); ?>" />

    <style type="text/css">
        @keyframes  neon {
            from {
                filter: drop-shadow(0 0 0 var(--cor-neon));
            }
            to {
                filter: drop-shadow(0 0 100px var(--cor-neon));
            }
        }

        i {
            animation: neon 3s alternate infinite ease-in-out;
        }

        b {
            animation: neon 3s alternate infinite ease-in-out;
        }

        .texto {
            --cor-neon: white;
        }

        /* .img {
            --cor-neon: blue;
        } */
	</style>
</head>
<body>
    <!-- <div class="container-fluid"> -->
		<div class="panel panel-primary" >
            <div class="card rounded" style="background-color: #1a1a1a;">
                <div class="card-body">
                    <div class="row" style="background-color: #000;">
                        <div class="col-md-6">
                            
                            <div class="col-md-12 text-left mt-2" style="height:40px;">
                                
                                <a href="<?php echo e(route('home')); ?>">
                                    <img src="<?php echo e(URL::asset('img\logo-roma.png')); ?>" class="rounded" height="60"/>
                                </a>
                            </div>
                            <br>
                        </div>
                        <!-- <div class="col col-md-4">
                            <label for="cbClientePesq" class="col-form-label text-md-left">Agendado para</label>
                            <br/>
                            <select id="cbClientePesq" class="form-control">
                                
                            </select>
                        </div> -->

                        <div class="col-md-6">
                            <br>
                            <div class="col-md-12 text-right" style="height:40px; ">
                                    <!-- <br/> -->
                                    <p style="font-size: 20px;" class="text-right text-white">SIGP - Sistema Integrado de Gestão de Pátio</p>
                                    
                            </div>
                            <br>
                        </div>
                    </div>
                    
                    <div class="row mt-2">
                        <div class="col-md-12 mt-2">
                            <div class="panel panel-primary quadro-dash pl-2 pr-2" style="height: 680px;background-color: #000;">
                                    
                                    <table id="tbPainel"  class="border: 1; table table-hover table-sm text-left">
                                        <thead>
                                            <tr>
                                                <th style="font-size: 20px;" class="text-left text-white"><b>ORDEM</b></th>
                                                <th style="font-size: 20px;" class="text-left text-white"><b>DATA/HORA PREV</b></th>
                                                <th style="font-size: 20px;" class="text-left text-white"><b>PLACA</b></th>
                                                <th style="font-size: 20px;" class="text-left text-white"><b>MOTORISTA</b></th>
                                                <th style="font-size: 20px;" class="text-left text-white"><b>PRODUTO</b></th>
                                                <th style="font-size: 20px;" class="text-left text-white"><b>DESTINO</b></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                       
                                        </tbody>
                                    </table>
                            </div>
                        </div>
                    
                        
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-md-1">
                            <h6 style="color:#ffffff;"><i class="fas fa-truck fa-lg"></i> No Pátio</h6>
                        </div>
                        <div class="col-md-1">
                            <h6 style="color:#66a3ff;"><i class="fas fa-truck fa-lg"></i> Chamados</h6>
                        </div>
                        <div class="col-md-2" style="background-color: #000;">
                            
                            <div class="col text-right">
                                <div class="text-center text-white" style="font-size: 16px; ">Atualiz <?php echo e($now); ?></div>
                            </div>
                            <br>
                        </div>
                        <div class="col-md-8" style="background-color: #000;">
                            <div class="col text-center">
                                <marquee  style="color:yellow;font-size: 18px;"><b>
                                    <?php $__currentLoopData = $mensagens; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mensagem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> 
                                    <i class="fas fa-star fa-lg"></i>&nbsp;&nbsp;<?php echo e($mensagem->getTexto()); ?> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?></b>
                                </marquee>
                            </div>
                        </div>
                    </div>

                </div>

            </div>

        </div>

<script src="<?php echo e(URL::asset('js/jquery_v3.3.1/jquery-3.3.1.min.js')); ?>" ></script>
<script src="<?php echo e(URL::asset('js/popper/popper.min.js')); ?>"></script>
<script src="<?php echo e(URL::asset('js/bootstrap_v4/bootstrap.min.js')); ?>" ></script>
<script src="<?php echo e(URL::asset('js/JqueryMaxLength/jquery.maxlength.js')); ?>" ></script>
<script src="<?php echo e(URL::asset('js/jquery_mask/jquery.mask.min.js')); ?>" ></script>
<script src="<?php echo e(URL::asset('js/DataTables/datatables.min.js')); ?>"></script>
<script src="<?php echo e(URL::asset('js/views/consulta/painelroma.js?1234567')); ?>" ></script>
</body>
</html>