<?php $__env->startSection('titulo'); ?>
	Dashboard
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
	<script src="<?php echo e(URL::asset('js/charts/highcharts.js')); ?>"></script>
	<script src="<?php echo e(URL::asset('js/charts//highcharts-more.js')); ?>"></script>
	<script src="<?php echo e(URL::asset('js/charts/modules/solid-gauge.js')); ?>"></script>
	<script src="<?php echo e(URL::asset('js/charts/modules/exporting.js')); ?>"></script>
	<script src="<?php echo e(URL::asset('js/charts/modules/export-data.js')); ?>"></script>
	<script src="<?php echo e(URL::asset('js/views/home.js')); ?>"></script>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('pagina'); ?>

	<div class="container-fluid">
		<div class="panel panel-primary ">

			<div class="row">

				<div class="col-md-3 pb-2">
					<div id="pnlProcesso" data="<?php echo e($processo); ?>" class="panel panel-primary quadro-dash pl-2 pr-2 <?php echo e($processo > 0 ? 'cursor-pointer' : ''); ?>" style="background-color: #0066cc;">
						<div class="row">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<i class="fas fa-sync fa-4x text-white mt-3"></i>
								<h0 class="float-right text-white"><?php echo e($processo); ?></h0>
							</div>
                        </div>
                        <div class="row text-center">
                            <div class="col-lg-12 col-md-12 col-sm-12">
								<h5 class="text-white">No processo</h5>
							</div>
						</div>
					</div>
				</div>

				<div class="col-md-3 pb-2">
					<div id="pnlPatio" data="<?php echo e($patio); ?>" class="panel panel-primary quadro-dash pl-2 pr-2 <?php echo e($patio > 0 ? 'cursor-pointer' : ''); ?>" style="background-color: #0073e6;">
						<div class="row">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<i class="fas fa-truck fa-4x text-white mt-3"></i>
								<h0 class="float-right text-white"><?php echo e($patio); ?></h0>
							</div>
						</div>
						<div class="row text-center">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<h5 class="text-white">No Pátio</h5>
							</div>
						</div>
					</div>
				</div>

				<div class="col-md-3 pb-2">
					<div id="pnlChamado" data="<?php echo e($chamados); ?>" class="panel panel-primary quadro-dash pl-2 pr-2 <?php echo e($chamados > 0 ? 'cursor-pointer' : ''); ?>" style="background-color: #0080ff;">
						<div class="row">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<i class="fas fa-bullhorn fa-4x text-white mt-3"></i>
								<h0 class="float-right text-white"><?php echo e($chamados); ?></h0>
							</div>
						</div>
						<div class="row text-center">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<h5 class="text-white">Chamados</h5>
							</div>
						</div>
					</div>
				</div>

				<div class="col-md-3 pb-2">
					<div id="pnlEsperado" data="<?php echo e($agendado); ?>" class="panel panel-primary quadro-dash pl-2 pr-2 <?php echo e($agendado > 0 ? 'cursor-pointer' : ''); ?>" style="background-color: #1a8cff;">
						<div class="row">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<i class="fas fa-clock fa-4x text-white mt-3"></i>
								<h0 class="float-right text-white"><?php echo e($agendado); ?></h0>
							</div>
						</div>
						<div class="row text-center">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<h5 class="text-white">Esperados</h5>
							</div>
						</div>
					</div>
				</div>

			</div>


			<br>
			<div class="row">

				<div class="col-md-8">
					<div class="panel panel-primary quadro-chart" style="background-color: #fff;">
						<div class="panel-heading">
							<div class="container">
								<br>
								<div class="col-lg-12">
									<h5 style="color: #999999;">Agendamentos em 2018</h5>
									<div class="card bar-chart-example">
										<div class="card-body">
											<div id="chartContainer" style="height: 300px; width: 100%;"></div>
										</div>
									</div>
								</div>
								<br>
							</div>
						</div>
					</div>
				</div>

				<div class="col-md-4" >
					<div class="panel panel-primary quadro-chart" style="background-color: #fff;">
							<div class="container">
								<br>
								<div class="col-lg-12">
									<h5 style="color: #999999;">Status do Pátio</h5>
									<div class="card bar-chart-example">
										<div class="card-body">
											<div id="container-ocupation" style="height: 300px; width: 100%;"></div>
										</div>
									</div>
								<br>
							</div>
						</div>
					</div>
				</div>

			</div>

		</div>

	</div>

	<?php echo $__env->make('partials._modal_form',
	[
		'largura'=>'1400',
		'forcaTamanho'=>'true',
		'idModal'=>'dlgPainel',
        'icone'=>'fa-chart-bar',
        'titulo'=> 'Painel',
		'rota' => 'cadastros.cliente.salvar',
		'controles_salvar'=>'false',
		'controles_fechar'=>'true',
		'campos'=>
		[
			[
				'id'=>'divTabela',
				'label'=>'',
				'tipo'=>'div',
				'classe'=>'border-0 table-responsive',
				'style'=>'height:100%;'
			]
		]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>850,
        'idModal'=>'mdlEstadia',
        'titulo'=> 'Dados da Estadia',
		'icone'=>'fa-search',
        'controles_salvar'=>'false',
        'controles_fechar'=>'true',
        'campos'=>
        [
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtPlaca',
                        'label'=>'Placa',
                        'nome'=>'placa',
                        'classe'=>'mask_placa text-uppercase',
                        'tamanho'=>'7',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'5',
                        'id' =>'cbTipoVeiculo',
                        'label'=>'Tipo de Veículo',
                        'nome'=>'tipo',
                        'tamanho'=>'100',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbSituacao',
                        'label'=>'Situação',
                        'nome'=>'situacao',
                        'opcoes'=>[
                            'A'=>'ATIVO',
                            'I'=>'INATIVO',
                            'B'=>'BLOQUEADO'
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtAno',
                        'label'=>'Ano',
                        'nome'=>'Ano',
                        'tamanho'=>'4',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'5',
                        'id' =>'txtMarca',
                        'label'=>'Marca',
                        'nome'=>'marca',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'5',
                        'id' =>'txtModelo',
                        'label'=>'Modelo',
                        'nome'=>'modelo',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'cbTipoFrota',
                        'label'=>'Tipo Frota',
                        'nome'=>'tipo',
                        'opcoes'=>
                        [
                            'F'=>'FROTA',
                            'P'=>'PARTICULAR'
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ],



            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'txtMotorista',
                        'label'=>'Motorista',
                        'nome'=>'motorista',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtCpf',
                        'label'=>'CPF',
                        'nome'=>'cpf',
                        'tamanho'=>'50',
                        'classe'=>'mask_cpf',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtCelular',
                        'label'=>'Celular',
                        'nome'=>'celular',
                        'tamanho'=>'50',
                        'classe'=>'mask_celular',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]


            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbCliente',
                        'label'=>'Cliente',
                        'nome'=>'cliente',
                        'tipo'=>'txt',
                        'tamanho'=>'100',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'cbDestino',
                        'label'=>'Destino',
                        'nome'=>'destino',
                        'tipo'=>'txt',
                        'tamanho'=>'100',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]

                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbProduto',
                        'label'=>'Produto',
                        'nome'=>'produto',
                        'tamanho'=>'100',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbFormula',
                        'label'=>'Fórmula',
                        'nome'=>'formula',
                        'tamanho'=>'100',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtQtde',
                        'label'=>'Qtde',
                        'nome'=>'qtde',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]

                ]
            ],


            [
                'tipo'=>'array',
                'campos'=>
                [

                    [
                        'largura'=>'8',
                        'id' =>'txtOrigem',
                        'label'=>'Cidade Origem',
                        'nome'=>'origem',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbStatus',
                        'label'=>'Status',
                        'nome'=>'status',
                        'opcoes'=>[
                            'AG'=>'AGENDADO',
                            'ET'=>'EM TRÂNSITO',
                            'PA'=>'NO PÁTIO',
                            'NF'=>'NA FÁBRICA',
                            'RC'=>'RECEBIDO CLIENTE',
                            'CL'=>'CANCELADO',
                            'FN'=>'FINALIZADO'
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]

                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtDataPrev',
                        'label'=>'Data Prevista',
                        'nome'=>'dataprevista',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtDataCheg',
                        'label'=>'Data Chegada',
                        'nome'=>'datachegada',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtDataSaida',
                        'label'=>'Data Saída',
                        'nome'=>'datasaida',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtDataCria',
                        'label'=>'Data Criação',
                        'nome'=>'datacriacao',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbTransportador',
                        'label'=>'Transportador',
                        'nome'=>'transportador',
                        'tamanho'=>'100',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>