<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/cadastro/pedido.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
    

<div class="content-wrapper">
    <input type="hidden" id="hdnUsuario" name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
    <input type="hidden" id="hdnUnidade" name="idunidade" data="<?php echo e(Auth::user()->getUnidade()); ?>"/>
    <input type="hidden" id="hdnId" name="id" data=""/>

    <div class="container-fluid mt-2">
        
        <div id="cadastro" class="card mt-2" style="display: none; background-color:#fff; color:#056367; border-radius: 20px 0px 20px 0px;">
            
            <?php echo csrf_field(); ?>
            
            <div class="card-body">
                <div class="row" style="padding-right: 2px;">
                    <div class="col-md-6">
                        <h4 style="color:#056367;"><i class="fas fa-comment"></i> Pedido</h4>
                    </div>
                    <div class="col-md-6">
                        <div class="col text-right">
                            <button id="btnVoltar" type="button" class="btn btn-outline-secondary" aria-label="Left Align" >
                                <i class="fas fa-arrow-left"></i> Voltar
                            </button>

                            <button id="btnSalvar" type="button" data="" class="btn btn-success" aria-label="Left Align" >
                                <i class="fas fa-save"></i> Salvar
                            </button>
                            
                            <button id="btnExcluir" type="button" data="" class="btn btn-outline-danger" aria-label="Left Align" >
                                <i class="fas fa-trash-alt"></i> Excluir
                            </button>
                            
                        </div>
                    </div>
                    
                </div>
                <hr></hr>
                <div class="row" >
                    
                    <div class="col-md-3">
                        <label id="txtTipo_label" for="txtTipo"  class="col-form-label text-md-left">Tipo</label>
                        <br/>
                        <select id="cbTipo" class="form-control">
                            
                        </select>
                    </div>
                    <div class="col-md-5">
                        <label id="txtNome_label" for="txtNome"  class="col-form-label text-md-left">Nome</label>
                        <input id="txtNome" class="form-control" name="nome" type="text" maxlength="50" value="" required/>
                    </div>
                   
                </div>
                
                <div class="row" >
                    <div class="col-md-3">
                        <label id="txtUf_label" for="txtUf" class="col-form-label text-md-left">UF</label>
                        <br/>
                        <select id="cbUf" class="form-control" required>
                            
                        </select>
                    </div>
                    <div class="col-md-5">
                        <label id="txtCidade_label" for="txtCidade" class="col-form-label text-md-left">Cidade</label>
                        <br/>
                        <select id="cbCidade" class="form-control" required>
                            
                        </select>
                    </div>
                </div>

            </div>
            
        </div>

        <div id="lista" class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 20px 0px 20px 0px;">
            <div class="card-body">
                <div class="row" style="padding-bottom: 5px; padding-right: 2px;">
                    <div class="col-md-2">
                        <h4 style="color:#056367;"><i class="fas fa-comment"></i> Pedido</h4>
                    </div>
                    <div class="col-md-4">
                        <label id="txtPessoaPesq_label" for="txtPessoaPesq" class="col-form-label text-md-left">Pessoa</label>
                        <br/>
                        <select id="cbPessoaPesq" class="form-control" required>
                            
                        </select>
                    </div>
                    <div class="col-md-2">
                        <label id="txtPalavra_label" for="txtNome"  class="col-form-label text-md-left">Palavra chave</label>
                        <input id="txtPalavra" class="form-control" name="palavra" type="text" maxlength="50" value="" required/>
                    </div>
                    <div class="col-md-4 text-right">
                        <label id="txtPesquisar_label" for="txtNome"  class="col-form-label text-md-left">&nbsp;</label><br>
                        <button id="btnPesquisar" type="button" class="btn btn-outline-secondary" aria-label="Left Align" >
                            <i class="fas fa-search"></i> Pesquisar
                        </button>
                        <button id="btnNovo" type="button" class="btn btn-outline-primary" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Novo Pedido
                        </button>
                    </div>
                </div>
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbEntidade" class="table table-striped table-bordered text-left ">
                            <thead  style="background-color:#404040; color: #ccc; font-weight: bold;">
                                <tr>
                                    <th>Dados do Pedido</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>