<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">

  <!-- CSRF Token -->
  <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

  <title>OKTO-PRO</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/fontawesome-free/css/all.min.css')); ?>">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Tempusdominus Bbootstrap 4 -->
  <link rel="stylesheet" href="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css')); ?>">
  <!-- iCheck -->
  <link rel="stylesheet" href="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/icheck-bootstrap/icheck-bootstrap.min.css')); ?>">
  <!-- JQVMap -->
  <link rel="stylesheet" href="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/jqvmap/jqvmap.min.css')); ?>">
  <!-- Theme style -->
  <link rel="stylesheet" href="<?php echo e(URL::asset('AdminLTE-3.0.5/dist/css/adminlte.min.css')); ?>">
  <!-- overlayScrollbars -->
  <link rel="stylesheet" href="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/overlayScrollbars/css/OverlayScrollbars.min.css')); ?>">
  <!-- Daterange picker -->
  <link rel="stylesheet" href="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/daterangepicker/daterangepicker.css')); ?>">
  <!-- summernote -->
  <link rel="stylesheet" href="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/summernote/summernote-bs4.css')); ?>">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="<?php echo e(URL::asset('js/sweetalert-bootstrap/sweetalert.css')); ?>"/>

    <!-- Styles -->
    <!-- <link rel="stylesheet" href="<?php echo e(URL::asset('css/bootstrap_v4/bootstrap.min.css')); ?>" > -->
    <!-- <link rel="stylesheet" href="<?php echo e(URL::asset('fontawesome/css/fontawesome.min.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('fontawesome/css/solid.css')); ?>" >  -->
    <!-- <link rel="stylesheet" href="<?php echo e(URL::asset('css/views/layout.css')); ?>" > -->
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/views/master.css')); ?>" >
    <!-- <link rel="stylesheet" href="<?php echo e(URL::asset('js/DataTables/datatables.min.css')); ?>" /> -->

    <?php echo $__env->yieldContent('css'); ?>
</head>
<body class="hold-transition sidebar-mini layout-fixed">
    <input type="hidden" id="hdnUrlBase" value="<?php echo e(env('APP_URL')); ?>" />
    <!-- Loading -->
    <div class="se-pre-con text-center">
        <i class="fa fa-spinner fa-spin fa-4x fa-fw text-success centralizar"></i>
    </div>

    <!-- Sidebar  -->
    <div id="containerPrincipal" class="wrapper">

        <?php if(auth()->guard()->check()): ?>
            <?php echo $__env->make('partials._menu', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <?php endif; ?>

        <!-- Page Content  -->
        <main id="content" class="p-0">

            <?php if(auth()->guard()->check()): ?>
                <?php echo $__env->make('partials._barra_superior', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
            <?php endif; ?>

            <?php echo $__env->yieldContent('pagina'); ?>

        </main>
    </div>

    <!-- mensagem -->
    <?php echo $__env->make('partials._modal_mensagem', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <!-- Scripts -->
    <script src="<?php echo e(URL::asset('js/jquery_v3.3.1/jquery-3.3.1.min.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('js/popper/popper.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/bootstrap_v4/bootstrap.min.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('js/JqueryMaxLength/jquery.maxlength.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('js/jquery_mask/jquery.mask.min.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('js/sweetalert-bootstrap/sweetalert.min.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('js/DataTables/datatables.min.js')); ?>"></script> 
    

  <!-- <footer class="main-footer">
    <strong>Copyright &copy; 2014-2019 <a href="http://adminlte.io">AdminLTE.io</a>.</strong>
    All rights reserved.
    <div class="float-right d-none d-sm-inline-block">
      <b>Version</b> 3.0.5
    </div>
  </footer> -->

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
<!-- ./wrapper -->

<!-- jQuery -->
<!-- <script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/jquery/jquery.min.js')); ?>"></script> -->
<!-- jQuery UI 1.11.4 -->
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/jquery-ui/jquery-ui.min.js')); ?>"></script>
<!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
<script>
  $.widget.bridge('uibutton', $.ui.button)
</script>
<!-- Bootstrap 4 -->
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>
<!-- ChartJS -->
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/chart.js/Chart.min.js')); ?>"></script>
<!-- jQuery Knob Chart -->
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/jquery-knob/jquery.knob.min.js')); ?>"></script>
<!-- daterangepicker -->
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/moment/moment.min.js')); ?>"></script>
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/daterangepicker/daterangepicker.js')); ?>"></script>
<!-- Tempusdominus Bootstrap 4 -->
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js')); ?>"></script>
<!-- Summernote -->
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/summernote/summernote-bs4.min.js')); ?>"></script>
<!-- overlayScrollbars -->
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js')); ?>"></script>
<!-- AdminLTE App -->
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/dist/js/adminlte.js')); ?>"></script>
<!-- AdminLTE for demo purposes -->
<script src="<?php echo e(URL::asset('AdminLTE-3.0.5/dist/js/demo.js')); ?>"></script>

<script src="<?php echo e(URL::asset('js/views/layout.js')); ?>" ></script> 

<!-- Mensagens do controller -->
<script type="text/javascript">

<?php if(count($errors) > 0): ?>

  var message = "";

  <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    message += "<?php echo e($error); ?>\n";
  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

  MensagemBox('erro',message,'');
<?php endif; ?>

<?php if(session('erro')): ?>
  MensagemBox ('erro',"<?php echo e(session('msg_titulo')); ?>","<?php echo e(session('erro')); ?>","<?php echo e(session('msg_timer')); ?>");
<?php elseif(session('sucesso')): ?>
  MensagemBox ('sucesso',"<?php echo e(session('msg_titulo')); ?>","<?php echo e(session('sucesso')); ?>","<?php echo e(session('msg_timer')); ?>");
<?php elseif(session('alerta')): ?>
  MensagemBox ('alerta',"<?php echo e(session('msg_titulo')); ?>","<?php echo e(session('alerta')); ?>","<?php echo e(session('msg_timer')); ?>");
<?php elseif(session('info')): ?>
  MensagemBox ('info',"<?php echo e(session('msg_titulo')); ?>","<?php echo e(session('info')); ?>","<?php echo e(session('msg_timer')); ?>");
<?php endif; ?>
</script>

<?php echo $__env->yieldContent('scripts'); ?>
</body>
</html>

