<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-user-tie"></i> Cadastro de Conta
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/jquery-picklist/picklist.css')); ?>" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/jquery-picklist/picklist.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/views/adm/classe_rota.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/views/adm/cadastro.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/moment/moment.js')); ?>" ></script>   
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
   

    <div class="card rounded text-left">
        <div class="card-body">
            <div class="row">
                <div class="col-md-4 col-lg-4 mx-auto">
                    <center>
                    
                    <img src="<?php echo e(URL::asset('img\logo-beau-transp.png')); ?>" class="img-responsive rounded text-center" height="50"/>
                    <br/>
                    </center>
                </div>
            </div>
        </div>
    </div>
    
    <div class="container-fluid">
        <div class="card rounded text-left">
            <div class="card-body">
                <input type="hidden" id="hdnDataContrato" name="datacontrato" data=""/>
                <input type="hidden" id="hdnDataVencto" name="datavencto" data=""/>
                <input type="hidden" id="hdnValor" name="valor" data=""/>
                <input type="hidden" id="hdnLogin" name="login" data=""/>
                <input type="hidden" id="hdnNome" name="nome" data=""/>
                <input type="hidden" id="hdnEmail" name="email" data=""/>
                <input type="hidden" id="hdnSenha" name="senha" data=""/>
                <input type="hidden" id="hdnChave" name="chave" data=""/>
                <input type="hidden" id="hdnValidado" name="validado" data=""/>
                
                <div class="row" >
                    <div class="col col-sm-4 text-left">
                        <h4 style="color: #056367;"><b>Cadastro de Conta</b></h4>
                    </div>
                    <div class="col text-right">
                      <!-- <a href="http://beau.empresaokto.com.br"><button class="btn btn-warning" aria-label="Left Align" ><i class="fas fa-arrow-left fa-lg"></i> Voltar</button></a> -->
                      <a href="http://beau.empresaokto.com.br"><i class="fas fa-door-open fa-lg"></i> Clique aqui para fazer <b>Login</b> no Beau-Pro</a>
<!--                       <a href="http://localhost:8000/login"><i class="fas fa-door-open fa-lg"></i> Clique aqui para fazer <b>Login</b> no Beau-Pro</a>
 -->
                      <!-- <a href="http://localhost:8000/login"><button class="btn btn-warning" aria-label="Left Align" ><i class="fas fa-arrow-left fa-lg"></i> Voltar</button></a> -->
                    </div>
                </div>

            </div>

            
        </div>

        <div id="mensagem" class="card mt-2"  style="background-color:#ffffb3; color:#000;">
            <div class="card-body">
                <div class="row">
                    <p style="font-size: 12pt;">Aqui você poderá criar uma conta para o seu negócio e criar o Usuário Master da mesma, desta forma poderá usufruir dos benefícios e facilidades dessa ferramenta de trabalho, que poderá ser muito útil para seu negócio.<br>Opcionalmente você poderá escolher a modalidade Degustação e ter acesso por um período de 3 (três) meses gratuitamente.</p>
                </div>
            </div>
        </div>
        
        <div class="card mt-2">
            <div class="card-body">
                <h5 style="color: #056367;"><b>Identificação</b></h5>
                <hr style="width:100%;text-align:left;margin-left:0">
                <div class="row" >
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtPlacaPesq" class="col-form-label text-md-left">Login <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <input id="txtLogin" class="form-control" type="text" placeholder="Digite um login para sua conta" maxlength="20"/>
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <label for="btnValidar1" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnValidar1"  class="btn btn-success btn-group-right"><i class="fas fa-check"></i> Validar Login</button>
                        <button id="btnTentativa"  class="btn btn-info btn-group-right"><i class="fas fa-arrow-left"></i> Tentar Novamente</button>
                    </div>
                </div>
                <div class="row" id="feedback-login">
                    <div class="col col-sm-4 text-left">
                        <p style="color: #ff0000">Login já existe, tente novamente!</P>
                    </div>
                </div>
                <div class="row responsive" id="identificacao" >
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtNome" class="col-form-label text-md-left">Nome <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <input id="txtNome" class="form-control" type="text" placeholder="Digite o seu nome" maxlength="50"/>
                    </div>
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtEmail" class="col-form-label text-md-left">Email <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <input id="txtEmail" class="form-control" type="text" placeholder="Digite o seu email principal" maxlength="100"/>
                    </div>
                    
                </div>
                <div class="row responsive" id="senha" >
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtSenha" class="col-form-label text-md-left">Senha <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <input id="txtSenha" type="password" class="form-control" placeholder="Digite uma senha" maxlength="20"/>
                    </div>
                    <div class="col col-lg-3 col-12 text-left">
                        <label for="txtConfirmacao" class="col-form-label text-md-left">Confirmação <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <input id="txtConfirmacao" class="form-control" type="password" placeholder="Digite a confirmação da senha" maxlength="20"/>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="btnValidar2" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnValidar2"  class="btn btn-success btn-group-right"><i class="fas fa-check"></i> Validar</button>
                    </div>
                </div>
            </div>
            </div>

            <div id="mensagem2" class="card mt-2"  style="background-color:#e6ffee; color:#000;">
                <div class="card-body">
                    <div class="row">
                        <p style="font-size: 12pt;"><i class="fas fa-comment-dollar fa-lg"></i><b> Sobre a indicação de um parceiro</b><br>Se uma conta for criada com indicação de um dos nossos parceiros, você será beneficiado com um desconto em sua assinatura.<br>Entre em contato com um dos nossos parceiros e peça que lhe informe seu código.</p>
                    </div>
                </div>
            </div>

            <div class="card mt-2">
            <div class="row">
                <div class="col col-lg-8 col-12 text-left">
                    <div class="card-body" id="contrato" >
                        <h5 style="color: #056367;"><b>Dados do Contrato</b></h5>
                        <hr style="width:100%;text-align:left;margin-left:0">
                        <div class="row" >
                            <div class="col-md-3">
                                <label id="txtIndic_label" for="txtIndic"  class="col-form-label text-md-left">Indicado por algum parceiro?</label>
                                <br/>
                                <label class="switch">
                                    <input id="cbIndicado"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                                    <span class="slider round"></span>
                                </label>
                            </div>
                            <div id="ind1" class="col col-lg-3 col-12 text-left">
                                <label for="txtCodigo" class="col-form-label text-md-left">Indicado por (código do parceiro)</label>
                                <br/>
                                <input id="txtCodigo" class="form-control" onfocusout="buscaCodigo()" type="text" maxlength="20"/>
                            </div>
                            <!-- <div class="col col-lg-2 col-12 text-left">
                                <label for="txtCodigo" class="col-form-label text-md-left">&nbsp;</label>
                                <br/>
                                <button id="btnIndicador"  class="btn btn-info btn-group-right"><i class="fas fa-user-tie"></i> Validar Indicador</button>
                            </div> -->
                            <div id="ind2" class="col col-lg-3 col-12 text-left">
                                <label for="txtNomeIndicador" class="col-form-label text-md-left">Nome do indicador</label>
                                <br/>
                                <input id="txtNomeIndicador" class="form-control" type="text" readonly="true" maxlength="20"/>
                            </div>

                        </div>
                        <div class="row" >
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="cbStatusPesq" class="col-form-label text-md-left">Tipo de Contrato <span style="color: #ff0000;">*</span></label>
                                <br/>
                                <select id="cbTipo" class="form-control">
                                    <option value="" selected>...Selecione</option>
                                    <option value="1">DEGUSTAÇÃO</option>
                                    <option value="2">PARTICULAR</option>
                                    <!-- <option value="3">CONVÊNIO</option> -->
                                </select>
                            </div>
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="txtDataContrato" class="col-form-label text-md-left">Data do Contrato</label>
                                <br/>
                                <input id="txtDataContrato" class="form-control" type="text" readonly="true" maxlength="10"/>
                            </div>
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="txtDataVencto" class="col-form-label text-md-left">Válido Até</label>
                                <br/>
                                <input id="txtDataVencto" class="form-control" type="text" readonly="true" maxlength="10"/>
                            </div>
                        </div>
                        <div class="row" >
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="txtPreco" class="col-form-label text-md-left">Valor Mensal</label>
                                <br/>
                                <input id="txtPreco" class="form-control" type="text" readonly="true" maxlength="10"/>
                            </div>
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="txtTempo" class="col-form-label text-md-left">Meses</label>
                                <br/>
                                <input id="txtTempo" class="form-control" type="text" readonly="true" maxlength="10"/>
                            </div>
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="txtValorAnual" class="col-form-label text-md-left">Valor Anual</label>
                                <br/>
                                <input id="txtValorAnual" class="form-control" type="text" readonly="true" maxlength="10"/>
                            </div>
                        </div>
                        <div class="row" id="valida_tipo">
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="txtChave" class="col-form-label text-md-left">Chave <span style="color: #ff0000;">*</span></label>
                                <br/>
                                <input id="txtChave" class="form-control" type="text" placeholder="Digite a chave" maxlength="10"/>
                            </div>
                            <div class="col col-sm-4 text-left">
                                <label for="btnValidar3" class="col-form-label text-md-left">&nbsp;</label>
                                <br/>
                                <button id="btnValidar3"  class="btn btn-success btn-group-right"><i class="fas fa-check"></i> Validar Chave</button>
                            </div>
                        </div>
                        <br/>

                        <input id="txtAdicional" class="form-control" type="text" maxlength="10"/>

                    </div>
                </div>
            </div>
            </div>

            <div class="card mt-2">
                <div class="card-body"  id="empresa" >
                    <div class="col col-lg-8 col-12 text-left">
                        <h5 style="color: #056367;"><b>Dados da Conta</b></h5>
                        <hr style="width:100%;text-align:left;margin-left:0">
                        <div class="row" >
                            <div class="col col-lg-6 col-12 text-left">
                                <label for="txtUnidade" class="col-form-label text-md-left">Nome <span style="color: #ff0000;">*</span></label>
                                <br/>
                                <input id="txtUnidade" class="form-control" type="text" placeholder="Digite o nome da conta" maxlength="50"/>
                            </div>
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="cbTipoUnid" class="col-form-label text-md-left">Tipo Negócio<span style="color: #ff0000;">*</span></label>
                                <br/>
                                <select id="cbTipoUnid" class="form-control">
                                    <option value="" selected>...Selecione</option>
                                    <option value="BA">BARBEARIA</option>
                                   <!--  <option value="CM">CLÍNICA MÉDICA</option>
                                    <option value="CO">CLÍNICA ODONTOLÓGICA</option>
                                    <option value="CP">CLÍNICA PSICOLOGIA</option>
                                    <option value="CV">CLÍNICA OFTALMO</option> -->
                                    <option value="CE">CLÍNICA ESTÉTICA</option>
                                    <option value="SB">SALÃO BELEZA</option>
                                </select>
                            </div>
                        </div>

                        <div class="row" >
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="txtCelularUnid" class="col-form-label text-md-left">Celular <span style="color: #ff0000;">*</span></label>
                                <br/>
                                <input id="txtCelularUnid" class="form-control" type="text"  maxlength="20"/>
                            </div>
                            <div class="col col-lg-6 col-12 text-left">
                                <label for="txtEmailUnid" class="col-form-label text-md-left">Email da Conta <span style="color: #ff0000;">*</span></label>
                                <br/>
                                <input id="txtEmailUnid" class="form-control" type="text" placeholder="Digite o email da conta"  maxlength="100"/>
                            </div>
                        </div>

                        <div class="row" >
                            <div class="col col-lg-6 col-12 text-left">
                                <label for="txtEndereco" class="col-form-label text-md-left">Endereço</label>
                                <br/>
                                <input id="txtEndereco" class="form-control" type="text" placeholder="Digite o endereço da conta" maxlength="50"/>
                            </div>
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="txtNro" class="col-form-label text-md-left">Nº</label>
                                <br/>
                                <input id="txtNro" class="form-control" type="text" placeholder="Digite o número" maxlength="6"/>
                            </div>
                        </div>

                        <div class="row" >
                            <div class="col col-lg-3 col-12 text-left">
                                <label for="txtComplemento" class="col-form-label text-md-left">Complemento</label>
                                <br/>
                                <input id="txtComplemento" class="form-control" type="text" placeholder="Digite o complemento do end. da conta"  maxlength="50"/>
                            </div>
                            <div class="col col-lg-3 col-12 text-left">
                                <label for="txtBairro" class="col-form-label text-md-left">Bairro</label>
                                <br/>
                                <input id="txtBairro" class="form-control" type="text" placeholder="Digite o bairro da conta" maxlength="50"/>
                            </div>
                            <div class="col col-lg-2 col-12 text-left">
                                <label for="txtCep" class="col-form-label text-md-left">CEP</label>
                                <br/>
                                <input id="txtCep" class="form-control" type="text" placeholder="Digite o CEP da conta" maxlength="10"/>
                            </div>
                        </div>

                        <div class="row" >
                            <div class="col col-lg-3 col-12 text-left">
                                <label for="cbUF" class="col-form-label text-md-left">UF <span style="color: #ff0000;">*</span></label>
                                <br/>
                                <select id="cbUF" class="form-control">
                                    <option value="">...</option>
                                                                
                                </select>
                            </div>
                            <div class="col col-lg-5 col-12 text-left">
                                <label for="cbCidade" class="col-form-label text-md-left">Cidade <span style="color: #ff0000;">*</span></label>
                                <br/>
                                <select id="cbCidade" class="form-control">
                                    <option value="">...</option>
                                                                    
                                </select>
                            </div>

                        </div>

                        <br>
                        <div class="row" >
                            <div class="col col-lg-4 col-12 text-left">
                                <!-- <label for="btnValidar1" class="col-form-label text-md-left">&nbsp;</label>
                                <br/> -->
                                <button id="btnSalvar"  class="btn btn-success btn-group-right"><i class="fas fa-save fa-lg"></i> Criar Conta</button>
                                <!-- <div class="col text-right"> -->
                                <!-- <a href="http://localhost:8000/login"><button class="btn btn-warning" aria-label="Left Align" ><i class="fas fa-arrow-left fa-lg"></i> Voltar</button></a> -->
                                <!-- <a href="http://beau.empresaokto.com.br"><button class="btn btn-warning" aria-label="Left Align" ><i class="fas fa-arrow-left fa-lg"></i> Voltar</button></a> -->
                      <!-- <a href="http://localhost:8000/login"><button class="btn btn-warning" aria-label="Left Align" ><i class="fas fa-arrow-left fa-lg"></i> Voltar</button></a> -->
                                <br/><br/>
                                <!-- <a href="http://localhost:8000/login"><i class="fas fa-door-open fa-lg"></i> Clique aqui para fazer <b>Login</b> no Beau-Pro</a> -->
                                <a href="http://beau.empresaokto.com.br"><i class="fas fa-door-open fa-lg"></i> Clique aqui para fazer <b>Login</b> no Beau-Pro</a>
                                <!-- </div> -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <br/>


       <!--  <div class="panel panel-default">
            <div class="panel-heading">Identificação</div>
            <div class="panel-body">
            
            </div>
        </div> -->

        <!-- <div class="container-fluid">
            <div class="card rounded">
                <div class="card-body">
                    <div class="row" >
                        <div class="col panel panel-primary table-responsive">
                            
                            
                        </div>
                    </div>
                </div>
            </div>
        
        </div> -->
    </div>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>