<?php

header ("Content-type: application/x-msexcel");
header ("Content-Disposition: attachment; filename=\"Consulta Convenio.xls\"" );

?>
<html>
	<head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <title><?php echo $__env->yieldContent('titulo'); ?></title>
	</head>
    <body>
        <p class="text-center font-16"><b> Relatório de Consulta Convênio</b></p>
        <div class="row">
            <table id="tbPativoProduto" class="table table-hover table-bordered table-sm text-left">
                    <thead>
                            <tr class="alert-secondary">
                            <th class="text-center">Placa</th>
                            <th>Motorista</th>
                            <th class="text-center">Data Entrada</th>
                            <th class="text-center">Data Saída</th>
                            <th class="text-center">Tempo</th>
                            <th class="text-center">Ticket</th>
                            <th class="text-center">Valor</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $consultas; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $consulta): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($consulta->getPlaca()); ?></td>
                                <td><?php echo e($consulta->getMotorista()); ?></td>
                                <td><?php echo e($consulta->getDataentrada()); ?></td>
                                <td><?php echo e($consulta->getDatasaida()); ?></td>
                                <td><?php echo e($consulta->getTempo()); ?></td>
                                <td><?php echo e($consulta->getNumero()); ?></td>
                                <td><?php echo e($consulta->Tipo_Estadia->getValorconvenio()); ?>.0</td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
            </table>
        </div>
    </body>
</html>