<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-search"></i> Consulta Sumário de Estadias/Dia
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/consulta/conssumestadia.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

    <div id="conteudoPagina" class="container-fluid">
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-3 text-left">
                        <label for="cbClientePesq" class="col-form-label text-md-left">Agendado Para</label>
                        <br/>
                        <select id="cbClientePesq" class="form-control">
                            <option value="">Todos...</option>
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="cbMes" class="col-form-label text-md-left">Mês</label>
                        
                        <br/>
                        <select id="cbMes" class="form-control">
                            <option value="">Todos</option>
                            <option value="1">Janeiro</option>
                            <option value="2">Fevereiro</option>
                            <option value="3">Março</option>
                            <option value="4">Abril</option>
                            <option value="5">Maio</option>
                            <option value="6">Junho</option>
                            <option value="7">Julho</option>
                            <option value="8">Agosto</option>
                            <option value="9">Setembro</option>
                            <option value="10">Outubro</option>
                            <option value="11">Novembro</option>
                            <option value="12">Dezembro</option>
                            
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="cbAno" class="col-form-label text-md-left">Ano</label>
                        
                        <br/>
                        <select id="cbAno" class="form-control">
                            <option value="">Todos</option>
                            <option value="2020" selected>2020</option>
                            <option value="2021">2021</option>
                            <option value="2022">2022</option>
                            <option value="2023">2023</option>
                            <option value="2024">2024</option>
                            <option value="2025">2025</option>
                            <option value="2026">2026</option>
                            <option value="2027">2027</option>
                            <option value="2028">2028</option>
                            <option value="2029">2029</option>
                            <option value="2030">2030</option>
                            
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
						<label for="txtPesquisa" class="col-form-label text-md-left">&nbsp;</label>
						<br/>
						<button id="btnPesquisa"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
					</div>
                </div>

            </div>
        </div>
        
        <br/>
        <div class="card">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbConsulta" class="table table-hover text-left" width="40%">
                            <thead>
                                <tr>
                                    <th>Data Estadia</th>
                                    <th>Qtde</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>

                                
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>