<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-calendar-plus"></i> Agendamento
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/tempus-dominus/tempusdominus-bootstrap-4.min.css')); ?>" /> 
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/bootstrap-select-1.13.2/bootstrap-select.min.css')); ?>" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/operacao/agendamento.js')); ?>" ></script>
    <!-- <script src="<?php echo e(URL::asset('js/moment/moment.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/tempus-dominus_v4/tempusdominus-bootstrap-4.min.js')); ?>"></script> -->
    <script src="<?php echo e(URL::asset('js/moment/min/moment-with-locales.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/tempus-dominus/tempusdominus-bootstrap-4.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/bootstrap-select-1.13.2/bootstrap-select.min.js')); ?>"></script>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('pagina'); ?>

<!-- <form id="frmLogin" method="POST">
    <?php echo csrf_field(); ?> -->
    <input type="hidden" id="hndClienteLoad" value="<?php echo e(app('request')->input('cliente')); ?>"/>
    <input type="hidden" id="txtIdUsuario" name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
    <input type="hidden" id="txtLogin" name="login" data="<?php echo e(Auth::user()->getLogin()); ?>"/>
    <div id="conteudoPagina" class="container-fluid">
        <div class="card rounded text-left">
            <div class="card-body">

                <div class="row" >
                    <div class="col col-sm-3 text-left">
                        <label for="cbClientePesq" class="col-form-label text-md-left">Cliente</label>
                        <br/>
                        <select id="cbClientePesq" class="form-control">
                            <option value="">Todos...</option>
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="cbStatusPesq" class="col-form-label text-md-left">Status</label>
                        <br/>
                        <select id="cbStatusPesq" class="form-control">
                            <option value="">Todos...</option>
                            <option value="AG" selected="true">AGENDADO</option>
                            <option value="ET">EM TRÂNSITO</option>
                            <option value="PA">NO PÁTIO</option>
                            <option value="NF">NA FÁBRICA</option>
                            <option value="RC">RECEBIDO CLIENTE</option>
                            <option value="CL">CANCELADO</option>
                            <option value="FN">FINALIZADO</option>
                        </select>
                    </div>
                    
                    <div class="col col-sm-2 text-left">
                        <label for="txtPlacaPesq" class="col-form-label text-md-left">Busca Placa</label>
                        <br/>
                        <input id="txtPlacaPesq" class="form-control" type="text"/>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtMotoraPesq" class="col-form-label text-md-left">Busca Motorista</label>
                        <br/>
                        <input id="txtMotoraPesq" class="form-control" type="text"/>
                    </div>
                    <div class="col col-sm-1 text-left">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisaAgenda"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>
                    <div class="col col-sm-2 text-right">
                        <label for="txtPesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnNovaAgenda" type="button" class="btn btn-primary" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Novo Agendamento
                        </button>
                    </div>
                </div>
            </div>
        </div>
                <br/>
        <div class="card">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbEstadia" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Data Prevista</th>
                                    <th>Nº Pedido</th>
                                    <th>Placa</th>
                                    <th>Motorista</th>
                                    <th>Tipo Frete</th>
                                    <th>Cliente</th>
                                    <th>Produto</th>
                                    <th>Destino</th>
                                    <th>Id</th>
                                    <th>Status</th>
                                    <th>Ação</th>
                                </tr>
                            </thead>
                            <tbody>


                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>

   

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>1200,
        'altura'=>'900px',
        'titulo'=> 'Agendamento',
		'icone'=>'fa-calendar-plus',
        'rota' => 'operacao.agenda.salvar',
        'campos'=>
        [
            [
                'id' =>'hdNome',
                'nome'=>'hdnome',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdIdMotora',
                'nome'=>'hdidmotora',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdDataCriacao',
                'nome'=>'hddatacriacao',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdPlaca',
                'nome'=>'hdplaca',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdLoginInc',
                'nome'=>'hdlogininc',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdLoginAlt',
                'nome'=>'hdloginalt',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCelular',
                'nome'=>'hdcelular',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCliente',
                'nome'=>'hdcliente',
                'tipo'=>'hidden'
            ],

            [
                'id' =>'hdTipoVeiculo',
                'nome'=>'hdtipoveiculo',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdSituacao',
                'nome'=>'hdsituacao',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdTipoFrota',
                'nome'=>'hdtipofrota',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdStatus',
                'nome'=>'hdstatus',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdMarca',
                'nome'=>'hdmarca',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdModelo',
                'nome'=>'hdmodelo',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdAno',
                'nome'=>'hdano',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdIdVeiculo',
                'nome'=>'hdidveiculo',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdRg',
                'nome'=>'hdrg',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdRgOrgao',
                'nome'=>'hdrgorgao',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdRgUf',
                'nome'=>'hdrguf',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdUfMotora',
                'nome'=>'hdufmotora',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCidadeMotora',
                'nome'=>'hdcidademotora',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCnh',
                'nome'=>'hdcnh',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCategoria',
                'nome'=>'hdcategoria',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdTipoMotora',
                'nome'=>'hdtipomotora',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdAtivoMotora',
                'nome'=>'hdativomotora',
                'tipo'=>'hidden'
            ],

            [
                'id'=>'tabAgenda',
                'tipo'=>'tabs',
                'abas'=>['Veiculo','Motorista','Manifesto','Formulas'],
                'altura'=>'400px',
                'conteudo'=>
                [
                    //aba veiculo
                    [
                        'aba'=>'Veiculo',
                        'campos'=>
                        [
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPlaca',
                                        'label'=>'Placa',
                                        'nome'=>'placa',
                                        'classe'=>'mask_placa text-uppercase',
                                        'tamanho'=>'7',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'cbTipoVeiculo',
                                        'label'=>'Tipo de Veículo',
                                        'nome'=>'tipo',
                                        'opcoes'=>$tipoveiculo,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbSituacao',
                                        'label'=>'Situação',
                                        'nome'=>'situacao',
                                        'opcoes'=>
                                        [
                                            'A'=>'ATIVO',
                                            'I'=>'INATIVO',
                                            'B'=>'BLOQUEADO'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbTipoFrota',
                                        'label'=>'Tipo Frota',
                                        'nome'=>'tipofrota',
                                        'opcoes'=>[
                                            'F'=>'FROTA',
                                            'P'=>'PARTICULAR'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                   

                                ]
                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtMarca',
                                        'label'=>'Marca',
                                        'nome'=>'marca',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtModelo',
                                        'label'=>'Modelo',
                                        'nome'=>'modelo',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtAno',
                                        'label'=>'Ano',
                                        'nome'=>'ano',
                                        'tamanho'=>'4',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                    
                                ]
                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtId',
                                        'label'=>'Id',
                                        'nome'=>'agenda',
                                        'tamanho'=>'5',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbStatus',
                                        'label'=>'Status',
                                        'nome'=>'status',
                                        'opcoes'=>[
                                            'AG'=>'AGENDADO',
                                            'ET'=>'EM TRÂNSITO',
                                            'PA'=>'NO PÁTIO',
                                            'NF'=>'NA FÁBRICA',
                                            'RC'=>'RECEBIDO CLIENTE',
                                            'CL'=>'CANCELADO',
                                            'FN'=>'FINALIZADO'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtDataCriacao',
                                        'label'=>'Data Criação',
                                        'nome'=>'datacriacao',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtLoginInc',
                                        'label'=>'Login Inclusão',
                                        'nome'=>'logininc',
                                        'tamanho'=>'30',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtLoginAlt',
                                        'label'=>'Login Alteração',
                                        'nome'=>'loginalt',
                                        'tamanho'=>'30',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ]
                        ]
                    ],

                    //aba motorista
                    [
                        'aba'=>'Motorista',
                        'campos'=>
                        [
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtCpf',
                                        'label'=>'CPF',
                                        'nome'=>'cpf',
                                        'tamanho'=>'50',
                                        'classe'=>'mask_cpf',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtNome',
                                        'label'=>'Motorista',
                                        'nome'=>'nome',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    
                                    [
                                        'largura'=>'3',
                                        'id' =>'txtCelular',
                                        'label'=>'Celular',
                                        'nome'=>'celular',
                                        'tamanho'=>'50',
                                        'classe'=>'mask_celular',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]

                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtRg',
                                        'label'=>'RG',
                                        'nome'=>'rg',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtRgOrgao',
                                        'label'=>'RG Órgão',
                                        'nome'=>'rgorgao',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtRgUf',
                                        'label'=>'RG UF',
                                        'nome'=>'rguf',
                                        'tamanho'=>'2',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtCnh',
                                        'label'=>'CNH',
                                        'nome'=>'cnh',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtCategoria',
                                        'label'=>'Categoria',
                                        'nome'=>'categoria',
                                        'tamanho'=>'3',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbUfMotora',
                                        'label'=>'UF',
                                        'nome'=>'ufmotora',
                                        'opcoes'=>$estados,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'cbCidadeMotora',
                                        'label'=>'Cidade',
                                        'nome'=>'cidademotora',
                                        'opcoes'=>[],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbTipoMotora',
                                        'label'=>'Tipo Motora',
                                        'nome'=>'tipomotora',
                                        'opcoes'=>[
                                            'F'=>'FROTA',
                                            'P'=>'PARTICULAR'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbAtivoMotora',
                                        'label'=>'Situação',
                                        'nome'=>'ativomotora',
                                        'opcoes'=>
                                        [
                                            '1'=>'ATIVO',
                                            '0'=>'INATIVO'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                    
                                ]
                            ],
                        ]
                    ],

                    //aba manifesto
                    [
                        'aba'=>'Manifesto',
                        'campos'=>
                        [
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtDataPrevista',
                                        'label'=>'Data Prevista',
                                        'nome'=>'dataprevista',
                                        'tamanho'=>'10',
                                        'classe'=>'mask_data',
                                        'autofocus'=> true,
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'cbCliente',
                                        'label'=>'Cliente',
                                        'nome'=>'cliente',
                                        'opcoes'=>[],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'cbTransportador',
                                        'label'=>'Transportador',
                                        'nome'=>'transportador',
                                        'opcoes'=>$transportador,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                    
                                ]
                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido',
                                        'label'=>'Nº Pedido',
                                        'nome'=>'pedido',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'cbProduto',
                                        'label'=>'Produto',
                                        'nome'=>'produto',
                                        'opcoes'=>$produto,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbDestino',
                                        'label'=>'Destino',
                                        'nome'=>'destino',
                                        'opcoes'=>$destino,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbTipoFrete',
                                        'label'=>'Tipo Frete',
                                        'nome'=>'tipofrete',
                                        'opcoes'=>[
                                            'ND'=>'NÃO DEFINIDO',
                                            'CIF'=>'CIF',
                                            'FOB'=>'FOB'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                    
                                ]
                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbUf',
                                        'label'=>'UF (origem)',
                                        'nome'=>'uf',
                                        'opcoes'=>$estados,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'cbCidade',
                                        'label'=>'Cidade (origem)',
                                        'nome'=>'cidade',
                                        'opcoes'=>[],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtObs',
                                        'label'=>'Observação',
                                        'nome'=>'observacao',
                                        'tamanho'=>'200',
                                        'tipo'=>'textarea',
                                        'rows'=>'4',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                    
                                ]
                            ]

                        ]
                    ],

                    //aba formula
                    [
                        'aba'=>'Formulas',
                        'campos'=>
                        [
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbFormula',
                                        'label'=>'Fórmulas',
                                        'nome'=>'formula',
                                        'opcoes'=>$formula,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde',
                                        'label'=>'Qtde (ton)',
                                        'nome'=>'qtde',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbFormula2',
                                        'label'=>'',
                                        'nome'=>'formula2',
                                        'opcoes'=>$formula,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde2',
                                        'label'=>'',
                                        'nome'=>'qtde2',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]
                            
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbFormula3',
                                        'label'=>'',
                                        'nome'=>'formula3',
                                        'opcoes'=>$formula,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde3',
                                        'label'=>'',
                                        'nome'=>'qtde3',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]
                            
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbFormula4',
                                        'label'=>'',
                                        'nome'=>'formula4',
                                        'opcoes'=>$formula,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde4',
                                        'label'=>'',
                                        'nome'=>'qtde4',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]
                            
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbFormula5',
                                        'label'=>'',
                                        'nome'=>'formula5',
                                        'opcoes'=>$formula,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde5',
                                        'label'=>'',
                                        'nome'=>'qtde5',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbFormula6',
                                        'label'=>'',
                                        'nome'=>'formula6',
                                        'opcoes'=>$formula,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde6',
                                        'label'=>'',
                                        'nome'=>'qtde6',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]
                            
                            ] 
                            
                        ]
                    ]
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>



    <!-- visualiza formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'idModal'=>'dlgVisual',
        'largura'=>1050,
        'titulo'=> 'Visualiza Agendamento',
		'icone'=>'fa-search',
        'rota' => 'operacao.agenda.salvar',
        'campos'=>
        [
            [
                'id'=>'tabAgenda',
                'tipo'=>'tabs',
                'abas'=>['Veiculo','Motorista','Manifesto','Produtos'],
                'altura'=>'400px',
                'conteudo'=>
                [
                    //aba 
                    [
                        'aba'=>'Veiculo',
                        'campos'=>
                        [  
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPlaca2',
                                        'label'=>'Placa',
                                        'nome'=>'placa2',
                                        'classe'=>'mask_placa text-uppercase',
                                        'tamanho'=>'7',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtTipoVeiculo2',
                                        'label'=>'Tipo de Veículo',
                                        'nome'=>'tipo2',
                                        'tipo'=>'txt',
                                        'tamanho'=>'50',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbSituacao2',
                                        'label'=>'Situação',
                                        'nome'=>'situacao2',
                                        'opcoes'=>
                                        [
                                            'A'=>'ATIVO',
                                            'I'=>'INATIVO',
                                            'B'=>'BLOQUEADO'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbTipoFrota2',
                                        'label'=>'Tipo Frota',
                                        'nome'=>'tipofrota2',
                                        'opcoes'=>[
                                            'F'=>'FROTA',
                                            'P'=>'PARTICULAR'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                    

                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtMarca2',
                                        'label'=>'Marca',
                                        'nome'=>'marca2',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtModelo2',
                                        'label'=>'Modelo',
                                        'nome'=>'modelo2',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtAno2',
                                        'label'=>'Ano',
                                        'nome'=>'Ano2',
                                        'tamanho'=>'4',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                    
                                ]
                            ]
                        ]
                    ],
                    [
                        'aba'=>'Motorista',
                        'campos'=>
                        [
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtCpf2',
                                        'label'=>'CPF',
                                        'nome'=>'cpf2',
                                        'tamanho'=>'50',
                                        'classe'=>'mask_cpf',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'6',
                                        'id' =>'txtNome2',
                                        'label'=>'Motorista',
                                        'nome'=>'nome2',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtCelular2',
                                        'label'=>'Celular',
                                        'nome'=>'celular2',
                                        'tamanho'=>'50',
                                        'classe'=>'mask_celular',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]

                                   
                                ]

                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtRg2',
                                        'label'=>'RG',
                                        'nome'=>'rg2',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtRgOrgao2',
                                        'label'=>'Órgão',
                                        'nome'=>'rg2',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtRgUf2',
                                        'label'=>'RG UF',
                                        'nome'=>'rguf2',
                                        'tamanho'=>'2',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtCnh2',
                                        'label'=>'CNH',
                                        'nome'=>'cnh2',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtCategoria2',
                                        'label'=>'Categoria',
                                        'nome'=>'categoria2',
                                        'tamanho'=>'3',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtUfMotora2',
                                        'label'=>'UF (motorista)',
                                        'nome'=>'txtUfmotora2',
                                        'tipo'=>'txt',
                                        'tamanho'=>'50',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtCidadeMotora2',
                                        'label'=>'Cidade (motorista)',
                                        'nome'=>'cidademotora2',
                                        'tipo'=>'txt',
                                        'tamanho'=>'50',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbTipoMotora2',
                                        'label'=>'Tipo Motora',
                                        'nome'=>'tipomotora2',
                                        'opcoes'=>[
                                            'F'=>'FROTA',
                                            'P'=>'PARTICULAR'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbAtivoMotora2',
                                        'label'=>'Situação',
                                        'nome'=>'situacaomotora2',
                                        'opcoes'=>
                                        [
                                            '1'=>'ATIVO',
                                            '0'=>'INATIVO'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                    
                                ]
                            ]

                        ]
                    ],
                    //aba 
                    [
                        'aba'=>'Manifesto',
                        'campos'=>
                        [
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtCliente2',
                                        'label'=>'Cliente',
                                        'nome'=>'cliente2',
                                        'tipo'=>'txt',
                                        'tamanho'=>'50',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtTransportador2',
                                        'label'=>'Transportador',
                                        'nome'=>'transportador2',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtDataPrevista2',
                                        'label'=>'Data Prevista',
                                        'nome'=>'dataprevista2',
                                        'tamanho'=>'10',
                                        'classe'=>'mask_data',
                                        'autofocus'=> true,
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                           
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                   
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtCidade2',
                                        'label'=>'Cidade (origem)',
                                        'nome'=>'cidade2',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtDestino2',
                                        'label'=>'Destino',
                                        'nome'=>'destino2',
                                        'tipo'=>'txt',
                                        'tamanho'=>'50',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtId2',
                                        'label'=>'Id',
                                        'nome'=>'agenda2',
                                        'tamanho'=>'5',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtTicket',
                                        'label'=>'Ticket',
                                        'nome'=>'ticket',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    
                                ]
                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtStatus2',
                                        'label'=>'Status',
                                        'nome'=>'status2',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido',
                                        'label'=>'Nº Pedido',
                                        'nome'=>'pedido',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtTipoFrete2',
                                        'label'=>'Tipo Frete',
                                        'nome'=>'tipofrete2',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtDataCriacao2',
                                        'label'=>'Data Criação',
                                        'nome'=>'datacriacao2',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtDataTicket',
                                        'label'=>'Data Ticket',
                                        'nome'=>'dataticket',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],

                                   
                                    
                                ]
                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'6',
                                        'id' =>'txtObs2',
                                        'label'=>'Observação',
                                        'nome'=>'observacao2',
                                        'tamanho'=>'200',
                                        'tipo'=>'textarea',
                                        'rows'=>'2',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtLoginInc2',
                                        'label'=>'Login Inclusão',
                                        'nome'=>'logininc2',
                                        'tamanho'=>'30',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtLoginAlt2',
                                        'label'=>'Login Alteração',
                                        'nome'=>'loginalt2',
                                        'tamanho'=>'30',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]

                                ]
                            ]
                            
                        ]
                    ],

                    //aba 
                    [
                        'aba'=>'Produtos',
                        'campos'=>
                        [
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'7',
                                        'id' =>'txtProduto2',
                                        'label'=>'Produto',
                                        'nome'=>'produto2',
                                        'tipo'=>'txt',
                                        'tamanho'=>'50',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula7',
                                        'label'=>'Fórmula',
                                        'nome'=>'formula7',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde7',
                                        'label'=>'Qtde',
                                        'nome'=>'qtde7',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula8',
                                        'label'=>'',
                                        'nome'=>'formula8',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde8',
                                        'label'=>'',
                                        'nome'=>'qtde8',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula9',
                                        'label'=>'',
                                        'nome'=>'formula9',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde9',
                                        'label'=>'',
                                        'nome'=>'qtde9',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula10',
                                        'label'=>'',
                                        'nome'=>'formula10',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde10',
                                        'label'=>'',
                                        'nome'=>'qtde10',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula11',
                                        'label'=>'',
                                        'nome'=>'formula11',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde11',
                                        'label'=>'',
                                        'nome'=>'qtde11',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula12',
                                        'label'=>'',
                                        'nome'=>'formula12',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde12',
                                        'label'=>'',
                                        'nome'=>'qtde12',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ]


                        ]
                    ]
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>