<?php $__env->startSection('titulo'); ?>
	Dashboard
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
	<script src="<?php echo e(URL::asset('js/charts/highcharts.js')); ?>"></script>
	<script src="<?php echo e(URL::asset('js/charts//highcharts-more.js')); ?>"></script>
	<script src="<?php echo e(URL::asset('js/charts/modules/solid-gauge.js')); ?>"></script>
	<script src="<?php echo e(URL::asset('js/charts/modules/exporting.js')); ?>"></script>
	<script src="<?php echo e(URL::asset('js/charts/modules/export-data.js')); ?>"></script>
	<script src="<?php echo e(URL::asset('js/views/home.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

	<div class="container-fluid">
		<div class="panel panel-primary ">
            <input type="hidden" id="txtIdUsuario" name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
			<div id="botoes_dash" class="row">

				<div class="col-md-2 pb-2">
                    <a href="<?php echo e(route('consulta')); ?>">
					<div id="pnlAgendado" data="" class="panel panel-primary quadro-dash pl-2 pr-2  " style="background-color: #000;">
						<div class="row">
							<div class="col-lg-12 col-md-12 col-sm-12">
                            	<i class="fas fa-calendar-alt fa-3x text-white mt-3" style="color:#F26021 !important;"></i>
								<h0 id="lblAgenda" class="float-right text-white" style="color:#009900 !important;"></h0>
                            </div>
                        </div>
                        <div class="row text-center">
                            <div class="col-lg-12 col-md-12 col-sm-12">
								<h5 class="text-white">Agendados</h5>
							</div>
						</div>
					</div>
                    </a>
				</div>

				<div class="col-md-2 pb-2">
                    <a href="<?php echo e(route('consulta2')); ?>">
					<div id="pnlPatio" data="" class="panel panel-primary quadro-dash pl-2 pr-2 " style="background-color: #000;">
						<div class="row">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<i class="fas fa-truck fa-3x text-white mt-3" style="color:#F26021 !important;"></i>
								<h0 id="lblPatio" class="float-right text-white" style="color:#4db8ff !important;"></h0>
							</div>
						</div>
						<div class="row text-center">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<h5 class="text-white">Pátio</h5>
							</div>
						</div>
					</div>
                    </a>
				</div>

                <div class="col-md-2 pb-2">
                    <a href="<?php echo e(route('consulta4')); ?>">
					<div id="pnlInspecao" data="" class="panel panel-primary quadro-dash pl-2 pr-2 " style="background-color: #000;">
						<div class="row">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<i class="fas fa-search fa-3x text-white mt-3" style="color:#F26021 !important;"></i>
								<h0 id="lblChecklist" class="float-right text-white" style="color:#ff6666 !important;"></h0>
							</div>
						</div>
						<div class="row text-center">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<h5 class="text-white">Inspeção</h5>
							</div>
						</div>
					</div>
                    </a>
                </div>

				<div class="col-md-2 pb-2">
                    <a href="<?php echo e(route('consulta3')); ?>">
					<div id="pnlChamado" data="" class="panel panel-primary quadro-dash pl-2 pr-2 " style="background-color: #000;">
						<div class="row">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<i class="fas fa-bullhorn fa-3x text-white mt-3" style="color:#F26021 !important;"></i>
								<h0 id="lblChamado" class="float-right text-white" style="color:#ffff66 !important;"></h0>
							</div>
						</div>
						<div class="row text-center">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<h5 class="text-white">Chamados</h5>
							</div>
						</div>
					</div>
                    </a>
				</div>
                
				<div class="col-md-2 pb-2">
                    <a href="#">
					<div id="pnlTransito" data="" class="panel panel-primary quadro-dash pl-2 pr-2 " style="background-color: #000;">
						<div class="row">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<i class="fas fa-road fa-3x text-white mt-3" style="color:#F26021 !important;"></i>
								<h0 id="lblTransito" class="float-right text-white" style="color:#d6d6c2 !important;"></h0>
							</div>
						</div>
						<div class="row text-center">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<h5 class="text-white">Finalizados</h5>
							</div>
						</div>
					</div>
                    </a>
                </div>

                
                <div class="col-md-2 pb-2">
                    <a href="#">
					<div id="pnlTegram" data="" class="panel panel-primary quadro-dash pl-2 pr-2 " style="background-color: #000;">
						<div class="row">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<i class="fas fa-mobile-alt fa-3x text-white mt-3" style="color:#ff6600 !important;"></i>
								<h0 id="lblTegram" class="float-right text-white" style="color:#F26021 !important;"></h0>
							</div>
						</div>
						<div class="row text-center">
							<div class="col-lg-12 col-md-12 col-sm-12">
								<h5 class="text-white">App Valenlog</h5>
							</div>
						</div>
					</div>
                    </a>
				</div>

               
			</div>


			<br>
			<div class="row">

				<div class="col-md-8">
					<div class="panel panel-primary quadro-chart" style="background-color: #fff;">
						<div class="panel-heading">
							<div class="container">
								<br>
								<div class="col-lg-12">
									<h5 style="color: #999999;">Agendamentos</h5>
									<div class="card bar-chart-example">
										<div class="card-body">
											<div id="chartContainer" style="height: 300px; width: 100%;"></div>
										</div>
									</div>
								</div>
								<br>
							</div>
						</div>
					</div>
				</div>

				<div class="col-md-4" >
					<div class="panel panel-primary quadro-chart" style="background-color: #fff;">
							<div class="container">
								<br>
								<div class="col-lg-12">
									<h5 style="color: #999999;">Status do Pátio</h5>
									<div class="card bar-chart-example">
										<div class="card-body">
											<div id="container-ocupation" style="height: 300px; width: 100%;"></div>
										</div>
									</div>
								<br>
							</div>
						</div>
					</div>
				</div>

			</div>

		</div>

	</div>

	<?php echo $__env->make('partials._modal_form',
	[
		'largura'=>'1400',
		'forcaTamanho'=>'true',
		'idModal'=>'dlgPainel',
        'icone'=>'fa-chart-bar',
        'titulo'=> 'Painel',
		'rota' => 'cadastros.cliente.salvar',
		'controles_salvar'=>'false',
		'controles_fechar'=>'true',
		'campos'=>
		[
			[
				'id'=>'divTabela',
				'label'=>'',
				'tipo'=>'div',
				'classe'=>'border-0 table-responsive',
				'style'=>'height:100%;'
			]
		]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>850,
        'idModal'=>'mdlEstadia',
        'titulo'=> 'Dados da Estadia',
		'icone'=>'fa-search',
        'controles_salvar'=>'false',
        'controles_fechar'=>'true',
        'campos'=>
        [
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtPlaca',
                        'label'=>'Placa',
                        'nome'=>'placa',
                        'classe'=>'mask_placa text-uppercase',
                        'tamanho'=>'7',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'5',
                        'id' =>'cbTipoVeiculo',
                        'label'=>'Tipo de Veículo',
                        'nome'=>'tipo',
                        'tamanho'=>'100',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbSituacao',
                        'label'=>'Situação',
                        'nome'=>'situacao',
                        'opcoes'=>[
                            'A'=>'ATIVO',
                            'I'=>'INATIVO',
                            'B'=>'BLOQUEADO'
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtAno',
                        'label'=>'Ano',
                        'nome'=>'Ano',
                        'tamanho'=>'4',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'5',
                        'id' =>'txtMarca',
                        'label'=>'Marca',
                        'nome'=>'marca',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'5',
                        'id' =>'txtModelo',
                        'label'=>'Modelo',
                        'nome'=>'modelo',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'cbTipoFrota',
                        'label'=>'Tipo Frota',
                        'nome'=>'tipo',
                        'opcoes'=>
                        [
                            'F'=>'FROTA',
                            'P'=>'PARTICULAR'
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ],



            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'txtMotorista',
                        'label'=>'Motorista',
                        'nome'=>'motorista',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtCpf',
                        'label'=>'CPF',
                        'nome'=>'cpf',
                        'tamanho'=>'50',
                        'classe'=>'mask_cpf',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtCelular',
                        'label'=>'Celular',
                        'nome'=>'celular',
                        'tamanho'=>'50',
                        'classe'=>'mask_celular',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]


            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbCliente',
                        'label'=>'Cliente',
                        'nome'=>'cliente',
                        'tipo'=>'txt',
                        'tamanho'=>'100',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'cbDestino',
                        'label'=>'Local Operação',
                        'nome'=>'destino',
                        'tipo'=>'txt',
                        'tamanho'=>'100',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]

                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbProduto',
                        'label'=>'Produto',
                        'nome'=>'produto',
                        'tamanho'=>'100',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbFormula',
                        'label'=>'Fórmula',
                        'nome'=>'formula',
                        'tamanho'=>'100',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtQtde',
                        'label'=>'Qtde',
                        'nome'=>'qtde',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]

                ]
            ],


            [
                'tipo'=>'array',
                'campos'=>
                [

                    [
                        'largura'=>'8',
                        'id' =>'txtOrigem',
                        'label'=>'Cidade Origem',
                        'nome'=>'origem',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbStatus',
                        'label'=>'Status',
                        'nome'=>'status',
                        'opcoes'=>[
                            'AG'=>'AGENDADO',
                            'ET'=>'EM TRÂNSITO',
                            'PA'=>'NO PÁTIO',
                            'NF'=>'NA FÁBRICA',
                            'RC'=>'RECEBIDO CLIENTE',
                            'CL'=>'CANCELADO',
                            'FN'=>'FINALIZADO'
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]

                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtDataPrev',
                        'label'=>'Data Prevista',
                        'nome'=>'dataprevista',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtDataCheg',
                        'label'=>'Data Chegada',
                        'nome'=>'datachegada',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtDataSaida',
                        'label'=>'Data Saída',
                        'nome'=>'datasaida',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtDataCria',
                        'label'=>'Data Criação',
                        'nome'=>'datacriacao',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbTransportador',
                        'label'=>'Transportador',
                        'nome'=>'transportador',
                        'tamanho'=>'100',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>