<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-seedling"></i> Veículos no Fluxo TEGRAM
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>

    <script src="<?php echo e(URL::asset('js/views/consulta7.js')); ?>" ></script>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

   <div id="conteudoPagina" class="container-fluid">
        <input type="hidden" id="txtIdUsuario" name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-1 text-right">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <i class="fas fa-filter fa-2x text-right" style="color: #e6e6e6; alt="Filtro"></i>
                    </div>
                    <div class="col col-sm-3 text-left">
                        <label for="cbDestinoPesq" class="col-form-label text-md-left">Destino</label>
                        <br/>
                        <select id="cbDestinoPesq" class="form-control">
                            <option value="">Todos...</option>
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtPlacaPesq" class="col-form-label text-md-left">Busca Placa</label>
                        <br/>
                        <input id="txtPlacaPesq" class="form-control" type="text"/>
                    </div>
                    <div class="col col-sm-4 text-left">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisaAgenda"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>
                    <div class="col col-sm-2 text-right">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">Dashboard</label>
                        <br/>
                        <a href="<?php echo e(route('home')); ?>">
                            <i class="fas fa-home fa-2x text-right" style="color: #FA5000; alt="Início"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>

        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbEstadia" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Agendado Para</th>
                                    <th>Placa</th>
                                    <th>Motorista</th>
                                    <th>Celular</th>
                                    <th>Destino</th>
                                    <th>Ação</th>
                                </tr>
                            </thead>
                            <tbody>


                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>


    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>850,
        'titulo'=> 'Consultar Veículo no Fluxo',
		'icone'=>'fa-search',
        'controles_salvar'=>'false',
        'controles_fechar'=>'false',
        'campos'=>
        [
           
            [
                'tipo'=>'array',
                'campos' =>
                [
                    [
                        'largura'=>'3',
                        'id' =>'txtPlaca3',
                        'label'=>'Placa',
                        'nome'=>'placa4',
                        'tamanho'=>'7',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'txtDestino3',
                        'label'=>'Local Operação',
                        'tamanho'=>'50',
                        'nome'=>'destino3',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos' =>
                [
                    [
                        'largura'=>'6',
                        'id' =>'txtMotorista3',
                        'label'=>'Motorista',
                        'nome'=>'motorista3',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtCelular3',
                        'label'=>'Celular',
                        'nome'=>'celular3',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>true
                    ]
                    
                ]
            ]
            
        ]

    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>