<!DOCTYPE html>
<html lang="pt">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <!-- Styles -->
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/bootstrap_v4/bootstrap.min.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('fontawesome/css/fontawesome.min.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('fontawesome/css/solid.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/views/layout.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/views/master.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('js/DataTables/datatables.min.css')); ?>" />

    <style type="text/css">
        @keyframes  neon {
            from {
                filter: drop-shadow(0 0 0 var(--cor-neon));
            }
            to {
                filter: drop-shadow(0 0 100px var(--cor-neon));
            }
        }

        i {
            animation: neon 3s alternate infinite ease-in-out;
        }

        b {
            animation: neon 3s alternate infinite ease-in-out;
        }

        .texto {
            --cor-neon: white;
        }

        /* .img {
            --cor-neon: blue;
        } */
	</style>
</head>
<body>
    <!-- <div class="container-fluid"> -->
		<div class="panel panel-primary" >
            <div class="card rounded" style="background-color: #1a1a1a;">
                <div class="card-body">
                    <div class="row" style="background-color: #000;">
                        <div class="col-md-6">
                            <br>
                            <div class="col-md-12 text-left" style="height:40px;">
                                <!-- <br/> -->
                                <a href="<?php echo e(route('home')); ?>">
                                    <img src="<?php echo e(URL::asset('img\logo_reduzido2.png')); ?>" class="rounded" height="45"/>
                                </a>
                            </div>
                            <br>
                        </div>

                        <div class="col-md-6">
                            <br>
                            <div class="col-md-12 text-right" style="height:40px;">
                                    <!-- <br/> -->
                                    <p style="font-size: 24px;" class="text-right text-white">VALEN - O shopping do Caminhoneiro</p>
                                    
                            </div>
                            <br>
                        </div>
                    </div>
                    <br/>
                    <div class="row">
                    <!-- <div class="panel panel-primary quadro-dash pl-2 pr-2" style="height: 1000px;background-color: black;"> -->
                        <div class="col-md-2">
                            <div id="divGlencore" class="panel panel-primary quadro-dash pl-2 pr-2" style="height: 680px; background-color: black;">
                                    <br/>
                                    <p style="font-size: 24px;" class="text-center text-white"><b>GLENCORE</b></p>
                                    <table id="tbGlencore"  class="border: none;table table-hover table-sm text-left">
                                        <thead>
                                            <tr>
                                                <th style="font-size: 18px;" class="text-center text-info"><b>&nbsp;</b></th>
                                                <th style="font-size: 18px;" class="text-center text-secondary"><b>Placa</b></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                       
                                        </tbody>
                                    </table>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="panel panel-primary quadro-dash pl-2 pr-2" style="height: 680px;background-color: black;">
                                    <br/>
                                    <p style="font-size: 24px;" class="text-center text-white"><b>TOCANTINS</b></p>
                                    <table id="tbTocantins"  class="border: none;table table-hover table-sm text-left">
                                        <thead>
                                            <tr>
                                                <!-- <th style="font-size: 18px;" class="text-center text-info"><b>&nbsp;</b></th> -->
                                                <th style="font-size: 18px;" class="text-center text-secondary"><b>Placa</b></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                       
                                        </tbody>
                                    </table>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="panel panel-primary quadro-dash pl-2 pr-2" style="height: 680px;background-color: black;">
                                    <br/>
                                    <p style="font-size: 24px;" class="text-center text-white"><b>YARA</b></p>
                                    <table id="tbYara"  class="border: none;table table-hover table-sm text-left">
                                        <thead>
                                            <tr>
                                                <!-- <th style="font-size: 18px;" class="text-center text-info"><b>&nbsp;</b></th> -->
                                                <th style="font-size: 18px;" class="text-center text-secondary"><b>Placa</b></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                       
                                        </tbody>
                                    </table>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="panel panel-primary quadro-dash pl-2 pr-2" style="height: 680px;background-color: black;">
                                    <br/>
                                    <p style="font-size: 24px;" class="text-center text-white"><b>COPI</b></p>
                                    <table id="tbCopi"  class="border: none;table table-hover table-sm text-left">
                                        <thead>
                                            <tr>
                                                <th style="font-size: 18px;" class="text-center text-info"><b>&nbsp;</b></th>
                                                <th style="font-size: 18px;" class="text-center text-secondary"><b>Placa</b></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                       
                                        </tbody>
                                    </table>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="panel panel-primary quadro-dash pl-2 pr-2" style="height: 680px;background-color: black;">
                                    <br/>
                                    <p style="font-size: 24px;" class="text-center text-white"><b>MULTITRANS</b></p>
                                    <table id="tbMultitrans"  class="border: none;table table-hover table-sm text-left">
                                        <thead>
                                            <tr>
                                                <th style="font-size: 18px;" class="text-center text-info"><b>&nbsp;</b></th>
                                                <th style="font-size: 18px;" class="text-center text-secondary"><b>Placa</b></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                       
                                        </tbody>
                                    </table>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="panel panel-primary quadro-dash pl-2 pr-2" style="height: 680px;background-color: black;">
                                    <br/>
                                    <p style="font-size: 24px;" class="text-center text-secondary"></p>
                                    <table id="tbUltimoChamado"  class="border: none;table table-hover table-sm text-left">
                                        <thead>
                                            <tr>
                                                <th style="font-size: 18px;" class="text-center text-info"><b></b></th>
                                                <th style="font-size: 18px;" class="text-center text-info"><b></b></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                       
                                        </tbody>
                                    </table>
                            </div>
                        </div>
                        <!-- </div> -->
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-md-2" style="background-color: #0d0d0d;">
                            <br>
                            <div class="col text-right">
                                <div class="text-center text-white" style="font-size: 26px; "><?php echo e($now); ?></div>
                            </div>
                            <br>
                        </div>
                        <div class="col-md-10" style="background-color: #000;">
                            <br>
                            <div class="col text-center">
                                <marquee  style="color:white;font-size: 26px;"><b><?php $__currentLoopData = $mensagens; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mensagem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> <?php echo e($mensagem->getTexto()); ?> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
                                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?></b></marquee>
                            </div>
                            <br>
                        </div>
                    </div>

                </div>

            </div>

        </div>
        <!-- <div class="panel panel-primary" >
                
            </div> -->
    <!-- </div> -->
    <!-- <div class="panel panel-primary" >
            <div class="card rounded">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="panel panel-primary quadro-dash pl-2 pr-2" style="height: 390px;background-color: white;">
                                    <br/>
                                    <p style="font-size: 30px;" class="text-center text-secondary">Histórico de Chamados</p>
                                    <table  class="border: none;table table-hover table-sm text-left">
                                        <thead>
                                            <tr>
                                                <th style="font-size: 16px;" class="text-center text-info">Número Chamado</th>
                                                <th style="font-size: 16px;" class="text-center text-info">Unidade</th>
                                                <th style="font-size: 16px;" class="text-center text-info">Setor</th>
                                                <th style="font-size: 16px;" class="text-center text-info">Problema</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        
                                        </tbody>
                                    </table>
                                    
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div> -->

<script src="<?php echo e(URL::asset('js/jquery_v3.3.1/jquery-3.3.1.min.js')); ?>" ></script>
<script src="<?php echo e(URL::asset('js/popper/popper.min.js')); ?>"></script>
<script src="<?php echo e(URL::asset('js/bootstrap_v4/bootstrap.min.js')); ?>" ></script>
<script src="<?php echo e(URL::asset('js/JqueryMaxLength/jquery.maxlength.js')); ?>" ></script>
<script src="<?php echo e(URL::asset('js/jquery_mask/jquery.mask.min.js')); ?>" ></script>
<script src="<?php echo e(URL::asset('js/DataTables/datatables.min.js')); ?>"></script>
<!-- <script src='https://code.responsivevoice.org/responsivevoice.js'></script>-->
<script src="<?php echo e(URL::asset('js/views/painel/destino.js')); ?>" ></script>
</body>
</html>