<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-bullhorn"></i> Chamada para Sair do Pátio
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/operacao/chamada.js')); ?>" ></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

<!-- <form id="frmLogin" method="POST">
    <?php echo csrf_field(); ?> -->

   <div id="conteudoPagina" class="container-fluid">
        <input type="hidden" id="txtIdUsuario" name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
        
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    
                    <div class="col col-sm-3 text-left">
                        <label for="cbClientePesq" class="col-form-label text-md-left">Agendado Para</label>
                        <br/>
                        <select id="cbClientePesq" class="form-control">
                            <option value="">Todos...</option>
                        </select>
                    </div>
                    <div class="col col-sm-3 text-left">
                        <label for="cbFormulaPesq" class="col-form-label text-md-left">Fórmula</label>
                        <br/>
                        <select id="cbFormulaPesq" class="form-control">
                            <option value="">Todos...</option>
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtPlacaPesquisa" class="col-form-label text-md-left">Busca Placa</label>
                        <br/>
                        <input id="txtPlacaPesquisa" class="form-control" type="text"/>
                    </div>
                   
                    <div class="col col-sm-2 text-left">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisaVeiculo"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>
                </div>
                <div class="row" >
                    <div class="col col-sm-3 text-left">
                        <label for="cbClienteCargaPesq" class="col-form-label text-md-left">Cliente Carga</label>
                        <br/>
                        <select id="cbClienteCargaPesq" class="form-control">
                            <option value="">Todos...</option>
                        </select>
                    </div>
                    <div class="col col-sm-3 text-left">
                        <label for="cbOrdemPesq" class="col-form-label text-md-left">Ordem</label>
                        <br/>
                        <select id="cbOrdemPesq" class="form-control">
                            <option value="">Nenhum...</option>
                            <option value="1">ID</option>
                            <option value="2">Placa</option>
                            <option value="3">Fórmula + Ordem Chegada</option>
                            <option value="4" selected>Data Recepção</option>
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtMotoraPesquisa" class="col-form-label text-md-left">Busca Motorista</label>
                        <br/>
                        <input id="txtMotoraPesquisa" class="form-control" type="text"/>
                    </div>
                </div>
            </div>
        </div>

        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbEstadia" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Data Recepção</th>
                                    <th>Placa</th>
                                    <th>Motorista</th>
                                    <th>Transportador</th>
                                    <th>Frete</th>
                                    <th>Cliente Carga</th>
                                    <th>Produto/Pedido/Peso</th>
                                    <th>Inspeção</th>
                                    <th>Detalhe</th>
                                </tr>
                            </thead>
                            <tbody>


                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>
<!-- </form> -->

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>950,
        'titulo'=> 'Chamada para Sair do Pátio',
		'icone'=>'fa-bullhorn',
        //'controles_salvar'=>'true',
        //'controles_fechar'=>'false',
        'rota' => 'operacao.chamada.salvar',
        'campos'=>
        [
            [
                'id' =>'hdMotorista',
                'nome'=>'hdmotorista',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdIdMotorista',
                'nome'=>'hdidmotorista',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdToken',
                'nome'=>'hdtoken',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdPlaca',
                'nome'=>'hdplaca',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCelular',
                'nome'=>'hdcelular',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdDestino',
                'nome'=>'hddestino',
                'tipo'=>'hidden'
            ],

            [
                'id'=>'tabAgenda',
                'tipo'=>'tabs',
                'abas'=>['Veiculo','Produto','Manifesto'],
                'altura'=>'400px',
                'conteudo'=>
                [
                    //aba 
                    [
                        'aba'=>'Veiculo',
                        'campos'=>
                        [
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtId',
                                        'label'=>'Nº Agenda',
                                        'nome'=>'agenda',
                                        'tamanho'=>'7',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPlaca',
                                        'label'=>'Placa',
                                        'nome'=>'placa',
                                        'classe'=>'mask_placa text-uppercase',
                                        'tamanho'=>'7',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'cbTipoVeiculo',
                                        'label'=>'Tipo de Veículo',
                                        'nome'=>'tipo',
                                        'opcoes'=>$tipoveiculo,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbSituacao',
                                        'label'=>'Situação',
                                        'nome'=>'situacao',
                                        'opcoes'=>[
                                            'A'=>'ATIVO',
                                            'I'=>'INATIVO',
                                            'B'=>'BLOQUEADO'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtMarca',
                                        'label'=>'Marca',
                                        'nome'=>'marca',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtModelo',
                                        'label'=>'Modelo',
                                        'nome'=>'modelo',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbTipoFrota',
                                        'label'=>'Tipo Frota',
                                        'nome'=>'tipo',
                                        'opcoes'=>[
                                            'F'=>'FROTA',
                                            'P'=>'PARTICULAR'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                    
                                ]
                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'7',
                                        'id' =>'txtMotorista',
                                        'label'=>'Motorista',
                                        'nome'=>'motorista',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'3',
                                        'id' =>'txtCpf',
                                        'label'=>'CPF',
                                        'nome'=>'cpf',
                                        'tamanho'=>'50',
                                        'classe'=>'mask_cpf',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                   
                                ]

                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'10',
                                        'id' =>'txtMensagem',
                                        'label'=>'Enviar Notificação ao Motorista',
                                        'nome'=>'mensagem',
                                        'tamanho'=>'2000',
                                        'tipo'=>'textarea',
                                        'rows'=>'3',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]
                            ]
                            
                        ]
                    ],
                    //aba 
                    [
                        'aba'=>'Manifesto',
                        'campos'=>
                        [
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbCliente',
                                        'label'=>'Agendado Para',
                                        'nome'=>'cliente',
                                        'opcoes'=>$cliente,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                   
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbTransportador',
                                        'label'=>'Transportador',
                                        'nome'=>'transportador',
                                        'opcoes'=>$transportador,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtClienteCarga',
                                        'label'=>'Cliente Carga',
                                        'nome'=>'clientecarga',
                                        'tipo'=>'txt',
                                        'tamanho'=>'50',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbDestino',
                                        'label'=>'Local Operação',
                                        'nome'=>'destino',
                                        'opcoes'=>$destino,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    
                                ]
                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [

                                    [
                                        'largura'=>'5',
                                        'id' =>'txtOrigem',
                                        'label'=>'Cidade Origem',
                                        'nome'=>'origem',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtDataPrev',
                                        'label'=>'Data Prevista',
                                        'nome'=>'dataprevista',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'3',
                                        'id' =>'cbStatus',
                                        'label'=>'Status',
                                        'nome'=>'status',
                                        'opcoes'=>[
                                            'AG'=>'AGENDADO',
                                            'ET'=>'EM TRÂNSITO',
                                            'PA'=>'NO PÁTIO',
                                            'NF'=>'NA FÁBRICA',
                                            'RC'=>'RECEBIDO CLIENTE',
                                            'CL'=>'CANCELADO',
                                            'FN'=>'FINALIZADO'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                   
                                    
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'3',
                                        'id' =>'cbTipoFrete',
                                        'label'=>'Tipo Frete',
                                        'nome'=>'tipofrete',
                                        'opcoes'=>[
                                            'ND'=>'NÃO DEFINIDO',
                                            'CIF'=>'CIF',
                                            'FOB'=>'FOB'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtTicket',
                                        'label'=>'Ticket',
                                        'nome'=>'ticket',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'3',
                                        'id' =>'txtDataTicket',
                                        'label'=>'Data Ticket',
                                        'nome'=>'dataticket',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],

                                ]
                            ]
                        ]
                    ],
                    //aba 
                    [
                        'aba'=>'Produto',
                        'campos'=>
                        [
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'9',
                                        'id' =>'txtProduto',
                                        'label'=>'Categoria',
                                        'nome'=>'produto',
                                        'tipo'=>'txt',
                                        'tamanho'=>'50',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido1',
                                        'label'=>'Pedido',
                                        'nome'=>'pedido1',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula1',
                                        'label'=>'Produto',
                                        'nome'=>'formula1',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde1',
                                        'label'=>'Qtde (kg)',
                                        'nome'=>'qtde1',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido2',
                                        'label'=>'',
                                        'nome'=>'pedido2',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula2',
                                        'label'=>'',
                                        'nome'=>'formula2',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde2',
                                        'label'=>'',
                                        'nome'=>'qtde2',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido3',
                                        'label'=>'',
                                        'nome'=>'pedido3',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula3',
                                        'label'=>'',
                                        'nome'=>'formula3',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde3',
                                        'label'=>'',
                                        'nome'=>'qtde3',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido4',
                                        'label'=>'',
                                        'nome'=>'pedido4',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula4',
                                        'label'=>'',
                                        'nome'=>'formula4',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde4',
                                        'label'=>'',
                                        'nome'=>'qtde4',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido5',
                                        'label'=>'',
                                        'nome'=>'pedido5',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula5',
                                        'label'=>'',
                                        'nome'=>'formula5',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde5',
                                        'label'=>'',
                                        'nome'=>'qtde5',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido6',
                                        'label'=>'',
                                        'nome'=>'pedido6',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtFormula6',
                                        'label'=>'',
                                        'nome'=>'formula6',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde6',
                                        'label'=>'',
                                        'nome'=>'qtde6',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ]
                        ]
                    ]
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>